/* A Bison parser, made by GNU Bison 3.7.5.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30705

/* Bison version string.  */
#define YYBISON_VERSION "3.7.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* First part of user prologue.  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "preproc_extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;
static int	bytea_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

static bool check_declared_list(const char*);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return res_str;
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return res_str;
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return res_str;
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return res_str;
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return result;
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string
					  && ptr->variable->type->type != ECPGt_bytea)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string
					  || ptr->variable->type->type == ECPGt_bytea)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar ||
					ptr->variable->type->type == ECPGt_bytea)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_bytea &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

/*
 * check an SQL identifier is declared or not.
 * If it is already declared, the global variable
 * connection will be changed to the related connection.
 */
static bool
check_declared_list(const char *name)
{
	struct declared_list *ptr = NULL;
	for (ptr = g_declared_list; ptr != NULL; ptr = ptr -> next)
	{
		if (!ptr->connection)
			continue;
		if (strcmp(name, ptr -> name) == 0)
		{
			if (connection && strcmp(ptr->connection, connection) != 0)
				mmerror(PARSE_ERROR, ET_WARNING, "connection %s is overwritten with %s by DECLARE statement %s", connection, ptr->connection, name);
			connection = mm_strdup(ptr -> connection);
			return true;
		}
	}
	return false;
}

#line 682 "preproc.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "preproc.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_SQL_ALLOCATE = 3,               /* SQL_ALLOCATE  */
  YYSYMBOL_SQL_AUTOCOMMIT = 4,             /* SQL_AUTOCOMMIT  */
  YYSYMBOL_SQL_BOOL = 5,                   /* SQL_BOOL  */
  YYSYMBOL_SQL_BREAK = 6,                  /* SQL_BREAK  */
  YYSYMBOL_SQL_CARDINALITY = 7,            /* SQL_CARDINALITY  */
  YYSYMBOL_SQL_CONNECT = 8,                /* SQL_CONNECT  */
  YYSYMBOL_SQL_COUNT = 9,                  /* SQL_COUNT  */
  YYSYMBOL_SQL_DATETIME_INTERVAL_CODE = 10, /* SQL_DATETIME_INTERVAL_CODE  */
  YYSYMBOL_SQL_DATETIME_INTERVAL_PRECISION = 11, /* SQL_DATETIME_INTERVAL_PRECISION  */
  YYSYMBOL_SQL_DESCRIBE = 12,              /* SQL_DESCRIBE  */
  YYSYMBOL_SQL_DESCRIPTOR = 13,            /* SQL_DESCRIPTOR  */
  YYSYMBOL_SQL_DISCONNECT = 14,            /* SQL_DISCONNECT  */
  YYSYMBOL_SQL_FOUND = 15,                 /* SQL_FOUND  */
  YYSYMBOL_SQL_FREE = 16,                  /* SQL_FREE  */
  YYSYMBOL_SQL_GET = 17,                   /* SQL_GET  */
  YYSYMBOL_SQL_GO = 18,                    /* SQL_GO  */
  YYSYMBOL_SQL_GOTO = 19,                  /* SQL_GOTO  */
  YYSYMBOL_SQL_IDENTIFIED = 20,            /* SQL_IDENTIFIED  */
  YYSYMBOL_SQL_INDICATOR = 21,             /* SQL_INDICATOR  */
  YYSYMBOL_SQL_KEY_MEMBER = 22,            /* SQL_KEY_MEMBER  */
  YYSYMBOL_SQL_LENGTH = 23,                /* SQL_LENGTH  */
  YYSYMBOL_SQL_LONG = 24,                  /* SQL_LONG  */
  YYSYMBOL_SQL_NULLABLE = 25,              /* SQL_NULLABLE  */
  YYSYMBOL_SQL_OCTET_LENGTH = 26,          /* SQL_OCTET_LENGTH  */
  YYSYMBOL_SQL_OPEN = 27,                  /* SQL_OPEN  */
  YYSYMBOL_SQL_OUTPUT = 28,                /* SQL_OUTPUT  */
  YYSYMBOL_SQL_REFERENCE = 29,             /* SQL_REFERENCE  */
  YYSYMBOL_SQL_RETURNED_LENGTH = 30,       /* SQL_RETURNED_LENGTH  */
  YYSYMBOL_SQL_RETURNED_OCTET_LENGTH = 31, /* SQL_RETURNED_OCTET_LENGTH  */
  YYSYMBOL_SQL_SCALE = 32,                 /* SQL_SCALE  */
  YYSYMBOL_SQL_SECTION = 33,               /* SQL_SECTION  */
  YYSYMBOL_SQL_SHORT = 34,                 /* SQL_SHORT  */
  YYSYMBOL_SQL_SIGNED = 35,                /* SQL_SIGNED  */
  YYSYMBOL_SQL_SQLERROR = 36,              /* SQL_SQLERROR  */
  YYSYMBOL_SQL_SQLPRINT = 37,              /* SQL_SQLPRINT  */
  YYSYMBOL_SQL_SQLWARNING = 38,            /* SQL_SQLWARNING  */
  YYSYMBOL_SQL_START = 39,                 /* SQL_START  */
  YYSYMBOL_SQL_STOP = 40,                  /* SQL_STOP  */
  YYSYMBOL_SQL_STRUCT = 41,                /* SQL_STRUCT  */
  YYSYMBOL_SQL_UNSIGNED = 42,              /* SQL_UNSIGNED  */
  YYSYMBOL_SQL_VAR = 43,                   /* SQL_VAR  */
  YYSYMBOL_SQL_WHENEVER = 44,              /* SQL_WHENEVER  */
  YYSYMBOL_S_ADD = 45,                     /* S_ADD  */
  YYSYMBOL_S_AND = 46,                     /* S_AND  */
  YYSYMBOL_S_ANYTHING = 47,                /* S_ANYTHING  */
  YYSYMBOL_S_AUTO = 48,                    /* S_AUTO  */
  YYSYMBOL_S_CONST = 49,                   /* S_CONST  */
  YYSYMBOL_S_DEC = 50,                     /* S_DEC  */
  YYSYMBOL_S_DIV = 51,                     /* S_DIV  */
  YYSYMBOL_S_DOTPOINT = 52,                /* S_DOTPOINT  */
  YYSYMBOL_S_EQUAL = 53,                   /* S_EQUAL  */
  YYSYMBOL_S_EXTERN = 54,                  /* S_EXTERN  */
  YYSYMBOL_S_INC = 55,                     /* S_INC  */
  YYSYMBOL_S_LSHIFT = 56,                  /* S_LSHIFT  */
  YYSYMBOL_S_MEMPOINT = 57,                /* S_MEMPOINT  */
  YYSYMBOL_S_MEMBER = 58,                  /* S_MEMBER  */
  YYSYMBOL_S_MOD = 59,                     /* S_MOD  */
  YYSYMBOL_S_MUL = 60,                     /* S_MUL  */
  YYSYMBOL_S_NEQUAL = 61,                  /* S_NEQUAL  */
  YYSYMBOL_S_OR = 62,                      /* S_OR  */
  YYSYMBOL_S_REGISTER = 63,                /* S_REGISTER  */
  YYSYMBOL_S_RSHIFT = 64,                  /* S_RSHIFT  */
  YYSYMBOL_S_STATIC = 65,                  /* S_STATIC  */
  YYSYMBOL_S_SUB = 66,                     /* S_SUB  */
  YYSYMBOL_S_VOLATILE = 67,                /* S_VOLATILE  */
  YYSYMBOL_S_TYPEDEF = 68,                 /* S_TYPEDEF  */
  YYSYMBOL_CSTRING = 69,                   /* CSTRING  */
  YYSYMBOL_CVARIABLE = 70,                 /* CVARIABLE  */
  YYSYMBOL_CPP_LINE = 71,                  /* CPP_LINE  */
  YYSYMBOL_IP = 72,                        /* IP  */
  YYSYMBOL_IDENT = 73,                     /* IDENT  */
  YYSYMBOL_UIDENT = 74,                    /* UIDENT  */
  YYSYMBOL_FCONST = 75,                    /* FCONST  */
  YYSYMBOL_SCONST = 76,                    /* SCONST  */
  YYSYMBOL_USCONST = 77,                   /* USCONST  */
  YYSYMBOL_BCONST = 78,                    /* BCONST  */
  YYSYMBOL_XCONST = 79,                    /* XCONST  */
  YYSYMBOL_Op = 80,                        /* Op  */
  YYSYMBOL_ICONST = 81,                    /* ICONST  */
  YYSYMBOL_PARAM = 82,                     /* PARAM  */
  YYSYMBOL_TYPECAST = 83,                  /* TYPECAST  */
  YYSYMBOL_DOT_DOT = 84,                   /* DOT_DOT  */
  YYSYMBOL_COLON_EQUALS = 85,              /* COLON_EQUALS  */
  YYSYMBOL_EQUALS_GREATER = 86,            /* EQUALS_GREATER  */
  YYSYMBOL_LESS_EQUALS = 87,               /* LESS_EQUALS  */
  YYSYMBOL_GREATER_EQUALS = 88,            /* GREATER_EQUALS  */
  YYSYMBOL_NOT_EQUALS = 89,                /* NOT_EQUALS  */
  YYSYMBOL_ABORT_P = 90,                   /* ABORT_P  */
  YYSYMBOL_ABSOLUTE_P = 91,                /* ABSOLUTE_P  */
  YYSYMBOL_ACCESS = 92,                    /* ACCESS  */
  YYSYMBOL_ACTION = 93,                    /* ACTION  */
  YYSYMBOL_ADD_P = 94,                     /* ADD_P  */
  YYSYMBOL_ADMIN = 95,                     /* ADMIN  */
  YYSYMBOL_AFTER = 96,                     /* AFTER  */
  YYSYMBOL_AGGREGATE = 97,                 /* AGGREGATE  */
  YYSYMBOL_ALL = 98,                       /* ALL  */
  YYSYMBOL_ALSO = 99,                      /* ALSO  */
  YYSYMBOL_ALTER = 100,                    /* ALTER  */
  YYSYMBOL_ALWAYS = 101,                   /* ALWAYS  */
  YYSYMBOL_ANALYSE = 102,                  /* ANALYSE  */
  YYSYMBOL_ANALYZE = 103,                  /* ANALYZE  */
  YYSYMBOL_AND = 104,                      /* AND  */
  YYSYMBOL_ANY = 105,                      /* ANY  */
  YYSYMBOL_ARRAY = 106,                    /* ARRAY  */
  YYSYMBOL_AS = 107,                       /* AS  */
  YYSYMBOL_ASC = 108,                      /* ASC  */
  YYSYMBOL_ASENSITIVE = 109,               /* ASENSITIVE  */
  YYSYMBOL_ASSERTION = 110,                /* ASSERTION  */
  YYSYMBOL_ASSIGNMENT = 111,               /* ASSIGNMENT  */
  YYSYMBOL_ASYMMETRIC = 112,               /* ASYMMETRIC  */
  YYSYMBOL_ATOMIC = 113,                   /* ATOMIC  */
  YYSYMBOL_AT = 114,                       /* AT  */
  YYSYMBOL_ATTACH = 115,                   /* ATTACH  */
  YYSYMBOL_ATTRIBUTE = 116,                /* ATTRIBUTE  */
  YYSYMBOL_AUTHORIZATION = 117,            /* AUTHORIZATION  */
  YYSYMBOL_BACKWARD = 118,                 /* BACKWARD  */
  YYSYMBOL_BEFORE = 119,                   /* BEFORE  */
  YYSYMBOL_BEGIN_P = 120,                  /* BEGIN_P  */
  YYSYMBOL_BETWEEN = 121,                  /* BETWEEN  */
  YYSYMBOL_BIGINT = 122,                   /* BIGINT  */
  YYSYMBOL_BINARY = 123,                   /* BINARY  */
  YYSYMBOL_BIT = 124,                      /* BIT  */
  YYSYMBOL_BOOLEAN_P = 125,                /* BOOLEAN_P  */
  YYSYMBOL_BOTH = 126,                     /* BOTH  */
  YYSYMBOL_BREADTH = 127,                  /* BREADTH  */
  YYSYMBOL_BY = 128,                       /* BY  */
  YYSYMBOL_CACHE = 129,                    /* CACHE  */
  YYSYMBOL_CALL = 130,                     /* CALL  */
  YYSYMBOL_CALLED = 131,                   /* CALLED  */
  YYSYMBOL_CASCADE = 132,                  /* CASCADE  */
  YYSYMBOL_CASCADED = 133,                 /* CASCADED  */
  YYSYMBOL_CASE = 134,                     /* CASE  */
  YYSYMBOL_CAST = 135,                     /* CAST  */
  YYSYMBOL_CATALOG_P = 136,                /* CATALOG_P  */
  YYSYMBOL_CHAIN = 137,                    /* CHAIN  */
  YYSYMBOL_CHAR_P = 138,                   /* CHAR_P  */
  YYSYMBOL_CHARACTER = 139,                /* CHARACTER  */
  YYSYMBOL_CHARACTERISTICS = 140,          /* CHARACTERISTICS  */
  YYSYMBOL_CHECK = 141,                    /* CHECK  */
  YYSYMBOL_CHECKPOINT = 142,               /* CHECKPOINT  */
  YYSYMBOL_CLASS = 143,                    /* CLASS  */
  YYSYMBOL_CLOSE = 144,                    /* CLOSE  */
  YYSYMBOL_CLUSTER = 145,                  /* CLUSTER  */
  YYSYMBOL_COALESCE = 146,                 /* COALESCE  */
  YYSYMBOL_COLLATE = 147,                  /* COLLATE  */
  YYSYMBOL_COLLATION = 148,                /* COLLATION  */
  YYSYMBOL_COLUMN = 149,                   /* COLUMN  */
  YYSYMBOL_COLUMNS = 150,                  /* COLUMNS  */
  YYSYMBOL_COMMENT = 151,                  /* COMMENT  */
  YYSYMBOL_COMMENTS = 152,                 /* COMMENTS  */
  YYSYMBOL_COMMIT = 153,                   /* COMMIT  */
  YYSYMBOL_COMMITTED = 154,                /* COMMITTED  */
  YYSYMBOL_COMPRESSION = 155,              /* COMPRESSION  */
  YYSYMBOL_CONCURRENTLY = 156,             /* CONCURRENTLY  */
  YYSYMBOL_CONFIGURATION = 157,            /* CONFIGURATION  */
  YYSYMBOL_CONFLICT = 158,                 /* CONFLICT  */
  YYSYMBOL_CONNECTION = 159,               /* CONNECTION  */
  YYSYMBOL_CONSTRAINT = 160,               /* CONSTRAINT  */
  YYSYMBOL_CONSTRAINTS = 161,              /* CONSTRAINTS  */
  YYSYMBOL_CONTENT_P = 162,                /* CONTENT_P  */
  YYSYMBOL_CONTINUE_P = 163,               /* CONTINUE_P  */
  YYSYMBOL_CONVERSION_P = 164,             /* CONVERSION_P  */
  YYSYMBOL_COPY = 165,                     /* COPY  */
  YYSYMBOL_COST = 166,                     /* COST  */
  YYSYMBOL_CREATE = 167,                   /* CREATE  */
  YYSYMBOL_CROSS = 168,                    /* CROSS  */
  YYSYMBOL_CSV = 169,                      /* CSV  */
  YYSYMBOL_CUBE = 170,                     /* CUBE  */
  YYSYMBOL_CURRENT_P = 171,                /* CURRENT_P  */
  YYSYMBOL_CURRENT_CATALOG = 172,          /* CURRENT_CATALOG  */
  YYSYMBOL_CURRENT_DATE = 173,             /* CURRENT_DATE  */
  YYSYMBOL_CURRENT_ROLE = 174,             /* CURRENT_ROLE  */
  YYSYMBOL_CURRENT_SCHEMA = 175,           /* CURRENT_SCHEMA  */
  YYSYMBOL_CURRENT_TIME = 176,             /* CURRENT_TIME  */
  YYSYMBOL_CURRENT_TIMESTAMP = 177,        /* CURRENT_TIMESTAMP  */
  YYSYMBOL_CURRENT_USER = 178,             /* CURRENT_USER  */
  YYSYMBOL_CURSOR = 179,                   /* CURSOR  */
  YYSYMBOL_CYCLE = 180,                    /* CYCLE  */
  YYSYMBOL_DATA_P = 181,                   /* DATA_P  */
  YYSYMBOL_DATABASE = 182,                 /* DATABASE  */
  YYSYMBOL_DAY_P = 183,                    /* DAY_P  */
  YYSYMBOL_DEALLOCATE = 184,               /* DEALLOCATE  */
  YYSYMBOL_DEC = 185,                      /* DEC  */
  YYSYMBOL_DECIMAL_P = 186,                /* DECIMAL_P  */
  YYSYMBOL_DECLARE = 187,                  /* DECLARE  */
  YYSYMBOL_DEFAULT = 188,                  /* DEFAULT  */
  YYSYMBOL_DEFAULTS = 189,                 /* DEFAULTS  */
  YYSYMBOL_DEFERRABLE = 190,               /* DEFERRABLE  */
  YYSYMBOL_DEFERRED = 191,                 /* DEFERRED  */
  YYSYMBOL_DEFINER = 192,                  /* DEFINER  */
  YYSYMBOL_DELETE_P = 193,                 /* DELETE_P  */
  YYSYMBOL_DELIMITER = 194,                /* DELIMITER  */
  YYSYMBOL_DELIMITERS = 195,               /* DELIMITERS  */
  YYSYMBOL_DEPENDS = 196,                  /* DEPENDS  */
  YYSYMBOL_DEPTH = 197,                    /* DEPTH  */
  YYSYMBOL_DESC = 198,                     /* DESC  */
  YYSYMBOL_DETACH = 199,                   /* DETACH  */
  YYSYMBOL_DICTIONARY = 200,               /* DICTIONARY  */
  YYSYMBOL_DISABLE_P = 201,                /* DISABLE_P  */
  YYSYMBOL_DISCARD = 202,                  /* DISCARD  */
  YYSYMBOL_DISTINCT = 203,                 /* DISTINCT  */
  YYSYMBOL_DO = 204,                       /* DO  */
  YYSYMBOL_DOCUMENT_P = 205,               /* DOCUMENT_P  */
  YYSYMBOL_DOMAIN_P = 206,                 /* DOMAIN_P  */
  YYSYMBOL_DOUBLE_P = 207,                 /* DOUBLE_P  */
  YYSYMBOL_DROP = 208,                     /* DROP  */
  YYSYMBOL_EACH = 209,                     /* EACH  */
  YYSYMBOL_ELSE = 210,                     /* ELSE  */
  YYSYMBOL_ENABLE_P = 211,                 /* ENABLE_P  */
  YYSYMBOL_ENCODING = 212,                 /* ENCODING  */
  YYSYMBOL_ENCRYPTED = 213,                /* ENCRYPTED  */
  YYSYMBOL_END_P = 214,                    /* END_P  */
  YYSYMBOL_ENUM_P = 215,                   /* ENUM_P  */
  YYSYMBOL_ESCAPE = 216,                   /* ESCAPE  */
  YYSYMBOL_EVENT = 217,                    /* EVENT  */
  YYSYMBOL_EXCEPT = 218,                   /* EXCEPT  */
  YYSYMBOL_EXCLUDE = 219,                  /* EXCLUDE  */
  YYSYMBOL_EXCLUDING = 220,                /* EXCLUDING  */
  YYSYMBOL_EXCLUSIVE = 221,                /* EXCLUSIVE  */
  YYSYMBOL_EXECUTE = 222,                  /* EXECUTE  */
  YYSYMBOL_EXISTS = 223,                   /* EXISTS  */
  YYSYMBOL_EXPLAIN = 224,                  /* EXPLAIN  */
  YYSYMBOL_EXPRESSION = 225,               /* EXPRESSION  */
  YYSYMBOL_EXTENSION = 226,                /* EXTENSION  */
  YYSYMBOL_EXTERNAL = 227,                 /* EXTERNAL  */
  YYSYMBOL_EXTRACT = 228,                  /* EXTRACT  */
  YYSYMBOL_FALSE_P = 229,                  /* FALSE_P  */
  YYSYMBOL_FAMILY = 230,                   /* FAMILY  */
  YYSYMBOL_FETCH = 231,                    /* FETCH  */
  YYSYMBOL_FILTER = 232,                   /* FILTER  */
  YYSYMBOL_FINALIZE = 233,                 /* FINALIZE  */
  YYSYMBOL_FIRST_P = 234,                  /* FIRST_P  */
  YYSYMBOL_FLOAT_P = 235,                  /* FLOAT_P  */
  YYSYMBOL_FOLLOWING = 236,                /* FOLLOWING  */
  YYSYMBOL_FOR = 237,                      /* FOR  */
  YYSYMBOL_FORCE = 238,                    /* FORCE  */
  YYSYMBOL_FOREIGN = 239,                  /* FOREIGN  */
  YYSYMBOL_FORWARD = 240,                  /* FORWARD  */
  YYSYMBOL_FREEZE = 241,                   /* FREEZE  */
  YYSYMBOL_FROM = 242,                     /* FROM  */
  YYSYMBOL_FULL = 243,                     /* FULL  */
  YYSYMBOL_FUNCTION = 244,                 /* FUNCTION  */
  YYSYMBOL_FUNCTIONS = 245,                /* FUNCTIONS  */
  YYSYMBOL_GENERATED = 246,                /* GENERATED  */
  YYSYMBOL_GLOBAL = 247,                   /* GLOBAL  */
  YYSYMBOL_GRANT = 248,                    /* GRANT  */
  YYSYMBOL_GRANTED = 249,                  /* GRANTED  */
  YYSYMBOL_GREATEST = 250,                 /* GREATEST  */
  YYSYMBOL_GROUP_P = 251,                  /* GROUP_P  */
  YYSYMBOL_GROUPING = 252,                 /* GROUPING  */
  YYSYMBOL_GROUPS = 253,                   /* GROUPS  */
  YYSYMBOL_HANDLER = 254,                  /* HANDLER  */
  YYSYMBOL_HAVING = 255,                   /* HAVING  */
  YYSYMBOL_HEADER_P = 256,                 /* HEADER_P  */
  YYSYMBOL_HOLD = 257,                     /* HOLD  */
  YYSYMBOL_HOUR_P = 258,                   /* HOUR_P  */
  YYSYMBOL_IDENTITY_P = 259,               /* IDENTITY_P  */
  YYSYMBOL_IF_P = 260,                     /* IF_P  */
  YYSYMBOL_ILIKE = 261,                    /* ILIKE  */
  YYSYMBOL_IMMEDIATE = 262,                /* IMMEDIATE  */
  YYSYMBOL_IMMUTABLE = 263,                /* IMMUTABLE  */
  YYSYMBOL_IMPLICIT_P = 264,               /* IMPLICIT_P  */
  YYSYMBOL_IMPORT_P = 265,                 /* IMPORT_P  */
  YYSYMBOL_IN_P = 266,                     /* IN_P  */
  YYSYMBOL_INCLUDE = 267,                  /* INCLUDE  */
  YYSYMBOL_INCLUDING = 268,                /* INCLUDING  */
  YYSYMBOL_INCREMENT = 269,                /* INCREMENT  */
  YYSYMBOL_INDEX = 270,                    /* INDEX  */
  YYSYMBOL_INDEXES = 271,                  /* INDEXES  */
  YYSYMBOL_INHERIT = 272,                  /* INHERIT  */
  YYSYMBOL_INHERITS = 273,                 /* INHERITS  */
  YYSYMBOL_INITIALLY = 274,                /* INITIALLY  */
  YYSYMBOL_INLINE_P = 275,                 /* INLINE_P  */
  YYSYMBOL_INNER_P = 276,                  /* INNER_P  */
  YYSYMBOL_INOUT = 277,                    /* INOUT  */
  YYSYMBOL_INPUT_P = 278,                  /* INPUT_P  */
  YYSYMBOL_INSENSITIVE = 279,              /* INSENSITIVE  */
  YYSYMBOL_INSERT = 280,                   /* INSERT  */
  YYSYMBOL_INSTEAD = 281,                  /* INSTEAD  */
  YYSYMBOL_INT_P = 282,                    /* INT_P  */
  YYSYMBOL_INTEGER = 283,                  /* INTEGER  */
  YYSYMBOL_INTERSECT = 284,                /* INTERSECT  */
  YYSYMBOL_INTERVAL = 285,                 /* INTERVAL  */
  YYSYMBOL_INTO = 286,                     /* INTO  */
  YYSYMBOL_INVOKER = 287,                  /* INVOKER  */
  YYSYMBOL_IS = 288,                       /* IS  */
  YYSYMBOL_ISNULL = 289,                   /* ISNULL  */
  YYSYMBOL_ISOLATION = 290,                /* ISOLATION  */
  YYSYMBOL_JOIN = 291,                     /* JOIN  */
  YYSYMBOL_KEY = 292,                      /* KEY  */
  YYSYMBOL_LABEL = 293,                    /* LABEL  */
  YYSYMBOL_LANGUAGE = 294,                 /* LANGUAGE  */
  YYSYMBOL_LARGE_P = 295,                  /* LARGE_P  */
  YYSYMBOL_LAST_P = 296,                   /* LAST_P  */
  YYSYMBOL_LATERAL_P = 297,                /* LATERAL_P  */
  YYSYMBOL_LEADING = 298,                  /* LEADING  */
  YYSYMBOL_LEAKPROOF = 299,                /* LEAKPROOF  */
  YYSYMBOL_LEAST = 300,                    /* LEAST  */
  YYSYMBOL_LEFT = 301,                     /* LEFT  */
  YYSYMBOL_LEVEL = 302,                    /* LEVEL  */
  YYSYMBOL_LIKE = 303,                     /* LIKE  */
  YYSYMBOL_LIMIT = 304,                    /* LIMIT  */
  YYSYMBOL_LISTEN = 305,                   /* LISTEN  */
  YYSYMBOL_LOAD = 306,                     /* LOAD  */
  YYSYMBOL_LOCAL = 307,                    /* LOCAL  */
  YYSYMBOL_LOCALTIME = 308,                /* LOCALTIME  */
  YYSYMBOL_LOCALTIMESTAMP = 309,           /* LOCALTIMESTAMP  */
  YYSYMBOL_LOCATION = 310,                 /* LOCATION  */
  YYSYMBOL_LOCK_P = 311,                   /* LOCK_P  */
  YYSYMBOL_LOCKED = 312,                   /* LOCKED  */
  YYSYMBOL_LOGGED = 313,                   /* LOGGED  */
  YYSYMBOL_MAPPING = 314,                  /* MAPPING  */
  YYSYMBOL_MATCH = 315,                    /* MATCH  */
  YYSYMBOL_MATCHED = 316,                  /* MATCHED  */
  YYSYMBOL_MATERIALIZED = 317,             /* MATERIALIZED  */
  YYSYMBOL_MAXVALUE = 318,                 /* MAXVALUE  */
  YYSYMBOL_MERGE = 319,                    /* MERGE  */
  YYSYMBOL_METHOD = 320,                   /* METHOD  */
  YYSYMBOL_MINUTE_P = 321,                 /* MINUTE_P  */
  YYSYMBOL_MINVALUE = 322,                 /* MINVALUE  */
  YYSYMBOL_MODE = 323,                     /* MODE  */
  YYSYMBOL_MONTH_P = 324,                  /* MONTH_P  */
  YYSYMBOL_MOVE = 325,                     /* MOVE  */
  YYSYMBOL_NAME_P = 326,                   /* NAME_P  */
  YYSYMBOL_NAMES = 327,                    /* NAMES  */
  YYSYMBOL_NATIONAL = 328,                 /* NATIONAL  */
  YYSYMBOL_NATURAL = 329,                  /* NATURAL  */
  YYSYMBOL_NCHAR = 330,                    /* NCHAR  */
  YYSYMBOL_NEW = 331,                      /* NEW  */
  YYSYMBOL_NEXT = 332,                     /* NEXT  */
  YYSYMBOL_NFC = 333,                      /* NFC  */
  YYSYMBOL_NFD = 334,                      /* NFD  */
  YYSYMBOL_NFKC = 335,                     /* NFKC  */
  YYSYMBOL_NFKD = 336,                     /* NFKD  */
  YYSYMBOL_NO = 337,                       /* NO  */
  YYSYMBOL_NONE = 338,                     /* NONE  */
  YYSYMBOL_NORMALIZE = 339,                /* NORMALIZE  */
  YYSYMBOL_NORMALIZED = 340,               /* NORMALIZED  */
  YYSYMBOL_NOT = 341,                      /* NOT  */
  YYSYMBOL_NOTHING = 342,                  /* NOTHING  */
  YYSYMBOL_NOTIFY = 343,                   /* NOTIFY  */
  YYSYMBOL_NOTNULL = 344,                  /* NOTNULL  */
  YYSYMBOL_NOWAIT = 345,                   /* NOWAIT  */
  YYSYMBOL_NULL_P = 346,                   /* NULL_P  */
  YYSYMBOL_NULLIF = 347,                   /* NULLIF  */
  YYSYMBOL_NULLS_P = 348,                  /* NULLS_P  */
  YYSYMBOL_NUMERIC = 349,                  /* NUMERIC  */
  YYSYMBOL_OBJECT_P = 350,                 /* OBJECT_P  */
  YYSYMBOL_OF = 351,                       /* OF  */
  YYSYMBOL_OFF = 352,                      /* OFF  */
  YYSYMBOL_OFFSET = 353,                   /* OFFSET  */
  YYSYMBOL_OIDS = 354,                     /* OIDS  */
  YYSYMBOL_OLD = 355,                      /* OLD  */
  YYSYMBOL_ON = 356,                       /* ON  */
  YYSYMBOL_ONLY = 357,                     /* ONLY  */
  YYSYMBOL_OPERATOR = 358,                 /* OPERATOR  */
  YYSYMBOL_OPTION = 359,                   /* OPTION  */
  YYSYMBOL_OPTIONS = 360,                  /* OPTIONS  */
  YYSYMBOL_OR = 361,                       /* OR  */
  YYSYMBOL_ORDER = 362,                    /* ORDER  */
  YYSYMBOL_ORDINALITY = 363,               /* ORDINALITY  */
  YYSYMBOL_OTHERS = 364,                   /* OTHERS  */
  YYSYMBOL_OUT_P = 365,                    /* OUT_P  */
  YYSYMBOL_OUTER_P = 366,                  /* OUTER_P  */
  YYSYMBOL_OVER = 367,                     /* OVER  */
  YYSYMBOL_OVERLAPS = 368,                 /* OVERLAPS  */
  YYSYMBOL_OVERLAY = 369,                  /* OVERLAY  */
  YYSYMBOL_OVERRIDING = 370,               /* OVERRIDING  */
  YYSYMBOL_OWNED = 371,                    /* OWNED  */
  YYSYMBOL_OWNER = 372,                    /* OWNER  */
  YYSYMBOL_PARALLEL = 373,                 /* PARALLEL  */
  YYSYMBOL_PARAMETER = 374,                /* PARAMETER  */
  YYSYMBOL_PARSER = 375,                   /* PARSER  */
  YYSYMBOL_PARTIAL = 376,                  /* PARTIAL  */
  YYSYMBOL_PARTITION = 377,                /* PARTITION  */
  YYSYMBOL_PASSING = 378,                  /* PASSING  */
  YYSYMBOL_PASSWORD = 379,                 /* PASSWORD  */
  YYSYMBOL_PLACING = 380,                  /* PLACING  */
  YYSYMBOL_PLANS = 381,                    /* PLANS  */
  YYSYMBOL_POLICY = 382,                   /* POLICY  */
  YYSYMBOL_POSITION = 383,                 /* POSITION  */
  YYSYMBOL_PRECEDING = 384,                /* PRECEDING  */
  YYSYMBOL_PRECISION = 385,                /* PRECISION  */
  YYSYMBOL_PRESERVE = 386,                 /* PRESERVE  */
  YYSYMBOL_PREPARE = 387,                  /* PREPARE  */
  YYSYMBOL_PREPARED = 388,                 /* PREPARED  */
  YYSYMBOL_PRIMARY = 389,                  /* PRIMARY  */
  YYSYMBOL_PRIOR = 390,                    /* PRIOR  */
  YYSYMBOL_PRIVILEGES = 391,               /* PRIVILEGES  */
  YYSYMBOL_PROCEDURAL = 392,               /* PROCEDURAL  */
  YYSYMBOL_PROCEDURE = 393,                /* PROCEDURE  */
  YYSYMBOL_PROCEDURES = 394,               /* PROCEDURES  */
  YYSYMBOL_PROGRAM = 395,                  /* PROGRAM  */
  YYSYMBOL_PUBLICATION = 396,              /* PUBLICATION  */
  YYSYMBOL_QUOTE = 397,                    /* QUOTE  */
  YYSYMBOL_RANGE = 398,                    /* RANGE  */
  YYSYMBOL_READ = 399,                     /* READ  */
  YYSYMBOL_REAL = 400,                     /* REAL  */
  YYSYMBOL_REASSIGN = 401,                 /* REASSIGN  */
  YYSYMBOL_RECHECK = 402,                  /* RECHECK  */
  YYSYMBOL_RECURSIVE = 403,                /* RECURSIVE  */
  YYSYMBOL_REF_P = 404,                    /* REF_P  */
  YYSYMBOL_REFERENCES = 405,               /* REFERENCES  */
  YYSYMBOL_REFERENCING = 406,              /* REFERENCING  */
  YYSYMBOL_REFRESH = 407,                  /* REFRESH  */
  YYSYMBOL_REINDEX = 408,                  /* REINDEX  */
  YYSYMBOL_RELATIVE_P = 409,               /* RELATIVE_P  */
  YYSYMBOL_RELEASE = 410,                  /* RELEASE  */
  YYSYMBOL_RENAME = 411,                   /* RENAME  */
  YYSYMBOL_REPEATABLE = 412,               /* REPEATABLE  */
  YYSYMBOL_REPLACE = 413,                  /* REPLACE  */
  YYSYMBOL_REPLICA = 414,                  /* REPLICA  */
  YYSYMBOL_RESET = 415,                    /* RESET  */
  YYSYMBOL_RESTART = 416,                  /* RESTART  */
  YYSYMBOL_RESTRICT = 417,                 /* RESTRICT  */
  YYSYMBOL_RETURN = 418,                   /* RETURN  */
  YYSYMBOL_RETURNING = 419,                /* RETURNING  */
  YYSYMBOL_RETURNS = 420,                  /* RETURNS  */
  YYSYMBOL_REVOKE = 421,                   /* REVOKE  */
  YYSYMBOL_RIGHT = 422,                    /* RIGHT  */
  YYSYMBOL_ROLE = 423,                     /* ROLE  */
  YYSYMBOL_ROLLBACK = 424,                 /* ROLLBACK  */
  YYSYMBOL_ROLLUP = 425,                   /* ROLLUP  */
  YYSYMBOL_ROUTINE = 426,                  /* ROUTINE  */
  YYSYMBOL_ROUTINES = 427,                 /* ROUTINES  */
  YYSYMBOL_ROW = 428,                      /* ROW  */
  YYSYMBOL_ROWS = 429,                     /* ROWS  */
  YYSYMBOL_RULE = 430,                     /* RULE  */
  YYSYMBOL_SAVEPOINT = 431,                /* SAVEPOINT  */
  YYSYMBOL_SCHEMA = 432,                   /* SCHEMA  */
  YYSYMBOL_SCHEMAS = 433,                  /* SCHEMAS  */
  YYSYMBOL_SCROLL = 434,                   /* SCROLL  */
  YYSYMBOL_SEARCH = 435,                   /* SEARCH  */
  YYSYMBOL_SECOND_P = 436,                 /* SECOND_P  */
  YYSYMBOL_SECURITY = 437,                 /* SECURITY  */
  YYSYMBOL_SELECT = 438,                   /* SELECT  */
  YYSYMBOL_SEQUENCE = 439,                 /* SEQUENCE  */
  YYSYMBOL_SEQUENCES = 440,                /* SEQUENCES  */
  YYSYMBOL_SERIALIZABLE = 441,             /* SERIALIZABLE  */
  YYSYMBOL_SERVER = 442,                   /* SERVER  */
  YYSYMBOL_SESSION = 443,                  /* SESSION  */
  YYSYMBOL_SESSION_USER = 444,             /* SESSION_USER  */
  YYSYMBOL_SET = 445,                      /* SET  */
  YYSYMBOL_SETS = 446,                     /* SETS  */
  YYSYMBOL_SETOF = 447,                    /* SETOF  */
  YYSYMBOL_SHARE = 448,                    /* SHARE  */
  YYSYMBOL_SHOW = 449,                     /* SHOW  */
  YYSYMBOL_SIMILAR = 450,                  /* SIMILAR  */
  YYSYMBOL_SIMPLE = 451,                   /* SIMPLE  */
  YYSYMBOL_SKIP = 452,                     /* SKIP  */
  YYSYMBOL_SMALLINT = 453,                 /* SMALLINT  */
  YYSYMBOL_SNAPSHOT = 454,                 /* SNAPSHOT  */
  YYSYMBOL_SOME = 455,                     /* SOME  */
  YYSYMBOL_SQL_P = 456,                    /* SQL_P  */
  YYSYMBOL_STABLE = 457,                   /* STABLE  */
  YYSYMBOL_STANDALONE_P = 458,             /* STANDALONE_P  */
  YYSYMBOL_START = 459,                    /* START  */
  YYSYMBOL_STATEMENT = 460,                /* STATEMENT  */
  YYSYMBOL_STATISTICS = 461,               /* STATISTICS  */
  YYSYMBOL_STDIN = 462,                    /* STDIN  */
  YYSYMBOL_STDOUT = 463,                   /* STDOUT  */
  YYSYMBOL_STORAGE = 464,                  /* STORAGE  */
  YYSYMBOL_STORED = 465,                   /* STORED  */
  YYSYMBOL_STRICT_P = 466,                 /* STRICT_P  */
  YYSYMBOL_STRIP_P = 467,                  /* STRIP_P  */
  YYSYMBOL_SUBSCRIPTION = 468,             /* SUBSCRIPTION  */
  YYSYMBOL_SUBSTRING = 469,                /* SUBSTRING  */
  YYSYMBOL_SUPPORT = 470,                  /* SUPPORT  */
  YYSYMBOL_SYMMETRIC = 471,                /* SYMMETRIC  */
  YYSYMBOL_SYSID = 472,                    /* SYSID  */
  YYSYMBOL_SYSTEM_P = 473,                 /* SYSTEM_P  */
  YYSYMBOL_TABLE = 474,                    /* TABLE  */
  YYSYMBOL_TABLES = 475,                   /* TABLES  */
  YYSYMBOL_TABLESAMPLE = 476,              /* TABLESAMPLE  */
  YYSYMBOL_TABLESPACE = 477,               /* TABLESPACE  */
  YYSYMBOL_TEMP = 478,                     /* TEMP  */
  YYSYMBOL_TEMPLATE = 479,                 /* TEMPLATE  */
  YYSYMBOL_TEMPORARY = 480,                /* TEMPORARY  */
  YYSYMBOL_TEXT_P = 481,                   /* TEXT_P  */
  YYSYMBOL_THEN = 482,                     /* THEN  */
  YYSYMBOL_TIES = 483,                     /* TIES  */
  YYSYMBOL_TIME = 484,                     /* TIME  */
  YYSYMBOL_TIMESTAMP = 485,                /* TIMESTAMP  */
  YYSYMBOL_TO = 486,                       /* TO  */
  YYSYMBOL_TRAILING = 487,                 /* TRAILING  */
  YYSYMBOL_TRANSACTION = 488,              /* TRANSACTION  */
  YYSYMBOL_TRANSFORM = 489,                /* TRANSFORM  */
  YYSYMBOL_TREAT = 490,                    /* TREAT  */
  YYSYMBOL_TRIGGER = 491,                  /* TRIGGER  */
  YYSYMBOL_TRIM = 492,                     /* TRIM  */
  YYSYMBOL_TRUE_P = 493,                   /* TRUE_P  */
  YYSYMBOL_TRUNCATE = 494,                 /* TRUNCATE  */
  YYSYMBOL_TRUSTED = 495,                  /* TRUSTED  */
  YYSYMBOL_TYPE_P = 496,                   /* TYPE_P  */
  YYSYMBOL_TYPES_P = 497,                  /* TYPES_P  */
  YYSYMBOL_UESCAPE = 498,                  /* UESCAPE  */
  YYSYMBOL_UNBOUNDED = 499,                /* UNBOUNDED  */
  YYSYMBOL_UNCOMMITTED = 500,              /* UNCOMMITTED  */
  YYSYMBOL_UNENCRYPTED = 501,              /* UNENCRYPTED  */
  YYSYMBOL_UNION = 502,                    /* UNION  */
  YYSYMBOL_UNIQUE = 503,                   /* UNIQUE  */
  YYSYMBOL_UNKNOWN = 504,                  /* UNKNOWN  */
  YYSYMBOL_UNLISTEN = 505,                 /* UNLISTEN  */
  YYSYMBOL_UNLOGGED = 506,                 /* UNLOGGED  */
  YYSYMBOL_UNTIL = 507,                    /* UNTIL  */
  YYSYMBOL_UPDATE = 508,                   /* UPDATE  */
  YYSYMBOL_USER = 509,                     /* USER  */
  YYSYMBOL_USING = 510,                    /* USING  */
  YYSYMBOL_VACUUM = 511,                   /* VACUUM  */
  YYSYMBOL_VALID = 512,                    /* VALID  */
  YYSYMBOL_VALIDATE = 513,                 /* VALIDATE  */
  YYSYMBOL_VALIDATOR = 514,                /* VALIDATOR  */
  YYSYMBOL_VALUE_P = 515,                  /* VALUE_P  */
  YYSYMBOL_VALUES = 516,                   /* VALUES  */
  YYSYMBOL_VARCHAR = 517,                  /* VARCHAR  */
  YYSYMBOL_VARIADIC = 518,                 /* VARIADIC  */
  YYSYMBOL_VARYING = 519,                  /* VARYING  */
  YYSYMBOL_VERBOSE = 520,                  /* VERBOSE  */
  YYSYMBOL_VERSION_P = 521,                /* VERSION_P  */
  YYSYMBOL_VIEW = 522,                     /* VIEW  */
  YYSYMBOL_VIEWS = 523,                    /* VIEWS  */
  YYSYMBOL_VOLATILE = 524,                 /* VOLATILE  */
  YYSYMBOL_WHEN = 525,                     /* WHEN  */
  YYSYMBOL_WHERE = 526,                    /* WHERE  */
  YYSYMBOL_WHITESPACE_P = 527,             /* WHITESPACE_P  */
  YYSYMBOL_WINDOW = 528,                   /* WINDOW  */
  YYSYMBOL_WITH = 529,                     /* WITH  */
  YYSYMBOL_WITHIN = 530,                   /* WITHIN  */
  YYSYMBOL_WITHOUT = 531,                  /* WITHOUT  */
  YYSYMBOL_WORK = 532,                     /* WORK  */
  YYSYMBOL_WRAPPER = 533,                  /* WRAPPER  */
  YYSYMBOL_WRITE = 534,                    /* WRITE  */
  YYSYMBOL_XML_P = 535,                    /* XML_P  */
  YYSYMBOL_XMLATTRIBUTES = 536,            /* XMLATTRIBUTES  */
  YYSYMBOL_XMLCONCAT = 537,                /* XMLCONCAT  */
  YYSYMBOL_XMLELEMENT = 538,               /* XMLELEMENT  */
  YYSYMBOL_XMLEXISTS = 539,                /* XMLEXISTS  */
  YYSYMBOL_XMLFOREST = 540,                /* XMLFOREST  */
  YYSYMBOL_XMLNAMESPACES = 541,            /* XMLNAMESPACES  */
  YYSYMBOL_XMLPARSE = 542,                 /* XMLPARSE  */
  YYSYMBOL_XMLPI = 543,                    /* XMLPI  */
  YYSYMBOL_XMLROOT = 544,                  /* XMLROOT  */
  YYSYMBOL_XMLSERIALIZE = 545,             /* XMLSERIALIZE  */
  YYSYMBOL_XMLTABLE = 546,                 /* XMLTABLE  */
  YYSYMBOL_YEAR_P = 547,                   /* YEAR_P  */
  YYSYMBOL_YES_P = 548,                    /* YES_P  */
  YYSYMBOL_ZONE = 549,                     /* ZONE  */
  YYSYMBOL_NOT_LA = 550,                   /* NOT_LA  */
  YYSYMBOL_NULLS_LA = 551,                 /* NULLS_LA  */
  YYSYMBOL_WITH_LA = 552,                  /* WITH_LA  */
  YYSYMBOL_MODE_TYPE_NAME = 553,           /* MODE_TYPE_NAME  */
  YYSYMBOL_MODE_PLPGSQL_EXPR = 554,        /* MODE_PLPGSQL_EXPR  */
  YYSYMBOL_MODE_PLPGSQL_ASSIGN1 = 555,     /* MODE_PLPGSQL_ASSIGN1  */
  YYSYMBOL_MODE_PLPGSQL_ASSIGN2 = 556,     /* MODE_PLPGSQL_ASSIGN2  */
  YYSYMBOL_MODE_PLPGSQL_ASSIGN3 = 557,     /* MODE_PLPGSQL_ASSIGN3  */
  YYSYMBOL_558_ = 558,                     /* '<'  */
  YYSYMBOL_559_ = 559,                     /* '>'  */
  YYSYMBOL_560_ = 560,                     /* '='  */
  YYSYMBOL_561_ = 561,                     /* '+'  */
  YYSYMBOL_562_ = 562,                     /* '-'  */
  YYSYMBOL_563_ = 563,                     /* '*'  */
  YYSYMBOL_564_ = 564,                     /* '/'  */
  YYSYMBOL_565_ = 565,                     /* '%'  */
  YYSYMBOL_566_ = 566,                     /* '^'  */
  YYSYMBOL_UMINUS = 567,                   /* UMINUS  */
  YYSYMBOL_568_ = 568,                     /* '['  */
  YYSYMBOL_569_ = 569,                     /* ']'  */
  YYSYMBOL_570_ = 570,                     /* '('  */
  YYSYMBOL_571_ = 571,                     /* ')'  */
  YYSYMBOL_572_ = 572,                     /* '.'  */
  YYSYMBOL_573_ = 573,                     /* ','  */
  YYSYMBOL_574_ = 574,                     /* ';'  */
  YYSYMBOL_575_ = 575,                     /* ':'  */
  YYSYMBOL_576_ = 576,                     /* '{'  */
  YYSYMBOL_577_ = 577,                     /* '}'  */
  YYSYMBOL_YYACCEPT = 578,                 /* $accept  */
  YYSYMBOL_prog = 579,                     /* prog  */
  YYSYMBOL_toplevel_stmt = 580,            /* toplevel_stmt  */
  YYSYMBOL_stmt = 581,                     /* stmt  */
  YYSYMBOL_CallStmt = 582,                 /* CallStmt  */
  YYSYMBOL_CreateRoleStmt = 583,           /* CreateRoleStmt  */
  YYSYMBOL_opt_with = 584,                 /* opt_with  */
  YYSYMBOL_OptRoleList = 585,              /* OptRoleList  */
  YYSYMBOL_AlterOptRoleList = 586,         /* AlterOptRoleList  */
  YYSYMBOL_AlterOptRoleElem = 587,         /* AlterOptRoleElem  */
  YYSYMBOL_CreateOptRoleElem = 588,        /* CreateOptRoleElem  */
  YYSYMBOL_CreateUserStmt = 589,           /* CreateUserStmt  */
  YYSYMBOL_AlterRoleStmt = 590,            /* AlterRoleStmt  */
  YYSYMBOL_opt_in_database = 591,          /* opt_in_database  */
  YYSYMBOL_AlterRoleSetStmt = 592,         /* AlterRoleSetStmt  */
  YYSYMBOL_DropRoleStmt = 593,             /* DropRoleStmt  */
  YYSYMBOL_CreateGroupStmt = 594,          /* CreateGroupStmt  */
  YYSYMBOL_AlterGroupStmt = 595,           /* AlterGroupStmt  */
  YYSYMBOL_add_drop = 596,                 /* add_drop  */
  YYSYMBOL_CreateSchemaStmt = 597,         /* CreateSchemaStmt  */
  YYSYMBOL_OptSchemaName = 598,            /* OptSchemaName  */
  YYSYMBOL_OptSchemaEltList = 599,         /* OptSchemaEltList  */
  YYSYMBOL_schema_stmt = 600,              /* schema_stmt  */
  YYSYMBOL_VariableSetStmt = 601,          /* VariableSetStmt  */
  YYSYMBOL_set_rest = 602,                 /* set_rest  */
  YYSYMBOL_generic_set = 603,              /* generic_set  */
  YYSYMBOL_set_rest_more = 604,            /* set_rest_more  */
  YYSYMBOL_var_name = 605,                 /* var_name  */
  YYSYMBOL_var_list = 606,                 /* var_list  */
  YYSYMBOL_var_value = 607,                /* var_value  */
  YYSYMBOL_iso_level = 608,                /* iso_level  */
  YYSYMBOL_opt_boolean_or_string = 609,    /* opt_boolean_or_string  */
  YYSYMBOL_zone_value = 610,               /* zone_value  */
  YYSYMBOL_opt_encoding = 611,             /* opt_encoding  */
  YYSYMBOL_NonReservedWord_or_Sconst = 612, /* NonReservedWord_or_Sconst  */
  YYSYMBOL_VariableResetStmt = 613,        /* VariableResetStmt  */
  YYSYMBOL_reset_rest = 614,               /* reset_rest  */
  YYSYMBOL_generic_reset = 615,            /* generic_reset  */
  YYSYMBOL_SetResetClause = 616,           /* SetResetClause  */
  YYSYMBOL_FunctionSetResetClause = 617,   /* FunctionSetResetClause  */
  YYSYMBOL_VariableShowStmt = 618,         /* VariableShowStmt  */
  YYSYMBOL_ConstraintsSetStmt = 619,       /* ConstraintsSetStmt  */
  YYSYMBOL_constraints_set_list = 620,     /* constraints_set_list  */
  YYSYMBOL_constraints_set_mode = 621,     /* constraints_set_mode  */
  YYSYMBOL_CheckPointStmt = 622,           /* CheckPointStmt  */
  YYSYMBOL_DiscardStmt = 623,              /* DiscardStmt  */
  YYSYMBOL_AlterTableStmt = 624,           /* AlterTableStmt  */
  YYSYMBOL_alter_table_cmds = 625,         /* alter_table_cmds  */
  YYSYMBOL_partition_cmd = 626,            /* partition_cmd  */
  YYSYMBOL_index_partition_cmd = 627,      /* index_partition_cmd  */
  YYSYMBOL_alter_table_cmd = 628,          /* alter_table_cmd  */
  YYSYMBOL_alter_column_default = 629,     /* alter_column_default  */
  YYSYMBOL_opt_drop_behavior = 630,        /* opt_drop_behavior  */
  YYSYMBOL_opt_collate_clause = 631,       /* opt_collate_clause  */
  YYSYMBOL_alter_using = 632,              /* alter_using  */
  YYSYMBOL_replica_identity = 633,         /* replica_identity  */
  YYSYMBOL_reloptions = 634,               /* reloptions  */
  YYSYMBOL_opt_reloptions = 635,           /* opt_reloptions  */
  YYSYMBOL_reloption_list = 636,           /* reloption_list  */
  YYSYMBOL_reloption_elem = 637,           /* reloption_elem  */
  YYSYMBOL_alter_identity_column_option_list = 638, /* alter_identity_column_option_list  */
  YYSYMBOL_alter_identity_column_option = 639, /* alter_identity_column_option  */
  YYSYMBOL_PartitionBoundSpec = 640,       /* PartitionBoundSpec  */
  YYSYMBOL_hash_partbound_elem = 641,      /* hash_partbound_elem  */
  YYSYMBOL_hash_partbound = 642,           /* hash_partbound  */
  YYSYMBOL_AlterCompositeTypeStmt = 643,   /* AlterCompositeTypeStmt  */
  YYSYMBOL_alter_type_cmds = 644,          /* alter_type_cmds  */
  YYSYMBOL_alter_type_cmd = 645,           /* alter_type_cmd  */
  YYSYMBOL_ClosePortalStmt = 646,          /* ClosePortalStmt  */
  YYSYMBOL_CopyStmt = 647,                 /* CopyStmt  */
  YYSYMBOL_copy_from = 648,                /* copy_from  */
  YYSYMBOL_opt_program = 649,              /* opt_program  */
  YYSYMBOL_copy_file_name = 650,           /* copy_file_name  */
  YYSYMBOL_copy_options = 651,             /* copy_options  */
  YYSYMBOL_copy_opt_list = 652,            /* copy_opt_list  */
  YYSYMBOL_copy_opt_item = 653,            /* copy_opt_item  */
  YYSYMBOL_opt_binary = 654,               /* opt_binary  */
  YYSYMBOL_copy_delimiter = 655,           /* copy_delimiter  */
  YYSYMBOL_opt_using = 656,                /* opt_using  */
  YYSYMBOL_copy_generic_opt_list = 657,    /* copy_generic_opt_list  */
  YYSYMBOL_copy_generic_opt_elem = 658,    /* copy_generic_opt_elem  */
  YYSYMBOL_copy_generic_opt_arg = 659,     /* copy_generic_opt_arg  */
  YYSYMBOL_copy_generic_opt_arg_list = 660, /* copy_generic_opt_arg_list  */
  YYSYMBOL_copy_generic_opt_arg_list_item = 661, /* copy_generic_opt_arg_list_item  */
  YYSYMBOL_CreateStmt = 662,               /* CreateStmt  */
  YYSYMBOL_OptTemp = 663,                  /* OptTemp  */
  YYSYMBOL_OptTableElementList = 664,      /* OptTableElementList  */
  YYSYMBOL_OptTypedTableElementList = 665, /* OptTypedTableElementList  */
  YYSYMBOL_TableElementList = 666,         /* TableElementList  */
  YYSYMBOL_TypedTableElementList = 667,    /* TypedTableElementList  */
  YYSYMBOL_TableElement = 668,             /* TableElement  */
  YYSYMBOL_TypedTableElement = 669,        /* TypedTableElement  */
  YYSYMBOL_columnDef = 670,                /* columnDef  */
  YYSYMBOL_columnOptions = 671,            /* columnOptions  */
  YYSYMBOL_column_compression = 672,       /* column_compression  */
  YYSYMBOL_opt_column_compression = 673,   /* opt_column_compression  */
  YYSYMBOL_ColQualList = 674,              /* ColQualList  */
  YYSYMBOL_ColConstraint = 675,            /* ColConstraint  */
  YYSYMBOL_ColConstraintElem = 676,        /* ColConstraintElem  */
  YYSYMBOL_opt_unique_null_treatment = 677, /* opt_unique_null_treatment  */
  YYSYMBOL_generated_when = 678,           /* generated_when  */
  YYSYMBOL_ConstraintAttr = 679,           /* ConstraintAttr  */
  YYSYMBOL_TableLikeClause = 680,          /* TableLikeClause  */
  YYSYMBOL_TableLikeOptionList = 681,      /* TableLikeOptionList  */
  YYSYMBOL_TableLikeOption = 682,          /* TableLikeOption  */
  YYSYMBOL_TableConstraint = 683,          /* TableConstraint  */
  YYSYMBOL_ConstraintElem = 684,           /* ConstraintElem  */
  YYSYMBOL_opt_no_inherit = 685,           /* opt_no_inherit  */
  YYSYMBOL_opt_column_list = 686,          /* opt_column_list  */
  YYSYMBOL_columnList = 687,               /* columnList  */
  YYSYMBOL_columnElem = 688,               /* columnElem  */
  YYSYMBOL_opt_c_include = 689,            /* opt_c_include  */
  YYSYMBOL_key_match = 690,                /* key_match  */
  YYSYMBOL_ExclusionConstraintList = 691,  /* ExclusionConstraintList  */
  YYSYMBOL_ExclusionConstraintElem = 692,  /* ExclusionConstraintElem  */
  YYSYMBOL_OptWhereClause = 693,           /* OptWhereClause  */
  YYSYMBOL_key_actions = 694,              /* key_actions  */
  YYSYMBOL_key_update = 695,               /* key_update  */
  YYSYMBOL_key_delete = 696,               /* key_delete  */
  YYSYMBOL_key_action = 697,               /* key_action  */
  YYSYMBOL_OptInherit = 698,               /* OptInherit  */
  YYSYMBOL_OptPartitionSpec = 699,         /* OptPartitionSpec  */
  YYSYMBOL_PartitionSpec = 700,            /* PartitionSpec  */
  YYSYMBOL_part_params = 701,              /* part_params  */
  YYSYMBOL_part_elem = 702,                /* part_elem  */
  YYSYMBOL_table_access_method_clause = 703, /* table_access_method_clause  */
  YYSYMBOL_OptWith = 704,                  /* OptWith  */
  YYSYMBOL_OnCommitOption = 705,           /* OnCommitOption  */
  YYSYMBOL_OptTableSpace = 706,            /* OptTableSpace  */
  YYSYMBOL_OptConsTableSpace = 707,        /* OptConsTableSpace  */
  YYSYMBOL_ExistingIndex = 708,            /* ExistingIndex  */
  YYSYMBOL_CreateStatsStmt = 709,          /* CreateStatsStmt  */
  YYSYMBOL_stats_params = 710,             /* stats_params  */
  YYSYMBOL_stats_param = 711,              /* stats_param  */
  YYSYMBOL_AlterStatsStmt = 712,           /* AlterStatsStmt  */
  YYSYMBOL_create_as_target = 713,         /* create_as_target  */
  YYSYMBOL_opt_with_data = 714,            /* opt_with_data  */
  YYSYMBOL_CreateMatViewStmt = 715,        /* CreateMatViewStmt  */
  YYSYMBOL_create_mv_target = 716,         /* create_mv_target  */
  YYSYMBOL_OptNoLog = 717,                 /* OptNoLog  */
  YYSYMBOL_RefreshMatViewStmt = 718,       /* RefreshMatViewStmt  */
  YYSYMBOL_CreateSeqStmt = 719,            /* CreateSeqStmt  */
  YYSYMBOL_AlterSeqStmt = 720,             /* AlterSeqStmt  */
  YYSYMBOL_OptSeqOptList = 721,            /* OptSeqOptList  */
  YYSYMBOL_OptParenthesizedSeqOptList = 722, /* OptParenthesizedSeqOptList  */
  YYSYMBOL_SeqOptList = 723,               /* SeqOptList  */
  YYSYMBOL_SeqOptElem = 724,               /* SeqOptElem  */
  YYSYMBOL_opt_by = 725,                   /* opt_by  */
  YYSYMBOL_NumericOnly = 726,              /* NumericOnly  */
  YYSYMBOL_NumericOnly_list = 727,         /* NumericOnly_list  */
  YYSYMBOL_CreatePLangStmt = 728,          /* CreatePLangStmt  */
  YYSYMBOL_opt_trusted = 729,              /* opt_trusted  */
  YYSYMBOL_handler_name = 730,             /* handler_name  */
  YYSYMBOL_opt_inline_handler = 731,       /* opt_inline_handler  */
  YYSYMBOL_validator_clause = 732,         /* validator_clause  */
  YYSYMBOL_opt_validator = 733,            /* opt_validator  */
  YYSYMBOL_opt_procedural = 734,           /* opt_procedural  */
  YYSYMBOL_CreateTableSpaceStmt = 735,     /* CreateTableSpaceStmt  */
  YYSYMBOL_OptTableSpaceOwner = 736,       /* OptTableSpaceOwner  */
  YYSYMBOL_DropTableSpaceStmt = 737,       /* DropTableSpaceStmt  */
  YYSYMBOL_CreateExtensionStmt = 738,      /* CreateExtensionStmt  */
  YYSYMBOL_create_extension_opt_list = 739, /* create_extension_opt_list  */
  YYSYMBOL_create_extension_opt_item = 740, /* create_extension_opt_item  */
  YYSYMBOL_AlterExtensionStmt = 741,       /* AlterExtensionStmt  */
  YYSYMBOL_alter_extension_opt_list = 742, /* alter_extension_opt_list  */
  YYSYMBOL_alter_extension_opt_item = 743, /* alter_extension_opt_item  */
  YYSYMBOL_AlterExtensionContentsStmt = 744, /* AlterExtensionContentsStmt  */
  YYSYMBOL_CreateFdwStmt = 745,            /* CreateFdwStmt  */
  YYSYMBOL_fdw_option = 746,               /* fdw_option  */
  YYSYMBOL_fdw_options = 747,              /* fdw_options  */
  YYSYMBOL_opt_fdw_options = 748,          /* opt_fdw_options  */
  YYSYMBOL_AlterFdwStmt = 749,             /* AlterFdwStmt  */
  YYSYMBOL_create_generic_options = 750,   /* create_generic_options  */
  YYSYMBOL_generic_option_list = 751,      /* generic_option_list  */
  YYSYMBOL_alter_generic_options = 752,    /* alter_generic_options  */
  YYSYMBOL_alter_generic_option_list = 753, /* alter_generic_option_list  */
  YYSYMBOL_alter_generic_option_elem = 754, /* alter_generic_option_elem  */
  YYSYMBOL_generic_option_elem = 755,      /* generic_option_elem  */
  YYSYMBOL_generic_option_name = 756,      /* generic_option_name  */
  YYSYMBOL_generic_option_arg = 757,       /* generic_option_arg  */
  YYSYMBOL_CreateForeignServerStmt = 758,  /* CreateForeignServerStmt  */
  YYSYMBOL_opt_type = 759,                 /* opt_type  */
  YYSYMBOL_foreign_server_version = 760,   /* foreign_server_version  */
  YYSYMBOL_opt_foreign_server_version = 761, /* opt_foreign_server_version  */
  YYSYMBOL_AlterForeignServerStmt = 762,   /* AlterForeignServerStmt  */
  YYSYMBOL_CreateForeignTableStmt = 763,   /* CreateForeignTableStmt  */
  YYSYMBOL_ImportForeignSchemaStmt = 764,  /* ImportForeignSchemaStmt  */
  YYSYMBOL_import_qualification_type = 765, /* import_qualification_type  */
  YYSYMBOL_import_qualification = 766,     /* import_qualification  */
  YYSYMBOL_CreateUserMappingStmt = 767,    /* CreateUserMappingStmt  */
  YYSYMBOL_auth_ident = 768,               /* auth_ident  */
  YYSYMBOL_DropUserMappingStmt = 769,      /* DropUserMappingStmt  */
  YYSYMBOL_AlterUserMappingStmt = 770,     /* AlterUserMappingStmt  */
  YYSYMBOL_CreatePolicyStmt = 771,         /* CreatePolicyStmt  */
  YYSYMBOL_AlterPolicyStmt = 772,          /* AlterPolicyStmt  */
  YYSYMBOL_RowSecurityOptionalExpr = 773,  /* RowSecurityOptionalExpr  */
  YYSYMBOL_RowSecurityOptionalWithCheck = 774, /* RowSecurityOptionalWithCheck  */
  YYSYMBOL_RowSecurityDefaultToRole = 775, /* RowSecurityDefaultToRole  */
  YYSYMBOL_RowSecurityOptionalToRole = 776, /* RowSecurityOptionalToRole  */
  YYSYMBOL_RowSecurityDefaultPermissive = 777, /* RowSecurityDefaultPermissive  */
  YYSYMBOL_RowSecurityDefaultForCmd = 778, /* RowSecurityDefaultForCmd  */
  YYSYMBOL_row_security_cmd = 779,         /* row_security_cmd  */
  YYSYMBOL_CreateAmStmt = 780,             /* CreateAmStmt  */
  YYSYMBOL_am_type = 781,                  /* am_type  */
  YYSYMBOL_CreateTrigStmt = 782,           /* CreateTrigStmt  */
  YYSYMBOL_TriggerActionTime = 783,        /* TriggerActionTime  */
  YYSYMBOL_TriggerEvents = 784,            /* TriggerEvents  */
  YYSYMBOL_TriggerOneEvent = 785,          /* TriggerOneEvent  */
  YYSYMBOL_TriggerReferencing = 786,       /* TriggerReferencing  */
  YYSYMBOL_TriggerTransitions = 787,       /* TriggerTransitions  */
  YYSYMBOL_TriggerTransition = 788,        /* TriggerTransition  */
  YYSYMBOL_TransitionOldOrNew = 789,       /* TransitionOldOrNew  */
  YYSYMBOL_TransitionRowOrTable = 790,     /* TransitionRowOrTable  */
  YYSYMBOL_TransitionRelName = 791,        /* TransitionRelName  */
  YYSYMBOL_TriggerForSpec = 792,           /* TriggerForSpec  */
  YYSYMBOL_TriggerForOptEach = 793,        /* TriggerForOptEach  */
  YYSYMBOL_TriggerForType = 794,           /* TriggerForType  */
  YYSYMBOL_TriggerWhen = 795,              /* TriggerWhen  */
  YYSYMBOL_FUNCTION_or_PROCEDURE = 796,    /* FUNCTION_or_PROCEDURE  */
  YYSYMBOL_TriggerFuncArgs = 797,          /* TriggerFuncArgs  */
  YYSYMBOL_TriggerFuncArg = 798,           /* TriggerFuncArg  */
  YYSYMBOL_OptConstrFromTable = 799,       /* OptConstrFromTable  */
  YYSYMBOL_ConstraintAttributeSpec = 800,  /* ConstraintAttributeSpec  */
  YYSYMBOL_ConstraintAttributeElem = 801,  /* ConstraintAttributeElem  */
  YYSYMBOL_CreateEventTrigStmt = 802,      /* CreateEventTrigStmt  */
  YYSYMBOL_event_trigger_when_list = 803,  /* event_trigger_when_list  */
  YYSYMBOL_event_trigger_when_item = 804,  /* event_trigger_when_item  */
  YYSYMBOL_event_trigger_value_list = 805, /* event_trigger_value_list  */
  YYSYMBOL_AlterEventTrigStmt = 806,       /* AlterEventTrigStmt  */
  YYSYMBOL_enable_trigger = 807,           /* enable_trigger  */
  YYSYMBOL_CreateAssertionStmt = 808,      /* CreateAssertionStmt  */
  YYSYMBOL_DefineStmt = 809,               /* DefineStmt  */
  YYSYMBOL_definition = 810,               /* definition  */
  YYSYMBOL_def_list = 811,                 /* def_list  */
  YYSYMBOL_def_elem = 812,                 /* def_elem  */
  YYSYMBOL_def_arg = 813,                  /* def_arg  */
  YYSYMBOL_old_aggr_definition = 814,      /* old_aggr_definition  */
  YYSYMBOL_old_aggr_list = 815,            /* old_aggr_list  */
  YYSYMBOL_old_aggr_elem = 816,            /* old_aggr_elem  */
  YYSYMBOL_opt_enum_val_list = 817,        /* opt_enum_val_list  */
  YYSYMBOL_enum_val_list = 818,            /* enum_val_list  */
  YYSYMBOL_AlterEnumStmt = 819,            /* AlterEnumStmt  */
  YYSYMBOL_opt_if_not_exists = 820,        /* opt_if_not_exists  */
  YYSYMBOL_CreateOpClassStmt = 821,        /* CreateOpClassStmt  */
  YYSYMBOL_opclass_item_list = 822,        /* opclass_item_list  */
  YYSYMBOL_opclass_item = 823,             /* opclass_item  */
  YYSYMBOL_opt_default = 824,              /* opt_default  */
  YYSYMBOL_opt_opfamily = 825,             /* opt_opfamily  */
  YYSYMBOL_opclass_purpose = 826,          /* opclass_purpose  */
  YYSYMBOL_opt_recheck = 827,              /* opt_recheck  */
  YYSYMBOL_CreateOpFamilyStmt = 828,       /* CreateOpFamilyStmt  */
  YYSYMBOL_AlterOpFamilyStmt = 829,        /* AlterOpFamilyStmt  */
  YYSYMBOL_opclass_drop_list = 830,        /* opclass_drop_list  */
  YYSYMBOL_opclass_drop = 831,             /* opclass_drop  */
  YYSYMBOL_DropOpClassStmt = 832,          /* DropOpClassStmt  */
  YYSYMBOL_DropOpFamilyStmt = 833,         /* DropOpFamilyStmt  */
  YYSYMBOL_DropOwnedStmt = 834,            /* DropOwnedStmt  */
  YYSYMBOL_ReassignOwnedStmt = 835,        /* ReassignOwnedStmt  */
  YYSYMBOL_DropStmt = 836,                 /* DropStmt  */
  YYSYMBOL_object_type_any_name = 837,     /* object_type_any_name  */
  YYSYMBOL_object_type_name = 838,         /* object_type_name  */
  YYSYMBOL_drop_type_name = 839,           /* drop_type_name  */
  YYSYMBOL_object_type_name_on_any_name = 840, /* object_type_name_on_any_name  */
  YYSYMBOL_any_name_list = 841,            /* any_name_list  */
  YYSYMBOL_any_name = 842,                 /* any_name  */
  YYSYMBOL_attrs = 843,                    /* attrs  */
  YYSYMBOL_type_name_list = 844,           /* type_name_list  */
  YYSYMBOL_TruncateStmt = 845,             /* TruncateStmt  */
  YYSYMBOL_opt_restart_seqs = 846,         /* opt_restart_seqs  */
  YYSYMBOL_CommentStmt = 847,              /* CommentStmt  */
  YYSYMBOL_comment_text = 848,             /* comment_text  */
  YYSYMBOL_SecLabelStmt = 849,             /* SecLabelStmt  */
  YYSYMBOL_opt_provider = 850,             /* opt_provider  */
  YYSYMBOL_security_label = 851,           /* security_label  */
  YYSYMBOL_FetchStmt = 852,                /* FetchStmt  */
  YYSYMBOL_fetch_args = 853,               /* fetch_args  */
  YYSYMBOL_from_in = 854,                  /* from_in  */
  YYSYMBOL_opt_from_in = 855,              /* opt_from_in  */
  YYSYMBOL_GrantStmt = 856,                /* GrantStmt  */
  YYSYMBOL_RevokeStmt = 857,               /* RevokeStmt  */
  YYSYMBOL_privileges = 858,               /* privileges  */
  YYSYMBOL_privilege_list = 859,           /* privilege_list  */
  YYSYMBOL_privilege = 860,                /* privilege  */
  YYSYMBOL_parameter_name_list = 861,      /* parameter_name_list  */
  YYSYMBOL_parameter_name = 862,           /* parameter_name  */
  YYSYMBOL_privilege_target = 863,         /* privilege_target  */
  YYSYMBOL_grantee_list = 864,             /* grantee_list  */
  YYSYMBOL_grantee = 865,                  /* grantee  */
  YYSYMBOL_opt_grant_grant_option = 866,   /* opt_grant_grant_option  */
  YYSYMBOL_GrantRoleStmt = 867,            /* GrantRoleStmt  */
  YYSYMBOL_RevokeRoleStmt = 868,           /* RevokeRoleStmt  */
  YYSYMBOL_opt_grant_admin_option = 869,   /* opt_grant_admin_option  */
  YYSYMBOL_opt_granted_by = 870,           /* opt_granted_by  */
  YYSYMBOL_AlterDefaultPrivilegesStmt = 871, /* AlterDefaultPrivilegesStmt  */
  YYSYMBOL_DefACLOptionList = 872,         /* DefACLOptionList  */
  YYSYMBOL_DefACLOption = 873,             /* DefACLOption  */
  YYSYMBOL_DefACLAction = 874,             /* DefACLAction  */
  YYSYMBOL_defacl_privilege_target = 875,  /* defacl_privilege_target  */
  YYSYMBOL_IndexStmt = 876,                /* IndexStmt  */
  YYSYMBOL_opt_unique = 877,               /* opt_unique  */
  YYSYMBOL_opt_concurrently = 878,         /* opt_concurrently  */
  YYSYMBOL_opt_index_name = 879,           /* opt_index_name  */
  YYSYMBOL_access_method_clause = 880,     /* access_method_clause  */
  YYSYMBOL_index_params = 881,             /* index_params  */
  YYSYMBOL_index_elem_options = 882,       /* index_elem_options  */
  YYSYMBOL_index_elem = 883,               /* index_elem  */
  YYSYMBOL_opt_include = 884,              /* opt_include  */
  YYSYMBOL_index_including_params = 885,   /* index_including_params  */
  YYSYMBOL_opt_collate = 886,              /* opt_collate  */
  YYSYMBOL_opt_class = 887,                /* opt_class  */
  YYSYMBOL_opt_asc_desc = 888,             /* opt_asc_desc  */
  YYSYMBOL_opt_nulls_order = 889,          /* opt_nulls_order  */
  YYSYMBOL_CreateFunctionStmt = 890,       /* CreateFunctionStmt  */
  YYSYMBOL_opt_or_replace = 891,           /* opt_or_replace  */
  YYSYMBOL_func_args = 892,                /* func_args  */
  YYSYMBOL_func_args_list = 893,           /* func_args_list  */
  YYSYMBOL_function_with_argtypes_list = 894, /* function_with_argtypes_list  */
  YYSYMBOL_function_with_argtypes = 895,   /* function_with_argtypes  */
  YYSYMBOL_func_args_with_defaults = 896,  /* func_args_with_defaults  */
  YYSYMBOL_func_args_with_defaults_list = 897, /* func_args_with_defaults_list  */
  YYSYMBOL_func_arg = 898,                 /* func_arg  */
  YYSYMBOL_arg_class = 899,                /* arg_class  */
  YYSYMBOL_param_name = 900,               /* param_name  */
  YYSYMBOL_func_return = 901,              /* func_return  */
  YYSYMBOL_func_type = 902,                /* func_type  */
  YYSYMBOL_func_arg_with_default = 903,    /* func_arg_with_default  */
  YYSYMBOL_aggr_arg = 904,                 /* aggr_arg  */
  YYSYMBOL_aggr_args = 905,                /* aggr_args  */
  YYSYMBOL_aggr_args_list = 906,           /* aggr_args_list  */
  YYSYMBOL_aggregate_with_argtypes = 907,  /* aggregate_with_argtypes  */
  YYSYMBOL_aggregate_with_argtypes_list = 908, /* aggregate_with_argtypes_list  */
  YYSYMBOL_opt_createfunc_opt_list = 909,  /* opt_createfunc_opt_list  */
  YYSYMBOL_createfunc_opt_list = 910,      /* createfunc_opt_list  */
  YYSYMBOL_common_func_opt_item = 911,     /* common_func_opt_item  */
  YYSYMBOL_createfunc_opt_item = 912,      /* createfunc_opt_item  */
  YYSYMBOL_func_as = 913,                  /* func_as  */
  YYSYMBOL_ReturnStmt = 914,               /* ReturnStmt  */
  YYSYMBOL_opt_routine_body = 915,         /* opt_routine_body  */
  YYSYMBOL_routine_body_stmt_list = 916,   /* routine_body_stmt_list  */
  YYSYMBOL_routine_body_stmt = 917,        /* routine_body_stmt  */
  YYSYMBOL_transform_type_list = 918,      /* transform_type_list  */
  YYSYMBOL_opt_definition = 919,           /* opt_definition  */
  YYSYMBOL_table_func_column = 920,        /* table_func_column  */
  YYSYMBOL_table_func_column_list = 921,   /* table_func_column_list  */
  YYSYMBOL_AlterFunctionStmt = 922,        /* AlterFunctionStmt  */
  YYSYMBOL_alterfunc_opt_list = 923,       /* alterfunc_opt_list  */
  YYSYMBOL_opt_restrict = 924,             /* opt_restrict  */
  YYSYMBOL_RemoveFuncStmt = 925,           /* RemoveFuncStmt  */
  YYSYMBOL_RemoveAggrStmt = 926,           /* RemoveAggrStmt  */
  YYSYMBOL_RemoveOperStmt = 927,           /* RemoveOperStmt  */
  YYSYMBOL_oper_argtypes = 928,            /* oper_argtypes  */
  YYSYMBOL_any_operator = 929,             /* any_operator  */
  YYSYMBOL_operator_with_argtypes_list = 930, /* operator_with_argtypes_list  */
  YYSYMBOL_operator_with_argtypes = 931,   /* operator_with_argtypes  */
  YYSYMBOL_DoStmt = 932,                   /* DoStmt  */
  YYSYMBOL_dostmt_opt_list = 933,          /* dostmt_opt_list  */
  YYSYMBOL_dostmt_opt_item = 934,          /* dostmt_opt_item  */
  YYSYMBOL_CreateCastStmt = 935,           /* CreateCastStmt  */
  YYSYMBOL_cast_context = 936,             /* cast_context  */
  YYSYMBOL_DropCastStmt = 937,             /* DropCastStmt  */
  YYSYMBOL_opt_if_exists = 938,            /* opt_if_exists  */
  YYSYMBOL_CreateTransformStmt = 939,      /* CreateTransformStmt  */
  YYSYMBOL_transform_element_list = 940,   /* transform_element_list  */
  YYSYMBOL_DropTransformStmt = 941,        /* DropTransformStmt  */
  YYSYMBOL_ReindexStmt = 942,              /* ReindexStmt  */
  YYSYMBOL_reindex_target_type = 943,      /* reindex_target_type  */
  YYSYMBOL_reindex_target_multitable = 944, /* reindex_target_multitable  */
  YYSYMBOL_AlterTblSpcStmt = 945,          /* AlterTblSpcStmt  */
  YYSYMBOL_RenameStmt = 946,               /* RenameStmt  */
  YYSYMBOL_opt_column = 947,               /* opt_column  */
  YYSYMBOL_opt_set_data = 948,             /* opt_set_data  */
  YYSYMBOL_AlterObjectDependsStmt = 949,   /* AlterObjectDependsStmt  */
  YYSYMBOL_opt_no = 950,                   /* opt_no  */
  YYSYMBOL_AlterObjectSchemaStmt = 951,    /* AlterObjectSchemaStmt  */
  YYSYMBOL_AlterOperatorStmt = 952,        /* AlterOperatorStmt  */
  YYSYMBOL_operator_def_list = 953,        /* operator_def_list  */
  YYSYMBOL_operator_def_elem = 954,        /* operator_def_elem  */
  YYSYMBOL_operator_def_arg = 955,         /* operator_def_arg  */
  YYSYMBOL_AlterTypeStmt = 956,            /* AlterTypeStmt  */
  YYSYMBOL_AlterOwnerStmt = 957,           /* AlterOwnerStmt  */
  YYSYMBOL_CreatePublicationStmt = 958,    /* CreatePublicationStmt  */
  YYSYMBOL_PublicationObjSpec = 959,       /* PublicationObjSpec  */
  YYSYMBOL_pub_obj_list = 960,             /* pub_obj_list  */
  YYSYMBOL_AlterPublicationStmt = 961,     /* AlterPublicationStmt  */
  YYSYMBOL_CreateSubscriptionStmt = 962,   /* CreateSubscriptionStmt  */
  YYSYMBOL_AlterSubscriptionStmt = 963,    /* AlterSubscriptionStmt  */
  YYSYMBOL_DropSubscriptionStmt = 964,     /* DropSubscriptionStmt  */
  YYSYMBOL_RuleStmt = 965,                 /* RuleStmt  */
  YYSYMBOL_RuleActionList = 966,           /* RuleActionList  */
  YYSYMBOL_RuleActionMulti = 967,          /* RuleActionMulti  */
  YYSYMBOL_RuleActionStmt = 968,           /* RuleActionStmt  */
  YYSYMBOL_RuleActionStmtOrEmpty = 969,    /* RuleActionStmtOrEmpty  */
  YYSYMBOL_event = 970,                    /* event  */
  YYSYMBOL_opt_instead = 971,              /* opt_instead  */
  YYSYMBOL_NotifyStmt = 972,               /* NotifyStmt  */
  YYSYMBOL_notify_payload = 973,           /* notify_payload  */
  YYSYMBOL_ListenStmt = 974,               /* ListenStmt  */
  YYSYMBOL_UnlistenStmt = 975,             /* UnlistenStmt  */
  YYSYMBOL_TransactionStmt = 976,          /* TransactionStmt  */
  YYSYMBOL_TransactionStmtLegacy = 977,    /* TransactionStmtLegacy  */
  YYSYMBOL_opt_transaction = 978,          /* opt_transaction  */
  YYSYMBOL_transaction_mode_item = 979,    /* transaction_mode_item  */
  YYSYMBOL_transaction_mode_list = 980,    /* transaction_mode_list  */
  YYSYMBOL_transaction_mode_list_or_empty = 981, /* transaction_mode_list_or_empty  */
  YYSYMBOL_opt_transaction_chain = 982,    /* opt_transaction_chain  */
  YYSYMBOL_ViewStmt = 983,                 /* ViewStmt  */
  YYSYMBOL_opt_check_option = 984,         /* opt_check_option  */
  YYSYMBOL_LoadStmt = 985,                 /* LoadStmt  */
  YYSYMBOL_CreatedbStmt = 986,             /* CreatedbStmt  */
  YYSYMBOL_createdb_opt_list = 987,        /* createdb_opt_list  */
  YYSYMBOL_createdb_opt_items = 988,       /* createdb_opt_items  */
  YYSYMBOL_createdb_opt_item = 989,        /* createdb_opt_item  */
  YYSYMBOL_createdb_opt_name = 990,        /* createdb_opt_name  */
  YYSYMBOL_opt_equal = 991,                /* opt_equal  */
  YYSYMBOL_AlterDatabaseStmt = 992,        /* AlterDatabaseStmt  */
  YYSYMBOL_AlterDatabaseSetStmt = 993,     /* AlterDatabaseSetStmt  */
  YYSYMBOL_DropdbStmt = 994,               /* DropdbStmt  */
  YYSYMBOL_drop_option_list = 995,         /* drop_option_list  */
  YYSYMBOL_drop_option = 996,              /* drop_option  */
  YYSYMBOL_AlterCollationStmt = 997,       /* AlterCollationStmt  */
  YYSYMBOL_AlterSystemStmt = 998,          /* AlterSystemStmt  */
  YYSYMBOL_CreateDomainStmt = 999,         /* CreateDomainStmt  */
  YYSYMBOL_AlterDomainStmt = 1000,         /* AlterDomainStmt  */
  YYSYMBOL_opt_as = 1001,                  /* opt_as  */
  YYSYMBOL_AlterTSDictionaryStmt = 1002,   /* AlterTSDictionaryStmt  */
  YYSYMBOL_AlterTSConfigurationStmt = 1003, /* AlterTSConfigurationStmt  */
  YYSYMBOL_any_with = 1004,                /* any_with  */
  YYSYMBOL_CreateConversionStmt = 1005,    /* CreateConversionStmt  */
  YYSYMBOL_ClusterStmt = 1006,             /* ClusterStmt  */
  YYSYMBOL_cluster_index_specification = 1007, /* cluster_index_specification  */
  YYSYMBOL_VacuumStmt = 1008,              /* VacuumStmt  */
  YYSYMBOL_AnalyzeStmt = 1009,             /* AnalyzeStmt  */
  YYSYMBOL_utility_option_list = 1010,     /* utility_option_list  */
  YYSYMBOL_analyze_keyword = 1011,         /* analyze_keyword  */
  YYSYMBOL_utility_option_elem = 1012,     /* utility_option_elem  */
  YYSYMBOL_utility_option_name = 1013,     /* utility_option_name  */
  YYSYMBOL_utility_option_arg = 1014,      /* utility_option_arg  */
  YYSYMBOL_opt_analyze = 1015,             /* opt_analyze  */
  YYSYMBOL_opt_verbose = 1016,             /* opt_verbose  */
  YYSYMBOL_opt_full = 1017,                /* opt_full  */
  YYSYMBOL_opt_freeze = 1018,              /* opt_freeze  */
  YYSYMBOL_opt_name_list = 1019,           /* opt_name_list  */
  YYSYMBOL_vacuum_relation = 1020,         /* vacuum_relation  */
  YYSYMBOL_vacuum_relation_list = 1021,    /* vacuum_relation_list  */
  YYSYMBOL_opt_vacuum_relation_list = 1022, /* opt_vacuum_relation_list  */
  YYSYMBOL_ExplainStmt = 1023,             /* ExplainStmt  */
  YYSYMBOL_ExplainableStmt = 1024,         /* ExplainableStmt  */
  YYSYMBOL_PrepareStmt = 1025,             /* PrepareStmt  */
  YYSYMBOL_prep_type_clause = 1026,        /* prep_type_clause  */
  YYSYMBOL_PreparableStmt = 1027,          /* PreparableStmt  */
  YYSYMBOL_ExecuteStmt = 1028,             /* ExecuteStmt  */
  YYSYMBOL_execute_param_clause = 1029,    /* execute_param_clause  */
  YYSYMBOL_InsertStmt = 1030,              /* InsertStmt  */
  YYSYMBOL_insert_target = 1031,           /* insert_target  */
  YYSYMBOL_insert_rest = 1032,             /* insert_rest  */
  YYSYMBOL_override_kind = 1033,           /* override_kind  */
  YYSYMBOL_insert_column_list = 1034,      /* insert_column_list  */
  YYSYMBOL_insert_column_item = 1035,      /* insert_column_item  */
  YYSYMBOL_opt_on_conflict = 1036,         /* opt_on_conflict  */
  YYSYMBOL_opt_conf_expr = 1037,           /* opt_conf_expr  */
  YYSYMBOL_returning_clause = 1038,        /* returning_clause  */
  YYSYMBOL_DeleteStmt = 1039,              /* DeleteStmt  */
  YYSYMBOL_using_clause = 1040,            /* using_clause  */
  YYSYMBOL_LockStmt = 1041,                /* LockStmt  */
  YYSYMBOL_opt_lock = 1042,                /* opt_lock  */
  YYSYMBOL_lock_type = 1043,               /* lock_type  */
  YYSYMBOL_opt_nowait = 1044,              /* opt_nowait  */
  YYSYMBOL_opt_nowait_or_skip = 1045,      /* opt_nowait_or_skip  */
  YYSYMBOL_UpdateStmt = 1046,              /* UpdateStmt  */
  YYSYMBOL_set_clause_list = 1047,         /* set_clause_list  */
  YYSYMBOL_set_clause = 1048,              /* set_clause  */
  YYSYMBOL_set_target = 1049,              /* set_target  */
  YYSYMBOL_set_target_list = 1050,         /* set_target_list  */
  YYSYMBOL_MergeStmt = 1051,               /* MergeStmt  */
  YYSYMBOL_merge_when_list = 1052,         /* merge_when_list  */
  YYSYMBOL_merge_when_clause = 1053,       /* merge_when_clause  */
  YYSYMBOL_opt_merge_when_condition = 1054, /* opt_merge_when_condition  */
  YYSYMBOL_merge_update = 1055,            /* merge_update  */
  YYSYMBOL_merge_delete = 1056,            /* merge_delete  */
  YYSYMBOL_merge_insert = 1057,            /* merge_insert  */
  YYSYMBOL_merge_values_clause = 1058,     /* merge_values_clause  */
  YYSYMBOL_DeclareCursorStmt = 1059,       /* DeclareCursorStmt  */
  YYSYMBOL_cursor_name = 1060,             /* cursor_name  */
  YYSYMBOL_cursor_options = 1061,          /* cursor_options  */
  YYSYMBOL_opt_hold = 1062,                /* opt_hold  */
  YYSYMBOL_SelectStmt = 1063,              /* SelectStmt  */
  YYSYMBOL_select_with_parens = 1064,      /* select_with_parens  */
  YYSYMBOL_select_no_parens = 1065,        /* select_no_parens  */
  YYSYMBOL_select_clause = 1066,           /* select_clause  */
  YYSYMBOL_simple_select = 1067,           /* simple_select  */
  YYSYMBOL_with_clause = 1068,             /* with_clause  */
  YYSYMBOL_cte_list = 1069,                /* cte_list  */
  YYSYMBOL_common_table_expr = 1070,       /* common_table_expr  */
  YYSYMBOL_opt_materialized = 1071,        /* opt_materialized  */
  YYSYMBOL_opt_search_clause = 1072,       /* opt_search_clause  */
  YYSYMBOL_opt_cycle_clause = 1073,        /* opt_cycle_clause  */
  YYSYMBOL_opt_with_clause = 1074,         /* opt_with_clause  */
  YYSYMBOL_into_clause = 1075,             /* into_clause  */
  YYSYMBOL_OptTempTableName = 1076,        /* OptTempTableName  */
  YYSYMBOL_opt_table = 1077,               /* opt_table  */
  YYSYMBOL_set_quantifier = 1078,          /* set_quantifier  */
  YYSYMBOL_distinct_clause = 1079,         /* distinct_clause  */
  YYSYMBOL_opt_all_clause = 1080,          /* opt_all_clause  */
  YYSYMBOL_opt_sort_clause = 1081,         /* opt_sort_clause  */
  YYSYMBOL_sort_clause = 1082,             /* sort_clause  */
  YYSYMBOL_sortby_list = 1083,             /* sortby_list  */
  YYSYMBOL_sortby = 1084,                  /* sortby  */
  YYSYMBOL_select_limit = 1085,            /* select_limit  */
  YYSYMBOL_opt_select_limit = 1086,        /* opt_select_limit  */
  YYSYMBOL_limit_clause = 1087,            /* limit_clause  */
  YYSYMBOL_offset_clause = 1088,           /* offset_clause  */
  YYSYMBOL_select_limit_value = 1089,      /* select_limit_value  */
  YYSYMBOL_select_offset_value = 1090,     /* select_offset_value  */
  YYSYMBOL_select_fetch_first_value = 1091, /* select_fetch_first_value  */
  YYSYMBOL_I_or_F_const = 1092,            /* I_or_F_const  */
  YYSYMBOL_row_or_rows = 1093,             /* row_or_rows  */
  YYSYMBOL_first_or_next = 1094,           /* first_or_next  */
  YYSYMBOL_group_clause = 1095,            /* group_clause  */
  YYSYMBOL_group_by_list = 1096,           /* group_by_list  */
  YYSYMBOL_group_by_item = 1097,           /* group_by_item  */
  YYSYMBOL_empty_grouping_set = 1098,      /* empty_grouping_set  */
  YYSYMBOL_rollup_clause = 1099,           /* rollup_clause  */
  YYSYMBOL_cube_clause = 1100,             /* cube_clause  */
  YYSYMBOL_grouping_sets_clause = 1101,    /* grouping_sets_clause  */
  YYSYMBOL_having_clause = 1102,           /* having_clause  */
  YYSYMBOL_for_locking_clause = 1103,      /* for_locking_clause  */
  YYSYMBOL_opt_for_locking_clause = 1104,  /* opt_for_locking_clause  */
  YYSYMBOL_for_locking_items = 1105,       /* for_locking_items  */
  YYSYMBOL_for_locking_item = 1106,        /* for_locking_item  */
  YYSYMBOL_for_locking_strength = 1107,    /* for_locking_strength  */
  YYSYMBOL_locked_rels_list = 1108,        /* locked_rels_list  */
  YYSYMBOL_values_clause = 1109,           /* values_clause  */
  YYSYMBOL_from_clause = 1110,             /* from_clause  */
  YYSYMBOL_from_list = 1111,               /* from_list  */
  YYSYMBOL_table_ref = 1112,               /* table_ref  */
  YYSYMBOL_joined_table = 1113,            /* joined_table  */
  YYSYMBOL_alias_clause = 1114,            /* alias_clause  */
  YYSYMBOL_opt_alias_clause = 1115,        /* opt_alias_clause  */
  YYSYMBOL_opt_alias_clause_for_join_using = 1116, /* opt_alias_clause_for_join_using  */
  YYSYMBOL_func_alias_clause = 1117,       /* func_alias_clause  */
  YYSYMBOL_join_type = 1118,               /* join_type  */
  YYSYMBOL_opt_outer = 1119,               /* opt_outer  */
  YYSYMBOL_join_qual = 1120,               /* join_qual  */
  YYSYMBOL_relation_expr = 1121,           /* relation_expr  */
  YYSYMBOL_extended_relation_expr = 1122,  /* extended_relation_expr  */
  YYSYMBOL_relation_expr_list = 1123,      /* relation_expr_list  */
  YYSYMBOL_relation_expr_opt_alias = 1124, /* relation_expr_opt_alias  */
  YYSYMBOL_tablesample_clause = 1125,      /* tablesample_clause  */
  YYSYMBOL_opt_repeatable_clause = 1126,   /* opt_repeatable_clause  */
  YYSYMBOL_func_table = 1127,              /* func_table  */
  YYSYMBOL_rowsfrom_item = 1128,           /* rowsfrom_item  */
  YYSYMBOL_rowsfrom_list = 1129,           /* rowsfrom_list  */
  YYSYMBOL_opt_col_def_list = 1130,        /* opt_col_def_list  */
  YYSYMBOL_opt_ordinality = 1131,          /* opt_ordinality  */
  YYSYMBOL_where_clause = 1132,            /* where_clause  */
  YYSYMBOL_where_or_current_clause = 1133, /* where_or_current_clause  */
  YYSYMBOL_OptTableFuncElementList = 1134, /* OptTableFuncElementList  */
  YYSYMBOL_TableFuncElementList = 1135,    /* TableFuncElementList  */
  YYSYMBOL_TableFuncElement = 1136,        /* TableFuncElement  */
  YYSYMBOL_xmltable = 1137,                /* xmltable  */
  YYSYMBOL_xmltable_column_list = 1138,    /* xmltable_column_list  */
  YYSYMBOL_xmltable_column_el = 1139,      /* xmltable_column_el  */
  YYSYMBOL_xmltable_column_option_list = 1140, /* xmltable_column_option_list  */
  YYSYMBOL_xmltable_column_option_el = 1141, /* xmltable_column_option_el  */
  YYSYMBOL_xml_namespace_list = 1142,      /* xml_namespace_list  */
  YYSYMBOL_xml_namespace_el = 1143,        /* xml_namespace_el  */
  YYSYMBOL_Typename = 1144,                /* Typename  */
  YYSYMBOL_opt_array_bounds = 1145,        /* opt_array_bounds  */
  YYSYMBOL_SimpleTypename = 1146,          /* SimpleTypename  */
  YYSYMBOL_ConstTypename = 1147,           /* ConstTypename  */
  YYSYMBOL_GenericType = 1148,             /* GenericType  */
  YYSYMBOL_opt_type_modifiers = 1149,      /* opt_type_modifiers  */
  YYSYMBOL_Numeric = 1150,                 /* Numeric  */
  YYSYMBOL_opt_float = 1151,               /* opt_float  */
  YYSYMBOL_Bit = 1152,                     /* Bit  */
  YYSYMBOL_ConstBit = 1153,                /* ConstBit  */
  YYSYMBOL_BitWithLength = 1154,           /* BitWithLength  */
  YYSYMBOL_BitWithoutLength = 1155,        /* BitWithoutLength  */
  YYSYMBOL_Character = 1156,               /* Character  */
  YYSYMBOL_ConstCharacter = 1157,          /* ConstCharacter  */
  YYSYMBOL_CharacterWithLength = 1158,     /* CharacterWithLength  */
  YYSYMBOL_CharacterWithoutLength = 1159,  /* CharacterWithoutLength  */
  YYSYMBOL_character = 1160,               /* character  */
  YYSYMBOL_opt_varying = 1161,             /* opt_varying  */
  YYSYMBOL_ConstDatetime = 1162,           /* ConstDatetime  */
  YYSYMBOL_ConstInterval = 1163,           /* ConstInterval  */
  YYSYMBOL_opt_timezone = 1164,            /* opt_timezone  */
  YYSYMBOL_opt_interval = 1165,            /* opt_interval  */
  YYSYMBOL_interval_second = 1166,         /* interval_second  */
  YYSYMBOL_a_expr = 1167,                  /* a_expr  */
  YYSYMBOL_b_expr = 1168,                  /* b_expr  */
  YYSYMBOL_c_expr = 1169,                  /* c_expr  */
  YYSYMBOL_func_application = 1170,        /* func_application  */
  YYSYMBOL_func_expr = 1171,               /* func_expr  */
  YYSYMBOL_func_expr_windowless = 1172,    /* func_expr_windowless  */
  YYSYMBOL_func_expr_common_subexpr = 1173, /* func_expr_common_subexpr  */
  YYSYMBOL_xml_root_version = 1174,        /* xml_root_version  */
  YYSYMBOL_opt_xml_root_standalone = 1175, /* opt_xml_root_standalone  */
  YYSYMBOL_xml_attributes = 1176,          /* xml_attributes  */
  YYSYMBOL_xml_attribute_list = 1177,      /* xml_attribute_list  */
  YYSYMBOL_xml_attribute_el = 1178,        /* xml_attribute_el  */
  YYSYMBOL_document_or_content = 1179,     /* document_or_content  */
  YYSYMBOL_xml_whitespace_option = 1180,   /* xml_whitespace_option  */
  YYSYMBOL_xmlexists_argument = 1181,      /* xmlexists_argument  */
  YYSYMBOL_xml_passing_mech = 1182,        /* xml_passing_mech  */
  YYSYMBOL_within_group_clause = 1183,     /* within_group_clause  */
  YYSYMBOL_filter_clause = 1184,           /* filter_clause  */
  YYSYMBOL_window_clause = 1185,           /* window_clause  */
  YYSYMBOL_window_definition_list = 1186,  /* window_definition_list  */
  YYSYMBOL_window_definition = 1187,       /* window_definition  */
  YYSYMBOL_over_clause = 1188,             /* over_clause  */
  YYSYMBOL_window_specification = 1189,    /* window_specification  */
  YYSYMBOL_opt_existing_window_name = 1190, /* opt_existing_window_name  */
  YYSYMBOL_opt_partition_clause = 1191,    /* opt_partition_clause  */
  YYSYMBOL_opt_frame_clause = 1192,        /* opt_frame_clause  */
  YYSYMBOL_frame_extent = 1193,            /* frame_extent  */
  YYSYMBOL_frame_bound = 1194,             /* frame_bound  */
  YYSYMBOL_opt_window_exclusion_clause = 1195, /* opt_window_exclusion_clause  */
  YYSYMBOL_row = 1196,                     /* row  */
  YYSYMBOL_explicit_row = 1197,            /* explicit_row  */
  YYSYMBOL_implicit_row = 1198,            /* implicit_row  */
  YYSYMBOL_sub_type = 1199,                /* sub_type  */
  YYSYMBOL_all_Op = 1200,                  /* all_Op  */
  YYSYMBOL_MathOp = 1201,                  /* MathOp  */
  YYSYMBOL_qual_Op = 1202,                 /* qual_Op  */
  YYSYMBOL_qual_all_Op = 1203,             /* qual_all_Op  */
  YYSYMBOL_subquery_Op = 1204,             /* subquery_Op  */
  YYSYMBOL_expr_list = 1205,               /* expr_list  */
  YYSYMBOL_func_arg_list = 1206,           /* func_arg_list  */
  YYSYMBOL_func_arg_expr = 1207,           /* func_arg_expr  */
  YYSYMBOL_func_arg_list_opt = 1208,       /* func_arg_list_opt  */
  YYSYMBOL_type_list = 1209,               /* type_list  */
  YYSYMBOL_array_expr = 1210,              /* array_expr  */
  YYSYMBOL_array_expr_list = 1211,         /* array_expr_list  */
  YYSYMBOL_extract_list = 1212,            /* extract_list  */
  YYSYMBOL_extract_arg = 1213,             /* extract_arg  */
  YYSYMBOL_unicode_normal_form = 1214,     /* unicode_normal_form  */
  YYSYMBOL_overlay_list = 1215,            /* overlay_list  */
  YYSYMBOL_position_list = 1216,           /* position_list  */
  YYSYMBOL_substr_list = 1217,             /* substr_list  */
  YYSYMBOL_trim_list = 1218,               /* trim_list  */
  YYSYMBOL_in_expr = 1219,                 /* in_expr  */
  YYSYMBOL_case_expr = 1220,               /* case_expr  */
  YYSYMBOL_when_clause_list = 1221,        /* when_clause_list  */
  YYSYMBOL_when_clause = 1222,             /* when_clause  */
  YYSYMBOL_case_default = 1223,            /* case_default  */
  YYSYMBOL_case_arg = 1224,                /* case_arg  */
  YYSYMBOL_columnref = 1225,               /* columnref  */
  YYSYMBOL_indirection_el = 1226,          /* indirection_el  */
  YYSYMBOL_opt_slice_bound = 1227,         /* opt_slice_bound  */
  YYSYMBOL_indirection = 1228,             /* indirection  */
  YYSYMBOL_opt_indirection = 1229,         /* opt_indirection  */
  YYSYMBOL_opt_asymmetric = 1230,          /* opt_asymmetric  */
  YYSYMBOL_opt_target_list = 1231,         /* opt_target_list  */
  YYSYMBOL_target_list = 1232,             /* target_list  */
  YYSYMBOL_target_el = 1233,               /* target_el  */
  YYSYMBOL_qualified_name_list = 1234,     /* qualified_name_list  */
  YYSYMBOL_qualified_name = 1235,          /* qualified_name  */
  YYSYMBOL_name_list = 1236,               /* name_list  */
  YYSYMBOL_name = 1237,                    /* name  */
  YYSYMBOL_attr_name = 1238,               /* attr_name  */
  YYSYMBOL_file_name = 1239,               /* file_name  */
  YYSYMBOL_func_name = 1240,               /* func_name  */
  YYSYMBOL_AexprConst = 1241,              /* AexprConst  */
  YYSYMBOL_Iconst = 1242,                  /* Iconst  */
  YYSYMBOL_SignedIconst = 1243,            /* SignedIconst  */
  YYSYMBOL_RoleId = 1244,                  /* RoleId  */
  YYSYMBOL_RoleSpec = 1245,                /* RoleSpec  */
  YYSYMBOL_role_list = 1246,               /* role_list  */
  YYSYMBOL_NonReservedWord = 1247,         /* NonReservedWord  */
  YYSYMBOL_BareColLabel = 1248,            /* BareColLabel  */
  YYSYMBOL_unreserved_keyword = 1249,      /* unreserved_keyword  */
  YYSYMBOL_col_name_keyword = 1250,        /* col_name_keyword  */
  YYSYMBOL_type_func_name_keyword = 1251,  /* type_func_name_keyword  */
  YYSYMBOL_reserved_keyword = 1252,        /* reserved_keyword  */
  YYSYMBOL_bare_label_keyword = 1253,      /* bare_label_keyword  */
  YYSYMBOL_statements = 1254,              /* statements  */
  YYSYMBOL_statement = 1255,               /* statement  */
  YYSYMBOL_CreateAsStmt = 1256,            /* CreateAsStmt  */
  YYSYMBOL_1257_1 = 1257,                  /* $@1  */
  YYSYMBOL_1258_2 = 1258,                  /* $@2  */
  YYSYMBOL_at = 1259,                      /* at  */
  YYSYMBOL_ECPGConnect = 1260,             /* ECPGConnect  */
  YYSYMBOL_connection_target = 1261,       /* connection_target  */
  YYSYMBOL_opt_database_name = 1262,       /* opt_database_name  */
  YYSYMBOL_db_prefix = 1263,               /* db_prefix  */
  YYSYMBOL_server = 1264,                  /* server  */
  YYSYMBOL_opt_server = 1265,              /* opt_server  */
  YYSYMBOL_server_name = 1266,             /* server_name  */
  YYSYMBOL_opt_port = 1267,                /* opt_port  */
  YYSYMBOL_opt_connection_name = 1268,     /* opt_connection_name  */
  YYSYMBOL_opt_user = 1269,                /* opt_user  */
  YYSYMBOL_ora_user = 1270,                /* ora_user  */
  YYSYMBOL_user_name = 1271,               /* user_name  */
  YYSYMBOL_char_variable = 1272,           /* char_variable  */
  YYSYMBOL_opt_options = 1273,             /* opt_options  */
  YYSYMBOL_connect_options = 1274,         /* connect_options  */
  YYSYMBOL_opt_opt_value = 1275,           /* opt_opt_value  */
  YYSYMBOL_prepared_name = 1276,           /* prepared_name  */
  YYSYMBOL_ECPGDeclareStmt = 1277,         /* ECPGDeclareStmt  */
  YYSYMBOL_ECPGCursorStmt = 1278,          /* ECPGCursorStmt  */
  YYSYMBOL_ECPGExecuteImmediateStmt = 1279, /* ECPGExecuteImmediateStmt  */
  YYSYMBOL_ECPGVarDeclaration = 1280,      /* ECPGVarDeclaration  */
  YYSYMBOL_single_vt_declaration = 1281,   /* single_vt_declaration  */
  YYSYMBOL_precision = 1282,               /* precision  */
  YYSYMBOL_opt_scale = 1283,               /* opt_scale  */
  YYSYMBOL_ecpg_interval = 1284,           /* ecpg_interval  */
  YYSYMBOL_ECPGDeclaration = 1285,         /* ECPGDeclaration  */
  YYSYMBOL_1286_3 = 1286,                  /* $@3  */
  YYSYMBOL_sql_startdeclare = 1287,        /* sql_startdeclare  */
  YYSYMBOL_sql_enddeclare = 1288,          /* sql_enddeclare  */
  YYSYMBOL_var_type_declarations = 1289,   /* var_type_declarations  */
  YYSYMBOL_vt_declarations = 1290,         /* vt_declarations  */
  YYSYMBOL_variable_declarations = 1291,   /* variable_declarations  */
  YYSYMBOL_type_declaration = 1292,        /* type_declaration  */
  YYSYMBOL_1293_4 = 1293,                  /* $@4  */
  YYSYMBOL_var_declaration = 1294,         /* var_declaration  */
  YYSYMBOL_1295_5 = 1295,                  /* $@5  */
  YYSYMBOL_1296_6 = 1296,                  /* $@6  */
  YYSYMBOL_opt_bit_field = 1297,           /* opt_bit_field  */
  YYSYMBOL_storage_declaration = 1298,     /* storage_declaration  */
  YYSYMBOL_storage_clause = 1299,          /* storage_clause  */
  YYSYMBOL_storage_modifier = 1300,        /* storage_modifier  */
  YYSYMBOL_var_type = 1301,                /* var_type  */
  YYSYMBOL_enum_type = 1302,               /* enum_type  */
  YYSYMBOL_enum_definition = 1303,         /* enum_definition  */
  YYSYMBOL_struct_union_type_with_symbol = 1304, /* struct_union_type_with_symbol  */
  YYSYMBOL_1305_7 = 1305,                  /* $@7  */
  YYSYMBOL_struct_union_type = 1306,       /* struct_union_type  */
  YYSYMBOL_1307_8 = 1307,                  /* $@8  */
  YYSYMBOL_s_struct_union_symbol = 1308,   /* s_struct_union_symbol  */
  YYSYMBOL_s_struct_union = 1309,          /* s_struct_union  */
  YYSYMBOL_simple_type = 1310,             /* simple_type  */
  YYSYMBOL_unsigned_type = 1311,           /* unsigned_type  */
  YYSYMBOL_signed_type = 1312,             /* signed_type  */
  YYSYMBOL_opt_signed = 1313,              /* opt_signed  */
  YYSYMBOL_variable_list = 1314,           /* variable_list  */
  YYSYMBOL_variable = 1315,                /* variable  */
  YYSYMBOL_opt_initializer = 1316,         /* opt_initializer  */
  YYSYMBOL_opt_pointer = 1317,             /* opt_pointer  */
  YYSYMBOL_ECPGDeclare = 1318,             /* ECPGDeclare  */
  YYSYMBOL_ECPGDisconnect = 1319,          /* ECPGDisconnect  */
  YYSYMBOL_dis_name = 1320,                /* dis_name  */
  YYSYMBOL_connection_object = 1321,       /* connection_object  */
  YYSYMBOL_execstring = 1322,              /* execstring  */
  YYSYMBOL_ECPGFree = 1323,                /* ECPGFree  */
  YYSYMBOL_ECPGOpen = 1324,                /* ECPGOpen  */
  YYSYMBOL_opt_ecpg_using = 1325,          /* opt_ecpg_using  */
  YYSYMBOL_ecpg_using = 1326,              /* ecpg_using  */
  YYSYMBOL_using_descriptor = 1327,        /* using_descriptor  */
  YYSYMBOL_into_descriptor = 1328,         /* into_descriptor  */
  YYSYMBOL_into_sqlda = 1329,              /* into_sqlda  */
  YYSYMBOL_using_list = 1330,              /* using_list  */
  YYSYMBOL_UsingValue = 1331,              /* UsingValue  */
  YYSYMBOL_UsingConst = 1332,              /* UsingConst  */
  YYSYMBOL_ECPGDescribe = 1333,            /* ECPGDescribe  */
  YYSYMBOL_opt_output = 1334,              /* opt_output  */
  YYSYMBOL_ECPGAllocateDescr = 1335,       /* ECPGAllocateDescr  */
  YYSYMBOL_ECPGDeallocateDescr = 1336,     /* ECPGDeallocateDescr  */
  YYSYMBOL_ECPGGetDescriptorHeader = 1337, /* ECPGGetDescriptorHeader  */
  YYSYMBOL_ECPGGetDescHeaderItems = 1338,  /* ECPGGetDescHeaderItems  */
  YYSYMBOL_ECPGGetDescHeaderItem = 1339,   /* ECPGGetDescHeaderItem  */
  YYSYMBOL_ECPGSetDescriptorHeader = 1340, /* ECPGSetDescriptorHeader  */
  YYSYMBOL_ECPGSetDescHeaderItems = 1341,  /* ECPGSetDescHeaderItems  */
  YYSYMBOL_ECPGSetDescHeaderItem = 1342,   /* ECPGSetDescHeaderItem  */
  YYSYMBOL_IntConstVar = 1343,             /* IntConstVar  */
  YYSYMBOL_desc_header_item = 1344,        /* desc_header_item  */
  YYSYMBOL_ECPGGetDescriptor = 1345,       /* ECPGGetDescriptor  */
  YYSYMBOL_ECPGGetDescItems = 1346,        /* ECPGGetDescItems  */
  YYSYMBOL_ECPGGetDescItem = 1347,         /* ECPGGetDescItem  */
  YYSYMBOL_ECPGSetDescriptor = 1348,       /* ECPGSetDescriptor  */
  YYSYMBOL_ECPGSetDescItems = 1349,        /* ECPGSetDescItems  */
  YYSYMBOL_ECPGSetDescItem = 1350,         /* ECPGSetDescItem  */
  YYSYMBOL_AllConstVar = 1351,             /* AllConstVar  */
  YYSYMBOL_descriptor_item = 1352,         /* descriptor_item  */
  YYSYMBOL_ECPGSetAutocommit = 1353,       /* ECPGSetAutocommit  */
  YYSYMBOL_on_off = 1354,                  /* on_off  */
  YYSYMBOL_ECPGSetConnection = 1355,       /* ECPGSetConnection  */
  YYSYMBOL_ECPGTypedef = 1356,             /* ECPGTypedef  */
  YYSYMBOL_1357_9 = 1357,                  /* $@9  */
  YYSYMBOL_opt_reference = 1358,           /* opt_reference  */
  YYSYMBOL_ECPGVar = 1359,                 /* ECPGVar  */
  YYSYMBOL_1360_10 = 1360,                 /* $@10  */
  YYSYMBOL_ECPGWhenever = 1361,            /* ECPGWhenever  */
  YYSYMBOL_action = 1362,                  /* action  */
  YYSYMBOL_ECPGKeywords = 1363,            /* ECPGKeywords  */
  YYSYMBOL_ECPGKeywords_vanames = 1364,    /* ECPGKeywords_vanames  */
  YYSYMBOL_ECPGKeywords_rest = 1365,       /* ECPGKeywords_rest  */
  YYSYMBOL_ECPGTypeName = 1366,            /* ECPGTypeName  */
  YYSYMBOL_symbol = 1367,                  /* symbol  */
  YYSYMBOL_ECPGColId = 1368,               /* ECPGColId  */
  YYSYMBOL_ColId = 1369,                   /* ColId  */
  YYSYMBOL_type_function_name = 1370,      /* type_function_name  */
  YYSYMBOL_ColLabel = 1371,                /* ColLabel  */
  YYSYMBOL_ECPGColLabel = 1372,            /* ECPGColLabel  */
  YYSYMBOL_ECPGColLabelCommon = 1373,      /* ECPGColLabelCommon  */
  YYSYMBOL_ECPGCKeywords = 1374,           /* ECPGCKeywords  */
  YYSYMBOL_all_unreserved_keyword = 1375,  /* all_unreserved_keyword  */
  YYSYMBOL_ECPGunreserved_interval = 1376, /* ECPGunreserved_interval  */
  YYSYMBOL_into_list = 1377,               /* into_list  */
  YYSYMBOL_ecpgstart = 1378,               /* ecpgstart  */
  YYSYMBOL_c_args = 1379,                  /* c_args  */
  YYSYMBOL_coutputvariable = 1380,         /* coutputvariable  */
  YYSYMBOL_civarind = 1381,                /* civarind  */
  YYSYMBOL_char_civar = 1382,              /* char_civar  */
  YYSYMBOL_civar = 1383,                   /* civar  */
  YYSYMBOL_indicator = 1384,               /* indicator  */
  YYSYMBOL_cvariable = 1385,               /* cvariable  */
  YYSYMBOL_ecpg_param = 1386,              /* ecpg_param  */
  YYSYMBOL_ecpg_bconst = 1387,             /* ecpg_bconst  */
  YYSYMBOL_ecpg_fconst = 1388,             /* ecpg_fconst  */
  YYSYMBOL_ecpg_sconst = 1389,             /* ecpg_sconst  */
  YYSYMBOL_ecpg_xconst = 1390,             /* ecpg_xconst  */
  YYSYMBOL_ecpg_ident = 1391,              /* ecpg_ident  */
  YYSYMBOL_quoted_ident_stringvar = 1392,  /* quoted_ident_stringvar  */
  YYSYMBOL_c_stuff_item = 1393,            /* c_stuff_item  */
  YYSYMBOL_c_stuff = 1394,                 /* c_stuff  */
  YYSYMBOL_c_list = 1395,                  /* c_list  */
  YYSYMBOL_c_term = 1396,                  /* c_term  */
  YYSYMBOL_c_thing = 1397,                 /* c_thing  */
  YYSYMBOL_c_anything = 1398,              /* c_anything  */
  YYSYMBOL_DeallocateStmt = 1399,          /* DeallocateStmt  */
  YYSYMBOL_Iresult = 1400,                 /* Iresult  */
  YYSYMBOL_execute_rest = 1401,            /* execute_rest  */
  YYSYMBOL_ecpg_into = 1402,               /* ecpg_into  */
  YYSYMBOL_opt_ecpg_into = 1403,           /* opt_ecpg_into  */
  YYSYMBOL_ecpg_fetch_into = 1404,         /* ecpg_fetch_into  */
  YYSYMBOL_opt_ecpg_fetch_into = 1405      /* opt_ecpg_fetch_into  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                            \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   151853

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  578
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  828
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3669
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  6721

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   813


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   565,     2,     2,
     570,   571,   563,   561,   573,   562,   572,   564,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   575,   574,
     558,   560,   559,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   568,     2,   569,   566,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   576,     2,   577,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   567
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,  1673,  1673,  1676,  1680,  1690,  1692,  1694,  1696,  1698,
    1700,  1702,  1704,  1706,  1708,  1710,  1712,  1714,  1716,  1718,
    1720,  1722,  1724,  1726,  1728,  1730,  1732,  1734,  1736,  1738,
    1740,  1742,  1744,  1746,  1748,  1750,  1752,  1754,  1756,  1758,
    1760,  1778,  1780,  1782,  1784,  1786,  1788,  1790,  1792,  1794,
    1796,  1798,  1800,  1802,  1804,  1806,  1808,  1810,  1812,  1814,
    1816,  1818,  1820,  1822,  1824,  1826,  1828,  1830,  1832,  1834,
    1836,  1838,  1840,  1842,  1844,  1846,  1848,  1850,  1854,  1856,
    1858,  1860,  1862,  1864,  1866,  1868,  1870,  1872,  1874,  1876,
    1878,  1880,  1882,  1884,  1886,  1910,  1912,  1914,  1916,  1918,
    1920,  1922,  1924,  1926,  1928,  1930,  1932,  1934,  1936,  1964,
    1966,  1968,  1970,  1972,  1974,  1976,  1978,  1980,  1982,  1984,
    1986,  1992,  1994,  1996,  1998,  2000,  2002,  2004,  2006,  2008,
    2014,  2024,  2028,  2032,  2038,  2042,  2054,  2064,  2065,  2079,
    2086,  2092,  2103,  2109,  2118,  2125,  2131,  2140,  2147,  2155,
    2160,  2168,  2176,  2180,  2185,  2191,  2196,  2202,  2207,  2213,
    2217,  2221,  2225,  2230,  2234,  2238,  2242,  2246,  2254,  2258,
    2262,  2266,  2270,  2274,  2282,  2290,  2294,  2303,  2305,  2313,
    2317,  2321,  2325,  2333,  2337,  2341,  2345,  2349,  2353,  2361,
    2369,  2377,  2381,  2389,  2393,  2397,  2401,  2409,  2414,  2420,
    2425,  2431,  2435,  2439,  2443,  2447,  2451,  2459,  2463,  2467,
    2475,  2479,  2483,  2491,  2495,  2499,  2503,  2511,  2515,  2519,
    2523,  2528,  2532,  2536,  2540,  2544,  2548,  2552,  2560,  2564,
    2572,  2576,  2584,  2588,  2602,  2606,  2610,  2614,  2622,  2626,
    2630,  2634,  2642,  2646,  2650,  2654,  2658,  2662,  2666,  2674,
    2678,  2683,  2689,  2693,  2701,  2709,  2713,  2717,  2721,  2729,
    2733,  2741,  2745,  2753,  2757,  2765,  2769,  2773,  2777,  2781,
    2790,  2798,  2802,  2810,  2814,  2822,  2830,  2834,  2838,  2842,
    2846,  2854,  2858,  2862,  2866,  2870,  2874,  2878,  2882,  2886,
    2890,  2894,  2898,  2902,  2906,  2910,  2914,  2918,  2922,  2926,
    2930,  2934,  2942,  2946,  2954,  2958,  2962,  2970,  2978,  2982,
    2986,  2990,  2994,  2998,  3002,  3006,  3010,  3014,  3018,  3022,
    3026,  3030,  3034,  3038,  3042,  3046,  3050,  3054,  3058,  3062,
    3066,  3070,  3074,  3078,  3082,  3086,  3090,  3094,  3098,  3102,
    3106,  3110,  3114,  3118,  3122,  3126,  3130,  3134,  3138,  3142,
    3146,  3150,  3154,  3158,  3162,  3166,  3170,  3174,  3178,  3182,
    3186,  3190,  3194,  3198,  3202,  3206,  3210,  3214,  3222,  3226,
    3234,  3238,  3243,  3249,  3254,  3260,  3265,  3271,  3275,  3279,
    3283,  3291,  3299,  3304,  3310,  3314,  3322,  3326,  3330,  3334,
    3342,  3346,  3354,  3358,  3362,  3366,  3374,  3378,  3382,  3386,
    3394,  3402,  3406,  3414,  3422,  3426,  3434,  3438,  3442,  3446,
    3454,  3470,  3478,  3486,  3494,  3498,  3506,  3511,  3517,  3521,
    3525,  3533,  3537,  3545,  3550,  3556,  3560,  3564,  3568,  3572,
    3576,  3580,  3584,  3588,  3592,  3596,  3600,  3604,  3612,  3617,
    3623,  3628,  3634,  3639,  3645,  3649,  3657,  3665,  3669,  3673,
    3677,  3682,  3688,  3692,  3700,  3708,  3712,  3716,  3720,  3724,
    3728,  3736,  3740,  3744,  3748,  3752,  3756,  3760,  3765,  3771,
    3776,  3782,  3787,  3793,  3797,  3805,  3809,  3817,  3821,  3825,
    3833,  3837,  3845,  3853,  3857,  3865,  3869,  3877,  3882,  3888,
    3893,  3899,  3903,  3907,  3911,  3919,  3923,  3927,  3931,  3935,
    3939,  3943,  3947,  3951,  3959,  3963,  3968,  3974,  3978,  3986,
    3990,  3994,  3998,  4006,  4014,  4018,  4023,  4029,  4033,  4037,
    4041,  4045,  4049,  4053,  4057,  4061,  4065,  4073,  4077,  4085,
    4089,  4093,  4097,  4101,  4105,  4109,  4117,  4122,  4128,  4133,
    4139,  4143,  4151,  4159,  4164,  4170,  4174,  4179,  4184,  4190,
    4194,  4202,  4206,  4214,  4219,  4225,  4229,  4233,  4237,  4242,
    4248,  4256,  4264,  4268,  4272,  4276,  4280,  4288,  4293,  4299,
    4304,  4310,  4318,  4322,  4330,  4334,  4338,  4346,  4351,  4357,
    4361,  4366,  4372,  4376,  4380,  4385,  4391,  4396,  4402,  4407,
    4413,  4421,  4425,  4433,  4437,  4445,  4449,  4453,  4461,  4465,
    4473,  4481,  4485,  4490,  4496,  4500,  4508,  4516,  4521,  4527,
    4535,  4539,  4547,  4551,  4559,  4564,  4570,  4575,  4581,  4585,
    4593,  4597,  4601,  4605,  4609,  4613,  4617,  4621,  4625,  4629,
    4633,  4637,  4641,  4645,  4649,  4653,  4661,  4666,  4672,  4676,
    4680,  4684,  4692,  4696,  4704,  4708,  4716,  4721,  4727,  4731,
    4739,  4744,  4750,  4754,  4762,  4767,  4773,  4778,  4784,  4792,
    4797,  4803,  4807,  4815,  4819,  4827,  4832,  4838,  4842,  4846,
    4851,  4859,  4867,  4872,  4878,  4886,  4890,  4894,  4898,  4902,
    4906,  4910,  4914,  4918,  4922,  4926,  4930,  4934,  4942,  4950,
    4954,  4958,  4962,  4970,  4974,  4982,  4987,  4993,  4997,  5005,
    5010,  5016,  5020,  5028,  5036,  5040,  5048,  5052,  5056,  5060,
    5068,  5076,  5084,  5092,  5096,  5104,  5109,  5115,  5119,  5127,
    5132,  5138,  5142,  5146,  5154,  5158,  5162,  5166,  5174,  5182,
    5186,  5194,  5199,  5205,  5209,  5217,  5221,  5229,  5233,  5241,
    5249,  5257,  5265,  5270,  5276,  5281,  5287,  5292,  5298,  5303,
    5309,  5314,  5320,  5325,  5331,  5335,  5339,  5343,  5347,  5355,
    5363,  5367,  5375,  5379,  5387,  5391,  5395,  5403,  5407,  5415,
    5419,  5423,  5427,  5431,  5439,  5444,  5450,  5454,  5462,  5470,
    5474,  5482,  5486,  5494,  5502,  5507,  5513,  5518,  5524,  5528,
    5536,  5541,  5547,  5551,  5559,  5563,  5568,  5574,  5578,  5582,
    5586,  5594,  5599,  5606,  5608,  5616,  5620,  5624,  5628,  5632,
    5636,  5644,  5648,  5656,  5660,  5668,  5676,  5680,  5688,  5696,
    5700,  5704,  5708,  5716,  5725,  5729,  5733,  5737,  5741,  5745,
    5749,  5753,  5757,  5761,  5765,  5769,  5773,  5777,  5781,  5785,
    5793,  5801,  5805,  5813,  5817,  5825,  5829,  5833,  5837,  5841,
    5845,  5853,  5861,  5865,  5873,  5881,  5886,  5892,  5896,  5904,
    5908,  5912,  5916,  5924,  5929,  5935,  5943,  5947,  5955,  5959,
    5963,  5967,  5971,  5979,  5984,  5990,  5995,  6001,  6005,  6010,
    6016,  6022,  6028,  6036,  6040,  6048,  6052,  6060,  6064,  6072,
    6076,  6084,  6088,  6096,  6104,  6112,  6116,  6120,  6124,  6128,
    6132,  6136,  6140,  6144,  6148,  6152,  6156,  6164,  6168,  6172,
    6176,  6180,  6184,  6188,  6192,  6196,  6200,  6204,  6208,  6212,
    6220,  6224,  6228,  6232,  6236,  6244,  6248,  6252,  6256,  6260,
    6264,  6268,  6272,  6280,  6284,  6288,  6296,  6300,  6308,  6312,
    6320,  6324,  6332,  6336,  6344,  6352,  6356,  6361,  6367,  6371,
    6375,  6379,  6383,  6387,  6391,  6395,  6399,  6403,  6407,  6411,
    6415,  6419,  6423,  6427,  6431,  6435,  6443,  6447,  6455,  6459,
    6463,  6467,  6471,  6475,  6479,  6483,  6487,  6491,  6499,  6504,
    6510,  6514,  6522,  6526,  6530,  6534,  6543,  6552,  6561,  6570,
    6579,  6588,  6597,  6610,  6624,  6638,  6652,  6666,  6680,  6694,
    6713,  6732,  6751,  6765,  6784,  6798,  6817,  6835,  6839,  6847,
    6852,  6858,  6866,  6870,  6878,  6882,  6886,  6890,  6894,  6902,
    6906,  6914,  6918,  6922,  6926,  6930,  6938,  6942,  6950,  6954,
    6962,  6966,  6970,  6974,  6978,  6982,  6986,  6990,  6994,  6998,
    7002,  7006,  7010,  7014,  7018,  7022,  7026,  7030,  7034,  7038,
    7042,  7050,  7054,  7062,  7066,  7074,  7079,  7085,  7093,  7097,
    7105,  7110,  7116,  7121,  7127,  7135,  7140,  7146,  7150,  7154,
    7162,  7166,  7170,  7178,  7182,  7186,  7190,  7194,  7198,  7206,
    7210,  7218,  7223,  7229,  7234,  7240,  7245,  7251,  7256,  7262,
    7266,  7274,  7278,  7286,  7290,  7294,  7302,  7307,  7313,  7317,
    7325,  7330,  7336,  7341,  7347,  7351,  7356,  7362,  7366,  7371,
    7377,  7381,  7385,  7389,  7397,  7402,  7408,  7412,  7420,  7424,
    7432,  7436,  7444,  7448,  7452,  7456,  7464,  7468,  7476,  7480,
    7488,  7492,  7496,  7500,  7504,  7512,  7516,  7520,  7524,  7528,
    7536,  7544,  7552,  7556,  7560,  7568,  7572,  7576,  7584,  7592,
    7596,  7600,  7604,  7612,  7616,  7624,  7632,  7636,  7644,  7649,
    7655,  7659,  7667,  7671,  7675,  7679,  7683,  7687,  7691,  7695,
    7699,  7703,  7707,  7711,  7715,  7719,  7723,  7727,  7731,  7739,
    7743,  7747,  7751,  7755,  7763,  7767,  7775,  7783,  7787,  7792,
    7798,  7803,  7809,  7813,  7821,  7825,  7833,  7838,  7844,  7852,
    7856,  7864,  7868,  7872,  7880,  7884,  7892,  7897,  7903,  7907,
    7911,  7915,  7919,  7923,  7931,  7935,  7943,  7947,  7955,  7959,
    7963,  7967,  7975,  7979,  7987,  7991,  7999,  8007,  8015,  8019,
    8027,  8031,  8039,  8043,  8047,  8055,  8059,  8064,  8070,  8078,
    8083,  8089,  8097,  8101,  8105,  8109,  8117,  8125,  8129,  8133,
    8137,  8145,  8149,  8157,  8161,  8165,  8173,  8177,  8185,  8189,
    8193,  8197,  8201,  8205,  8209,  8213,  8217,  8221,  8225,  8229,
    8233,  8237,  8241,  8245,  8249,  8253,  8257,  8261,  8265,  8269,
    8273,  8277,  8281,  8285,  8289,  8293,  8297,  8301,  8305,  8309,
    8313,  8317,  8321,  8325,  8329,  8333,  8337,  8341,  8345,  8349,
    8353,  8357,  8361,  8365,  8369,  8373,  8377,  8381,  8385,  8389,
    8393,  8397,  8401,  8409,  8414,  8420,  8425,  8431,  8435,  8439,
    8443,  8447,  8451,  8459,  8464,  8470,  8474,  8478,  8482,  8486,
    8490,  8494,  8498,  8502,  8506,  8510,  8514,  8518,  8522,  8526,
    8530,  8534,  8538,  8542,  8546,  8550,  8554,  8558,  8562,  8566,
    8570,  8574,  8582,  8590,  8594,  8602,  8606,  8614,  8618,  8622,
    8626,  8630,  8638,  8646,  8650,  8654,  8658,  8662,  8666,  8670,
    8674,  8678,  8682,  8686,  8690,  8694,  8698,  8702,  8706,  8710,
    8714,  8718,  8722,  8726,  8730,  8734,  8738,  8746,  8750,  8754,
    8762,  8766,  8770,  8774,  8778,  8782,  8786,  8794,  8798,  8806,
    8810,  8814,  8818,  8826,  8834,  8838,  8842,  8846,  8850,  8854,
    8858,  8862,  8866,  8874,  8878,  8886,  8894,  8898,  8902,  8910,
    8914,  8922,  8926,  8930,  8934,  8938,  8946,  8951,  8957,  8961,
    8965,  8969,  8977,  8981,  8986,  8992,  9000,  9005,  9011,  9019,
    9023,  9031,  9035,  9039,  9043,  9047,  9051,  9055,  9059,  9063,
    9067,  9071,  9075,  9083,  9087,  9095,  9099,  9104,  9110,  9114,
    9118,  9122,  9126,  9134,  9138,  9142,  9150,  9155,  9161,  9165,
    9170,  9176,  9180,  9184,  9188,  9196,  9200,  9204,  9209,  9215,
    9223,  9231,  9236,  9242,  9246,  9254,  9258,  9262,  9270,  9274,
    9278,  9282,  9286,  9290,  9294,  9302,  9307,  9313,  9317,  9321,
    9325,  9333,  9341,  9345,  9349,  9353,  9361,  9365,  9373,  9381,
    9389,  9393,  9401,  9409,  9413,  9417,  9421,  9425,  9429,  9433,
    9441,  9446,  9452,  9460,  9464,  9468,  9472,  9476,  9480,  9488,
    9492,  9500,  9508,  9512,  9516,  9520,  9528,  9533,  9539,  9543,
    9551,  9555,  9563,  9567,  9575,  9579,  9587,  9595,  9599,  9607,
    9611,  9616,  9622,  9627,  9633,  9638,  9644,  9649,  9655,  9660,
    9666,  9671,  9677,  9685,  9689,  9697,  9702,  9708,  9712,  9716,
    9720,  9728,  9732,  9736,  9740,  9744,  9748,  9752,  9756,  9760,
    9764,  9772,  9778,  9788,  9793,  9799,  9803,  9807,  9811,  9815,
    9823,  9828,  9832,  9840,  9845,  9851,  9859,  9863,  9871,  9875,
    9879,  9883,  9887,  9895,  9899,  9907,  9911,  9919,  9927,  9931,
    9936,  9942,  9946,  9951,  9957,  9962,  9968,  9976,  9981,  9987,
    9995, 10000, 10006, 10010, 10014, 10018, 10022, 10026, 10030, 10034,
   10042, 10047, 10053, 10057, 10062, 10068, 10076, 10080, 10088, 10092,
   10100, 10108, 10112, 10120, 10128, 10132, 10140, 10144, 10148, 10152,
   10156, 10164, 10169, 10175, 10183, 10191, 10195, 10199, 10203, 10207,
   10215, 10223, 10274, 10278, 10291, 10293, 10297, 10301, 10305, 10309,
   10318, 10324, 10328, 10336, 10340, 10348, 10352, 10360, 10364, 10368,
   10372, 10376, 10380, 10384, 10388, 10396, 10400, 10408, 10412, 10416,
   10420, 10424, 10428, 10432, 10440, 10444, 10448, 10456, 10460, 10468,
   10476, 10480, 10485, 10491, 10495, 10500, 10506, 10510, 10515, 10521,
   10526, 10532, 10537, 10539, 10545, 10549, 10553, 10557, 10561, 10565,
   10569, 10573, 10577, 10585, 10590, 10596, 10600, 10605, 10611, 10615,
   10623, 10628, 10634, 10639, 10645, 10653, 10657, 10665, 10669, 10677,
   10681, 10685, 10689, 10697, 10702, 10708, 10712, 10717, 10721, 10725,
   10729, 10737, 10741, 10749, 10753, 10761, 10769, 10773, 10777, 10785,
   10789, 10797, 10801, 10809, 10813, 10821, 10826, 10832, 10836, 10844,
   10848, 10852, 10856, 10860, 10868, 10876, 10884, 10892, 10900, 10905,
   10911, 10915, 10923, 10928, 10934, 10938, 10946, 10954, 10958, 10962,
   10966, 10974, 10979, 10985, 10989, 10997, 11002, 11008, 11012, 11020,
   11024, 11028, 11032, 11036, 11040, 11044, 11051, 11058, 11062, 11070,
   11074, 11078, 11082, 11086, 11090, 11098, 11102, 11106, 11110, 11118,
   11123, 11129, 11134, 11140, 11144, 11148, 11152, 11157, 11163, 11167,
   11171, 11175, 11183, 11188, 11194, 11198, 11206, 11210, 11218, 11222,
   11226, 11234, 11238, 11246, 11250, 11254, 11262, 11270, 11275, 11281,
   11285, 11293, 11301, 11305, 11313, 11318, 11324, 11329, 11335, 11340,
   11346, 11350, 11356, 11362, 11367, 11373, 11377, 11385, 11393, 11397,
   11405, 11409, 11417, 11421, 11425, 11433, 11437, 11445, 11449, 11453,
   11457, 11465, 11469, 11477, 11481, 11489, 11491, 11493, 11497, 11501,
   11505, 11513, 11523, 11534, 11543, 11547, 11551, 11555, 11559, 11563,
   11567, 11575, 11579, 11583, 11587, 11595, 11599, 11607, 11612, 11618,
   11622, 11626, 11630, 11634, 11638, 11642, 11646, 11650, 11654, 11658,
   11666, 11671, 11677, 11681, 11689, 11693, 11701, 11709, 11717, 11721,
   11729, 11733, 11741, 11749, 11757, 11761, 11765, 11769, 11773, 11777,
   11785, 11790, 11796, 11800, 11804, 11808, 11816, 11824, 11828, 11833,
   11839, 11843, 11847, 11851, 11855, 11859, 11863, 11867, 11871, 11875,
   11879, 11883, 11887, 11892, 11898, 11902, 11910, 11914, 11918, 11922,
   11926, 11930, 11934, 11938, 11942, 11946, 11950, 11954, 11958, 11962,
   11966, 11970, 11974, 11978, 11982, 11986, 11990, 11994, 11998, 12002,
   12006, 12010, 12014, 12018, 12022, 12026, 12030, 12034, 12038, 12042,
   12046, 12050, 12054, 12058, 12062, 12066, 12070, 12074, 12078, 12082,
   12086, 12090, 12094, 12098, 12102, 12106, 12110, 12114, 12118, 12122,
   12126, 12130, 12134, 12138, 12143, 12147, 12151, 12155, 12159, 12163,
   12167, 12175, 12179, 12183, 12187, 12191, 12195, 12199, 12203, 12207,
   12211, 12215, 12219, 12223, 12227, 12231, 12235, 12239, 12243, 12247,
   12251, 12255, 12259, 12267, 12271, 12275, 12279, 12283, 12287, 12291,
   12295, 12299, 12303, 12307, 12311, 12315, 12319, 12327, 12331, 12335,
   12339, 12343, 12347, 12351, 12359, 12363, 12371, 12375, 12383, 12387,
   12391, 12395, 12399, 12403, 12407, 12411, 12415, 12419, 12423, 12427,
   12431, 12435, 12439, 12443, 12447, 12451, 12455, 12459, 12463, 12467,
   12471, 12475, 12479, 12483, 12487, 12491, 12495, 12499, 12503, 12507,
   12511, 12515, 12519, 12523, 12527, 12531, 12535, 12539, 12543, 12547,
   12551, 12555, 12559, 12563, 12571, 12575, 12583, 12587, 12591, 12596,
   12602, 12610, 12614, 12622, 12626, 12634, 12638, 12646, 12650, 12655,
   12661, 12665, 12669, 12673, 12681, 12685, 12693, 12698, 12704, 12709,
   12715, 12720, 12726, 12730, 12738, 12746, 12750, 12755, 12761, 12769,
   12773, 12780, 12785, 12791, 12795, 12799, 12804, 12810, 12814, 12822,
   12826, 12830, 12834, 12838, 12846, 12850, 12854, 12858, 12863, 12869,
   12873, 12877, 12885, 12889, 12897, 12905, 12909, 12913, 12921, 12925,
   12933, 12937, 12941, 12945, 12949, 12953, 12957, 12961, 12965, 12969,
   12973, 12977, 12985, 12989, 12997, 13001, 13009, 13013, 13017, 13021,
   13025, 13029, 13037, 13041, 13049, 13053, 13061, 13065, 13069, 13077,
   13082, 13088, 13092, 13100, 13104, 13108, 13116, 13120, 13128, 13136,
   13140, 13144, 13148, 13152, 13156, 13160, 13164, 13172, 13176, 13180,
   13184, 13192, 13196, 13204, 13212, 13216, 13220, 13224, 13228, 13236,
   13240, 13244, 13252, 13256, 13264, 13272, 13276, 13284, 13292, 13297,
   13303, 13308, 13314, 13318, 13326, 13330, 13334, 13338, 13346, 13351,
   13357, 13361, 13370, 13372, 13380, 13385, 13391, 13396, 13402, 13406,
   13414, 13418, 13422, 13426, 13434, 13438, 13446, 13450, 13458, 13462,
   13470, 13478, 13486, 13494, 13498, 13506, 13510, 13514, 13518, 13522,
   13526, 13530, 13534, 13538, 13542, 13546, 13550, 13554, 13558, 13559,
   13564, 13570, 13574, 13575, 13579, 13587, 13595, 13599, 13603, 13607,
   13615, 13619, 13627, 13631, 13635, 13639, 13647, 13651, 13659, 13663,
   13667, 13671, 13675, 13679, 13683, 13687, 13691, 13695, 13699, 13703,
   13707, 13711, 13715, 13719, 13723, 13727, 13731, 13735, 13739, 13743,
   13747, 13751, 13755, 13759, 13763, 13767, 13771, 13775, 13779, 13783,
   13787, 13791, 13795, 13799, 13803, 13807, 13811, 13815, 13819, 13823,
   13827, 13831, 13835, 13839, 13843, 13847, 13851, 13855, 13859, 13863,
   13867, 13871, 13875, 13879, 13883, 13887, 13891, 13895, 13899, 13903,
   13907, 13911, 13915, 13919, 13923, 13927, 13931, 13935, 13939, 13943,
   13947, 13951, 13955, 13959, 13963, 13967, 13971, 13975, 13979, 13983,
   13987, 13991, 13995, 13999, 14003, 14007, 14011, 14015, 14019, 14023,
   14027, 14031, 14035, 14039, 14043, 14047, 14051, 14055, 14059, 14063,
   14067, 14071, 14075, 14079, 14083, 14087, 14091, 14095, 14099, 14103,
   14107, 14111, 14115, 14119, 14123, 14127, 14131, 14135, 14139, 14143,
   14147, 14151, 14155, 14159, 14163, 14167, 14171, 14175, 14179, 14183,
   14187, 14191, 14195, 14199, 14203, 14207, 14211, 14215, 14219, 14223,
   14227, 14231, 14235, 14239, 14243, 14247, 14251, 14255, 14259, 14263,
   14267, 14271, 14275, 14279, 14283, 14287, 14291, 14295, 14299, 14303,
   14307, 14311, 14315, 14319, 14323, 14327, 14331, 14335, 14339, 14343,
   14347, 14351, 14355, 14359, 14363, 14367, 14371, 14375, 14379, 14383,
   14387, 14391, 14395, 14399, 14403, 14407, 14411, 14415, 14419, 14423,
   14427, 14431, 14435, 14439, 14443, 14447, 14451, 14455, 14459, 14463,
   14467, 14471, 14475, 14479, 14483, 14487, 14491, 14495, 14499, 14503,
   14507, 14511, 14515, 14519, 14523, 14527, 14531, 14535, 14539, 14543,
   14547, 14551, 14555, 14559, 14563, 14567, 14571, 14575, 14579, 14583,
   14587, 14591, 14595, 14599, 14603, 14607, 14611, 14615, 14619, 14623,
   14627, 14631, 14635, 14639, 14643, 14647, 14651, 14655, 14659, 14663,
   14667, 14671, 14675, 14679, 14683, 14687, 14691, 14695, 14699, 14703,
   14707, 14711, 14715, 14719, 14723, 14727, 14731, 14735, 14739, 14743,
   14747, 14751, 14755, 14759, 14763, 14767, 14771, 14775, 14779, 14783,
   14787, 14791, 14795, 14799, 14803, 14807, 14811, 14815, 14819, 14823,
   14827, 14831, 14835, 14839, 14843, 14847, 14851, 14855, 14863, 14867,
   14871, 14875, 14879, 14883, 14887, 14891, 14895, 14899, 14903, 14907,
   14911, 14915, 14919, 14923, 14927, 14931, 14935, 14939, 14943, 14947,
   14951, 14955, 14959, 14963, 14967, 14971, 14975, 14979, 14983, 14987,
   14991, 14995, 14999, 15003, 15007, 15011, 15015, 15019, 15023, 15027,
   15031, 15035, 15039, 15043, 15047, 15051, 15059, 15063, 15067, 15071,
   15075, 15079, 15083, 15087, 15091, 15095, 15099, 15103, 15107, 15111,
   15115, 15119, 15123, 15127, 15131, 15135, 15139, 15143, 15147, 15155,
   15159, 15163, 15167, 15171, 15175, 15179, 15183, 15187, 15191, 15195,
   15199, 15203, 15207, 15211, 15215, 15219, 15223, 15227, 15231, 15235,
   15239, 15243, 15247, 15251, 15255, 15259, 15263, 15267, 15271, 15275,
   15279, 15283, 15287, 15291, 15295, 15299, 15303, 15307, 15311, 15315,
   15319, 15323, 15327, 15331, 15335, 15339, 15343, 15347, 15351, 15355,
   15359, 15363, 15367, 15371, 15375, 15379, 15383, 15387, 15391, 15395,
   15399, 15403, 15407, 15411, 15415, 15419, 15423, 15427, 15431, 15435,
   15439, 15443, 15447, 15451, 15459, 15463, 15467, 15471, 15475, 15479,
   15483, 15487, 15491, 15495, 15499, 15503, 15507, 15511, 15515, 15519,
   15523, 15527, 15531, 15535, 15539, 15543, 15547, 15551, 15555, 15559,
   15563, 15567, 15571, 15575, 15579, 15583, 15587, 15591, 15595, 15599,
   15603, 15607, 15611, 15615, 15619, 15623, 15627, 15631, 15635, 15639,
   15643, 15647, 15651, 15655, 15659, 15663, 15667, 15671, 15675, 15679,
   15683, 15687, 15691, 15695, 15699, 15703, 15707, 15711, 15715, 15719,
   15723, 15727, 15731, 15735, 15739, 15743, 15747, 15751, 15755, 15759,
   15763, 15767, 15771, 15775, 15779, 15783, 15787, 15791, 15795, 15799,
   15803, 15807, 15811, 15815, 15819, 15823, 15827, 15831, 15835, 15839,
   15843, 15847, 15851, 15855, 15859, 15863, 15867, 15871, 15875, 15879,
   15883, 15887, 15891, 15895, 15899, 15903, 15907, 15911, 15915, 15919,
   15923, 15927, 15931, 15935, 15939, 15943, 15947, 15951, 15955, 15959,
   15963, 15967, 15971, 15975, 15979, 15983, 15987, 15991, 15995, 15999,
   16003, 16007, 16011, 16015, 16019, 16023, 16027, 16031, 16035, 16039,
   16043, 16047, 16051, 16055, 16059, 16063, 16067, 16071, 16075, 16079,
   16083, 16087, 16091, 16095, 16099, 16103, 16107, 16111, 16115, 16119,
   16123, 16127, 16131, 16135, 16139, 16143, 16147, 16151, 16155, 16159,
   16163, 16167, 16171, 16175, 16179, 16183, 16187, 16191, 16195, 16199,
   16203, 16207, 16211, 16215, 16219, 16223, 16227, 16231, 16235, 16239,
   16243, 16247, 16251, 16255, 16259, 16263, 16267, 16271, 16275, 16279,
   16283, 16287, 16291, 16295, 16299, 16303, 16307, 16311, 16315, 16319,
   16323, 16327, 16331, 16335, 16339, 16343, 16347, 16351, 16355, 16359,
   16363, 16367, 16371, 16375, 16379, 16383, 16387, 16391, 16395, 16399,
   16403, 16407, 16411, 16415, 16419, 16423, 16427, 16431, 16435, 16439,
   16443, 16447, 16451, 16455, 16459, 16463, 16467, 16471, 16475, 16479,
   16483, 16487, 16491, 16495, 16499, 16503, 16507, 16511, 16515, 16519,
   16523, 16527, 16531, 16535, 16539, 16543, 16547, 16551, 16555, 16559,
   16563, 16567, 16571, 16575, 16579, 16583, 16587, 16591, 16595, 16599,
   16603, 16607, 16611, 16615, 16619, 16623, 16627, 16631, 16635, 16639,
   16643, 16647, 16651, 16655, 16659, 16663, 16667, 16671, 16675, 16679,
   16683, 16687, 16691, 16695, 16699, 16703, 16707, 16711, 16715, 16719,
   16723, 16727, 16731, 16735, 16739, 16743, 16747, 16751, 16755, 16759,
   16763, 16767, 16771, 16775, 16779, 16783, 16787, 16791, 16795, 16799,
   16803, 16807, 16811, 16815, 16819, 16823, 16827, 16831, 16835, 16839,
   16843, 16847, 16851, 16855, 16859, 16863, 16867, 16871, 16875, 16879,
   16883, 16887, 16891, 16895, 16899, 16903, 16907, 16911, 16915, 16919,
   16923, 16927, 16931, 16935, 16939, 16943, 16947, 16951, 16955, 16959,
   16963, 16967, 16971, 16975, 16979, 16983, 16987, 16991, 16995, 16999,
   17003, 17007, 17011, 17015, 17019, 17023, 17027, 17031, 17035, 17039,
   17043, 17047, 17051, 17055, 17059, 17063, 17067, 17071, 17075, 17079,
   17083, 17087, 17091, 17095, 17099, 17103, 17107, 17111, 17115, 17119,
   17123, 17127, 17131, 17135, 17139, 17149, 17150, 17153, 17159, 17165,
   17171, 17172, 17173, 17174, 17175, 17188, 17188, 17195, 17195, 17204,
   17219, 17221, 17224, 17226, 17230, 17242, 17258, 17262, 17273, 17274,
   17277, 17289, 17298, 17299, 17302, 17303, 17304, 17307, 17308, 17311,
   17312, 17315, 17316, 17319, 17321, 17323, 17325, 17329, 17336, 17343,
   17359, 17393, 17403, 17406, 17410, 17423, 17424, 17426, 17428, 17432,
   17446, 17452, 17489, 17551, 17560, 17562, 17563, 17566, 17568, 17569,
   17572, 17573, 17574, 17575, 17576, 17583, 17582, 17592, 17594, 17596,
   17597, 17600, 17601, 17602, 17603, 17606, 17607, 17611, 17610, 17627,
   17626, 17642, 17641, 17656, 17662, 17663, 17666, 17668, 17669, 17672,
   17673, 17674, 17675, 17678, 17679, 17682, 17690, 17707, 17715, 17738,
   17852, 17886, 17888, 17890, 17894, 17898, 17897, 17948, 17950, 17949,
   17964, 17970, 17977, 17982, 17988, 17989, 17992, 17993, 17994, 17995,
   17996, 17997, 17998, 17999, 18000, 18003, 18004, 18005, 18006, 18007,
   18008, 18009, 18010, 18011, 18012, 18015, 18016, 18019, 18021, 18030,
   18130, 18131, 18138, 18139, 18140, 18146, 18155, 18158, 18159, 18160,
   18161, 18164, 18165, 18166, 18169, 18171, 18179, 18180, 18186, 18194,
   18195, 18198, 18199, 18202, 18207, 18214, 18219, 18226, 18233, 18233,
   18235, 18242, 18243, 18246, 18247, 18248, 18249, 18250, 18251, 18252,
   18253, 18254, 18260, 18265, 18275, 18280, 18285, 18292, 18293, 18305,
   18316, 18327, 18331, 18332, 18335, 18340, 18344, 18345, 18348, 18354,
   18362, 18368, 18375, 18379, 18380, 18383, 18386, 18390, 18391, 18394,
   18400, 18409, 18414, 18424, 18434, 18446, 18447, 18448, 18449, 18450,
   18451, 18452, 18453, 18454, 18455, 18456, 18457, 18458, 18459, 18460,
   18467, 18468, 18471, 18472, 18479, 18480, 18481, 18488, 18487, 18504,
   18505, 18512, 18511, 18582, 18588, 18594, 18602, 18608, 18614, 18620,
   18626, 18632, 18638, 18644, 18650, 18656, 18667, 18668, 18671, 18672,
   18673, 18674, 18675, 18676, 18677, 18678, 18679, 18680, 18681, 18682,
   18683, 18684, 18685, 18686, 18687, 18688, 18689, 18690, 18691, 18692,
   18695, 18696, 18697, 18698, 18699, 18700, 18704, 18705, 18706, 18707,
   18708, 18709, 18710, 18713, 18716, 18717, 18718, 18719, 18720, 18721,
   18722, 18723, 18736, 18737, 18738, 18739, 18740, 18741, 18742, 18747,
   18748, 18749, 18750, 18751, 18752, 18758, 18759, 18760, 18761, 18762,
   18763, 18764, 18765, 18766, 18767, 18768, 18771, 18772, 18773, 18774,
   18775, 18778, 18779, 18780, 18781, 18784, 18785, 18786, 18787, 18788,
   18789, 18790, 18807, 18808, 18809, 18812, 18813, 18814, 18815, 18816,
   18817, 18821, 18821, 18824, 18830, 18831, 18834, 18836, 18841, 18851,
   18862, 18869, 18870, 18871, 18874, 18907, 18909, 18911, 18913, 18915,
   18917, 18918, 18921, 18923, 18931, 18932, 18933, 18937, 18938, 18942,
   18943, 18946, 18947, 18950, 18951, 18952, 18953, 18954, 18957, 18958,
   18959, 18960, 18961, 18962, 18963, 18964, 18965, 18966, 18967, 18968,
   18969, 18970, 18971, 18972, 18973, 18974, 18975, 18976, 18977, 18978,
   18979, 18980, 18981, 18982, 18983, 18984, 18985, 18986, 18987, 18988,
   18989, 18990, 18991, 18992, 18993, 18994, 18995, 18996, 18997, 18998,
   18999, 19000, 19001, 19002, 19003, 19004, 19005, 19006, 19007, 19008,
   19009, 19010, 19011, 19012, 19015, 19016, 19017, 19018, 19021, 19022,
   19023, 19024, 19025, 19026, 19027, 19028, 19029, 19030, 19037, 19038,
   19039, 19040, 19043, 19044, 19047, 19048, 19051, 19052, 19063, 19064
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "SQL_ALLOCATE",
  "SQL_AUTOCOMMIT", "SQL_BOOL", "SQL_BREAK", "SQL_CARDINALITY",
  "SQL_CONNECT", "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "IDENT", "UIDENT",
  "FCONST", "SCONST", "USCONST", "BCONST", "XCONST", "Op", "ICONST",
  "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER",
  "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P",
  "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL",
  "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY",
  "AS", "ASC", "ASENSITIVE", "ASSERTION", "ASSIGNMENT", "ASYMMETRIC",
  "ATOMIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BREADTH", "BY", "CACHE", "CALL", "CALLED", "CASCADE",
  "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "COMPRESSION", "CONCURRENTLY",
  "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS",
  "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE",
  "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DEPENDS", "DEPTH", "DESC", "DETACH", "DICTIONARY",
  "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P",
  "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED",
  "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXPRESSION", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER",
  "FINALIZE", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "GROUPS", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDE", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING", "MATCH", "MATCHED",
  "MATERIALIZED", "MAXVALUE", "MERGE", "METHOD", "MINUTE_P", "MINVALUE",
  "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEW", "NEXT", "NFC", "NFD", "NFKC", "NFKD", "NO", "NONE",
  "NORMALIZE", "NORMALIZED", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION",
  "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARAMETER", "PARSER", "PARTIAL", "PARTITION", "PASSING",
  "PASSWORD", "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM",
  "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF_P", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX",
  "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA",
  "RESET", "RESTART", "RESTRICT", "RETURN", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES",
  "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETS",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP", "SMALLINT",
  "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STORED",
  "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING", "SUPPORT",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIES",
  "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UESCAPE", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION",
  "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER",
  "USING", "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA",
  "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR", "MODE_PLPGSQL_ASSIGN1",
  "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3", "'<'", "'>'", "'='",
  "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('",
  "')'", "'.'", "','", "';'", "':'", "'{'", "'}'", "$accept", "prog",
  "toplevel_stmt", "stmt", "CallStmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "CreateSchemaStmt", "OptSchemaName",
  "OptSchemaEltList", "schema_stmt", "VariableSetStmt", "set_rest",
  "generic_set", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_drop_behavior", "opt_collate_clause", "alter_using",
  "replica_identity", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "column_compression",
  "opt_column_compression", "ColQualList", "ColConstraint",
  "ColConstraintElem", "opt_unique_null_treatment", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "opt_c_include",
  "key_match", "ExclusionConstraintList", "ExclusionConstraintElem",
  "OptWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_params", "part_elem", "table_access_method_clause", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateStatsStmt", "stats_params", "stats_param", "AlterStatsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "RowSecurityOptionalExpr", "RowSecurityOptionalWithCheck",
  "RowSecurityDefaultToRole", "RowSecurityOptionalToRole",
  "RowSecurityDefaultPermissive", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "am_type", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerReferencing", "TriggerTransitions", "TriggerTransition",
  "TransitionOldOrNew", "TransitionRowOrTable", "TransitionRelName",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "FUNCTION_or_PROCEDURE", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertionStmt", "DefineStmt", "definition", "def_list",
  "def_elem", "def_arg", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem_options", "index_elem", "opt_include",
  "index_including_params", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "function_with_argtypes_list",
  "function_with_argtypes", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "aggregate_with_argtypes",
  "aggregate_with_argtypes_list", "opt_createfunc_opt_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "ReturnStmt", "opt_routine_body", "routine_body_stmt_list",
  "routine_body_stmt", "transform_type_list", "opt_definition",
  "table_func_column", "table_func_column_list", "AlterFunctionStmt",
  "alterfunc_opt_list", "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt",
  "RemoveOperStmt", "oper_argtypes", "any_operator",
  "operator_with_argtypes_list", "operator_with_argtypes", "DoStmt",
  "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt", "cast_context",
  "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_type", "reindex_target_multitable", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "opt_no", "AlterObjectSchemaStmt", "AlterOperatorStmt",
  "operator_def_list", "operator_def_elem", "operator_def_arg",
  "AlterTypeStmt", "AlterOwnerStmt", "CreatePublicationStmt",
  "PublicationObjSpec", "pub_obj_list", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "AlterSubscriptionStmt",
  "DropSubscriptionStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "NotifyStmt", "notify_payload", "ListenStmt", "UnlistenStmt",
  "TransactionStmt", "TransactionStmtLegacy", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "opt_transaction_chain", "ViewStmt",
  "opt_check_option", "LoadStmt", "CreatedbStmt", "createdb_opt_list",
  "createdb_opt_items", "createdb_opt_item", "createdb_opt_name",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause", "InsertStmt",
  "insert_target", "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "set_clause_list", "set_clause", "set_target", "set_target_list",
  "MergeStmt", "merge_when_list", "merge_when_clause",
  "opt_merge_when_condition", "merge_update", "merge_delete",
  "merge_insert", "merge_values_clause", "DeclareCursorStmt",
  "cursor_name", "cursor_options", "opt_hold", "SelectStmt",
  "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause", "opt_sort_clause",
  "sort_clause", "sortby_list", "sortby", "select_limit",
  "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value", "select_fetch_first_value",
  "I_or_F_const", "row_or_rows", "first_or_next", "group_clause",
  "group_by_list", "group_by_item", "empty_grouping_set", "rollup_clause",
  "cube_clause", "grouping_sets_clause", "having_clause",
  "for_locking_clause", "opt_for_locking_clause", "for_locking_items",
  "for_locking_item", "for_locking_strength", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "xml_passing_mech", "within_group_clause",
  "filter_clause", "window_clause", "window_definition_list",
  "window_definition", "over_clause", "window_specification",
  "opt_existing_window_name", "opt_partition_clause", "opt_frame_clause",
  "frame_extent", "frame_bound", "opt_window_exclusion_clause", "row",
  "explicit_row", "implicit_row", "sub_type", "all_Op", "MathOp",
  "qual_Op", "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "func_arg_list_opt", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "unicode_normal_form",
  "overlay_list", "position_list", "substr_list", "trim_list", "in_expr",
  "case_expr", "when_clause_list", "when_clause", "case_default",
  "case_arg", "columnref", "indirection_el", "opt_slice_bound",
  "indirection", "opt_indirection", "opt_asymmetric", "opt_target_list",
  "target_list", "target_el", "qualified_name_list", "qualified_name",
  "name_list", "name", "attr_name", "file_name", "func_name", "AexprConst",
  "Iconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "NonReservedWord", "BareColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "bare_label_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "$@2", "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGDeclareStmt", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@3", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@4", "var_declaration", "$@5", "$@6",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@7", "struct_union_type", "$@8",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@9", "opt_reference", "ECPGVar",
  "$@10", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_int16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   790,   791,   792,   793,   794,
     795,   796,   797,   798,   799,   800,   801,   802,   803,   804,
     805,   806,   807,   808,   809,   810,   811,   812,    60,    62,
      61,    43,    45,    42,    47,    37,    94,   813,    91,    93,
      40,    41,    46,    44,    59,    58,   123,   125
};
#endif

#define YYPACT_NINF (-5912)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-3514)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -5912,  1245, 11189, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, 39139, -5912, -5912, -5912, -5912, -5912,138640,
    1628, -5912, -5912,144131, -5912, -5912, -5912,  1133, 93488, -5912,
   98384,  1673, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
  102736, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   79325,  1613, -5912,  1224, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912,   729, 18965, -5912, -5912, 98928, -5912,   225, -5912, -5912,
   -5912, -5912, -5912, 81505, -5912, -5912, 99472,    38, -5912, -5912,
    1164,   135, -5912,   238, 17351, -5912, -5912,100016, 95120, -5912,
   -5912,103280,   911,  1163, 18301,   729, 39763,103824, -5912,  1766,
   -5912, 75500, -5912, -5912, -5912, 94032, -5912, -5912, -5912,  1552,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
  111984,  1632,  1603, 76045, -5912, -5912, -5912, -5912, -5912,111984,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,104368,
   -5912,  1607,  1932,   964,112528,113072, 91856, -5912,  1677, -5912,
  111984,  1847,   436, 78235, -5912,113616, -5912, -5912,  1734, -5912,
  104912, -5912, -5912, -5912, -5912, -5912,  1603, -5912, 79325, 74408,
     264,  1885, -5912, -5912,114160, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912,111984,  2155,  1969, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912,    44, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912,   839, -5912,  1268,  1409,  1837,   237,
    1978, -5912, -5912, -5912, 14320, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912,140263,  2361, -5912, -5912, -5912,  1987, -5912,
    2043, -5912, -5912, -5912,  1905, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912,   919, -5912, -5912, -5912, -5912,  2589,139181,102736,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, 95664,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912,   275, -5912, -5912, -5912, -5912, -5912,102736,102736,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912,102736,  2164, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912,  1089,  2437, -5912,
   -5912, 79325,  2726,  2726,  2727,140263, -5912, -5912,  2643, 81505,
  111984,111984,111984,  2368,111984,  2273,111984,   260, 81505,147480,
  105456,  2434,  2272, 69388,114704, -5912, 81505,111984,145090, 81505,
  111984,111984,115248,111984,115792,111984,  1856,100560,111984,  2364,
  111984,111984,145568,116336,  2508, -5912,  2777,  1886, -5912,  2245,
   -5912,   261, -5912,  2202, -5912,   274,   293,   315, -5912, -5912,
   -5912,149870,111984, 18785,  1632,  2643, -5912,  2155,111984,  2516,
  111984,  2256,116880,111984, -5912,111984,  2350,117424,   923,   995,
  147480,  2270, 69949,  2445,111984,111984,147480,117968,118512,119056,
  111984,111984, -5912, -5912,  2415,111984, -5912,  2537,147958,   129,
    2547,  2714,  2598,  1338, -5912, -5912,  2801,  2309, -5912, -5912,
    2834,102736, -5912,101104, -5912, -5912, -5912,  2134, -5912,  2468,
    2477,  2485, -5912, -5912, -5912, -5912, -5912,150826,  1163, -5912,
   -5912,  2633, 82050,  2705, -5912, -5912,119600, 86955,  2486, -5912,
     933, 82595,148436,  2830,  2489, 70510,  2870, -5912, 83140, -5912,
  148914, 83685, -5912, -5912, -5912, -5912, -5912,120144, -5912,120688,
    2595,  2705, -5912, 87500,149392, -5912,  2730,121232,121776,122320,
    2643, 11283, -5912,  2471,  2583,  2496,  1767,102736,102736,  1579,
  141222, -5912, -5912,  2561, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912,   253,   338, 76590,   916, 77135, -5912, -5912,
    1175,  1238,  1448,   253,  2976,  2976,   859,102736, -5912, -5912,
     338, -5912,   848,  1104,  2618,  2524,  2524,  2524,  2741,    59,
   -5912,  2524,  2652, -5912, -5912, -5912, -5912,104912, 76590, 77135,
   -5912,  2560,  1632,   184,  2972,  2602, -5912, -5912, -5912, -5912,
   -5912,149870,  2989,  2989,111984, -5912, -5912, -5912,  3035,  2607,
    2871, -5912,  2592, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912,  2813,  2824,  2837,   189,  1632,   280, -5912,  2955,
   -5912,  2848, 47631, 47631,  1427,102736,  1632, 77680,106000,134288,
     228,150826,  1632,122864,  2647,  1731,  2841, -5912, -5912, -5912,
     843, -5912,  3088,  2659,  2942,   829,  1886, 66074, -5912, -5912,
    2657,  2202,104912, 37504, -5912, -5912, -5912, -5912,149870,  3007,
   52159,111984,  2668, -5912,  2681,  2668,  2692,  2696,  1837, -5912,
  149870,111984,   444,   444,  3124,   444,  2047,  2094, -5912,  1805,
   -5912,  3029,  2990,  2993,104912,  2710,   729,  2737, -5912, -5912,
   -5912,  2747, -5912,  2751,  2755, -5912,  1162,  3053, -5912, -5912,
   -5912, -5912,  2857,  2860,  2861,  2869,  2769,  2878,   407, -5912,
   -5912, -5912, -5912,  3142, -5912, -5912, -5912, -5912, -5912, -5912,
    3264,  3244,144612,144612,  1013,  1142,   278,   311, -5912, -5912,
   -5912,  3094, -5912, -5912,  3095,  2903,111984, -5912, -5912,111984,
   -5912,123408, -5912, -5912,  2726,  2747,  1379, -5912,  2007,  2828,
    1933,  2862,  2023,  2163, -5912,   984,111984,   805,  2892,106544,
    2130,  2874,  2875,  2202,  2983,  1749,  3173,  3217,  6599,   407,
  107088, -5912, -5912, -5912, -5912,111984,111984, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912,  2876,  1237, -5912, -5912,
    2879,  3224,  3092,  7293,  1291,  3187,  3043,  1019,  7316,  3099,
     198,  3237, 13665,   132,  3238,  2070,  2147,123952,134832,  3198,
    3245,  5188,  1882,  1000,  3111,  1453,  3187,  3232,  3059,  1019,
    3249,  7004,111984,  2901, -5912,  3174,  3287,   899, -5912,   249,
   -5912, 40858, 52159, 73316, -5912,  2202,  2185, -5912, -5912,143650,
   -5912,  2968,  3128,  1221, 81505,  2910,111984,111984, -5912, 88045,
   81505, -5912,  3137, 71071, 81505, -5912, 81505, -5912, -5912,  3260,
   88045,111984,111984, -5912,111984, -5912, -5912,  2927, -5912, -5912,
   -5912, -5912, -5912,  2524,111984,  3360, 88045,  3161,   195,  1922,
    3396,111984,  3163,  1922,  2978,124496, -5912, -5912,  1922, -5912,
   -5912,111984,111984,  2935,  2012,  3153,   883,  1922,  3171,  3397,
    3398,  3172,  3020,  3176,  2681,  3359,  3148,  1090,   200,  1485,
    1922,  2999,125040,125584,111984,  3001,111984,  2989, 81505,  3031,
   81505, 81505,111984,  3290,111984, -5912,  3132,107632, -5912,  2953,
    2801, -5912, -5912, -5912, -5912, -5912,  1748, -5912, -5912, -5912,
   -5912, -5912, -5912,  3306, -5912,   213,  3307,  2962,  3311,  1729,
   -5912,  3016, -5912,  3016,  3016,  2966,  2966,  3152,  2969,  3315,
   -5912, -5912, -5912,  2551,  3016,  2966, -5912, 89135, -5912,  2031,
    2042, -5912,   357, -5912,  3439, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912,  2982, -5912,  1191, -5912,  2267, -5912, -5912,
   -5912, -5912,  3013, -5912,  3336,   358, -5912,  3337, -5912,  2994,
  126128, -5912,126672,127216,  3345,   466, -5912,147480,  3346,   358,
    3347,  2994,  3348,   358,  3350,   931,  3351, -5912,  1192,  3340,
    3355,   357,  3358,  2316,  2994, -5912,  3362,   475, -5912,  3365,
     508, -5912,  3366,  3226, -5912, 14850, 11283, -5912, 15517,  2127,
   -5912, -5912, -5912, -5912, -5912, -5912, 52159,  1272,  3116, -5912,
   -5912,  2269,  1579,   338, -5912,102736,   338,102736,   859,   338,
  102736,   338,102736,   859,   338,102736,102736,102736,   338, -5912,
   -5912,   355,   382, -5912, -5912, -5912, -5912, -5912,102736,  3021,
  111984, -5912,111984, -5912, -5912, -5912, 96208,147480, 96752, -5912,
  111984, -5912,   176,102736, -5912,102736, -5912,  1632, -5912, -5912,
    2583, 88045,  3485,147480,  2989,  2280, -5912,111984,111984, -5912,
   -5912, -5912,  3291,111984,  3357,  3361, 96208,147480, -5912,127760,
   -5912,150826,  3239,  3030, -5912, -5912, -5912, -5912,  2303,  3525,
     250,  3526, 52159,  3033,   250,   250,  3038,  3368, -5912, -5912,
   -5912,   347,  3039,  3045, -5912,   233,   233, -5912,  3046,  3047,
   -5912,   277,  3051,  3052,  3534,   281,  3055,  3056,  3058,  2551,
     250,  3060, 52159, -5912,  3061,   233,  3062,  3067,  3068,  3547,
    3072, -5912,  3553,  3073,   304,   367,  3075,  3077, -5912,  3301,
   -5912,   282,  3080,  3083,  3084,  3085,  3086,  3089,  3090,  3091,
   52159, 52159, 52159, -5912, 44801,  2202,  1632, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912,   294,141706, -5912,  3133, -5912,
   -5912,  3294, -5912, -5912, 52159, -5912, -5912,   138, -5912,   306,
   -5912, -5912,  2202, -5912, -5912,   546, -5912, -5912, -5912, -5912,
   -5912,  3379,  3097,  2426,  2426,   290, -5912, 98928, 98928, -5912,
   -5912,   363,  3098, -5912,  2252, -5912, -5912, -5912, -5912, -5912,
   -5912,150348,  3567, -5912,   377,  1632,   249,  2239,  3506,142204,
  142686,  3393,  3393,  3378, -5912, -5912,111984, -5912, -5912,  2202,
     210,  3394,  2304, -5912,  2561, 17070,  2332,  2668,111984,111984,
    3576, -5912, -5912,  2342, -5912,  3112, -5912,  2681, -5912, -5912,
    1837,  1837, 52159,  1837,   302,  1597, 48197, 52725,  3449,  3335,
    1624,  1935,  3452, -5912,  3341,  2047,  2094,104912,111984,104912,
  128304,  3246, 52159, -5912,  2747,  3131,  2109, -5912, 90224,139722,
  139722,  3414, -5912, -5912,  1284,   847,  3261,  3374,  2976,  1840,
     514,   514, -5912, -5912,  3126, -5912,  3515, 98928,  3194,144612,
   -5912, -5912,111984, -5912, -5912,108176, -5912, -5912, -5912,  2482,
    3134, -5912,  3144,111984,  3693,   514,   514, -5912, -5912,  3135,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,140263,111984,
   -5912,  3139,  3143,  3138,  3146, -5912, 37504, -5912,  3577,  3231,
    3236,  3286, 73862, -5912,  3248,  3202,  3250,  3292, 79325,  3158,
    3251,  3252,  3293,  3427, -5912, -5912,  3253,  3584,  3254,135376,
   -5912, -5912,  1067, -5912, -5912, -5912,  1067, -5912,  3175, -5912,
    1914,  1010,  1564,  3257,   267,   276,  3586, -5912,  2027, -5912,
   -5912,  3312, -5912, 12486,111984,  3524,  7224,  3392,   407,  3313,
   -5912, -5912, -5912,  3453,  3265,111984,  3267,  3409,   407,   346,
  135920, -5912, -5912,111984, -5912, -5912, -5912, -5912,  6060,  3561,
   43693, -5912,  2107,  3273,  3255,  3284,111984, 90768,  2474,  3383,
    3406,   131,  2476,  1018,  3338,111984,   333,  3412,111984,  3195,
    3281,  3288,  3510,  3200,   510,  3612,  3203, -5912, -5912, -5912,
    3579,  3401,  3511,  3555,  8393,  3269,  3270, 85320, -5912,  3297,
    1522, 71632,111984,111984,  3298,  3299,136464,  6060,  3590, 97296,
   97296,  3302,  3303, 64429,  3608,  2132,  3305, -5912, -5912, -5912,
    2132,  3308,  3309,137008,  6060,  3596,111984,  3310,  3314,111984,
   89135,   407, -5912,  3665, -5912,   407,   407,  2090,  3669,  3316,
     403,  3472,   364,  1922, -5912,  3203,  4193, -5912,  3317,  3318,
     378, -5912,  3446,111984,  3321,  3322,   777,  3403,  1632, -5912,
    3413, -5912,  3324,  3415,  3327,  1147,  2935, -5912, -5912,    55,
    3343,104912,  3437,  3438,   333,   533,   644,  3203, -5912,  3331,
    3332,  3200,  3200,111984,111984,111984,111984,111984,   303,  3705,
    3706,  3339,   441,  1549,  3256, -5912,  2132,146046,  3342, -5912,
    2132,111984,   273,   666,  3203,  2076, -5912,  2125, -5912, -5912,
   -5912,  1886, -5912, 52159, 52159, 52159,  3263, -5912,  2625, 17070,
     763, -5912,   307, 10464,  3266, -5912, -5912, -5912, -5912,111984,
  149870, -5912, -5912, -5912, -5912, -5912, -5912, -5912,111984, -5912,
  111984,  3536, 88045,  3539,  3475,  3548,  3549,   407,111984,111984,
    3550,  3552,  3554, 88045,  3564,  3565,  3566,  3479,  3370,   830,
    3364,  3296,  3751,  3639,111984, 79325, -5912,  1067, -5912, 88045,
    3507,  3641, -5912,111984,  3529,   128, -5912,  3684,  3372, -5912,
   -5912,   127,111984, 94576,  2935, -5912, -5912,  3651,147480,   383,
    3652,  1632,  3363,  3655,  3523,  1632,147480,  3570,111984,111984,
  111984,111984,   150, -5912,146046,  3542, -5912,111984,  3544,  4193,
    3546,  3782,   814,  2524,128848,  3653,129392,  3323,111984,  3325,
    3325,  3784, 88045,  1043,  3598, -5912, -5912,  3328,  2976, -5912,
    2953, -5912, -5912,  2359, -5912,  3462, -5912, 81505, -5912, -5912,
   81505, -5912, -5912, 88045,111984,  3329, -5912,  3333, -5912, -5912,
   52159, -5912, -5912, -5912,  2976, -5912, 88045,  3016,  3016, -5912,
   -5912,  3791,  3417,  3418,  2976, -5912,  2976, -5912, 88045, -5912,
    3344,  3349,  2976,  3419, -5912,  3420,  2976, -5912,  2337, -5912,
   -5912, 81505, 81505, -5912,147480,147480,  3681,   475,  3685,  3399,
    3688,  3404, 71632, 71632, -5912,   553, 81505, -5912,147480, 81505,
   -5912,111984, -5912,111984, -5912, -5912, -5912, -5912, 88045, 88045,
   -5912,147480,146046,  3695,111984,111984, -5912,111984,111984, -5912,
  111984,111984, -5912, 15209,  2206, -5912, 11283, -5912,  2346,  3393,
   -5912,  2164,129936,  1781,  1579, -5912,102736, -5912,102736,   859,
   -5912, -5912,102736, -5912,102736,   859, -5912,102736, -5912, -5912,
   -5912,102736,111984,  3894,  3352, -5912,   546, -5912,111984,  2349,
   -5912, -5912,  2352,  1631,111984,111984,   951, 81505,111984,  3571,
  111984, 81505, 81505,111984,111984,111984,111984,111984,  3430,  3098,
    1823, -5912,  1644,   867,104912,  3575, -5912, -5912, -5912, -5912,
   -5912,  2353,  2155,   680,111984,  1374, -5912, -5912, -5912, -5912,
   96752, 94032,  3680,   337,111984, -5912, -5912,  8794, 52159, 47065,
   -5912, -5912, 17070,  3411, 52159, 52159,  3367,  2976,  2976, -5912,
     506, 52159, 52159, 52159,  2976,  2976, 52159, 10584, 52159, 71632,
   52159, 56121, 41992, 52159, 52159, 45367,  1759,  3046, 52159,  3614,
   57253, 52159,  2239,  3615, 52159,  2239, 10584,  3855,  3855,  1885,
    2757,  6842,  3371,  2202, -5912,  2976,  1305,   556, 88045, 52159,
   52159, 52159, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, 52159, -5912, 79325, -5912,
   -5912, -5912, -5912, -5912, -5912,  3458, -5912, -5912, -5912, -5912,
   -5912, -5912,  6450, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912,111984, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, 45933,
   -5912, -5912, -5912, -5912,  3373, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912,  3278, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, 46499,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,  3375,
   -5912, -5912, 52159, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912,  3460, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912,  1337, 52159, 52159, 52159,
   52159, 52159, 52159, 52159, 52159, 52159, -5912, 52159,   568, -5912,
   -5912, -5912,  3696,  3716,    88,   419, 97840, 47631,  3707, -5912,
   40858, -5912,   229,102736, -5912, -5912,  2202,  3707, -5912, -5912,
   -5912, -5912, -5912,  2482,  3380, -5912,  3395, -5912, -5912, -5912,
   -5912, -5912,111984,  3567, -5912, -5912,  3464, -5912, -5912, -5912,
   -5912,   317, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
    3381, -5912, -5912, -5912, -5912,  3381, -5912, -5912,  3393,  3385,
    3702,  3703,   931,140263,111984,  2627, 52159,  3458,   284,111984,
   52159,  3373,  3278, 52159,  3375, 52159,  3460, -5912, 52159, -5912,
    2356,  2219,111984,111984, -5912,  3689, -5912,  3407, -5912, 13500,
    3689, -5912, -5912, 56687,  3528,  3682,  3625, -5912, -5912, -5912,
    3410, 17070, 52159, 52159, -5912,  2390, 17070,  2540, -5912, -5912,
   -5912, -5912, -5912, -5912,  1700, -5912,111984,   186,  3449,  1935,
    3474,   924,  3881,  3480,111984, -5912, 66620,  2369,  2433, -5912,
    2747, -5912, -5912, 38210, -5912, 40310, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912,  3421, -5912, -5912, -5912, -5912,
   -5912,   407,  3422,  3956, -5912,144612, -5912, -5912, -5912,  3894,
   -5912,  2834, -5912,  2834,  3991, -5912,102736, -5912, -5912, -5912,
   -5912,   390, -5912, -5912, 11283, 11283, -5912, -5912,147480,111984,
  111984,  3636, -5912,  3875, -5912, 89135, -5912,  3433, -5912, 88590,
   84230, -5912, -5912,  1329, -5912,  1042,147480, -5912,111984,111984,
   -5912, 79325,147480,111984,111984, -5912,147480,  3484,111984,111984,
   -5912, -5912, -5912, -5912, -5912,143168,   726, 94032,  3574, 92400,
   -5912, -5912,  3440,111984,  3497,  3717,  3719,   755, -5912, -5912,
  130480, -5912,  3662,147480,111984,111984, 52159,  3666,111984,111984,
   -5912,   992,  3530,  3532, -5912,111984,  3533, 81505,  3444, 88045,
   81505, 72193, 81505, 81505,  3778, 88045,111984,111984,  1368,104912,
     438,   787,  3203,  3674, -5912,   354, -5912,147480, -5912,111984,
    3667, -5912, -5912, -5912,108720,  3907,  3583, -5912, -5912, -5912,
  137552, -5912, -5912,  3683, -5912,  2370, -5912,147480,147480,111984,
    8410,131024,  1635,  3697, -5912, -5912, 88045, -5912,111984,109264,
  111984,111984,  3723,111984,101648,131568,132112,  1822,  1839,  3738,
  111984,102192,  3739, -5912,  3616,111984, -5912, -5912, 79870,147480,
  111984,  1109, 79325, -5912,  3722, -5912,111984, -5912,   322, -5912,
  111984,  5128,  3687,  3559,  3569,111984,   515,   941,  3203,  3852,
  111984,111984,  3476,  2373,147480,111984, 79325, -5912,  3694,   756,
  147480,111984,108720, -5912,  3698, -5912,104912,  3785, -5912,  3489,
    2524,  2657,  2100,  3489,147480,111984, -5912,  3489,111984,134288,
   -5912,147480,  1790, -5912,147480,111984,108720, -5912,  3708,  3654,
  147480,111984, 17385, -5912, -5912, -5912,   407, -5912, -5912, -5912,
   -5912, -5912,111984,111984,   407,111984,111984,   407,  1643, -5912,
  147480,111984, -5912, -5912, -5912,  3607,147480,111984,111984,   253,
  111984, -5912,111984,147480,  3537,111984,111984, -5912, -5912,111984,
    5965,111984,111984,111984,111984,111984,111984,147480,111984, -5912,
   -5912,  1531,   124,   166,   167,  1693,111984,  3803,111984,132656,
  147480,111984,111984,  1632,111984, 79325,  2183, -5912, -5912,  3626,
   -5912,147480,  1790, -5912,  9215,111984,111984,111984,  3585,  3587,
     371,  3670, -5912, -5912, -5912,   895,   895,  3712, -5912, 52159,
   52159, 48763,  3504, -5912, -5912, 52159,  2968, -5912, -5912, -5912,
     379,  3969,   379,133200,   379,   379,  3792,  3573,  3582,   379,
     379,   379,  3787,   379,   379,   379,111984,  3690, -5912, -5912,
    3690,  1017, 52159, 88045,111984, -5912,  2393, -5912,  3519, -5912,
   -5912, 79325,111984,   286,   190,  3863,  3736, 91312,  1547,  3856,
  111984,  3580,111984,  3982,  3620,  1897, -5912,  1547,111984, -5912,
    2379, 94032, -5912, -5912, -5912, -5912, -5912, -5912, -5912,111984,
   -5912, -5912,  3857,111984, 60018,  3701, -5912,  1632,  2935,  2935,
    2935,  2935,  3531,  2935,111984,  3661,  3882,  1547,  3538,  3883,
   -5912,  4193,  3884,  3887,111984,  3761, 91312,  3603,  3591,  3773,
    4008,  2524,  1632,  3775,  3763, -5912, 73862, -5912,  2935,  4025,
   44247,  7117,  7669,  3766,  3829, -5912, -5912,  3776,  1140,111984,
  107632, -5912,  3560,  3869,  3871,  3892, -5912,   213, -5912,  4024,
    1808,  3896, 52159,  2405,  3581,   357, -5912, -5912,  3568,  3349,
    3589,  3592,  3588,  3593, -5912,  2976, 64975,  3599,  1530,  3808,
    3601, -5912,   358, -5912,  2994, -5912,111984, -5912,111984,111984,
  111984,111984,   466, -5912, -5912,   358,  2994,   358,   931, -5912,
    3846,   357,  2994,  3700,  3910,   475, -5912,   508, -5912,  3794,
     931, -5912, -5912, -5912, -5912, -5912, -5912, -5912,  3810,  2524,
    2359, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912,102736,  2834, -5912,  2410, -5912,111984, -5912,  3888,  3889,
    3891,  3895,  3897,  3594,  3600,  3627,111984,  3604,  3594,   407,
    3605,  3602, -5912,  3604,  3604,  3594,  3098,  3098,  3594,  3600,
  146524,  4058,  3909, -5912,  3676,  3610,  3939,   255, -5912,   262,
    1523,  3859, -5912, -5912, -5912, -5912, 88045, -5912,147480,  3656,
    2989,  2989,   251,  3827,  3613,146524,  4059,   931, -5912, 81505,
  111984, 88045, 81505,  3838, 81505, 81505, 88045,111984,111984,  2411,
   -5912,  2216, -5912,  2218, 52159,   300, -5912, 14482,  2414, 52159,
    3621,  3623, -5912, -5912, -5912, -5912, -5912, -5912,  3628,  3955,
   -5912, -5912,  2418,  2419,  2441,  3629,  3630,  2577,  6225,  3632,
   15601,  3631,  3634,  3635,  3637, 56121, 56121, 44801,  1946, -5912,
   56121,  3638,  3842,  2449, 13596,  3640,  3642, 15744, 49329, 52159,
   49329, 49329, 15641,  3643,  3646, -5912,  4009, -5912,  2452, 79325,
    3836, 15828,  2458, -5912, 52159, 79325,  6738, 52159, -5912, 52159,
    3647, -5912, -5912,  2336,  2336,  2336, 10584, -5912,  3671, -5912,
   56121, 56121, -5912,  1193, 44801, -5912, -5912,  3977, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912,  3207, -5912, -5912, -5912,  3890,
    2266, 71632,  7822, 52159,   369, 52159,  3373, 52159,  3735,  2336,
    2336,  2336,   426,   426,   314,   314,   314,   477,   419, -5912,
   -5912, -5912,  3657,  3658,  3659,  3865,  3663, 52159, -5912,  2472,
    2519,111984, 12029, 12639, 13545, -5912, -5912, -5912, 59465,  3713,
     763, -5912, -5912, -5912,  3713,   716,  3991,  2482, -5912,  1886,
    2976,  1305,143650, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912,111984, 17070, -5912, -5912,  3905,  3664, -5912, -5912, 52159,
   -5912, -5912,   967,  3672,  1302,   143,   514,   514,  2390,  1266,
   -5912, -5912,  3733, -5912, 52159, -5912,  2587,  2675, -5912, -5912,
   -5912, -5912,  3098, -5912,  3912, -5912, -5912, -5912, 59465,  3718,
    3727,   732, 63876,  3901, -5912,111984, 59465, -5912,111984,   321,
   -5912,  3686, -5912, -5912, -5912, -5912,    17, -5912, -5912, -5912,
   -5912, -5912, -5912,  3679, -5912,  3675, -5912,  3709, -5912, -5912,
   -5912, -5912,   268,  3691,  3677,  3699,  2082, -5912, -5912, -5912,
   -5912, 84230,  2267, -5912, 88590, -5912, 88590, -5912,  2267,  4117,
   -5912, 84230,  1360, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912,147480,147480,  3902,
  111984,  3906,  3911, 52159,   279,111984,  3710,  3711,  1762,  3998,
    3720, -5912,  4038,   931, -5912, -5912,  3786, -5912, 17070, -5912,
   -5912, -5912, -5912, -5912,147480,111984, -5912,150826, -5912, -5912,
   88045, -5912, -5912,111984,111984, -5912, -5912, -5912, 88045, -5912,
   -5912, -5912,111984,   840,  3789,  3790,111984, -5912,   182,  3446,
    9696,111984,111984,111984,  3993, -5912, -5912, -5912, -5912,  3927,
   -5912,  4051, -5912, 84230, -5912,  2994,  1702,  3796,  3203,  3937,
   -5912,  4060,  4133, -5912,  3844,   963, -5912, -5912,  3858, -5912,
   -5912, -5912, -5912,  4071,   931,  4073,   931,111984,111984,111984,
  111984,  3860, -5912, -5912, -5912, -5912,  3864,  4001, -5912, 79325,
   79325, 79325,  2462, -5912, -5912,  1632, -5912, -5912, -5912, -5912,
   -5912, -5912,  4034, -5912,  2465, -5912,    24,111984, -5912, -5912,
   -5912, -5912, -5912,  4079,147480,111984, 11689,111984,111984,111984,
    3950,  2077,  1470, 88045, -5912, 85865, -5912, -5912,  2478, -5912,
    3747,111984,  3822,147480,  3799, -5912, -5912, -5912,  4084,  2524,
    3879, 97296,  3788,  3788,  2145, -5912, -5912, -5912, -5912,  4012,
    3933, -5912,   988,  3934,147480,  3811, -5912, -5912, -5912, -5912,
   -5912,  4093,  3835, -5912, -5912,  3839,  1004,  3203,  4193, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,  3866, -5912,
   -5912, -5912, -5912,  1903,  1903, -5912, -5912, -5912,  1903,  1803,
     542,  1030,  3203, -5912,  1037,   396,  3840, -5912,  3847, -5912,
   -5912, -5912,  4016,  4020,  4021,  3853,  3862,  3922,  3872,  3877,
    3923, -5912,  3880,  3925,  3885,  3929,  3900,  4145,   931, 88045,
    4003,  1632,  3920,  4119,   931, -5912,  3903, -5912,  3913, -5912,
    2487,  4251, -5912,111984, -5912,   563,  1031,  3203, -5912,  3915,
   -5912,147480,111984, -5912, -5912, -5912, 52159,  3797,  3804,  3805,
   17070, 17070, 52159, -5912, -5912, 17070,  3801, -5912, -5912, -5912,
   -5912, 88045, -5912,111984,  4086, -5912, -5912,   379,111984,111984,
   -5912, -5912, -5912,111984, -5912, -5912, -5912,  4089, -5912,   498,
     498, -5912, -5912,  4124,  7306,  3809,   393, -5912, 79325, 68265,
    2243,   218,  1922, -5912,150826,111984,150826, -5912,   190,  4022,
  111984,111984,111984,  3812,  3814, -5912, -5912, -5912, -5912,147480,
    1411,147480,  2976, -5912, -5912,  3908, -5912,111984,  2524,  2134,
    4151,  3537, -5912,  4274,  3398,   383,  1859,   459,  3020,  4215,
    2681, 52159,   421, -5912, -5912, -5912, -5912,  2202,111984,  3591,
   -5912, -5912, -5912, -5912,  1632, -5912,  3831,  3825, -5912,111984,
    4168,111984,111984,111984,102736,  2155,  3837,111984,  3843, 88045,
  111984,  2533,  3200,  4299,  4192,  2155,  3603,  3930,  4198,104912,
    2494, -5912,  3868, -5912,  1140, -5912,  2499,   246, -5912,  1632,
  150826, 84775,  4186, -5912,   947,  7669, -5912, -5912,   947,  1324,
  111984, -5912, -5912, -5912, -5912,  4074,  2135, -5912,  4176, -5912,
  111984, -5912, -5912, 63323, -5912, 88045,  3861, -5912,  2502, -5912,
    2503, -5912, -5912, -5912,  2976, -5912, -5912,  2033,  2033,  3867,
   -5912, 65528, -5912,  3870, -5912,  2174, -5912, -5912, -5912,   475,
    3928,   931,  3931,   931, -5912, -5912, -5912, -5912,111984, -5912,
  111984,146046, -5912, -5912,111984, -5912,  4209,  4200, -5912, -5912,
   -5912, -5912,  4007,  4013,  4014,  4015,  4018,111984,  3594, -5912,
    3878,111984,111984,147480,  1943, -5912, -5912,  4076, -5912, -5912,
  104912,  4002, -5912, -5912, -5912, -5912,  4222,  4227, -5912, -5912,
   -5912,  1321, -5912,111984,111984,147480, 96208,   432,147480, -5912,
    4164,  4166,  4169,  4170,   407,  4172,  4173,  4175,  4179,  4182,
   -5912, -5912, -5912,  3904, 16232, 52159, -5912,  4261, 88045, -5912,
    7388, -5912, -5912, -5912, 52159, -5912, -5912, -5912, -5912, -5912,
   -5912,  2527, 52159, -5912, 52159, -5912, -5912, 42559,  4394,  4394,
    3917, 88045, 56121, 56121, 56121, 56121,   319,  3062, 56121, 56121,
   56121, 56121, 56121, 56121, 56121, 56121, 56121, 56121,   545, -5912,
    4110, 52159, 52159, 49895, -5912, -5912, 88045,  3914,  3643,  3924,
    3932, 52159, -5912, -5912, -5912,  2514, 57806,  3936, 79325, -5912,
   52159, 13739,  2517,  3960, 16252,  2202,  7887,  1632, 52159,  2397,
    2930, 52159,  2544, 52159,  4241, -5912, -5912, -5912, -5912, -5912,
   -5912,  4144, -5912, 52159,  3938,  2283, 56121, 56121,  3000, -5912,
    3283, 52159, 44801, -5912,  3712,  3968, 67166, -5912, 43126,  3926,
    1603,  1603,  1603,  1603, -5912,111984,111984,111984, 60571,  4244,
    3935, 58912,109808,  3940,  1934, -5912,109808,110352,109808,  3946,
    2202, 52159,  4249,  3941,  4249, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
    3944, -5912,  3942, -5912, -5912,   249,  3943, -5912, -5912,   268,
   -5912, -5912,  2155, -5912,  3948, -5912,  3672,   972, -5912, -5912,
   -5912,  1412, -5912,  4027, -5912, -5912, -5912,  3940, 50461,  4082,
   -5912, -5912, -5912,  4004,  2545, -5912, -5912,  4350,  4082, -5912,
    1617, -5912,  2557, 66620,  3718, 52159,  2202,  2976,  3961, -5912,
    2834,   716, -5912, -5912, -5912, -5912, -5912,  2558,  2203, -5912,
   -5912, 84230, -5912,  4026,  2994,  2994,  2093,  3594,  4286,  2093,
    8128, -5912, -5912, 61124,111984,111984, -5912,111984,111984,  1889,
  111984, -5912,111984, -5912, -5912, -5912,  4419,  4017,  4019,  4234,
   -5912,  2862, -5912, -5912,147480,111984, -5912, -5912, -5912,   579,
    1118,  3203, -5912,  4045, -5912, -5912,  4254,111984, -5912,  4405,
    4057,111984,  4313,111984,110896, -5912,  4022,  1889,  4077,  4291,
     324,  3200,  1495,  4010, -5912,  1612, -5912, -5912,  4043, -5912,
  111984, -5912,111984, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
    4104, -5912, -5912, -5912, -5912, 79870, -5912, -5912,111984, -5912,
   79325, 68265, 79325, -5912,111984, -5912,  1812,   582,  1206,  3203,
   -5912,  4056, -5912,  4317,  4063,  4064,  4112,  1392,  1601,  4065,
    4066,  4113,  3983,  3985,  3987, -5912, 79325, 68827,  4148,111984,
    2994,  4030,  4032,111984,  3788,111440, -5912,  4033, -5912, -5912,
    3788,   253,  1632, -5912, -5912,  1632,  2994,  1632,111984,111984,
  111984,111984,   253, -5912, -5912, -5912,  4450,  4102,111984,111984,
  111984,111984, -5912,  4068, -5912, -5912, -5912,111984,111984,  4344,
    1317,  2328,147480,111984,111984,147480,111984,111984,111984,111984,
  111984,111984,111984,  4226, -5912,  4438,  4363,  2461,  4406,  4092,
  111984, -5912,111984,  1632, -5912,  3446,111984,111984,111984,111984,
   -5912, -5912, -5912, -5912, -5912,  3712, -5912,  4023,  4301,   379,
   -5912,  4302,  4303,  4304,   379, -5912, -5912,  1922, -5912,   457,
  111984, -5912,  2603,111984, -5912, -5912, -5912,  3948,   514,   514,
   -5912, -5912, -5912, -5912, -5912, -5912,  4041,111984,111984, 56121,
   -5912,  1953,  2004,  1621, -5912,  4305,111984,  3301, -5912, -5912,
   -5912,  1460,111984, -5912, -5912, -5912, -5912,  4042, -5912,  1137,
    3837, -5912,  4322, 91312,  2994,147480,147480,  2994, -5912, 88045,
    4044,  3591, -5912,   313,  4116, -5912,147480,   383,133744,  3363,
    4075,  4257,  8286, 59465, 60018,  1903, -5912,  4046,  4047, -5912,
   -5912,111984,  4022,146046,  2573,  4193,  4512,  1230,  2496,  3656,
   92944,  4245,  3837,  4322, -5912,  3200,  4267,  4273, -5912,  2155,
  111984,  3656,  3591,  1632,111984,  3497, -5912,  2134, 68265,  2317,
   -5912, 84230, 52159, 52159, -5912,  4050, -5912,  4061,  7669, -5912,
    4139,  4067,  4523, 52159, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912,  4155,  4072,111984,111984,  1140,111984,  4557, -5912,
   -5912,  4078,  3896, -5912,  3896, -5912,  4081, -5912, -5912, -5912,
    2242,140263, 65528, 65528, 65528, 65528, 65528, -5912, -5912,111984,
   -5912,111984, -5912,   931, -5912,  4202,   931,111984,  2155,111984,
  111984,111984,111984,111984,  3594,   407,  3602, -5912, -5912,  4397,
  146524,  3909, -5912,  2578,111984, -5912, -5912, -5912,  4465, -5912,
   -5912,   337,  4409,   931, -5912,  1078,  1078,  1078,  1078,  4359,
    1078,  1078,  1078,  1078,  1078, -5912, 52159, 17070, -5912,  4083,
   -5912, 17070,  4085,  9051, 16395, -5912,  2586, 52159, -5912,  1135,
    1135,  1135,  4204,  4411, -5912,  2957,  1135,  1135,  1135,   215,
     215,   223,   223,   223,  4394,   545, 16480, 16564, 16803,  4087,
   -5912, -5912, -5912,  3643, -5912, 53291,  1469,  4520, 57253, -5912,
   -5912, -5912,  4128,  4134,  4091, -5912, 52159, 53857,  4094, 89135,
    4292, -5912,  1899, 52159, 52159,  2613, -5912, 10851, 52159, -5912,
    2613,   581, 52159,  3369,  3468, 52159, 52159,  4693,  9362,  4095,
   52159,138096, -5912, -5912, -5912,  2596, 52159,111984,111984,111984,
  111984, -5912, -5912, -5912,109808,110352,109808,  4103, 58359, 62776,
    1934,  4101,111984, -5912, -5912,  4105, 59465,  4373,  4308, -5912,
   59465,  4308,  1895,  4308,  4374,  4201, 67712, -5912, -5912,  4106,
   -5912,  4316, -5912,  2107, 17070,  4554,  4426,  1632,  4426,   716,
     410,  1632, -5912,  4121, 71632, -5912, -5912, -5912, -5912,  4210,
   -5912,  4333, 17070, 47631, -5912,  2155,  2753,111984,  2202,   820,
   -5912, 52159,  4135,111984, -5912,  4082, 17070, -5912, 11283, -5912,
   -5912, -5912, -5912,  4205,  2597, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912,  4208, 94032,  4455, -5912, 52159,  2600, -5912,  4177,
    4555,   205,  2611,  2626,  1889, -5912,  2644, -5912,  2059,  4432,
     509, -5912,   931, -5912, 88045,111984,111984,111984,  3158, -5912,
   -5912,111984,111984,111984,111984, -5912, -5912,147480,111984, -5912,
  111984, -5912, -5912, -5912, -5912,   253,  1953,  4449,  4451,  4366,
   -5912,   407, -5912,  1953,  4371,   253,111984, -5912, -5912, -5912,
    3262, -5912, 88045,   931,   931, -5912, -5912, -5912, -5912, -5912,
    4158, -5912,  4591,  4243,111984,111984,111984,111984,111984,147480,
  111984,111984,  2976,  2976, 88045,  4152, -5912,  2976,  2976,  4153,
   -5912,147480,111984,111984, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912,  4235, -5912, 52159,  4587, -5912,
   -5912, -5912, -5912, -5912, 52159, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912,147480,111984,  4246, -5912,  4247,
   -5912,   193, -5912, -5912,111984,111984,111984,111984,  4506, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
    4504,111984, -5912, -5912,  1632,  1632, 88045,   931,   931, -5912,
   -5912, -5912,  4250, -5912, -5912,  4167,  4447,   379, -5912,   379,
     379,   379, -5912,  4180, -5912,  1922,  4542, -5912,  1889,  2294,
    4495, -5912, 52159, -5912,   891,  4204, -5912,  4552,  4635, -5912,
   -5912, -5912, -5912,  3537,  2524,  3537, -5912, -5912, 81505,   433,
   -5912,  4477,   286, 79325,  4395, 91312,  1037,   352,  4181,  4307,
   -5912,  2994,  2994,  4242,111984,  4647, -5912, -5912, -5912, -5912,
   -5912, -5912,147480,  3799, -5912,  4414,  1300,  4517,111984, 60018,
   -5912,  3940, -5912, -5912, -5912,  1632, -5912, -5912,  4315,  3591,
   -5912,  4536,111984,  4410, 91312,  3656, -5912,  2648, -5912, -5912,
   -5912,  4231,  4649,  3603, -5912,  1037,  4245, -5912, -5912,  4622,
    4306,  4252,  4672, -5912,  4306,  4538,  4428,  4216, -5912,  3868,
   -5912,111984, -5912, 17070, 17070,  1632, 89680,   947, 88045,  4550,
   -5912, 17070,111984,   966,  4217,  4382, -5912,  4514,111984, -5912,
     931,  2662, -5912, -5912, -5912,  4220,  2259,  2259, -5912, -5912,
   -5912,   931,   931, -5912,111984, -5912,  3594,  3594,  3594,  3594,
    3594, -5912,  4433, -5912, -5912, -5912,  4507, -5912,   931,146524,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912,  1078, -5912, -5912,
   -5912, -5912, -5912, 17070, -5912, -5912, -5912, 52159, -5912,  9415,
   56121,  4559, -5912, 52159, 52159, 52159, -5912,  4224,  2665,  2666,
   -5912, -5912,  1469, -5912,  4520, -5912, -5912, -5912,  9932,  4280,
   17070,  4338,  4228,  4233,  2613,  2613, 10851,  2613, 52159, 52159,
    2613,  2613, 52159, -5912, -5912,  9998,  4420, -5912, -5912, 10063,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, 80415,  4232,  3836,
  109808,  4238,111984,  1934, 59465, -5912, -5912,  2952, -5912, 59465,
    4519, -5912, 59465, 81505, -5912,111984,  4239,111984, -5912,   444,
   52159,  4283, -5912,  4283, -5912,   514, -5912, -5912, -5912, -5912,
   -5912,  4377,  4248, -5912,102736,   159, -5912,   732, -5912, -5912,
    4653, 61124,  4612, 16907, 52159, -5912, -5912, -5912, -5912, -5912,
  146524,  4461,146524,  1889, 10082,  4551, 61124, 72754,111984, -5912,
  111984, -5912,  4415,  4551,  4551, -5912, -5912, -5912, -5912, -5912,
   -5912,  4253, -5912, -5912, -5912, -5912,  4335, -5912, -5912,    84,
    3575, -5912,  2243, -5912,  4715,  4600,  4602, -5912, -5912, -5912,
   -5912, -5912, -5912,  4438, -5912, -5912, 68265,147480,111984, -5912,
    4340, -5912, -5912, -5912, -5912, -5912, -5912, 62230, 71632, -5912,
    1392,  4258,  4259,  1601, -5912, -5912, -5912,111984, 11011,  4260,
   11349,   690,  3575,111984,111984,  4265,  4266,  4268,  1891,  1694,
    2053,  3594,  4590,111984, -5912, -5912, -5912,  4438, -5912, -5912,
  111984, -5912,   379, -5912, -5912, -5912, -5912, 79325, -5912,  2698,
    4180,  1632, 81505,  4730,  4730, 11434,  4496, -5912, -5912,   816,
    4331,  4530,  4331,  4277,111984,  1460,  4282,  2669, -5912,111984,
    4285,  4412,  2506,  2506,111984,111984,111984,  2673,  2155,  2994,
    4032,   383,  4630, 91312,  4676,  4022,   465, -5912,111984,  4752,
  102736,  2155,  3837,111984,  4290,  1272, -5912, 92944,  4502,  2243,
  111984,  2533,  4245,  3603,  1582,111984, -5912,  1874, -5912,  2155,
   -5912,111984,104912, 61124,  4621, -5912, 88590, -5912,  2676, -5912,
   -5912, -5912,  4369, 12208,  3713,  4413,  4417,  4295,   876,  4631,
  111984,  1204, -5912,  4310, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912,111984, -5912,   432, -5912, 17051, -5912,  4518, 56121, 17070,
   17070, 17070, 52159, -5912, 52159, -5912, -5912, -5912, -5912,  1108,
   -5912, -5912,  2613,  2613,  2613, -5912,  4746,  3712, -5912, -5912,
    2684,  4768, 55555,  4727, -5912,111984,  2685, -5912, 52159,  4314,
   -5912, -5912, 59465,  2952,  4318,  2689,111984,  2697, 88045, 54423,
   17070,111984, -5912, -5912, -5912, -5912,  2097,  4700, -5912, -5912,
   -5912,  4376,111984,  2701, -5912,   776,   265,  4361, -5912, 17070,
    1943,  2093,   569,  4555,  4319,  3537, -5912,  4323, -5912, -5912,
    3200,  1777,111984,  3537,  3537, -5912,111984,  4418, -5912,  4633,
   -5912, -5912,  4384, -5912,  1326,  3575,111984, 88045, -5912,   180,
    4659, -5912, 88045, 88045, -5912, -5912, -5912, 52159, -5912,  4421,
   -5912, -5912, -5912, 52159, 52159,151304, -5912, -5912,111984,111984,
  111984,111984,111984, -5912,   931, -5912, -5912,  2704, -5912,140741,
   -5912, -5912,  3396,  1632,  3396,  2081, -5912, -5912,  3396,  3396,
   -5912,  3713, -5912,  4730,  1044, -5912, -5912,  4560,  4332, 52159,
    4634, -5912,   890,  4545, -5912,  4334, -5912, 81505,  4827, -5912,
   79325,  3837,  4322,111984, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912,  2712,  4022,  4678,  3591,
    4252, -5912,111984,  4378, -5912, 59465,  4022,  2155,  2496,  3656,
    4245,  3837,  4322, -5912, -5912, -5912,  4342,  4273,  3603,  2533,
    4481, -5912,  4484, -5912,  4774,  4558,  4775,  3656, -5912,  3497,
    2713,111984, -5912, -5912,  7669, 89680, 88045, -5912, -5912, -5912,
    4345,  4719,  4396,  4400, -5912, -5912, -5912,   876, -5912,  1590,
    4717,  4399, -5912,  4422,111984, -5912, -5912,  2574,  4852,  4022,
     931, 52159,  4518,  2716,  2720,  4423, -5912, 52159,   258,  3946,
   80415,  4364, -5912, 56121,  2723, -5912,  4011,111984,  2724, -5912,
   17070,111984, -5912, -5912, 52159, -5912,  2728, -5912,  4365,    80,
    4367, 41425,  4360, -5912, -5912, -5912, -5912, -5912, 17070,  4368,
   -5912,  4835,  4709,  4710,111984, -5912,  2155, -5912,  3713, 61124,
   -5912,  4503,  4843,  4636, -5912, -5912,  4708, -5912, -5912,111984,
    4331, 71632,  1777,  3672,  2524,  4331,  4331, -5912,111984,  4332,
   52159, -5912,  4474, -5912, -5912,  2733,  1881,  4561,  4561,  2736,
    2744, 11976,111984,  2745,  2763, -5912,  2767,  2976,  3600,  2053,
    3600, -5912,  3594, -5912, -5912, 79325, -5912,147002, -5912, -5912,
   -5912,  1632, -5912,  1632,  4607,111984, 74954,  1632,  1632, -5912,
   -5912, -5912, -5912,  4684, -5912,  4193, -5912, 12465,  4480, -5912,
   -5912, -5912,   523, -5912,  4604,  4606, -5912,  4402, -5912,  2771,
   -5912,  1037,  4522,  4022, -5912, -5912,111984,  4858,  4859, -5912,
    1336,111984,  3940, -5912,  4252,  3656, -5912,  3603,  1037,  4245,
    2243, 61677,  4306,  2533,  4273, -5912, -5912,  4608, -5912,  4610,
   -5912,  4403,  4711, -5912,  1923,   947, -5912, -5912, -5912,  1491,
    4731,  4733, -5912, -5912, -5912,  3396, -5912,  2037,  4424,  4757,
   -5912, -5912, -5912, -5912, -5912,111984, -5912, -5912, 17070, -5912,
   -5912, -5912,  3643, 51027, 51027, 51027,  4416, -5912, -5912,111984,
    4204,  4408, 55555, 79325,  2780, -5912, 86410, -5912,  2781,  2788,
   -5912, 52159,  4425, 52159, -5912, 54423,111984,  4427,  4854,  4855,
    1479, -5912, -5912, -5912, 66620, 52159,  4510,  4843,146524,  2789,
    3788,  4430,  3672, -5912,  4530, -5912, -5912,  3575, -5912, 17070,
  111984, 81505,  4856, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
    3575,  4499, -5912, -5912,151304, -5912,111984, -5912, -5912,  2794,
   -5912, -5912, -5912,111984,  4217, -5912,  4217, -5912, -5912, -5912,
    1504,  4528,111984,  1560,  1560,  4795, -5912,  4490, -5912,  4434,
   -5912,  4928,  4565,111984, -5912, -5912,  1392,  2155, 91312,  4022,
   -5912,  1272,  2533,  4245,  3603, 52159,  2797, -5912,  4555,   205,
   -5912,  4273,  4306, -5912, -5912, 61124,  4439,  3301,  4799, -5912,
   -5912, -5912,  2117, 81505, 81505,111984, -5912, -5912, -5912, 52159,
    1460, -5912, 54989,  4582,  1528, 14394,  4792, -5912,  4792,  4792,
   -5912,  2809, 57253, -5912, -5912, -5912,111984,  4650,  1656,  4905,
    4613,  2815, 54423,  2819, -5912, -5912, -5912,111984,111984,111984,
    1753, 17070,   934,  4537,   569, -5912, -5912, -5912, -5912,  4545,
    1889,  1889, -5912,  3575, -5912,111984, -5912,  4463, -5912, -5912,
   -5912,147002,  4217, -5912, -5912, -5912, -5912,  4938, -5912,  1515,
   -5912, -5912, -5912, -5912,111984,  4022,  4152,  4252, -5912, -5912,
    4273,  3603,  2533, 12931, -5912, 61677,111984,111984,  4306, -5912,
    2822, 61124,  3591,  4609, -5912,  2238, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912,   880,  4462,  4467, -5912, -5912, 12960, 81505,
    4930, -5912, -5912, -5912, -5912, -5912,  1384, -5912, -5912, -5912,
   -5912,  3836, -5912, -5912, 56121,  4690, -5912,  1656, -5912, 56121,
  111984, -5912,  4468, -5912, -5912,  2832, -5912,  1507,  1510,  2062,
   -5912, -5912,  4701,  4597, -5912, -5912,  1770, -5912,  1889, -5912,
   -5912, -5912, 52159, -5912, -5912,  2524,  2524,  4022, -5912, -5912,
    4306,  2533,  4273,  4555, -5912, -5912, -5912, -5912, -5912,  4711,
   -5912,  2835,  4306,  4399,    23, -5912, -5912,  1843,  2696,  4562,
    4804, -5912,  4479, 51593,  4619, -5912,  4686, -5912,  4902,  4204,
   -5912, -5912,  4204, -5912, 52159, -5912,111984,111984, 80960,111984,
   -5912, 66620,  4712,   174, -5912,  1889,  2836, -5912, -5912, -5912,
   -5912,  4273,  4306,111984,  3301, -5912, 61124,  3713,  4831, -5912,
    2238,  4599,  4601, 78780, -5912, -5912, -5912,111984, 13005, -5912,
   -5912,   318,  4872, -5912,  4488, -5912,  4546,   732,  4497,111984,
   -5912, -5912,  4306, -5912, -5912,  3591, -5912, -5912,  1460, -5912,
    4544,  4563,  2840, -5912, -5912, -5912, -5912, -5912,  2843, -5912,
   52159, 80960, -5912,  4571, 52159,  2844, -5912,  4306, 81505,  4830,
    4844, -5912, 78780, -5912,   895,  4581,  4577,  2853,  1393,  3713,
    4524, 81505, 81505, -5912,  4525,111984, -5912, -5912,   732, -5912,
   -5912, 78780, -5912, -5912,  1632, -5912,  4580,  2864,  4577, -5912,
   -5912
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_int16 yydefact[] =
{
    3195,     0,     2,     1,  3622,  3626,  3630,  3631,  3553,  3632,
    3633,  3598,  3599,  3600,  3601,  3602,  3603,  3604,  3605,  3606,
    3607,  3608,  3609,  3611,  3610,  3612,  3613,  3614,  3615,  3616,
    3617,  3618,  3619,  3621,  3620,  3571,  3202,  3570,  3567,  3568,
    2310,  3635,  3623,  3636,  3624,  3625,  3627,  3628,  3597,  3629,
    3637,  3638,  3639,  3634,  3642,  3593,  3594,  3592,  3595,  3596,
    3640,  3641,  3584,  3585,  3586,  3587,  3643,  3203,  3204,  3589,
    3196,  3200,  3265,  3336,  3590,  3591,  3588,  3201,  3583,  3336,
       0,  3458,  3459,     0,  3460,  3461,  3462,  3388,  3350,  3463,
       0,     0,  3464,  3465,  3466,  3467,  3468,  3469,  3470,  3471,
       0,  3472,  3473,  3474,  3475,  3335,  3476,  3477,  3478,  3479,
    3312,  3318,  3441,     0,  3292,  3293,  3289,  3291,  3290,  3294,
    3277,  1457,   657,  1545,  1544,     0,  2676,  1457,  2628,  2629,
    2677,  2630,  2631,     0,  2632,   275,     0,  1555,  2633,  2678,
       0,  1457,  2679,   439,  1115,  2680,  2681,  3219,     0,  2634,
    2635,     0,     0,     0,   657,  1457,     0,     0,  2636,  1710,
    2637,     0,  2638,  2682,  2683,     0,  2639,  2640,  2684,     0,
    2685,  2641,  2642,  2643,  2686,  2687,  2688,  2644,  2689,  2690,
       0,     0,  1724,     0,  2645,  2691,  2646,  2647,  2648,     0,
    2692,  2649,  2650,  2651,  2693,  2694,  2652,  2653,  2654,     0,
    2655,     0,     0,     0,     0,     0,     0,  2695,  1457,  2656,
       0,     0,  1731,     0,  2657,     0,  2696,  2658,     0,  2659,
       0,  2697,  2660,  2661,  2662,  2663,  1724,  3437,  3313,     0,
    1557,     0,  2664,  2698,     0,  2665,  2666,  2667,  2668,  2669,
    2670,  2671,  2672,  2673,  2674,  2675,     0,     0,     0,     3,
      38,    73,    74,    31,    30,    91,    56,    17,    64,   126,
     125,   127,    43,    39,    81,    26,    28,    40,    44,    66,
      68,    33,    57,   103,    65,    24,    63,    69,    89,    51,
      12,    13,    52,    14,    53,    15,    54,    99,    75,    92,
      36,    62,    23,    45,    71,    72,     5,    47,    79,    11,
      58,    59,    61,    84,    85,    86,   109,    87,   121,    42,
     118,    96,    97,   115,    98,   116,     9,   100,    55,    16,
     112,   111,   113,    82,    48,    83,    70,    90,   110,    27,
     114,    18,    19,    21,    22,    20,    60,    29,    67,    32,
      88,   117,   107,   102,   122,   120,     4,   128,   104,    76,
       7,     8,    93,     6,    25,    50,    10,    35,    34,    49,
      41,   124,    37,  1555,    95,   108,    94,   101,    80,   105,
     123,   106,    78,   119,  1686,  1673,  1733,  1685,  1709,     0,
    1689,  3532,  3533,    46,  1710,   130,   131,   132,   137,  3199,
    3254,  3255,  3256,  3336,  3287,  3288,  3281,  3297,  3307,  3296,
    3300,  3308,  3295,  3314,     0,   134,   136,   138,   141,   135,
     129,   133,   140,   145,   139,   144,   142,   143,   146,   147,
     148,  3534,  1963,  3531,    77,  3272,  3271,     0,  3336,     0,
    3564,  2328,  2329,  2330,  2331,  2332,  2333,  2334,  2335,  2336,
    2337,  2338,  2339,  2340,  2341,  2343,  2342,  2344,  2345,  2346,
    2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,
    2357,  2358,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,
    2367,  2368,  2369,  2370,  2371,  2372,  2373,  2374,  2375,  2376,
    2377,  2378,  2317,  2318,  2379,  2380,  2381,  2382,  2383,  2384,
    2385,  2386,  2387,  2388,  2389,  2390,  2391,  2392,  2393,  2394,
    2395,  2396,  2397,  2398,  2399,  2400,  2401,  2402,  2403,  2404,
    2405,  2406,  2407,  2408,  2409,  2410,  2411,  2412,  2413,  2414,
    2415,  2416,  2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,
    2425,  2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,
    2435,  2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,  2444,
    2445,  2446,  2447,  2448,  2449,  2450,  2451,  2452,  2453,  2454,
    2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,
    2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,  2473,  2474,
    2475,  2476,  2477,  2478,  2479,  2480,  2481,  2482,  2483,  2484,
    2485,  2486,  2487,  2488,  2489,  2490,  2491,  2492,  2493,  2494,
    2495,  2496,  2497,  2498,  2499,  2500,  2501,  2502,  2503,  2504,
    2505,  2506,  2507,  2508,  2509,  2510,  2511,  2512,  2515,  2513,
    2514,  2516,  2517,  2518,  2519,  2520,  2521,  2522,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,
    2535,  2536,  2537,  2538,  2539,  2540,  2541,  2542,  2543,  2544,
    2545,  2546,  2547,  2548,  2549,  2550,  2551,  2552,  2553,  2554,
    2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,  2319,  2563,
    2564,  2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,  2578,  2579,  2580,  2581,  2582,  2583,
    2584,  2585,  2586,  2587,  2588,  2589,  2590,  2591,  2592,  3219,
    2593,  2594,  2595,  2596,  2597,  2598,  2599,  2600,  2601,  2602,
    2603,  2604,  2605,  2606,  2607,  2608,  2609,  2610,  2611,  2612,
    2613,  2614,  2615,  2616,  2617,  2618,  2619,  2620,  2621,  2622,
    2623,  2624,  2625,  2626,  2627,  3237,  2315,  2316,  2323,  2324,
    2325,  3212,  3233,  3239,  3560,  3238,  2322,  3387,     0,     0,
    3480,  3481,  3482,  3483,  3484,  3485,  3535,  3536,  3537,  3538,
    3539,  3541,  3540,  3349,  3507,  3544,  3348,  3545,  3352,  3546,
    3547,  3548,  3549,  3508,  3550,  3351,  3542,  3504,  3353,  3346,
    3347,  3505,  3456,  3457,  2290,  3506,  3503,  3543,  3240,  3502,
    3357,  3356,  1662,  3559,  1663,     0,  3359,  3486,  3487,  3488,
    3489,  3491,  3490,  3492,  2699,  2700,  2701,  2702,  2703,  2704,
    2705,  2706,  2707,  2708,  2709,  2710,  3517,  2711,  2712,  2713,
    3530,  2714,  2715,  3518,  2716,  2717,  2718,  2719,  2720,  2721,
    2722,  2723,  2724,  2725,  2726,  2727,  2728,  2729,  2730,  2731,
    2732,  2733,  2734,  2735,  2736,  2737,  2738,  2739,  3519,  3520,
    2740,  2741,  2742,  2743,  2744,  2745,  2746,  2747,  2748,  2749,
    2750,  2751,  2752,  2753,  2754,  2755,  2756,  2757,  2758,  2759,
    2760,  2761,  2762,  2763,  3521,  2764,  2765,  3522,  2766,  2767,
    2768,  3523,  2769,  2770,  2771,  2772,  2773,  3527,  3528,  3529,
    3516,  3310,  3493,  3515,  3526,  3524,  3525,  3320,  3316,  3324,
    3319,     0,     0,     0,     0,  3336,  1456,  1455,  1470,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   656,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3209,     0,  1467,   150,     0,
    3511,  3505,  3514,     0,  2293,  3506,  3503,  3502,   411,   410,
    1554,     0,  1534,   657,     0,  1470,   438,  1710,     0,     0,
       0,     0,     0,     0,   873,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   198,     0,     0,
       0,     0,   462,   461,     0,     0,  1081,   467,     0,     0,
       0,     0,     0,   647,  3218,  3213,  3223,     0,  3216,  3217,
    3502,     0,  3646,  2513,  3249,  3250,  3644,  2574,  1664,  1662,
    3559,     0,   276,   279,   280,   277,   278,     0,  1227,  1228,
    1230,     0,     0,  1240,   913,   914,     0,     0,     0,   927,
       0,     0,     0,   911,     0,     0,     0,   933,     0,   930,
       0,     0,   934,   931,   908,   932,   915,     0,   907,     0,
       0,  1240,   935,     0,     0,   909,     0,     0,     0,     0,
    1470,     0,  3302,  3303,  2434,  1594,   468,     0,     0,  1710,
       0,  1578,  1579,  1555,  1567,  1580,  1572,  1574,  1573,  1575,
    1576,  1571,  1577,  2329,  1010,  2346,  1010,  2422,  1007,  1008,
    1010,  1010,  1010,  2533,     0,     0,   982,     0,   993,  2311,
    1010,  2312,  3560,  1015,  2337,   539,   539,   539,     0,  1014,
    1019,   539,     0,  1438,  1479,  2292,  1723,     0,  2346,  2422,
     983,  1437,  2593,  1584,     0,     0,  1255,  1251,  1253,  1254,
    1252,     0,  1084,  1084,  2552,  1447,   260,  3500,  2562,  2660,
    2593,  3501,   259,   254,   255,  3495,  3496,  3498,   228,  3499,
    3497,  3494,  2333,     0,     0,  1014,     0,  1470,  1445,   979,
    1730,  1728,     0,  2277,     0,     0,  2356,     0,  2371,  2460,
     251,  2545,  2553,  2562,  2660,  2593,  2625,   207,   217,   212,
       0,   269,  2562,  2660,  2593,     0,  1467,     0,  1690,  1837,
    1836,  2286,     0,     0,  3311,  1440,  1439,  1556,     0,  1559,
       0,  2528,  1694,  1697,  1561,  1695,  1686,     0,     0,  3198,
       0,  1566,  1727,  1727,     0,  1727,     0,  1678,  1686,  1681,
    1685,     0,     0,     0,     0,     0,  1457,     0,  3279,  3307,
    3286,  3342,  3283,     0,     0,  3332,  3328,  3325,  3333,  3334,
    3327,  3315,  1952,  1953,  1954,  1951,  1964,  1950,     0,  3260,
    1955,  3299,  3266,     0,  3274,  3273,  3572,  3573,  3389,  3211,
    3230,     0,     0,     0,     0,     0,     0,     0,  3358,  3360,
    3362,  3322,  3321,  3317,     0,     0,     0,  3447,  3448,     0,
    3446,     0,  3443,  3445,     0,  3342,     0,  1441,     0,     0,
       0,   938,     0,  1482,  1066,     0,     0,     0,     0,     0,
    1324,     0,  1123,  1124,     0,  2315,     0,  2433,  1324,     0,
       0,  2188,  2199,  2200,  2201,  2360,  2416,  2196,  2197,  2198,
    2190,  2191,  2192,  2193,  2194,  2195,     0,     0,  1222,  2189,
       0,  2433,     0,  1324,     0,   177,     0,   154,  1324,     0,
       0,  2433,     0,     0,  2433,     0,     0,     0,     0,     0,
    2433,     0,     0,     0,     0,     0,   177,  2465,     0,   154,
    2433,     0,     0,     0,  1461,     0,     0,     0,  1463,  1466,
    1453,     0,  2269,     0,  2270,  2294,     0,  1548,  1542,  1551,
    1547,  1537,     0,  2286,     0,     0,     0,     0,   921,     0,
       0,   911,     0,     0,     0,   922,     0,   923,   924,     0,
       0,     0,     0,   920,     0,  1451,  1443,     0,  1586,  1588,
    1587,  1589,  1585,   539,     0,     0,     0,  2433,     0,   154,
    1521,     0,  2433,   154,     0,     0,   466,   465,   154,   464,
     463,  2360,  2416,     0,  1114,     0,  1197,   154,  2433,     0,
     200,  2433,   716,  2433,  1561,     0,   660,     0,   828,  2465,
     154,     0,     0,     0,     0,     0,     0,  1084,     0,     0,
       0,     0,     0,     0,     0,   646,   657,     0,  3222,  3228,
       0,  3220,  3390,  3647,  3645,  3345,     0,  3251,  1231,   252,
     253,  1229,   925,  2433,  1156,   372,     0,     0,  2433,   154,
    1912,  1941,  1919,  1941,  1941,  1908,  1908,  2399,  1921,  2433,
    1909,  1910,  1946,     0,  1941,  1908,  1913,     0,  1911,  1949,
    1949,  1936,   372,   942,  1893,  1894,  1895,  1896,  1922,  1923,
    1897,  1928,  1929,  1933,  1898,  1963,  3512,  1908,  3513,  3510,
    3509,   926,     0,   912,  2433,   372,  1120,  2433,  2320,   187,
       0,   910,  2360,  2416,  2433,   372,  1224,     0,  2433,   372,
    2433,   183,  2433,   372,  2433,   372,  2433,   661,     0,     0,
    2433,   372,  2433,  2465,   185,   929,  2433,   372,   936,  2433,
     372,  2288,  2433,     0,  1454,     0,     0,  3577,  3581,     0,
    3579,  3574,  3301,  3355,  3354,  3253,     0,  3658,     0,  1664,
    1569,     0,  1710,  1010,  1009,     0,  1010,     0,  3668,  1010,
       0,  1010,     0,  3668,  1010,     0,     0,     0,  1010,  2313,
    2314,     0,     0,  3667,  3663,  3666,   984,   994,     0,  1016,
       0,  1024,     0,  1023,  1022,  1021,     0,     0,     0,  1025,
       0,  1841,  1621,     0,   991,     0,   989,     0,  1435,  1450,
       0,     0,     0,     0,  1084,     0,  1083,     0,     0,  1446,
     258,   256,     0,     0,     0,     0,     0,     0,  1452,     0,
    1444,     0,     0,     0,  3566,  3569,  2202,  3565,     0,  2629,
    2630,  2631,  2261,     0,  3507,  2632,  2633,  2678,  2092,  2079,
    2088,  2093,  2080,  2082,  2089,  2634,  2635,  2030,  2636,  2637,
    2306,  2638,  2639,  2640,  2642,  2643,  2644,  2084,  2086,  2645,
    2646,  2648,     0,  2307,  2649,  2650,  2494,  2652,  2653,  2655,
    2656,  2090,  2658,  2659,  2660,  2661,  2662,  2663,  2305,   506,
    2091,  2664,  2666,  2667,  2668,  2669,  2671,  2672,  2673,  2674,
       0,     0,     0,  2283,     0,  2059,     0,  1901,  1902,  1924,
    1925,  1903,  1930,  1931,  1904,     0,  2282,  1966,  2147,  2058,
    2075,     0,  2064,  2065,     0,  2057,  2053,  1713,  2278,     0,
    2054,  2295,  2262,  2309,  2308,  3560,  2272,  2298,  2296,  2297,
    2299,  1713,  2276,     0,     0,     0,   220,     0,     0,  3436,
     271,     0,   272,  2284,  2562,   208,   250,   222,   249,   223,
     221,     0,  2358,   209,     0,     0,   210,     0,     0,     0,
       0,     0,     0,     0,   265,  1442,     0,  1839,  1838,  2287,
     947,     0,     0,  1558,  1555,  2212,     0,  1696,     0,     0,
       0,  1676,  1675,     0,  1563,  1565,  1540,  1561,  1725,  1726,
       0,     0,     0,     0,     0,     0,     0,     0,  1783,  1741,
    1742,  1744,  1780,  1784,  1792,     0,  1682,     0,     0,     0,
    1843,     0,     0,  3197,  3342,  3343,     0,  3337,     0,  3336,
    3336,  3330,  3329,  3326,     0,     0,     0,     0,     0,     0,
       0,     0,  3257,   641,  3259,   638,     0,     0,  3232,     0,
    3236,  3234,     0,  3382,  3385,     0,  3383,  3384,  3386,     0,
    3391,  3392,     0,     0,     0,     0,     0,  3373,  3361,  3368,
    3370,  3372,  3371,  3380,  3376,  3379,  3381,  3323,  3336,     0,
    3449,  3455,  3452,  2373,     0,  3444,     0,  1468,     0,     0,
       0,     0,     0,  1155,     0,     0,     0,     0,     0,   939,
       0,     0,     0,     0,  1490,  1491,  1492,     0,     0,     0,
    1493,  1494,  1482,   262,  1501,  1498,  1481,  1483,  1496,  1488,
       0,     0,     0,     0,     0,     0,     0,  1513,     0,   191,
     192,     0,   673,   657,     0,  2433,     0,     0,     0,     0,
    1165,  1172,  1323,     0,     0,     0,     0,     0,     0,     0,
       0,  1166,  1164,     0,  1167,   264,  1177,  1204,  1207,     0,
       0,  1122,  1125,     0,     0,     0,     0,     0,  1314,     0,
       0,     0,  1314,     0,     0,     0,  1323,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   287,   289,   302,   367,
       0,     0,     0,  2433,  1324,     0,     0,     0,  1226,     0,
       0,     0,     0,     0,     0,     0,     0,  1207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   152,   153,   158,
       0,     0,     0,     0,  1207,     0,     0,     0,     0,     0,
       0,     0,   622,   637,   625,     0,     0,     0,     0,     0,
     633,     0,     0,   154,   635,   292,   612,   618,     0,     0,
       0,   723,   722,     0,     0,     0,     0,     0,     0,  1411,
       0,  1410,     0,     0,     0,     0,     0,  1511,  1510,     0,
       0,     0,     0,     0,     0,  1314,     0,   281,   283,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   403,   404,     0,     0,     0,   158,
       0,     0,  1314,     0,   294,     0,  3267,     0,  1462,  1459,
    1460,     0,  1465,     0,     0,     0,     0,  2067,     0,  2216,
    1733,  2214,  1140,  2268,     0,  2265,  2264,  2291,  2271,     0,
       0,   239,   240,   238,  1549,   241,  1550,  1546,     0,  1532,
       0,     0,     0,     0,     0,     0,     0,     0,  2360,  2416,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   836,  1482,  1520,     0,
       0,     0,   666,     0,  2433,     0,   156,   874,     0,   826,
     467,     0,     0,     0,     0,  1387,   156,     0,     0,   194,
       0,     0,   720,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   827,     0,     0,   156,     0,  2433,   615,
    2433,     0,   539,   539,     0,     0,  1086,     0,     0,     0,
       0,     0,     0,     0,     0,  3226,  3221,  3224,     0,  3214,
    3228,  1668,  1667,  1670,  1669,     0,  1666,     0,   370,   371,
       0,  1214,  1239,     0,     0,     0,  1940,  1927,  1935,  1934,
       0,  1917,  1916,  1915,     0,  1914,     0,  1941,  1941,  1939,
    1918,  1893,     0,     0,     0,  1945,     0,  1943,     0,   903,
    1889,  1885,     0,  1952,  1951,  1950,     0,  1899,  1908,  1905,
     928,     0,     0,  1208,     0,     0,  2433,   372,  2433,     0,
    2433,     0,     0,     0,  1216,   372,     0,  1210,     0,     0,
    1212,     0,  1413,     0,   919,   917,   916,   918,     0,     0,
     901,     0,     0,     0,     0,     0,   896,     0,     0,   898,
       0,     0,  3575,     0,     0,  3578,     0,  3304,     0,  3664,
    1590,  3661,     0,     0,  1710,  1568,     0,  1002,     0,  3668,
    3669,   987,     0,   997,     0,  3668,   985,     0,   998,   995,
     996,     0,     0,     0,  3662,  3551,  3557,  1001,     0,     0,
     540,   542,     0,     0,  2382,  2398,     0,  2423,  2453,  2454,
    2504,  2519,  2548,  2553,  2558,     0,  2587,  2598,     0,  1030,
    1061,  1020,   732,     0,     0,  1631,   992,   990,  1436,  1582,
    2221,     0,  1710,     0,     0,     0,  1247,  1248,   257,   229,
       0,     0,     0,  1063,  2552,  1449,   978,   657,     0,     0,
    2062,  2063,  2260,     0,     0,     0,     0,     0,     0,  2061,
       0,     0,     0,     0,     0,     0,     0,  1988,     0,     0,
    2220,     0,     0,  2220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1989,  1970,  1971,  3508,
    2059,  2212,     0,  2060,  2302,     0,  1963,  2202,     0,  2199,
    2200,  2201,  2774,  2775,  2776,  2777,  2778,  2779,  2780,  2781,
    2782,  2783,  2784,  2785,  2786,  2787,  2788,  2789,     0,  2790,
    2791,  2792,  2793,  2794,  2796,  2795,  2797,  2798,  2799,  2800,
    2801,  2802,  2275,  2804,  2805,  2806,  2807,  2808,  2809,  2810,
    2811,  2812,  2813,  2814,  2815,  2816,  2817,  2818,  2819,  2820,
    2821,  2822,  2823,  2824,  2825,  2826,  2827,  2828,  2829,  2830,
    2831,  2832,  2833,  2834,  2835,  2836,  2837,  2838,  2839,  2840,
    2841,  2842,  2843,  2844,  2845,  2846,  2847,  2848,  2849,  2850,
    2851,  2852,  2853,  2854,  2855,  2856,  2857,  2858,  2859,  2860,
    2861,  2862,  2863,  2864,  2865,  2866,  2867,  2868,  2869,  2870,
    2871,  2872,  2873,  2874,  2875,  2876,  2877,  2878,  2879,  2880,
    2881,  2882,  2883,  2884,  2885,  2886,  2887,  2888,  2889,  2890,
    2891,  2892,  2893,  2894,  2895,  2896,  2897,  2898,  2899,  2900,
    2901,  2902,  2903,  2904,  2905,  2906,  2907,  2908,  2909,  2910,
    2911,  2912,  2913,  2914,  2915,  2916,  2917,  2918,  2919,  2920,
    2921,  2922,  2923,  2924,  2925,  2926,  2927,  2928,  2929,  2930,
    2931,  2932,  2933,  2934,  2935,  2936,  2937,  2938,  2939,  2940,
    2941,  2942,  2943,  2944,  2945,  2946,  2947,  2948,  2949,  2950,
    2951,  2952,  2953,  2954,  2955,  2003,  2956,  2957,  2958,  2959,
    2960,  2961,  2962,  2963,  2964,  2965,  2966,  2967,  2968,  2969,
    2970,  2971,  2972,  2973,  2974,  2975,  2976,  2977,  2978,  2979,
    2980,  2981,  2982,  2983,  2984,  2985,  2986,  2987,  2988,  2989,
    2990,  2991,  2992,  2993,  2994,  2995,  2996,  2997,  2998,  2999,
    3000,  3001,  3002,  3003,  3004,  3005,  3006,  2005,  3007,  3008,
    3009,  3010,  3011,  3012,  3013,  3014,  3015,  3016,  3017,  3018,
    3019,  3020,  3021,  3022,  3023,  3024,  3025,  3026,  3027,  3028,
    3029,  3030,  3031,  3032,  3033,  3034,  3035,  3036,  3037,  3038,
    3039,  3040,  3041,  3044,  3042,  3043,  3045,  3046,  3047,  3048,
    3049,  3050,  3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,
    3059,  3060,  3061,  3062,  3063,  3064,  3065,  3066,  3067,  3068,
    3069,  3070,  3071,  3072,  3073,  3074,  3075,  3076,  3077,  3078,
    3079,  3080,  3081,  3082,  3083,  3084,  3085,  3086,  3087,  3088,
    3089,  3090,  3091,  3092,  3093,  3094,  3095,  3096,  3097,  3098,
    3099,  3101,  3100,  3102,  3103,  3104,  3105,  3106,  3107,  3108,
    3109,  3110,  3111,  3112,  3113,  3114,  3115,  3116,  3117,  3118,
    3119,  3120,  3121,  3122,  3123,  3124,  3125,  3126,  3127,  3128,
    3129,  3130,  3131,  3132,  3133,  3134,  3135,  3136,  3137,  3138,
    3139,  3140,  3141,  3142,  3143,  3144,  3145,  3146,  3147,  3148,
    3149,  3150,  3151,  3152,  3153,  3154,  3155,  3156,  3157,  3158,
    3159,  3160,  3161,  3162,  3163,  3164,  3165,  3166,  3167,  3168,
    3169,  3170,  3171,  3172,  3173,  3174,  3175,  3176,  3177,  3178,
    3179,  3180,  3181,  3182,  3183,  3184,  3185,  3186,  3187,  3188,
    3189,  3190,  3191,  3192,  3193,  3194,     0,  2196,  2197,  2198,
    2190,  2191,  2192,  2193,  2194,  2195,  2206,     0,     0,  2281,
    2327,  2326,     0,  2149,     0,  1985,     0,     0,  1796,  1712,
       0,  2300,  2263,     0,  3558,  3561,  2055,  1796,  3433,  3432,
    3431,  3430,  3401,     0,  3395,  3396,     0,  3434,  3435,   273,
     274,   270,     0,     0,   225,   224,     0,   247,   248,   219,
     246,     0,   242,   243,   227,  2136,  2135,   226,   218,   215,
     213,   230,   232,   233,   216,   214,   268,   266,     0,     0,
       0,     0,   372,  3336,  1566,  1553,     0,     0,  2275,     0,
    2210,     0,     0,  2208,     0,     0,     0,  1793,     0,  1698,
       0,  1702,  1566,     0,  1562,  1693,  1692,  1734,  1735,  1106,
    1691,  1763,  1764,     0,     0,     0,     0,  1789,  1787,  1754,
    1745,  1753,     0,     0,  1751,     0,  1755,  1966,  1782,  1680,
    1739,  1740,  1743,  1679,     0,  1785,     0,  1634,  1783,  1744,
    1618,     0,  1596,     0,     0,  1844,     0,     0,     0,  3344,
    3342,  3282,  1893,  3336,  3275,  3336,  3331,  3263,  1957,  1958,
    1959,  1960,  1961,  1962,  3264,     0,  3261,  1956,  3262,   639,
     640,     0,     0,     0,  3229,     0,  3210,  3235,  3367,  2570,
    3399,     0,  3400,     0,     0,  3364,     0,  3374,  3377,  3375,
    3378,     0,  1893,  3450,  3554,  3554,  1893,  1469,     0,     0,
       0,  1135,  1137,     0,  1136,     0,  1139,     0,  1148,     0,
       0,  1134,  1153,     0,  1142,  1140,     0,  1509,     0,     0,
     940,     0,     0,     0,     0,  1489,     0,     0,     0,  2587,
     261,  1492,  1497,  1484,  1495,     0,     0,     0,     0,     0,
    1065,  1064,     0,     0,  1088,     0,     0,   506,  1516,   528,
       0,   369,     0,     0,     0,     0,     0,     0,     0,     0,
     822,   819,     0,     0,   818,     0,   671,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   696,     0,
    1314,     0,   300,     0,  1174,     0,  1173,     0,  1178,     0,
       0,  1175,  1170,  1171,  2553,  2562,  2593,   263,  1176,  1206,
       0,  1205,  1201,     0,  1117,     0,  1118,     0,     0,     0,
       0,     0,  2408,  2433,   308,   331,     0,  1313,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   353,     0,     0,   356,   355,     0,     0,
       0,     0,     0,   361,     0,   339,     0,   340,     0,   360,
       0,     0,     0,     0,     0,     0,  1314,     0,   296,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,   749,
       0,     0,  2553,  1202,     0,  1396,     0,  2586,  1397,  1400,
     539,     0,   539,  1402,     0,     0,  1399,  1401,     0,     0,
     180,     0,   175,   179,     0,     0,  2553,  1203,     0,     0,
       0,     0,     0,   620,   621,   636,     0,   626,   627,   623,
     628,   629,     0,     0,     0,     0,     0,     0,     0,   619,
       0,     0,   718,   717,   721,     0,     0,     0,     0,     0,
       0,  1405,     0,     0,  1197,     0,     0,  1404,  1412,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
    1256,     0,     0,     0,     0,  1324,     0,   864,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   182,   736,     0,
     735,     0,   176,   181,     0,     0,     0,     0,     0,     0,
       0,     0,   237,  1458,  1464,  1733,  1733,  1733,  2073,     0,
       0,     0,     0,  1732,  2266,  2269,  1537,  1543,  1536,  1535,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   417,   414,   415,
     417,     0,     0,     0,     0,   838,     0,   841,   844,  1480,
     490,     0,     0,   663,   696,     0,     0,   470,   189,     0,
       0,     0,     0,   751,     0,  1197,  1196,   151,   198,   200,
     468,     0,   199,   201,   203,   204,   205,   202,   206,     0,
     715,   719,     0,     0,     0,     0,   659,     0,     0,     0,
       0,     0,     0,     0,  1864,     0,     0,   174,     0,     0,
     610,   614,     0,  3205,     0,     0,   470,   578,   383,  2433,
       0,   539,     0,  2433,     0,  1085,     0,   825,     0,     0,
       0,  1159,  1159,     0,     0,   765,   764,     0,     0,     0,
       0,  3227,     0,     0,     0,     0,  1665,   372,  1157,     0,
     154,     0,     0,     0,     0,   372,  1938,  1937,  1890,  1886,
       0,     0,     0,     0,   943,     0,     0,     0,     0,     0,
       0,  1906,   372,  1121,   188,  2321,     0,   905,     0,     0,
       0,     0,   372,  1225,   893,   372,   184,   372,   372,   662,
       0,   372,   186,     0,     0,   372,   937,   372,  2289,     0,
     372,  3576,  3582,  3580,  1593,  3665,  3659,  3660,  2433,   539,
    1670,  1570,   999,  1006,   988,  1005,  1004,   986,  1003,  1000,
    3366,     0,     0,  3556,     0,  1017,     0,   538,     0,     0,
       0,     0,     0,  1038,  1039,     0,     0,  1035,  1040,     0,
    1042,  1026,  1028,  1036,  1037,  1043,  1032,  1031,  1044,  1045,
       0,     0,  1063,   730,     0,     0,     0,     0,  1628,     0,
    1626,     0,  1842,  1630,  1619,  1583,     0,  1581,     0,   603,
    1084,  1084,     0,     0,  1014,     0,     0,   372,  1448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2225,     0,  2226,     0,     0,  2259,  2255,     0,     0,     0,
       0,     0,  2232,  2233,  2234,  2231,  2235,  2230,     0,     0,
    2236,  2229,     0,     0,     0,     0,     0,     0,     0,     0,
    2216,  2219,     0,     0,  2656,     0,     0,     0,     0,  2031,
       0,     0,  2183,     0,  2216,     0,     0,     0,     0,     0,
       0,     0,  2212,  2251,     0,   504,     0,  2023,     0,     0,
       0,  2134,     0,  2131,     0,     0,     0,     0,  2272,     0,
       0,  2303,  1967,  1981,  1982,  1983,  1986,  2280,     0,  2274,
       0,     0,  1968,  1994,     0,  2252,  2019,     0,  2024,  2009,
    2237,  2238,  2239,  2240,  2026,     0,  2002,  2007,  2011,     0,
    1990,     0,  1987,     0,  2275,  2211,     0,  2209,     0,  1978,
    1979,  1980,  1972,  1973,  1974,  1975,  1976,  1977,  1984,  2187,
    2185,  2186,     0,     0,     0,  2157,     0,     0,  2006,  2426,
    2460,     0,  1724,  1724,  1724,  1711,  1722,  2279,     0,  1859,
    1733,  3563,  3562,  2273,  1859,     0,     0,     0,  2285,     0,
       0,  1963,     0,   267,  1840,   945,   946,   944,  1893,  1539,
    1552,  1566,  2213,  1560,  1700,     0,     0,  1541,  1564,     0,
    1104,  1105,     0,  1109,  2656,  2550,     0,     0,     0,     0,
    1756,  1790,     0,  1781,     0,  1757,  2295,  2296,  1758,  1761,
    1762,  1752,  1791,  1632,     0,  1786,  1684,  1683,     0,  1862,
       0,     0,     0,  1610,  1598,     0,     0,  1845,     0,  1796,
    1636,     0,  2272,  1794,  3280,  3338,  3285,  3306,  3276,  3309,
    1965,  3258,  3298,     0,  3231,  3402,  3403,     0,  3393,  3394,
    3363,  3369,  3440,     0,  3555,     0,     0,  1363,  1258,  1325,
    1138,     0,  1908,  1149,     0,  1133,     0,  1132,  1908,     0,
    1150,     0,  1908,  1364,  1259,  1326,   941,  1365,  1260,  1327,
    1366,  1500,  1261,  1499,  1487,  1486,  1485,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   803,  2433,   372,  1514,  1367,     0,  1262,   368,  1515,
    1328,  1519,   821,   820,     0,     0,  1329,     0,   672,   677,
       0,   679,   680,  2360,  2416,   681,   684,   685,     0,   687,
     676,   675,     0,     0,     0,     0,     0,   693,   695,     0,
       0,     0,     0,     0,     0,  1168,  1169,  1368,  1265,     0,
    1330,     0,  1116,     0,  1266,   190,     0,     0,   288,  2433,
     310,     0,   488,   803,     0,  1316,   307,   337,     0,   352,
     347,   348,   346,  2433,   372,  2433,   372,     0,     0,     0,
       0,     0,   349,   344,   345,   341,     0,     0,   354,  2332,
    2400,  2563,     0,   704,   706,     0,   711,   357,  1286,   379,
     378,   377,     0,   362,     0,   384,   387,     0,   359,   338,
     336,   333,   303,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1218,     0,  1371,  1331,     0,  1353,
       0,     0,     0,     0,   743,  1374,  1272,  1334,     0,   539,
       0,     0,   554,   554,   539,  1385,  1273,   178,  1303,     0,
       0,   163,     0,     0,     0,     0,   157,   167,  1375,  1274,
    1335,     0,     0,  1376,  1275,     0,     0,   293,   613,   624,
     630,  1280,   634,   631,  1343,   632,  1383,  1276,     0,  1379,
    1306,  1338,   598,  1197,  1197,  1386,  1406,  1277,  1197,     0,
    1314,     0,   282,   284,     0,  1084,     0,  1278,     0,  1336,
    1378,  1305,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1522,     0,     0,     0,     0,     0,     0,   372,     0,
       0,     0,  1316,  2433,   372,  1377,     0,  1311,     0,  1351,
       0,     0,   405,     0,  1304,  1314,     0,   295,  1282,     0,
    1345,     0,     0,   235,   234,   236,     0,     0,     0,     0,
    2217,  2218,     0,  2215,  2068,  2268,     0,  1533,   967,   953,
     966,     0,   949,  2398,     0,   952,   954,     0,     0,     0,
     955,   959,   960,     0,   951,   948,   950,     0,   416,     0,
       0,   760,   761,     0,     0,     0,     0,   840,     0,     0,
    1512,     0,   154,   670,     0,     0,     0,   665,   695,   700,
       0,     0,     0,     0,   469,   473,   477,   478,   479,     0,
       0,     0,     0,   168,   155,     0,   882,     0,   539,     0,
     753,  1197,  1389,     0,   200,   193,     0,     0,   716,     0,
    1561,     0,     0,   593,  2076,   596,  2077,   595,     0,   383,
     835,   833,   832,   834,   856,   831,     0,  1863,  1865,     0,
       0,     0,     0,     0,     0,     0,   472,     0,     0,   542,
       0,   581,     0,     0,     0,     0,   578,     0,     0,     0,
       0,   852,  3509,   824,     0,  1127,     0,  1145,  1128,     0,
       0,     0,     0,  1182,  1189,  1158,  1183,  1160,  1189,     0,
       0,   766,   770,   769,   773,   771,     0,   767,   644,  3225,
    3219,  1671,  1672,     0,  1215,     0,     0,  1508,     0,  1506,
       0,  1907,  1920,   904,     0,  1948,  1947,  1949,  1949,     0,
    1891,     0,  3648,  3656,  3655,     0,  1932,  1900,  1209,   372,
       0,   372,     0,   372,  1217,  1211,  1213,  1414,     0,   902,
       0,     0,   895,   897,     0,   899,     0,     0,  3365,  3552,
    1018,   541,     0,     0,     0,     0,     0,     0,  1034,   642,
    1041,     0,     0,     0,  1056,  1051,  1053,     0,  1057,   729,
       0,     0,  1629,  1622,  1624,  1623,     0,     0,  1620,  2222,
     894,     0,   609,     0,     0,     0,     0,  1063,     0,  1058,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1729,  2223,  2224,     0,     0,     0,  2256,     0,     0,  2109,
       0,  2081,  2083,  2095,     0,  2110,  2066,  2111,  2085,  2087,
    2096,     0,     0,  2203,     0,  2099,  2098,     0,  2033,  2034,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2048,  2100,
    2182,     0,     0,     0,  2102,  2101,     0,     0,  2250,     0,
       0,     0,  2107,   505,  2112,     0,     0,     0,     0,  2118,
       0,  2139,     0,     0,     0,  2056,  2213,     0,     0,     0,
       0,     0,     0,     0,     0,  2025,  2010,  2028,  2004,  2008,
    2012,     0,  2027,     0,     0,  1998,     0,     0,  1996,  2020,
    1992,     0,     0,  2021,     0,     0,     0,  2074,     0,     0,
    1724,  1724,  1724,  1724,  1721,     0,     0,     0,     0,  2550,
    2675,     0,  1820,  1795,  1797,  1807,  1820,  1827,  1820,  1857,
    2286,     0,  1766,     0,  1766,  3415,  3417,  3418,  3419,  3420,
    3421,  3423,  3424,  3426,  3427,  3428,  3416,  3422,  3425,  3429,
    3406,  3407,     0,  3397,  3398,   211,     0,   244,   231,  3440,
    1538,  1701,  1710,  1736,     0,  2204,  1109,     0,  1738,  1759,
    1760,     0,  1749,     0,  1788,  1746,  1633,  1617,     0,  1615,
    1602,  1604,  1603,     0,     0,  1605,  2272,     0,  1615,  1597,
       0,  1641,     0,     0,  1862,     0,  1640,     0,  3340,  3268,
       0,     0,  3439,  3442,  3454,  3451,  3278,     0,  1908,  1130,
    1131,     0,  1154,     0,  1068,  1069,     0,  1067,     0,     0,
       0,   527,  1087,     0,     0,     0,   803,     0,     0,   531,
       0,  1517,     0,  1384,  1302,   674,     0,     0,     0,     0,
     689,   648,   690,   692,     0,     0,   691,   694,   697,  1314,
       0,   301,  1288,     0,  1349,  1162,     0,     0,  1119,     0,
       0,     0,     0,     0,     0,   487,   700,   332,     0,     0,
       0,     0,   154,     0,   312,   324,   390,   330,     0,   364,
       0,   335,     0,   328,   350,   342,   351,   343,   363,   365,
       0,   708,   709,   707,   703,     0,   710,   712,     0,   381,
       0,     0,     0,   358,     0,  1370,     0,  1314,     0,   297,
    1284,     0,  1347,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1352,     0,     0,     0,     0,
     748,     0,   745,     0,   554,     0,  1398,     0,  1395,  1393,
     554,     0,     0,   160,   159,     0,   166,     0,     0,     0,
       0,     0,     0,  1407,  1408,  1409,     0,     0,     0,     0,
       0,     0,   399,     0,   304,   306,   305,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   406,   374,     0,   859,     0,     0,
       0,   408,     0,     0,  1362,     0,     0,     0,     0,     0,
    1369,  1267,  2071,  2072,  2069,  1733,  2267,     0,     0,     0,
     964,     0,     0,     0,     0,   419,   420,   154,   418,   441,
       0,   803,     0,     0,   837,   842,   850,  2494,  2190,  2191,
     848,   843,   845,   847,   846,   849,     0,     0,     0,     0,
     509,     0,     0,     0,   496,     0,     0,   506,   489,   492,
     493,     0,     0,   666,   669,   667,   668,     0,   688,     0,
     472,   516,   568,     0,   170,     0,     0,   171,   169,     0,
       0,   383,   750,     0,   747,  1388,     0,   196,     0,   720,
       0,     0,     0,     0,     0,  1197,   658,     0,   855,   857,
     829,     0,   700,     0,     0,   615,     0,   539,  1594,   603,
       0,   570,   472,   568,   577,     0,     0,   585,   382,     0,
       0,   603,   383,     0,     0,  1088,   851,     0,     0,     0,
    1126,     0,     0,     0,  1179,  1184,  1180,     0,  1159,  1141,
       0,  1181,     0,     0,  1187,  1112,  1161,  1113,  1430,  1431,
    1428,  1429,     0,     0,     0,     0,     0,     0,  3242,  1661,
    3252,     0,     0,  1504,     0,  1926,     0,  1944,  1942,  1887,
       0,  3336,     0,     0,     0,     0,     0,  1892,   906,     0,
     889,     0,   891,   372,   737,     0,   372,     0,     0,     0,
       0,     0,     0,     0,  1033,     0,  1027,  1029,  1054,     0,
       0,  1063,  1060,     0,     0,  1627,  1625,   601,     0,  1249,
    1250,  1063,     0,   372,  1062,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2227,     0,  2258,  2254,     0,
    2078,  2228,     0,     0,     0,  2183,     0,     0,  2032,  2044,
    2045,  2046,  2243,     0,  2051,     0,  2041,  2042,  2043,  2035,
    2036,  2037,  2038,  2039,  2040,  2047,  2247,  2246,     0,     0,
    2104,  2105,  2106,  2249,  2113,     0,  2350,  2140,     0,  2117,
    2133,  2132,     0,     0,     0,  2120,     0,     0,  2129,     0,
    2184,  2304,  1969,     0,     0,  1995,  2253,  2013,     0,  2029,
    1991,  2203,     0,     0,     0,     0,     0,  2000,     0,     0,
       0,  2160,  2155,  2156,  2180,     0,     0,     0,     0,     0,
       0,  1715,  1714,  1720,  1820,  1827,  1820,     0,     0,  1686,
       0,  1807,     0,  1819,  1805,  1818,     0,     0,  1833,  1831,
       0,  1833,     0,  1833,     0,  1799,     0,  1823,  1801,  1818,
    1803,     0,  1849,  2287,  1858,     0,  1779,  2068,  1779,     0,
       0,     0,  3438,     0,     0,  1737,  1107,  1108,  1747,     0,
    1750,     0,  1860,     0,  1616,     0,     0,     0,  1607,  1613,
    1595,     0,     0,     0,  1637,  1615,  1638,  3284,     0,  3339,
    3404,  3405,  1151,     0,     0,  1143,  1074,  1075,  1078,  1076,
    1073,  1077,     0,     0,     0,   803,     0,     0,   549,     0,
    1101,  1101,     0,     0,   533,   590,     0,   806,     0,     0,
       0,   804,   372,  1263,     0,     0,     0,     0,   649,  1382,
    1264,     0,     0,     0,     0,  1163,  1317,     0,     0,  1287,
       0,   309,   486,   485,   490,     0,     0,   315,   325,     0,
     320,     0,  1315,     0,     0,     0,     0,   319,   322,   394,
       0,   391,     0,   372,   372,   366,   705,   380,   385,   386,
     389,  1322,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   883,   866,     0,     0,   884,
     885,     0,     0,     0,  1220,  1221,  1219,  1354,  1355,  1360,
    1357,  1356,  1359,  1358,  1361,     0,  1270,     0,     0,   741,
    1318,  1390,  1392,  1391,     0,  1394,   164,   161,   162,   165,
    1319,  1300,  1281,  1344,   599,     0,     0,     0,  1279,     0,
    1337,     0,  1296,  1290,     0,     0,     0,     0,     0,  1381,
    1310,  1342,  1380,  1308,  1340,  1307,  1339,  1309,  1341,  1301,
       0,     0,  1867,   863,     0,     0,     0,   372,   372,   862,
     739,  1283,     0,  1346,  1292,     0,     0,     0,   956,     0,
       0,     0,   958,   424,   442,   154,     0,   759,   823,     0,
       0,   839,     0,   494,     0,   500,   507,     0,     0,   511,
     512,   510,   495,  1197,   539,  1197,   792,   793,     0,     0,
     813,     0,   664,     0,     0,   470,     0,   513,     0,     0,
     474,   173,   172,     0,     0,     0,   754,   758,   756,   755,
     757,   752,     0,   743,   200,  2433,     0,     0,     0,     0,
     597,   591,   594,  1403,   830,     0,  1866,   733,     0,   383,
     611,  3207,     0,     0,   470,   603,  3206,     0,   475,   480,
     481,   490,     0,   578,   569,     0,   570,   579,   580,     0,
     587,  1478,     0,   604,   587,     0,     0,     0,   853,     0,
     854,     0,  1129,  1146,  1147,     0,     0,  1189,     0,     0,
    1191,  1186,     0,     0,   772,   775,   768,   651,     0,  3215,
     372,     0,  1507,  1888,  3649,     0,  3650,  3651,  3652,  3653,
    3654,   372,   372,  1246,     0,   900,  1048,  1049,  1050,  1047,
    1046,   643,     0,  1052,  1011,   731,     0,   602,   372,     0,
    1012,   981,   973,   980,   969,   972,   974,     0,   976,   977,
     971,   968,   970,  2257,  2094,  2097,  2108,     0,  2182,  2213,
       0,     0,  2052,     0,     0,     0,  2103,  2665,     0,     0,
    2144,  2145,     0,  2141,  2142,  2137,  2138,  2119,     0,  2483,
    2124,     0,     0,     0,  2017,  2015,  2014,  1999,     0,     0,
    1997,  1993,     0,  2022,  2146,     0,  2162,  2159,  2179,  2213,
    1719,  1718,  1717,  1716,  1806,  1802,  1804,     0,  2670,     0,
    1809,  1816,     0,  1798,     0,  1832,  1828,     0,  1829,     0,
       0,  1830,     0,     0,  1800,     0,  1816,     0,  1856,  1727,
       0,  2151,  2301,  2151,  3408,     0,  3411,  3409,  3410,  3414,
     245,  1705,     0,  1748,     0,  3664,  1599,     0,  1600,  1606,
       0,     0,     0,     0,     0,  1642,  1635,  3341,  1144,  1152,
       0,     0,     0,   529,     0,   544,     0,     0,     0,  1094,
    1103,  1093,     0,   544,   544,   808,   807,   810,   805,   809,
    1518,     0,   682,   683,   686,  1289,     0,  1350,  1298,     0,
    1631,   311,   482,   318,     0,     0,     0,   313,   393,   395,
     314,   317,   321,   374,   334,   327,     0,     0,     0,  1285,
       0,  1348,  1294,  1321,  1372,  1268,  1332,     0,     0,   872,
       0,     0,     0,     0,  1373,  1269,  1333,     0,     0,     0,
       0,     0,  1631,     0,     0,     0,     0,     0,     0,     0,
       0,  1527,     0,     0,   373,   861,   860,   374,   407,  1312,
       0,  2070,     0,   957,   962,   963,   961,     0,   413,   421,
     424,     0,     0,  1237,  1237,     0,     0,   491,   508,     0,
     589,   548,   589,     0,     0,     0,     0,     0,   701,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   746,
     745,   195,     0,   470,     0,   700,     0,   858,     0,     0,
       0,     0,   472,     0,     0,  3658,   471,     0,     0,   483,
       0,   581,   570,   578,     0,     0,   600,     0,  1471,     0,
     606,     0,     0,     0,   802,  1185,     0,  1199,     0,  1140,
    1110,  1194,     0,  1710,  1859,     0,     0,     0,     0,   785,
       0,   655,  3241,  3245,  1238,  1505,  3657,   890,   892,   738,
    1055,     0,  1059,  1063,   975,  2242,  2184,  2049,     0,  2245,
    2244,  2248,     0,  2114,     0,  2115,  2143,  2121,  2125,     0,
    2122,  2123,  2018,  2016,  2001,  2148,     0,  1733,  2181,  1852,
       0,  1855,     0,     0,  1808,     0,     0,  1810,     0,     0,
    1812,  1814,     0,     0,     0,     0,     0,     0,  2290,     0,
    1778,     0,  1688,  1687,  3413,  3412,     0,  1708,  2205,  1861,
    1614,     0,     0,     0,  1089,     0,     0,  1643,  1644,  1639,
    1056,     0,   372,  1101,     0,  1197,   550,  2494,   551,  1100,
    1102,  1106,     0,  1197,  1197,   678,     0,     0,   290,     0,
     316,   326,   376,   388,     0,  1631,     0,     0,   870,   879,
     879,   867,     0,     0,   886,  1271,   742,     0,   553,     0,
     285,  1297,  1291,     0,     0,     0,  1529,  1530,     0,     0,
       0,     0,     0,  1320,   372,  1293,   965,     0,   444,   451,
     425,   429,  1521,     0,  1521,     0,   426,   430,  1521,  1521,
     423,  1859,   440,  1237,     0,  1234,  1233,   537,   617,     0,
       0,   498,     0,   559,   497,     0,   814,     0,     0,   699,
       0,   472,   568,     0,   526,   517,   518,   519,   520,   522,
     521,   523,   524,   525,   515,   514,     0,   700,   876,   383,
    1478,   740,     0,     0,   713,     0,   700,     0,  1594,   603,
     570,   472,   568,  1591,   476,   490,     0,   585,   578,   581,
       0,   582,     0,   586,     0,     0,     0,   603,  1531,  1088,
       0,     0,   803,  1198,  1159,     0,     0,  1188,  1192,  1193,
       0,     0,     0,     0,  1241,   779,   780,   774,   776,     0,
     787,   791,   650,     0,     0,   654,   645,     0,  3243,   700,
     372,     0,  2050,     0,     0,  2127,  2126,     0,  2166,  1857,
       0,     0,  1851,     0,     0,  1881,     0,     0,     0,  1817,
    1835,     0,  1813,  1811,     0,  1824,     0,  1826,  2378,  2640,
    2547,     0,  1765,  1767,  1770,  1772,  1771,  1773,  1769,  2150,
    2152,     0,     0,     0,     0,  1699,     0,  1612,  1859,     0,
    1609,     0,  1652,     0,  1645,  1070,     0,  1071,  1095,     0,
     589,     0,  1106,  1109,   539,   589,   589,  1299,     0,   617,
       0,   329,     0,   298,  1295,     0,     0,   881,   881,     0,
       0,     0,     0,     0,     0,   401,     0,     0,  1523,     0,
    1524,  1525,  1528,   409,   422,     0,   449,     0,   447,   446,
     448,     0,   437,     0,     0,     0,     0,     0,     0,   412,
    1232,  1236,  1235,     0,   499,     0,   501,     0,     0,   545,
     546,   547,     0,   503,   555,   556,   811,     0,   816,     0,
     702,     0,     0,   700,   567,   724,     0,     0,     0,  1472,
       0,     0,   592,   734,  1478,   603,  3208,   578,     0,   570,
     484,     0,   587,   581,   585,   583,   584,     0,  1475,     0,
     605,     0,  1097,   801,     0,  1189,  1200,  1195,  1190,  1434,
       0,     0,   777,   782,   781,  1521,   786,     0,     0,     0,
     653,   652,  3246,  3248,  3247,     0,   728,  1013,  2241,  2130,
    2116,  2128,  2161,     0,     0,     0,     0,  1850,  1853,     0,
    1884,     0,     0,     0,     0,  1870,     0,  1815,     0,     0,
    1825,     0,     0,     0,  1774,     0,     0,     0,     0,     0,
       0,  1601,  1611,  1090,     0,     0,     0,  1652,     0,     0,
     554,     0,  1109,  1091,   548,   803,   803,  1631,   323,   375,
       0,     0,     0,   877,   880,   868,   869,   888,   887,   744,
    1631,     0,   397,   396,     0,   400,     0,   445,   454,     0,
     452,   427,   432,     0,   436,   434,   433,   428,   431,   536,
       0,     0,     0,     0,     0,     0,   557,     0,   558,     0,
     815,     0,     0,     0,   726,   875,     0,     0,   470,   700,
    1473,  3658,   581,   570,   578,     0,     0,   572,  1101,  1101,
     457,   585,   587,  1476,  1477,     0,     0,   506,     0,  1111,
    1433,  1432,  1710,     0,     0,     0,   788,   789,   784,     0,
       0,  3244,  2628,     0,  2601,     0,  2178,  2167,  2178,  2178,
    2158,     0,     0,  1882,  1883,  1868,     0,     0,  1872,  1822,
    1848,     0,     0,     0,  1768,  2153,  2154,     0,     0,     0,
    1859,  1651,     0,     0,   372,   543,   803,   552,  1092,   559,
     532,   530,   291,  1631,   871,     0,   286,     0,   402,  1526,
     450,     0,   435,   616,   502,   588,   564,     0,   563,     0,
     561,   560,   812,   817,     0,   700,   865,  1478,   714,  1592,
     585,   578,   581,     0,   571,     0,  1103,  1103,   587,   455,
       0,     0,   383,     0,  1416,  1710,  1415,  1417,  1425,  1422,
    1424,  1423,  1421,     0,  1244,  1245,   778,   783,     0,     0,
       0,  2171,  2170,  2169,  2173,  2172,     0,  2165,  2163,  2164,
    1854,     0,  1871,  1874,     0,     0,  1880,  1873,  1875,     0,
       0,  1834,     0,  1846,  1776,     0,  1775,     0,     0,     0,
    1608,  1654,     0,     0,  1646,  1647,     0,  1072,   534,   803,
     299,   878,     0,   453,   562,   539,   539,   700,   725,  1474,
     587,   581,   585,  1101,   573,  1102,   575,   574,   459,  1097,
    1098,     0,   587,   791,     0,  1426,  1420,  1686,  1673,     0,
       0,   790,     0,     0,     0,  2175,     0,  2176,     0,  1878,
    1879,  1876,  1877,  1821,     0,  1777,     0,     0,     0,     0,
    1649,     0,     0,     0,  1648,   535,     0,   566,   565,   727,
     458,   585,   587,  1103,   506,  1096,     0,  1859,     0,  1418,
    1710,     0,     0,   796,  2168,  2174,  2177,     0,     0,  1704,
    1703,     0,     0,  1707,  1653,  1650,     0,     0,     0,     0,
    1655,   398,   587,   456,   576,   383,  1099,  1079,     0,  1419,
       0,     0,     0,   794,   797,   800,   798,   799,     0,  1847,
       0,     0,  1659,     0,     0,     0,   460,   587,     0,     0,
       0,   762,     0,  1869,  1733,     0,     0,     0,     0,  1859,
       0,     0,     0,   795,     0,     0,  1656,  1660,     0,  1657,
    1080,   796,  1242,  1243,     0,  1706,     0,     0,     0,   763,
    1658
};

  /* YYPGOTO[NTERM-NUM].  */
static const int yypgoto[] =
{
   -5912, -5912,  4713,  -755, -5912, -5912, -1226,   372,  2960, -1348,
   -5912, -5912, -5912,  1248, -5912, -5912, -5912, -5912,  3793, -5912,
    1633, -3330, -5912, -5912,    15,  3742, -1777,     9,  3295,  1270,
   -5912, -1361, -5912, -5912,  -956,   -70, -5912,  3746,   269, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912, -5912, -1224,  1746, -5912,
    1836,  1084,  5510, -3244, -5912, -5912, -1933, -4170, -5912,   350,
   -5912,   384, -5175, -1252, -5912, -5912, -5912,  1727, -5912, -5912,
   -5912,  1674,   877,  -659, -5912, -5912, -5912, -5912, -5912, -5912,
   -1083, -5912, -5912, -1357,   -69,  -957, -3342, -4681, -5912, -5912,
     206,  -704, -1930, -5912,   395, -5912, -5019, -5912,  -294, -3115,
   -2793, -5912, -5912, -5912,  -672, -1901,  1180, -5912, -1049, -1530,
    1519, -2654, -1208, -5912,  -549, -3968, -1327, -1090, -1087, -1230,
   -4741, -5244, -5912, -5912, -1345, -4167, -5554, -5765, -5260, -5086,
    1197, -5912,  -312,   217, -5912, -4034, -4755,   -68,   194, -5912,
     -53,   -51, -5912,   211, -1014, -1318, -2027, -5912, -1135, -5912,
   -5912, -5912, -3860, -5912, -5912, -5912,    63, -5912, -5912, -5912,
   -5912,   256, -5912, -5912, -5912, -5912, -5912, -5912, -2842,  1714,
    1716, -5912, -4564, -5912, -1297, -5912,   416, -3886,  1122, -5912,
   -5912,   885,  3821,   241, -5912, -5912, -5912, -5912, -5912, -5912,
   -2133, -5912, -5912, -5912, -5912,  -282,  -628, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912,   -49, -5912,   849,   178, -5912, -5912,
    -912, -5912, -5912, -5912, -5912, -5912, -5912, -1407, -5539, -1523,
   -1503, -5912, -3910, -5912, -5912, -5912,  -604, -5912, -5912, -5912,
   -5912, -5912, -1334, -5912,   943, -4515, -5912, -5912,   216, -5912,
   -5912, -5912, -5912, -5912, -1204,  -543,  2984, -5912,  -768,  -985,
   -5912, -5912, -5912,  -539, -5912, -5912, -5912, -5912, -5912,  -783,
   -1635,  5051,  4255, -1499,  8831, -1219,  -871, -5912, -5912, -5912,
   -3193, -5912, -5912, -4664, -5912,  5023,    92,  -725,   -48, -5912,
    -185,   -38,  3578, -5912,   788, -1559, -3543,   158,  -728, -5912,
   -5912, -5912, -3502, -5912, -5912, -5912, -5912, -4471,   -44, -5912,
   -1054, -5912, -4752, -5553, -4977, -4542, -1375, -5912, -4437, -4313,
   -5489, -4484, -5912,  1745, -5912, -5912,  -818,  -903,  2963, -5912,
   -1935,  2095, -1870, -5912, -2977,   239,  1293,  2973, -3657,  -793,
    2954, -3396, -5912, -1040,   884, -5912,  -621, -4178, -5912, -5912,
   -5912, -3222,  -851, -5912, -5912,  1040,   566, -5912, -5912, -5912,
   -5912,  -964,  2906,  -883, -5912, -5912,  4207, -5912, -5333, -5912,
    4183, -5912, -5912, -5912, -5912,  2805,  2806, -5912, -5912, -1895,
    1060, -5912, -1174, -5912, -5912,  1860,   460, -5912, -5912, -5912,
   -5912,  1146,  -273, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -1173, -1392, -5912, -5912, -4835, -5912, -5912, -5912, -5912, -5912,
    2320, -1293, -1067,  4054,  -508,   -43, -5678, -5912, -5912,  -901,
   -5912,  3304, -5912, -5912, -5912, -5912, -5912,   252,   247, -5912,
   -5912, -5912, -5912, -4276, -5912, -5912, -5405, -5912, -5912,  1835,
   -5912, -5912,  1011,   -71,  3093, -5912, -5912, -5912,  -170, -5912,
   -5912, -1358,  2244, -5912, -2746, -5912,  -873, -5912, -5912, -2299,
     -42, -4713,   -67, -5912, -5912, -5441, -1397,    48, -5912, -5912,
   -4360,   -65, -5912, -5912, -5912, -5912, -5451, -5912,   -59, -5335,
     613, -3701, -5912,   -56, -5912,  -669, -1068, -5912, -5912, -5912,
   -4087,   -41,   -37,  3673,  1670,    21,    37,  -238,  -173,  -168,
     -62,     2,  3443, -5912, -5912, -5912, -4804,  3493, -5912,  -178,
   -1181, -5912, -5912, -1217,  -322, -5912,  1428,  -941,  2217,  3428,
    3431, -5912,  1415,  2248, -2786, -2784, -5912,   689, -1167, -1041,
   -5912, -5912, -5912, -5912,    89,  -939,  2231, -5912,  3441, -5912,
   -5912, -5912, -2708, -3740, -3720,   709, -4352, -4297, -5912,   126,
     110, -1857,  -619,  -204, -1859, -1138,  1584, -5912, -5912,   717,
    -824, -5912, -5912,  -822, -3719,   645, -5912, -5365, -3209,   720,
   -1347, -1145, -5912, -1243, -5912, -1007,  4553, -2119, -1460, -5912,
   -5912, -1403, 20275, -5912, -5912, -5912, 21079, 30804, -5912, -5912,
   30962, 32099, -5912, -1236, 32857, 16698, -1429, -1410, -1674, 30865,
   -2378,  -535,   -13, -5912, -3406, -2634, -5912, -5912, -5912,  -576,
     779,   236, -5912, -5378, -4807, -5912, -5912,  -346, -5912, -1016,
   -5912, -1015, -5912, -5912, -5912, -3197, -5911, -3251,  2367, -5912,
   -5912, -5912,  -848, -5912, 33204, -3602, -5912, -1102, -1362, -2006,
    2842, -3351, -2295, -5912, -5912, -5912, -3503, -5912, -5912, -5912,
   -1093,  1527, -5912, -5912,  1634, -5912, -5912, -5912, -1324,  1901,
   -1127, -3493,  1533, -5912, -1123,  2374, -1133, 22924,  -630, 28810,
   -1727, -5912,  7503, -5435,  3040,   -85,  -771,  1113,  -869,  -881,
   -5912,  7542,  8666,  7119, -4066, -5912, -5912, -5912,   -40, -5912,
   -5912, -5912, -5912,  4623,   960, -5912,  3845, -5912,  1794,  3057,
   -5912, -5912,  2233,  -943,   -78, -5912,  -965, -5912,  -112, -5912,
   -5912, -5912, -5912,   335, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912, -5912, -5912,  3461, -5912, -5912, -1652, -5912, -5912, -5912,
   -5912, -5912,  4941,  -358, -5912,  4269,  -352, -5912, -5912, -5912,
   -5912, -5912, -5912, -5912, -5912, -5912,  3477,  2262, -5912,  4052,
   -5912, -5912, -5912,    50,  3704, -5912, -5912, -5912,  -624,  -908,
    4070,  4080,  2227, -5912, -5912, -5912, -5912, -5912, -5912, -5912,
   -5912,  2237, -5912, -5912,  1524, -2832,  2247, -5912, -5912,   688,
   -5912, -5912,   154, -5912,   696, -5912,  3597, -5912, -5912, -5912,
     730, -5912, -5912, -5912,  -554, 21204,   -72,   -64,   -52,  1072,
   -5912, 17010, 24239,   -73,  3490,   -30, 11933, 25398,   -55, -5912,
    4932,  2246,  1751, -1116, -5912,   721,  2964, 31297, -5912, -1100,
      11,    -2, -1099,  2678,  -700, -1326,  3779,  -777, -2281, -5912,
    5363, -5912, -4049, -5542, -1168,  -297,  4263, -1350
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     1,   248,   249,   250,   251,  2059,  3458,  3312,  4273,
    4274,   252,   253,  2055,   254,   255,   256,   257,  1973,   258,
    1449,  2229,  3472,   259,  3150,  1188,  1189,  1190,  2990,  2991,
    3403,  2992,  2979,  1797,  2175,  1995,  1153,  1154,  1954,  1996,
     261,   262,  1791,  2971,   263,   264,   265,  2026,  2118,  2027,
    2028,  1967,  2281,  5392,  6181,  4063,  3269,  4323,  4064,  4065,
    4735,  4736,  4824,  6195,  6196,   266,  2134,  2135,   267,   268,
    3440,  4239,  4877,  5778,  5779,  6010,   968,  5415,  5416,  5997,
    5998,  6209,  6369,  6370,  3473,   999,  4318,  4961,  4264,  5487,
    4265,  5488,  4266,  5489,  4725,  4726,  4250,  4908,  4909,  2477,
    5428,  4910,  4267,  5447,  6044,  4268,  3169,  6224,  3507,  2402,
    2400,  5945,  6023,  5247,  5248,  4798,  6233,  6234,  6235,  6490,
    5449,  5493,  5494,  6406,  6407,  4321,  4967,  5500,  5836,  6021,
    3961,   270,  4292,  4293,   271,  2251,  4442,  1081,  3510,  1000,
    1082,  3474,   275,  3500,  6226,  3501,  2087,  3326,  4890,  4420,
     276,  1476,  4700,  5861,  6105,  6106,  1066,   277,  2237,   278,
     279,  3453,  4257,   280,  3186,  3978,   281,   282,  3997,  3998,
    3999,   283,  4918,  5797,  2029,  4052,  4053,  4054,  4055,  4756,
     284,  2232,  3481,  3482,   285,   286,   287,  3645,  3646,   288,
    3389,   289,   290,   291,   292,  4792,  5349,  5463,  4094,  4280,
    4934,  5461,   293,  4243,  3475,  3528,  4356,  4357,  5859,  6097,
    6098,  6099,  6285,  6526,  6101,  6287,  6428,  6289,  5438,  6672,
    6673,  6082,  4689,  5261,   295,  5439,  5440,  6239,   296,  3184,
     297,   298,  2206,  3446,  3447,  4891,  3517,  4330,  4331,  4947,
    4948,   299,  4181,   300,  5325,  5326,  1001,  6247,  6187,  6355,
     301,   302,  5329,  5330,   303,   304,   305,   306,   307,  1067,
    1412,  1413,  1069,  1577,  1578,  3932,  1522,   308,  3002,   309,
    4219,   310,  1672,  5562,   311,  1106,  1604,  1605,  3476,   313,
    1118,  3664,  1120,  3630,  3631,  2418,  4424,  4425,  5051,   314,
     315,  3642,  3667,   316,  1960,  3160,  3161,  5242,  3477,  1002,
    1657,  3514,  3956,  5933,  5689,  5934,  6417,  6591,  5690,  5951,
    3853,  4628,   318,  1003,  2001,  3225,  1545,  1546,  3521,  4336,
    3128,  3129,  2158,  4988,  3131,  4338,  3132,  1933,  3133,  1494,
    1495,  4344,  4345,  4346,  4347,  4984,  4994,  4995,  5853,  6090,
    4991,  2225,  5847,  5848,   319,  1998,  3222,   320,   321,   322,
    2038,  1336,  1555,  1556,   323,  1028,  1029,   324,  6015,   325,
    1497,   326,  5857,   327,   328,  1142,  1143,   329,   330,  3239,
    4738,   331,  1999,   332,   333,  4088,  4089,  5341,   334,   335,
     336,  3298,  3299,   337,   338,   339,   340,   341,  6516,  6594,
    6595,  6596,  5002,  6422,   342,  1648,   343,   344,   345,   346,
     947,  1378,  1379,  1380,  1297,  3478,  5838,   348,   349,  1955,
    1956,  1957,  1958,  3155,   350,   351,   352,  4368,  4369,   353,
     354,   355,   356,  2209,   357,   358,  5988,   359,   360,  2179,
     361,   362,  1386,  1387,  1388,  1389,  2177,  3841,   962,  1209,
    1824,  1830,  1834,  1835,  1836,   364,  1084,   365,  1652,  1417,
    1085,  1597,  1086,  3061,  3883,  4643,  4644,  4645,  4648,  5672,
    5214,  1087,  3879,   369,  2425,  3651,  3654,  3875,  1088,  3889,
    3890,  3891,  4652,  1089,  5937,  5938,  6336,  6564,  6565,  6624,
    6660,  1090,  1108,  1486,  3535,  1091,  1745,   375,   376,   377,
    1218,  1212,  1213,  3846,  5927,  6155,   379,  2948,  3815,  1127,
    1840,  1172,  1173,  1226,  3413,  3027,  3028,  3052,  3053,  1849,
    1850,  3040,  3044,  3045,  3865,  3859,  3033,  5196,  6142,  6143,
    6144,  6145,  6146,  6147,  5651,  3048,  3049,  1852,  1853,  1854,
    3057,   380,  3819,  4583,  4584,  4585,  5173,  5174,  6551,  5188,
    5184,  5636,  5910,  4586,  1199,  1642,  1861,  5644,  6553,  4587,
    5899,  5900,  6122,  5192,  4592,  4639,  4306,  4307,  4308,  4588,
    6314,  6315,  6547,  6548,  6124,  6125,  3134,  2311,  1524,  1746,
    1525,  2319,  1747,  2295,  1527,  1748,  1749,  1750,  1530,  1751,
    1752,  1753,  1533,  2287,  1754,  1755,  2305,  1259,  1260,  1825,
    6126,  1757,  1758,  1759,  4589,  1760,  5128,  5602,  5588,  3742,
    3743,  2987,  5124,  4527,  5118,  2943,  3805,  5922,  6149,  6150,
    4567,  5152,  5616,  5897,  6306,  6436,  6437,  6537,  1761,  1762,
    1763,  3802,  2936,  1339,  1764,  4893,  2938,  3733,  3711,  2161,
    3712,  2431,  2451,  3683,  3698,  3699,  3779,  3713,  3721,  3726,
    3734,  3766,  1765,  3685,  3686,  4467,  2453,  1766,  1384,  2164,
    1385,  2956,  3761,  1781,  1767,  1768,  2419,  1200,  5906,   792,
    2166,  1124,  1769,  1770,  1771,  1883,   735,  1548,  1549,   737,
    2939,   776,   777,   950,   888,  2940,     2,    70,  1092,  4315,
    5821,   384,   385,  1005,  1006,  1007,  1478,  1479,  2266,  2269,
    1888,  3096,   741,   742,   793,  5529,  5862,  6108,  1075,   386,
     387,   388,   389,   390,  1884,  3092,  1261,    71,    79,    72,
    1262,   427,   428,  3073,   391,   905,   392,  1864,  1241,  4658,
     393,   394,   395,   396,   397,  1072,   398,  1243,   399,  1244,
     400,   401,   402,   403,  1251,   404,  1866,  1867,  5229,  1868,
     405,   406,   779,   780,  1595,   407,   408,  1278,  2369,  1280,
    1624,  1894,  1908,  1909,  1910,   409,   749,   410,   411,   412,
    1900,  1901,   413,  2964,  2965,  3101,  2966,   414,  3905,  3906,
     415,  4610,  4611,  5657,  4612,   416,  2960,   417,   418,  1203,
    4663,   419,   901,   420,  1292,   781,   782,   783,   952,   891,
    1158,   784,   954,  4056,   893,   894,   785,   786,   787,  2394,
      73,  3913,  2395,  1773,   794,  1774,  2954,  1775,  1776,  1777,
    1778,  1779,  1780,   789,  1268,  1587,  1588,  3914,  1590,    77,
    1591,   424,  4385,  2370,  1625,  3596,  2380,  2381
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      75,   421,   363,   260,   269,   272,   367,   421,   368,  1217,
     778,   378,  1855,    74,   370,  1310,  1198,   371,  1443,  2160,
     273,  1164,   274,  1343,   294,   312,  1348,  1814,  2174,   317,
     347,   366,   372,   383,  2086,  1238,  1016,   892,   421,  1021,
    1337,  1239,  1841,   422,  1843,  1792,   889,   778,  1202,   422,
    1782,  2327,  3960,   791,  1227,   896,  2091,  2301,   890,  3339,
    3168,  2168,  3130,   796,  1820,  3226,  1633,  1634,  1635,  1008,
    1015,  1488,  1639,  1020,  1819,  1338,  1110,  3234,  4295,  1015,
    1390,   745,  1939,   892,   421,  3593,  2152,  1133,  1083,  1658,
    3263,  2307,   889,  3718,   373,  1276,  2234,   378,  1110,   959,
    2399,   896,  2291,  2292,   890,  4594,  3235,  2442,  1826,  2219,
     374,  3495,  2300,  4727,  1018,  4263,  1298,  3246,  1806,  1598,
     948,  1015,  4447,  1882,  2243,  2317,  4348,  1119,  2085,  4946,
    3130,  3825,  4146,  3657,  1338,  4799,  4706,  2117,  4637,  4285,
    4428,  5249,  5205,  2139,  2030,  1009,  1489,  2144,  1314,  3407,
    1160,  1030,  3925,  3927,  3682,   892,   421,  1346,  1160,  4972,
    1160,  1911,  5284,  4751,   889,  4753,  4650,  4178,  1165,  2048,
    4997,  1368,  1279,   896,  2065,   945,   890,  1913,  1916,  1125,
    1411,  1561,  3549,  4894,  2031,   944,  2002,  4651,  3369,  3370,
    3300,  3300,  1571,  1221,  3300,  1574,   374,  1338,  1623,  1390,
    3080,  3082,  3083,  2207,  5486,  1229,  1600,  2212,  5244,  1438,
    1230,  3140,  2216,  3217,  1152,  1447,  5503,  3074,  3074,  3583,
    3365,  2226,  5496,  5507,  1195,  1799,  5931,  1460,  1187,  4222,
    1559,  4225,  4226,  1563,  2246,  5187,  4230,  4231,  4232,  5446,
    4234,  4235,  4236,  4282,  5840,  5485,  5309,  3396,  1215,  3824,
    4626,  5903,  5833,  1107,  2176,  4535,  6027,  3868,  3839,  5958,
    1390,  3871,  2365,  2386,  4667,  5712,  1819,  2288,  2289,  3217,
    1997,  5801,  4551,  2285,  5691,  1107,  3847,  6067,  2299,  4956,
    5915,  5495,  5917,  6063,  1216,  1848,  3217,  1851,  5220,  5185,
    6080,  5190,  2291,  2292,  1589,  1271,  2307,  4662,  4491,  2962,
    1489,  5980,  6262,  1997,    39, -2294,  4491,  2242,  1997, -1908,
    5593,  1482,  2300,   363,   260,   269,   272,   367,  2318,   368,
    5832,   421,   378,   430,  1903,   370, -1941,  1390,   371,  1890,
    1891,   273,  5020,   274,    40,   294,   312, -3512,  3197,  1390,
     317,   347,   366,   372,   383,  2278, -3512, -3512,   430,  1293,
   -3513,  1267,  5688, -1921,  5990,  5991,   421, -1946, -1936, -3513,
   -3513,   966,  6656,   422,  3300,  3492,  1893,  1896,  2392, -3510,
      39,  1610,  6249,  3000,  2199,  1615,  1616,  1617, -3510, -3510,
   -1949,   430,    39, -2293,  1296,  1628,    38,    39,  5477,  1674,
    1675, -3509,    40,    39,    39,  1903,  3759,  2498,   422,  4656,
   -3509, -3509,  5564,  5565,  5566,   373,  5568,  5569,  5570,  5571,
    5572,  5456,   946,  2256,   426,  1228,  1796,  6186,  4253,  3376,
    3162,   374,  3237, -2681,  2946,   430,  1650,  3174,  3007,  2371,
    1231,  1667, -2681, -2681,  4982,  5755,  3992,  2204,  1580,  1374,
    4911,  1308,  2423, -1949,  3992,  1621,    35,   430,  2288,  2289,
      37,  6016,    38,    39,    39,    39,  3264,  1416,    40,  5756,
     430,  3009,  6173,  5510,  3176,    38,    39,  4069,  1674,  1675,
   -2476,    40,  5829,  -154,  2299,  1785,  4432,   430,  -154,  3024,
     430,  3759,    38,  4434,  -154,    38,    39,  2221,    40,  2278,
    2278,    40,  2019,  4445,  2368,  2168,  4168,  2186,  3164,  6412,
   -1762,  2191,  2498,  2192,  2088,  3456,  5457,  1207,  1489,  2498,
    4465,  6303,  3171,  2152,  6183,  6264,  3806,  1232,  3165,  3993,
    2190,  6530,  5093,   964,  5094,  4203,  6322,  3993,  4254,  5957,
    3461,  3873,  1461,  3007,  1170,  4169,  3031,  5794,  3212,  1375,
    3007,  1809,  1838,  2089,  6657,  1637,  4005,  1295,  3493,  5287,
    3470,  6136,  1656,  1239,  2969,  1338,  1233,  3381,   960,  3242,
    2498,  3243,  1584,  3818,   960,  2977,  3009,  2953,  1462,  4170,
    2067,  3254,  5802,  3009,    39,    35,  6400,  4172,  4174,    37,
    1098,  6162,    39,  5288,  4761,  3556,  3666,  3237,  6068,    38,
    1376,  3007,  4657,  5458,  6639,    40,  4762,  6640,  2278,  2949,
    2434,  2181,  3264,  1463,  1099,  3255,  6163,  2278,   961,  2068,
    3323,  4173,  4175,  2949,  1220,  1810,   430,  3177,  2493,  1469,
    5803,  1008,  3244,   906,  3009,  2970,  3001,  1663,  4491,  4825,
    2279,  3471,  1638,  3213,  3032,  4883,  1274,  1275,  3874,  1171,
    2278,  4006,  2492,  2996,  2997,  2952,  6508,  1839,  1377,  3462,
    2462,  1464,  -443,  2090, -2188,  5795,  6304,  2325,  3807,  1670,
    5095, -2188,  1512,  4943,  3237,  5289,  3799,   907,  3166,  2980,
    1015,  1015, -1762,  3800,  2993,  2993,  4070,  3265,  2168, -2207,
    6220,  3666,  3237,  6342,  2978,  2278, -2207,  6305,  2335,  3692,
    6658,  3237,  6644,  3363,  2205,  4894,  3996,  1009,  3457,  5698,
    1623,  2278,  4818,  4433,  3996,  1623,  6024,  6055,  3178,  6411,
    4435,  2947,  3237,   906, -2476,  2446,  6383,  1267,  4255,  3306,
    3494,  5343,  5757,  4595,  3342,  4218,  4596,  4597,  3237,  2375,
    5825,  3237,  2947,  1361,  1309,  6580,  3264,  4598,  4599,  4600,
    1925,  4601,  4602,  4912,  6659,  1234,  4603,  4604,  4605,  2424,
    2037,  5459,  3202,  3175,  1651,  3760,  -698,   907,  3264,  3395,
    3067,  5455,  1638,  1265,  3693,  2205,  1669,  1904,  2420,  2286,
    2205,  3357,  3358,  1382,  2279,  2279,  5254,  1383,  4503,  4504,
    4505,  4506,  3167,  2424,  2433,  1272,  2280,  5886, -2476,  4506,
    1489,  3405,  3406,  1899,  6366,  3344,  3336,  1382,  2443, -2294,
   -2476,  1383,  5504,  2290,   743,  2963,  4983,  4256,   967,  2364,
    3278,  2393,  3678,  5187,  1104,  1105,  6257,  6632,  3377,  6579,
   -1941,  5460,  2151,  3265,  1638,  3684,  5351,  3694,  1284,   421,
    3695, -3512,  5355,   421,  1208,  2302,  3556,   889,  1904,  1273,
    4556,  3266,  1217,  3204, -3513,  2975,   896,  2294,  6500,   890,
    4296, -1946, -1936,  3211,  3334,  3585,  2303,  3337,  3404,  6499,
    3279,  5170,  6510, -3510,  2495,  5676,  6662,  5624,  3614,  5626,
    3267,  4204,  1905,  1906,  2304,   422,  2950, -2293,  2376,  3264,
    2935,  2378,  1111,  2279,  2382, -3509,  2384,  3830,  6680,  2387,
    3466,  6529,  2279,  2391,  4653,  3268,  6472,  4606,  2302,  1969,
    1418,  1484,  1419,  5874,  1111,   378,  3624,  1856,  1420,  6476,
    2325,  1421,  4894,  1602,  3058,  3561,  3059, -2681,  3639,  2303,
    1489,  4813,  4814,  1641,  4001,  2279,  4815,  3382,  1489,  1489,
    2308,  2322,  2057,  1267,  3262,  1015,  3324,  2306,  1880,  1881,
    3327,  3328,  3696,  3412,  6441,  5063,  3097,  4669,  6582,  4670,
    1474,  1905,  1906,  3896,  4937,  2058,  3383,  3265,  3221,  3647,
    4875,  4876,  1415,  2205,  -154,  -154,  6168,  5414,  1880,  1881,
    2279,  5418,  5655,  5536,  5537,  5538,  5539,  5540,  5082,  3265,
    2930,  2931,  2932,  2933,  2934,  2935,  2279,  3266,  1422,  2932,
    2933,  2934,  2935,  3912,  4944,  4614,  1594,  3916,  1641,  6460,
    1015,  4077,  6410,  4956,   374,  5050, -1674,  3221,  1603,  1022,
    1609, -2188,  1614,  1970,  5234,  6404,  3267,   378,  1618,  3364,
    5417,  5699,  6570,  3801,  3221,  1490,  1030,  6631,  4819,  3604,
    1860,  6384,  4896,  3264,  4870,  3607, -2207,  2365,  4944,  2333,
    1599,  3268,  4607,  1609,  1614,  1229,  6260,  1321,  2355,  4856,
    1230,  3152,  3426,  3697,  1322,  1323,  1324,  4729,  1608,  4935,
    1613,  3546,  3547,  2278,    39,  5271,  6392,  4992,  5314,    75,
    1627,  3868,  3438,  1231,  4631,  6018,  3366,  3287,  1961,  4899,
    3262,  2358,    74,  6403,  6340,  1808,  3751, -1674,  3648,  6345,
    6346,  1644,  1646,  3972,  4702,  4620,  3264,  1267,  3397,   778,
    3265,  4608,  1252,  2476,  1434,  1976,  4501,  4502,  4503,  4504,
    4505,  4506,  3880,  1281,  1542,  1621,   374,  1216,  6160,  3247,
    2223,  3266,  3264,  3264,  1160,  1224,  2325,  6561,  1160,  6688,
    1649,   421,  3625,  6229, -3240,  5979,    35,  4901,  6562,  3525,
      37,  6060,  5050,  3266,  5249,  1621,  1136,  5527, -1908,  3947,
    3267,  3162,  6509,  5218,    39,  6221,  4707,  2123,  1098,  6501,
    1232,   747,  3526,  6608,  1668,  3504,  3658,  4092,  3081,  2168,
    3163,  4730,  3267,  1821,  1786,  3268,  5670,  1253,  1798,  1490,
    1800,  4654,  1099,  6652,  4296,  5342,  1871,  1607,  3543,  1612,
    3196,  3505,  1962,  1338,  1795, -1674,   736,  3268,  1803,  3020,
    2124,  3595, -2419,  5471,  3508,  4641,  5206,  6095,  5855,  3348,
    3264,  5963,  4609,  1827,  3262,  1676,  6683,   906,  4491,  4003,
    1643,  1645, -3514, -3514, -3514,  4822,  1943,  1789,  1073,  3164,
   -1908,  6096,  5786,  1953,  1137,  3948,  3262,  4904,  3349,    39,
    1254,  4642,  4093,  1255,  4296,     3,  6695,  2238,  6588,  3165,
    1971,  6054,  4296,  2325,  3265,  1228,  2149,  1224, -1674,  3924,
     902,   907,   903,  2325,  3266,  3959,  6230,  6716,  5207,  1885,
     745,   745,  4892,  2497,  4823,  1915,  2498,  5250,  5904,  1944,
    4905,  3636,  3637,  1256,  6161,  2054,  6654,  4241,  1914,  1390,
    2239,  6242,  1023,  3267,  3881,  3649,  4906,  4059,  3264,  1892,
    1204,  4020,  1160,  1160,  6256,  4002,  3449,  3007,  6222,  5819,
    2167,   421,  3047,  1972, -3514,  3650,  3439,  3265,  3268,   889,
    6630,  6259,  6270,  2019,  3527,  4624,  5831,  6271,   896,  1809,
    1885,   890,  6637,  4352,  4803,  5683,  3411,  4488,  4489,  5850,
    3009,  6231,  4508,  3265,  3265,  6255,  3679,  3681,  2279,  2344,
    6241,  1024,  4060,  3688,  4703,  1256,  1963,  3262, -3240,  3702,
    3703,  3704,   212,  2493,  4989,  4993,  1152,  2109, -1674,  1622,
    3723,  1282,  6663,  4079,  2313,  2125,  3738,  1945,  4731,  4732,
    6258,  4078,  4539,  4540,  3506,  2049,  6019,  1490,  1234,  1025,
    5671,  1026,  2345,  3626,  4907,  1964,  1138,  1435,   220,  3166,
    1885,  1663,  6686,  1810, -1908,  4213,  3973,  1543,  4733,  4541,
   -1674,   748,  2224, -1674,  3936,  1663,  4707,  1098,  3266,  3563,
    4353,  3898, -3240,  3898,  5561,  3545, -2419,  6699,  1895,  1965,
   -2315,  3265,  3248,  2150,  -177,  1468,  4811,  1139,  1140,  3151,
     231,  1099,  6563,  3217,  1872,  6115,  3249,  3267,  3250,  1253,
    3573,  4061,  5856,   234, -3514,  3564,  5633,  1027,  3784, -3514,
    5637, -2455,  4821,  4858,  -177,  2240,  1257,  3077,  4206,  3576,
    6166,  1623,  3268,  1436,  3339,  1437,   246,  1623,  3581,  2126,
    1098,  3266,  3582,  6245,  1338,  1338,  1222,  3538,  2313,  1258,
   -2419,  4242,  6253,  4497,  3882,  1629, -3514,  1966,  1469,  2050,
    6401,  3601,  5057,  3562,  1099,  3709,  1217,  3266,  3266,  3251,
    3267,  3262,  1254,  3167,  5444,  2314,  1927,  4998,  3575,  3265,
     963,  3577,  5675,  1622, -2478,  1327,  1328,  1329,  1330,  1331,
    1332,  1333,  1334,  1335,  1141,  3268,  3267,  3267,  4295,  2264,
     378,  6103,  3078,  3356,  1950,  6296,  1951,  2128,  2057,  5554,
    5273,  3014,  1223,  2129,  5375,  6604,  1136,  5798,  1621,  5558,
    3112,  3268,  3268,  1253,  4777,   904,  1239,  2346,  2377,  2241,
    2379,  2058,  1594,  2383,  3262,  2385, -1677, -2290,  2388,  2389,
    2390,  5482,  1470,    75,    75,  4337,    75,  6518,  3820,  3627,
    6420,  2397,  5517,  3633,  3634,  3266,    74,    74,  3785,    74,
    3262,  3262, -1908,  3786,  4999,  3079,  2426,  5483,  2427,  2039,
   -1908,  2070,  2290, -1908,  1938, -1908,    35,  6333,  6523,  4062,
      37,  1338,  3992,  4632,  3267,  4162,  1254,  1256,  2168,  2314,
    1224,  4163,  3823,  2071,  4354,  6605,  5322,   897,  5316,   374,
    3787,   429,  4269, -3514,  1137,  2428,  3130,   898,  4355,  3268,
    3130,  3504,  1622,  1860,  3005,  1860,  6116, -1677,  5058, -1761,
    4894,  2130,  4925,  2051,  3677,  2301,  6069,  3025,  3026,  1490,
    3030,  2347,  1230,  1230,  1630,  1230,  5408,  3505,  4778,  6394,
    6518,  5412,  2040,  3266,  2072, -2455,   795,  5482,  3262,  6343,
    1098,  3929,  6486, -3514, -3514, -3514,  4501,  4502,  4503,  4504,
    4505,  4506,  2052,  6575,  5436,  3993,  4109,  5445,    39,   778,
     778,  6523,  3267,  5483,  1099,  2450,  1928,  2205,  6104,  4619,
    1256,  6606,  2244,  5473,  3170,    35,  6211,  3587,  6213,    37,
    5376,  1471,  6217,  6218, -2516,  2459,  2053,  3268,  2315,  4164,
    3994,  1256,  5476, -3514,  2494,  2245,  1076,  3597, -2478, -2455,
    5323,   899,  3171,  2496,  2930,  2931,  2932,  2933,  2934,  2935,
    4110,  2316,  5000,  6708,  6532, -1677,  1077,  2951,  1472,  5208,
    1225,  6182,  6421,  2073,  3623,  6070,  3262,  3303,  3628,  3995,
    3307,  2490,  1277,  3635,  4892,  5177,  3638,  3788,  3078,  1382,
    6071,  1122,  5435,  1383,  3945,  4633,   421,   421,   421,  1490,
    5484,  1078,  2982,  2984,   889,  6518,  1138,  1490,  1490,   778,
    5340,  5431, -2478,  4270,  1111,  1885,  1111,  2074,  1111,  4111,
    1885,  1885,  2075,  3329,  1111,  2131,  2076,  1473, -1677,  1474,
    3833, -1761,  5001,  1475,  4926,  6498,  6523,  2967,  2968,   422,
     422,  3338,  4779,  1969,  6544,  5327,   421,  1139,  1140,  1111,
    1111,  3079,  2315,  5437,   421,  1844,  5324,  2271,  6468,    35,
    5178,  6576,  3643,    37,  2132,  2167,   421,  6607,   123,   124,
    5813,  2272,  4487,  5590,   889,  2078,  3618,  1228,  1228,  6248,
    1228,  4780,  3996,   896,  3080,  3850,   890,   745,   422,  3034,
    2271,  3089,  3090,  5179,  1160,   900,  3116,  6487,  2133,  2325,
    3930,  6263,  3931,  4165,  2272,  3172,  6398,  3360,  5180,  6658,
    1245,  -392,  6533,  1783,  5907,  4781,  3108,  3110,  5181,  5911,
    2080,  1374,  5913,  3872,  6459,  4673,  4112,  2273,  1846,  1246,
    2290,  6578,  3141,  1076,  3035,  1160,  3719,  3094, -1677,  1247,
    -392,  5209,  4166,  2081,  4296,  3740,  5182,  4296,  3644,  4109,
    3465,  4436,  6616,  1077,  3285,  6617,  3901,  1970, -2516,  5328,
    3600,  3330,  3735,  2083,  4116,  3331,  1256,  5432,  6072,  6590,
    4271,  6506,  6507,  5221,  6622,  3851,  4167,  6488,  1134,  1111,
   -1677,  3384,  2498, -1677,  5591,  1953,   202,  1784,  1078,  1885,
    1953,  1160,  3034,   743,   743,  1911,  3036,  6545,  1912,  1885,
    6102,  4892,  6546,  4110,  4128,  6489,  4018,  6074,  1160,  6425,
    2084,  1913,  1916,  6629,   979,  6075,  5873,   212,  6283,  4272,
    3946,  1375, -2516,  1222,  2057,  3619,  1676,  2274,  4732,  4491,
    1982,  4437,  1315,  4492,  4493,  4494, -1733,  3035,  4171,  5183,
    1111,  1347, -1733,  1248,  4116,  3037,  3009,  2058,  4113,  4296,
    6623,  3130,  3616,   220,  5426,  1369,  4114,  5300,  3620,  4115,
    2274,  3130,  4111,  4295,  6284,  1166,  1953,  4389,  -392,  -392,
    1953,  3621,  1376,  4719,   981,  6483,  1374,  1126,  4718,  5257,
    3616,  5427,  1885,  3616,  -608,  2275,  1885,  1885,  3343,  1223,
    6402,  1601,  3286,   736,  6666,   231,  3351,  6419,  4127,   736,
    3736,  3339,  5177,  5800,  4176,  3038,  3622,  5989,   234, -1733,
    1111,   736,  1249,  5257,  5089,  5090,  5091,  5092,  2275,  3385,
    5096,  5097,  5098,  5099,  5100,  5101,  5102,  5103,  5104,  5105,
    1377,   246,  3448,   421,  5811,  6091,  4152,  5940,  5178,  5942,
    1169,   889,  5824,  3130,  6240,  3955,  6633,  4720,  3037,   247,
     896,  3156,  1655,   890,  4300,  4301,  4302,  4303, -1733,  4305,
    6418,  3086,  3157,  5258,  3087,   906,  1844,  1224,  5075,  4112,
    4197,  5179,  6274,   202,  4816,  4104,  1375,  5178,  5143,  5144,
    3158,  6076,  2276,  5312,  4333,  1805,  5639,  1250,  4207,  4208,
    4209,  4129,  6132,  6586,  6587,  5429,  5181,  5258,  1885,  4132,
    4213,  4177,  4135,    35,   212, -1088,  4865,    37,  3038,   907,
    5179,  5790,  4495,  5792,  5773,  2276,  5774,  5775,  5776,  1822,
    3652,  5901,  1196,  5986,  6152,  5180,  5259,  1376,  3180,  3480,
    5260,  1833,    35,  3485,  4496,  5181,    37,  6502,  3181,  1846,
     220,  2097,  3300,  6352,  6291,   992,  5987,   993,  4817,  1135,
    5695,  4102,  4037,  4103,  2119,  4820,  3663,  5313,  2057,   979,
    5259,  1977,  1461,  5182,  5260,  5250,  5430,  2358,  5035,  4039,
    3329,  1357,  3959,   997,  1489,   212,  3088,  4191,  1844,  4591,
    5250,  2058,   231,  2129,  1845,  1377,  1079,  3982,  1847,  3986,
    3987,  4113,  6219,  2120,  6153,   234,  1978,  2121,  1462,  4114,
    4857,  1358,  4115, -1502,  4497,  1934,  2098,  1225,  3985,  4296,
    4296,   220,   378,  4038,  4366,  6252,  6353,  5183,   246,   981,
    6664,  5696,  1943,  5203,  3310, -1732,  4653,  2122,  3254,  3313,
    4040, -1732,  4685,  4938,  6581,  3159,  1080,  2057,  5236,  3602,
    1935,  3603,  6592,  1338,  1936,  3605,  2497,  3606,  2099,  2498,
    3608,  1846,  3641,   231,  3609,  2100,  5183,  1979,  2101,  4015,
    2058,    75,  3255,  2497,    75,  1418,  2498,  1419,  5656,  1801,
     378,  6110,  6466,  1420,    74,  1944,  1421,    74,  1937,  1929,
    3007,  1464, -1503,  2047,  4896,   736,   736, -3514,  2064,  4968,
    4897,  2130,  2973,  1980,  3979,  1940,  2325,  3007, -1732,  3182,
    1847,  2985,  3662,  4898, -3514,  3387,  3910,   247,  3330,  3393,
     115,   374,  3331,  3009,  1831,  -468,  2497, -1674,  1930,  2498,
    5986,  4617,  6214, -3514, -3514, -3514,  2224,  6215,   119,  1981,
    3009,  4899,  2224,  4900,  1941,  6470,  6471,  5250,  3183,  6332,
    4370,   908,  2094,  5987,  2986,  3757,   421, -1732,  3398,  4774,
    3007,  2057,  1931,  1422,   889,  1210,  4014,  3008,  3700,  6514,
     189,   965,  4326,   896,  2358,  6426,   890,  1982,  1942,   374,
    4101,  1983,  5049,  1945,  2058,  1070,  2358,  1676,  6216,  5962,
    4491,  2095,  4553,  3009,  4492,  4493,  4494,  3399,  4775,  4901,
     992,  5005,   993,  5714,  4419,  6687,  5006,  6427,  3860,  5142,
    5719,  5133,  1984,  1985,  4498,  4499,  4500,  4501,  4502,  4503,
    4504,  4505,  4506,  4286,  3737,  2096,  5050,  4902,  2220,  2102,
    5237,  5425,  4776,  5994,  3400,  1111,  5238, -3514,  1167,  3561,
    1111,  1111, -3514,  5239,  -468,  1946,  3844,  3401,  5782, -1115,
    4108,  1986,  4296,  1219, -3514,   205,  4296,   205,  6618, -3514,
    1987,  1235,   430,  2352,  2103,   212,  6568,  5394,  2104,  1988,
    3845,  1242,  2302,    40,  2302,  5377,  3402,  1989,  5240, -3514,
    1947,  5783,  6619,  2302,  1948,  1990,  2353,  3309,   205,  5996,
    5395,   189,  5986,  2303,  4903,  2303, -3514,  1991,  5378,  4904,
    5241,   220,  2105,   212,  2303,  2060,  1992,  3010,  3467,  2106,
    1993,  2304,  3011,  4593,  6034,  5987,  4443,  4444,  1949,  6706,
     743,  6709,  2306,  3293,  2136,  4490,  6185,  2140,  3497, -3305,
    4194,  6189,  6190,  3237,  3014,  3237,   979,  4518,     8,   220,
    3317,  6720,  4905,   231,  3238,  4517,  3245,  4519,  4520,  3013,
    1950,  3014,  1951,    35,   430,  3838,   234,    37,  4906, -1082,
    3556,  1239,  1593,   430,  1994,    40,  4666,  2497,  6035,  6625,
    2498,  6036,  4542, -2286,  2499,  2500,  2501,  6037,  1382,   246,
    1632,   231,  1383,  5511,  1277,  1382,   212, -2294,  5006,  1383,
      76,  3006,  3070,  3071,   234,  4496,   981,  6515,  6275,  2297,
    2298,  3007,  1952,  2497,  3014,  6038,  2498,  2993,  3008,  1111,
    2366,  3765,  4708,  4668,  2367,  4569,  5299,   246, -2287,  1111,
    3409,  3410,   220,  1382,  5901,  1632, -3514,  1383,  3744,  1283,
    4143,  3747,  4144,  6170,  3009,   247,  4148,  3007,  4737,   123,
     124,  6175,  6176, -3514, -3514,  5022,  5023,  5024,  5025,  5026,
     983,  6560,  1294,  5027,  1285,  1286,  4907,  1296,  1439,  4892,
    1440,   423,  6039,  5250,   231,  4497,  2169,   423,  2170,  1304,
    3009,   746,  4615,  1287,  1306,  6040,  1288,   234,  5233,  4453,
    1382,  4455,  4456,  2290,  1383,  3141,  4711,  6041,  2958,  2366,
    2168,  4954,  2959,  3592,  1319,  4461,  3016,  4462,   423,  3018,
     246,  4463,  1111,  5281,  1320,  6464,  1111,  1111,  5290,  1363,
    5297,  3130,  1372,  5022,  5023,  5024,  5025,  5026,   247, -1427,
    1373,   957, -1427,  5534,  5272,  1381, -3514,  4554,  3869,  3870,
    5478,  6000,  5024,  5025,  5026,  1010,  1426,  2930,  2931,  2932,
    2933,  2934,  2935, -3514,   423,  4296,  1424,  2290,  3010,  1938,
    2374,  1431,  2170,  3011,  2930,  2931,  2932,  2933,  2934,  2935,
    1457,  2435,  4769,  2170,  -607,  6408,  1289,   992,  1444,   993,
    3770,  3771,  3772,  3773,  1465,  3012,  2685,  6001,  1467,  6083,
   -1115,  2449,  5315,   247, -3514,  3004,  4450,  2170,  1466, -3514,
    3013,  1477,   996,  1161,  1480,  2220,  2926,  5062,  3533,  1290,
    3534,  1161,  6002,  1161, -3514, -3514, -3514,  2930,  2931,  2932,
    2933,  2934,  2935,  3017,   430,  3018,   423,  2290,  1111,  3141,
    6003,  4408,  4884,  3022,  6004,  2170, -3514,  3594,  6667,  3018,
    3615,  2737,  3616,  3617,  3655,  3616,  3656,  3843, -3249,  2358,
    1291,   421,  4941,  1338,  3840,  3014,  6005, -3250,  3015,  6006,
    3893,  4012,  3018,  4013,  4084,  1487,  4085,  5677,  5017,  5018,
    4570,  1489,  4571,  1492,  6007,  4498,  4499,  4500,  4501,  4502,
    4503,  4504,  4505,  4506,  4247,  1496,  4248,  6042, -1756, -1756,
    6043,  3014,  3949,   422,  3952, -1686,  4371,  1541,  3018,  3831,
    6710,  4410,  4460,  3616,  3018,  4469,  1550,  3018, -1686,  4475,
    4476,  3018,  3018,  4296, -1686,  4000,  4418,  4572,  1557,  4573,
    4296,   421,   736,   421,  4625,  4296,  3070,  3894,  4296,  5250,
    1676,  1551,  4477,  4491,  3018, -1759, -1759,  4492,  4493,  4494,
    4510,  4695,  3018,  4524,  1575,  3018,  4913,  3016,  1267,  4529,
    1568,  4530,  5497,  4754,  5134,  4755,  4759,  4296,  4760,  5953,
    5954, -1686,    69,   422,  6008,   422,  4337,  1071,  3765,  4785,
    4794,  4786,  4296,  3867,  3867,  4800,  5824,    40,  4854,  5490,
    4786, -1686,  4965, -3514,  4966,  4976,  1596,  4977,  2167,   421,
    4980,   423,  4981,  5013,  5015,  5014,  3018,   889,  4674,  4675,
    2497,   960,  3884,  2498,  1640,  5114,   896,  5115,  5125,   890,
    5126,  1631,  4099,   745,  1632,  6009,  1489,  1636,   374,  6408,
    1653,  4826,  1885, -1760, -1760,  5250,   423,  6438,  6439,  1915,
   -1686,  3130,    75,    75,  3007,  5136,  5216,  3018,  5217, -1686,
    5177, -3514,  1914,  5667,  1654,    74,    74,  2926,  5222,  5232,
    5223,  3931,  5419,  1647,  5420,  2927,  2928,  2929,  2930,  2931,
    2932,  2933,  2934,  2935,  5479,  1656,  3616,  3009,  4480,  5555,
    4481,  2424,  1660,  1490,  5252,  5253,  1661,  5578,  5256,  3018,
    5581,  1662,  5582, -3514,  1663,  1160,  1885,  5618,  5679,  3018,
    3931,  5685,  1664,  5686,  2930,  2931,  2932,  2933,  2934,  2935,
    3719,  3719,  5692,  1665,  3616,  3719,   421,  6538,  6539,  4066,
     421,   212,  1671,  1666,   889,  5178,  1804,  5693,   889,  3616,
    1807,  1109,  5877,   896,  1673,  1811,   890,   896,  1812,  4296,
     890,  3823,  1800,  4090,   421,  5694,  5145,  3616,  4496,  5826,
    1818,  5827,   889,  1109,  4790,  3719,  3719,   220,  5179,  4931,
    5250,   896,  1813,  5865,   890,  5014,  5883,  5885,  5884,  3018,
    6029,  1828,  6030,  5180,  6049,  4806,  3616,  6084,  1823,  6085,
    3390,  1829,  1842,  5181,  1160,  6119,  6129,  6120,  2358, -1686,
    6135, -3514,  4951,  1831,  4142,  3561, -3514,  1832,  6137,   231,
    4951,  1857,  6158,  5299,  6159,  6204,  1858,  6205,  4296,  1859,
    1862,  5182,   234,  6244,  6272,  2972,  6159,  6299,  4497,  4530,
    1800,  6300,  5053,  3018,  6311,  6317,  6312,  2358,  4914,  6320,
    4916,  4951,  6512, -3514,  6351,   246,  3656,  6357,  5908,  3656,
    1865,  1863,  4090,   421,  1800,  6358,  6361,  3656,  3018,  5069,
    4677,   889,  2152,   247,  5638,  1382,  5641,  1869,  1831,  1383,
     896,  1870,  3823,   890,  6362,  1873,  3018,  1885,  6363,  1878,
    6364,  3469,  6390,  1874,  6391,  1885,  1875,  1876,  1885,  3486,
    5711,  6445,  6449,  6446,  2358,  1877,  1886,  3390,  3014,  6450,
    6465,  3018,  3616,  2497,  1879,  6480,  2498,  6481,  6504,  2070,
    6505,  1887,  1889,  1489,  5183,  1489,  1917,  1010,  4251,   421,
    6540,  4188,  4951,  1918,  4986,  5086,  6554,   889,  3018,  1919,
    6556,  2071,  3018,  6589,  2003,  6159,   896,  3007,  1932,   890,
    4924,  4625,  4927,  6615, -3514,  6325,  6635,  6661,  6636,  3018,
    4544,  6691,  4545,  6692,  6693,  6698,  6446,  5217,  4220,  5113,
    4220,  4296,  4220,  4220,  6707,  1974,  3018,  4220,  4220,  4220,
    3009,  4220,  4220,  4220,  1938,  6719,  4546,  6692,  3565,  2005,
    2006,  3060,  2072,  3063,  2000, -3511,  2037,  2042,  2043,  1676,
   -3514,  2041,  4491,  2054,  2056,  2066,  4492,  4493,  4494,  1489,
    2069,  2093,  5909,  5193,  2110,  3390,  5155,  2127,  2111,  2137,
    2138,  4294,  2141,  5608,  5524,  2146,  2147,  2148,  2178,  1217,
    2182,  3767,  5268,  3768,  2180,  4299,  4296,  2187,  4498,  4499,
    4500,  4501,  4502,  4503,  4504,  4505,  4506,  2193,  2198,  5146,
    6112,  2201,  2203,  2208,  2211,  2205,  5291,  3769,  5293,  2222,
    4327,  2213,  2227,  2230,  2228,  -197,  2231,  2233,  2235,  6665,
    2236,  2247,  2258,  2254,   925,  4296,  1217,  2262,  2268,  2277,
    2282,  2073,  2283,  1267,  2284,  2286,  2290,  2293,  2296,  2294,
    3770,  3771,  3772,  3773, -3514,  2310,  2320,  4547,  1676, -3514,
   -3514,  4491,  2312,  4548,  4384,  4492,  4493,  4494,  5400,  2321,
    2324,  2930,  2931,  2932,  2933,  2934,  2935,  2325,  2332,  2336,
    2338,  2339,  5609,  2341,  2343,  2074,  5061,  2348,  2349,   423,
    2075,  2351,  2361,   423,  2076,  2354, -3514,   957,  2357,  2360,
    2372,  2398,  2432,  2438,  2440,  2447,   957,   746,  2441,  3338,
    2448, -1912, -1919,  2454,   957,  2456,   746,   957,  2455,  2457,
   -1910,  3770,  3771,  3772,  3773,  2458,   247,  2460,  3774,  3775,
     746,  2461,  2462, -1913,  3776,  2463,  2464,  4296,  2465, -1911,
    2466,  2468,  2469,  2078,  4575,  4576,  4577,  2470,  2471,   746,
    1885,  3014,  2472,  2473,  1217,  2474,  5846,  2475,  5405,  2476,
    2478,  5413,  5339,  2479,  2480,  2481,  2482,  4496,   746,  2483,
    2484,  2485,  2944,  2942,   746,  2946,  4525,   421,  4945,  5603,
    2947,  2972,  4532,   421,  2976,   889,   746,  2988,  2080,  1621,
    2998,   889,  3003,  3021,   896,  3023,  1845,   890,  1847,  3054,
     896,  3066,  3056,   890,  3069,  1485,  3076,  1256,  3084,  3091,
    4549,  2081,  3093,  3095,  3104,   746,  3106,  3103,  3111,  3114,
     957,  4550, -3453, -3458,  3117,  1540,  3115,  3118,  3120,   957,
     746,  2083,  3119,  3137,  3139,  3144,   957,  4497,   746,   957,
    3141,  3145,  3147, -3514,  3136,  3154,  3138,  3142,  3143,  3146,
    3148,  1540,   746,  3173,  3185,  6310,  3179,  3199,  3203,    76,
    3205,  3207,  3206,  3209,  2490,  3210,  4496,  3223,   746,  3227,
    3240,  3229,  3241,  3256,  3228,  3258,  3252,  3259,  2084,  3261,
    3262,  3777,  3270,  3273,  3260,  3272,  3271,  3274,  3275,  3280,
    3281,  4296,  3778,  3284,  3290,  3291,  3294,  5044,  3304,  3305,
    3308,  3311,  3318,  3325,  3314,  3315,  3320,  3332,  3335,  3350,
    3321,  2490,  3333,  3340,  3341,  4294,  2019,  3346,  3347,  3352,
    3353,  3354,  1111,  3355,  3361,  3362,   743,  3367,  3368,   746,
    3359,  3378,  3379,  3765,  3420,  3380,  4497,  3422,  3391,  3386,
    1490,  3423,  1912, -3514,  3408,  3436,  3424,  3425,  3429,  4563,
    3430,  3415,  3431,  1885,  2930,  2931,  2932,  2933,  2934,  2935,
     957,   957,  3433,  3434,  3435,  4582,  3437,  1161,  3443,   746,
    3441,  1161,  3444,  3451,  3452,  4294,  3442,  4630,  4630,  2168,
    3455,  4296,   974,  4294,  3468,  3479,  1111,  4296,  3483,  3484,
    3487,   423,  3460,  3496,  2090,  3499,   746,  3502,   957,  3503,
    3512,  3523,  3529,  3516,  3823,  3520,  3536,  3548,   746,  3541,
    3530,  3550,  3551,  3542,  3566,  3558,  3559,  3611,  3568,  3569,
    5551,  3570,  3555,  4625,  3571,  4582,  3640,  3556,  3584,  1216,
    3653,  3629,  3665,  4582,  5807,  3612,  5490,  4498,  4499,  4500,
    4501,  4502,  4503,  4504,  4505,  4506,  3684,  3689,  2498,  4625,
    3739,  3745,  3758,  3764,  3749,  3781,  3783,  3803,  3804,  3818,
     746,   746,  3829,  3826,  3832,  3827,  3834,  3719,  3719,  3719,
    3719,  3835,  3836,  3719,  3719,  3719,  3719,  3719,  3719,  3719,
    3719,  3719,  3719,  1223,  3862,  1490,  3861,   421,   421,   421,
    3849,  1959,  3863,  3864,  3878,   889,   889,   889,  3885,  3903,
    3886,  5117,  3900,  3902,   896,   896,   896,   890,   890,   890,
    2962,  3920,  4296,  3921,  3923,  3941,  3950,  3955,  3964,  3957,
    3953,  3958,  3969,  5589,  3980,  3988,  3974,  6172,  3975,  3977,
    4004,  3719,  3719,  4009,  1801,  4028,  4498,  4499,  4500,  4501,
    4502,  4503,  4504,  4505,  4506,  1161,  1161,  1805,  4021,  4011,
    4041,  4046,  4067,  4073,  4047,  4074,  4075,  1111,  4080,  4083,
    4091,  4100,  4138,  4757,  4098,  1111,  5451,  5452,  1111,   957,
     957,   423,  4101,  4180,  4121,  4122,  2224,   746,  4193,  4205,
    1111,  4201,   957,  4202,  1224,  4214,  4221,  1540,   957,  4249,
    4227,  4233,   957,  4228,   957,  4238,  4260,  4261,  1540,  4279,
    5665,  1676,  4229,  4275,  4491,  4281,  4289,  4298,  4492,  4493,
    4494,  4304,  4277,  4309,  1540,  4310,  4312,  4313,  4311,  4314,
    4804,    69,  4317,  4320,  4324,  4325,  4328,  2070,  6313,  4329,
    4322,  4334,  4349,  4350,  4360,  4975,  4361,  4351,  4362,  4363,
    4625,  4365,  3087,  1109,  4367,  1109,  4374,  1109,  4375,  2071,
    4398,  4376,  4400,  1109,  1619,  1620,   957,  4401,   957,   957,
    4404,  4406,  4372,  4427,  4412,  4413,  5718,  4414,  3666,  4377,
    4417,  4415,  4429,  4416,  4378,  4724,  6609,  2358,  1109,  1109,
    4386,  6612,  4387,  2355,  4422,  3448,   421,  2322,  4421,  4847,
    4430,  4431,  4438,  4446,   889,  4441,  1638,  4448,  4454,  5780,
    2072,  5292,  4471,   896,  4472,  1540,   890,  4474,  3176,  4473,
    4478,  4479,  4958,  4483,  4206,  4485,  4486,  4487,   736,  4509,
   -2180,  4514,  4523,  4515,  4526,  5846,  3018,  4522,  4537,  4543,
    4538,  4561,  4621,  4627,  4636,  4220,  1641,  4562,  4564,  4565,
    4552,  3917,  4566,  4568,  4622,   746,  1015,  4878,  4878,  4591,
    5662,  4634,  5149,  4640,  4638,  4671,  4655,  4895,  4660,  3933,
    2366,  5010,  1490,  4659,  1490,  3937,  5293,  4647,  4676,  3940,
    1885,  4690,  4664,    76,    76,  4678,    76,  4679,  4687,  4661,
    4665,  4715,  4692,  4716,   957,  4704,  4705,  4717,  4722,  2073,
    4683,  4684,  4721,  4723,  1676,  1015,  3965,  4491,  4724,  4728,
    4688,  4492,  4493,  4494,  4740,  4739,  4742,  4748,  1109,  4496,
    2070,  4749,  4949,  4750,  4758,  4764,  4773,  4787,  4789,  4791,
    4793,  4795,  4802,  4805,  4797,   746,  4801,  1907,  4807,  4808,
    4007,  4809,  2071,  2074,  1217,  4810,  4827,  4812,  2075,  1540,
    4829,   746,  2076,  4828,  4830,  4831,  4959,  4985,  1490,  4832,
     736,  4843,  4850,  1217,  4846,   746,  4971,  3338,  4833,   746,
    1111,  5294,   374,  3339,  4834,  4837,  1338,  4839,  4835,  1109,
     957,  4841,   374,  4836,  3719,  4848,  4838,  3376,  4862,  4497,
    4866,  4840,  4057,  2072,  4869,  4863,  4864,  4874,  4880,  4384,
    4882,  2078,  4917,  4922,  5009,  5791,  4842,  4923,  4933,  4852,
     957,  4936,  5157,  5158,  5159,  5160,  4940,  4086,  4951,  4853,
     374,  4859,  4950,  4095,  4929,  4953,  4969,  4960,  5709,  5546,
    5547,  5548,  5549,  5550,  4963,  4970,  4973,  4105,   957,   957,
     957,  4974,   957,  4990,   736,  5004,  2080,  4118,  4978,  1109,
    5007,  5012,  5037,  4123,  2941,  5052,  5019,  5038,  5029,  5039,
    5021,  5031,   957,  5055,  5054,  5040,  5041,  5042,  5056,  2081,
    5043,  5045,  5065,  4136,  5066,  5120,   421,  5067,  5068,  4139,
    5070,  5071,  2073,  5072,   889,  1885,  4145,  5073,  5919,  2083,
    5074,  5295,  2449,   896,  5296,  5078,   890,  4491, -2179,   746,
    4160,  5127,  2983,  5138,  5139,  5110,  5167,   746,   746,  6198,
    5087,  6200,  4496,  4185,  5150,  5111,  5751,  3595,  5191,  5156,
    5195,  5213,  5200,  5112,   736,  5168,  2074,  5119,  5219,  5141,
    5210,  2075,  5197,  5176,  5201,  2076,  2084,  5199,  5204,  5215,
     957,  5228,  5235,  5243,   957,   957,  5264,  5265,  5267,  5266,
    3338,  5274,  5275,  5277,  5278,  5131,  5280,  5286,  5285,  5302,
     957,  5305,  5317,  5318,  5321,  5333,   423,   423,   423,  5319,
    5320,  5331,  5332,  1111,  5334,  1418,  5335,  1419,  5336,  5345,
     378,  5348,  4497,  1420,  2078,  4294,  1421,   746,  4294,  4498,
    4499,  4500,  4501,  4502,  4503,  4504,  4505,  4506,  5365,  5366,
    3262,  5374,  5390,  5594,  5371,  5391,  5393,  5292,  5396,  5407,
    5409,  5410,  5411,  5809,  5406,  5448,   423,  5433,  1676,  2490,
    5347,  4491,  5462,  5354,   423,  4492,  4493,  4494,  5468,  2080,
    1540,  5422,  5443,  5469,  5454,  5164,   423,  5474,  5169,  5481,
    5475,  5498,  5492,  5515,  6330,    69,    69,  1161,    69,  5499,
    1959,  5516,  2081,  5629,  1959,  5518,  5520,  5528,  6208,  6339,
    5519,  5522,  5523,  1422,  5544,  5552,  5557,  5567,  5592,  5530,
    5533,  5559,  2083,  5580,  5574,  5595,  5575,  2371,  5586,   374,
   -2181,  5596,  5597,  5535,  5634,  5642,  5614,  5601,  1161,  1239,
    4294,  6046,  5630,  5627,  5635,  5632,  5647,  5643,  1540,  5648,
    6118,  5650,  5649,   421,  5664,  6374,  6376,  4066,   421,  5310,
     421,   889,  5661,  5663,  5680,  5674,   889,  5682,   889,  2084,
     896,  5678,  5688,   890,  5697,   896,  5687,   896,   890,  5715,
     890,  5716,  5717,  4090,   421,  1540,  5356,  5720,  5726,  5727,
    5728,  5747,   889,  5948,  1161,  5740,  5743,  5364,  5749,  5762,
    5763,   896,  5753,  5754,   890,  5772,  5770,  5781,  5771,  5784,
    5788,  1161,  5789,  5796,  5758,  5759,  5799,  5761,  1540,  5805,
    5777,  5804,  5806,  4426,  5808,  5812,  5814,  5818,  5820,  4895,
    5828,  5823,  4498,  4499,  4500,  4501,  4502,  4503,  4504,  4505,
    4506,  4440,  1885,  2497,  5969,  5834,  2498,  5830,  4426,  5839,
    5841,  5837,  6114,  5835,  5842,  5344,  5843,  5852,  5858,  5860,
    3616,  5866,  5870,  5871,  5882,  5888,  5889,  5896,  1885,  5890,
    5357,  5878,  5902,  5358,  5891,  5359, -3514,  3007,  5905,  5916,
    5912,  5921,  5926,  5932, -3514,   746,  5935,  5941,  5944,  5928,
    5952,  5956,  5959,  5960,  5955,  5961,  5966,  5992,  5972,  5973,
    5977,   957,   957,   957,  5968,  5983,  5984,  6014,  5985,  1338,
    3009,  6020,  5432,  6482,  1109,  6022,  6368,  6025,   746,  1109,
    1109,  5399,  6028,  6052,  6033,  5970,  6032,  6053,  5964,  6057,
    1540,  6062,  6065,  6081,  6210,  6086,  6094,  4220,  6100,  6092,
    6107,  1540,  4220,  6093,  6117,  6121,  4497,  6127,  4625,  6013,
    6154,  6193,  6194,   423,  6131,  1959,  5936,  1540,  6134,  6169,
    1338,  6156,  6179,  6171,  6180,  6178,  6186,  6223,  6192,  3089,
    3090,  6232,  6225,  6238,  6228,  6236,   746,  6380,  6246,  5612,
    6265,  6251,  6261,  6266,   746,  6267,  6269,  6268,  3085,  6278,
    1619,  1620,   746,  6279,  6288,  6280,  6286,  6557,  6558,  6281,
    4294,  4294,  6295,  6325,  6309,  6321,  6290,  6323,  6301,  3100,
    1540,  6326,  6327,  6328,  6329,  3107,  3109,  6335,  6334,   421,
    6338,  6350,  6337,  6373, -3514,   957,  6379,  6382,   957, -3514,
    6385,  1540,  6387,  6354,  6393,  6396,  6397,  6413,   957,  6414,
    1111,  5505,  6389,  6415,  1540,  6423,  4895,  6424,  6416,  6430,
    4582,  6442,  6457,  6458,  6475,  6477,  1540,  6440,  6383,  1885,
    5501,   422,  6462,  6484,  6429,  6452, -3514,  5151,  6384,   957,
     957,  6467,   746,   746,  6493,  6492,   374,  6494,  6513,  6511,
    6531,  6536,  6550,  6543,   957,  6302,   746,   957,  1109,  6566,
    4384,  4384,  4384,  4384,  4384,  6552,  1540,  1540,  1109,   746,
     746,  6574,  6319,  6572,  6603,  6599,  6610,  6593,  6614,  2492,
    6600,    76,  6621,  6620,    76,  3719,  6642,  6645,  6641,  6643,
    6646,  3014,  6647,  6668,  6655,  6670,  1885,  6671,  5681,  5009,
    6681,  4653,  6682,  5563,  5563,  5563,  5563,  6684,  5563,  5563,
    5563,  5563,  5563,  6689,  6701,   374,  4498,  4499,  4500,  4501,
    4502,  4503,  4504,  4505,  4506,   957,  6696,  4693,  6702,   957,
     957,  6705,  6690,  6658,  6711,  6718,  6714,  1237,  6088,  3392,
    2108,  4283,  4618,  2107,  6197,  2995,  4153,  4072,  2004,  4734,
    5308,  1109,  6478,  4192,  4240,  1109,  1109,  4879,  1489,  5301,
    6368,  6011,  6367,  6064,  6573,  6344,   957,   957,  5298,  5450,
    5787,  6045,   957,   957,  4681,  4411,  6469,  5946,  3701,   957,
     957,   957,  6569, -3514,   957,  6388,   957,  6386,   957,   957,
     957,   957,   957,   957,  6491,  4686,   957,  5816,   957,   957,
    6584,  5472,   957,  4294,  5502,  6348,  5480,  4294,  4258,  5442,
    4259,  5306,  4752,  4939,  2092,  1111,  1540,   957,   957,   957,
    5467,  5810,  6051,  4979,  5526,  6282,  6638,  4765,  6717,  6703,
    6026,  4885,  6496,  5508,   957,  5652,   423,  5971,  5659,  5660,
    5713,  3459,  6188,  6356,  5974,  1068,  1130,  6341,  5553,  5046,
    5721,  5658,  6165,  4582,  6634,  4287,  2421,  4582,  1414,  6451,
    5512,  6453,  2007,  3522,  4672,  3926,    75,  1109,  2008,  4996,
    3518,  3537,  6089,  2371,  6276,  1491,  5666,  5668,  3572,    74,
    3660,  3661,  4849, -3514,  1569,  4190,  5337,  4796,  6669,  6517,
    1815,  4217,   374,   374,  2930,  2931,  2932,  2933,  2934,  2935,
    3153,  5532,  6685,  3417,  5531,  5669,  5224,  3848,  6164,  6463,
    4407,  3019,  2373,  2010,  2957,  6128,  3877,  4623,  3051,  4635,
    3050,  3858,  2007,  5198,  6454,  6555,  6128,  5653,  2008,  3876,
    5171,  5625,  5640,  3055,  6133,  5165,  6308,  6307,  5166,  5225,
    6678,  6542,  1885,  2112,  6611,  6443,  6113,  5923,  3531,  5121,
    6455,  3808,  6456,  4559,  4860,  3725,  4216,  4557,  6694,  4466,
    5008,  3817,  1270,  1338,  4359,  2270,  1489,  3532,  3904,  2011,
    6431,  3075,  3895,  2010,  3544,  1240,  2012,   957,  3911,  2013,
    3908,  3068,  1592,  3719,  3552,  1897,  3553,  1926,  5230,  5202,
    4613,  3909,  3557,  5654,  2429,  1898,  3560,  5231,  3072,  1263,
    3613,  3915,  6202,  4409,  2363,    78,  2014,  3719,  5930,  1626,
       0,   421,     0,     0,     0,     0,     0,   957,     0,   889,
       0,  2961,     0,     0,     0,     0,     0,  2113,   896,  2011,
       0,   890,  5765,  5766,     0,     0,  2012,     0,     0,  2013,
    2015,     0,     0,    69,     0,  4220,    69,  4220,  4220,  4220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2014,     0,     0,     0,
     957,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6474,     0,
       0,     0,     0,     0,     0,     0,  4294,     0,     0,     0,
    2015,     0,     0,     0,     0,  2114,     0,     0,     0,  2017,
    6626,     0,     0,  5817,     0,     0,     0,  6704,     0,  2018,
       0,     0,  1111,  6197,     0,     0,     0,     0,  2019,     0,
       0,     0,     0,     0,     0,     0,     0,  3690,  3691,     0,
    2020,  6318,     0,     0,  3705,  3706,     0,     0,  1111,     0,
       0,     0,     0,  5845,  3390,     0,     0,     0,     0,     0,
    6524,  6525,  1111,     0,     0,  2114,  6627,  6628,     0,  2017,
       0,     0,     0,  1111,     0,  3750,  5048,     0,     0,  2018,
       0,     0,  2022,  2023,     0,     0,     0,     0,  2019,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2020,  5064,     0,     0,     0,  5563,     0,     0,     0,     0,
       0,     0,     0,  2024,     0,     0,     0,     0,     0,     0,
       0,     0,  6697,     0,     0,     0,     0,     0,  3719,     0,
    1523,     0,     0,     0,     0,     0,     0,     0,     0,  2115,
    1489,     0,  2022,  2023,     0,   957,   957,   957,   957,   957,
     957,   957,   957,   957,  4294,   957,  1523,     0,     0,     0,
       0,  4294,     0,     0,     0,   957,  4294,  5929,   957,  4294,
       0,     0,     0,  2116,     0,     0,     0,     0,  6079,     0,
       0,  2025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4294,     0,
       0,     0,     0,     0,     0,     0,  5925,     0,     0,     0,
       0,  4582,     0,  4294,     0,     0,  4582,     0,     0,  4582,
       0,   423,     0,     0,   957,     0,     0,     0,   957,     0,
       0,   957,     0,   957,     0,     0,   957,     0,     0,  1111,
       0,  2025,     0,     0,  5999,   421,     0,     0,  6058,     0,
       0,   957,     0,   889,     0,     0,     0,     0,     0,     0,
     957,   957,   896,     0,  4895,   890,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1885,     0,     0,
       0,     0,  1015,     0,     0,     0,     0,     0,     0,     0,
       0,   423,     0,   423,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1111,     0,     0,     0,
    4220,     0,     0,   746,     0,     0,     0,  3719,     0,  6012,
       0,     0,   363,   260,   269,   272,   367,     0,   368,     0,
       0,   378,    76,    76,   370,     0,   746,   371,  6712,  6713,
     273,     0,   274,  1540,   294,   312,     0,  1540,  1540,   317,
     347,   366,   372,   383,   746,     0,     0,  5269,     0,   423,
     746,     0,     0,     0,   746,     0,     0,     0,     0,  6050,
    4294,     0,     0,   746,     0,     0,     0,     0,     0,     0,
       0,     0,  6059,     0,     0,   374,     0,     0,     0,     0,
       0,   746,     0,     0,   957,     0,     0,     0,   374,     0,
    6077,     0,     0,     0,     0,   957,     0,  1540,   957,     0,
     957,   957,     0,  1540,   373,     0,   374,     0,     0,     0,
       0,     0,     0,     0,     0,   746,     0,     0,     0,     0,
     374,     0,     0,     0,     0,     0,     0,     0,  1161,  4294,
       0,     0,     0,  1217,     0,   746,   746,  6541,     0,     0,
       0,     0,     0,     0,  1540,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   423,   746,     0,     0,
     423,     0,     0,     0,     0,  5379,     0,     0,  5382,  4582,
       0,     0,  2185,     0,     0,     0,     0,     0,   421,     0,
       0,     0,   746,  2194,   423,     0,   889,     0,   746,     0,
       0,     0,     0,     0,     0,   896,     0,     0,   890,  2202,
       0,     0,   746,     0,     0,     0,     0,  1161,     0,   746,
    4117,     0,   746,     0,     0,     0,     0,  1490,   746,     0,
       0,  6212,     0,  3100,     0,     0,  1111,     0,     0,  3719,
    1885,     0,  1111,     0,  3719,     0,  1111,     0,   746,     0,
       0,     0,     0,     0,   746,     0,     0,     0,     0,     0,
       0,   746,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4294,     0,     0,   746,     0,     0,     0,  5464,
       0,     0,     0,     0,     0,     0,     0,     0,   746,  2007,
       0,     0,     0,   423,     0,  2008,  3390,     0,     0,   746,
    4117,     0,     0,     0,     0,     0,     0,     0,  6254,     0,
    2112,     0,  3866,  3866,     0,     0,     0,   957,   957,   957,
       0,     0,  4582,   957,   374,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4294,     0,     0,
    2010,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     957,  1540,     0,     0,     0,     0,     0,     0,     0,   423,
       0,  1109,  5999,   421,     0,     0,  4117,     0,     0,     0,
       0,   889,     0,     0,     0,  4117,  4294,     0,     0,     0,
     896,  1907,     0,   890,    69,    69,     0,     0,     0,     0,
       0,     0,   957,  4426,  2113,     0,  2011,     0,     0,     0,
       0,     0,     0,  2012,     0,  4117,  2013,  6331,  2490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1977,     0,   374,  4332,  1109,     0,     0,  1540,     0,
       0,     0,     0,  2014,  2430,  1490,     0,     0,     0,  6371,
       0,  6372,     0,     0,     0,  6377,  6378,     0,     0,     0,
     957,     0,     0,     0,     0,     0,  1978,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2015,     0,     0,
    6444,   421,     0,     0,     0,     0,     0,     0,  4294,   889,
       0,     0,     0,     0,     0,     0,     0,     0,   896,     0,
       0,   890,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6598,     0,  4024,
       0,     0,     0,     0,     0,     0,     0,  1979,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2114,     0,     0,  2497,  2017,     0,  2498,     0,
       0,     0,  2499,  2500,  2501,     0,  2018,     0,   746,     0,
       0,     0,     0,  1980,     0,  2019,     0,     0,     0,  3006,
       0,     0,     0,     0,  1540,     0,   746,  2020,     0,  3007,
       0,     0,     0,   746,     0,     0,  3008,   957,     0,  1540,
     957,     0,   957,   957,  1540,  6519,     0,  6520,     0,  1981,
     378,     0,   957,  6521,     0,     0,  1109,   957,     0,     0,
       0,     0,  3009,     0,  1109,     0,  4150,  1109,     0,  2022,
    2023,     0,     0,     0,     0,     0,     0,     0,     0,  1109,
       0,     0,     0,   957,   957,   957,     0,     0,   957,     0,
       0,  1983,  4294,     0,     0,     0,   957,   957,   957,   957,
    4151,     0,     0,     0,     0,     0,     0,   423,  6497,     0,
       0,     0,   957,   423,     0,   957,     0,   957,     0,     0,
       0,     0,  5734,  1985,   374,     0,     0,     0,   957,   957,
       0,     0,   957,  6522,  5744,     0,     0,  1111,  6519,     0,
    6520,     0,     0,   378,     0,     0,  6521,     0,     0,   374,
       0,   957,     0,   957,     0,   957,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   205,     0,  3219,  2025,  1490,
    1987,     0,     0,     0,     0,   957,  3010,     0,     0,  1988,
       0,  3011,  4294,     0,     0,     0,   957,  1989,  4294,     0,
       0,     0,     0,     0,     0,  3220,     0,     0,     0,     0,
     746,     0,     0,  3012,  2685,     0,     0,  1991,     0,     0,
       0,     0,     0,     0,     0,     0,  1992,   957,  3013,     0,
    1993,     0,     0,     0,     0,     0,  6522,     0,     0,     0,
       0,     0,   957,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6597,     0,     0,     0,   957,     0,     0,     0,
       0,     0,  3759,     0,   957,     0,     0,     0,     0,  2737,
    6675,   421,     0,  6519,     0,  6520,     0,     0,   378,   889,
       0,  6521,     0,  3014,  1994,     0,  3015,     0,   896,     0,
    3283,   890,     0,     0,     0,  4379,  4382,     0,     0,  1540,
       0,     0,  1540,     0,  1540,     0,     0,     0,     0,  1540,
       0,     0,     0,     0,     0,     0,     0, -2803,     0,  6675,
     421,     0,     0,  4294,     0,   746,   746,     0,   889,     0,
       0,   957,     0,     0,     0,     0,     0,   896,  6675,   421,
     890,  6677,     0,     0,     0,     0,     0,   889,     0,  2951,
       0,     0,   746,     0,  6676,   746,   896,     0,  1540,   890,
       0,  6522,     0,     0,     0,     0,  1540,     0, -2803,  1109,
       0,     0,  4426,     0,     0,  3016,     0,   374,     0,     0,
       0, -2803,     0,     0,     0,     0,     0, -2803,     0,     0,
    6677,  1540, -2803,  2007,     0,     0,     0,     0, -2803,  2008,
       0, -2803,     0,  6676,     0, -2803,     0,     0,     0,  6677,
       0,     0,  5652,     0,  2009,     0,     0,     0,     0,     0,
    1111,     0,  6676,     0,     0,     0,     0,   423,   423,   423,
       0,     0,     0,     0, -2803,  3421, -2803,     0,     0,     0,
       0,     0,     0,     0,  2010,     0,  3432,     0,     0,     0,
       0,     0,   746,     0, -2803,     0,     0,     0,     0,     0,
       0,  1540,  3450,  1540,     0,     0,     0,     0,     0,     0,
       0,   746,     0,     0,     0,  2926,     0,     0,     0,     0,
       0,     0,     0,  2927,  2928,  2929,  2930,  2931,  2932,  2933,
    2934,  2935,   746,  4426,     0,  4426,     0,     0,  4482,     0,
    2011,     0,     0, -2803,     0,     0, -2803,  2012,     0,     0,
    2013,     0, -2803,     0,     0,  3524,     0,     0,  2497,     0,
       0,  2498,     0,     0,     0,  2499,  2500,  2501,  6293,     0,
       0,     0,     0,     0,     0,     0,  3539,  2014,     0,     0,
       0,     0,  3006,     0,     0,     0,     0,     0,     0,  1523,
       0,     0,  3007,     0,     0,     0,     0,  1540,     0,  3008,
       0,  3554,     0,     0,     0,     0,     0,  3100,     0, -2803,
    4616,  2015,  1109,     0,     0,     0,     0,     0,     0,   746,
       0,     0,     0,     0,   957,  3009,     0,     0,     0,     0,
     957,     0,     0,     0,     0,     0,  4629,  4629,     0,  1540,
       0,  3580,  1523,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3760,  2497,     0,     0,  2498,   423,  1540,     0,  2499,
    2500,  2501,   746,     0,   746,     0,  2016,     0,     0,     0,
    2017,     0,     0,     0,     0,     0,  3006,   746,     0,   746,
    2018,     0, -2803,     0,     0,     0,  3007,  4932,     0,  2019,
       0,     0,     0,  3008,     0,     0,     0,     0,     0,   957,
       0,  2020,     0,     0,     0,     0, -2803,     0, -2803, -2803,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3009,
       0,     0,     0,     0,     0,     0,     0,  1540,     0,  3010,
       0,     0,     0,     0,  3011,     0,     0,     0,     0,     0,
    2021,     0,     0,  2022,  2023,     0,     0,     0,   746,  1540,
       0, -2803,     0, -2803, -2803,     0,  3012,  2685,     0,     0,
       0,     0,  2309,     0,     0,     0,     0,     0,     0,     0,
       0,  3013,     0,  1540,  2024,     0,     0,     0,     0,     0,
       0,  3752,     0,     0,     0,  2323,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2334,     0,     0,     0,  2337,
       0,     0,     0,  2340,     0,  2342,     0,     0,     0,   746,
       0,  2350,  2737,     0,     0,     0,     0,  2356,     0,     0,
    2359,     0,     0,     0,     0,     0,  3014,     0,  2007,  3015,
       0,   746,     0,  3010,  2008,     0,     0,     0,  3011,     0,
       0,     0,  2025,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   746,     0,     0,   746,     0,     0,     0,
    3012,  2685,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   957,     0,  3013,  1540,     0,     0,  2010,
       0,     0,   957,     0,     0,     0,     0,     0,     0,     0,
     957,     0,   957,     0,     0,   957,     0,     0,     0,  1540,
     957,   957,   957,   957,     0,     0,   957,   957,   957,   957,
     957,   957,   957,   957,   957,   957,  2737,     0,  3016,   957,
     957,   957,   382,     0,  1540,     0,     0,     0,   382,   957,
    3014,     0,   740,  3015,   957,  2011,   423,     0,   957,     0,
       0,     0,  2012,     0,     0,  2013,   957,     0,     0,   957,
       0,   957,     0,     0,  4339,     0,     0,     0,     0,   382,
       0,   957,     0,     0,   957,   957,     0,     0,     0,   957,
     957,     0,  2014,     0,     0,     0,   957,     0,  1977,     0,
       0,     0,     0,     0,     0,     0,   957,     0,     0,   957,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   957,
       0,     0,     0,     0,     0,   382,  2015,     0,     0,     0,
       0,     0,     0,  1978,     0,     0,     0,     0,  2926,  1109,
       0,     0,  3016,     0,     0,     0,  2927,  2928,  2929,  2930,
    2931,  2932,  2933,  2934,  2935,     0,     0,     0,     0,     0,
       0,  4533,  4928,     0,     0,     0,   957,     0,  2007,     0,
       0,     0,     0,     0,  2008,     0,     0,     0,     0,     0,
       0,     0,     0,   957,     0,     0,     0,     0,     0,     0,
       0,  2114,     0,     0,  1979,  2017,     0,   382,     0,  1540,
       0,     0,     0,     0,     0,  2018,     0,     0,     0,     0,
       0,   957,     0,     0,  2019,     0,     0,     0,     0,  2010,
       0,     0,     0,     0,     0,     0,  2020,     0,     0,     0,
    1980,     0,   746,     0,     0,     0,  2497,     0,     0,  2498,
       0,     0,  2926,  2499,  2500,  2501,     0,     0,     0,     0,
    2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,     0,
    3006,  4340,     0,  3748,  5016,  2142,  1981,     0,  2022,  2023,
    3007,  4382,     0,     0,  1977,  2011,     0,  3008,     0,     0,
       0,     0,  2012,   423,     0,  2013,     0,     0,   423,  1540,
     423,     0,     0,     0,     0,     0,     0,  1977,     0,  2143,
       0,  4426,     0,  3009,     0,     0,     0,     0,  1983,  1978,
       0,     0,  2014,     0,   423,  1540,     0,     0,  2497,     0,
       0,  2498,     0,     0,     0,  2499,  2500,  2501,     0,     0,
       0,     0,  1978,     0,     0,     0,     0,     0,     0,     0,
    1985,     0,  3006,     0,  1109,     0,  2015,     0,     0,     0,
       0,     0,  3007,     0,     0,     0,     0,     0,     0,  3008,
     746,     0,   382,   746,     0,     0,     0,  2025,     0,     0,
    1979,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   205,     0,     0,  3009,     0,  4341,     0,     0,
       0,     0,     0,  1979,     0,     0,  1988,   382,     0,     0,
       0,     0,     0,     0,  1989,     0,  1980,     0,     0,     0,
       0,  2114,  3220,     0,     0,  2017,     0,  3010,     0,     0,
       0,     0,  3011,     0,  1991,  2018,     0,   957,     0,  1980,
       0,     0,     0,  1992,  2019,     0,     0,  1993,     0,     0,
       0,     0,  1981,     0,  3012,  2685,  2020,     0,     0,     0,
       0,     0,     0,   746,   746,     0,  4342,  1540,     0,  3013,
       0,     0,     0,     0,   746,  1981,     0,     0,     0,     0,
       0,   957,   957,     0,     0,   738,     0,     0,     0,     0,
    1982,   746,     0,     0,  1983,  3200,   949,     0,  2022,  2023,
       0,  1994,     0,     0,     0,  4343,     0,     0,     0,  3010,
    2737,     0,   887,  1982,  3011,  5509,  1540,  1983,     0,  1540,
     957,   957,     0,     0,  3014,  2044,  1985,  3015,     0,  3201,
       0,   957,     0,     0,     0,     0,  3012,  2685,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2061,  1985,
       0,  3013,     0,     0,     0,     0,     0,  5227,   887,   423,
       0,     0,     0,     0,  2045,     0,     0,     0,   205,     0,
       0,     0,     0,  1987,     0,     0,     0,     0,     0,     0,
       0,     0,  1988,     0,     0,     0,     0,  2062,   746,     0,
    1989,   205,  2737,     0,     0,     0,  1987,  2025,  2046,     0,
       0,     0,  3981,     0,     0,  1988,  3014,  1155,  3989,  3015,
    1991,     0,     0,  1989,   957,  1155,  3016,  1155,     0,  1992,
       0,  2063,     0,  1993,     0,   957,     0,     0,     0,     0,
     887,     0,     0,  1991,     0,     0,  4339,     0,     0,     0,
       0,     0,  1992,     0,     0,     0,  1993,     0,     0,  4022,
       0,     0,     0,   957,     0,     0,   957,     0,     0,     0,
    1977,  1109,     0,     0,   957,   957,     0,  1540,     0,     0,
       0,   957,   957,     0,     0,     0,   957,  1994,     0,     0,
     957,     0,     0,   957,   957,     0,     0,  1109,   957,     0,
       0,     0,     0,     0,   957,  1978,     0,  3567,  3016,     0,
    1994,  1109,     0,     0,     0,  3574,   957,     0,     0,     0,
       0,     0,  1109,     0,   957,     0,  2926,     0,   957,     0,
       0,     0,     0,     0,  2927,  2928,  2929,  2930,  2931,  2932,
    2933,  2934,  2935,     0,     0,     0,     0,  4881,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   957,     0,     0,     0,     0,  1979,     0,     0,   957,
       0,     0,  2497,     0,     0,  2498,    76,     0,     0,  2499,
    2500,  2501,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   957,     0,  3006,     0,  1619,  1620,
       0,     0,  1980,     0,     0,     0,  3007,     0,  2926,     0,
       0,     0,  1540,  3008,     0,     0,  2927,  2928,  2929,  2930,
    2931,  2932,  2933,  2934,  2935,   746,     0,     0,     0,  5080,
       0,     0,     0,  4340,     0,     0,     0,  2497,  1981,  3009,
    2498,     0,     0,     0,  2499,  2500,  2501,     0,     0,     0,
    1540,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3006,     0,     0,     0,     0,  4245,   746,     0,     0,
       0,  3007,  1540,     0,     0,     0,     0,     0,  3008,   746,
    1983,     0,     0,     0,     0,     0,     0,     0,  1109,     0,
     382,     0,     0,     0,   382,   957,     0,     0,     0,     0,
       0,     0,   957,     0,  3009,     0,     0,  1312,   740,     0,
       0,     0,  1985,   746,     0,  1312,     0,   740,  1312,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   740,  4382,  4382,  4382,  4382,  4382,     0,     0,     0,
       0,     0,     0,     0,  1540,     0,     0,     0,     0,     0,
     740,     0,     0,  3010,   205,  1109,     0,     0,  3011,  1987,
       0,     0,     0,     0,     0,     0,     0,     0,  1988,   740,
     957,     0,     0,     0,     0,   740,  1989,     0,     0,     0,
    3012,  2685,     0,     0,  3220,     0,   957,   740,     0,     0,
       0,   423,     0,     0,     0,  3013,  1991,     0,     0,     0,
       0,     0,     0,     0,     0,  1992,     0,     0,     0,  1993,
     746,     0,     0,     0,     0,     0,   740,   957,  3010,     0,
       0,     0,     0,  3011,     0,     0,     0,     0,  4342,     0,
    1312,   740,     0,     0,     0,     0,  2737,  1312,     0,   740,
    1312,     0,     0,     0,     0,  3012,  2685,     0,     0,     0,
    3014,     0,     0,   740,     0,     0,     0,     0,     0,     0,
    3013,     0,     0,  1994,  1540,     0,  1540,  4343,     0,   740,
       0,     0,     0,     0,     0,     0,     0,     0,  2497,  4439,
       0,  2498,     0,     0,     0,  2499,  2500,  2501,     0,     0,
       0,     0,     0,     0,  4452,     0,     0,     0,     0,  4457,
       0,  2737,  3006,     0,     0,     0,     0,   746,     0,     0,
    3100,     0,  3007,     0,     0,  3014,     0,     0,  3015,  3008,
       0,     0,     0,     0,     0,   957,     0,     0,   957,     0,
     740,   957,   957,   957,     0,     0,     0,     0,    69,     0,
       0,     0,  3016,     0,     0,  3009,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   957,   957,     0,     0,
     957,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,     0,     0,     0,   957,     0,     0,     0,     0,
       0,     0,   957,     0,     0,     0,     0,   957,     0,     0,
     957,   957,   382,     0,     0,  1109,     0,   740,   957,     0,
       0,  1109,     0,     0,     0,  1109,     0,  3016,     0,   740,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   957,
       0,     0,   957,     0,     0,     0,     0,     0,   746,     0,
     746,     0,  5737,  5738,   957,     0,  2497,  5741,  5742,  2498,
       0,     0,  2926,  2499,  2500,  2501,     0,     0,     0,     0,
    2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,  3010,
    3006,   740,   740,     0,  3011,     0,     0,     0,     0,     0,
    3007,     0,     0,     0,  1540,   746,     0,  3008,     0,     0,
       0,     0,  1299,     0,     0,   957,  3012,  2685,     0,     0,
       0,  1311,     0,     0,     0,     0,     0,     0,     0,  1311,
       0,  3013,  1311,  3009,     0,     0,     0,  2926,     0,     0,
       0,     0,     0,   887,     0,  2927,  2928,  2929,  2930,  2931,
    2932,  2933,  2934,  2935,     0,   423,     0,     0,  5130,     0,
     957,   738,     0,     0,     0,     0,     0,     0,     0,     0,
     738,     0,  2737,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   738,     0,  3014,  2007,     0,  3015,
       0,     0,     0,  2008,     0,     0,     0,     0,     0,     0,
       0,     0,   382,   738,  2007,     0,     0,     0,   740,     0,
    2008,     0,  3837,     0,     0,     0,     0,     0,     0,  1312,
       0,   957,   738,  1312,  1540,  1312,     0,     0,   738,     0,
       0,     0,     0,  4696,     0,  1299,     0,     0,  2010,     0,
     738,  4699,     0,     0,  1311,     0,     0,  3010,     0,     0,
       0,  1311,  3011,     0,  1311,  2010,   957,     0,     0,     0,
     957,     0,   957,     0,     0,     0,     0,     0,     0,   738,
       0,     0,     0,     0,  3012,  2685,     0,     0,  3016,     0,
     957,     0,     0,     0,   738,     0,   957,     0,     0,  3013,
     957,     0,   738,     0,  2011,     0,  1540,   957,     0,     0,
       0,  2012,     0,     0,  2013,     0,   738,     0,     0,     0,
       0,  2011,     0,     0,     0,     0,     0,     0,  2012,     0,
       0,  2013,   738,     0,     0,     0,     0,     0,     0,     0,
    2737,  2014,     0,     0,     0,     0,  4782,     0,  4784,     0,
       0,     0,     0,     0,  3014,  1540,     0,  3015,  2014,     0,
    1540,  1540,     0,     0,     0,   957,     0,     0,     0,     0,
       0,   957,   957,   746,     0,  2015,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   740,   746,  2926,     0,
       0,     0,  2015,   738,     0,     0,  2927,  2928,  2929,  2930,
    2931,  2932,  2933,  2934,  2935,  5924,     0,   957,     0,  5245,
       0,     0,     0,     0,     0,   957,     0,     0,   423,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1155,     0,   738,     0,  1155,     0,     0,     0,     0,
    2016,     0,  4845,   957,  2017,     0,  3016,     0,     0,   381,
       0,     0,     0,     0,  2018,   381,     0,  2114,     0,   739,
     738,  2017,     0,  2019,     0,     0,   740,     0,     0,     0,
       0,  2018,   738,  1540,  1540,  2020,  1109,     0,     0,     0,
    2019,     0,   740,     0,  4867,     0,   381,     0,     0,     0,
       0,     0,  2020,     0,     0,  6294,   740,     0,     0,   957,
     740,     0,     0,     0,     0,   957,     0,     0,   957,     0,
       0,   957,     0,     0,  3276,     0,     0,  2022,  2023,     0,
       0,     0,   957,     0,   738,   738,     0,     0,     0,   957,
       0,  4017,   381,     0,  2022,  2023,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2926,   957,  3277,     0,
       0,     0,     0,     0,  2927,  2928,  2929,  2930,  2931,  2932,
    2933,  2934,  2935,     0,     0,  2024,     0,  5470,   957,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1156,  4022,     0,     0,     0,     0,     0,     0,  1156,
       0,  1156,     0,   423,     0,   746,  1031,     0,     0,     0,
       0,  3669,     0,     0,   381,     0,     0,  1299,     0,  1155,
    1155,     0,     0,  1311,     0,     0,  2025,  1311,     0,  1311,
       0,     0,     0,     0,     0,     0,     0,     0,  5011,     0,
     740,     0,     0,  2025,     0,   887,     0,     0,   740,   740,
       0,   738,     0,     0,     0,     0,     0,     0,     0,   957,
       0,     0,  1034,  3670,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1035,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2257,     0,  2259,  2260,     0,  1398,     0,     0,     0,
       0,   957,   957,   957,     0,     0,     0,   382,   382,   382,
     957,   423,     0,     0,  1540,     0,     0,     0,     0,   957,
    3671,   957,     0,   957,     0,     0,     0,     0,   740,     0,
       0,  1038,     0,   957,     0,     0,   746,     0,     0,     0,
    1039,  5079,     0,     0,     0,     0,     0,     0,     0,   957,
       0,     0,     0,  1040,     0,     0,     0,   382,  3672,  1109,
       0,     0,   746,     0,  5088,   382,     0,  4364,     0,     0,
       0,     0,     0,     0,     0,  4373,     0,   382,     0,   381,
       0,     0,     0,     0,  1401,     0,     0,     0,     0,  5109,
       0,     0,  4388,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4394,   957,     0,  4395,     0,  4396,  4397,  3673,
       0,  4399,     0,   957,   381,  4402,     0,  4403,     0,   738,
    4405,   957,   957,     0,     0,     0,     0,   957,     0,     0,
     957,  1044,     0,     0,     0,     0,     0,     0,     0,     0,
     957,     0,     0,     0,     0,     0,  6549,     0,     0,     0,
     957,  2497,     0,     0,  2498,     0,     0,     0,  2499,  2500,
    2501,     0,     0,     0,     0,     0,     0,  6292,     0,     0,
       0,     0,     0,     0,     0,  3006,     0,     0,     0,   746,
       0,     0,     0,     0,     0,  3007,     0,     0,     0,     0,
       0,     0,  3008,     0,     0,     0,     0,  4449,     0,   738,
       0,     0,     0,   957,     0,     0,   925,  3674,     0,   957,
    1049,     0,     0,     0,     0,   738,     0,     0,  3009,     0,
       0,     0,     0,     0,     0,     0,     0,   957,     0,   738,
       0,     0,     0,   738,     0,     0,     0,  1405,     0,     0,
    3675,     0,   957,     0,     0,  6549,  1053,   957,     0,     0,
       0,     0,     0,  1054,     0,     0,  1055,  6365,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     957,     0,     0,     0,     0,  1056,   740,     0,     0,     0,
       0,     0,  1407,     0,     0,     0,     0,     0,  1058,     0,
       0,  1408,     0,     0,     0,  1060,     0,     0,     0,     0,
       0,   957,     0,     0,     0,     0,     0,     0,     0,   740,
    3676,     0,   957,     0,     0,     0,   957,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2007,
       0,     0,  3010,     0,   957,  2008,  1065,  3011,     0,     0,
       0,   423,     0,     0,   382,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3012,
    2685,     0,     0,   738,     0,     0,     0,   740,     0,     0,
       0,   738,   738,     0,  3013,   740,     0,     0,   957,   957,
    2010,     0,   957,   740,     0,     0,   957,     0,     0,     0,
     423,     0,     0,     0,     0,     0,     0,     0,     0,   957,
     957,     0,     0,     0,     0,     0,     0,     0,     0,   423,
       0,     0,     0,     0,     0,  2737,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3014,
     887,     0,  3015,     0,     0,     0,  2011,     0,     0,     0,
       0,     0,     0,  2012,     0,     0,  2013,     0,     0,     0,
       0,   738,     0,     0,     0,     0,     0,     0,     0,     0,
    1312,  1312,  2497,   740,   740,  2498,     0,     0,     0,  2499,
    2500,  2501,     0,  2014,     0,  1312,     0,   740,  1312,     0,
       0,     0,     0,     0,     0,     0,  3006,     0,     0,     0,
     740,   740,     0,  4691,     0,     0,  3007,     0,     0,     0,
     887,     0,  5453,  3008,     0,     0,     0,  2015,     0,     0,
       0,  1155,     0,     0,     0,  2497,     0,     0,  2498,     0,
       0,  3016,  2499,  2500,  2501,     0,     0,     0,     0,  3009,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3006,
       0,     0,     0,     0,     0,     0,  1312,     0,     0,  3007,
    1312,  1312,  1155,     0,     0,     0,  3008,     0,     0,     0,
       0,     0,     0,     0,  4741,     0,  4743,     0,     0,     0,
       0,     0,  2114,     0,     0,     0,  2017,     0,     0,     0,
       0,     0,  3009,     0,     0,     0,  2018,   381,     0,     0,
       0,   381,     0,     0,     0,  2019,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   739,     0,  2020,  1155,     0,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,  2926,     0,     0,     0,  1155,     0,     0,   739,  2927,
    2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,     0,     0,
       0,     0,  5576,  3010,     0,     0,  4195,   739,  3011,  2022,
    2023,     0,     0,     0,     0,     0,     0,   382,     0,     0,
       0,     0,     0,     0,     0,     0,   739,     0,     0,     0,
    3012,  2685,   739,     0,     0,     0,     0,     0,     0,     0,
    4196,     0,     0,     0,   739,  3013,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3010,     0,     0,   738,
       0,  3011,     0,  6674,     0,     0,     0,     0,  4844,     0,
       0,     0,     0,   739,  4851,     0,     0,     0,     0,     0,
       0,     0,     0,  3012,  2685,     0,  2737,     0,   739,     0,
       0,     0,   738,     0,     0,     0,   739,     0,  3013,     0,
    3014,     0,     0,  3015,     0,     0,     0,     0,  2025,     0,
     739,     0,  6674,     0,     0,     0,     0,     0,     0,     0,
       0,  1300,  1302,     0,     0,  1305,   739,   887,     0,     0,
       0,  6674,     0,     0,     0,     0,     0,     0,     0,  2737,
       0,     0,     0,     0,     0,  1355,     0,     0,     0,     0,
     738,     0,  1365,  3014,     0,     0,  3015,     0,   738,     0,
    1299,     0,     0,  1299,     0,     0,   738,     0,     0,     0,
    2007,     0,     0,     0,     0,     0,  2008,     0,     0,     0,
       0,  1425,     0,  1428,     0,     0,  1430,   739,     0,     0,
       0,     0,  3016,     0,     0,     0,     0,  5701,     0,     0,
    1454,     0,     0,     0,  1311,  1311,  1458,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1311,
       0,  2010,  1311,     0,     0,  1156,     0,   739,     0,  1156,
       0,     0,     0,     0,     0,  5723,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3016,   738,   738,     0,   381,
       0,     0,     0,     0,   739,     0,     0,  5739,     0,     0,
     738,     0,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,   738,   738,     0,     0,  2011,     0,  5028,
       0,  5030,     0,  5032,  2012,     0,     0,  2013,     0,     0,
    1311,     0,  2926,     0,  1311,  1311,     0,     0,     0,     0,
    2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,     0,
       0,     0,     0,  5613,  2014,     0,     0,     0,   739,   739,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5767,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2926,     0,     0,  2015,     0,
       0,     0,     0,  2927,  2928,  2929,  2930,  2931,  2932,  2933,
    2934,  2935,     0,     0,     0,     0,  5876,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2497,     0,     0,  2498,     0,     0,     0,  2499,
    2500,  2501,     0,  1156,  1156,     0,     0,     0,     0,     0,
       0,     0,     0,  2114,     0,     0,  3006,  2017,     0,     0,
       0,     0,     0,     0,     0,     0,  3007,  2018,     0,   381,
       0,     0,     0,  3008,     0,   739,  2019,     0,     0,     0,
     887,     0,     0,     0,     0,     0,     0,     0,  2020,     0,
       0,  5851,     0,     0,     0,     0,     0,     0,  2497,  3009,
       0,  2498,     0,     0,     0,  2499,  2500,  2501,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3006,     0,     0,     0,     0,  4709,     0,     0,
    2022,  2023,  3007,     0,     0,     0,     0,     0,     0,  3008,
       0,     0,   382,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4710,     0,  2497,     0,  3009,  2498,     0,     0,     0,
    2499,  2500,  2501,     0,     0,     0,  2035,  2036,     0,     0,
       0,     0,  2497,     0,     0,  2498,     0,  3006,     0,  2499,
    2500,  2501,     0,     0,     0,     0,     0,  3007,     0,     0,
       0,     0,     0,     0,  3008,     0,  3006,     0,     0,     0,
       0,     0,   382,  3010,   382,     0,  3007,     0,  3011,     0,
       0,     0,     0,  3008,     0,     0,     0,     0,     0,  2025,
    3009,     0,     0,     0,   740,     0,     0,     0,     0,     0,
    3012,  2685,     0,   739,     0,     0,     0,  2183,     0,  3009,
       0,     0,     0,     0,     0,  3013,     0,   740,     0,     0,
       0,     0,  2195,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,     0,     0,  3010,
     382,   740,     0,     0,  3011,   740,     0,     0,     0,     0,
       0,     0,  2217,  2218,   740,     0,  2737,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3012,  2685,     0,     0,
    3014,     0,   740,  3015,     0,     0,     0,  2255,     0,     0,
       0,  3013,     0,   739,     0,     0,     0,     0,     0,  1312,
       0,  1312,  1312,     0,     0,     0,     0,     0,     0,   739,
       0,     0,     0,     0,  3010,     0,   740,     0,     0,  3011,
       0,     0,     0,   739,     0,     0,     0,   739,     0,     0,
       0,     0,  2737,  3010,     0,     0,   740,   740,  3011,     0,
       0,  3012,  2685,     0,     0,     0,  3014,     0,     0,  3015,
       0,     0,     0,     0,     0,     0,  3013,     0,     0,     0,
    3012,  2685,     0,     0,     0,     0,     0,   382,   740,     0,
       0,   382,  3016,  2329,  2331,  3013,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   382,     0,  2737,     0,   740,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3014,     0,   740,  3015,     0,  2737,     0,     0,     0,
     740,     0,     0,   740,     0,     0,     0,     0,     0,   740,
    3014,     0,     0,  3015,     0,     0,     0,     0,  3016,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,     0,     0,     0,     0,   740,     0,   739,     0,     0,
       0,  4845,   740,     0,     0,   739,   739,     0,     0,     0,
       0,     0,  2926,     0,     0,     0,   740,     0,     0,     0,
    2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,   740,
       0,     0,     0,  5887,   382,     0,     0,     0,     0,     0,
     740,     0,     0,  3016,     0,     0,     0,     0,     0,     0,
    2430,     0,     0,     0,     0,  2430,  2430,     0,     0,     0,
       0,     0,  3016,     0,   381,   381,   381,     0,     0,     0,
       0,     0,     0,  5543,  2497,     0,  5545,  2498,  2926,     0,
       0,  2499,  2500,  2501,     0,   739,  2927,  2928,  2929,  2930,
    2931,  2932,  2933,  2934,  2935,     0,     0,     0,  3006,  5895,
     382,     0,     0,  5560,     0,     0,     0,     0,  3007,     0,
       0,     0,     0,     0,   381,  3008,     0,     0,     0,     0,
       0,     0,   381,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   381,     0,     0,     0,     0,     0,
       0,  3009,     0,  2926,     0,  1156,     0,     0,     0,     0,
       0,  2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,
       0,     0,  2926,     0,  5898,     0,     0,   738,     0,  6277,
    2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,     0,
       0,     0,     0,  5943,     0,     0,  1156,     0,     0,     0,
     738,     0,     0,     0,  2497,     0,     0,  2498,     0,     0,
       0,  2499,  2500,  2501,     0,     0,     0,     0,   738,     0,
       0,     0,     0,   887,   738,     0,     0,     0,   738,     0,
    1299,     0,     0,  1311,     0,  1311,  1311,   738,  3007,     0,
       0,     0,     0,     0,     0,  3008,     0,     0,     0,     0,
       0,     0,  1156,     0,     0,   738,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3010,     0,     0,     0,  1156,
    3011,  3009,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   738,
       0,     0,  3012,  2685,     0,     0,     0,     0,     0,   740,
       0,     0,  1155,     0,     0,     0,     0,  3013,     0,   738,
     738,     0,  5700,     0,     0,     0,     0,   740,     0,     0,
       0,     0,     0,     0,   740,     0,     0,     0,     0,     0,
       0,  1312,     0,  1312,  1312,     0,     0,     0,     0,     0,
     887,   738,     0,   739,   887,     0,     0,     0,  2737,     0,
       0,     0,     0,  5724,  5725,     0,     0,     0,     0,     0,
       0,     0,  3014,     0,  3218,  3015,   738,     0,   887,     0,
       0,     0,   738,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,  3010,   738,     0,     0,  3257,
    3011,  1155,     0,   738,     0,     0,   738,     0,   382,     0,
       0,     0,   738,     0,   382,     0,     0,     0,     0,  6448,
       0,   381,  3012,  2685,     0,     0,     0,     0,     0,     0,
       0,     0,   738,     0,     0,     0,     0,  3013,   738,     0,
       0,     0,     0,     0,   739,   738,     0,     0,     0,     0,
       0,     0,   739,     0,     0,     0,     0,  5768,  5769,   738,
     739,     0,     0,     0,  3016,     0,     0,     0,     0,     0,
       0,     0,   738,     0,  3345,     0,     0,   887,  2737,     0,
       0,  2497,     0,   738,  2498,     0,     0,     0,  2499,  2500,
    2501,     0,  3014,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,     0,  3371,  3372,  3373,  3374,     0,     0,
       0,     0,     0,     0,     0,  3007,     0,     0,     0,     0,
       0,     0,  3008,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   949,     0,     0,
     739,   739,     0,   887,     0,     0,     0,     0,  3009,     0,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2926,     0,     0,   739,   739,  3427,
    3428,     0,  2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,
    2935,     0,     0,  3414,  3016,  3445,     0,     0,     0,     0,
    5864,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5867,  5868,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   740,   740,  5872,  3488,
    3489,  3490,  3491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2497,     0,   740,  2498,     0,   740,     0,  2499,  2500,
    2501,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3010,     0,     0,  3006,     0,  3011,     0,     0,
       0,     0,     0,     0,     0,  3007,     0,     0,     0,     0,
       0,     0,  3008,     0,  2926,     0,     0,     0,     0, -3514,
   -3514,     0,  2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,
    2935,     0,     0,     0,  3013,     0,     0,     0,  3009,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   382,   382,
     382,     0,  1299,     0,     0,  1311,     0,  1311,  1311,     0,
       0,     0,   738,     0,   381,     0,  3586,     0,     0,     0,
       0,     0,  3590,   740,     4, -3514,     0,     0,     0,     0,
     738,     0,     0,     0,     0,     0,     0,   738,     0,  3014,
       0,     0,   740,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     0,     0,     0,     8,     0,
       9,    10,     0,   740,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
      36,     0,    37,     0,    38,    39,     0,     0,     0,     0,
      40,     0,  3010,     0,     0,     0,     0,  3011,     0,     0,
       0,   887,     0,     0,     0,     0,     0,   887,     4,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3012,
    2685,  3016,     0,     0,     0,     0,     0,     5,     0,     0,
       0,     0,     0,     0,  3013,     0,     0,     6,     7,     0,
     740,   949,     0,     0,     9,    10,     0,    41,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,     0,  2737,    37,     0,    38,    39,
       0,     0,     0,     0,    40,     0,     0,   382,     0,  3014,
       0,     0,  3015,   740,   738,   740,     0,     0,     0,     0,
       0,   949,     0,     0,     0,     0,     0,  3762,   740,   949,
     740,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2926,     0,     0,    42,     0,     0,     0,     0,  2927,
    2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,     0,     0,
       0,    41,     0,     0,    43,     0,     0,     0,     0,  2497,
       0,     0,  2498,     0,     0,     0,  2499,  2500,  2501,     0,
       0,     0,     0,     0,     0,     0,     0,    44,     0,     0,
       0,     0,  6167,  3006,     0,     0,     0,     0,     0,   740,
       0,  3016,     0,  3007,     0,     0,     0,     0,     0,     0,
    3008,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   738,
     738,     0,     0,     0,     0,     0,  3009,     0,    42,     0,
       0,     0,     0,     0,  6203,     0,     0,     0,     0,     0,
      46,     0,     0,    47,  2497,     0,   738,  2498,    43,   738,
     740,  2499,  2500,  2501,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    48,     0,     0,  3006,     0,
       0,    44,   740,     0,     0,     0,     0,     0,  3007,     0,
       0,     0,     0,     0,     0,  3008,     0,     0,     0,     0,
       0,  2926,     0,     0,   740,    45,     0,   740,     0,  2927,
    2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,     0,     0,
       0,  3009,  5976,     0,     0,     0,     0,     0,     0,     0,
       0,   887,   887,   887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    46,     0,     0,    47,     0,     0,
    3010,     0,     0,     0,     0,  3011,   738,     0,     0,     0,
    6297,     0,     0,     0,     0,    49,     0,     0,     0,    48,
       0,     0,     0,     0,     0,   738,     0,  3012,  2685,     0,
       0,     0,     0,     0,     0,     0,     0,   382,     0,     0,
       0,     0,  3013,     0,     0,     0,   738,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   381,
       0,     0,     0,     0,     0,    50,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    51,     0,  2737,     0,  3010,     0,     0,     0,     0,
    3011,     0,     0,     0,     0,     0,    52,  3014,     0,     0,
    3015,     0,     0,     0,     0,     0,     0,     0,     0,    49,
       0,     0,  3012,  2685,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    53,  3013,     0,   381,
       0,   381,     0,   738,     0,     0,     0,     0,     0,    54,
      55,    56,    57,    58,    59,     0,     0,    60,    61,    62,
      63,   739,    64,    65,    66,    67,    68,     0,     0,    50,
       0,     0,     0,     0,     0,     0,     0,     0,  2737,     0,
       0,     0,     0,  2007,   739,    51,     0,     0,     0,  2008,
     887,     0,  3014,     0,     0,  3015,   738,     0,   738,  3016,
      52,     0,   739,     0,     0,     0,     0,   381,   739,     0,
       0,   738,   739,   738,     0,     0,     0,     0,     0,     0,
       0,   739,     0,   740,     0,     0,     0,     0,     0,     0,
      53,     0,     0,     0,  2010,     0,     0,     0,     0,   739,
    3762,     0,     0,    54,    55,    56,    57,    58,    59,     0,
       0,    60,    61,  1585,     0,     0,     0,     0,    66,  1586,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   739,   382,     0,     0,     0,     0,   382,
       0,   382,   738,     0,  3016,     0,  1156,     0,     0,     0,
    2011,     0,     0,   739,   739,     0,     0,  2012,     0,  2926,
    2013,     0,     0,     0,     0,   382,     0,  2927,  2928,  2929,
    2930,  2931,  2932,  2933,  2934,  2935,     0,     0,     0,     0,
    5978,     0,     0,     0,   381,   739,     0,  2014,   381,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   738,     0,     0,     0,     0,     0,     0,
     739,   740,   381,     0,   740,     0,   739,     0,     0,     0,
       0,  2015,     0,     0,     0,   738,     0,     0,     0,     0,
     739,     0,     0,     0,  6567,  1156,     0,   739,     0,     0,
     739,     0,     0,     0,  2926,     0,   739,   738,     0,     0,
     738,     0,  2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,
    2935,     0,     0,     0,     0,  6017,   739,     0,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,  2114,  3990,     0,     0,
    2017,     0,     0,   739,     0,     0,     0,     0,     0,     0,
    2018,     0,     0,   895,   740,   740,   739,     0,     0,  2019,
       0,   381,     0,     0,     0,   740,  2497,   739,     0,  2498,
       0,  2020,     0,  2499,  2500,  2501,   955,     0,     0,     0,
     887,     0,   740,     0,     0,     0,     0,     0,     0,     0,
    3006,   949,     0,     0,   949,     0,     0,     0,     0,   895,
    3007,     0,     0,     0,     0,     0,     0,  3008,     0,     0,
    4767,     0,     0,  2022,  2023,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   381,     0,     0,
       0,     0,     0,  3009,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4768,     0,     0,     0,  1159,     0,
     382,     0,     0,     0,     0,     0,  1159,     0,  1159,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   895,     0,  4130,     0,     0,  4133,     0,     0,   740,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   949,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2588,     0,     0,     0,
       0,     0,  2025,     0,     0,     0,     0,     0,     0,     0,
       0,    80,     0,     0,     0,     0,    83,     0,     0,     0,
      87,     0,    88,     0,    90,    91,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   100,     0,  3010,     0,     0,
       0,     0,  3011,     0,     0,     0,   738, -2588,     0,     0,
       0,   112,   113,     0,  4224,     0,     0,     0,     0,     0,
   -2588,     0,     0,     0,  3012,  2685, -2588,  4237,     0,     0,
       0, -2588,     0,     0,     0,  4246,     0, -2588,     0,  3013,
   -2588,     0,     0,     0, -2588,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   887,   121,     0,
       0,     0,   887,     0,   887,     0,   739,     0,   122,     0,
     123,   124,     0, -2588,  4290,     0,     0,     0,     0,     0,
    2737,     0,     0,     0,   739,     0,     0,     0,   887,     0,
       0,   739,     0, -2588,  3014,  4316,     0,  3015,   133,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     135,     0,   136,   137,     0,     0,     0,     0,     0,   140,
       0,   141,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   143,   738,   144,     0,   738,     0,     0,
       0,     0, -2588,     0,     0, -2588,     0,     0,     0,     0,
     147, -2588,   148,     0,     0,   151,   740,     0,     0,  4390,
       0,  4392,     0,     0,     0,   381,     0,     0,     0,     0,
     152,   381,   153,     0,     0,     0,   154,     0,     0,     0,
       0,     0,  6087,     0,     0,     0,  3016,     0,     0,     0,
     157,     0,   159,     0,     0,     0,     0,     0,   740,   161,
       0,     0,     0,     0,     0,     0,   949,   949, -2588,     0,
     740,     0,     0,     0,     0,     0,   165,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   738,   738,     0,
       0,     0,     0,   169,     0,     0,     0,     0,   738,     0,
       0,     0,     0,     0,   740,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   738,     0,     0,   739,     0,
       0,  4451,     0,  1126,     0,     0,     0,     0,  4458,     0,
       0,     0,     0,   180,   181,     0,     0,     0,     0,   182,
       0,     0,     0,     0,     0,     0,  2926,     0,     0,     0,
       0, -2588,     0,   183,  2927,  2928,  2929,  2930,  2931,  2932,
    2933,  2934,  2935,     0,     0,  2497,     0,  6359,  2498,     0,
       0,   189,  2499,  2500,  2501, -2588,     0, -2588, -2588,     0,
       0,     0,   382,     0,     0,     0,     0,     0,     0,  3006,
       0,     0,     0,     0,     0,     0,     0,     0,  1031,  3007,
       0,   740,     0,  3187,     0,     0,  3008,     0,     0,     0,
       0,     0,   738,     0,     0,   199,     0, -2588,     0,     0,
   -2588, -2588,     0, -2588,     0,     0,     0,     0,     0,   201,
       0,     0,  3009,   739,   739,   202,   203,     0,   204,     0,
       0,  3188,     0,   205,     0,     0,  4993,     0,     0,   206,
       0,     0,   208,     0,  1034,     0,     0,     0,     0,   210,
     739,     0,     0,   739,     0,   211,   212,     0,     0,     0,
    1035,     0,     0,   213,     0,     0,     0,   215,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   218,  1398,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   740,   949,
       0,     0,   220,   949,     0,     0,     0,     0,     0,     0,
       0,     0,  3189,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   226,  1038,   227,     0,     0,     0,     0,     0,
       0,     0,  1039,   229,     0,   381,   381,   381,     0,   230,
       0,     0,     0,     0,   231,  1040,  3010,     0,     0,     0,
    3190,  3011,     0,     0,     0,     0,     0,   234,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3012,  2685,     0,  1401,     0,     0,   739,
     246,     0,     0,     0,     0,     0,     0,     0,  3013,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   247,     0,
     739,     0,  -149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   740,     0,  1044,     0,     0, -2590,     0,     0,  2737,
       0,     0,     0,     0,  4697,  4698,     0,     0,     0,   738,
       0,     0,     0,  3014,     0,     0,  3015,     0,     0,     0,
       0,     0,     0,     0,   895,     0,     0,     0,     0,     0,
       0,     0,   955,     0,  3191,     0,   740,     0,     0,     0,
       0,   955,     0,     0,     0,     0,  1312, -2590,     0,   955,
       0,   738,   955,     0,     0,     0,     0,   739,     0,     0,
   -2590,     0,     0,   738,     0,     0, -2590,     0,   925,  3192,
       0, -2590,  1049,     0,     0,     0,     0, -2590,     0,     0,
   -2590,     0,     0,     0, -2590,     0,   382,     0,     0,     0,
       0,  1312,     0,     0,     0,     0,     0,   738,     0,  1405,
       0,     0,  3193,     0,   381,  3016,     0,     0,  1053,     0,
     739,     0,   739, -2590,     0,  1054,     0,     0,  1055,     0,
       0,     0,     0,     0,     0,   739,     0,   739,     0,     0,
       0,  5793,     0, -2590,     0,     0,     0,  1056,     0,     0,
       0,     0,     0,     0,  1407,     0,     0,     0,     0,     0,
    1058,     0,     0,  1408,     0,   955,     0,  1060,     0,     0,
    1538,     0,   949,     0,   955,  3194,     0,     0,     0,     0,
       0,   955,  3195,     0,   955,   887,     0,     0,     0,     0,
       0,     0, -2590,     0,     0, -2590,  1538,     0,     0,     0,
       0, -2590,     0,     0,   738,     0,   739,     0,  1065,     0,
       0,  2497,     0,     0,  2498,  2926,     0,     0,  2499,  2500,
    2501,     0,     0,  2927,  2928,  2929,  2930,  2931,  2932,  2933,
    2934,  2935,     0,     0,     0,  3006,  6381,     0,     0,     0,
    2497,     0,     0,  2498,     0,  3007,     0,  2499,  2500,  2501,
       0,     0,  3008,     0,  4868,     0,     0,     0, -2590,     0,
       0,     0,     0,     0,  3006,     0,     0,   739,     0,     0,
       0,     0,     0,     0,  3007,     0,     0,     0,  3009,     0,
       0,  3008,     0,     0,     0,  2497,     0,     0,  2498,   739,
       0,     0,  2499,  2500,  2501,     0,     0,     0,     0,     0,
       0,   738,     0,     0,   740,   955,   955,  3009,     0,  3006,
       0,   739,  1159,  1126,   739,     0,  1159,     0,   740,  3007,
       0,     0,     0,     0,     0,     0,  3008,     0,     0,     0,
     949,     0,     0,     0,     0,     0,     0,   949,     0,     0,
       0, -2590,   949,   955,     0,   949,  5914,     0,     0,   382,
       0,     0,  3009,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2590,     0, -2590, -2590,     0,
       0,     0,     0,     0,   949,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   949,
       0,     0,  3010,     0,   381,     0,     0,  3011,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2590,     0,     0,
   -2590, -2590,     0, -2590,     0,     0,     0,     0,     0,  3012,
    2685,  3010,   738,     0,   738,     0,  3011,     0,     0,     0,
       0,     0,     0,     0,  3013,  5036,     0,     0,     0,     0,
    1311,     0,     0,     0,     0,     0,     0,     0,  3012,  2685,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3013,     0,     0,  3010,     0,     0,   738,
       0,  3011,     0,     0,     0,  2737,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1311,     0,     0,     0,  3014,
    1159,  1159,  3015,  3012,  2685,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2737,     0,     0,     0,  3013,     0,
       0,     0,     0,     0,   955,   955,   895,     0,  3014,   887,
       0,  3015,     0,     0,   382,     0,   740,   955,     0,     0,
       0,     0,  1538,   955,     0,     0,     0,   955,     0,   955,
       0,     0,     0,  1538,     0,     0,   949,     0,     0,  2737,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1538,
       0,     0,     0,  3014,     0,     0,  3015,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3016,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   955,     0,   955,   955,     0,     0,     0,     0,     0,
    3016,     0,     0,     0,     0,   949,     0,     0,     0,     0,
       0,   381,     0,     0,     0,     0,   381,     0,   381,     0,
       0,     0,   382,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1538,     0,   381,     0,     0,  3016,     0,   740,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1312,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2926,     0,   740,     0,     0,     0,     0,     0,  2927,
    2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,   739,     0,
       0,   739,  6583,     0,     0,     0,     0,     0,     0,     0,
    2926,     0,     0,     0,     0,     0,     0,     0,  2927,  2928,
    2929,  2930,  2931,  2932,  2933,  2934,  2935,   738,     0,   955,
    6237,  6601,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   738,  1312,  1312,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2926,     0,     0,   949,     0,
       0,     0,     0,  2927,  2928,  2929,  2930,  2931,  2932,  2933,
    2934,  2935,   887,     0,     0,     0,  6679,     0,     0,     0,
    2497,     0,     0,  2498,  1538,     0,     0,  2499,  2500,  2501,
       0,   739,   739,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   739,     0,  3006,     0,     0,     0,  3850,     0,
       0,     0,     0,     0,  3007,   955,     0,     0,     0,   739,
       0,  3008,     0,   949,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   955,     0,  3009,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   949,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   955,   955,   955,  2497,   955,     0,  2498,
       0,     0,     0,  2499,  2500,  2501,     0,   381,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   955,  3851,     0,
    3006,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3007,     0, -2606,     0,  5421,     0,   739,  3008,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5423,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3009,     0,     0,     0,   887,     0,   738,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2007,
       0,  3010,   382, -2606,   949,  2008,  3011,     0,     0,     0,
       0,     0,  2070,     0,     0,   955, -2606,     0,     0,   955,
     955,     0, -2606,     0,     0,     0,     0, -2606,  3012,  2685,
       0,     0,     0, -2606,  2071,   955, -2606,     0,     0,     0,
   -2606,     0,     0,  3013,     0,     0,     0,     0,     0,     0,
    2010,   382,     0,     0,     0,     0,     0,     0,     0,  2497,
    1312,  1312,  2498,     0,     0,     0,  2499,  2500,  2501, -2606,
     382,     0,     0,  4511,     0,     0,     0,     0,  4512,     0,
       0,     0,     0,  3006,  2737,  2072,     0,     0,     0, -2606,
       0,     0,     0,  3007,  1311,   887,     0,  3010,  3014,     0,
    3008,  3015,  3011,     0,     0,  1538,  2011,     0,     0,     0,
       0,   895,     0,  2012,     0,     0,  2013,     0,     0,     0,
     738,     0,  1159,     0,  3012,  2685,  3009,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2606,  3013,
       0, -2606,     0,  2014,     0,     0,   738, -2606,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   949,     0,
       0,     0,     0,  1159,     0,     0,  1311,  1311,     0,     0,
       0,     0,     0,  1538,  2073,     0,     0,  2015,     0,     0,
    2737,     0,     0,   739,     0,     0,     0,     0,     0,     0,
    3016,     0,     0,     0,  3014,     0,     0,  3015,     0,     0,
       0,     0,     0,     0, -2606,     0,     0,     0,     0,     0,
    1538,     0,     0,     0,     0,     0,     0,     0,  2074,  1159,
       0,     0,     0,  2075,     0,   739,     0,  2076,     0,     0,
       0,     0,     0,     0,     0,     0,  1159,   739,     0,     0,
    3010,     0,  2077,  1538,     0,  3011,  2017,     0,   949,     0,
    3852,     0,     0,     0,   949,     0,  2018,     0,     0,  1126,
       0,     0,     0,   738,     0,  2019,     0,  3012,  2685,     0,
       0,   739,  6602,     0,     0,     0,  2078,  2020,     0,     0,
       0,     0,  3013,     0,     0,     0,  4513, -2606,     0,     0,
    2926,     0,     0,     0,     0,     0,     0,     0,  2927,  2928,
    2929,  2930,  2931,  2932,  2933,  2934,  2935,     0,     0,     0,
       0, -2606,     0, -2606, -2606,     0,  2079,     0,     0,  2022,
    2023,  2080,     0,  2737,     0,     0,   955,   955,   955,     0,
       0,     0,     0,     0,     0,     0,     0,  3014,     0,     0,
    3015,     0,     0,     0,  2081,     0,     0,     0,     0,   381,
    2082,     0,     0, -2606,     0,  1538, -2606, -2606,     0, -2606,
       0,  6651,     0,     0,  2083,  5122,  1538,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   895,   949,
       0,     0,  1538,     0,     0,     0,  2926,     0,     0,     0,
       0,     0,     0,     0,  2927,  2928,  2929,  2930,  2931,  2932,
    2933,  2934,  2935,     0,     0,     0,     0,     0,     0,     0,
       0,  2084,     0,     0,     0,     0,     0,     0,  2025,     0,
       0,     0,     0,     0,  6651,   887,     0,     0,     0,  3016,
       0,  6700,     0,     0,     0,  1538,     0,     0,     0,     0,
       0,     0,     0,     0,  1311,  1311,  5123,  5760,     0,     0,
     955,     0,     0,   955,     0,     0,  1538,     0,     0,     0,
       0,     0,  5764,   955,     0,   739,     0,     0,     0,  1538,
       0,     0,     0,     0,   887,     0,     0,     0,     0,     0,
       0,  1538,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   887,   955,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
       0,     0,   955,     0,     0,     0,     0,     0,     0,     0,
       0,  1538,  1538,     0,     0,     0,     0,     0,     0,  2926,
       0,     0,     0,     0,     0,     0,     0,  2927,  2928,  2929,
    2930,  2931,  2932,  2933,  2934,  2935,     0,     0,     0,     0,
       0,     0,     0,  5822,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    80,     0,     0,     0,     0,    83,     0,
       0,     0,    87,     0,    88,     0,    90,    91,     0,     0,
     955,     0,     0,     0,   955,   955,   739,   100,   739,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   112,   113,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   955,   955,     0,     0,     0,     0,   955,   955,     0,
       0,     0,     0,   739,   955,   955,   955,     0,     0,   955,
       0,   955,     0,   955,   955,   955,   955,   955,   955,     0,
     121,   955,     0,   955,   955,     0,     0,   955,     0,     0,
     122,     0,   123,   124,     0,     0,     0,     0,     0,     0,
       0,  1538,   955,   955,   955,     0,     0,     0,     0,     0,
    1236,     0,     0,   381,     0,     0,     0,     0,     0,   955,
     133,   895,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   135,     0,   136,   137,     0,     0,     0,     0,
       0,   140,     0,   141,  2497,     0,     0,  2498,     0,     0,
       0,  2499,  2500,  2501,     0,   143,     0,   144,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3006,     0,
       0,     0,   147,     0,   148,     0,     0,   151,  3007,     0,
       0,     0,     0,     0,     0,  3008,     0,     0,     0,  5949,
       0,  5950,   152,     0,   153,     0,     0,     0,   154,     0,
       0,     0,     0,     0,   155,     0,     0,     0,     0,     0,
       0,  3009,   157,     0,   159,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2497,     0,     0,  2498,     0,     0,   165,  2499,
    2500,  2501,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   169,  3006,     0,     0,  4468,
       0,     0,   955,     0,     0,     0,  3007,     0,     0,     0,
       0,     0,     0,  3008,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   180,   181,     0,     0,  3009,
    6534,   182,   955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   183,     0,     0,     0,     0,
       0,   739,     0,     0,     0,  3010,     0,     0,     0,     0,
    3011,     0,     0,   189,     0,   739,     0,     0,     0,     0,
       0,     0,  6078,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3012,  2685,     0,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   381,  3013,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,     0,     0,     0,     0,   202,   203,     0,
     204,     0,     0,     0,     0,   205,     0,     0,  2737,     0,
       0,   206,     0,  3010,   208,     0,     0,     0,  3011,     0,
       0,   210,  3014,     0,     0,  3015,     0,   211,   212,     0,
       0,     0,     0,     0,     0,   213,     0,     0,     0,   215,
    3012,  2685,     0,     0,     0,     0,     0,     0,  6535,   218,
       0,     0,     0,     0,     0,  3013,     0,     0,     0,     0,
       0,     0,     0,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   226,     0,   227,     0,     0,     0,
    6199,     0,  6201,     0,     0,   229,  2737,     0,     0,     0,
       0,   230,     0,     0,     0,     0,   231,     0,     0,     0,
    3014,     0,     0,  3015,  3016,     0,     0,     0,     0,   234,
       0,     0,     0,     0,     0,     4,     0,     0,     0,     0,
     955,   955,   955,   955,   955,   955,   955,   955,   955,     0,
     955,   381,   246,   739,     5,     0,     0,     0,     0,     0,
     955,     0,     0,   955,     6,     7,     0,     0,     0,     0,
     247,     9,    10,     0,  -149,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,     0,    37,     0,    38,    39,     0,     0,     0,
       0,    40,  3016,     0,     0,     0,     0,     0,     0,   955,
       0,     0,     0,   955,  2926,     0,   955,     0,   955,     0,
       0,   955,  2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,
    2935,     0,     0,     0,     0,     0,   955,     0,     0,     0,
       0,     0,     0,     0,     0,   955,   955,     0,     0,   381,
       0,     0,     0,     0,     0,     0,     0,     0,    41,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     739,     0,  2926,     0,     0,     0,     0,     0,     0,     0,
    2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1538,     0,
       0,     0,  1538,  1538,     0,    42,     0,     0,     0,     0,
       0,     0,     0,     0,   895,     0,     0,  6395,     0,     0,
       0,     0,     0,     0,     0,    43,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    44,   955,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     955,     0,  1538,   955,     0,   955,   955,     0,  1538,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,  1159,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1538,
       0,    46,     0,     0,    47,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   895,     0,     0,     0,   895,    48,  6479,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     4,     0,     0,     0,     0,   895,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     5,     0,     0,     0,     0,     0,     0,
       0,     0,  1159,     6,     7,     0,     0,     0,     0,     0,
       9,    10,     0,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
       0,     0,    37,     0,    38,    39,    49,     0,     0,     0,
      40,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6571,     0,     0,   381,
       0,     0,     0,     0,     0,     0,     0,     0,   895,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    50,  6585,  6585,     0,
       0,     0,   955,   955,   955,     0,     0,    41,   955,     0,
       0,     0,    51,     0,     0,     0,     0,     0,   381,     0,
       0,     0,     0,     0,     0,     0,     0,    52,     0,     0,
       0,     0,     0,     0,     0,   955,  1538,   381,     0,     0,
       0,     0,     0,     0,   895,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    53,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      54,    55,    56,    57,    58,    59,     0,   955,    60,    61,
    1585,  2362,     0,     0,    42,    66,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    43,     0,     0,     0,     0,  1538,
       0,     0,     0,  1538,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6585,     0,     0,    44,     0,     0,
       0,     0,     0,     0,     0,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     4,     0,     0,     0,     0,     0,     0,     0,
      46,     0,     0,    47,     0,     0,     0,     0,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,    48,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,  1538,
      37,     0,    38,    39,     0,     0,     0,     0,    40,     0,
       0,     0,   955,     0,  1538,   955,     0,   955,   955,  1538,
       0,     0,     0,     0,     0,     0,     0,   955,     0,     0,
       0,     0,   955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    49,     0,     0,   955,   955,
     955,     0,     0,   955,     0,    41,     0,     0,     0,     0,
       0,   955,   955,   955,   955,     0,     0,     0,     0,     0,
       0,     0,   895,     0,     0,     0,     0,   955,   895,     0,
     955,  2497,   955,     0,  2498,     0,     0,     0,  2499,  2500,
    2501,     0,     0,   955,   955,    50,     0,   955,     0,     0,
       0,     0,     0,     0,     0,  3006,     0,     0,     0,     0,
       0,    51,     0,     0,     0,  3007,   955,     0,   955,     0,
     955,  2497,  3008,     0,  2498,     0,    52,     0,  2499,  2500,
    2501,     0,    42,     0,     0,     0,     0,     0,     0,     0,
     955,     0,     0,     0,     0,  3006,     0,     0,  3009,     0,
       0,   955,    43,     0,     0,  3007,    53,     0,     0,     0,
       0,     0,  3008,     0,     0,     0,     0,     0,     0,    54,
      55,    56,    57,    58,    59,    44,     0,    60,    61,  1585,
    3591,     0,   955,     0,    66,     0,     0,     0,  3009,     0,
       0,     0,     0,     0,     0,     0,     0,   955,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   955,     0,     0,     0,     0,     0,     0,     0,   955,
       0,     0,     0,     0,  2497,     0,     0,  2498,     0,     0,
       0,  2499,  2500,  2501,     0,     0,     0,     0,    46,     0,
       0,    47,     0,     0,     0,     0,     0,     0,  3006,     0,
       0,  4516,     0,     0,  1538,     0,     0,  1538,  3007,  1538,
       0,     0,  3010,    48,  1538,  3008,     0,  3011,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4521,     0,     0,   955,     0,     0,  3012,
    2685,  3009,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3010,     0,  3013,     0,     0,  3011,  2497,     0,
       0,  2498,     0,  1538,     0,  2499,  2500,  2501,     0,     0,
       0,  1538,     0,     0,     0,     0,     0,     0,     0,  3012,
    2685,     0,  3006,     0,     0,  4528,     0,     0,     0,     0,
       0,     0,  3007,     0,  3013,  2737,  1538,     0,     0,  3008,
       0,     0,     0,    49,     0,     0,     0,     0,     0,  3014,
       0,     0,  3015,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3009,     0,     0,     0,     0,
       0,  4484,   895,   895,   895,  2737,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3014,
       0,     0,  3015,    50,     0,  3010,     0,     0,     0,     0,
    3011,     0,     0,     0,     0,     0,  1538,     0,  1538,    51,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3012,  2685,    52,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3013,     0,     0,
       0,  3016,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    53,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    54,    55,    56,
      57,    58,    59,     0,     0,    60,    61,  1585,  2737,  3010,
       0,  3016,    66,     0,  3011,     0,     0,     0,     0,     0,
       0,     0,  3014,     0,     0,  3015,     0,     0,     0,     0,
       0,     0,  1538,     0,     0,     0,  3012,  2685,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3013,     0,     0,     0,     0,     0,     0,     0,   955,
       0,     0,     0,     0,     0,   955,     0,     0,     0,     0,
       0,  2926,     0,     0,  1538,     0,     0,     0,     0,  2927,
    2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,     0,     0,
       0,     0,  2737,     0,     0,     0,     0,     0,     0,     0,
       0,   895,  1538,     0,     0,     0,  3014,     0,     0,  3015,
       0,  2926,     0,     0,  3016,     0,     0,     0,     0,  2927,
    2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   955,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1538,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1538,     0,     0,     0,  3016,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2926,     0,     0,     0,  1538,     0,
       0,     0,  2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,
    2935,     0,  2497,     0,     0,  2498,     0,     0,     0,  2499,
    2500,  2501,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2497,     0,     0,  2498,  3006,     0,     0,  2499,
    2500,  2501,     0,     0,     0,     0,  3007,     0,     0,     0,
       0,     0,     0,  3008,     0,     0,  3006,     0,     0,  5129,
       0,     0,     0,     0,     0,     0,  3007,     0,     0,     0,
       0,     0,     0,  3008,     0,     0,     0,     0,  2926,  3009,
       0,     0,     0,     0,     0,     0,  2927,  2928,  2929,  2930,
    2931,  2932,  2933,  2934,  2935,     0,     0,     0,   955,  3009,
       0,  1538,     0,     0,     0,     0,     0,   955,     0,     0,
       0,     0,     0,     0,     0,   955,     0,   955,     0,     0,
     955,     0,     0,     0,  1538,   955,   955,   955,   955,     0,
       0,   955,   955,   955,   955,   955,   955,   955,   955,   955,
     955,     0,     0,     0,   955,   955,   955,     0,     0,  1538,
       0,     0,     0,     0,   955,     0,     0,     0,     0,   955,
       0,   895,     0,   955,     0,     0,     0,     0,     0,     0,
       0,   955,     0,     0,   955,  2497,   955,     0,  2498,     0,
       0,     0,  2499,  2500,  2501,     0,   955,     0,     0,   955,
     955,     0,     0,  3010,   955,   955,     0,     0,  3011,  3006,
       0,   955,     0,     0,     0,     0,     0,     0,     0,  3007,
       0,   955,     0,  3010,   955,     0,  3008,     0,  3011,     0,
    3012,  2685,     0,     0,   955,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3013,     0,     0,     0,     0,
    3012,  2685,  3009,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3013,     0,     0,     0,     0,
    2497,     0,     0,  2498,     0,     0,     0,  2499,  2500,  2501,
       0,   955,     0,     0,     0,     0,  2737,     0,     0,     0,
       0,     0,     0,     0,  3006,     0,     0,     0,   955,     0,
    3014,     0,     0,  3015,  3007,     0,  2737,     0,     0,     0,
       0,  3008,     0,     0,  1538,     0,     0,     0,     0,     0,
    3014,     0,     0,  3015,     0,     0,   955,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3009,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5577,     0,     0,
       0,     0,     0,     0,  2497,     0,     0,  2498,     0,     0,
       0,  2499,  2500,  2501,     0,     0,  3010,     0,     0,     0,
       0,  3011,     0,     0,     0,     0,     0,     0,  3006,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3007,     0,
       0,     0,  3016,  3012,  2685,  3008,     0,     0,   895,     0,
       0,     0,     0,   895,  1538,   895,     0,     0,  3013,     0,
       0,     0,  3016,     0,     0,     0,     0,     0,     0,     0,
       0,  3009,     0,     0,  5076,     0,     0,     0,     0,   895,
    1538,     0,  5583,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2737,
       0,  3010,     0,     0,     0,     0,  3011,     0,     0,     0,
       0,     0,     0,  3014,     0,     0,  3015,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3012,  2685,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2926,  3013,     0,     0,     0,     0,     0,     0,
    2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,     0,
       0,  5584,  2926,     0,     0,     0,     0,     0,     0,     0,
    2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,     0,
       0,     0,     0,     0,  2737,  3010,     0,     0,     0,     0,
    3011,     0,   955,     0,     0,     0,     0,     0,  3014,     0,
       0,  3015,     0,     0,     0,  3016,     0,     0,     0,     0,
       0,     0,  3012,  2685,     0,     0,     0,     0,     0,     0,
       0,     0,  1538,     0,     0,     0,     0,  3013,     0,     0,
       0,     0,     0,     0,     0,     0,   955,   955,     0,     0,
       0,     0,     0,  2497,     0,     0,  2498,     0,     0,     0,
    2499,  2500,  2501,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3006,  2737,     0,
       0,  1538,     0,     0,  1538,   955,   955,  3007,     0,     0,
       0,     0,  3014,     0,  3008,  3015,   955,     0,     0,     0,
    3016,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2926,     0,     0,     0,     0,
    3009,     0,     0,  2927,  2928,  2929,  2930,  2931,  2932,  2933,
    2934,  2935,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2497,     0,     0,
    2498,     0,     0,     0,  2499,  2500,  2501,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
       0,  3006,     0,     0,  3016,     0,     0,     0,     0,  5585,
     955,  3007,     0,     0,     0,     0,     0,     0,  3008,     0,
    2926,     0,     0,     0,     0,     0,     0,     0,  2927,  2928,
    2929,  2930,  2931,  2932,  2933,  2934,  2935,     0,   955,     0,
       0,   955,     0,     0,  3009,     0,     0,     0,     0,   955,
     955,     0,  1538,     0,  3010,     0,   955,   955,     0,  3011,
       0,   955,     0,     0,     0,   955,     0,     0,   955,   955,
       0,     0,     0,   955,     0,     0,     0,     0,     0,   955,
       0,  3012,  2685,     0,     0,     0,     0,     0,     0,     0,
       0,   955,     0,     0,     0,     0,  3013,     0,     0,   955,
       0,     0,     0,   955,  2926,     0,     0,     0,     0,     0,
       0,     0,  2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,
    2935,  2497,     0,     0,  2498,     0,     0,     0,  2499,  2500,
    2501,     0,     0,   953,     0,     0,   955,  2737,     0,     0,
    2497,     0,     0,  2498,   955,  3006,     0,  2499,  2500,  2501,
       0,  3014,     0,     0,  3015,  3007,     0,     0,  3010,     0,
       0,     0,  3008,  3011,  3006,  1121,     0,     0,     0,   955,
       0,     0,     0,     0,  3007,     0,     0,     0,     0,     0,
    1123,  3008,     0,     0,     0,  3012,  2685,  1538,  3009,  1131,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3013,     0,     0,     0,  1145,     0,  1121,  3009,     0,     0,
    1168,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1201,     0,     0,     0,     0,  1538,     0,     0,     0,  1206,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2737,     0,  3016,     0,     0,     0,  1538,     0,     0,
       0,     0,     0,     0,     0,  3014,     0,     0,  3015,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     955,     0,     0,     0,     0,     0,     0,   955,  6111,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3010,     0,     0,     0,     0,  3011,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1538,
       0,  3010,     0,     0,     0,     0,  3011,     0,     0,  3012,
    2685,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2926,  3013,   955,     0,  3016,  3012,  2685,
       0,  2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,
       0,   955,     0,  3013,     0,     0,   895,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2737,     0,     0,     0,     0,
       0,     0,   955,     0,     0,     0,     0,     0,     0,  3014,
       0,     0,  3015,     0,  2737,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3014,     0,
       0,  3015,  5936,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   969,     0,     0,     0,     0,     0,  1538,
       0,  1538,     0,     0,     0,     0,     0,  2926,     0,     0,
       0,   970,     0,     0,     0,  2927,  2928,  2929,  2930,  2931,
    2932,  2933,  2934,  2935,     0,     0,     0,     0,     0,  2007,
       0,     0,     0,     0,     0,  2008,   971,     0,     0,     0,
       0,     0,  2070,     0,     0,     0,     0,     0,     0,   972,
       0,  3016,     0,     0,     0,     0,     0,     0,     0,     0,
     955,     0,     0,   955,  2071,  -874,   955,   955,   955,     0,
    3016,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2010,     0,     0,   973,     0,     0,     0,     0,     0,   974,
       0,   955,   955,     0,     0,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   975,     0,     0,
     955,     0,     0,     0,     0,  2072,     0,   955,   976,     0,
       0,     0,   955,     0,     0,   955,   955,   977,     0,     0,
       0,     0,     0,   955,     0,     0,  2011,     0,     0,     0,
     978,     0,     0,  2012,     0,     0,  2013,     0,   979,     0,
       0,  2926,   980,     0,   955,     0,     0,   955,     0,  2927,
    2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,     0,   955,
    2926, -1082,     0,  2014,     0,     0,     0,     0,  2927,  2928,
    2929,  2930,  2931,  2932,  2933,  2934,  2935,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2073,     0,     0,  2015,   981,  1538,
       0,     0,     0,     0,     0,     0,     0,     0,  -608,     0,
     955,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2074,     0,
       0,     0,     0,  2075,     0,     0,     0,  2076,     0,   982,
     895,     0,   983,     0,     0,   955,     0,     0,     0,     0,
       0,     0,  2077,     0,     0,     0,  2017,     0,     0,     0,
       0,     0,     0,   984,     0,  1535,  2018,     0,     0,     0,
       0,     0,     0,     0,     0,  2019,     0,   985,     0,     0,
       0,     0,     0,     0,  -468,     0,  2078,  2020,     0,     0,
       0,  1535,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   986,     0,   955,     0,     0,  1538,
       0,     0,     0,   987,     0,     0,     0,     0,     0,     0,
    -468,     0,     0,   988,     0,     0,  4125,     0,     0,  2022,
    2023,  2080,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   955,   989,     0,     0,   955,     0,   955,     0,   990,
       0,     0,     0,     0,  2081,  -468,     0,     0,   991,   992,
    4126,   993,   994,     0,     0,   955,     0,     0,     0,     0,
       0,   955,     0,     0,  2083,   955,     0,   995,     0,     0,
       0,  1538,   955,     0,   996,     0,     0,   997,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  -468,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2084,     0,     0,     0,     0,     0,     0,  2025,     0,
    1538,     0,     0,     0,     0,  1538,  1538,     0,     0,     0,
     955,     0,     0,     0,     0,     0,   955,   955,     0,   953,
    1301,  1301,     0,     0,  1301,     0,     0,     0,  1313,     0,
    1201,     0,     0,  1340,     0,     0,  1313,     0,     0,  1313,
       0,     0,  1201,     0,  1301,     0,     0,  1201,     0,     0,
       0,  1301,   955,  1201,     0,     0,     0,     0,     0,     0,
     955,     0,     0,   895,     0,     0,     0,     0,     0,     0,
       0,     0,  1393,     0,     0,     0,     0,     0,  1201,     0,
    1301,     0,  1301,     0,     0,  1301,     0,     0,   955,     0,
       0,     0,  1340,     0,     0,     0,     0,  1450,     0,  1301,
       0,     0,     0,     0,     0,  1301,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1538,  1538,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   953,     0,   955,     0,     0,     0,     0,     0,
     955,  1313,     0,   955,     0,  1340,   955,     0,  1313,     0,
       0,  1313,     0,     0,     0,     0,     0,   955,     0,     0,
       0,     0,     0,     0,   955,     0,     0,  1301,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   955,     0,     0,     0,     0,  1535,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1535,     0,
       0,     0,     0,   955,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1535,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1201,   895,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1659,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1772,  1772,     0,     0,     0,     0,  1201,     0,
       0,     0,     0,     0,   955,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1201,     0,     0,
       0,     0,  1201,     0,     0,  1535,     0,     0,     0,     0,
    1772,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1201,     0,     0,     0,     0,   955,   955,   955,     0,
       0,     0,     0,     0,  1201,   955,   895,     0,     0,  1538,
       0,     0,     0,     0,   955,     0,   955,     0,   955,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   955,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   955,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1201,     0,     0,     0,     0,  1301,  1301,     0,   955,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   955,  1535,
       0,     0,     0,     0,     0,     0,   955,   955,     0,     0,
       0,     0,   955,     0,     0,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   955,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   955,     0,     0,     0,     0,
       0,  1772,  1772,  1031,     0,     0,     0,     0,  1032,     0,
       0,     0,     0,     0,   953,     0,  1301,     0,     0,     0,
    1313,     0,     0,  1340,  1313,     0,  1313,     0,     0,     0,
       0,  1301,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1033,     0,   955,     0,
       0,     0,     0,     0,   955,  1201,     0,     0,     0,  1034,
       0,  1301,  1301,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   955,     0,     0,  1035,     0,     0,     0,     0,
       0,     0,  1201,  1201,  1201,     0,  1301,   955,   953,     0,
     953,   953,   955,  1036,     0,     0,     0,  2267,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2981,     0,     0,   955,     0,  1037,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1038,     0,
       0,     0,     0,     0,     0,     0,     0,  1039,     0,     0,
       0,     0,     0,     0,     0,     0,   955,     0,     0,     0,
    1040,     0,     0,     0,     0,  1041,     0,   955,     0,     0,
       0,   955,  1042,     0,     0,     0,     0,     0,     0,     0,
    1301,     0,  1301,  1301,     0,     0,     0,     0,     0,   955,
       0,  1043,     0,     0,     0,     0,   895,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1772,     0,     0,     0,
       0,     0,     0,   955,   955,     0,     0,   955,  1044,     0,
       0,   955,     0,     0,     0,   895,     0,     0,     0,     0,
    1535,     0,     0,     0,   955,   955,     0,     0,     0,     0,
    2401,     0,  2401,     0,   895,     0,  1201,     0,  1121,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1045,
       0,     0,     0,     0,     0,     0,     0,  1201,     0,     0,
       0,     0,  1046,  2439,     0,     0,  1201,     0,     0,  2445,
       0,     0,     0,  1047,     0,     0,     0,     0,     0,     0,
       0,     0,  1772,   925,  1048,     0,     0,  1049,  1535,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1772,     0,  1050,     0,     0,  1051,     0,     0,
       0,  1052,     0,  1053,     0,  1535,     0,     0,     0,     0,
    1054,     0,     0,  1055,     0,     0,     0,     0,     0,     0,
    1772,  1772,  1772,     0,  1772,     0,     0,     0,     0,     0,
       0,     0,  1056,     0,     0,     0,     0,     0,  1535,  1057,
       0,     0,     0,     0,  1772,  1058,     0,     0,  1059,     0,
       0,     0,  1060,     0,     0,     0,     0,     0,     0,     0,
    1061,     0,  1062,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1064,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1065,     0,     0,  1201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1772,     0,     0,     0,  1772,  1772,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1201,  1201,  1201,
    3065,     0,  1772,     0,     0,     0,     0,  1031,     0,     0,
    1535,     0,  1394,     0,     0,     0,     0,     0,     0,     0,
       0,  1535,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1535,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1395,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1034,  1396,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1397,     0,     0,     0,  1035,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1535,     0,     0,     0,     0,     0,     0,  1398,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1535,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1399,     0,     0,  1535,  3208,     0,     0,     0,     0,
       0,     0,  1038,  1301,     0,     0,  1535,     0,     0,     0,
       0,  1039,     0,     0,     0,     0,  1201,  3236,     0,     0,
       0,     0,     0,     0,  1040,  1201,     0,     0,  1301,  1400,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1535,  1535,     0,     0,
       0,  1340,     0,  1201,     0,  1401,     0,     0,     0,  3302,
    3302,     0,   909,  3302,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1201,     0,     0,  1201,
    1402,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1044,  1301,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   910,     0,     0,     0,     0,     0,     0,
       0,  1201,     0,     0,     0,     0,     0,     0,     0,   911,
       0,     0,     0,  1301,  1301,  1301,  1301,  1201,     0,     0,
       0,     0,     0,  1403,     0,     0,     0,   912,     0,     0,
       0,  1201,     0,   913,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1772,  1772,  1772,     0,  1047,     0,     0,
       0,   914,     0,     0,     0,     0,     0,   925,  1404,  1201,
       0,  1049,   915,     0,     0,     0,     0,     0,     0,     0,
    1201,   916,     0,     0,     0,     0,  1535,     0,  1301,  1301,
       0,     0,     0,     0,   917,     0,     0,     0,  1405,   918,
       0,  1406,     0,     0,  1301,  1052,   919,  1053,     0,     0,
       0,     0,     0,     0,  1054,     0,     0,  1055,     0,     0,
       0,     0,  1201,  3302,     0,   920,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1056,     0,  1301,  1301,
    1301,  1301,     0,  1407,     0,     0,     0,  1201,     0,  1058,
     921,     0,  1408,     0,  1201,     0,  1060,     0,     0,     0,
       0,     0,     0,     0,  1409,     0,  1062,     0,     0,     0,
       0,  1410,   922,     0,     0,     0,     0,   953,     0,     0,
     953,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1772,     0,     0,     0,     0,     0,     0,  1065,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   923,     0,     0,     0,     0,     0,     0,
       0,  1313,  1313,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1340,  1340,     0,     0,  1313,   924,     0,  1313,
       0,     0,     0,     0,     0,     0,     0,   925,   926,     0,
       0,   927,     0,     0,  1301,  1301,     0,     0,     0,     0,
       0,  1301,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1201,     0,     0,     0,     0,     0,   928,     0,
       0,   929,     0,     0,     0,   930,     0,   931,     0,     0,
       0,     0,     0,     0,   932,     0,     0,   933,  2401,     0,
       0,     0,     0,     0,     0,  1301,     0,  1313,     0,     0,
    3632,  1313,  1313,     0,  1201,  1201,   934,  1301,     0,     0,
       0,     0,     0,   935,  1201,     0,     0,     0,   936,   937,
       0,     0,   938,     0,  1201,     0,   939,     0,     0,     0,
    1121,  1121,     0,     0,  3668,     0,   940,     0,  1772,  1772,
       0,   941,     0,     0,  1772,  1772,     0,     0,     0,     0,
       0,  1772,  1772,  1772,   942,     0,  1772,     0,  1772,  1340,
    1772,  1772,  1772,  1772,  1772,  1772,     0,   943,  1772,     0,
    1772,  1772,     0,     0,  1772,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1772,
    1772,  1772,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1772,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1301,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1772,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1772,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1772,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1535,     0,     0,     0,  1535,  1535,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1535,     0,     0,
       0,     0,     0,  1535,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1535,     0,     0,  1772,  1772,  1772,
    1772,  1772,  1772,  1772,  1772,  1772,     0,  1772,     0,     0,
       0,     0,     0,     0,     0,     0,  1201,  1772,     0,     0,
    1772,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1201,     0,  1772,     0,     0,  1301,
    1772,     0,     0,  1772,     0,  1772,     0,     0,  1772,     0,
       0,     0,  1201,  1201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1772,     0,     0,     0,     0,     0,     0,
       0,     0,  1772,  1772,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1201,     0,     0,     0,
       0,     0,     0,     0,  3887,     0,  3892,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1535,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1121,     0,  1121,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1772,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   953,     0,     0,
    1313,  1340,  1313,  1313,     0,     0,  1301,     0,     0,  1201,
       0,     0,     0,     0,  1535,     0,     0,     0,  1535,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3236,     0,     0,     0,     0,     0,     0,     0,  4025,
    1201,     0,     0,     0,     0,     0,  4036,     0,     0,     0,
       0,     0,     0,     0,     0,  1201,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1201,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1301,     0,     0,  1301,     0,     0,     0,     0,
       0,     0,     0,     0,  1535,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1535,
       0,  1201,  1201,     0,  1535,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4179,     0,  4182,  4184,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1772,
    1772,  1772,     0,     0,     0,  1772,     0,     0,     0,     0,
       0,     0,     0,  1301,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1301,     0,     0,     0,
       0,     0,  1772,     0,  1301,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3236,     0,     0,
       0,     0,  1201,     0,     0,     0,     0,     0,  4284,     0,
       0,  1121,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1301,  4297,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4179,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1301,     0,  4319,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2267,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1772,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4383,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1301,     0,  1301,     0,
    1301,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1535,
       0,     0,  1535,     0,  1535,     0,  2401,     0,     0,  1535,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1535,   953,
    1301,     0,  1313,     0,  1313,  1313,  1535,  1301,     0,     0,
       0,     0,     0,     0,  1772,     0,     0,     0,     0,  1772,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1535,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1772,  1772,  1772,     0,     0,
    1772,     0,     0,     0,     0,     0,     0,     0,  1772,  1772,
    1772,  1772,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1772,     0,     0,  1772,     0,  1772,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1772,  1772,     0,     0,  1772,     0,     0,     0,     0,     0,
       0,  1535,     0,  1535,     0,     0,     0,     0,     0,     0,
       0,  1340,     0,  1772,     0,  1772,     0,  1772,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1772,     0,     0,
       0,  1201,     0,     0,     0,     0,     0,     0,  4590,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1201,     0,     0,     0,     0,     0,     0,     0,  1772,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1772,     0,     0,  1535,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4590,     0,
       0,     0,  4646,     0,     0,  4649,  4590,     0,  3892,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1535,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1535,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1772,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1301,  1301,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1535,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1535,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1535,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3302,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1535,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1535,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1535,     0,  1772,     0,     0,     0,
       0,     0,  1772,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1301,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1201,  1201,  1201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1772,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1526,     0,     0,     0,     0,     0,     0,     0,
       0,  2401,  1201,  1201,     0,     0,     0,  1201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   951,  1526,  1201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1535,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4383,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,     0,     0,  1301,     0,     0,  1157,     0,  1157,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3632,  5047,     0,     0,     0,     0,     0,     0,     0,
    1201,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1201,     0,     0,  1201,     0,     0,  1535,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1772,     0,     0,     0,     0,
       0,     0,     0,     0,  1772,  1535,     0,     0,     0,     0,
       0,     0,  1772,     0,  1772,     0,     0,  1772,     0,     0,
       0,     0,  1772,  1772,  1772,  1772,     0,     0,  1772,  1772,
    1772,  1772,  1772,  1772,  1772,  1772,  1772,  1772,     0,     0,
       0,  1772,  1772,  1772,     0,     0,     0,     0,     0,     0,
       0,  1772,     0,     0,     0,     0,  1772,     0,     0,     0,
    1772,     0,     0,     0,     0,     0,     0,     0,  1772,     0,
       0,  1772,     0,  1772,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1772,     0,     0,  1772,  1772,     0,     0,
       0,  1772,  1772,     0,     0,     0,  5153,     0,  1772,     0,
       0,     0,     0,     0,     0,  1201,  1201,  1201,   953,     0,
       0,  4590,  5175,     0,     0,     0,  5175,  5189,  5175,     0,
       0,  1772,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1535,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1772,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3892,     0,  1772,     0,     0,     0,     0,
       0,     0,     0,     0,  1526,     0,  1535,     0,     0,  1535,
       0,     0,     0,     0,     0,  1526,     0,     0,     0,     0,
       0,     0,     0,  5251,  2401,  2401,     0,     0,  2401,     0,
       0,  1526,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3236,  5283,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5304,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1526,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5353,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1535,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5397,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1301,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1301,     0,  1772,
       0,     0,     0,     0,     0,     0,  1201,     0,     0,     0,
       0,     0,  5441,     0,     0,     0,  1526,     0,     0,     0,
       0,     0,     0,  3236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1201,     0,
       0,     0,     0,  4590,  4297,     0,     0,     0,     0,     0,
       0,  4179,  1535,     0,     0,     0,     0,     0,     0,     0,
    5491,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1201,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1772,  1772,     0,     0,     0,     0,     0,     0,
    1535,     0,     0,  1772,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2401,  1201,     0,     0,     0,     0,
       0,     0,  1535,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4383,  4383,  4383,  4383,  4383,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1772,     0,     0,     0,
       0,     0,     0,     0,  1535,     0,     0,  1772,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   951,     0,     0,  1528,     0,     0,     0,
       0,     0,   951,     0,     0,  1772,     0,     0,  1772,     0,
     951,     0,     0,   951,     0,     0,  1772,  1772,     0,     0,
       0,     0,  1528,  1772,  1772,     0,     0,     0,  1772,     0,
       0,     0,  1772,     0,     0,  1772,  1772,     0,     0,     0,
    1772,  5617,     0,     0,     0,     0,  1772,  1201,  1201,  1201,
    1201,     0,     0,     0,  5175,  5189,  5175,     0,  1772,  5175,
       0,     0,  5631,     0,     0,     0,  4590,     0,     0,     0,
    4590,     0,     0,     0,     0,     0,  5646,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1526,     0,     0,
       0,     0,     0,     0,  1340,     0,  1535,     0,     0,     0,
       0,     0,     0,  1772,     0,     0,     0,  4646,     0,     0,
       0,  1772,     0,  3892,     0,     0,   951,     0,     0,     0,
       0,  1536,     0,     0,     0,   951,     0,     0,     0,     0,
       0,     0,   951,  1121,     0,   951,  1772,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1536,     0,     0,
       0,     0,     0,     0,     0,  1526,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5722,     0,     0,     0,
       0,     0,  1526,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1526,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1772,     0,     0,
       0,     0,     0,     0,  1772,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   951,   951,     0,     0,
       0,     0,     0,  1157,     0,     0,  1301,  1157,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1301,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   951,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1535,     0,     0,     0,     0,     0,
       0,     0,  1772,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   953,     0,
       0,     0,     0,     0,     0,  3236,     0,  1526,     0,     0,
       0,     0,     0,     0,  2401,     0,     0,     0,  1526,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1528,  4297,
       0,     0,     0,     0,  1526,     0,     0,     0,     0,  1528,
       0,     0,  1301,     0,  4319,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1528,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1201,     0,     0,     0,     0,  1526,  5863,     0,
       0,     0,     0,     0,  1535,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1526,     0,
       0,  1157,  1157,     0,     0,     0,     0,     0,     0,     0,
       0,  1526,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1526,     0,   951,   951,  1772,     0,     0,
    1772,     0,     0,  1772,  1772,  1772,  1528,     0,   951,     0,
       0,     0,     0,  1536,   951,     0,     0,     0,   951,     0,
     951,     0,     0,     0,  1536,     0,  1535,     0,  1772,  1772,
       0,     0,  1772,  1526,  1526,     0,     0,     0,     0,     0,
    1536,     0,     0,     0,     0,     0,     0,   953,     0,     0,
    5175,     0,     0,     0,  4590,     0,     0,     0,     0,  4590,
       0,     0,  4590,   953,     0,  4179,     0,  5918,     0,     0,
    1772,     0,     0,     0,     0,  1535,     0,     0,     0,     0,
    1535,  1535,   951,     0,   951,   951,     0,     0,     0,     0,
       0,  5251,     0,     0,  1772,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5251,  1340,  1301,     0,
    1301,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1536,     0,     0,     0,     0,     0,     0,     0,     0,
    1528,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1313,  1340,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1526,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1535,     0,     0,     0,     0,     0,
       0,     0,  1313,     0,     0,     0,     0,     0,     0,     0,
     951,     0,     0,     0,  5441,     0,     0,     0,     0,  1201,
       0,     0,     0,     0,  1201,     0,     0,     0,     0,     0,
       0,     0,     0,  3236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1201,     0,     0,     0,  5491,     0,     0,
    6066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1301,  1201,  5251,     0,  1536,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   951,     0,  1772,     0,
       0,     0,  1772,     0,  1772,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1772,     0,     0,     0,   951,     0,  1772,     0,
       0,     0,  4590,     0,     0,     0,  5918,     0,     0,  1772,
       0,  6151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   951,   951,   951,     0,   951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1201,     0,     0,     0,     0,     0,   951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1772,     0,     0,
       0,     0,     0,  1772,  1772,     0,     0,     0,  1301,  1301,
    1301,  1301,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1528,     0,     0,  1535,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1772,
       0,     0,     0,     0,     0,     0,     0,   953,     0,     0,
       0,     0,     0,     0,     0,     0,   951,     0,     0,     0,
     951,   951,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1201,     0,     0,  4590,   951,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1528,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1528,     0,     0,     0,
       0,  1772,     0,     0,     0,     0,     0,  1772,     0,     0,
     953,     0,     0,  1772,     0,     0,  1536,  6316,     0,     0,
       0,     0,     0,     0,  1772,     0,     0,     0,     0,  1528,
       0,  1772,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2401,     0,     0,     0,     0,  5251,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2401,
       0,  1340,     0,     0,     0,     0,     0,     0,     0,     0,
    1772,     0,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1536,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2401,  2401,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1536,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,     0,     0,  1301,     0,     0,     0,
       0,  1528,     0,     0,     0,     0,     0,  1157,     0,     0,
       0,  6409,  1528,     0,  1536,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1528,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5863,     0,     0,     0,     0,
       0,     0,     0,  1772,  1772,  1772,     0,     0,     0,  4179,
       0,     0,  1772,     0,     0,     0,     0,     0,     0,     0,
       0,  1772,     0,  1772,     0,  1772,  6151,     0,     0,     0,
       0,  1528,     0,     0,  3892,  1772,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   951,   951,   951,
       0,  1313,  1528,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1528,  1301,     0,     0,     0,
       0,     0,     0,  2401,     0,     0,  1536,  1528,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1536,     0,     0,
    1526,     0,     0,     0,  1526,  1526,     0,     0,  3236,     0,
       0,     0,     0,  1536,     0,  1772,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5251,     0,  1528,  1528,     0,
       0,     0,     0,  1313,  1313,  6527,     0,     0,     0,  1772,
       0,     0,  1772,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1772,     0,     0,     0,  6316,     0,     0,     0,
       0,     0,  1772,     0,  1526,     0,  1536,  2401,  2401,  6559,
    1526,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   951,     0,     0,   951,  1301,     0,  1536,     0,     0,
       0,     0,     0,     0,   951,     0,     0,     0,     0,     0,
    1536,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1526,  1536,     0,     0,  6409,  1301,  1301,     0,     0,
       0,  5251,     0,     0,     0,   951,   951,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   953,
     951,     0,     0,   951,     0,     0,     0,     0,     0,     0,
       0,     0,  1536,  1536,  1772,     0,     0,     0,     0,  1772,
    6613,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1528,     0,     0,
       0,     0,  1772,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   951,     0,  1772,     0,   951,   951,     0,     0,     0,
       0,     0,     0,     0,  1772,     0,  6649,  6650,   953,  6653,
       0,  3892,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1301,     0,     0,  5251,     0,     0,     0,
       0,     0,   951,   951,     0,     0,     0,  6316,   951,   951,
       0,     0,     0,     0,     0,   951,   951,   951,     0,  4646,
     951,     0,   951,     0,   951,   951,   951,   951,   951,   951,
       0,     0,   951,     0,   951,   951,     0,     0,   951,     0,
    1772,   953,     0,     0,  1772,     0,     0,     0,   953,     0,
       0,     0,  1536,   951,   951,   951,     0,     0,     0,     0,
       0,  1313,  1313,     0,     0,  6715,     0,     0,  1526,     0,
     951,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1526,     0,     0,     0,  1526,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1318,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1352,     0,     0,     0,
       0,     0,     0,   951,     0,     0,     0,  1371,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1391,     0,     0,     0,
       0,     0,  1423,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   951,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1526,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1526,     0,     0,     0,
       0,  1526,     0,     0,     0,     0,   951,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1793,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1817,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   951,   951,   951,   951,   951,   951,   951,   951,   951,
       0,   951,     0,     0,     0,  1837,     0,     0,     0,     0,
       0,   951,     0,     0,   951,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1526,     0,     0,  1526,
       0,  1526,     0,     0,  1528,     0,  1526,     0,  1528,  1528,
     951,     0,     0,     0,   951,     0,     0,   951,     0,   951,
       0,     0,   951,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   951,     0,     0,
       0,     0,     0,     0,  2034,     0,   951,   951,     0,     0,
       0,     0,     0,     0,     0,  1526,     0,     0,     0,     0,
       0,     0,     0,  1526,     0,     0,     0,     0,  1528,     0,
       0,     0,     0,     0,  1528,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1526,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1528,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1536,
       0,     0,     0,  1536,  1536,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1526,  2215,
    1526,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     951,     0,     0,     0,     0,     0,  2249,  2252,  2253,     0,
       0,   951,     0,  1536,   951,     0,   951,   951,     0,  1536,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1536,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1526,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1526,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,  1528,     0,  1526,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1793,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2436,     0,     0,     0,     0,     0,     0,     0,     0,
    1793,     0,     0,     0,  1526,  1528,     0,     0,     0,  1528,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   951,   951,   951,  1526,     0,     0,   951,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1526,     0,     0,     0,     0,     0,   951,  1536,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1536,     0,     0,     0,  1536,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1528,     0,     0,     0,     0,
    2999,     0,     0,  1526,     0,     0,   951,     0,     0,     0,
    1528,     0,     0,     0,     0,  1528,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1526,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3062,     0,     0,     0,     0,     0,     0,     0,
       0,  1526,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1536,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   951,     0,  1536,   951,     0,   951,   951,
    1536,     0,     0,     0,     0,     0,     0,     0,   951,     0,
       0,     0,     0,   951,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   951,
     951,   951,     0,     0,   951,     0,     0,     0,     0,     0,
    3230,     0,   951,   951,   951,   951,     0,     0,     0,  3253,
       0,     0,     0,     0,     0,     0,  1526,     0,   951,     0,
       0,   951,     0,   951,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   951,   951,     0,  3289,   951,     0,
       0,     0,     0,  3301,  3301,     0,     0,  3301,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   951,     0,   951,
    3319,   951,     0,  3322,     0,     0,     0,     0,     0,     0,
    1528,     0,     0,  1528,     0,  1528,     0,     0,     0,     0,
    1528,   951,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   951,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1526,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3375,     0,   951,     0,     0,     0,     0,     0,  1528,
       0,     0,  1526,     0,     0,  3394,     0,  1528,   951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   951,     0,     0,     0,     0,     0,     0,     0,
     951,     0,  1528,  3416,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3419,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1536,     0,     0,  1536,     0,
    1536,     0,     0,     0,     0,  1536,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3463,  3301,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   951,     0,     0,
       0,     0,  1528,     0,  1528,     0,     0,     0,     0,     0,
       0,  3498,     0,     0,     0,     0,     0,     0,  3511,     0,
       0,     0,     0,     0,  1536,     0,     0,     0,     0,     0,
       0,     0,  1536,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1526,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1536,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1526,     0,     0,  1526,     0,  1528,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1537,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1536,     0,  1536,
       0,     0,     0,     0,     0,     0,  3599,     0,     0,     0,
    1528,     0,  1537,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1528,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1793,  1793,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3659,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1536,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1528,     0,
       0,     0,     0,     0,  1526,     0,     0,     0,     0,     0,
     951,     0,     0,     0,     0,     0,   951,     0,     0,     0,
    1528,     0,     0,     0,     0,  1536,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1528,     0,     0,     0,     0,     0,
       0,     0,     0,  1536,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   951,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1536,     0,     0,     0,     0,     0,     0,
       0,   956,     0,     0,     0,     0,     0,     0,     0,  1526,
       0,     0,     0,     0,     0,  1536,     0,  1528,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1536,
    1528,     0,     0,     0,     0,     0,     0,  1526,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1528,     0,     0,     0,  1526,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1537,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1537,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1537,     0,     0,     0,   951,
       0,  1526,  1536,     0,     0,     0,     0,     0,   951,     0,
       0,     0,     0,     0,     0,     0,   951,     0,   951,     0,
       0,   951,     0,     0,     0,  1536,   951,   951,   951,   951,
       0,     0,   951,   951,   951,   951,   951,   951,   951,   951,
     951,   951,     0,     0,     0,   951,   951,   951,     0,     0,
    1536,     0,     0,     0,     0,   951,     0,     0,     0,     0,
     951,     0,     0,     0,   951,     0,     0,     0,     0,     0,
       0,     0,   951,     0,     0,   951,     0,   951,     0,     0,
    1528,     0,     0,     0,     0,     0,  1537,   951,     0,     0,
     951,   951,     0,     0,     0,   951,   951,     0,     0,     0,
       0,     0,   951,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   951,     0,     0,   951,     0,     0,     0,     0,
       0,     0,     0,  1526,     0,   951,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1528,     0,   951,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   951,
       0,     0,     0,     0,     0,     0,  1528,     0,     0,     0,
    3816,     0,     0,     0,     0,  1536,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   951,     0,     0,
    1537,     0,     0,     0,     0,     0,  3828,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1837,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1837,  1837,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1536,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1793,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1536,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1526,     0,     0,     0,     0,     0,     0,  1528,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1528,     0,     0,
    1528,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   951,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1526,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1536,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   951,   951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4026,     0,     0,     0,     0,     0,
       0,  3135,     0,     0,     0,     0,     0,     0,     0,  4048,
       0,     0,  1536,     0,     0,  1536,   951,   951,     0,     0,
       0,     0,     0,  1526,     0,     0,     0,   951,     0,  4076,
       0,     0,     0,     0,     0,     0,     0,     0,  1528,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3135,
       0,     0,  1526,     0,     0,     0,     0,  1526,  1526,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1537,     0,     0,     0,
     951,     0,     0,     0,     0,  4154,  4155,     0,     0,     0,
       0,   951,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   956,     0,  1537,
       0,     0,     0,     0,     0,     0,   956,     0,     0,   951,
       0,     0,   951,     0,   956,     0,     0,   956,     0,     0,
     951,   951,     0,  1536,     0,     0,     0,   951,   951,     0,
       0,     0,   951,  1528,     0,     0,   951,     0,     0,   951,
     951,     0,     0,     0,   951,     0,     0,     0,     0,     0,
     951,  1526,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   951,     0,     0,     0,     0,     0,     0,     0,
     951,  1528,     0,     0,   951,     0,  4278,     0,     0,     0,
       0,     0,  2162,  2162,  2162,     0,     0,     0,     0,     0,
       0,     0,     0,  1528,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   951,     0,     0,
       0,  1537,     0,     0,     0,   951,     0,     0,     0,     0,
     956,     0,  1537,     0,     0,  1539,     0,     0,     0,   956,
       0,     0,     0,     0,     0,     0,   956,     0,  1537,   956,
     951,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1539,     0,     0,     0,     0,     0,     0,  1536,     0,
       0,     0,     0,     0,     0,  1528,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1537,     0,     0,     0,     0,  1536,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1537,     0,     0,     0,     0,     0,  1536,     0,
       0,     0,     0,     0,     0,  1537,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1537,     0,     0,
       0,   951,     0,     0,     0,     0,     0,     0,   951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     956,   956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1537,  1537,     0,
       0,  1526,     0,     0,     0,     0,     0,  1528,     0,     0,
    1536,     0,     0,     0,     0,     0,     0,     0,   956,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   951,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   951,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   951,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2162,
       0,     0,  2162,     0,     0,     0,     0,     0,     0,     0,
    1536,     0,  1536,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4574,     0,  1537,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1837,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   956,
     956,   951,     0,     0,   951,     0,     0,   951,   951,   951,
       0,     0,   956,     0,     0,     0,     0,  1539,   956,     0,
       0,     0,   956,     0,   956,  1528,     0,     0,  1539,     0,
       0,     0,   951,   951,     0,     0,   951,     0,     0,     0,
       0,     0,     0,     0,  1539,     0,     0,     0,     0,     0,
       0,   951,     0,     0,     0,     0,     0,     0,   951,     0,
       0,     0,     0,   951,     0,     0,   951,   951,     0,     0,
       0,     0,     0,     0,   951,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   956,     0,   956,   956,
       0,     0,     0,     0,     0,   951,     0,     0,   951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     951,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1539,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1528,     0,     0,     0,     0,
    1536,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   951,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   951,     0,     0,     0,
       0,     0,     0,     0,   956,     0,     0,  1528,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4788,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3301,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1528,   951,     0,  1539,
    1536,  1528,  1528,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     956,     0,   951,     0,     0,     0,   951,     0,   951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   951,     0,     0,     0,
     956,     0,   951,     0,     0,     0,   951,     0,     0,     0,
       0,     0,  1536,   951,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   956,   956,
     956,     0,   956,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   956,     0,     0,  1528,     0,     0,     0,     0,
       0,  1536,     0,     0,     0,     0,  1536,  1536,     0,     0,
       0,   951,     0,     0,  4919,  4920,  4921,   951,   951,  2162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4930,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   951,     0,     0,     0,     0,     0,     0,
       0,   951,     0,     0,     0,     0,  4955,  4957,     0,     0,
     956,  4962,     0,     0,   956,   956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   951,
     956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1536,
    1536,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   951,     0,     0,     0,     0,
       0,   951,     0,     0,   951,     0,     0,   951,     0,     0,
    1539,     0,     0,     0,     0,     0,     0,     0,   951,     0,
       0,     0,     0,     0,     0,   951,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   951,  3922,     0,     0,  5059,  3135,  3928,
    1793,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   951,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1528,     0,     0,  1539,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1537,     0,
       0,     0,     0,     0,  1537,  1539,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   951,     0,     0,  1539,     0,
       0,     0,     0,     0,     0,  1537,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5161,
    5162,  5163,     0,     0,     0,     0,     0,   951,   951,   951,
       0,     0,     0,     0,     0,     0,   951,     0,     0,     0,
    1536,     0,     0,     0,     0,   951,     0,   951,     0,   951,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   951,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   956,   956,   956,     0,   951,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1539,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1539,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1539,     0,   951,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   951,
       0,     0,     0,     0,     0,     0,     0,   951,   951,     0,
       0,     0,     0,   951,     0,     0,   951,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   951,     0,     0,     0,
    2162,     0,     0,     0,     0,     0,   951,     0,     0,     0,
    1539,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   956,     0,     0,   956,     0,
       0,  1539,  1537,     0,     0,     0,     0,     0,   956,     0,
       0,     0,     0,     0,  1539,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1539,     0,     0,   951,
       0,     0,     0,     0,     0,   951,     0,     0,     0,   956,
     956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   951,   956,     0,     0,   956,     0,     0,
       0,     0,     0,     0,     0,     0,  1539,  1539,   951,     0,
       0,     0,     0,   951,     0,  3135,     0,     0,     0,  3135,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   951,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   956,     0,   951,     0,   956,
     956,     0,     0,     0,     0,     0,     0,     0,   951,     0,
       0,     0,   951,     0,     0,     0,     0,     0,     0,     0,
    5434,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     951,     0,     0,     0,     0,     0,   956,   956,     0,     0,
       0,     0,   956,   956,     0,     0,     0,     0,     0,   956,
     956,   956,  5466,     0,   956,     0,   956,     0,   956,   956,
     956,   956,   956,   956,     0,     0,   956,     0,   956,   956,
       0,     0,   956,     0,   951,   951,     0,     0,   951,     0,
       0,     0,   951,     0,  3511,  1537,  1539,   956,   956,   956,
       0,     0,     0,     0,     0,   951,   951,     0,     0,     0,
    1537,     0,     0,     0,   956,  1537,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5525,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3599,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5620,  5621,  5622,  5623,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3135,     0,     0,  3928,     0,  3928,     0,     0,     0,     0,
    3135,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1537,
       0,     0,     0,     0,     0,     0,     0,  1537,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3135,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1537,     0,  1537,   956,   956,   956,   956,   956,
     956,   956,   956,   956,     0,   956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   956,     0,     0,   956,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   956,     0,     0,     0,   956,     0,
       0,   956,     0,   956,     0,     0,   956,     0,  1537,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   956,     0,     0,     0,  5844,     0,     0,     0,     0,
     956,   956,     0,     0,     0,  2162,  5854,     0,     0,     0,
       0,  2162,     0,     0,     0,     0,     0,     0,     0,     0,
    1537,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3928,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1539,     0,     0,     0,  1539,  1539,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1537,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   956,     0,     0,     0,     0,     0,
    3928,     0,     0,     0,     0,   956,     0,  1539,   956,     0,
     956,   956,     0,  1539,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1537,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1539,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1537,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6031,     0,     0,     0,     0,  1793,     0,
    1537,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6061,     0,     0,
       0,     0,     0,     0,     0,  1537,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   956,   956,   956,
       0,     0,     0,   956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     956,  1539,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6174,     0,     0,     0,
       0,     0,   956,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   775,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3135,     0,     0,     0,  1539,     0,     0,     0,  1539,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   775,     0,     0,     0,     0,
     956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1004,  1014,     0,
       0,  1019,     0,     0,     0,     0,     0,  1014,     0,     0,
       0,     0,     0,     0,     0,     0,  6250,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3928,     0,     0,     0,     0,  6273,     0,     0,     0,  1014,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3928,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1214,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1539,     0,  1214,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   956,     0,  1539,
     956,     0,   956,   956,  1539,     0,     0,     0,     0,     0,
       0,     0,   956,     0,     0,     0,     0,   956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   956,   956,   956,     0,     0,   956,     0,
       0,     0,     0,     0,     0,     0,   956,   956,   956,   956,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   956,     0,     0,   956,     0,   956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   956,   956,
       0,     0,   956,     0,     0,     0,     0,     0,  1537,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   956,     0,   956,     0,   956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   956,  3928,     0,     0,
    3135,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1266,
       0,     0,     0,     0,     0,     0,     0,   956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   956,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   956,     0,     0,     0,
       0,     0,     0,     0,   956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1539,
       0,     0,  1539,     0,  1539,     0,     0,     0,     0,  1539,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1537,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1539,     0,
       0,     0,     0,     0,     0,     0,  1539,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1539,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1539,     0,  1539,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1537,     0,     0,     0,     0,     0,  1004,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1537,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1014,  1014,
       0,     0,     0,  1537,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1539,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   956,  1266,     0,     0,     0,     0,
     956,     0,     0,     0,     0,     0,     0,     0,     0,  1539,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1537,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1539,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   956,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1539,     0,     0,
       0,     0,  1303,     0,     0,     0,  1307,     0,     0,     0,
       0,     0,     0,     0,  1342,     0,     0,  1344,     0,  1539,
    1349,  1350,     0,  1353,     0,  1356,     0,     0,  1362,     0,
    1364,     0,     0,     0,     0,  5849,     0,  1537,     0,     0,
       0,     0,     0,  1539,     0,     0,     0,     0,     0,     0,
       0,     0,  1392,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1429,     0,     0,     0,  1433,     0,     0,
       0,     0,     0,     0,  1445,  1446,     0,     0,  1452,     0,
    1455,  1456,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1266,     0,  1014,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1499,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   956,     0,     0,  1539,  1565,     0,  1567,
       0,     0,   956,     0,     0,     0,     0,     0,  1581,  1583,
     956,     0,   956,     0,     0,   956,     0,     0,  1014,  1539,
     956,   956,   956,   956,     0,     0,   956,   956,   956,   956,
     956,   956,   956,   956,   956,   956,     0,     0,     0,   956,
     956,   956,     0,     0,  1539,     0,     0,     0,     0,   956,
       0,     0,     0,     0,   956,     0,     0,     0,   956,     0,
       0,     0,     0,     0,     0,     0,   956,     0,     0,   956,
       0,   956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   956,     0,     0,   956,   956,     0,     0,     0,   956,
     956,     0,     0,     0,     0,  3928,   956,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   956,     0,     0,   956,
       0,     0,     0,     0,     0,  1266,     0,   775,     0,   956,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1214,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   956,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1539,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   956,     0,     0,     0,  3928,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1920,     0,     0,  1921,
       0,  1924,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1968,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1537,     0,  1539,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2145,     0,     0,  1539,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1537,  2184,     0,     0,
       0,  1537,  1537,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2196,     0,  2197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2200,     0,     0,     0,     0,     0,
       0,  2210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2261,     0,  2263,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5849,  1537,     0,  1539,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   956,   956,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1539,     0,     0,  1539,
     956,   956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2422,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2437,     0,
       0,     0,     0,     0,   956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   956,     0,     0,   956,     0,     0,     0,
       0,     0,     0,     0,   956,   956,     0,  1539,     0,     0,
       0,   956,   956,     0,     0,     0,   956,     0,     0,     0,
     956,     0,     0,   956,   956,     0,     0,     0,   956,     0,
       0,     0,     0,     0,   956,  1537,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   956,     0,     0,     0,
       0,     0,     0,     0,   956,     0,     0,     0,   956,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   775,   775,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   956,     0,     0,     0,     0,     0,     0,     0,   956,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1214,  1581,
       0,     0,     0,     0,   956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1539,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   775,     0,     0,
    1539,     0,  3098,     0,     0,  3098,     0,     0,     0,     0,
       0,     0,     0,  3105,     0,     0,     0,     0,     0,     0,
       0,     0,  1539,     0,     0,     0,     0,     0,     0,  3113,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   956,     0,     0,     0,     0,
       0,     0,   956,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3198,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1539,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   956,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3288,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1539,     0,  1539,     0,     0,  2162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   956,     0,     0,   956,     0,
       0,   956,   956,   956,     0,     0,     0,     0,  3418,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   956,   956,     0,     0,
     956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3454,     0,   956,     0,     0,     0,     0,
       0,     0,   956,     0,     0,     0,     0,   956,     0,     0,
     956,   956,     0,     0,     0,     0,     0,     0,   956,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3515,     0,  3519,   956,
       0,     0,   956,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3540,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1539,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   956,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3578,     0,  3579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,  3588,     0,
    3589,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3610,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,     0,  1581,     0,
       0,     0,     0,  1581,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   956,     0,     0,  1539,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   956,     0,     0,     0,
     956,     0,   956,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     956,     0,     0,     0,     0,     0,   956,     0,     0,     0,
     956,     0,     0,     0,     0,     0,  1539,   956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1539,     0,     0,     0,     0,
    1539,  1539,     0,     0,     0,   956,     0,     0,     0,     0,
     744,   956,   956,     0,     0,   788,     0,   788,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   788,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   956,     0,     0,
       0,     0,   788,     0,     0,   956,     0,     0,     0,     0,
       0,     0,     0,   788,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   788,   788,     0,     0,   788,     0,
       0,     0,     0,   956,   788,     0,     0,     0,  1112,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1112,     0,     0,  1539,  1539,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   788,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   956,
       0,     0,     0,     0,     0,   956,     0,     0,   956,     0,
       0,   956,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   956,     0,     0,     0,     0,     0,     0,   956,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   956,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   956,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   956,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   956,   956,   956,     0,     0,     0,     0,     0,     0,
     956,     0,     0,     0,  1539,     0,     0,     0,     0,   956,
       0,   956,     0,   956,     0,     0,   788,     0,     0,     0,
       0,     0,     0,   956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   956,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3821,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   956,     0,     0,     0,     0,     0,     0,
       0,   956,   956,     0,     0,     0,     0,   956,     0,     0,
     956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     956,  1529,     0,     0,     0,     0,     0,     0,     0,     0,
     956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1529,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   956,     0,     0,     0,     0,     0,   956,
       0,     0,     0,     0,     0,     0,  1266,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   956,     0,  3918,
    3919,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   956,     0,     0,     0,     0,   956,  3934,  3935,
       0,     0,     0,  3938,  3939,     0,     0,     0,  3942,  3943,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     956,     0,     0,  3954,     0,     0,     0,     0,     0,     0,
    3963,     0,     0,     0,  3966,  3967,     0,     0,  3970,  3971,
       0,     0,     0,     0,     0,  3976,   788,     0,     0,  1531,
       0,   956,     0,     0,     0,     0,     0,  3991,     0,     0,
       0,     0,   956,     0,     0,     0,   956,     0,     0,  4008,
       0,     0,     0,     0,  4010,  1531,     0,     0,     0,     0,
       0,     0,     0,     0,   956,     0,     0,  1756,  1756,  4016,
       0,     0,     0,     0,     0,   788,   788,     0,  4023,     0,
       0,  4027,     0,  4029,  4032,  4034,     0,     0,     0,     0,
    4042,  4045,     0,     0,     0,     0,     0,     0,     0,     0,
    4058,     0,     0,     0,     0,     0,  4068,     0,   956,   956,
    4071,     0,   956,     0,     0,     0,   956,     0,     0,     0,
    4081,  4082,   788,     0,     0,  4087,     0,     0,     0,   956,
     956,  4096,  4097,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4106,     0,     0,  4107,     0,
       0,     0,     0,     0,     0,  4119,  4120,     0,     0,     0,
       0,  4124,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4131,     0,     0,  4134,     0,     0,     0,
       0,  4137,     0,     0,     0,     0,     0,  4140,  4141,     0,
    1581,     0,  1581,     0,     0,  4147,  1581,     0,     0,  4149,
       0,     0,     0,  4156,  4157,  4158,  4159,     0,  4161,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4186,  4187,     0,  4189,     0,     0,     0,     0,     0,
       0,     0,     0,  1529,     0,  4198,  4199,  4200,     0,     0,
       0,     0,     0,     0,  1529,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1529,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2159,  2163,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4252,     0,     0,     0,     0,     0,     0,     0,
    4276,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4288,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1481,   788,     0,
     788,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1529,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4358,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1531,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   788,  1531,     0,   788,   788,     0,     0,     0,  4391,
       0,  4393,     0,     0,     0,     0,     0,     0,  1531,     0,
     744,     0,  1112,     0,  1112,     0,     0,     0,     0,     0,
     744,     0,     0,     0,   788,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1266,     0,     0,     0,  1112,  1112,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1529,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   788,     0,   788,     0,     0,     0,     0,  1531,
       0,     0,     0,     0,     0,     0,     0,     0,  4459,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2452,     0,     0,
       0,     0,     0,     0,     0,   744,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   744,
     744,     0,     0,  1902,     0,     0,     0,  2467,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2486,  2487,  2488,     0,  2491,
       0,     0,     0,  1531,     0,     0,   744,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2945,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   744,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3029,     0,     0,
       0,  3041,  3046,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1529,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,  4682,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4694,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4701,     0,  1529,     0,  4701,     0,     0,     0,
       0,  4712,  4713,  4714,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1529,     0,     0,     0,     0,     0,  4744,  4745,  4746,
    4747,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1529,     0,     0,  4763,     0,     0,
       0,     0,     0,     0,     0,  4766,     0,  4770,  4771,  4772,
       0,     0,     0,     0,  1531,     0,     0,     0,     0,     0,
       0,     0,   788,     0,   788,     0,     0,   788,     0,   788,
       0,     0,   788,   788,   788,     0,     0,     0,  2396,     0,
       0,     0,     0,     0,     0,   788,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     788,     0,   788,     0,     0,     0,     0,   788,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1531,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1529,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1529,     0,  1531,
       0,     0,     0,  4855,     0,     0,     0,     0,     0,     0,
       0,     0,  4861,  1529,     0,     0,     0,     0,  2159,  2159,
    2159,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1531,     0,     0,     0,     0,     0,  4871,  4872,
       0,     0,     0,  4873,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4915,  1529,     0,     0,     0,
       0,     0,  2955,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   788,   788,     0,  1529,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1529,   744,     0,     0,     0,     0,   744,   744,  1581,     0,
       0,     0,  1529,     0,     0,     0,     0,     0,     0,  4952,
       0,     0,     0,     0,  1014,     0,     0,     0,     0,     0,
    4964,     0,     0,     0,     0,     0,  1532,     0,     0,     0,
       0,     0,     0,     0,  1531,     0,     0,     0,     0,     0,
       0,     0,  1529,  1529,     0,  1531,     0,     0,     0,     0,
    5003,     0,  1532,     0,     0,     0,     0,     0,     0,     0,
    1004,  1531,     0,  1014,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   788,     0,   744,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3102,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5033,     0,
    5034,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1531,     0,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1531,     0,     0,     0,     0,
       0,     0,     0,     0,  5060,     0,     0,     0,  1531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1531,     0,     0,     0,     0,   744,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1529,     0,     0,     0,     0,     0,     0,     0,
    1531,  1531,     0,     0,     0,     0,     0,     0,     0,  3687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3707,     0,  3708,     0,  3710,     0,     0,  3724,  3727,
    3732,     0,     0,     0,     0,     0,  3741,     0,     0,  3746,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3753,  3754,  3755,     0,   744,     0,
       0,     0,   744,   744,     0,     0,     0,     0,     0,     0,
       0,  3756,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1531,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   744,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5255,  1532,     0,
    5262,     0,  5263,     0,     0,     0,     0,     0,     0,  1532,
       0,     0,     0,     0,     0,  5270,     0,     0,     0,     0,
       0,     0,     0,     0,  3763,  1532,     0,  5276,     0,     0,
       0,  5279,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5303,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3780,     0,     0,     0,  5307,     0,
       0,     0,     0,     0,  5311,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5346,
       0,     0,     0,  5350,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1532,  3782,  5360,  5361,
    5362,  5363,     0,     0,     0,     0,     0,     0,  5367,  5368,
    5369,  5370,     0,     0,     0,     0,     0,  5372,  5373,     0,
       0,     0,     0,  5380,  5381,     0,  5383,  5384,  5385,  5386,
    5387,  5388,  5389,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5398,     0,     0,     0,  5401,  5402,  5403,  5404,
       0,     0,     0,   788,     0,   788,     0,     0,     0,   788,
       0,   788,     0,     0,   788,     0,     0,     0,   788,     0,
    4701,     0,     0,  2955,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5424,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1532,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5506,     0,     0,     0,     0,     0,
       0,     0,  3789,  3790,  3791,  3792,  3793,  3794,  3795,  3796,
    3797,     0,  3798,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1756,     0,     0,  2159,     0,  4701,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5541,
       0,  5542,     0,     0,     0,     0,     0,     0,     0,  1581,
    1581,  1581,  1581,  1581,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5556,     0,     0,     0,     0,     0,
       0,  3756,     0,     0,     0,  3763,     0,     0,  3780,     0,
    3782,     0,     0,  3842,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1534,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2487,  2488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1534,     0,     0,     0,     0,     0,     0,     0,     0,  1529,
       0,     0,     0,  1529,  1529,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1529,     0,     0,     0,     0,     0,  1529,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1532,     0,     0,     0,     0,     0,     0,     0,     0,
    1529,  3968,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5702,  5703,  5704,     0,     0,
       0,  5705,  5706,  5707,  5708,     0,     0,  1531,  5710,     0,
       0,  1531,  1531,     0,     0,     0,     0,     0,     0,  1532,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5729,  5730,  5731,  5732,  5733,     0,
    5735,  5736,     0,     0,     0,     0,  1532,     0,     0,     0,
       0,     0,  5745,  5746,     0,     0,     0,     0,     0,     0,
       0,  1531,     0,     0,     0,     0,     0,  1531,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1532,
       0,     0,     0,     0,     0,     0,  5752,     0,     0,     0,
       0,     0,     0,     0,  1581,  1581,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2396,     0,     0,     0,  1529,     0,     0,
    3822,     0,     0,     0,     0,     0,  1534,     0,     0,     0,
    3102,     0,     0,     0,     0,     0,     0,  1534,     0,     0,
       0,     0,     0,     0,  4210,  4211,  2159,     0,  5815,     0,
    4215,  1532,     0,  1534,     0,     0,     0,     0,     0,     0,
       0,     0,  1532,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4244,  1532,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1529,     0,     0,     0,  1529,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5869,     0,     0,     0,     0,     0,
       0,  1532,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1534,     0,     0,     0,     0,     0,
       0,     0,  1532,     0,     0,     0,     0,     0,   744,     0,
       0,     0,   744,     0,     0,  1532,     0,     0,  3907,     0,
    1902,     0,     0,   788,     0,  1531,     0,  1532,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1581,     0,     0,     0,     0,  1532,  1532,     0,
       0,     0,   744,     0,     0,     0,     0,  1581,     0,     0,
    1529,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1529,     0,     0,  1531,     0,
    1529,     0,  1531,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1534,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5965,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4464,
       0,     0,     0,     0,  4470,     0,     0,  5975,     0,     0,
       0,     0,     0,  5981,  5982,     0,     0,     0,     0,     0,
       0,     0,     0,  5993,     0,     0,     0,     0,     0,     0,
    5995,     0,  2491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3732,     0,  3732,  3732,  1532,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4531,
       0,     0,  4534,     0,  4536,  6047,  6048,     0,  1531,     0,
       0,     0,     0,   744,     0,     0,     0,     0,  6056,     0,
    1014,   744,     0,  1531,   744,     0,     0,     0,  1531,     0,
       0,     0,     0,     0,     0,  6073,   744,     0,  4555,     0,
    4558,     0,  4560,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4701,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6109,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3029,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1529,  1581,     0,  1529,  3046,
    1529,     0,     0,     0,     0,  1529,     0,     0,     0,     0,
       0,     0,  6157,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6177,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6184,     0,     0,     0,
       0,     0,     0,     0,  1529,     0,     0,     0,     0,  1534,
       0,     0,  1529,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1529,  4680,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6243,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1534,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1531,     0,     0,  1531,  1529,  1531,  1529,
       0,     0,     0,  1531,  1534,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   788,  2396,
       0,     0,     0,     0,  4701,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   744,  1534,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1581,  1531,     0,     0,     0,     0,     0,     0,     0,
    1531,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1531,     0,     0,     0,     0,
       0,     0,     0,  1529,     0,     0,     0,     0,  6347,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6360,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1529,     0,     0,     0,  2937,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1534,
       0,     0,     0,     0,     0,  1531,     0,  1531,     0,     0,
    1534,     0,     0,  1529,     0,     0,     0,     0,     0,     0,
       0,  6399,     0,     0,     0,     0,  1534,     0,     0,     0,
       0,  2159,     0,     0,     0,     0,     0,  2159,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1534,
       0,     0,     0,  1529,  3102,     0,     0,     0,     0,   744,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1534,  1531,     0,     0,     0,  1529,     0,     0,     0,     0,
       0,     0,     0,  1534,     0,     0,  4942,     0,     0,     0,
    6473,     0,     0,     0,     0,  1534,     0,     0,     0,  1529,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1531,     0,     0,     0,     0,     0,     0,
       0,     0,  6485,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6495,     0,  1534,  1534,     0,     0,     0,
       0,  1531,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1532,     0,     0,     0,  1532,  1532,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1529,     0,     0,     0,     0,     0,     0,     0,
       0,  1531,     0,     0,     0,     0,     0,     0,  1532,     0,
       0,     0,     0,     0,  1532,  1529,     0,     0,     0,     0,
       0,     0,     0,  1531,  6577,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1529,     0,     0,     0,     0,     0,     0,  1531,     0,     0,
    5077,     0,     0,     0,     0,  1532,     0,     0,     0,  5081,
       0,     0,     0,     0,     0,     0,     0,  5083,     0,  5084,
       0,     0,     0,     0,     0,  1534,     0,     0,     0,     0,
       0,     0,     0,  2937,     0,     0,     0,  2937,     0,     0,
       0,     0,     0,     0,     0,     0,  5106,  5107,  5108,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3741,     0,     0,     0,     0,
       0,     0,     0,  5132,     0,     0,  5135,     0,  5137,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5140,     0,
       0,     0,     0,     0,     0,     0,  5147,  5148,     0,     0,
    1531,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1531,     0,     0,  5194,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1529,     0,     0,  1531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5212,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1532,     0,     0,     0,   744,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1529,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1529,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   788,     0,     0,     0,  1532,     0,     0,     0,  1532,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1531,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2937,     0,     0,     0,
     788,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2937,     0,     0,     0,  3720,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2937,  2937,  2937,     0,     0,  2937,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1531,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1529,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1531,
       0,   744,     0,     0,     0,  1532,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1532,     0,     0,     0,     0,  1532,     0,     0,     0,     0,
       0,     0,  1529,     0,     0,  1529,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5513,  5514,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5521,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1531,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1529,     0,     0,     0,     0,     0,     0,
    1531,  5573,     0,  1531,     0,     0,     0,     0,     0,     0,
       0,     0,  5579,     0,     0,     0,     0,  3907,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1534,     0,     0,     0,  1534,  1534,     0,     0,
       0,  5598,  5600,     0,     0,     0,     0,     0,  5604,  5605,
       0,     0,     0,  5606,     0,     0,     0,  5607,     0,     0,
    5610,  5611,     0,     0,     0,  5615,     0,     0,     0,     0,
    1532,  5619,     0,  1532,     0,  1532,     0,     0,     0,     0,
    1532,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1534,     0,     0,     0,
       0,     0,  1534,     0,     0,     0,     0,     0,   744,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1529,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1756,  1532,
       0,     0,     0,     0,   744,     0,  5673,  1532,     0,     0,
       0,  1531,     0,  1534,     0,     0,     0,     0,   744,     0,
       0,     0,     0,     0,     0,     0,  1529,     0,     0,   744,
       0,  5684,  1532,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1529,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2937,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1532,     0,  1532,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1529,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5748,     0,     0,     0,     0,     0,     0,  5750,
       0,     0,     0,     0,     0,     0,  1531,     0,     0,     0,
       0,     0,     0,  2937,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2937,     0,     0,     0,     0,
    2937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1531,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   744,     0,     0,  1532,     0,
       0,     0,     0,     0,     0,     0,  1531,  5785,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1534,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1532,     0,  1529,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   744,     0,     0,     0,     0,     0,  1532,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1534,     0,     0,     0,  1534,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1532,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1532,     0,  5875,     0,     0,     0,     0,     0,  5879,  5880,
    5881,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1532,     0,     0,     0,     0,     0,
       0,     0,     0,  5892,  5893,     0,     0,  5894,     0,     0,
    1531,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3102,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1534,     0,  5920,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1534,     0,
    1529,     0,     0,  1534,     0,     0,     0,     0,     0,  5939,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1532,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   744,     0,     0,     0,     0,     0,   744,     0,
    1532,     0,   744,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1532,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1529,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1529,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3741,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1532,  1529,     0,  6130,     0,     0,  1529,  1529,  1534,     0,
       0,  1534,     0,  1534,  6148,     0,     0,     0,  1534,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1534,     0,     0,
       0,     0,  6191,     0,     0,  1534,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1532,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1534,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1531,     0,     0,     0,  6227,     0,  1532,     0,     0,     0,
    1529,  2937,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2937,  2937,     0,  2937,     0,     0,     0,     0,  3720,
    3720,     0,  4507,     0,  3720,     0,     0,     0,  2937,  1531,
       0,  2937,     0,     0,  1531,  1531,  2937,     0,     0,     0,
    1534,     0,  1534,     0,     0,  2937,     0,     0,     0,     0,
    2937,     0,     0,     0,     0,     0,     0,  2937,  2937,  2937,
    2937,   788,     0,     0,  3720,  3720,     0,  2937,     0,     0,
       0,     0,     0,     0,     0,     0,  6298,     0,     0,     0,
       0,     0,     0,     0,  2937,     0,  2937,     0,     0,     0,
       0,     0,     0,  2937,  2937,  2937,  2937,  2937,  2937,  2937,
    2937,  2937,  2937,     0,     0,     0,  2491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,     0,     0,     0,  1532,     0,
       0,     0,     0,     0,     0,     0,  1534,     0,     0,     0,
       0,     0,     0,     0,     0,  6349,  2937,     0,  1531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1532,  1534,     0,
    1532,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1534,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   788,     0,     0,
    1529,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6435,  6435,
    6435,     0,  2937,     0,     0,     0,  1534,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6148,     0,     0,     0,     0,     0,     0,     0,  1534,     0,
    6461,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1534,     0,     0,     0,     0,     0,  1532,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6503,     0,     0,     0,     0,     0,     0,     0,  1531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6528,     0,   744,  6435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6148,     0,     0,
       0,     0,     0,     0,     0,  1534,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1534,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1532,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1534,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1532,     0,     0,   744,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2937,  2937,     0,     0,     0,  2937,
       0,     0,     0,  1532,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6435,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6648,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1532,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      81,    82,     0,    84,    85,    86,     0,     0,     0,    89,
       0,     0,    92,    93,    94,    95,    96,    97,  1534,    98,
      99,     0,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,  2159,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1532,  1534,     0,
       0,   126,     0,     0,     0,   128,   129,   130,   131,   132,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   134,  1534,     0,     0,     0,     0,     0,
     138,     0,   139,     0,     0,     0,     0,     0,     0,     0,
     142,     0,     0,     0,     0,     0,     0,     0,  2937,     0,
       0,     0,   145,     0,  2937,     0,     0,     0,     0,   146,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   149,
     150,     0,  4507,  4507,     0,     0,  3720,  3720,  3720,  3720,
       0,     0,  3720,  3720,  3720,  3720,  3720,  3720,  3720,  3720,
    3720,  3720,  4507,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   158,     0,     0,
       0,     0,   160,     0,     0,  2937,     0,     0,  2937,   162,
    2937,     0,     0,  4507,  4507,   163,     0,   164,     0,     0,
       0,     0,     0,     0,   166,     0,   167,     0,     0,  2937,
    3720,  3720,  2937,     0,  2937,   168,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     170,   171,     0,     0,     0,     0,  1534,   172,     0,   173,
       0,     0,   174,   175,     0,   176,     0,     0,     0,     0,
       0,     0,     0,     0,   177,   178,     0,   179,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1532,     0,     0,     0,     0,
       0,     0,   184,   185,   186,  1534,     0,     0,  1534,     0,
       0,     0,   187,   188,     0,     0,     0,     0,   190,     0,
       0,   191,     0,   192,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   193,
     194,     0,   195,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2937,     0,     0,   197,     0,   198,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   207,     0,     0,     0,
       0,     0,   209,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1532,     0,     0,     0,     0,
       0,   214,     0,     0,   216,     0,     0,   217,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   219,     0,     0,     0,     0,     0,     0,
     221,     0,     0,     0,     0,     0,  1534,     0,   222,   223,
       0,     0,     0,     0,   224,     0,   225,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1532,     0,     0,
       0,   232,     0,     0,   233,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1532,     0,     0,     0,
       0,  1532,  1532,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3720,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1534,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2937,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1534,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1534,     0,     0,     0,  1532,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    81,    82,     0,    84,
      85,    86,     0,     0,     0,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,     0,     0,     0,
     101,   102,   103,   104,     0,   105,   106,   107,   108,     0,
     109,   110,   111,  1534,     0,     0,     0,     0,   114,   115,
       0,     0,     0,     0,   116,     0,     0,     0,     0,     0,
       0,     0,     0,   117,     0,   118,     0,   119,     0,    35,
       0,  2937,     0,    37,     0,  2937,     0,  2937,  2937,     0,
       0,     0,     0,  4507,  4507,  4507,  4507,     0,     0,     0,
    4507,  4507,  4507,  4507,  4507,  4507,  4507,  4507,  4507,  4507,
    2937,  2937,  2937,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   126,     0,     0,
       0,   128,   129,   130,   131,   132,  2937,     0,     0,  2937,
       0,  2937,     0,     0,  2937,     0,     0,  4507,  4507,   134,
       0,  2937,  2937,     0,     0,     0,   138,     0,   139,     0,
       0,     0,     0,     0,     0,     0,   142,     0,     0,     0,
       0,     0,     0,     0,     0,  1534,     0,     0,   145,     0,
       0,     0,     0,     0,     0,   146,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   149,   150,     0,  2937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1532,  2937,     0,     0,     0,
       0,     0,     0,     0,     0,   156,     0,     0,     0,     0,
    2937,     0,     0,   158,     0,     0,     0,     0,   160,     0,
       0,     0,     0,     0,     0,   162,     0,     0,     0,     0,
       0,   163,     0,   164,     0,     0,     0,     0,     0,     0,
     166,     0,   167,     0,     0,     0,     0,     0,     0,     0,
       0,   168,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   170,   171,     0,     0,
       0,     0,     0,   172,     0,   173,     0,     0,   174,   175,
       0,   176,     0,     0,     0,     0,     0,     0,     0,     0,
     177,   178,     0,   179,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   184,   185,
     186,     0,     0,     0,     0,     0,     0,     0,   187,   188,
       0,     0,     0,     0,   190,     0,     0,   191,     0,   192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   193,   194,     0,   195,   196,
       0,     0,     0,  1534,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,     0,   198,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4507,
       0,     0,   207,     0,     0,     0,     0,     0,   209,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   214,     0,     0,
     216,     0,     0,   217,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   219,
       0,     0,     0,     0,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,   222,   223,     0,     0,     0,     0,
     224,     0,   225,  1534,     0,     0,     0,     0,     0,     0,
       0,     0,   228,     0,     0,     0,     0,  2937,  2937,     0,
       0,     0,     0,     0,     0,  2937,     0,   232,     0,     0,
     233,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1534,     0,  2937,     0,     0,
       0,     0,     0,  2937,  3720,     0,     0,  3897,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2937,     0,  2937,     0,     0,     0,  2937,  2937,
    2937,  2937,     0,     0,  2937,  2937,     0,     0,     0,  2937,
       0,     0,     0,  2937,  1534,     0,     0,     0,     0,  1534,
    1534,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2937,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1534,     0,     0,     0,     0,     0,     0,
       0,     0,  2937,     0,  2937,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2937,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2937,
       0,  4507,  3720,  2937,  2937,  2937,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2937,  2937,  2937,     0,
       0,     0,     0,     0,     0,     0,  3720,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2937,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    80,  2937,     0,    81,    82,    83,    84,    85,
      86,    87,     0,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,     0,    98,    99,   100,     0,     0,   101,
     102,   103,   104,  1534,   105,   106,   107,   108,     0,   109,
     110,   111,   112,   113,     0,     0,     0,   114,   115,     0,
       0,     0,     0,   116,     0,     0,     0,     0,     0,     0,
       0,     0,   117,     0,   118,     0,   119,   120,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   121,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   122,
       0,   123,   124,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   125,     0,     0,   126,     0,     0,   127,
     128,   129,   130,   131,   132,     0,     0,     0,     0,   133,
       0,     0,     0,     0,     0,     0,     0,     0,   134,     0,
       0,   135,     0,   136,   137,   138,     0,   139,     0,     0,
     140,     0,   141,     0,     0,   142,     0,     0,     0,     0,
       0,     0,     0,     0,   143,     0,   144,   145,     0,     0,
       0,     0,     0,     0,   146,     0,  4507,     0,     0,     0,
       0,   147,     0,   148,   149,   150,   151,  3720,     0,     0,
    4507,     0, -1710,     0,  2937,     0,     0,     0,     0,     0,
       0,   152,     0,   153,     0,     0,     0,   154,     0,     0,
       0,     0,  2937,   155,   156,     0,     0,     0,     0,     0,
       0,   157,   158,   159,     0,     0,     0,   160,     0,     0,
     161,     0,     0,     0,   162,     0,     0,     0,     0,     0,
     163,     0,   164,     0,     0,     0,     0,   165,     0,   166,
       0,   167,     0,     0,     0,  2937,     0,     0,     0,     0,
     168,     0,     0,     0,   169,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   170,   171,     0,     0, -1710,
       0,     0,   172,     0,   173,     0,     0,   174,   175,     0,
     176,  2937,     0,     0,     0,     0,     0,     0,     0,   177,
     178,     0,   179,     0,   180,   181,     0,     0,     0,     0,
     182,     0,     0,     0,     0,     0,     0,     0, -1710,     0,
       0,     0,     0,     0,   183,     0,     0,   184,   185,   186,
       0,     0,     0,     0,     0,     0,     0,   187,   188,     0,
       0,     0,   189,   190,     0,     0,   191,     0,   192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2937,     0,   193,   194,     0,   195,   196,     0,
       0,     0,     0,     0,  4507,     0,  3720,     0,     0,     0,
       0,     0,   197,     0,   198,     0,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,     0,     0,     0,     0,     0,   202,   203,     0,   204,
       0,     0,     0,  2937,   205,     0,     0,     0,     0,     0,
     206,   207,     0,   208,     0,     0,     0,   209,     0,     0,
     210,     0,     0,     0,     0,     0,   211,   212,     0,     0,
       0,     0,     0,     0,   213,     0,   214,     0,   215,   216,
       0,     0,   217,     0,     0,     0,     0,     0,   218,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   219,     0,
       0,     0,     0,   220,     0,   221,     0,     0,     0,     0,
       0,     0,     0,   222,   223,     0,     0,     0,     0,   224,
       0,   225,     0,   226,     0,   227,     0,     0,     0,  2937,
       0,   228,     0,     0,   229,     0,     0, -1710,     0,     0,
     230,     0,     0,     0,     0,   231,   232,     0,     0,   233,
       0,     0,     0,     0,     0,  2937,     0,     0,   234,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,     0,     0,     0,
       0,   246,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2937,     0,   247,
       0,     0,     0,  -149,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2937,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3720,     0,
       0,     0,     0,  3720,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   797,    81,
      82,   750,    84,    85,    86,   751,     0,   752,    89,     0,
       0,    92,    93,    94,    95,    96,    97,   798,    98,    99,
     753,   799,     0,   101,   102,   103,   104,   800,   801,   106,
     107,   108,     0,   109,   802,   803,   754,   755,     0,     0,
       0,   756,   757,  4507,     0,     0,  4507,   758,     0,     0,
       0,     0,     0,     0,     0,     0,   759,     0,   760,     0,
     761,   762,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2937,   431,   432,   433,   434,   435,   436,   437,
     438,   804,   439,   440,   441,   805,   806,   807,   808,   809,
     810,   811,   442,   443,   444,   812,   445,   446,   447,   448,
     126,   449,   450,   451,   128,   129,   130,   131,   132,   813,
     452,   453,   454,   455,   456,   457,   458,   814,   815,   459,
     460,   816,   134,   461,   817,   462,   463,   464,   465,   138,
     818,   139,   819,   466,   467,   468,   469,   470,   471,   142,
     472,   473,   820,   821,   474,   475,   476,   477,   478,   479,
     822,   145,   480,   481,   823,   824,   825,   826,   146,   827,
     828,   829,   484,   485,   486,   487,   767,   488,   149,   150,
     489,   830,   490,   831,   491,   492,   493,   494,   495,   496,
     497,   832,   498,   499,   500,   501,   833,   834,   502,   503,
     504,   505,   506,   835,   507,   508,   509,   836,   510,   511,
     512,   837,   513,   514,   515,   516,   158,   517,   518,   519,
     520,   160,   838,   521,   839,   522,   523,   524,   162,   525,
     840,   526,   841,   527,   163,   842,   164,   528,   529,   530,
     531,   843,   532,   166,   844,   167,   533,   534,   845,   535,
     536,   769,   537,   538,   168,   539,   540,   541,   542,   846,
     543,   544,   545,   546,   547,   548,   549,   847,   550,   170,
     171,   848,   551,   552,   553,   849,   172,   850,   173,   851,
     554,   174,   175,   555,   176,   556,   557,   558,   559,   560,
     852,   853,   561,   177,   178,   562,   179,   854,   563,   564,
     565,   855,   856,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   770,   577,   578,   771,   579,   580,
     581,   184,   185,   186,   582,   583,   584,   585,   586,   587,
     588,   187,   188,   589,   857,   590,   591,   190,   592,   858,
     191,   593,   192,   594,   595,   596,   859,   597,   598,   860,
     861,   599,   600,   601,   862,   863,   602,   603,   193,   194,
     604,   195,   196,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   864,   615,   616,   197,   617,   198,   618,
     619,   620,   865,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   200,   631,   632,   633,   634,   866,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   867,   648,   649,   207,   650,   651,   652,   653,
     654,   209,   655,   656,   657,   658,   659,   660,   661,   772,
     662,   868,   663,   664,   665,   666,   667,   869,   669,   670,
     214,   671,   672,   216,   673,   674,   217,   675,   870,   676,
     677,   678,   679,   680,   681,   682,   683,   684,   685,   686,
     687,   688,   219,   689,   871,   690,   691,   872,   692,   221,
     693,   694,   695,   696,   697,   873,   698,   222,   223,   874,
     875,   700,   701,   224,   702,   225,   876,   703,   704,   705,
     706,   707,   708,   709,   710,   877,   878,   711,   712,   713,
     714,   715,   879,   880,   716,   717,   718,   719,   720,   881,
     232,   882,   721,   233,   722,   723,   724,   725,   883,   884,
     726,   885,   886,   727,   728,   729,   730,   731,   732,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     774,   733,   734,     0,     0,     0,    81,    82,     0,    84,
      85,    86,     0,     0,     0,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,     0,     0,  1071,
     101,   102,   103,   104,     0,   105,   106,   107,   108,     0,
     109,   110,   111,     0,     0,     0,     0,     0,   114,   115,
       0,     0,     0,     0,   116,     0,     0,     0,     0,     0,
       0,     0,     0,   117,     0,   118,     0,   119,     0,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   126,     0,     0,
       0,   128,   129,   130,   131,   132,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   134,
       0,     0,     0,     0,     0,     0,   138,     0,   139,     0,
       0,     0,     0,     0,     0,     0,   142,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   145,     0,
       0,     0,     0,     0,     0,   146,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   149,   150,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   156,     0,     0,     0,     0,
       0,     0,     0,   158,     0,     0,     0,     0,   160,     0,
       0,     0,     0,     0,     0,   162,     0,     0,     0,     0,
       0,   163,     0,   164,     0,     0,     0,     0,     0,     0,
     166,     0,   167,     0,     0,     0,     0,     0,     0,     0,
       0,   168,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   170,   171,     0,     0,
       0,     0,     0,   172,     0,   173,     0,     0,   174,   175,
       0,   176,     0,     0,     0,     0,     0,     0,     0,     0,
     177,   178,     0,   179,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   184,   185,
     186,     0,     0,     0,     0,     0,     0,     0,   187,   188,
       0,     0,     0,     0,   190,     0,     0,   191,     0,   192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   193,   194,     0,   195,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,     0,   198,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   207,     0,     0,     0,     0,     0,   209,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   214,     0,     0,
     216,     0,     0,   217,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   219,
       0,     0,     0,     0,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,   222,   223,     0,     0,     0,     0,
     224,     0,   225,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   232,     0,     0,
     233,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,     0,     0,
       0,     0,     0,   797,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,   798,    98,    99,   753,   799,  3899,   101,   102,
     103,   104,   800,   801,   106,   107,   108,     0,   109,   802,
     803,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,   430,     0,
       0,    37,     0,    38,    39,     0,  1674,  1675,  1676,    40,
    1677,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  2153,   439,   440,   441,
       0,     0,     0,     0,  1678,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,   126,   449,   450,   451,   128,
    1679,   130,  1680,  1681,     0,   452,   453,   454,   455,   456,
     457,   458,  1682,  1683,   459,   460,  1684,  1685,   461,     0,
     462,   463,   464,   465,  1686,     0,  1687,     0,   466,   467,
     468,   469,   470,   471,   142,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,   145,   480,   481,     0,
    1688,  1689,  1690,  1691,  1692,  1693,  1694,   484,   485,   486,
     487,   767,   488,  1695,  1696,   489,  1697,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,  2154,     0,   502,   503,  1507,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,  1698,   517,   518,   519,   520,  1699,  1700,   521,     0,
     522,   523,   524,  1701,   525,     0,   526,     0,   527,   163,
       0,   164,   528,   529,   530,   531,     0,   532,  1702,     0,
    1703,   533,   534,     0,   535,   536,   769,   537,   538,   168,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   170,   171,     0,   551,   552,   553,
    1510,  1704,     0,  1705,     0,   554,   174,   175,   555,   176,
     556,   557,   558,   559,   560,     0,     0,   561,  1706,   178,
     562,   179,     0,   563,   564,   565,  1707,  1708,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,  1709,   185,  1710,   582,
     583,   584,   585,   586,   587,   588,   187,  1711,   589,  1712,
     590,   591,   190,   592,  1713,  1714,   593,  1715,   594,   595,
     596,     0,   597,   598,     0,     0,  1716,   600,   601,     0,
       0,   602,   603,   193,   194,   604,   195,  1717,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,  1718,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,  1719,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
     207,   650,   651,   652,   653,   654,  1720,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,  1721,   669,   670,   214,   671,   672,   216,   673,
     674,  1722,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,  1723,   689,     0,
     690,   691,     0,   692,   221,   693,   694,   695,   696,   697,
       0,   698,  1724,  1725,     0,     0,   700,   701,  1726,   702,
    1727,  1728,   703,   704,   705,   706,   707,   708,   709,   710,
       0,  1729,   711,   712,   713,   714,   715,  1730,     0,   716,
     717,   718,   719,   720,   773,  1731,  2155,   721,   233,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,  1732,  1733,  1734,  1735,   240,
    1736,  1737,  1738,  1739,   245,   774,   733,   734,  1740,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1741,
    1742,  2156,     0,     0,     0,     0,     0,     0,  1744,  2157,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,   430,     0,     0,    37,     0,
      38,    39,     0,  1674,  1675,  1676,    40,  1677,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1678,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,   126,   449,   450,   451,   128,  1679,   130,  1680,
    1681,     0,   452,   453,   454,   455,   456,   457,   458,  1682,
    1683,   459,   460,  1684,  1685,   461,     0,   462,   463,   464,
     465,  1686,     0,  1687,     0,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,   145,   480,   481,     0,  1688,  1689,  1690,
    1691,  1692,  1693,  1694,   484,   485,   486,   487,   767,   488,
    1695,  1696,   489,  1697,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,  1507,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,  1698,   517,
     518,   519,   520,  1699,  1700,   521,     0,   522,   523,   524,
    1701,   525,     0,   526,     0,   527,   163,     0,   164,   528,
     529,   530,   531,     0,   532,  1702,     0,  1703,   533,   534,
       0,   535,   536,   769,   537,   538,   168,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   170,   171,     0,   551,   552,   553,  1510,  1704,     0,
    1705,     0,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,     0,     0,   561,  1706,   178,   562,   179,     0,
     563,   564,   565,  1707,  1708,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,  1709,   185,  1710,   582,   583,   584,   585,
     586,   587,   588,   187,  1711,   589,  1712,   590,   591,   190,
     592,  1713,  1714,   593,  1715,   594,   595,   596,     0,   597,
     598,     0,     0,  1716,   600,   601,     0,     0,   602,   603,
     193,   194,   604,   195,  1717,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,  1718,   617,
     198,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,  1719,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,   207,   650,   651,
     652,   653,   654,  1720,   655,   656,   657,   658,   659,   660,
     661,   772,   662,   212,   663,   664,   665,   666,   667,  1721,
     669,   670,   214,   671,   672,   216,   673,   674,  1722,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,  1723,   689,     0,   690,   691,   220,
     692,   221,   693,   694,   695,   696,   697,     0,   698,  1724,
    1725,     0,     0,   700,   701,  1726,   702,  1727,  1728,   703,
     704,   705,   706,   707,   708,   709,   710,     0,  1729,   711,
     712,   713,   714,   715,  1730,     0,   716,   717,   718,   719,
     720,  2489,  1731,     0,   721,   233,   722,   723,   724,   725,
       0,     0,   726,     0,   234,   727,   728,   729,   730,   731,
     732,   235,  1732,  1733,  1734,  1735,   240,  1736,  1737,  1738,
    1739,   245,   774,   733,   734,  1740,     0,   246,     0,     0,
       0,     0,     0,     0,     0,     0,  1741,  1742,     0,     0,
       0,     0,     0,     0,     0,  1744,  6324,   797,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,   798,    98,    99,   753,
     799,     0,   101,   102,   103,   104,   800,   801,   106,   107,
     108,     0,   109,   802,   803,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,   430,     0,     0,    37,     0,    38,    39,     0,
    1674,  1675,  1676,    40,  1677,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1678,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,   126,
     449,   450,   451,   128,  1679,   130,  1680,  1681,     0,   452,
     453,   454,   455,   456,   457,   458,  1682,  1683,   459,   460,
    1684,  1685,   461,     0,   462,   463,   464,   465,  1686,     0,
    1687,     0,   466,   467,   468,   469,   470,   471,   142,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,     0,
     145,   480,   481,     0,  1688,  1689,  1690,  1691,  1692,  1693,
    1694,   484,   485,   486,   487,   767,   488,  1695,  1696,   489,
    1697,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,  1507,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,  1698,   517,   518,   519,   520,
    1699,  1700,   521,     0,   522,   523,   524,  1701,   525,     0,
     526,     0,   527,   163,     0,   164,   528,   529,   530,   531,
       0,   532,  1702,     0,  1703,   533,   534,     0,   535,   536,
     769,   537,   538,   168,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   170,   171,
       0,   551,   552,   553,  1510,  1704,     0,  1705,     0,   554,
     174,   175,   555,   176,   556,   557,   558,   559,   560,     0,
       0,   561,  1706,   178,   562,   179,     0,   563,   564,   565,
    1707,  1708,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
    1709,   185,  1710,   582,   583,   584,   585,   586,   587,   588,
     187,  1711,   589,  1712,   590,   591,   190,   592,  1713,  1714,
     593,  1715,   594,   595,   596,     0,   597,   598,     0,     0,
    1716,   600,   601,     0,     0,   602,   603,   193,   194,   604,
     195,  1717,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,  1718,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,  1719,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,   207,   650,   651,   652,   653,   654,
    1720,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,  1721,   669,   670,   214,
     671,   672,   216,   673,   674,  1722,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,  1723,   689,     0,   690,   691,     0,   692,   221,   693,
     694,   695,   696,   697,     0,   698,  1724,  1725,     0,     0,
     700,   701,  1726,   702,  1727,  1728,   703,   704,   705,   706,
     707,   708,   709,   710,     0,  1729,   711,   712,   713,   714,
     715,  1730,     0,   716,   717,   718,   719,   720,   773,  1731,
       0,   721,   233,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,  1732,
    1733,  1734,  1735,   240,  1736,  1737,  1738,  1739,   245,   774,
     733,   734,  1740,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1741,  1742,     0,     0,     0,     0,     0,
       0,     0,  1744,  3722,   797,    81,    82,   750,    84,    85,
      86,   751,     0,   752,    89,     0,     0,    92,    93,    94,
      95,    96,    97,   798,    98,    99,   753,   799,     0,   101,
     102,   103,   104,   800,   801,   106,   107,   108,     0,   109,
     802,   803,   754,   755,     0,     0,     0,   756,   757,     0,
       0,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,   759,     0,   760,     0,   761,   762,    35,   430,
       0,     0,    37,     0,    38,    39,     0,  1674,  1675,  1676,
      40,  1677,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1678,     0,     0,   442,   443,
     444,     0,   445,   446,   447,   448,   126,   449,   450,   451,
     128,  1679,   130,  1680,  1681,     0,   452,   453,   454,   455,
     456,   457,   458,  1682,  1683,   459,   460,  1684,  1685,   461,
       0,   462,   463,   464,   465,  1686,     0,  1687,     0,   466,
     467,   468,   469,   470,   471,   142,   472,   473,   765,     0,
     474,   475,   476,   477,   478,   479,     0,   145,   480,   481,
       0,  1688,  1689,  1690,  1691,  1692,  1693,  1694,   484,   485,
     486,   487,   767,   488,  1695,  1696,   489,  1697,   490,     0,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,     0,     0,   502,   503,  1507,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,     0,   513,   514,
     515,   516,  1698,   517,   518,   519,   520,  1699,  1700,   521,
       0,   522,   523,   524,  1701,   525,     0,   526,     0,   527,
     163,     0,   164,   528,   529,   530,   531,     0,   532,  1702,
       0,  1703,   533,   534,     0,   535,   536,   769,   537,   538,
     168,   539,   540,   541,   542,     0,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   170,   171,     0,   551,   552,
     553,  1510,  1704,     0,  1705,     0,   554,   174,   175,   555,
     176,   556,   557,   558,   559,   560,     0,     0,   561,  1706,
     178,   562,   179,     0,   563,   564,   565,  1707,  1708,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     770,   577,   578,   771,   579,   580,   581,  1709,   185,  1710,
     582,   583,   584,   585,   586,   587,   588,   187,  1711,   589,
    1712,   590,   591,   190,   592,  1713,  1714,   593,  1715,   594,
     595,   596,     0,   597,   598,     0,     0,  1716,   600,   601,
       0,     0,   602,   603,   193,   194,   604,   195,  1717,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,  1718,   617,   198,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,  1719,
     631,   632,   633,   634,     0,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,   648,
     649,   207,   650,   651,   652,   653,   654,  1720,   655,   656,
     657,   658,   659,   660,   661,   772,   662,     0,   663,   664,
     665,   666,   667,  1721,   669,   670,   214,   671,   672,   216,
     673,   674,  1722,   675,     0,   676,   677,   678,   679,   680,
     681,   682,   683,   684,   685,   686,   687,   688,  1723,   689,
       0,   690,   691,     0,   692,   221,   693,   694,   695,   696,
     697,     0,   698,  1724,  1725,     0,     0,   700,   701,  1726,
     702,  1727,  1728,   703,   704,   705,   706,   707,   708,   709,
     710,     0,  1729,   711,   712,   713,   714,   715,  1730,     0,
     716,   717,   718,   719,   720,   773,  1731,     0,   721,   233,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   235,  1732,  1733,  1734,  1735,
     240,  1736,  1737,  1738,  1739,   245,   774,   733,   734,  1740,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1741,  1742,     0,     0,     0,     0,     0,     0,     0,  1744,
    5085,   797,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
     798,    98,    99,   753,   799,     0,   101,   102,   103,   104,
     800,   801,   106,   107,   108,     0,   109,   802,   803,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,   430,     0,     0,    37,
       0,    38,    39,     0,  1674,  1675,  1676,    40,  1677,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1678,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,   126,   449,   450,   451,   128,  1679,   130,
    1680,  1681,     0,   452,   453,   454,   455,   456,   457,   458,
    1682,  1683,   459,   460,  1684,  1685,   461,     0,   462,   463,
     464,   465,  1686,     0,  1687,     0,   466,   467,   468,   469,
     470,   471,   142,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,   145,   480,   481,     0,  1688,  1689,
    1690,  1691,  1692,  1693,  1694,   484,   485,   486,   487,   767,
     488,  1695,  1696,   489,  1697,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,  1507,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,  1698,
     517,   518,   519,   520,  1699,  1700,   521,     0,   522,   523,
     524,  1701,   525,     0,   526,     0,   527,   163,     0,   164,
     528,   529,   530,   531,     0,   532,  1702,     0,  1703,   533,
     534,     0,   535,   536,   769,   537,   538,   168,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   170,   171,     0,   551,   552,   553,  1510,  1704,
       0,  1705,     0,   554,   174,   175,   555,   176,   556,   557,
     558,   559,   560,     0,     0,   561,  1706,   178,   562,   179,
       0,   563,   564,   565,  1707,  1708,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,  1709,   185,  1710,   582,   583,   584,
     585,   586,   587,   588,   187,  1711,   589,  1712,   590,   591,
     190,   592,  1713,  1714,   593,  1715,   594,   595,   596,     0,
     597,   598,     0,     0,  1716,   600,   601,     0,     0,   602,
     603,   193,   194,   604,   195,  1717,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,  1718,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,  1719,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,   207,   650,
     651,   652,   653,   654,  1720,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
    1721,   669,   670,   214,   671,   672,   216,   673,   674,  1722,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,  1723,   689,     0,   690,   691,
       0,   692,   221,   693,   694,   695,   696,   697,     0,   698,
    1724,  1725,     0,     0,   700,   701,  1726,   702,  1727,  1728,
     703,   704,   705,   706,   707,   708,   709,   710,     0,  1729,
     711,   712,   713,   714,   715,  1730,     0,   716,   717,   718,
     719,   720,   773,  1731,     0,   721,   233,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,  1732,  1733,  1734,  1735,   240,  1736,  1737,
    1738,  1739,   245,   774,   733,   734,  1740,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1741,  1742,     0,
       0,     0,     0,     0,     0,     0,  1744,  5154,   797,    81,
      82,   750,    84,    85,    86,   751,     0,   752,    89,     0,
       0,    92,    93,    94,    95,    96,    97,   798,    98,    99,
     753,   799,     0,   101,   102,   103,   104,   800,   801,   106,
     107,   108,     0,   109,   802,   803,   754,   755,     0,     0,
       0,   756,   757,     0,     0,     0,     0,   758,     0,     0,
       0,     0,     0,     0,     0,     0,   759,     0,   760,     0,
     761,   762,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,   444,     0,   445,   446,   447,   448,
     126,   449,   450,   451,     0,  1500,   130,  1501,  1502,     0,
     452,   453,   454,   455,   456,   457,   458,     0,     0,   459,
     460,  1503,  1504,   461,     0,   462,   463,   464,   465,     0,
       0,   139,     0,   466,   467,   468,   469,   470,   471,   142,
     472,   473,   765,     0,   474,   475,   476,   477,   478,   479,
       0,   145,   480,   481,     0,     0,     0,     0,   146,     0,
       0,     0,   484,   485,   486,   487,   767,   488,  1505,  1506,
     489,     0,   490,     0,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,     0,     0,   502,   503,
    1507,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,     0,   513,   514,   515,   516,     0,   517,   518,   519,
     520,     0,     0,   521,     0,   522,   523,   524,  1508,   525,
       0,   526,     0,   527,   163,     0,   164,   528,   529,   530,
     531,     0,   532,     0,     0,     0,   533,   534,     0,   535,
     536,   769,   537,   538,   168,   539,   540,   541,   542,  3121,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   170,
    3122,     0,   551,   552,   553,  1510,  1511,     0,  1512,     0,
     554,   174,   175,   555,   176,   556,   557,   558,   559,   560,
       0,     0,   561,     0,   178,   562,   179,     0,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   770,   577,   578,   771,   579,   580,
     581,  1513,   185,  1514,   582,   583,   584,   585,   586,   587,
     588,     0,     0,   589,     0,   590,   591,   190,   592,     0,
       0,   593,  1515,   594,   595,   596,     0,   597,   598,     0,
       0,   599,   600,   601,     0,     0,   602,   603,  3124,   194,
     604,   195,     0,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,     0,   617,     0,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,  1516,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,     0,   648,   649,   207,   650,   651,   652,   653,
     654,     0,   655,   656,   657,   658,   659,   660,   661,   772,
     662,     0,   663,   664,   665,   666,   667,     0,   669,   670,
    3125,   671,   672,   216,   673,   674,  1518,   675,     0,   676,
     677,   678,   679,   680,   681,   682,   683,   684,   685,   686,
     687,   688,     0,   689,     0,   690,   691,     0,   692,   221,
     693,   694,   695,   696,   697,     0,   698,  1519,  1520,     0,
       0,   700,   701,     0,   702,     0,     0,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,     0,     0,   716,   717,   718,   719,   720,     0,
    1521,  3126,   721,   233,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     774,   733,   734,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   797,    81,    82,   750,    84,    85,    86,   751,
       0,   752,    89,     0,  3224,    92,    93,    94,    95,    96,
      97,   798,    98,    99,   753,   799,     0,   101,   102,   103,
     104,   800,   801,   106,   107,   108,     0,   109,   802,   803,
     754,   755,     0,     0,     0,   756,   757,     0,     0,     0,
       0,   758,     0,     0,     0,     0,     0,     0,     0,     0,
     759,     0,   760,     0,   761,   762,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,   444,     0,
     445,   446,   447,   448,   126,   449,   450,   451,     0,  1500,
     130,  1501,  1502,     0,   452,   453,   454,   455,   456,   457,
     458,     0,     0,   459,   460,  1503,  1504,   461,     0,   462,
     463,   464,   465,     0,     0,   139,     0,   466,   467,   468,
     469,   470,   471,   142,   472,   473,   765,     0,   474,   475,
     476,   477,   478,   479,     0,   145,   480,   481,     0,     0,
       0,     0,   146,     0,     0,     0,   484,   485,   486,   487,
     767,   488,  1505,  1506,   489,     0,   490,     0,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
       0,     0,   502,   503,  1507,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,     0,   513,   514,   515,   516,
       0,   517,   518,   519,   520,     0,     0,   521,     0,   522,
     523,   524,  1508,   525,     0,   526,     0,   527,   163,     0,
     164,   528,   529,   530,   531,     0,   532,     0,     0,     0,
     533,   534,     0,   535,   536,   769,   537,   538,   168,   539,
     540,   541,   542,  3121,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   170,  3122,     0,   551,   552,   553,  1510,
    1511,     0,  1512,     0,   554,   174,   175,   555,   176,   556,
     557,   558,   559,   560,     0,     0,   561,     0,   178,   562,
     179,     0,   563,   564,   565,     0,     0,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   770,   577,
     578,   771,   579,   580,   581,  1513,   185,  1514,   582,   583,
     584,   585,   586,   587,   588,     0,     0,   589,     0,   590,
     591,   190,   592,     0,     0,   593,  1515,   594,   595,   596,
       0,   597,   598,     0,     0,   599,   600,   601,     0,     0,
     602,   603,  3124,   194,   604,   195,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
       0,   617,     0,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,  1516,   631,   632,
     633,   634,     0,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,   648,   649,   207,
     650,   651,   652,   653,   654,     0,   655,   656,   657,   658,
     659,   660,   661,   772,   662,     0,   663,   664,   665,   666,
     667,     0,   669,   670,  3125,   671,   672,   216,   673,   674,
    1518,   675,     0,   676,   677,   678,   679,   680,   681,   682,
     683,   684,   685,   686,   687,   688,     0,   689,     0,   690,
     691,     0,   692,   221,   693,   694,   695,   696,   697,     0,
     698,  1519,  1520,     0,     0,   700,   701,     0,   702,     0,
       0,   703,   704,   705,   706,   707,   708,   709,   710,     0,
       0,   711,   712,   713,   714,   715,     0,     0,   716,   717,
     718,   719,   720,     0,  1521,  3126,   721,   233,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   774,   733,   734,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   797,    81,    82,   750,
      84,    85,    86,   751,     0,   752,    89,     0,  4335,    92,
      93,    94,    95,    96,    97,   798,    98,    99,   753,   799,
       0,   101,   102,   103,   104,   800,   801,   106,   107,   108,
       0,   109,   802,   803,   754,   755,     0,     0,     0,   756,
     757,     0,     0,     0,     0,   758,     0,     0,     0,     0,
       0,     0,     0,     0,   759,     0,   760,     0,   761,   762,
      35,   430,     0,     0,    37,     0,    38,    39,     0,  1674,
    1675,  1676,    40,  1677,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1678,     0,     0,
     442,   443,   444,     0,   445,   446,   447,   448,   126,   449,
     450,   451,   128,  1679,   130,  1680,  1681,     0,   452,   453,
     454,   455,   456,   457,   458,  1682,  1683,   459,   460,  1684,
    1685,   461,     0,   462,   463,   464,   465,  1686,     0,  1687,
       0,   466,   467,   468,   469,   470,   471,   142,   472,   473,
     765,     0,   474,   475,   476,   477,   478,   479,     0,   145,
     480,   481,     0,  1688,  1689,  1690,  1691,  1692,  1693,  1694,
     484,   485,   486,   487,   767,   488,  1695,  1696,   489,  1697,
     490,     0,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,     0,     0,   502,   503,  1507,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,     0,
     513,   514,   515,   516,  1698,   517,   518,   519,   520,  1699,
    1700,   521,     0,   522,   523,   524,  1701,   525,     0,   526,
       0,   527,   163,     0,   164,   528,   529,   530,   531,     0,
     532,  1702,     0,  1703,   533,   534,     0,   535,   536,   769,
     537,   538,   168,   539,   540,   541,   542,     0,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   170,   171,     0,
     551,   552,   553,  1510,  1704,     0,  1705,     0,   554,   174,
     175,   555,   176,   556,   557,   558,   559,   560,     0,     0,
     561,  1706,   178,   562,   179,     0,   563,   564,   565,  1707,
    1708,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   770,   577,   578,   771,   579,   580,   581,  1709,
     185,  1710,   582,   583,   584,   585,   586,   587,   588,   187,
    1711,   589,  1712,   590,   591,   190,   592,  1713,  1714,   593,
    1715,   594,   595,   596,     0,   597,   598,     0,     0,  1716,
     600,   601,     0,     0,   602,   603,   193,   194,   604,   195,
    1717,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,  1718,   617,   198,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,  1719,   631,   632,   633,   634,     0,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,   648,   649,   207,   650,   651,   652,   653,   654,  1720,
     655,   656,   657,   658,   659,   660,   661,   772,   662,   212,
     663,   664,   665,   666,   667,  1721,   669,   670,   214,   671,
     672,   216,   673,   674,  1722,   675,     0,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
    1723,   689,     0,   690,   691,   220,   692,   221,   693,   694,
     695,   696,   697,     0,   698,  1724,  1725,     0,     0,   700,
     701,  1726,   702,  1727,  1728,   703,   704,   705,   706,   707,
     708,   709,   710,     0,  1729,   711,   712,   713,   714,   715,
    1730,     0,   716,   717,   718,   719,   720,  2489,  1731,     0,
     721,   233,   722,   723,   724,   725,     0,     0,   726,     0,
     234,   727,   728,   729,   730,   731,   732,   235,  1732,  1733,
    1734,  1735,   240,  1736,  1737,  1738,  1739,   245,   774,   733,
     734,  1740,     0,   246,     0,     0,     0,     0,     0,     0,
       0,     0,  1741,  1742,     0,     0,     0,     0,     0,     0,
       0,  1744,   797,    81,    82,   750,    84,    85,    86,   751,
       0,   752,    89,     0,     0,    92,    93,    94,    95,    96,
      97,   798,    98,    99,   753,   799,     0,   101,   102,   103,
     104,   800,   801,   106,   107,   108,     0,   109,   802,   803,
     754,   755,     0,     0,     0,   756,   757,     0,     0,     0,
       0,   758,     0,     0,     0,     0,     0,     0,     0,     0,
     759,     0,   760,     0,   761,   762,    35,   430,     0,     0,
      37,     0,    38,    39,     0,  1674,  1675,  1676,    40,  1677,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1678,     0,     0,   442,   443,   444,     0,
     445,   446,   447,   448,   126,   449,   450,   451,   128,  1679,
     130,  1680,  1681,  3728,   452,   453,   454,   455,   456,   457,
     458,  1682,  1683,   459,   460,  1684,  1685,   461,     0,   462,
     463,   464,   465,  1686,     0,  1687,     0,   466,   467,   468,
     469,   470,   471,   142,   472,   473,   765,     0,   474,   475,
     476,   477,   478,   479,     0,   145,   480,   481,     0,  1688,
    1689,  1690,  1691,  1692,  1693,  1694,   484,   485,   486,   487,
     767,   488,  1695,  1696,   489,  1697,   490,     0,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
       0,     0,   502,   503,  1507,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,     0,   513,   514,   515,   516,
    1698,   517,   518,   519,   520,  1699,  1700,   521,     0,   522,
     523,   524,  1701,   525,     0,   526,     0,   527,   163,  3729,
     164,   528,   529,   530,   531,     0,   532,  1702,     0,  1703,
     533,   534,     0,   535,   536,   769,   537,   538,   168,   539,
     540,   541,   542,     0,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   170,   171,     0,   551,   552,   553,  1510,
    1704,     0,  1705,     0,   554,   174,   175,   555,   176,   556,
     557,   558,   559,   560,     0,  3730,   561,  1706,   178,   562,
     179,     0,   563,   564,   565,  1707,  1708,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   770,   577,
     578,   771,   579,   580,   581,  1709,   185,  1710,   582,   583,
     584,   585,   586,   587,   588,   187,  1711,   589,  1712,   590,
     591,   190,   592,  1713,  1714,   593,  1715,   594,   595,   596,
       0,   597,   598,     0,     0,  1716,   600,   601,     0,     0,
     602,   603,   193,   194,   604,   195,  1717,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
    1718,   617,   198,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,  1719,   631,   632,
     633,   634,     0,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,   648,   649,   207,
     650,   651,   652,   653,   654,  1720,   655,   656,   657,   658,
     659,   660,   661,   772,   662,     0,   663,   664,   665,   666,
     667,  1721,   669,   670,   214,   671,   672,   216,   673,   674,
    1722,   675,     0,   676,   677,   678,   679,   680,   681,   682,
     683,   684,   685,   686,   687,   688,  1723,   689,     0,   690,
     691,     0,   692,   221,   693,   694,   695,   696,   697,     0,
     698,  1724,  1725,     0,  3731,   700,   701,  1726,   702,  1727,
    1728,   703,   704,   705,   706,   707,   708,   709,   710,     0,
    1729,   711,   712,   713,   714,   715,  1730,     0,   716,   717,
     718,   719,   720,   773,  1731,     0,   721,   233,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   235,  1732,  1733,  1734,  1735,   240,  1736,
    1737,  1738,  1739,   245,   774,   733,   734,  1740,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1741,  1742,
       0,     0,     0,     0,     0,     0,     0,  1744,   797,    81,
      82,   750,    84,    85,    86,   751,     0,   752,    89,     0,
       0,    92,    93,    94,    95,    96,    97,   798,    98,    99,
     753,   799,     0,   101,   102,   103,   104,   800,   801,   106,
     107,   108,     0,   109,   802,   803,   754,   755,     0,     0,
       0,   756,   757,     0,     0,     0,     0,   758,     0,     0,
       0,     0,     0,     0,     0,     0,   759,     0,   760,     0,
     761,   762,    35,   430,     0,     0,    37,     0,    38,    39,
       0,  1674,  1675,  1676,    40,  1677,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438, -2210,   439,   440,   441,     0,     0,     0, -2210,  1678,
       0,     0,   442,   443,   444,     0,   445,   446,   447,   448,
     126,   449,   450,   451,   128,  1679,   130,  1680,  1681,     0,
     452,   453,   454,   455,   456,   457,   458,  1682,  1683,   459,
     460,  1684,  1685,   461,     0,   462,   463,   464,   465,  1686,
       0,  1687,     0,   466,   467,   468,   469,   470,   471,   142,
     472,   473,   765,     0,   474,   475,   476,   477,   478,   479,
       0,   145,   480,   481,     0,  1688,  1689,  1690,  1691,  1692,
    1693,  1694,   484,   485,   486,   487,   767,   488,  1695,  1696,
     489,  1697,   490,     0,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,     0,     0,   502,   503,
    1507,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,     0,   513,   514,   515,   516,  1698,   517,   518,   519,
     520,  1699,  1700,   521,     0,   522,   523,   524,  1701,   525,
       0,   526,     0,   527,   163,     0,   164,   528,   529,   530,
     531,     0,   532,  1702,     0,  1703,   533,   534,     0,   535,
     536,   769,   537,   538,   168,   539,   540,   541,   542,     0,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   170,
     171,     0,   551,   552,   553,  1510,  1704,     0,  1705,     0,
     554,   174,   175,   555,   176,   556,   557,   558,   559,   560,
       0,     0,   561,  1706,   178,   562,   179,     0,   563,   564,
     565,  1707,  1708,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   770,   577,   578,   771,   579,   580,
     581,  1709,   185,  1710,   582,   583,   584,   585,   586,   587,
     588,   187,  1711,   589,  1712,   590,   591,   190,   592,  1713,
    1714,   593,  1715,   594,   595,   596,     0,   597,   598,     0,
       0,  1716,   600,   601,     0,     0,   602,   603,   193,   194,
     604,   195,  1717,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,  1718,   617,   198,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,  1719,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,     0,   648,   649,   207,   650,   651,   652,   653,
     654,  1720,   655,   656,   657,   658,   659,   660,   661,   772,
     662,     0,   663,   664,   665,   666,   667,  1721,   669,   670,
     214,   671,   672,   216,   673,   674,  1722,   675, -2210,   676,
     677,   678,   679,   680,   681,   682,   683,   684,   685,   686,
     687,   688,  1723,   689,     0,   690,   691,     0,   692,   221,
     693,   694,   695,   696,   697,     0,   698,  1724,  1725,     0,
       0,   700,   701,  1726,   702,  1727,  1728,   703,   704,   705,
     706,   707,   708,   709,   710,     0,  1729,   711,   712,   713,
     714,   715,  1730,     0,   716,   717,   718,   719,   720,   773,
    1731,     0,   721,   233,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   235,
    1732,  1733,  1734,  1735,   240,  1736,  1737,  1738,  1739,   245,
     774,   733,   734,  1740,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1741,  1742,     0,     0,     0,     0,
       0,     0,     0,  1744,   797,    81,    82,   750,    84,    85,
      86,   751,     0,   752,    89,     0,     0,    92,    93,    94,
      95,    96,    97,   798,    98,    99,   753,   799,     0,   101,
     102,   103,   104,   800,   801,   106,   107,   108,     0,   109,
     802,   803,   754,   755,     0,     0,     0,   756,   757,     0,
       0,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,   759,     0,   760,     0,   761,   762,    35,   430,
       0,     0,    37,     0,    38,    39,     0,  1674,  1675,  1676,
      40,  1677,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438, -2208,   439,   440,
     441,     0,     0,     0, -2208,  1678,     0,     0,   442,   443,
     444,     0,   445,   446,   447,   448,   126,   449,   450,   451,
     128,  1679,   130,  1680,  1681,     0,   452,   453,   454,   455,
     456,   457,   458,  1682,  1683,   459,   460,  1684,  1685,   461,
       0,   462,   463,   464,   465,  1686,     0,  1687,     0,   466,
     467,   468,   469,   470,   471,   142,   472,   473,   765,     0,
     474,   475,   476,   477,   478,   479,     0,   145,   480,   481,
       0,  1688,  1689,  1690,  1691,  1692,  1693,  1694,   484,   485,
     486,   487,   767,   488,  1695,  1696,   489,  1697,   490,     0,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,     0,     0,   502,   503,  1507,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,     0,   513,   514,
     515,   516,  1698,   517,   518,   519,   520,  1699,  1700,   521,
       0,   522,   523,   524,  1701,   525,     0,   526,     0,   527,
     163,     0,   164,   528,   529,   530,   531,     0,   532,  1702,
       0,  1703,   533,   534,     0,   535,   536,   769,   537,   538,
     168,   539,   540,   541,   542,     0,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   170,   171,     0,   551,   552,
     553,  1510,  1704,     0,  1705,     0,   554,   174,   175,   555,
     176,   556,   557,   558,   559,   560,     0,     0,   561,  1706,
     178,   562,   179,     0,   563,   564,   565,  1707,  1708,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     770,   577,   578,   771,   579,   580,   581,  1709,   185,  1710,
     582,   583,   584,   585,   586,   587,   588,   187,  1711,   589,
    1712,   590,   591,   190,   592,  1713,  1714,   593,  1715,   594,
     595,   596,     0,   597,   598,     0,     0,  1716,   600,   601,
       0,     0,   602,   603,   193,   194,   604,   195,  1717,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,  1718,   617,   198,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,  1719,
     631,   632,   633,   634,     0,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,   648,
     649,   207,   650,   651,   652,   653,   654,  1720,   655,   656,
     657,   658,   659,   660,   661,   772,   662,     0,   663,   664,
     665,   666,   667,  1721,   669,   670,   214,   671,   672,   216,
     673,   674,  1722,   675, -2208,   676,   677,   678,   679,   680,
     681,   682,   683,   684,   685,   686,   687,   688,  1723,   689,
       0,   690,   691,     0,   692,   221,   693,   694,   695,   696,
     697,     0,   698,  1724,  1725,     0,     0,   700,   701,  1726,
     702,  1727,  1728,   703,   704,   705,   706,   707,   708,   709,
     710,     0,  1729,   711,   712,   713,   714,   715,  1730,     0,
     716,   717,   718,   719,   720,   773,  1731,     0,   721,   233,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   235,  1732,  1733,  1734,  1735,
     240,  1736,  1737,  1738,  1739,   245,   774,   733,   734,  1740,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1741,  1742,     0,     0,     0,     0,     0,     0,     0,  1744,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,   430,     0,     0,    37,     0,
      38,    39,     0,  1674,  1675,  1676,    40,  1677,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1678,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,   126,   449,   450,   451,   128,  1679,   130,  1680,
    1681,     0,   452,   453,   454,   455,   456,   457,   458,  1682,
    1683,   459,   460,  1684,  1685,   461,     0,   462,   463,   464,
     465,  1686,     0,  1687,     0,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,   145,   480,   481,     0,  1688,  1689,  1690,
    1691,  1692,  1693,  1694,   484,   485,   486,   487,   767,   488,
    1695,  1696,   489,  1697,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,  1507,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,  1698,   517,
     518,   519,   520,  1699,  1700,   521,     0,   522,   523,   524,
    1701,   525,     0,   526,     0,   527,   163,     0,   164,   528,
     529,   530,   531,     0,   532,  1702,     0,  1703,   533,   534,
       0,   535,   536,   769,   537,   538,   168,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   170,   171,     0,   551,   552,   553,  1510,  1704,     0,
    1705,     0,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,     0,     0,   561,  1706,   178,   562,   179,     0,
     563,   564,   565,  1707,  1708,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,  1709,   185,  1710,   582,   583,   584,   585,
     586,   587,   588,   187,  1711,   589,  1712,   590,   591,   190,
     592,  1713,  1714,   593,  1715,   594,   595,   596,     0,   597,
     598,     0,     0,  1716,   600,   601,     0,     0,   602,   603,
     193,   194,   604,   195,  1717,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,  1718,   617,
     198,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,  1719,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,   207,   650,   651,
     652,   653,   654,  1720,   655,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,  1721,
     669,   670,   214,   671,   672,   216,   673,   674,  1722,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,  1723,   689,     0,   690,   691,     0,
     692,   221,   693,   694,   695,   696,   697,     0,   698,  1724,
    1725,     0,     0,   700,   701,  1726,   702,  1727,  1728,   703,
     704,   705,   706,   707,   708,   709,   710,     0,  1729,   711,
     712,   713,   714,   715,  1730,     0,   716,   717,   718,   719,
     720,   773,  1731,     0,   721,   233,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   235,  1732,  1733,  1734,  1735,   240,  1736,  1737,  1738,
    1739,   245,   774,   733,   734,  1740,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1741,  1742,     0,     0,
       0,     0,     0,  2449,  3680,  1744,   797,    81,    82,   750,
      84,    85,    86,   751,     0,   752,    89,     0,     0,    92,
      93,    94,    95,    96,    97,   798,    98,    99,   753,   799,
       0,   101,   102,   103,   104,   800,   801,   106,   107,   108,
       0,   109,   802,   803,   754,   755,     0,     0,     0,   756,
     757,     0,     0,     0,     0,   758,     0,     0,     0,     0,
       0,     0,     0,     0,   759,     0,   760,     0,   761,   762,
      35,   430,     0,     0,    37,     0,    38,    39,     0,  1674,
    1675,  1676,    40,  1677,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1678,     0,     0,
     442,   443,   444,     0,   445,   446,   447,   448,   126,   449,
     450,   451,   128,  1679,   130,  1680,  1681,     0,   452,   453,
     454,   455,   456,   457,   458,  1682,  1683,   459,   460,  1684,
    1685,   461,     0,   462,   463,   464,   465,  1686,     0,  1687,
       0,   466,   467,   468,   469,   470,   471,   142,   472,   473,
     765,     0,   474,   475,   476,   477,   478,   479,     0,   145,
     480,   481,     0,  1688,  1689,  1690,  1691,  1692,  1693,  1694,
     484,   485,   486,   487,   767,   488,  1695,  1696,   489,  1697,
     490,     0,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,     0,     0,   502,   503,  1507,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,     0,
     513,   514,   515,   516,  1698,   517,   518,   519,   520,  1699,
    1700,   521,     0,   522,   523,   524,  1701,   525,     0,   526,
       0,   527,   163,     0,   164,   528,   529,   530,   531,     0,
     532,  1702,     0,  1703,   533,   534,     0,   535,   536,   769,
     537,   538,   168,   539,   540,   541,   542,     0,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   170,   171,     0,
     551,   552,   553,  1510,  1704,     0,  1705,     0,   554,   174,
     175,   555,   176,   556,   557,   558,   559,   560,     0,     0,
     561,  1706,   178,   562,   179,     0,   563,   564,   565,  1707,
    1708,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   770,   577,   578,   771,   579,   580,   581,  1709,
     185,  1710,   582,   583,   584,   585,   586,   587,   588,   187,
    1711,   589,  1712,   590,   591,   190,   592,  1713,  1714,   593,
    1715,   594,   595,   596,     0,   597,   598,     0,     0,  1716,
     600,   601,     0,     0,   602,   603,   193,   194,   604,   195,
    1717,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,  1718,   617,   198,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,  1719,   631,   632,   633,   634,     0,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,   648,   649,   207,   650,   651,   652,   653,   654,  1720,
     655,   656,   657,   658,   659,   660,   661,   772,   662,     0,
     663,   664,   665,   666,   667,  1721,   669,   670,   214,   671,
     672,   216,   673,   674,  1722,   675,     0,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
    1723,   689,     0,   690,   691,     0,   692,   221,   693,   694,
     695,   696,   697,     0,   698,  1724,  1725,     0,     0,   700,
     701,  1726,   702,  1727,  1728,   703,   704,   705,   706,   707,
     708,   709,   710,     0,  1729,   711,   712,   713,   714,   715,
    1730,     0,   716,   717,   718,   719,   720,   773,  1731,     0,
     721,   233,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   235,  1732,  1733,
    1734,  1735,   240,  1736,  1737,  1738,  1739,   245,   774,   733,
     734,  1740,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1741,  1742,  1743,     0,     0,     0,     0,     0,
       0,  1744,   797,    81,    82,   750,    84,    85,    86,   751,
       0,   752,    89,     0,     0,    92,    93,    94,    95,    96,
      97,   798,    98,    99,   753,   799,     0,   101,   102,   103,
     104,   800,   801,   106,   107,   108,     0,   109,   802,   803,
     754,   755,     0,     0,     0,   756,   757,     0,     0,     0,
       0,   758,     0,     0,     0,     0,     0,     0,     0,     0,
     759,     0,   760,     0,   761,   762,    35,   430,     0,     0,
      37,     0,    38,    39,     0,  1674,  1675,  1676,    40,  1677,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  3039,   439,   440,   441,     0,
       0,     0,     0,  1678,     0,     0,   442,   443,   444,     0,
     445,   446,   447,   448,   126,   449,   450,   451,   128,  1679,
     130,  1680,  1681,     0,   452,   453,   454,   455,   456,   457,
     458,  1682,  1683,   459,   460,  1684,  1685,   461,     0,   462,
     463,   464,   465,  1686,     0,  1687,     0,   466,   467,   468,
     469,   470,   471,   142,   472,   473,   765,     0,   474,   475,
     476,   477,   478,   479,     0,   145,   480,   481,     0,  1688,
    1689,  1690,  1691,  1692,  1693,  1694,   484,   485,   486,   487,
     767,   488,  1695,  1696,   489,  1697,   490,     0,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
       0,     0,   502,   503,  1507,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,     0,   513,   514,   515,   516,
    1698,   517,   518,   519,   520,  1699,  1700,   521,     0,   522,
     523,   524,  1701,   525,     0,   526,     0,   527,   163,     0,
     164,   528,   529,   530,   531,     0,   532,  1702,     0,  1703,
     533,   534,     0,   535,   536,   769,   537,   538,   168,   539,
     540,   541,   542,     0,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   170,   171,     0,   551,   552,   553,  1510,
    1704,     0,  1705,     0,   554,   174,   175,   555,   176,   556,
     557,   558,   559,   560,     0,     0,   561,  1706,   178,   562,
     179,     0,   563,   564,   565,  1707,  1708,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   770,   577,
     578,   771,   579,   580,   581,  1709,   185,  1710,   582,   583,
     584,   585,   586,   587,   588,   187,  1711,   589,  1712,   590,
     591,   190,   592,  1713,  1714,   593,  1715,   594,   595,   596,
       0,   597,   598,     0,     0,  1716,   600,   601,     0,     0,
     602,   603,   193,   194,   604,   195,  1717,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
    1718,   617,   198,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,  1719,   631,   632,
     633,   634,     0,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,   648,   649,   207,
     650,   651,   652,   653,   654,  1720,   655,   656,   657,   658,
     659,   660,   661,   772,   662,     0,   663,   664,   665,   666,
     667,  1721,   669,   670,   214,   671,   672,   216,   673,   674,
    1722,   675,     0,   676,   677,   678,   679,   680,   681,   682,
     683,   684,   685,   686,   687,   688,  1723,   689,     0,   690,
     691,     0,   692,   221,   693,   694,   695,   696,   697,     0,
     698,  1724,  1725,     0,     0,   700,   701,  1726,   702,  1727,
    1728,   703,   704,   705,   706,   707,   708,   709,   710,     0,
    1729,   711,   712,   713,   714,   715,  1730,     0,   716,   717,
     718,   719,   720,   773,  1731,     0,   721,   233,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   235,  1732,  1733,  1734,  1735,   240,  1736,
    1737,  1738,  1739,   245,   774,   733,   734,  1740,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1741,  1742,
       0,     0,     0,     0,     0,     0,     0,  1744,   797,    81,
      82,   750,    84,    85,    86,   751,     0,   752,    89,     0,
       0,    92,    93,    94,    95,    96,    97,   798,    98,    99,
     753,   799,     0,   101,   102,   103,   104,   800,   801,   106,
     107,   108,     0,   109,   802,   803,   754,   755,     0,     0,
       0,   756,   757,     0,     0,     0,     0,   758,     0,     0,
       0,     0,     0,     0,     0,     0,   759,     0,   760,     0,
     761,   762,    35,   430,     0,     0,    37,     0,    38,    39,
       0,  1674,  1675,  1676,    40,  1677,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1678,
       0,     0,   442,   443,   444,     0,   445,   446,   447,   448,
     126,   449,   450,   451,   128,  1679,   130,  1680,  1681,     0,
     452,   453,   454,   455,   456,   457,   458,  1682,  1683,   459,
     460,  1684,  1685,   461,     0,   462,   463,   464,   465,  1686,
       0,  1687,     0,   466,   467,   468,   469,   470,   471,   142,
     472,   473,   765,     0,   474,   475,   476,   477,   478,   479,
       0,   145,   480,   481,     0,  1688,  1689,  1690,  1691,  1692,
    1693,  1694,   484,   485,   486,   487,   767,   488,  1695,  1696,
     489,  1697,   490,     0,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,     0,     0,   502,   503,
    1507,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,     0,   513,   514,   515,   516,  1698,   517,   518,   519,
     520,  1699,  1700,   521,     0,   522,   523,   524,  1701,   525,
       0,   526,     0,   527,   163,     0,   164,   528,   529,   530,
     531,     0,   532,  1702,     0,  1703,   533,   534,     0,   535,
     536,   769,   537,   538,   168,   539,   540,   541,   542,     0,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   170,
     171,     0,   551,   552,   553,  1510,  1704,     0,  1705,     0,
     554,   174,   175,   555,   176,   556,   557,   558,   559,   560,
       0,     0,   561,  1706,   178,   562,   179,     0,   563,   564,
     565,  1707,  1708,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   770,   577,   578,   771,   579,   580,
     581,  1709,   185,  1710,   582,   583,   584,   585,   586,   587,
     588,   187,  1711,   589,  1712,   590,   591,   190,   592,  1713,
    1714,   593,  1715,   594,   595,   596,     0,   597,   598,     0,
       0,  1716,   600,   601,     0,     0,   602,   603,   193,   194,
     604,   195,  1717,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,  1718,   617,   198,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,  1719,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,     0,   648,   649,   207,   650,   651,   652,   653,
     654,  1720,   655,   656,   657,   658,   659,   660,   661,   772,
     662,     0,   663,   664,   665,   666,   667,  1721,   669,   670,
     214,   671,   672,   216,   673,   674,  1722,   675,     0,   676,
     677,   678,   679,   680,   681,   682,   683,   684,   685,   686,
     687,   688,  1723,   689,     0,   690,   691,     0,   692,   221,
     693,   694,   695,   696,   697,     0,   698,  1724,  1725,     0,
       0,   700,   701,  1726,   702,  1727,  1728,   703,   704,   705,
     706,   707,   708,   709,   710,     0,  1729,   711,   712,   713,
     714,   715,  1730,     0,   716,   717,   718,   719,   720,   773,
    1731,  4212,   721,   233,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   235,
    1732,  1733,  1734,  1735,   240,  1736,  1737,  1738,  1739,   245,
     774,   733,   734,  1740,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1741,  1742,     0,     0,     0,     0,
       0,     0,     0,  1744,   797,    81,    82,   750,    84,    85,
      86,   751,     0,   752,    89,     0,     0,    92,    93,    94,
      95,    96,    97,   798,    98,    99,   753,   799,     0,   101,
     102,   103,   104,   800,   801,   106,   107,   108,     0,   109,
     802,   803,   754,   755,     0,     0,     0,   756,   757,     0,
       0,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,   759,     0,   760,     0,   761,   762,    35,   430,
       0,     0,    37,     0,    38,    39,     0,  1674,  1675,  1676,
      40,  1677,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1678,     0,     0,   442,   443,
     444,     0,   445,   446,   447,   448,   126,   449,   450,   451,
     128,  1679,   130,  1680,  1681,     0,   452,   453,   454,   455,
     456,   457,   458,  1682,  1683,   459,   460,  1684,  1685,   461,
       0,   462,   463,   464,   465,  1686,     0,  1687,     0,   466,
     467,   468,   469,   470,   471,   142,   472,   473,   765,     0,
     474,   475,   476,   477,   478,   479,     0,   145,   480,   481,
       0,  1688,  1689,  1690,  1691,  1692,  1693,  1694,   484,   485,
     486,   487,   767,   488,  1695,  1696,   489,  1697,   490,     0,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,     0,     0,   502,   503,  1507,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,     0,   513,   514,
     515,   516,  1698,   517,   518,   519,   520,  1699,  1700,   521,
       0,   522,   523,   524,  1701,   525,     0,   526,     0,   527,
     163,  3729,   164,   528,   529,   530,   531,     0,   532,  1702,
       0,  1703,   533,   534,     0,   535,   536,   769,   537,   538,
     168,   539,   540,   541,   542,     0,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   170,   171,     0,   551,   552,
     553,  1510,  1704,     0,  1705,     0,   554,   174,   175,   555,
     176,   556,   557,   558,   559,   560,     0,     0,   561,  1706,
     178,   562,   179,     0,   563,   564,   565,  1707,  1708,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     770,   577,   578,   771,   579,   580,   581,  1709,   185,  1710,
     582,   583,   584,   585,   586,   587,   588,   187,  1711,   589,
    1712,   590,   591,   190,   592,  1713,  1714,   593,  1715,   594,
     595,   596,     0,   597,   598,     0,     0,  1716,   600,   601,
       0,     0,   602,   603,   193,   194,   604,   195,  1717,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,  1718,   617,   198,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,  1719,
     631,   632,   633,   634,     0,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,   648,
     649,   207,   650,   651,   652,   653,   654,  1720,   655,   656,
     657,   658,   659,   660,   661,   772,   662,     0,   663,   664,
     665,   666,   667,  1721,   669,   670,   214,   671,   672,   216,
     673,   674,  1722,   675,     0,   676,   677,   678,   679,   680,
     681,   682,   683,   684,   685,   686,   687,   688,  1723,   689,
       0,   690,   691,     0,   692,   221,   693,   694,   695,   696,
     697,     0,   698,  1724,  1725,     0,     0,   700,   701,  1726,
     702,  1727,  1728,   703,   704,   705,   706,   707,   708,   709,
     710,     0,  1729,   711,   712,   713,   714,   715,  1730,     0,
     716,   717,   718,   719,   720,   773,  1731,     0,   721,   233,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   235,  1732,  1733,  1734,  1735,
     240,  1736,  1737,  1738,  1739,   245,   774,   733,   734,  1740,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1741,  1742,     0,     0,     0,     0,     0,     0,     0,  1744,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,   430,     0,     0,    37,     0,
      38,    39,     0,  1674,  1675,  1676,    40,  1677,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1678,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,   126,   449,   450,   451,   128,  1679,   130,  1680,
    1681,     0,   452,   453,   454,   455,   456,   457,   458,  1682,
    1683,   459,   460,  1684,  1685,   461,     0,   462,   463,   464,
     465,  1686,     0,  1687,     0,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,   145,   480,   481,     0,  1688,  1689,  1690,
    1691,  1692,  1693,  1694,   484,   485,   486,   487,   767,   488,
    1695,  1696,   489,  1697,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,  1507,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,  1698,   517,
     518,   519,   520,  1699,  1700,   521,     0,   522,   523,   524,
    1701,   525,     0,   526,     0,   527,   163,     0,   164,   528,
     529,   530,   531,     0,   532,  1702,     0,  1703,   533,   534,
       0,   535,   536,   769,   537,   538,   168,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   170,   171,     0,   551,   552,   553,  1510,  1704,     0,
    1705,     0,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,     0,     0,   561,  1706,   178,   562,   179,     0,
     563,   564,   565,  1707,  1708,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,  1709,   185,  1710,   582,   583,   584,   585,
     586,   587,   588,   187,  1711,   589,  1712,   590,   591,   190,
     592,  1713,  1714,   593,  1715,   594,   595,   596,     0,   597,
     598,     0,     0,  1716,   600,   601,     0,     0,   602,   603,
     193,   194,   604,   195,  1717,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,  1718,   617,
     198,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,  1719,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,   207,   650,   651,
     652,   653,   654,  1720,   655,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,  1721,
     669,   670,   214,   671,   672,   216,   673,   674,  1722,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,  1723,   689,     0,   690,   691,     0,
     692,   221,   693,   694,   695,   696,   697,     0,   698,  1724,
    1725,  3783,     0,   700,   701,  1726,   702,  1727,  1728,   703,
     704,   705,   706,   707,   708,   709,   710,     0,  1729,   711,
     712,   713,   714,   715,  1730,     0,   716,   717,   718,   719,
     720,   773,  1731,     0,   721,   233,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   235,  1732,  1733,  1734,  1735,   240,  1736,  1737,  1738,
    1739,   245,   774,   733,   734,  1740,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1741,  1742,     0,     0,
       0,     0,     0,     0,     0,  1744,   797,    81,    82,   750,
      84,    85,    86,   751,     0,   752,    89,     0,     0,    92,
      93,    94,    95,    96,    97,   798,    98,    99,   753,   799,
       0,   101,   102,   103,   104,   800,   801,   106,   107,   108,
       0,   109,   802,   803,   754,   755,     0,     0,     0,   756,
     757,     0,     0,     0,     0,   758,     0,     0,     0,     0,
       0,     0,     0,     0,   759,     0,   760,     0,   761,   762,
      35,   430,     0,     0,    37,     0,    38,    39,     0,  1674,
    1675,  1676,    40,  1677,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1678,     0,     0,
     442,   443,   444,     0,   445,   446,   447,   448,   126,   449,
     450,   451,   128,  1679,   130,  1680,  1681,     0,   452,   453,
     454,   455,   456,   457,   458,  1682,  1683,   459,   460,  1684,
    1685,   461,     0,   462,   463,   464,   465,  1686,     0,  1687,
       0,   466,   467,   468,   469,   470,   471,   142,   472,   473,
     765,     0,   474,   475,   476,   477,   478,   479,     0,   145,
     480,   481,  5211,  1688,  1689,  1690,  1691,  1692,  1693,  1694,
     484,   485,   486,   487,   767,   488,  1695,  1696,   489,  1697,
     490,     0,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,     0,     0,   502,   503,  1507,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,     0,
     513,   514,   515,   516,  1698,   517,   518,   519,   520,  1699,
    1700,   521,     0,   522,   523,   524,  1701,   525,     0,   526,
       0,   527,   163,     0,   164,   528,   529,   530,   531,     0,
     532,  1702,     0,  1703,   533,   534,     0,   535,   536,   769,
     537,   538,   168,   539,   540,   541,   542,     0,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   170,   171,     0,
     551,   552,   553,  1510,  1704,     0,  1705,     0,   554,   174,
     175,   555,   176,   556,   557,   558,   559,   560,     0,     0,
     561,  1706,   178,   562,   179,     0,   563,   564,   565,  1707,
    1708,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   770,   577,   578,   771,   579,   580,   581,  1709,
     185,  1710,   582,   583,   584,   585,   586,   587,   588,   187,
    1711,   589,  1712,   590,   591,   190,   592,  1713,  1714,   593,
    1715,   594,   595,   596,     0,   597,   598,     0,     0,  1716,
     600,   601,     0,     0,   602,   603,   193,   194,   604,   195,
    1717,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,  1718,   617,   198,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,  1719,   631,   632,   633,   634,     0,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,   648,   649,   207,   650,   651,   652,   653,   654,  1720,
     655,   656,   657,   658,   659,   660,   661,   772,   662,     0,
     663,   664,   665,   666,   667,  1721,   669,   670,   214,   671,
     672,   216,   673,   674,  1722,   675,     0,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
    1723,   689,     0,   690,   691,     0,   692,   221,   693,   694,
     695,   696,   697,     0,   698,  1724,  1725,     0,     0,   700,
     701,  1726,   702,  1727,  1728,   703,   704,   705,   706,   707,
     708,   709,   710,     0,  1729,   711,   712,   713,   714,   715,
    1730,     0,   716,   717,   718,   719,   720,   773,  1731,     0,
     721,   233,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   235,  1732,  1733,
    1734,  1735,   240,  1736,  1737,  1738,  1739,   245,   774,   733,
     734,  1740,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1741,  1742,     0,     0,     0,     0,     0,     0,
       0,  1744,   797,    81,    82,   750,    84,    85,    86,   751,
       0,   752,    89,     0,     0,    92,    93,    94,    95,    96,
      97,   798,    98,    99,   753,   799,     0,   101,   102,   103,
     104,   800,   801,   106,   107,   108,     0,   109,   802,   803,
     754,   755,     0,     0,     0,   756,   757,     0,     0,     0,
       0,   758,     0,     0,     0,     0,     0,     0,     0,     0,
     759,     0,   760,     0,   761,   762,    35,   430,     0,     0,
      37,     0,    38,    39,     0,  1674,  1675,  1676,    40,  1677,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1678,     0,     0,   442,   443,   444,     0,
     445,   446,   447,   448,   126,   449,   450,   451,  6432,  1679,
     130,  1680,  1681,     0,   452,   453,   454,   455,   456,   457,
     458,  1682,  1683,   459,   460,  1684,  1685,   461,     0,   462,
     463,   464,   465,  1686,     0,  1687,     0,   466,   467,   468,
     469,   470,   471,   142,   472,   473,   765,     0,   474,   475,
     476,   477,   478,   479,     0,   145,   480,   481,  6433,  1688,
    1689,  1690,  1691,  1692,  1693,  1694,   484,   485,   486,   487,
     767,   488,  1695,  1696,   489,  1697,   490,     0,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
       0,     0,   502,   503,  1507,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,     0,   513,   514,   515,   516,
    1698,   517,   518,   519,   520,  1699,  1700,   521,     0,   522,
     523,   524,  1701,   525,     0,   526,     0,   527,   163,     0,
     164,   528,   529,   530,   531,     0,   532,  1702,     0,  1703,
     533,   534,     0,   535,   536,   769,   537,   538,   168,   539,
     540,   541,   542,     0,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   170,   171,     0,   551,   552,   553,  1510,
    1704,     0,  1705,     0,   554,   174,   175,   555,   176,   556,
     557,   558,   559,   560,     0,     0,   561,  1706,   178,   562,
     179,     0,   563,   564,   565,  1707,  1708,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   770,   577,
     578,   771,   579,   580,   581,  1709,   185,  1710,   582,   583,
     584,   585,   586,   587,   588,   187,  1711,   589,  1712,   590,
     591,   190,   592,  1713,  1714,   593,  1715,   594,   595,   596,
       0,   597,   598,     0,     0,  1716,   600,   601,     0,     0,
     602,   603,   193,   194,   604,   195,  1717,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
    1718,   617,   198,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,  1719,   631,   632,
     633,   634,     0,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,   648,   649,   207,
     650,   651,   652,   653,   654,  1720,   655,   656,   657,   658,
     659,   660,   661,   772,   662,     0,   663,   664,   665,   666,
     667,  1721,   669,   670,   214,   671,   672,   216,   673,   674,
    1722,   675,     0,   676,   677,   678,   679,   680,   681,   682,
     683,   684,   685,   686,   687,   688,  1723,   689,     0,   690,
     691,     0,   692,   221,   693,   694,   695,   696,   697,     0,
     698,  1724,  1725,     0,     0,   700,   701,  1726,   702,  1727,
    1728,   703,   704,   705,   706,   707,  6434,   709,   710,     0,
    1729,   711,   712,   713,   714,   715,  1730,     0,   716,   717,
     718,   719,   720,   773,  1731,     0,   721,   233,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   235,  1732,  1733,  1734,  1735,   240,  1736,
    1737,  1738,  1739,   245,   774,   733,   734,  1740,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1741,  1742,
       0,     0,     0,     0,     0,     0,     0,  1744,   797,    81,
      82,   750,    84,    85,    86,   751,     0,   752,    89,     0,
       0,    92,    93,    94,    95,    96,    97,   798,    98,    99,
     753,   799,     0,   101,   102,   103,   104,   800,   801,   106,
     107,   108,     0,   109,   802,   803,   754,   755,     0,     0,
       0,   756,   757,     0,     0,     0,     0,   758,     0,     0,
       0,     0,     0,     0,     0,     0,   759,     0,   760,     0,
     761,   762,    35,   430,     0,     0,    37,     0,    38,    39,
       0,  1674,  1675,  1676,    40,  1677,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1678,
       0,     0,   442,   443,   444,     0,   445,   446,   447,   448,
     126,   449,   450,   451,   128,  1679,   130,  1680,  1681,     0,
     452,   453,   454,   455,   456,   457,   458,  1682,  1683,   459,
     460,  1684,  1685,   461,     0,   462,   463,   464,   465,  1686,
       0,  1687,     0,   466,   467,   468,   469,   470,   471,   142,
     472,   473,   765,     0,   474,   475,   476,   477,   478,   479,
       0,   145,   480,   481,  6433,  1688,  1689,  1690,  1691,  1692,
    1693,  1694,   484,   485,   486,   487,   767,   488,  1695,  1696,
     489,  1697,   490,     0,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,     0,     0,   502,   503,
    1507,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,     0,   513,   514,   515,   516,  1698,   517,   518,   519,
     520,  1699,  1700,   521,     0,   522,   523,   524,  1701,   525,
       0,   526,     0,   527,   163,     0,   164,   528,   529,   530,
     531,     0,   532,  1702,     0,  1703,   533,   534,     0,   535,
     536,   769,   537,   538,   168,   539,   540,   541,   542,     0,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   170,
     171,     0,   551,   552,   553,  1510,  1704,     0,  1705,     0,
     554,   174,   175,   555,   176,   556,   557,   558,   559,   560,
       0,     0,   561,  1706,   178,   562,   179,     0,   563,   564,
     565,  1707,  1708,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   770,   577,   578,   771,   579,   580,
     581,  1709,   185,  1710,   582,   583,   584,   585,   586,   587,
     588,   187,  1711,   589,  1712,   590,   591,   190,   592,  1713,
    1714,   593,  1715,   594,   595,   596,     0,   597,   598,     0,
       0,  1716,   600,   601,     0,     0,   602,   603,   193,   194,
     604,   195,  1717,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,  1718,   617,   198,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,  1719,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,     0,   648,   649,   207,   650,   651,   652,   653,
     654,  1720,   655,   656,   657,   658,   659,   660,   661,   772,
     662,     0,   663,   664,   665,   666,   667,  1721,   669,   670,
     214,   671,   672,   216,   673,   674,  1722,   675,     0,   676,
     677,   678,   679,   680,   681,   682,   683,   684,   685,   686,
     687,   688,  1723,   689,     0,   690,   691,     0,   692,   221,
     693,   694,   695,   696,   697,     0,   698,  1724,  1725,     0,
       0,   700,   701,  1726,   702,  1727,  1728,   703,   704,   705,
     706,   707,  6434,   709,   710,     0,  1729,   711,   712,   713,
     714,   715,  1730,     0,   716,   717,   718,   719,   720,   773,
    1731,     0,   721,   233,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   235,
    1732,  1733,  1734,  1735,   240,  1736,  1737,  1738,  1739,   245,
     774,   733,   734,  1740,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1741,  1742,     0,     0,     0,     0,
       0,     0,     0,  1744,   797,    81,    82,   750,    84,    85,
      86,   751,     0,   752,    89,     0,     0,    92,    93,    94,
      95,    96,    97,   798,    98,    99,   753,   799,     0,   101,
     102,   103,   104,   800,   801,   106,   107,   108,     0,   109,
     802,   803,   754,   755,     0,     0,     0,   756,   757,     0,
       0,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,   759,     0,   760,     0,   761,   762,    35,   430,
       0,     0,    37,     0,    38,    39,     0,  1674,  1675,  1676,
      40,  1677,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1678,     0,     0,   442,   443,
     444,     0,   445,   446,   447,   448,   126,   449,   450,   451,
     128,  1679,   130,  1680,  1681,     0,   452,   453,   454,   455,
     456,   457,   458,  1682,  1683,   459,   460,  1684,  1685,   461,
       0,   462,   463,   464,   465,  1686,     0,  1687,     0,   466,
     467,   468,   469,   470,   471,   142,   472,   473,   765,     0,
     474,   475,   476,   477,   478,   479,     0,   145,   480,   481,
       0,  1688,  1689,  1690,  1691,  1692,  1693,  1694,   484,   485,
     486,   487,   767,   488,  1695,  1696,   489,  1697,   490,     0,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,     0,     0,   502,   503,  1507,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,     0,   513,   514,
     515,   516,  1698,   517,   518,   519,   520,  1699,  1700,   521,
       0,   522,   523,   524,  1701,   525,     0,   526,     0,   527,
     163,     0,   164,   528,   529,   530,   531,     0,   532,  1702,
       0,  1703,   533,   534,     0,   535,   536,   769,   537,   538,
     168,   539,   540,   541,   542,     0,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   170,   171,     0,   551,   552,
     553,  1510,  1704,     0,  1705,     0,   554,   174,   175,   555,
     176,   556,   557,   558,   559,   560,     0,     0,   561,  1706,
     178,   562,   179,     0,   563,   564,   565,  1707,  1708,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     770,   577,   578,   771,   579,   580,   581,  1709,   185,  1710,
     582,   583,   584,   585,   586,   587,   588,   187,  1711,   589,
    1712,   590,   591,   190,   592,  1713,  1714,   593,  1715,   594,
     595,   596,     0,   597,   598,     0,     0,  1716,   600,   601,
       0,     0,   602,   603,   193,   194,   604,   195,  1717,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,  1718,   617,   198,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,  1719,
     631,   632,   633,   634,     0,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,   648,
     649,   207,   650,   651,   652,   653,   654,  1720,   655,   656,
     657,   658,   659,   660,   661,   772,   662,     0,   663,   664,
     665,   666,   667,  1721,   669,   670,   214,   671,   672,   216,
     673,   674,  1722,   675,     0,   676,   677,   678,   679,   680,
     681,   682,   683,   684,   685,   686,   687,   688,  1723,   689,
       0,   690,   691,     0,   692,   221,   693,   694,   695,   696,
     697,     0,   698,  1724,  1725,     0,     0,   700,   701,  1726,
     702,  1727,  1728,   703,   704,   705,   706,   707,   708,   709,
     710,     0,  1729,   711,   712,   713,   714,   715,  1730,     0,
     716,   717,   718,   719,   720,   773,  1731,     0,   721,   233,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   235,  1732,  1733,  1734,  1735,
     240,  1736,  1737,  1738,  1739,   245,   774,   733,   734,  1740,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1741,  1742,     0,     0,     0,     0,     0,     0,     0,  1744,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,   430,     0,     0,    37,     0,
      38,    39,     0,  1674,  1675,  1676,    40,  1677,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1678,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,   126,   449,   450,   451,   128,  1679,   130,  1680,
    1681,     0,   452,   453,   454,   455,   456,   457,   458,  1682,
    1683,   459,   460,  1684,  1685,   461,     0,   462,   463,   464,
     465,  1686,     0,  1687,     0,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,   145,   480,   481,     0,  1688,  1689,  1690,
    1691,  1692,  1693,  1694,   484,   485,   486,   487,   767,   488,
    1695,  1696,   489,  1697,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,  1507,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,  1698,   517,
     518,   519,   520,  1699,  1700,   521,     0,   522,   523,   524,
    1701,   525,     0,   526,     0,   527,   163,     0,   164,   528,
     529,   530,   531,     0,   532,  1702,     0,  1703,   533,   534,
       0,   535,   536,   769,   537,   538,   168,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   170,   171,     0,   551,   552,   553,  1510,  1704,     0,
    1705,     0,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,     0,     0,   561,  1706,   178,   562,   179,     0,
     563,   564,   565,  1707,  1708,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,  1709,   185,  1710,   582,   583,   584,   585,
     586,   587,   588,   187,  1711,   589,  1712,   590,   591,   190,
     592,  1713,  1714,   593,  1715,   594,   595,   596,     0,   597,
     598,     0,     0,  1716,   600,   601,     0,     0,   602,   603,
     193,   194,   604,   195,  1717,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,  1718,   617,
     198,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,  1719,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,   207,   650,   651,
     652,   653,   654,  1720,   655,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,  1721,
     669,   670,   214,   671,   672,   216,   673,   674,  1722,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,  1723,   689,     0,   690,   691,     0,
     692,   221,   693,   694,   695,   696,   697,     0,   698,  1724,
    1725,     0,     0,   700,   701,  1726,   702,  1727,  1728,   703,
     704,   705,   706,   707,   708,   709,   710,     0,  1729,   711,
     712,   713,   714,   715,  1730,     0,   716,   717,   718,   719,
     720,   773,  1731,     0,   721,   233,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   235,  1732,  1733,  1734,  1735,   240,  1736,  1737,  1738,
    1739,   245,   774,   733,   734,  1740,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3042,  3043,     0,     0,
       0,     0,     0,     0,     0,  1744,   797,    81,    82,   750,
      84,    85,    86,   751,     0,   752,    89,     0,     0,    92,
      93,    94,    95,    96,    97,   798,    98,    99,   753,   799,
       0,   101,   102,   103,   104,   800,   801,   106,   107,   108,
       0,   109,   802,   803,   754,   755,     0,     0,     0,   756,
     757,     0,     0,     0,     0,   758,     0,     0,     0,     0,
       0,     0,     0,     0,   759,     0,   760,     0,   761,   762,
      35,   430,     0,     0,    37,     0,    38,    39,     0,  1674,
    1675,  1676,    40,  1677,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1678,     0,     0,
     442,   443,   444,     0,   445,   446,   447,   448,   126,   449,
     450,   451,   128,  1679,   130,  1680,  1681,     0,   452,   453,
     454,   455,   456,   457,   458,  1682,  1683,   459,   460,  1684,
    1685,   461,     0,   462,   463,   464,   465,  1686,     0,  1687,
       0,   466,   467,   468,   469,   470,   471,   142,   472,   473,
     765,     0,   474,   475,   476,   477,   478,   479,     0,   145,
     480,   481,     0,  1688,  1689,  1690,  1691,  1692,  1693,  1694,
     484,   485,   486,   487,   767,   488,  1695,  1696,   489,  1697,
     490,     0,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,     0,     0,   502,   503,  1507,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,     0,
     513,   514,   515,   516,  1698,   517,   518,   519,   520,  1699,
    1700,   521,     0,   522,   523,   524,  1701,   525,     0,   526,
       0,   527,   163,     0,   164,   528,   529,   530,   531,     0,
     532,  1702,     0,  1703,   533,   534,     0,   535,   536,   769,
     537,   538,   168,   539,   540,   541,   542,     0,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   170,   171,     0,
     551,   552,   553,  1510,  1704,     0,  1705,     0,   554,   174,
     175,   555,   176,   556,   557,   558,   559,   560,     0,     0,
     561,  1706,   178,   562,   179,     0,   563,   564,   565,  1707,
    1708,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   770,   577,   578,   771,   579,   580,   581,  1709,
     185,  1710,   582,   583,   584,   585,   586,   587,   588,   187,
    1711,   589,  1712,   590,   591,   190,   592,  1713,  1714,   593,
    1715,   594,   595,   596,     0,   597,   598,     0,     0,  1716,
     600,   601,     0,     0,   602,   603,   193,   194,   604,   195,
    1717,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,  1718,   617,   198,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,  1719,   631,   632,   633,   634,     0,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,   648,   649,   207,   650,   651,   652,   653,   654,  1720,
     655,   656,   657,   658,   659,   660,   661,   772,   662,     0,
     663,   664,   665,   666,   667,  1721,   669,   670,   214,   671,
     672,   216,   673,   674,  1722,   675,     0,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
    1723,   689,     0,   690,   691,     0,   692,   221,   693,   694,
     695,   696,   697,     0,   698,  1724,  1725,     0,     0,   700,
     701,  1726,   702,  1727,  1728,   703,   704,   705,   706,   707,
     708,   709,   710,     0,  1729,   711,   712,   713,   714,   715,
    1730,     0,   716,   717,   718,   719,   720,   773,  1731,     0,
     721,   233,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,  5587,  1732,  1733,
    1734,  1735,   240,  1736,  1737,  1738,  1739,   245,   774,   733,
     734,  1740,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1741,  1742,     0,     0,     0,     0,     0,     0,
       0,  1744,   797,    81,    82,   750,    84,    85,    86,   751,
       0,   752,    89,     0,     0,    92,    93,    94,    95,    96,
      97,   798,    98,    99,   753,   799,     0,   101,   102,   103,
     104,   800,   801,   106,   107,   108,     0,   109,   802,   803,
     754,   755,     0,     0,     0,   756,   757,     0,     0,     0,
       0,   758,     0,     0,     0,     0,     0,     0,     0,     0,
     759,     0,   760,     0,   761,   762,    35,   430,     0,     0,
      37,     0,    38,    39,     0,  1674,  1675,  1676,    40,  1677,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1678,     0,     0,   442,   443,   444,     0,
     445,   446,   447,   448,   126,   449,   450,   451,   128,  1679,
     130,  1680,  1681,     0,   452,   453,   454,   455,   456,   457,
     458,  1682,  1683,   459,   460,  1684,  1685,   461,     0,   462,
     463,   464,   465,  1686,     0,  1687,     0,   466,   467,   468,
     469,   470,   471,   142,   472,   473,   765,     0,   474,   475,
     476,   477,   478,   479,     0,   145,   480,   481,     0,  1688,
    1689,  1690,  1691,  1692,  1693,  1694,   484,   485,   486,   487,
     767,   488,  1695,  1696,   489,  1697,   490,     0,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
       0,     0,   502,   503,  1507,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,     0,   513,   514,   515,   516,
    1698,   517,   518,   519,   520,  1699,  1700,   521,     0,   522,
     523,   524,  1701,   525,     0,   526,     0,   527,   163,     0,
     164,   528,   529,   530,   531,     0,   532,  1702,     0,  1703,
     533,   534,     0,   535,   536,   769,   537,   538,   168,   539,
     540,   541,   542,     0,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   170,   171,     0,   551,   552,   553,  1510,
    1704,     0,  1705,     0,   554,   174,   175,   555,   176,   556,
     557,   558,   559,   560,     0,     0,   561,  1706,   178,   562,
     179,     0,   563,   564,   565,  1707,  1708,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   770,   577,
     578,   771,   579,   580,   581,  1709,   185,  1710,   582,   583,
     584,   585,   586,   587,  5599,   187,  1711,   589,  1712,   590,
     591,   190,   592,  1713,  1714,   593,  1715,   594,   595,   596,
       0,   597,   598,     0,     0,  1716,   600,   601,     0,     0,
     602,   603,   193,   194,   604,   195,  1717,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
    1718,   617,   198,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,  1719,   631,   632,
     633,   634,     0,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,   648,   649,   207,
     650,   651,   652,   653,   654,  1720,   655,   656,   657,   658,
     659,   660,   661,   772,   662,     0,   663,   664,   665,   666,
     667,  1721,   669,   670,   214,   671,   672,   216,   673,   674,
    1722,   675,     0,   676,   677,   678,   679,   680,   681,   682,
     683,   684,   685,   686,   687,   688,  1723,   689,     0,   690,
     691,     0,   692,   221,   693,   694,   695,   696,   697,     0,
     698,  1724,  1725,     0,     0,   700,   701,  1726,   702,  1727,
    1728,   703,   704,   705,   706,   707,   708,   709,   710,     0,
    1729,   711,   712,   713,   714,   715,  1730,     0,   716,   717,
     718,   719,   720,   773,  1731,     0,   721,   233,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   235,  1732,  1733,  1734,  1735,   240,  1736,
    1737,  1738,  1739,   245,   774,   733,   734,  1740,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1741,  1742,
       0,     0,     0,     0,     0,     0,     0,  1744,   797,    81,
      82,   750,    84,    85,    86,   751,     0,   752,    89,     0,
       0,    92,    93,    94,    95,    96,    97,   798,    98,    99,
     753,   799,     0,   101,   102,   103,   104,   800,   801,   106,
     107,   108,     0,   109,   802,   803,   754,   755,     0,     0,
       0,   756,   757,     0,     0,     0,     0,   758,     0,     0,
       0,     0,     0,     0,     0,     0,   759,     0,   760,     0,
     761,   762,    35,   430,     0,     0,    37,     0,    38,    39,
       0,  1674,  1675,  1676,    40,  1677,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1678,
       0,     0,   442,   443,   444,     0,   445,   446,   447,   448,
     126,   449,   450,   451,   128,  1679,   130,  1680,  1681,     0,
     452,   453,   454,   455,   456,   457,   458,  1682,  1683,   459,
     460,  1684,  1685,   461,     0,   462,   463,   464,   465,  1686,
       0,  1687,     0,   466,   467,   468,   469,   470,   471,   142,
     472,   473,   765,     0,   474,   475,   476,   477,   478,   479,
       0,   145,   480,  6138,     0,  1688,  1689,  1690,  1691,  1692,
    1693,  1694,   484,   485,   486,   487,   767,   488,  1695,  1696,
     489,  1697,   490,     0,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,     0,     0,   502,   503,
    1507,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,     0,   513,   514,   515,   516,  1698,   517,   518,   519,
     520,  1699,  1700,   521,     0,   522,   523,   524,  1701,   525,
       0,   526,     0,   527,   163,     0,   164,   528,   529,   530,
     531,     0,   532,  1702,     0,  6139,   533,   534,     0,   535,
     536,   769,   537,   538,   168,   539,   540,   541,   542,     0,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   170,
     171,     0,   551,   552,   553,  1510,  1704,     0,  1705,     0,
     554,   174,   175,   555,   176,   556,   557,   558,   559,   560,
       0,     0,   561,  1706,   178,   562,   179,     0,   563,   564,
     565,  1707,  1708,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   770,   577,   578,   771,   579,   580,
     581,  1709,   185,  1710,   582,   583,   584,   585,   586,   587,
     588,   187,  1711,   589,  1712,   590,   591,   190,   592,  1713,
    1714,   593,  1715,   594,   595,   596,     0,   597,   598,     0,
       0,  1716,   600,   601,     0,     0,   602,   603,   193,   194,
     604,   195,  1717,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,  1718,   617,   198,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,  1719,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,     0,   648,   649,   207,   650,   651,  6140,   653,
     654,  1720,   655,   656,   657,   658,   659,   660,   661,   772,
     662,     0,   663,   664,   665,   666,   667,  1721,   669,   670,
     214,   671,   672,   216,   673,   674,  1722,   675,     0,   676,
     677,   678,   679,   680,   681,   682,   683,   684,   685,   686,
     687,   688,  1723,   689,     0,   690,   691,     0,   692,   221,
     693,   694,   695,   696,   697,     0,   698,  1724,  1725,     0,
       0,   700,   701,  1726,   702,  1727,  1728,   703,   704,   705,
     706,   707,   708,   709,   710,     0,  1729,   711,   712,   713,
     714,   715,  1730,     0,   716,   717,   718,   719,   720,   773,
    1731,     0,   721,   233,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   235,
    1732,  1733,  1734,  1735,   240,  1736,  1737,  1738,  1739,   245,
     774,   733,   734,  1740,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1741,  1742,     0,     0,     0,     0,
       0,     0,     0,  6141,   797,    81,    82,   750,    84,    85,
      86,   751,     0,   752,    89,     0,     0,    92,    93,    94,
      95,    96,    97,   798,    98,    99,   753,   799,     0,   101,
     102,   103,   104,   800,   801,   106,   107,   108,     0,   109,
     802,   803,   754,   755,     0,     0,     0,   756,   757,     0,
       0,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,   759,     0,   760,     0,   761,   762,    35,   430,
       0,     0,    37,     0,    38,    39,     0,  1674,  1675,  1676,
      40,  1677,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1678,     0,     0,   442,   443,
     444,     0,   445,   446,   447,   448,   126,   449,   450,   451,
   -3514,  1679,   130,  1680,  1681,     0,   452,   453,   454,   455,
     456,   457,   458,  1682,  1683,   459,   460,  1684,  1685,   461,
       0,   462,   463,   464,   465,  1686,     0,  1687,     0,   466,
     467,   468,   469,   470,   471,   142,   472,   473,   765,     0,
     474,   475,   476,   477,   478,   479,     0,   145,   480,   481,
    6433,  1688,  1689,  1690,  1691,  1692,  1693,  1694,   484,   485,
     486,   487,   767,   488,  1695,  1696,   489,  1697,   490,     0,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,     0,     0,   502,   503,  1507,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,     0,   513,   514,
     515,   516,  1698,   517,   518,   519,   520,  1699,  1700,   521,
       0,   522,   523,   524,  1701,   525,     0,   526,     0,   527,
     163,     0,   164,   528,   529,   530,   531,     0,   532,  1702,
       0,  1703,   533,   534,     0,   535,   536,   769,   537,   538,
   -3514,   539,   540,   541,   542,     0,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   170,   171,     0,   551,   552,
     553,  1510,  1704,     0,  1705,     0,   554,     0,     0,   555,
     176,   556,   557,   558,   559,   560,     0,     0,   561,  1706,
     178,   562, -3514,     0,   563,   564,   565,  1707,  1708,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     770,   577,   578,   771,   579,   580,   581,  1709,   185,  1710,
     582,   583,   584,   585,   586,   587,   588,   187,  1711,   589,
    1712,   590,   591,     0,   592,  1713,  1714,   593,  1715,   594,
     595,   596,     0,   597,   598,     0,     0,  1716,   600,   601,
       0,     0,   602,   603,   193,   194,   604,   195,  1717,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,  1718,   617,   198,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,  1719,
     631,   632,   633,   634,     0,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,   648,
     649,   207,   650,   651,   652,   653,   654,  1720,   655,   656,
     657,   658,   659,   660,   661,   772,   662,     0,   663,   664,
     665,   666,   667,  1721,   669,   670,   214,   671,   672, -3514,
     673,   674,  1722,   675,     0,   676,   677,   678,   679,   680,
     681,   682,   683,   684,   685,   686,   687,   688,  1723,   689,
       0,   690,   691,     0,   692,   221,   693,   694,   695,   696,
     697,     0,   698,  1724,  1725,     0,     0,   700,   701,  1726,
     702,  1727,  1728,   703,   704,   705,   706,   707,  6434,   709,
     710,     0,  1729,   711,   712,   713,   714,   715,  1730,     0,
     716,   717,   718,   719,   720,   773,  1731,     0,   721,   233,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   235,  1732,  1733,  1734,  1735,
     240,  1736,  1737,  1738,  1739,   245,   774,   733,   734, -3514,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1741,  1742,     0,     0,     0,     0,     0,     0,     0,  1744,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,   430,     0,     0,    37,     0,
      38,    39,     0,  1674,  1675,  1676,    40,  1677,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1678,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,   126,   449,   450,   451,   128,  1679,   130,  1680,
    1681,     0,   452,   453,   454,   455,   456,   457,   458,  1682,
    1683,   459,   460,  1684,  1685,   461,     0,   462,   463,   464,
     465,  1686,     0,  1687,     0,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,   145,   480,   481,     0,  1688,  1689,  1690,
    1691,  1692,  1693,  1694,   484,   485,   486,   487,   767,   488,
    1695,  1696,   489,  6123,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,  1507,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,  1698,   517,
     518,   519,   520,  1699,  1700,   521,     0,   522,   523,   524,
    1701,   525,     0,   526,     0,   527,   163,     0,   164,   528,
     529,   530,   531,     0,   532,  1702,     0,  1703,   533,   534,
       0,   535,   536,   769,   537,   538,   168,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   170,   171,     0,   551,   552,   553,  1510,  1704,     0,
    1705,     0,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,     0,     0,   561,  1706,   178,   562,   179,     0,
     563,   564,   565,  1707,  1708,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,  1709,   185,  1710,   582,   583,   584,   585,
     586,   587,   588,   187,  1711,   589,     0,   590,   591,   190,
     592,  1713,  1714,   593,  1715,   594,   595,   596,     0,   597,
     598,     0,     0,  1716,   600,   601,     0,     0,   602,   603,
     193,   194,   604,   195,  1717,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,  1718,   617,
     198,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,  1719,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,   207,   650,   651,
     652,   653,   654,  3714,   655,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,  1721,
     669,   670,   214,   671,   672,   216,   673,   674,  1722,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,  1723,   689,     0,   690,   691,     0,
     692,   221,   693,   694,   695,   696,   697,     0,   698,  1724,
    1725,     0,     0,   700,   701,  1726,   702,  1727,  1728,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,  1730,     0,   716,   717,   718,   719,
     720,   773,  1731,     0,   721,   233,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   235,  1732,  1733,  1734,  1735,   240,  1736,  1737,  1738,
    1739,   245,   774,   733,   734,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3715,  3716,     0,     0,
       0,     0,     0,     0,     0,  3717,   797,    81,    82,   750,
      84,    85,    86,   751,     0,   752,    89,     0,     0,    92,
      93,    94,    95,    96,    97,   798,    98,    99,   753,   799,
       0,   101,   102,   103,   104,   800,   801,   106,   107,   108,
       0,   109,   802,   803,   754,   755,     0,     0,     0,   756,
     757,     0,     0,     0,     0,   758,     0,     0,     0,     0,
       0,     0,     0,     0,   759,     0,   760,     0,   761,   762,
      35,   430,     0,     0,    37,     0,    38,    39,     0,  1674,
    1675,  1676,    40,  1677,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1678,     0,     0,
     442,   443,   444,     0,   445,   446,   447,   448,   126,   449,
     450,   451,   128,  1679,   130,  1680,  1681,     0,   452,   453,
     454,   455,   456,   457,   458,  1682,  1683,   459,   460,  1684,
    1685,   461,     0,   462,   463,   464,   465,  1686,     0,  1687,
       0,   466,   467,   468,   469,   470,   471,   142,   472,   473,
     765,     0,   474,   475,   476,   477,   478,   479,     0,   145,
     480,   481,     0,  1688,  1689,  1690,  1691,  1692,  1693,  1694,
     484,   485,   486,   487,   767,   488,  1695,  1696,   489,     0,
     490,     0,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,     0,     0,   502,   503,  1507,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,     0,
     513,   514,   515,   516,  1698,   517,   518,   519,   520,  1699,
    1700,   521,     0,   522,   523,   524,  1701,   525,     0,   526,
       0,   527,   163,     0,   164,   528,   529,   530,   531,     0,
     532,  1702,     0,  1703,   533,   534,     0,   535,   536,   769,
     537,   538,   168,   539,   540,   541,   542,     0,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   170,   171,     0,
     551,   552,   553,  1510,  1704,     0,  1705,     0,   554,   174,
     175,   555,   176,   556,   557,   558,   559,   560,     0,     0,
     561,  1706,   178,   562,   179,     0,   563,   564,   565,  1707,
    1708,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   770,   577,   578,   771,   579,   580,   581,  1709,
     185,  1710,   582,   583,   584,   585,   586,   587,   588,   187,
    1711,   589,     0,   590,   591,   190,   592,  1713,  1714,   593,
    1715,   594,   595,   596,     0,   597,   598,     0,     0,  1716,
     600,   601,     0,     0,   602,   603,   193,   194,   604,   195,
    1717,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,  1718,   617,   198,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,  1719,   631,   632,   633,   634,     0,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,   648,   649,   207,   650,   651,   652,   653,   654,  3714,
     655,   656,   657,   658,   659,   660,   661,   772,   662,     0,
     663,   664,   665,   666,   667,  1721,   669,   670,   214,   671,
     672,   216,   673,   674,  1722,   675,     0,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
    1723,   689,     0,   690,   691,     0,   692,   221,   693,   694,
     695,   696,   697,     0,   698,  1724,  1725,     0,     0,   700,
     701,  1726,   702,  1727,  1728,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
    1730,     0,   716,   717,   718,   719,   720,   773,  1731,     0,
     721,   233,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   235,  1732,  1733,
    1734,  1735,   240,  1736,  1737,  1738,  1739,   245,   774,   733,
     734,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3715,  3716,     0,     0,     0,     0,     0,     0,
       0,  3717,   797,    81,    82,   750,    84,    85,    86,   751,
       0,   752,    89,     0,     0,    92,    93,    94,    95,    96,
      97,   798,    98,    99,   753,   799,     0,   101,   102,   103,
     104,   800,   801,   106,   107,   108,     0,   109,   802,   803,
     754,   755,     0,     0,     0,   756,   757,     0,     0,     0,
       0,   758,     0,     0,     0,     0,     0,     0,     0,     0,
     759,     0,   760,     0,   761,   762,    35,   430,     0,     0,
      37,     0,    38,    39,     0,  1674,  1675,     0,    40,  1677,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1678,     0,     0,   442,   443,   444,     0,
     445,   446,   447,   448,   126,   449,   450,   451,   128,  1679,
     130,  1680,  1681,     0,   452,   453,   454,   455,   456,   457,
     458,  1682,  1683,   459,   460,  1684,  1685,   461,     0,   462,
     463,   464,   465,  1686,     0,  1687,     0,   466,   467,   468,
     469,   470,   471,   142,   472,   473,   765,     0,   474,   475,
     476,   477,   478,   479,     0,   145,   480,   481,     0,  1688,
    1689,  1690,  1691,  1692,  1693,  1694,   484,   485,   486,   487,
     767,   488,  1695,  1696,   489,     0,   490,     0,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
       0,     0,   502,   503,  1507,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,     0,   513,   514,   515,   516,
    1698,   517,   518,   519,   520,  1699,  1700,   521,     0,   522,
     523,   524,  1701,   525,     0,   526,     0,   527,   163,     0,
     164,   528,   529,   530,   531,     0,   532,  1702,     0,  1703,
     533,   534,     0,   535,   536,   769,   537,   538,   168,   539,
     540,   541,   542,     0,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   170,   171,     0,   551,   552,   553,  1510,
    1704,     0,  1705,     0,   554,   174,   175,   555,   176,   556,
     557,   558,   559,   560,     0,     0,   561,  1706,   178,   562,
     179,     0,   563,   564,   565,  1707,  1708,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   770,   577,
     578,   771,   579,   580,   581,  1709,   185,  1710,   582,   583,
     584,   585,   586,   587,   588,   187,  1711,   589,     0,   590,
     591,   190,   592,  1713,  1714,   593,  1715,   594,   595,   596,
       0,   597,   598,     0,     0,   599,   600,   601,     0,     0,
     602,   603,   193,   194,   604,   195,  1717,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
    1718,   617,   198,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,  1719,   631,   632,
     633,   634,     0,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,   648,   649,   207,
     650,   651,   652,   653,   654,  3854,  3855,   656,   657,   658,
     659,   660,   661,   772,   662,     0,   663,   664,   665,   666,
     667,  1721,   669,   670,   214,   671,   672,   216,   673,   674,
    1722,   675,     0,   676,   677,   678,   679,   680,   681,   682,
     683,   684,   685,   686,   687,   688,  1723,   689,     0,   690,
     691,     0,   692,   221,   693,   694,   695,   696,   697,     0,
     698,  1724,  1725,     0,     0,   700,   701,  1726,   702,  1727,
    1728,   703,   704,   705,   706,   707,   708,   709,   710,     0,
       0,   711,   712,   713,   714,   715,  1730,     0,   716,   717,
     718,   719,   720,   773,  1731,     0,   721,   233,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   235,  1732,  1733,  1734,  1735,   240,  1736,
    1737,  1738,  1739,   245,   774,   733,   734,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3856,  3857,
       0,     0,     0,     0,     0,     0,     0,  3717,   797,    81,
      82,   750,    84,    85,    86,   751,     0,   752,    89,     0,
       0,    92,    93,    94,    95,    96,    97,   798,    98,    99,
     753,   799,     0,   101,   102,   103,   104,   800,   801,   106,
     107,   108,     0,   109,   802,   803,   754,   755,     0,     0,
       0,   756,   757,     0,     0,     0,     0,   758,     0,     0,
       0,     0,     0,     0,     0,     0,   759,     0,   760,     0,
     761,   762,    35,   430,     0,     0,    37,     0,    38,    39,
       0,  1674,  1675,     0,    40,  1677,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1678,
       0,     0,   442,   443,   444,     0,   445,   446,   447,   448,
     126,   449,   450,   451,   128,  1679,   130,  1680,  1681,     0,
     452,   453,   454,   455,   456,   457,   458,  1682,  1683,   459,
     460,  1684,  1685,   461,     0,   462,   463,   464,   465,  1686,
       0,  1687,     0,   466,   467,   468,   469,   470,   471,   142,
     472,   473,   765,     0,   474,   475,   476,   477,   478,   479,
       0,   145,   480,   481,     0,  1688,  1689,  1690,  1691,  1692,
    1693,  1694,   484,   485,   486,   487,   767,   488,  1695,  1696,
     489,     0,   490,     0,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,     0,     0,   502,   503,
    1507,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,     0,   513,   514,   515,   516,  1698,   517,   518,   519,
     520,  1699,  1700,   521,     0,   522,   523,   524,  1701,   525,
       0,   526,     0,   527,   163,     0,   164,   528,   529,   530,
     531,     0,   532,  1702,     0,  1703,   533,   534,     0,   535,
     536,   769,   537,   538,   168,   539,   540,   541,   542,     0,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   170,
     171,     0,   551,   552,   553,  1510,  1704,     0,  1705,     0,
     554,   174,   175,   555,   176,   556,   557,   558,   559,   560,
       0,     0,   561,  1706,   178,   562,   179,     0,   563,   564,
     565,  1707,  1708,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   770,   577,   578,   771,   579,   580,
     581,  1709,   185,  1710,   582,   583,   584,   585,   586,   587,
     588,   187,  1711,   589,     0,   590,   591,   190,   592,  1713,
    1714,   593,  1715,   594,   595,   596,     0,   597,   598,     0,
       0,   599,   600,   601,     0,     0,   602,   603,   193,   194,
     604,   195,  1717,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,  1718,   617,   198,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,  1719,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,     0,   648,   649,   207,   650,   651,   652,   653,
     654,  3714,   655,   656,   657,   658,   659,   660,   661,   772,
     662,     0,   663,   664,   665,   666,   667,  1721,   669,   670,
     214,   671,   672,   216,   673,   674,  1722,   675,     0,   676,
     677,   678,   679,   680,   681,   682,   683,   684,   685,   686,
     687,   688,  1723,   689,     0,   690,   691,     0,   692,   221,
     693,   694,   695,   696,   697,     0,   698,  1724,  1725,     0,
       0,   700,   701,  1726,   702,  1727,  1728,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,  1730,     0,   716,   717,   718,   719,   720,   773,
    1731,     0,   721,   233,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   235,
    1732,  1733,  1734,  1735,   240,  1736,  1737,  1738,  1739,   245,
     774,   733,   734,     0,     0,     0,     0,     0,     0,     0,
       0,   797,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,  3717,    92,    93,    94,    95,    96,    97,
     798,    98,    99,   753,   799,     0,   101,   102,   103,   104,
     800,   801,   106,   107,   108,     0,   109,   802,   803,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,   430,     0,     0,    37,
       0,    38,    39,     0,  1674,  1675,     0,    40,  1677,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1678,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,   126,   449,   450,   451,   128,  1679,   130,
    1680,  1681,     0,   452,  5116,   454,   455,   456,   457,   458,
    1682,  1683,   459,   460,  1684,  1685,   461,     0,   462,   463,
     464,   465,  1686,     0,  1687,     0,   466,   467,   468,   469,
     470,   471,   142,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,   145,   480,   481,     0,  1688,  1689,
    1690,  1691,  1692,  1693,  1694,   484,   485,   486,   487,   767,
     488,  1695,  1696,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,  1507,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,  1698,
     517,   518,   519,   520,  1699,  1700,   521,     0,   522,   523,
     524,  1701,   525,     0,   526,     0,   527,   163,     0,   164,
     528,   529,   530,   531,     0,   532,  1702,     0,  1703,   533,
     534,     0,   535,   536,   769,   537,   538,   168,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   170,   171,     0,   551,   552,   553,  1510,  1704,
       0,  1705,     0,   554,   174,   175,   555,   176,   556,   557,
     558,   559,   560,     0,     0,   561,  1706,   178,   562,   179,
       0,   563,   564,   565,  1707,  1708,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,  1709,   185,  1710,   582,   583,   584,
     585,   586,   587,   588,   187,  1711,   589,     0,   590,   591,
     190,   592,  1713,  1714,   593,  1715,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,   194,   604,   195,  1717,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,  1718,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,  1719,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,   207,   650,
     651,   652,   653,   654,  3714,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
    1721,   669,   670,   214,   671,   672,   216,   673,   674,  1722,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,  1723,   689,     0,   690,   691,
       0,   692,   221,   693,   694,   695,   696,   697,     0,   698,
    1724,  1725,     0,     0,   700,   701,  1726,   702,  1727,  1728,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,  1730,     0,   716,   717,   718,
     719,   720,   773,  1731,     0,   721,   233,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,  1732,  1733,  1734,  1735,   240,  1736,  1737,
    1738,  1739,   245,   774,   733,   734,     0,     0,     0,     0,
       0,     0,     0,     0,   797,    81,    82,   750,    84,    85,
      86,   751,     0,   752,    89,     0,  3717,    92,    93,    94,
      95,    96,    97,   798,    98,    99,   753,   799,     0,   101,
     102,   103,   104,   800,   801,   106,   107,   108,     0,   109,
     802,   803,   754,   755,     0,     0,     0,   756,   757,     0,
       0,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,   759,     0,   760,     0,   761,   762,    35,   430,
       0,     0,    37,     0,    38,    39,     0,  1674,  1675,     0,
      40,  1677,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1678,     0,     0,   442,   443,
     444,     0,   445,   446,   447,   448,   126,   449,   450,   451,
     128,  1679,   130,  1680,  1681,     0,   452,   453,   454,   455,
     456,   457,   458,  1682,  1683,   459,   460,  1684,  1685,   461,
       0,   462,   463,   464,   465,  1686,     0,  1687,     0,   466,
     467,   468,   469,   470,   471,   142,   472,   473,   765,     0,
     474,   475,   476,   477,   478,   479,     0,   145,   480,   481,
       0,  1688,  1689,  1690,  1691,  1692,  1693,  1694,   484,   485,
     486,   487,   767,   488,  1695,  1696,   489,     0,   490,     0,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,     0,     0,   502,   503,  1507,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,     0,   513,   514,
     515,   516,  1698,   517,   518,   519,   520,  1699,  1700,   521,
       0,   522,   523,   524,  1701,   525,     0,   526,     0,   527,
     163,     0,   164,   528,   529,   530,   531,     0,   532,  1702,
       0,  1703,   533,   534,     0,   535,   536,   769,   537,   538,
     168,   539,   540,   541,   542,     0,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   170,   171,     0,   551,   552,
     553,  1510,  1704,     0,  1705,     0,   554,   174,   175,   555,
     176,   556,   557,   558,   559,   560,     0,     0,   561,  1706,
     178,   562,   179,     0,   563,   564,   565,  1707,  1708,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     770,   577,   578,   771,   579,   580,   581,  1709,   185,  1710,
     582,   583,   584,   585,   586,   587,   588,   187,  1711,   589,
       0,   590,   591,   190,   592,  1713,  1714,   593,  1715,   594,
     595,   596,     0,   597,   598,     0,     0,   599,   600,   601,
       0,     0,   602,   603,   193,   194,   604,   195,  1717,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,  1718,   617,   198,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,  1719,
     631,   632,   633,   634,     0,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,   648,
     649,   207,   650,   651,   652,   653,   654,  3714,   655,   656,
     657,   658,   659,   660,   661,   772,   662,     0,   663,   664,
     665,   666,   667,  1721,   669,   670,   214,   671,   672,   216,
     673,   674,  1722,   675,     0,   676,   677,   678,   679,   680,
     681,   682,   683,   684,   685,   686,   687,   688,  1723,   689,
       0,   690,   691,     0,   692,   221,   693,   694,   695,   696,
     697,     0,   698,  1724,  1725,     0,     0,   700,   701,  1726,
     702,  1727,  1728,   703,   704,   705,   706,   707,   708,   709,
     710,     0,     0,   711,   712,   713,   714,   715,  1730,     0,
     716,   717,   718,   719,   720,   773,  1731,     0,   721,   233,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   235,  1732,  1733,  1734,  1735,
    5628,  1736,  1737,  1738,  1739,   245,   774,   733,   734,     0,
       0,     0,     0,     0,     0,     0,     0,   797,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,  3717,
      92,    93,    94,    95,    96,    97,   798,    98,    99,   753,
     799,     0,   101,   102,   103,   104,   800,   801,   106,   107,
     108,     0,   109,   802,   803,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,   126,
     449,   450,   451,   128,   129,   130,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,  1683,   459,   460,
     764,   134,   461,     0,   462,   463,   464,   465,  1686,     0,
    1687,     0,   466,   467,   468,   469,   470,   471,   142,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,     0,
     145,   480,   481,     0,  1688,  1689,  1690,  1691,  1692,  1693,
    1694,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
    1699,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,   163,     0,   164,   528,   529,   530,   531,
       0,   532,  1702,     0,   167,   533,   534,     0,   535,   536,
     769,   537,   538,   168,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   170,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
     174,   175,   555,   176,   556,   557,   558,   559,   560,  4578,
       0,   561,  1706,   178,   562,   179,     0,   563,   564,   565,
    1707,  1708,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,   185,   186,   582,   583,   584,   585,   586,   587,   588,
     187,  1711,   589,     0,   590,   591,   190,   592,     0,  1714,
     593,   192,   594,   595,   596,     0,   597,   598,     0,  1197,
     599,   600,   601,     0,     0,   602,   603,   193,   194,   604,
     195,  1717,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,  1718,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,   207,   650,   651,   652,   653,   654,
     209,  4579,   656,   657,   658,   659,   660,   661,   772,   662,
     212,   663,   664,   665,   666,   667,  1721,   669,   670,   214,
     671,   672,   216,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,  1723,   689,     0,   690,   691,   220,   692,   221,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,  1726,   702,  1727,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,  1730,     0,   716,   717,   718,   719,   720,  2489,   232,
       0,   721,   233,   722,   723,   724,   725,     0,     0,   726,
       0,   234,   727,   728,   729,   730,   731,   732,   235,  1732,
    1733,  1734,  1735,   240,  1736,  1737,  1738,  1739,  4580,   774,
     733,   734,     0,     0,   246,     0,     0,     0,     0,     0,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,  4581,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,   126,   449,   450,   451,   128,   129,   130,   131,
     132,     0,   452,   453,   454,   455,   456,   457,   458,     0,
    1683,   459,   460,   764,   134,   461,     0,   462,   463,   464,
     465,  1686,     0,  1687,     0,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,   145,   480,   481,     0,  1688,  1689,  1690,
    1691,  1692,  1693,  1694,   484,   485,   486,   487,   767,   488,
     149,   150,   489,     0,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,   158,   517,
     518,   519,   520,  1699,     0,   521,     0,   522,   523,   524,
     162,   525,     0,   526,     0,   527,   163,     0,   164,   528,
     529,   530,   531,     0,   532,  1702,     0,   167,   533,   534,
       0,   535,   536,   769,   537,   538,   168,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   170,   171,     0,   551,   552,   553,     0,   172,     0,
     173,     0,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,  4578,     0,   561,  1706,   178,   562,   179,     0,
     563,   564,   565,  1707,  1708,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,   184,   185,   186,   582,   583,   584,   585,
     586,   587,   588,   187,  1711,   589,     0,   590,   591,   190,
     592,     0,  1714,   593,   192,   594,   595,   596,     0,   597,
     598,     0,  1197,   599,   600,   601,     0,     0,   602,   603,
     193,   194,   604,   195,  1717,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,  1718,   617,
     198,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   200,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,   207,   650,   651,
     652,   653,   654,   209,  4579,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,  1721,
     669,   670,   214,   671,   672,   216,   673,   674,   217,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,  1723,   689,     0,   690,   691,     0,
     692,   221,   693,   694,   695,   696,   697,     0,   698,   222,
     223,     0,     0,   700,   701,  1726,   702,  1727,     0,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,  1730,     0,   716,   717,   718,   719,
     720,   773,   232,     0,   721,   233,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   235,  1732,  1733,  1734,  1735,   240,  1736,  1737,  1738,
    1739,  4580,   774,   733,   734,     0,     0,     0,     0,     0,
       0,     0,     0,   797,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,  4581,    92,    93,    94,    95,
      96,    97,   798,    98,    99,   753,   799,     0,   101,   102,
     103,   104,   800,   801,   106,   107,   108,     0,   109,   802,
     803,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,   126,   449,   450,   451,   128,
     129,   130,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,  1683,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,  1686,     0,  1687,     0,   466,   467,
     468,   469,   470,   471,   142,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,   145,   480,   481,     0,
    1688,  1689,  1690,  1691,  1692,  1693,  1694,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,  1699,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,   163,
       0,   164,   528,   529,   530,   531,     0,   532,  1702,     0,
     167,   533,   534,     0,   535,   536,   769,   537,   538,   168,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   170,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,   174,   175,   555,   176,
     556,   557,   558,   559,   560,     0,     0,   561,  1706,   178,
     562,   179,     0,   563,   564,   565,  1707,  1708,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,   185,   186,   582,
     583,   584,   585,   586,   587,   588,   187,  1711,   589,     0,
     590,   591,   190,   592,     0,  1714,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,   194,   604,   195,  1717,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,  1718,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
     207,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,  1721,   669,   670,   214,   671,   672,   216,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,  1723,   689,     0,
     690,   691,     0,   692,   221,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,  1726,   702,
    1727,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,  1730,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,   233,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,  1732,  1733,  1734,  1735,   240,
    1736,  1737,  1738,  1739,   245,   774,   733,   734,     0,     0,
       0,     0,     0,     0,     0,     0,   797,    81,    82,   750,
      84,    85,    86,   751,     0,   752,    89,     0,  4291,    92,
      93,    94,    95,    96,    97,   798,    98,    99,   753,   799,
       0,   101,   102,   103,   104,   800,   801,   106,   107,   108,
       0,   109,   802,   803,   754,   755,     0,     0,     0,   756,
     757,     0,     0,     0,     0,   758,     0,     0,     0,     0,
       0,     0,     0,     0,   759,     0,   760,     0,   761,   762,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,   444,     0,   445,   446,   447,   448,   126,   449,
     450,   451,   128,   129,   130,   131,   132,     0,   452,   453,
     454,   455,   456,   457,   458,     0,  1683,   459,   460,   764,
     134,   461,     0,   462,   463,   464,   465,  1686,     0,  1687,
       0,   466,   467,   468,   469,   470,   471,   142,   472,   473,
     765,     0,   474,   475,   476,   477,   478,   479,     0,   145,
     480,   481,     0,  1688,  1689,  1690,  1691,  1692,  1693,  1694,
     484,   485,   486,   487,   767,   488,   149,   150,   489,     0,
     490,     0,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,     0,     0,   502,   503,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,     0,
     513,   514,   515,   516,   158,   517,   518,   519,   520,  1699,
       0,   521,     0,   522,   523,   524,   162,   525,     0,   526,
       0,   527,   163,     0,   164,   528,   529,   530,   531,     0,
     532,  1702,     0,   167,   533,   534,     0,   535,   536,   769,
     537,   538,   168,   539,   540,   541,   542,     0,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   170,   171,     0,
     551,   552,   553,     0,   172,     0,   173,     0,   554,   174,
     175,   555,   176,   556,   557,   558,   559,   560,     0,     0,
     561,  1706,   178,   562,   179,     0,   563,   564,   565,  1707,
    1708,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   770,   577,   578,   771,   579,   580,   581,   184,
     185,   186,   582,   583,   584,   585,   586,   587,   588,   187,
    1711,   589,     0,   590,   591,   190,   592,     0,  1714,   593,
     192,   594,   595,   596,     0,   597,   598,     0,     0,   599,
     600,   601,     0,     0,   602,   603,   193,   194,   604,   195,
    1717,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,  1718,   617,   198,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   200,   631,   632,   633,   634,     0,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,   648,   649,   207,   650,   651,   652,   653,   654,   209,
    4579,   656,   657,   658,   659,   660,   661,   772,   662,     0,
     663,   664,   665,   666,   667,  1721,   669,   670,   214,   671,
     672,   216,   673,   674,   217,   675,     0,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
    1723,   689,     0,   690,   691,     0,   692,   221,   693,   694,
     695,   696,   697,     0,   698,   222,   223,     0,     0,   700,
     701,  1726,   702,  1727,     0,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
    1730,     0,   716,   717,   718,   719,   720,   773,   232,     0,
     721,   233,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   235,  1732,  1733,
    1734,  1735,   240,  1736,  1737,  1738,  1739,  4580,   774,   733,
     734,     0,     0,     0,     0,     0,     0,     0,     0,   797,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,   247,    92,    93,    94,    95,    96,    97,   798,    98,
      99,   753,   799,     0,   101,   102,   103,   104,   800,   801,
     106,   107,   108,     0,   109,   802,   803,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,   126,   449,   450,   451,   128,   129,   130,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,  1683,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
    1686,     0,  1687,     0,   466,   467,   468,   469,   470,   471,
     142,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,   145,   480,   481,     0,  1688,  1689,  1690,  1691,
    1692,  1693,  1694,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,  1699,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,   163,     0,   164,   528,   529,
     530,   531,     0,   532,  1702,     0,   167,   533,   534,     0,
     535,   536,   769,   537,   538,   168,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     170,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,   174,   175,   555,   176,   556,   557,   558,   559,
     560,     0,     0,   561,  1706,   178,   562,   179,     0,   563,
     564,   565,  1707,  1708,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,   185,   186,   582,   583,   584,   585,   586,
     587,   588,   187,  1711,   589,     0,   590,   591,   190,   592,
       0,  1714,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
     194,   604,   195,  1717,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,  1718,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,   207,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,  1721,   669,
     670,   214,   671,   672,   216,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,  1723,   689,     0,   690,   691,     0,   692,
     221,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,  1726,   702,  1727,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,  1730,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,   233,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,  1732,  1733,  1734,  1735,   240,  1736,  1737,  1738,  1739,
     245,   774,   733,   734,     0,     0,     0,     0,     0,     0,
       0,     0,   797,    81,    82,   750,    84,    85,    86,   751,
       0,   752,    89,     0,  5246,    92,    93,    94,    95,    96,
      97,   798,    98,    99,   753,   799,     0,   101,   102,   103,
     104,   800,   801,   106,   107,   108,     0,   109,   802,   803,
     754,   755,     0,     0,     0,   756,   757,     0,     0,     0,
       0,   758,     0,     0,     0,     0,     0,     0,     0,     0,
     759,     0,   760,     0,   761,   762,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,   444,     0,
     445,   446,   447,   448,   126,   449,   450,   451,   128,   129,
     130,   131,   132,     0,   452,   453,   454,   455,   456,   457,
     458,     0,  1683,   459,   460,   764,   134,   461,     0,   462,
     463,   464,   465,  1686,     0,  1687,     0,   466,   467,   468,
     469,   470,   471,   142,   472,   473,   765,     0,   474,   475,
     476,   477,   478,   479,     0,   145,   480,   481,     0,  1688,
    1689,  1690,  1691,  1692,  1693,  1694,   484,   485,   486,   487,
     767,   488,   149,   150,   489,     0,   490,     0,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
       0,     0,   502,   503,   504,   505,   506,     0,   507,   508,
     509,     0,   510,   511,   512,     0,   513,   514,   515,   516,
     158,   517,   518,   519,   520,  1699,     0,   521,     0,   522,
     523,   524,   162,   525,     0,   526,     0,   527,   163,     0,
     164,   528,   529,   530,   531,     0,   532,  1702,     0,   167,
     533,   534,     0,   535,   536,   769,   537,   538,   168,   539,
     540,   541,   542,     0,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   170,   171,     0,   551,   552,   553,     0,
     172,     0,   173,     0,   554,   174,   175,   555,   176,   556,
     557,   558,   559,   560,     0,     0,   561,  1706,   178,   562,
     179,     0,   563,   564,   565,  1707,  1708,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   770,   577,
     578,   771,   579,   580,   581,   184,   185,   186,   582,   583,
     584,   585,   586,   587,   588,   187,  1711,   589,     0,   590,
     591,   190,   592,     0,  1714,   593,   192,   594,   595,   596,
       0,   597,   598,     0,     0,   599,   600,   601,     0,     0,
     602,   603,   193,   194,   604,   195,  1717,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
    1718,   617,   198,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   200,   631,   632,
     633,   634,     0,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,   648,   649,   207,
     650,   651,   652,   653,   654,   209,   655,   656,   657,   658,
     659,   660,   661,   772,   662,     0,   663,   664,   665,   666,
     667,  1721,   669,   670,   214,   671,   672,   216,   673,   674,
     217,   675,     0,   676,   677,   678,   679,   680,   681,   682,
     683,   684,   685,   686,   687,   688,  1723,   689,     0,   690,
     691,     0,   692,   221,   693,   694,   695,   696,   697,     0,
     698,   222,   223,     0,     0,   700,   701,  1726,   702,  1727,
       0,   703,   704,   705,   706,   707,   708,   709,   710,     0,
       0,   711,   712,   713,   714,   715,  1730,     0,   716,   717,
     718,   719,   720,   773,   232,     0,   721,   233,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   235,  1732,  1733,  1734,  1735,   240,  1736,
    1737,  1738,  1739,   245,   774,   733,   734,     0,     0,     0,
       0,     0,     0,     0,     0,   797,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,  6405,    92,    93,
      94,    95,    96,    97,   798,    98,    99,   753,   799,     0,
     101,   102,   103,   104,   800,   801,   106,   107,   108,     0,
     109,   802,   803,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,   126,   449,   450,
     451,   128,   129,   130,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,   139,     0,
     466,   467,   468,   469,   470,   471,   142,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,   145,   480,
     481,     0,     0,     0,     0,   146,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,   163,     0,   164,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,   168,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   170,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,   174,   175,
     555,   176,   556,   557,   558,   559,   560,     0,     0,   561,
     177,   178,   562,   179,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,   185,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,   190,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,   194,   604,   195,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,   207,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
     216,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,   221,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
     233,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
       0,     0,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
    5967,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,  5172,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0, -1820,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0, -1820,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,   538,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550, -1820,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555, -1820,   556,   557,
     558,   559,   560,     0,     0,   561,   177, -1820,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184, -1820,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649, -1820,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,     0,     0,     0,    81,
      82,   750,    84,    85,    86,   751,     0,   752,    89,     0,
       0,    92,    93,    94,    95,    96,    97,  1831,    98,    99,
     753,     0,     0,   101,   102,   103,   104,     0,     0,   106,
     107,   108,     0,   109,     0,     0,   754,   755,     0,     0,
       0,   756,   757,     0,     0,     0,     0,   758,     0,     0,
       0,     0,     0,     0,     0,     0,   759,     0,   760,     0,
     761,   762,    35,   430,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,   444,     0,   445,   446,   447,   448,
       0,   449,   450,   451,   128,   129,     0,   131,   132,     0,
     452,   453,   454,   455,   456,   457,   458,     0,     0,   459,
     460,   764,   134,   461,     0,   462,   463,   464,   465,   138,
       0,     0,     0,   466,   467,   468,   469,   470,   471,     0,
     472,   473,   765,     0,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   484,   485,   486,   487,   767,   488,   149,   150,
     489,     0,   490,     0,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,     0,     0,   502,   503,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,     0,   513,   514,   515,   516,   158,   517,   518,   519,
     520,   160,     0,   521,     0,   522,   523,   524,   162,   525,
       0,   526,     0,   527,     0,     0,     0,   528,   529,   530,
     531,     0,   532,   166,     0,   167,   533,   534,     0,   535,
     536,   769,   537,   538,     0,   539,   540,   541,   542,     0,
     543,   544,   545,   546,   547,   548,   549,     0,   550,     0,
     171,     0,   551,   552,   553,     0,   172,     0,   173,     0,
     554,     0,     0,   555,     0,   556,   557,   558,   559,   560,
       0,     0,   561,   177,     0,   562,     0,     0,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   770,   577,   578,   771,   579,   580,
     581,   184,     0,   186,   582,   583,   584,   585,   586,   587,
     588,   187,   188,   589,     0,   590,   591,     0,   592,     0,
     191,   593,   192,   594,   595,   596,     0,   597,   598,     0,
       0,   599,   600,   601,     0,     0,   602,   603,   193,     0,
     604,     0,   196,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   197,   617,   198,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   200,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,     0,   648,   649,     0,   650,   651,   652,   653,
     654,   209,   655,   656,   657,   658,   659,   660,   661,   772,
     662,   212,   663,   664,   665,   666,   667,     0,   669,   670,
     214,   671,   672,     0,   673,   674,   217,   675,     0,   676,
     677,   678,   679,   680,   681,   682,   683,   684,   685,   686,
     687,   688,   219,   689,     0,   690,   691,   220,   692,     0,
     693,   694,   695,   696,   697,     0,   698,   222,   223,     0,
       0,   700,   701,   224,   702,   225,     0,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,     0,     0,   716,   717,   718,   719,   720,  2489,
     232,     0,   721,     0,   722,   723,   724,   725,     0,     0,
     726,     0,   234,   727,   728,   729,   730,   731,   732,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     774,   733,   734,     0,     0,   246,     0,     0,     0,     0,
       0,     0,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,   247,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,   538,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,   212,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
     220,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,  2489,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,   234,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,     0,     0,   246,     0,
       0,     0,     0,     0,     0,    81,    82,   750,    84,    85,
      86,   751,     0,   752,    89,     0,   247,    92,    93,    94,
      95,    96,    97,     0,    98,    99,   753,     0,     0,   101,
     102,   103,   104,     0,     0,   106,   107,   108,     0,   109,
       0,     0,   754,   755,     0,     0,     0,   756,   757,     0,
       0,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,   759,     0,   760,     0,   761,   762,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
     444,     0,   445,   446,   447,   448,     0,   449,   450,   451,
     128,   129,     0,   131,   132,     0,   452,   453,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   764,   134,   461,
       0,   462,   463,   464,   465,   138,     0,     0,     0,   466,
     467,   468,   469,   470,   471,     0,   472,   473,   765,     0,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
       0,     0,     0,     0,  3295,     0,     0,     0,   484,   485,
     486,   487,   767,   488,   149,   150,   489,     0,   490,     0,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,     0,     0,   502,   503,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,     0,   513,   514,
     515,   516,   158,   517,   518,   519,   520,   160,     0,   521,
       0,   522,   523,   524,   162,   525,     0,   526,     0,   527,
       0,     0,     0,   528,   529,   530,   531,     0,   532,   166,
       0,   167,   533,   534,     0,   535,   536,   769,   537,   538,
       0,   539,   540,   541,   542,     0,   543,   544,   545,   546,
     547,   548,   549,     0,   550,     0,   171,     0,   551,   552,
     553,     0,   172,     0,   173,     0,   554,     0,     0,   555,
       0,   556,   557,   558,   559,   560,     0,     0,   561,   177,
       0,   562,     0,     0,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     770,   577,   578,   771,   579,   580,   581,   184,     0,   186,
     582,   583,   584,   585,   586,   587,   588,   187,   188,   589,
       0,   590,   591,     0,   592,     0,   191,   593,   192,   594,
     595,   596,     0,   597,   598,     0,  1197,   599,   600,   601,
       0,     0,   602,   603,   193,     0,   604,     0,   196,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   197,   617,   198,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   200,
     631,   632,   633,   634,     0,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,   648,
     649,     0,   650,   651,   652,   653,   654,   209,   655,   656,
     657,   658,   659,   660,   661,   772,   662,     0,   663,   664,
     665,   666,   667,     0,   669,   670,   214,   671,   672,     0,
     673,   674,   217,   675,     0,   676,   677,   678,   679,   680,
     681,   682,   683,   684,   685,   686,   687,   688,   219,   689,
       0,   690,   691,  3296,  3297,     0,   693,   694,   695,   696,
     697,     0,   698,   222,   223,     0,     0,   700,   701,   224,
     702,   225,     0,   703,   704,   705,   706,   707,   708,   709,
     710,     0,     0,   711,   712,   713,   714,   715,     0,     0,
     716,   717,   718,   719,   720,   773,   232,     0,   721,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   774,   733,   734,     0,
       0,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,  2205,
      98,    99,   753,     0,     0,   101,   102,   103,   104,     0,
       0,   106,   107,   108,     0,   109,     0,     0,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,     0,     0,     0,    37,     0,
       0,    39,     0,     0,     0,     0,    40,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,     0,   449,   450,   451,   128,   129,     0,   131,
     132,     0,   452,   453,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   764,   134,   461,     0,   462,   463,   464,
     465,   138,     0,     0,     0,   466,   467,   468,   469,   470,
     471,     0,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,     0,     0,     0,     0,
       0,     0,     0,     0,   484,   485,   486,   487,   767,   488,
     149,   150,   489,     0,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,   158,   517,
     518,   519,   520,   160,     0,   521,     0,   522,   523,   524,
     162,   525,     0,   526,     0,   527,     0,     0,     0,   528,
     529,   530,   531,     0,   532,   166,     0,   167,   533,   534,
       0,   535,   536,   769,   537,   538,     0,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,     0,   171,     0,   551,   552,   553,     0,   172,     0,
     173,     0,   554,     0,     0,   555,     0,   556,   557,   558,
     559,   560,     0,     0,   561,   177,     0,   562,     0,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,   184,     0,   186,   582,   583,   584,   585,
     586,   587,   588,   187,   188,   589,     0,   590,   591,     0,
     592,     0,   191,   593,   192,   594,   595,   596,     0,   597,
     598,     0,     0,   599,   600,   601,     0,     0,   602,   603,
     193,     0,   604,     0,   196,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   197,   617,
     198,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   200,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,     0,   650,   651,
     652,   653,   654,   209,   655,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,     0,
     669,   670,   214,   671,   672,     0,   673,   674,   217,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   219,   689,     0,   690,   691,     0,
     692,     0,   693,   694,   695,   696,   697,     0,   698,   222,
     223,     0,     0,   700,   701,   224,   702,   225,     0,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   773,   232,     0,   721,     0,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   774,   733,   734,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,  4380,  4381,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,    39,     0,     0,     0,     0,    40,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,   538,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,     0,     0,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,  4381,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,   538,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,     0,     0,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,  1816,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
       0,     0,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
    3888,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,   538,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,     0,     0,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,  5151,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     764,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,   538,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   773,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,     0,     0,     0,     0,     0,     0,     0,     0,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,  5645,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,   430,     0,     0,    37,     0,
      38,    39,     0,     0,     0,  1321,    40,     0,     0,     0,
       0,     0,  1322,  1323,  1324,   431,   432,   433,   434,   435,
     436,   437,   438,   804,   439,   440,   441,   805,   806,   807,
     808,   809,   810,   811,   442,   443,   444,   812,   445,   446,
     447,   448,   126,   449,   450,   451,     0,  1500,   130,  1501,
    1502,   813,   452,   453,   454,   455,   456,   457,   458,   814,
     815,   459,   460,  1503,  1504,   461,   817,   462,   463,   464,
     465,     0,   818,   139,   819,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   765,   821,   474,   475,   476,   477,
     478,   479,   822,   145,   480,   481,     0,   824,   825,   826,
     146,   827,   828,   829,   484,   485,   486,   487,   767,   488,
    1505,  1506,   489,   830,   490,   831,   491,   492,   493,   494,
     495,   496,   497,   832,   498,   499,   500,   501,   833,   834,
     502,   503,  1507,   505,   506,   835,   507,   508,   509,   836,
     510,   511,   512,   837,   513,   514,   515,   516,     0,   517,
     518,   519,   520,     0,   838,   521,   839,   522,   523,   524,
    1508,   525,   840,   526,   841,   527,   163,   842,   164,   528,
     529,   530,   531,   843,   532,     0,   844,     0,   533,   534,
     845,   535,   536,   769,   537,   538,   168,   539,   540,   541,
     542,   846,   543,   544,   545,   546,   547,   548,   549,   847,
     550,   170,     0,     0,   551,   552,   553,  1510,  1511,   850,
    1512,   851,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,   852,   853,   561,     0,   178,   562,   179,   854,
     563,   564,   565,   855,   856,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,  1513,   185,  1514,   582,   583,   584,   585,
     586,   587,   588,  4886,     0,   589,   857,   590,   591,   190,
     592,   858,     0,   593,  1515,   594,   595,   596,   859,   597,
     598,   860,   861,  4887,   600,   601,   862,   863,   602,   603,
       0,   194,   604,   195,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   864,   615,   616,     0,   617,
       0,   618,   619,   620,   865,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,  1516,   631,   632,   633,   634,
     866,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   867,   648,   649,   207,   650,   651,
     652,   653,   654,     0,   655,   656,   657,   658,   659,   660,
     661,   772,   662,   868,   663,   664,   665,   666,   667,   869,
     669,   670,  3125,   671,   672,   216,   673,   674,  1518,   675,
     870,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,     0,   689,   871,   690,   691,   872,
     692,   221,   693,   694,   695,   696,   697,   873,   698,  1519,
    1520,     0,   875,   700,   701,     0,   702,     0,   876,   703,
     704,   705,   706,   707,   708,   709,   710,     0,   878,   711,
     712,   713,   714,   715,   879,   880,   716,   717,   718,   719,
     720,     0,  1521,   882,   721,   233,   722,   723,   724,   725,
     883,   884,   726,   885,   886,   727,   728,   729,   730,   731,
     732,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   774,   733,   734,     0,     0,     0,     0,     0,
       0,     0,     0,  1327,  1328,  1329,  4888,  4889,  1332,  1333,
    1334,  1335,   797,    81,    82,   750,    84,    85,    86,   751,
       0,   752,    89,     0,     0,    92,    93,    94,    95,    96,
      97,   798,    98,    99,   753,   799,     0,   101,   102,   103,
     104,   800,   801,   106,   107,   108,     0,   109,   802,   803,
     754,   755,     0,     0,     0,   756,   757,     0,     0,     0,
       0,   758,     0,     0,     0,     0,     0,     0,     0,     0,
     759,     0,   760,     0,   761,   762,    35,   430,     0,     0,
      37,     0,    38,    39,     0,     0,     0,  1321,    40,     0,
       0,     0,     0,     0,  1322,  1323,  1324,   431,   432,   433,
     434,   435,   436,   437,   438,   804,   439,   440,   441,   805,
     806,   807,   808,   809,   810,   811,   442,   443,   444,   812,
     445,   446,   447,   448,   126,   449,   450,   451,     0,  1500,
     130,  1501,  1502,   813,   452,   453,   454,   455,   456,   457,
     458,   814,   815,   459,   460,  1503,  1504,   461,   817,   462,
     463,   464,   465,     0,   818,   139,   819,   466,   467,   468,
     469,   470,   471,   142,   472,   473,   765,   821,   474,   475,
     476,   477,   478,   479,   822,   145,   480,   481,     0,   824,
     825,   826,   146,   827,   828,   829,   484,   485,   486,   487,
     767,   488,  1505,  1506,   489,   830,   490,   831,   491,   492,
     493,   494,   495,   496,   497,   832,   498,   499,   500,   501,
     833,   834,   502,   503,  1507,   505,   506,   835,   507,   508,
     509,   836,   510,   511,   512,   837,   513,   514,   515,   516,
       0,   517,   518,   519,   520,     0,   838,   521,   839,   522,
     523,   524,  1508,   525,   840,   526,   841,   527,   163,   842,
     164,   528,   529,   530,   531,   843,   532,     0,   844,     0,
     533,   534,   845,   535,   536,   769,   537,   538,   168,   539,
     540,   541,   542,   846,   543,   544,   545,   546,   547,   548,
     549,   847,   550,   170,     0,     0,   551,   552,   553,  1510,
    1511,   850,  1512,   851,   554,   174,   175,   555,   176,   556,
     557,   558,   559,   560,   852,   853,   561,     0,   178,   562,
     179,   854,   563,   564,   565,   855,   856,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   770,   577,
     578,   771,   579,   580,   581,  1513,   185,  1514,   582,   583,
     584,   585,   586,   587,   588,  5338,     0,   589,   857,   590,
     591,   190,   592,   858,     0,   593,  1515,   594,   595,   596,
     859,   597,   598,   860,   861,  4887,   600,   601,   862,   863,
     602,   603,     0,   194,   604,   195,     0,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   864,   615,   616,
       0,   617,     0,   618,   619,   620,   865,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,  1516,   631,   632,
     633,   634,   866,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   867,   648,   649,   207,
     650,   651,   652,   653,   654,     0,   655,   656,   657,   658,
     659,   660,   661,   772,   662,   868,   663,   664,   665,   666,
     667,   869,   669,   670,  3125,   671,   672,   216,   673,   674,
    1518,   675,   870,   676,   677,   678,   679,   680,   681,   682,
     683,   684,   685,   686,   687,   688,     0,   689,   871,   690,
     691,   872,   692,   221,   693,   694,   695,   696,   697,   873,
     698,  1519,  1520,     0,   875,   700,   701,     0,   702,     0,
     876,   703,   704,   705,   706,   707,   708,   709,   710,     0,
     878,   711,   712,   713,   714,   715,   879,   880,   716,   717,
     718,   719,   720,     0,  1521,   882,   721,   233,   722,   723,
     724,   725,   883,   884,   726,   885,   886,   727,   728,   729,
     730,   731,   732,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   774,   733,   734,     0,     0,     0,
       0,     0,     0,     0,     0,  1327,  1328,  1329,  4888,  4889,
    1332,  1333,  1334,  1335,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,  1321,     0,
       0,     0,     0,     0,     0,  1322,  1323,  1324,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,  1325,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,  1326,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,   538,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,     0,     0,
       0,     0,     0,     0,     0,     0,  1327,  1328,  1329,  1330,
    1331,  1332,  1333,  1334,  1335,    81,    82,   750,    84,    85,
      86,   751,     0,   752,    89,     0,     0,    92,    93,    94,
      95,    96,    97,     0,    98,    99,   753,     0,     0,   101,
     102,   103,   104,     0,     0,   106,   107,   108,     0,   109,
       0,     0,   754,   755,     0,     0,     0,   756,   757,     0,
       0,     0,     0,   758,     0,     0,     0,     0,     0,     0,
       0,     0,   759,     0,   760,     0,   761,   762,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,  1321,
       0,     0,     0,     0,     0,     0,  1322,  1323,  1324,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
     444,     0,   445,   446,   447,   448,     0,   449,   450,   451,
     128,   129,     0,   131,   132,     0,   452,   453,   454,   455,
     456,   457,   458,     0,     0,   459,   460,   764,   134,   461,
       0,   462,  1441,   464,   465,   138,     0,     0,     0,   466,
     467,   468,   469,   470,   471,     0,   472,   473,   765,     0,
     474,   475,   476,   477,   478,   479,     0,     0,   480,   481,
       0,     0,     0,     0,     0,     0,     0,     0,   484,   485,
     486,   487,   767,   488,   149,   150,   489,     0,   490,     0,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,     0,     0,   502,   503,   504,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,     0,   513,   514,
     515,   516,   158,   517,   518,   519,   520,   160,     0,  1442,
       0,   522,   523,   524,   162,   525,     0,   526,     0,   527,
       0,     0,     0,   528,   529,   530,   531,     0,   532,   166,
       0,   167,   533,   534,     0,   535,   536,   769,   537,   538,
       0,   539,   540,   541,   542,     0,   543,   544,   545,   546,
     547,   548,   549,     0,   550,     0,   171,     0,   551,   552,
     553,     0,   172,     0,   173,     0,   554,     0,     0,   555,
       0,   556,   557,   558,   559,   560,     0,     0,   561,   177,
       0,   562,     0,     0,   563,   564,   565,     0,     0,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     770,   577,   578,   771,   579,   580,   581,   184,     0,   186,
     582,   583,   584,   585,   586,   587,   588,   187,   188,   589,
       0,   590,   591,     0,   592,     0,   191,   593,   192,   594,
     595,   596,     0,   597,   598,     0,     0,   599,   600,   601,
       0,     0,   602,   603,   193,     0,   604,     0,   196,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   197,   617,   198,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   200,
     631,   632,   633,   634,     0,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,   648,
     649,     0,   650,   651,   652,   653,   654,   209,   655,   656,
     657,   658,   659,   660,   661,   772,   662,     0,   663,   664,
     665,   666,   667,     0,   669,   670,   214,   671,   672,     0,
     673,   674,   217,   675,     0,   676,   677,   678,   679,   680,
     681,   682,   683,   684,   685,   686,   687,   688,   219,   689,
       0,   690,   691,     0,   692,     0,   693,   694,   695,   696,
     697,     0,   698,   222,   223,     0,     0,   700,   701,   224,
     702,   225,     0,   703,   704,   705,   706,   707,   708,   709,
     710,     0,     0,   711,   712,   713,   714,   715,     0,     0,
     716,   717,   718,   719,   720,   773,   232,     0,   721,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   774,   733,   734,     0,
       0,     0,     0,     0,     0,     0,     0,  1327,  1328,  1329,
    1330,  1331,  1332,  1333,  1334,  1335,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
    1321,     0,     0,     0,     0,     0,     0,  1322,  1323,  1324,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,  1552,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
    1553,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
    1554,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
       0,     0,     0,     0,     0,     0,     0,     0,  1327,  1328,
    1329,  1330,  1331,  1332,  1333,  1334,  1335,    81,    82,   750,
      84,    85,    86,   751,     0,   752,    89,     0,     0,    92,
      93,    94,    95,    96,    97,     0,    98,    99,   753,     0,
       0,   101,   102,   103,   104,     0,     0,   106,   107,   108,
       0,   109,     0,     0,   754,   755,     0,     0,     0,   756,
     757,     0,     0,     0,     0,   758,     0,     0,     0,     0,
       0,     0,     0,     0,   759,     0,   760,     0,   761,   762,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,  1321,     0,     0,     0,     0,     0,     0,  1322,  1323,
    1324,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,   444,     0,   445,   446,   447,   448,     0,   449,
     450,   451,   128,   129,     0,   131,   132,     0,   452,   453,
     454,   455,   456,   457,   458,     0,     0,   459,   460,   764,
     134,   461,     0,   462,  2188,   464,   465,   138,     0,     0,
       0,   466,   467,   468,   469,   470,   471,     0,   472,   473,
     765,     0,   474,   475,   476,   477,   478,   479,     0,     0,
     480,   481,     0,     0,     0,     0,     0,     0,     0,     0,
     484,   485,   486,   487,   767,   488,   149,   150,   489,     0,
     490,     0,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,     0,     0,   502,   503,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,     0,
     513,   514,   515,   516,   158,   517,   518,   519,   520,   160,
       0,  2189,     0,   522,   523,   524,   162,   525,     0,   526,
       0,   527,     0,     0,     0,   528,   529,   530,   531,     0,
     532,   166,     0,   167,   533,   534,     0,   535,   536,   769,
     537,   538,     0,   539,   540,   541,   542,     0,   543,   544,
     545,   546,   547,   548,   549,     0,   550,     0,   171,     0,
     551,   552,   553,     0,   172,     0,   173,     0,   554,     0,
       0,   555,     0,   556,   557,   558,   559,   560,     0,     0,
     561,   177,     0,   562,     0,     0,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   770,   577,   578,   771,   579,   580,   581,   184,
       0,   186,   582,   583,   584,   585,   586,   587,   588,   187,
     188,   589,     0,   590,   591,     0,   592,     0,   191,   593,
     192,   594,   595,   596,     0,   597,   598,     0,     0,   599,
     600,   601,     0,     0,   602,   603,   193,     0,   604,     0,
     196,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   197,   617,   198,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   200,   631,   632,   633,   634,     0,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,   648,   649,     0,   650,   651,   652,   653,   654,   209,
     655,   656,   657,   658,   659,   660,   661,   772,   662,     0,
     663,   664,   665,   666,   667,     0,   669,   670,   214,   671,
     672,     0,   673,   674,   217,   675,     0,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
     219,   689,     0,   690,   691,     0,   692,     0,   693,   694,
     695,   696,   697,     0,   698,   222,   223,     0,     0,   700,
     701,   224,   702,   225,     0,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
       0,     0,   716,   717,   718,   719,   720,   773,   232,     0,
     721,     0,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   774,   733,
     734,     0,     0,     0,     0,     0,     0,     0,     0,  1327,
    1328,  1329,  1330,  1331,  1332,  1333,  1334,  1335,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,  1321,     0,     0,     0,     0,     0,     0,  1322,
    1323,  1324,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     764,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,   538,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   773,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,     0,     0,     0,     0,     0,     0,     0,     0,
    1327,  1328,  1329,  1330,  1331,  1332,  1333,  1334,  1335,    81,
      82,   750,    84,    85,    86,   751,     0,   752,    89,     0,
       0,    92,    93,    94,    95,    96,    97,     0,    98,    99,
     753,     0,     0,   101,   102,   103,   104,     0,     0,   106,
     107,   108,     0,   109,     0,     0,   754,   755,     0,     0,
       0,   756,   757,     0,     0,     0,     0,   758,     0,     0,
       0,     0,     0,     0,     0,     0,   759,     0,   760,     0,
     761,   762,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,  1321,     0,     0,     0,     0,     0,     0,
    1322,  1323,  1324,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,   444,     0,   445,   446,   447,   448,
       0,   449,   450,   451,   128,   129,     0,   131,   132,     0,
     452,   453,   454,   455,   456,   457,   458,     0,     0,   459,
     460,   764,   134,   461,     0,   462,  3983,   464,   465,   138,
       0,     0,     0,   466,   467,   468,   469,   470,   471,     0,
     472,   473,   765,     0,   474,   475,   476,   477,   478,   479,
       0,     0,   480,   481,     0,     0,     0,     0,     0,     0,
       0,     0,   484,   485,   486,   487,   767,   488,   149,   150,
     489,     0,   490,     0,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,     0,     0,   502,   503,
     504,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,     0,   513,   514,   515,   516,   158,   517,   518,   519,
     520,   160,     0,  3984,     0,   522,   523,   524,   162,   525,
       0,   526,     0,   527,     0,     0,     0,   528,   529,   530,
     531,     0,   532,   166,     0,   167,   533,   534,     0,   535,
     536,   769,   537,   538,     0,   539,   540,   541,   542,     0,
     543,   544,   545,   546,   547,   548,   549,     0,   550,     0,
     171,     0,   551,   552,   553,     0,   172,     0,   173,     0,
     554,     0,     0,   555,     0,   556,   557,   558,   559,   560,
       0,     0,   561,   177,     0,   562,     0,     0,   563,   564,
     565,     0,     0,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   770,   577,   578,   771,   579,   580,
     581,   184,     0,   186,   582,   583,   584,   585,   586,   587,
     588,   187,   188,   589,     0,   590,   591,     0,   592,     0,
     191,   593,   192,   594,   595,   596,     0,   597,   598,     0,
       0,   599,   600,   601,     0,     0,   602,   603,   193,     0,
     604,     0,   196,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   197,   617,   198,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   200,   631,   632,   633,   634,     0,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,     0,   648,   649,     0,   650,   651,   652,   653,
     654,   209,   655,   656,   657,   658,   659,   660,   661,   772,
     662,     0,   663,   664,   665,   666,   667,     0,   669,   670,
     214,   671,   672,     0,   673,   674,   217,   675,     0,   676,
     677,   678,   679,   680,   681,   682,   683,   684,   685,   686,
     687,   688,   219,   689,     0,   690,   691,     0,   692,     0,
     693,   694,   695,   696,   697,     0,   698,   222,   223,     0,
       0,   700,   701,   224,   702,   225,     0,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,     0,     0,   716,   717,   718,   719,   720,   773,
     232,     0,   721,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     774,   733,   734,     0,     0,     0,     0,     0,     0,     0,
       0,  1327,  1328,  1329,  1330,  1331,  1332,  1333,  1334,  1335,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,  1321,     0,     0,     0,     0,     0,
       0,  1322,  1323,  1324,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,   538,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,  5947,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,     0,     0,     0,     0,     0,     0,
       0,     0,  1327,  1328,  1329,  1330,  1331,  1332,  1333,  1334,
    1335,   797,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
     798,    98,    99,   753,   799,     0,   101,   102,   103,   104,
     800,   801,   106,   107,   108,     0,   109,   802,   803,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   804,   439,   440,   441,   805,   806,
     807,   808,   809,   810,   811,   442,   443,   444,   812,   445,
     446,   447,   448,   126,   449,   450,   451,   128,   129,   130,
     131,   132,   813,   452,   453,   454,   455,   456,   457,   458,
     814,   815,   459,   460,   816,   134,   461,   817,   462,   463,
     464,   465,   138,   818,   139,   819,   466,   467,   468,   469,
     470,   471,   142,   472,   473,   820,   821,   474,   475,   476,
     477,   478,   479,   822,   145,   480,   481,   823,   824,   825,
     826,   146,   827,   828,   829,   484,   485,   486,   487,   767,
     488,   149,   150,   489,   830,   490,   831,   491,   492,   493,
     494,   495,   496,   497,   832,   498,   499,   500,   501,   833,
     834,   502,   503,   504,   505,   506,   835,   507,   508,   509,
     836,   510,   511,   512,   837,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,   838,   521,   839,   522,   523,
     524,   162,   525,   840,   526,   841,   527,   163,   842,   164,
     528,   529,   530,   531,   843,   532,   166,   844,   167,   533,
     534,   845,   535,   536,   769,   537,   538,   168,   539,   540,
     541,   542,   846,   543,   544,   545,   546,   547,   548,   549,
     847,   550,   170,   171,   848,   551,   552,   553,   849,   172,
     850,   173,   851,   554,   174,   175,   555,   176,   556,   557,
     558,   559,   560,   852,   853,   561,   177,   178,   562,   179,
     854,   563,   564,   565,   855,   856,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,   185,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,   857,   590,   591,
     190,   592,   858,   191,   593,   192,   594,   595,   596,   859,
     597,   598,   860,   861,   599,   600,   601,   862,   863,   602,
     603,   193,   194,   604,   195,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   864,   615,   616,   197,
     617,   198,   618,   619,   620,   865,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,   866,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   867,   648,   649,   207,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,   868,   663,   664,   665,   666,   667,
     869,   669,   670,   214,   671,   672,   216,   673,   674,   217,
     675,   870,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,   871,   690,   691,
     872,   692,   221,   693,   694,   695,   696,   697,   873,   698,
     222,   223,   874,   875,   700,   701,   224,   702,   225,   876,
     703,   704,   705,   706,   707,   708,   709,   710,   877,   878,
     711,   712,   713,   714,   715,   879,   880,   716,   717,   718,
     719,   720,   881,   232,   882,   721,   233,   722,   723,   724,
     725,   883,   884,   726,   885,   886,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,     0,   797,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,  2165,
      92,    93,    94,    95,    96,    97,   798,    98,    99,   753,
     799,     0,   101,   102,   103,   104,   800,   801,   106,   107,
     108,     0,   109,   802,   803,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,   126,
     449,   450,   451,     0,  1500,   130,  1501,  1502,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
    1503,  1504,   461,     0,   462,   463,   464,   465,     0,     0,
     139,     0,   466,   467,   468,   469,   470,   471,   142,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,     0,
     145,   480,   481,     0,     0,     0,     0,   146,     0,     0,
       0,   484,   485,   486,   487,   767,   488,  1505,  1506,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,  1507,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,     0,   517,   518,   519,   520,
       0,     0,   521,     0,   522,   523,   524,  1508,   525,     0,
     526,     0,   527,   163,     0,   164,   528,   529,   530,   531,
       0,   532,     0,     0,     0,   533,   534,     0,   535,   536,
     769,   537,   538,   168,   539,   540,   541,   542,  3121,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   170,  3122,
       0,   551,   552,   553,  1510,  1511,     0,  1512,     0,   554,
     174,   175,   555,   176,   556,   557,   558,   559,   560,     0,
       0,   561,     0,   178,   562,   179,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
    1513,   185,  1514,   582,   583,   584,   585,   586,   587,   588,
       0,     0,   589,     0,   590,   591,   190,   592,     0,     0,
     593,  1515,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,  3123,   602,   603,  3124,   194,   604,
     195,     0,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,     0,   617,     0,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,  1516,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,   207,   650,   651,   652,   653,   654,
       0,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,  3125,
     671,   672,   216,   673,   674,  1518,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,     0,   689,     0,   690,   691,     0,   692,   221,   693,
     694,   695,   696,   697,     0,   698,  1519,  1520,     0,     0,
     700,   701,     0,   702,     0,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,     0,  1521,
    3126,   721,   233,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   774,
     733,   734,     0,     0,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,  3127,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,   538,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,     0,     0,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,  1205,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,   538,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,     0,     0,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,  6375,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
     430,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,    40,     0,     0,     0,     0,     0,     0,     0,     0,
     431,  1093,   433,   434,   435,   436,   437,   438,  1094,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,  1095,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,  1096,   162,   525,     0,   526,     0,
    1097,     0,  1098,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,     0,   539,   540,   541,   542,  1099,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,  1100,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,  1101,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
    1102,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,  1103,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
       0,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,  1104,  1105,    92,    93,    94,    95,    96,    97,     0,
      98,    99,   753,     0,     0,   101,   102,   103,   104,     0,
       0,   106,   107,   108,     0,   109,     0,     0,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,   430,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,    40,     0,     0,     0,
       0,     0,     0,     0,     0,   431,  1093,   433,   434,   435,
     436,   437,   438,  1094,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,     0,  1128,   450,   451,   128,   129,     0,   131,
     132,     0,   452,   453,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   764,   134,   461,     0,   462,   463,   464,
     465,   138,     0,     0,     0,   466,   467,   468,   469,   470,
     471,     0,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,     0,     0,     0,     0,
       0,     0,     0,     0,   484,   485,   486,   487,   767,   488,
     149,   150,   489,     0,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,   158,   517,
     518,   519,   520,   160,     0,   521,     0,   522,   523,  1096,
     162,   525,     0,   526,     0,  1129,     0,  1098,     0,   528,
     529,   530,   531,     0,   532,   166,     0,   167,   533,   534,
       0,   535,   536,   769,   537,   538,     0,   539,   540,   541,
     542,  1099,   543,   544,   545,   546,   547,   548,   549,     0,
     550,     0,   171,     0,   551,   552,   553,     0,   172,     0,
     173,     0,   554,     0,     0,   555,     0,   556,   557,   558,
     559,  1100,     0,     0,   561,   177,     0,   562,     0,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,   184,     0,   186,   582,  1101,   584,   585,
     586,   587,   588,   187,   188,   589,     0,   590,   591,     0,
     592,     0,   191,   593,   192,   594,   595,   596,     0,   597,
     598,     0,     0,   599,   600,   601,     0,     0,   602,   603,
     193,     0,   604,     0,   196,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   197,   617,
     198,   618,   619,   620,     0,  1102,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   200,   631,   632,   633,   634,
       0,   635,   636,   637,  1103,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,     0,   650,   651,
     652,   653,   654,   209,   655,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,     0,
     669,   670,   214,   671,   672,     0,   673,   674,   217,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   219,   689,     0,   690,   691,     0,
     692,     0,   693,   694,   695,   696,   697,     0,   698,   222,
     223,     0,     0,   700,   701,   224,   702,   225,     0,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   773,   232,     0,   721,     0,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   774,   733,   734,     0,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,  1104,  1105,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
     430,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,    40,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,  1606,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,  1098,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,     0,   539,   540,   541,   542,  1099,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
       0,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,  1104,  1105,    92,    93,    94,    95,    96,    97,     0,
      98,    99,   753,     0,     0,   101,   102,   103,   104,     0,
       0,   106,   107,   108,     0,   109,     0,     0,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,   430,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,    40,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,  1611,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,     0,   449,   450,   451,   128,   129,     0,   131,
     132,     0,   452,   453,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   764,   134,   461,     0,   462,   463,   464,
     465,   138,     0,     0,     0,   466,   467,   468,   469,   470,
     471,     0,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,     0,   480,   481,     0,     0,     0,     0,
       0,     0,     0,     0,   484,   485,   486,   487,   767,   488,
     149,   150,   489,     0,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,   158,   517,
     518,   519,   520,   160,     0,   521,     0,   522,   523,   524,
     162,   525,     0,   526,     0,   527,     0,  1098,     0,   528,
     529,   530,   531,     0,   532,   166,     0,   167,   533,   534,
       0,   535,   536,   769,   537,   538,     0,   539,   540,   541,
     542,  1099,   543,   544,   545,   546,   547,   548,   549,     0,
     550,     0,   171,     0,   551,   552,   553,     0,   172,     0,
     173,     0,   554,     0,     0,   555,     0,   556,   557,   558,
     559,   560,     0,     0,   561,   177,     0,   562,     0,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,   184,     0,   186,   582,   583,   584,   585,
     586,   587,   588,   187,   188,   589,     0,   590,   591,     0,
     592,     0,   191,   593,   192,   594,   595,   596,     0,   597,
     598,     0,     0,   599,   600,   601,     0,     0,   602,   603,
     193,     0,   604,     0,   196,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   197,   617,
     198,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   200,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,     0,   650,   651,
     652,   653,   654,   209,   655,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,     0,
     669,   670,   214,   671,   672,     0,   673,   674,   217,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   219,   689,     0,   690,   691,     0,
     692,     0,   693,   694,   695,   696,   697,     0,   698,   222,
     223,     0,     0,   700,   701,   224,   702,   225,     0,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   773,   232,     0,   721,     0,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   774,   733,   734,     0,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,  1104,  1105,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
     430,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,   768,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,  1787,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1174,
    1788,    81,    82,   750,    84,    85,    86,   751,  1175,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,     0,
      98,    99,   753,     0,     0,   101,   102,   103,   104,     0,
       0,   106,   107,   108,     0,   109,     0,     0,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,     0,   449,   450,   451,   128,   129,     0,   131,
     132,     0,   452,   453,   454,   455,   456,   457,   458,     0,
       0,  1176,   460,  1147,   134,   461,     0,   462,   463,   464,
     465,   138,     0,     0,     0,   466,   467,   468,   469,   470,
     471,     0,   472,   473,  1177,     0,  1178,   475,   476,   477,
     478,   479,     0,     0,   480,   481,     0,     0,     0,     0,
       0,     0,     0,     0,   484,   485,   486,   487,   767,   488,
     149,   150,   489,     0,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,   158,   517,
     518,   519,   520,   160,     0,   521,     0,   522,   523,   524,
     162,   525,     0,   526,     0,   527,     0,     0,     0,   528,
     529,   530,   531,     0,   532,   166,     0,   167,   533,   534,
       0,   535,   536,   769,   537,   538,     0,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,     0,   171,     0,   551,   552,   553,     0,   172,     0,
     173,     0,   554,     0,     0,   555,     0,   556,   557,   558,
     559,   560,     0,     0,   561,   177,     0,   562,     0,     0,
     563,   564,  1179,     0,     0,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,  1180,   184,     0,   186,   582,   583,   584,   585,
     586,   587,   588,   187,   188,   589,     0,   590,   591,     0,
     592,     0,   191,   593,   192,   594,   595,   596,     0,   597,
     598,     0,     0,   599,   600,   601,     0,     0,   602,   603,
     193,     0,   604,     0,   196,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   197,   617,
     198,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   200,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,     0,  1181,   651,
     652,   653,   654,   209,   655,   656,   657,  1182,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,  1183,     0,
     669,   670,   214,   671,   672,     0,   673,   674,   217,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   219,   689,     0,   690,   691,     0,
     692,     0,   693,   694,   695,   696,   697,     0,   698,  1184,
     223,     0,     0,  1185,   701,   224,   702,   225,     0,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,  1151,   232,     0,   721,     0,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
    1186,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   774,   733,   734,   797,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   798,    98,    99,   753,   799,     0,
     101,   102,   103,   104,   800,   801,   106,   107,   108,     0,
     109,   802,   803,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,    38,    39,     0,     0,     0,
       0,    40,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   804,   439,
     440,   441,   805,   806,   807,   808,   809,   810,   811,   442,
     443,   444,   812,   445,   446,   447,   448,   126,   449,   450,
     451,   128,   129,   130,   131,   132,   813,   452,   453,   454,
     455,   456,   457,   458,   814,   815,   459,   460,   816,   134,
     461,   817,   462,   463,   464,   465,   138,   818,   139,   819,
     466,   467,   468,   469,   470,   471,   142,   472,   473,   820,
     821,   474,   475,   476,   477,   478,   479,   822,   145,   480,
     481,   823,   824,   825,   826,   146,   827,   828,   829,   484,
     485,   486,   487,   767,   488,   149,   150,   489,   830,   490,
     831,   491,   492,   493,   494,   495,   496,   497,   832,   498,
     499,   500,   501,   833,   834,   502,   503,   504,   505,   506,
     835,   507,   508,   509,   836,   510,   511,   512,   837,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,   838,
     521,   839,   522,   523,   524,   162,   525,   840,   526,   841,
     527,   163,   842,   164,   528,   529,   530,   531,   843,   532,
     166,   844,   167,   533,   534,   845,   535,   536,   769,   537,
     538,   168,   539,   540,   541,   542,   846,   543,   544,   545,
     546,   547,   548,   549,   847,   550,   170,   171,   848,   551,
     552,   553,   849,   172,   850,   173,   851,   554,   174,   175,
     555,   176,   556,   557,   558,   559,   560,   852,   853,   561,
     177,   178,   562,   179,   854,   563,   564,   565,   855,   856,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,   185,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,   857,   590,   591,   190,   592,   858,   191,   593,   192,
     594,   595,   596,   859,   597,   598,   860,   861,   599,   600,
     601,   862,   863,   602,   603,   193,   194,   604,   195,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     864,   615,   616,   197,   617,   198,   618,   619,   620,   865,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,   866,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   867,
     648,   649,   207,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,   868,   663,
     664,   665,   666,   667,   869,   669,   670,   214,   671,   672,
     216,   673,   674,   217,   675,   870,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,   871,   690,   691,   872,   692,   221,   693,   694,   695,
     696,   697,   873,   698,   222,   223,   874,   875,   700,   701,
     224,   702,   225,   876,   703,   704,   705,   706,   707,   708,
     709,   710,   877,   878,   711,   712,   713,   714,   715,   879,
     880,   716,   717,   718,   719,   720,   881,   232,   882,   721,
     233,   722,   723,   724,   725,   883,   884,   726,   885,   886,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   804,   439,   440,   441,   805,   806,   807,
     808,   809,   810,   811,   442,   443,   444,   812,   445,   446,
     447,   448,   126,   449,   450,   451,   128,   129,   130,   131,
     132,   813,   452,   453,   454,   455,   456,   457,   458,   814,
     815,   459,   460,   816,   134,   461,   817,   462,   463,   464,
     465,   138,   818,   139,   819,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   820,   821,   474,   475,   476,   477,
     478,   479,   822,   145,   480,   481,   823,   824,   825,   826,
     146,   827,   828,   829,   484,   485,   486,   487,   767,   488,
     149,   150,   489,   830,   490,   831,   491,   492,   493,   494,
     495,   496,   497,   832,   498,   499,   500,   501,   833,   834,
     502,   503,   504,   505,   506,   835,   507,   508,   509,   836,
     510,   511,   512,   837,   513,   514,   515,   516,   158,   517,
     518,   519,   520,   160,   838,   521,   839,   522,   523,   524,
     162,   525,   840,   526,   841,   527,   163,   842,   164,   528,
     529,   530,   531,   843,   532,   166,   844,   167,   533,   534,
     845,   535,   536,   769,   537,   538,   168,   539,   540,   541,
     542,   846,   543,   544,   545,   546,   547,   548,   549,   847,
     550,   170,   171,   848,   551,   552,   553,   849,   172,   850,
     173,   851,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,   852,   853,   561,   177,   178,   562,   179,   854,
     563,   564,   565,   855,   856,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,   184,   185,   186,   582,   583,   584,   585,
     586,   587,   588,   187,   188,   589,   857,   590,   591,   190,
     592,   858,   191,   593,   192,   594,   595,   596,   859,   597,
     598,   860,   861,   599,   600,   601,   862,   863,   602,   603,
     193,   194,   604,   195,   196,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   864,   615,   616,   197,   617,
     198,   618,   619,   620,   865,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   200,   631,   632,   633,   634,
     866,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   867,   648,   649,   207,   650,   651,
     652,   653,   654,   209,   655,   656,   657,   658,   659,   660,
     661,   772,   662,   868,   663,   664,   665,   666,   667,   869,
     669,   670,   214,   671,   672,   216,   673,   674,   217,   675,
     870,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   219,   689,   871,   690,   691,   872,
     692,   221,   693,   694,   695,   696,   697,   873,   698,   222,
     223,   874,   875,   700,   701,   224,   702,   225,   876,   703,
     704,   705,   706,   707,   708,   709,   710,   877,   878,   711,
     712,   713,   714,   715,   879,   880,   716,   717,   718,   719,
     720,   881,   232,   882,   721,   233,   722,   723,   724,   725,
     883,   884,   726,   885,   886,   727,   728,   729,   730,   731,
     732,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   774,   733,   734,   797,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   798,    98,    99,   753,   799,     0,
     101,   102,   103,   104,   800,   801,   106,   107,   108,     0,
     109,   802,   803,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,  4049,   436,   437,   438,   804,   439,
     440,   441,   805,   806,   807,   808,   809,   810,   811,   442,
     443,   444,   812,   445,   446,   447,   448,   126,   449,   450,
     451,   128,   129,   130,   131,   132,   813,   452,   453,   454,
     455,   456,   457,   458,   814,   815,   459,   460,   816,   134,
     461,   817,   462,   463,   464,   465,   138,   818,   139,   819,
     466,   467,   468,   469,   470,   471,   142,   472,   473,   820,
     821,   474,   475,   476,   477,   478,   479,   822,   145,   480,
     481,   823,   824,   825,   826,   146,   827,   828,   829,   484,
     485,   486,   487,   767,   488,   149,   150,   489,   830,   490,
     831,   491,   492,   493,   494,   495,   496,   497,   832,   498,
     499,   500,   501,   833,   834,   502,   503,   504,  4050,   506,
     835,   507,   508,   509,   836,   510,   511,   512,   837,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,   838,
     521,   839,   522,   523,   524,   162,   525,   840,   526,   841,
     527,   163,   842,   164,   528,   529,   530,   531,   843,   532,
     166,   844,   167,   533,   534,   845,   535,   536,   769,   537,
     538,   168,   539,   540,   541,   542,   846,   543,   544,   545,
     546,   547,   548,   549,   847,   550,   170,   171,   848,   551,
     552,   553,   849,   172,   850,   173,   851,   554,   174,   175,
     555,   176,   556,   557,   558,   559,   560,   852,   853,   561,
     177,   178,   562,   179,   854,   563,   564,   565,   855,   856,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,   185,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,   857,   590,   591,   190,   592,   858,   191,   593,   192,
     594,   595,   596,   859,   597,   598,   860,   861,   599,   600,
     601,   862,   863,   602,   603,   193,   194,   604,   195,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     864,   615,   616,   197,   617,   198,   618,   619,   620,   865,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,   866,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   867,
     648,   649,   207,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,   868,   663,
     664,   665,   666,   667,   869,  4051,   670,   214,   671,   672,
     216,   673,   674,   217,   675,   870,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,   871,   690,   691,   872,   692,   221,   693,   694,   695,
     696,   697,   873,   698,   222,   223,   874,   875,   700,   701,
     224,   702,   225,   876,   703,   704,   705,   706,   707,   708,
     709,   710,   877,   878,   711,   712,   713,   714,   715,   879,
     880,   716,   717,   718,   719,   720,   881,   232,   882,   721,
     233,   722,   723,   724,   725,   883,   884,   726,   885,   886,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,   126,   449,   450,   451,   128,   129,   130,   131,
     132,     0,   452,   453,   454,   455,   456,   457,   458,     0,
    1683,   459,   460,   764,   134,   461,     0,   462,   463,   464,
     465,  1686,     0,  1687,     0,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,   145,   480,   481,     0,  1688,  1689,  1690,
    1691,  1692,  1693,  1694,   484,   485,   486,   487,   767,   488,
     149,   150,   489,     0,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,   158,   517,
     518,   519,   520,  1699,     0,   521,     0,   522,   523,   524,
     162,   525,     0,   526,     0,   527,   163,     0,   164,   528,
     529,   530,   531,     0,   532,  1702,     0,   167,   533,   534,
       0,   535,   536,   769,   537,   538,   168,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   170,   171,     0,   551,   552,   553,     0,   172,     0,
     173,     0,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,     0,     0,   561,  1706,   178,   562,   179,     0,
     563,   564,   565,  1707,  1708,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,   184,   185,   186,   582,   583,   584,   585,
     586,   587,   588,   187,  1711,   589,     0,   590,   591,   190,
     592,     0,  1714,   593,   192,   594,   595,   596,     0,   597,
     598,     0,     0,   599,   600,   601,     0,     0,   602,   603,
     193,   194,   604,   195,  1717,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,  1718,   617,
     198,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   200,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,   207,   650,   651,
     652,   653,   654,   209,   655,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,  1721,
     669,   670,   214,   671,   672,   216,   673,   674,   217,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,  1723,   689,     0,   690,   691,     0,
     692,   221,   693,   694,   695,   696,   697,     0,   698,   222,
     223,     0,     0,   700,   701,  1726,   702,  1727,     0,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,  1730,     0,   716,   717,   718,   719,
     720,   773,   232,     0,   721,   233,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   235,  1732,  1733,  1734,  1735,   240,  1736,  1737,  1738,
    1739,   245,   774,   733,   734,   797,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   798,    98,    99,   753,   799,     0,
     101,   102,   103,   104,   800,   801,   106,   107,   108,     0,
     109,   802,   803,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
     430,     0,     0,    37,     0,    38,    39,     0,  1674,  1675,
       0,    40,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,   126,   449,   450,
     451,   128,  1679,   130,  1680,  1681,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,  1684,  1685,
     461,     0,   462,   463,   464,   465,   138,     0,   139,     0,
     466,   467,   468,   469,   470,   471,   142,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,   145,   480,
     481,     0,     0,     0,     0,   146,     0,     0,     0,   484,
     485,   486,   487,   767,   488,  1695,  1696,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,  1507,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,  1700,
     521,     0,   522,   523,   524,  1701,   525,     0,   526,     0,
     527,   163,     0,   164,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,   168,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   170,   171,     0,   551,
     552,   553,  1510,  1704,     0,  1705,     0,   554,   174,   175,
     555,   176,   556,   557,   558,   559,   560,     0,     0,   561,
     177,   178,   562,   179,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,  1709,   185,
    1710,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,   190,   592,  1713,   191,   593,  1715,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,   194,   604,   195,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
    1719,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,   207,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
     216,   673,   674,  1722,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,   221,   693,   694,   695,
     696,   697,     0,   698,  1724,  1725,     0,     0,   700,   701,
     224,   702,   225,  1728,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,  1731,     0,   721,
     233,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,   126,   449,   450,   451,   128,   129,   130,   131,
     132,     0,   452,   453,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   764,   134,   461,     0,   462,   463,   464,
     465,   138,     0,   139,     0,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,   145,   480,   481,     0,     0,     0,     0,
     146,     0,     0,     0,   484,   485,   486,   487,   767,   488,
     149,   150,   489,     0,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,   158,   517,
     518,   519,   520,   160,     0,   521,     0,   522,   523,   524,
     162,   525,     0,   526,     0,   527,   163,     0,   164,   528,
     529,   530,   531,     0,   532,   166,     0,   167,   533,   534,
       0,   535,   536,   769,   537,   538,   168,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   170,   171,     0,   551,   552,   553,     0,   172,     0,
     173,     0,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,     0,     0,   561,   177,   178,   562,   179,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,   184,   185,   186,   582,   583,   584,   585,
     586,   587,   588,   187,   188,   589,     0,   590,   591,   190,
     592,     0,   191,   593,   192,   594,   595,   596,     0,   597,
     598,     0,     0,   599,   600,   601,     0,     0,   602,   603,
     193,   194,   604,   195,   196,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   197,   617,
     198,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   200,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,   207,   650,   651,
     652,   653,   654,   209,   655,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,     0,
     669,   670,   214,   671,   672,   216,   673,   674,   217,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   219,   689,     0,   690,   691,     0,
     692,   221,   693,   694,   695,   696,   697,     0,   698,   222,
     223,     0,     0,   700,   701,   224,   702,   225,     0,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   773,   232,     0,   721,   233,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   774,   733,   734,   797,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   798,    98,    99,   753,   799,     0,
     101,   102,   103,   104,   800,   801,   106,   107,   108,     0,
     109,   802,   803,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,   126,   449,   450,
     451,   128,   129,   130,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,   139,     0,
     466,   467,   468,   469,   470,   471,   142,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,   145,   480,
     481,     0,     0,     0,     0,   146,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,   163,     0,   164,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
    1493,   168,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   170,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,   174,   175,
     555,   176,   556,   557,   558,   559,   560,     0,     0,   561,
     177,   178,   562,   179,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,   185,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,   190,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,   194,   604,   195,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,   207,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
     216,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,   221,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
     233,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,   126,   449,   450,   451,   128,   129,   130,   131,
     132,     0,   452,   453,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   764,   134,   461,     0,   462,   463,   464,
     465,   138,     0,   139,     0,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,   145,   480,   481,     0,     0,     0,     0,
     146,     0,     0,     0,   484,   485,   486,   487,   767,   488,
     149,   150,   489,     0,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,   158,   517,
     518,   519,   520,   160,     0,   521,     0,   522,   523,   524,
     162,   525,     0,   526,     0,   527,   163,     0,   164,   528,
     529,   530,   531,     0,   532,   166,     0,   167,   533,   534,
       0,   535,   536,   769,   537,  1544,   168,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   170,   171,     0,   551,   552,   553,     0,   172,     0,
     173,     0,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,     0,     0,   561,   177,   178,   562,   179,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,   184,   185,   186,   582,   583,   584,   585,
     586,   587,   588,   187,   188,   589,     0,   590,   591,   190,
     592,     0,   191,   593,   192,   594,   595,   596,     0,   597,
     598,     0,     0,   599,   600,   601,     0,     0,   602,   603,
     193,   194,   604,   195,   196,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   197,   617,
     198,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   200,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,   207,   650,   651,
     652,   653,   654,   209,   655,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,     0,
     669,   670,   214,   671,   672,   216,   673,   674,   217,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   219,   689,     0,   690,   691,     0,
     692,   221,   693,   694,   695,   696,   697,     0,   698,   222,
     223,     0,     0,   700,   701,   224,   702,   225,     0,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   773,   232,     0,   721,   233,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   774,   733,   734,   797,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   798,    98,    99,   753,   799,     0,
     101,   102,   103,   104,   800,   801,   106,   107,   108,     0,
     109,   802,   803,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,   126,   449,   450,
     451,   128,   129,   130,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,   139,     0,
     466,   467,   468,   469,   470,   471,   142,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,   145,   480,
     481,     0,     0,     0,     0,   146,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,   163,     0,   164,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
    1558,   168,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   170,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,   174,   175,
     555,   176,   556,   557,   558,   559,   560,     0,     0,   561,
     177,   178,   562,   179,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,   185,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,   190,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,   194,   604,   195,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,   207,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
     216,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,   221,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
     233,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,   126,   449,   450,   451,   128,   129,   130,   131,
     132,     0,   452,   453,   454,   455,   456,   457,   458,     0,
       0,   459,   460,   764,   134,   461,     0,   462,   463,   464,
     465,   138,     0,   139,     0,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,   145,   480,   481,     0,     0,     0,     0,
     146,     0,     0,     0,   484,   485,   486,   487,   767,   488,
     149,   150,   489,     0,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,   504,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,   158,   517,
     518,   519,   520,   160,     0,   521,     0,   522,   523,   524,
     162,   525,     0,   526,     0,   527,   163,     0,   164,   528,
     529,   530,   531,     0,   532,   166,     0,   167,   533,   534,
       0,   535,   536,   769,   537,  1562,   168,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   170,   171,     0,   551,   552,   553,     0,   172,     0,
     173,     0,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,     0,     0,   561,   177,   178,   562,   179,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,   184,   185,   186,   582,   583,   584,   585,
     586,   587,   588,   187,   188,   589,     0,   590,   591,   190,
     592,     0,   191,   593,   192,   594,   595,   596,     0,   597,
     598,     0,     0,   599,   600,   601,     0,     0,   602,   603,
     193,   194,   604,   195,   196,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   197,   617,
     198,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   200,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,   207,   650,   651,
     652,   653,   654,   209,   655,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,     0,
     669,   670,   214,   671,   672,   216,   673,   674,   217,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   219,   689,     0,   690,   691,     0,
     692,   221,   693,   694,   695,   696,   697,     0,   698,   222,
     223,     0,     0,   700,   701,   224,   702,   225,     0,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   773,   232,     0,   721,   233,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   774,   733,   734,   797,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   798,    98,    99,   753,   799,     0,
     101,   102,   103,   104,   800,   801,   106,   107,   108,     0,
     109,   802,   803,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,   126,   449,   450,
     451,     0,  1500,   130,  1501,  1502,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,  1503,  1504,
     461,     0,   462,   463,   464,   465,     0,     0,   139,     0,
     466,   467,   468,   469,   470,   471,   142,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,   145,   480,
     481,     0,     0,     0,     0,   146,     0,     0,     0,   484,
     485,   486,   487,   767,   488,  1505,  1506,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,  1507,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,     0,   517,   518,   519,   520,     0,     0,
     521,     0,   522,   523,   524,  1508,   525,     0,   526,     0,
     527,   163,     0,   164,   528,   529,   530,   531,     0,   532,
       0,     0,     0,   533,   534,     0,   535,   536,   769,   537,
     538,   168,   539,   540,   541,   542,  3121,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   170,  3122,     0,   551,
     552,   553,  1510,  1511,     0,  1512,     0,   554,   174,   175,
     555,   176,   556,   557,   558,   559,   560,     0,     0,   561,
       0,   178,   562,   179,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,  1513,   185,
    1514,   582,   583,   584,   585,   586,   587,   588,     0,     0,
     589,     0,   590,   591,   190,   592,     0,     0,   593,  1515,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,  3124,   194,   604,   195,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,     0,   617,     0,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
    1516,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,   207,   650,   651,   652,   653,   654,     0,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,  3125,   671,   672,
     216,   673,   674,  1518,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,     0,
     689,     0,   690,   691,     0,   692,   221,   693,   694,   695,
     696,   697,     0,   698,  1519,  1520,     0,     0,   700,   701,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,  1521,  3126,   721,
     233,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   774,   733,   734,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,   126,   449,   450,   451,     0,  1500,   130,  1501,
    1502,     0,   452,   453,   454,   455,   456,   457,   458,     0,
       0,   459,   460,  1503,  1504,   461,     0,   462,   463,   464,
     465,     0,     0,   139,     0,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,   145,   480,   481,     0,     0,     0,     0,
     146,     0,     0,     0,   484,   485,   486,   487,   767,   488,
    1505,  1506,   489,     0,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,  1507,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,     0,   517,
     518,   519,   520,     0,     0,   521,     0,   522,   523,   524,
    1508,   525,     0,   526,     0,   527,   163,     0,   164,   528,
     529,   530,   531,     0,   532,     0,     0,     0,   533,   534,
       0,   535,   536,   769,   537,   538,   168,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   170,     0,     0,   551,   552,   553,  1510,  1511,     0,
    1512,     0,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,     0,     0,   561,     0,   178,   562,   179,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,  1513,   185,  1514,   582,   583,   584,   585,
     586,   587,   588,     0,     0,   589,     0,   590,   591,   190,
     592,  3210,     0,   593,  1515,   594,   595,   596,     0,   597,
     598,     0,     0,   599,   600,   601,     0,     0,   602,   603,
       0,   194,   604,   195,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,     0,   617,
       0,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,  1516,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,   207,   650,   651,
     652,   653,   654,     0,   655,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,     0,
     669,   670,  3125,   671,   672,   216,   673,   674,  1518,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,     0,   689,     0,   690,   691,  4987,
     692,   221,   693,   694,   695,   696,   697,     0,   698,  1519,
    1520,     0,     0,   700,   701,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,     0,  1521,     0,   721,   233,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   774,   733,   734,   797,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   798,    98,    99,   753,   799,     0,
     101,   102,   103,   104,   800,   801,   106,   107,   108,     0,
     109,   802,   803,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,   126,   449,   450,
     451,     0,  1500,   130,  1501,  1502,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,  1503,  1504,
     461,     0,   462,   463,   464,   465,     0,     0,   139,     0,
     466,   467,   468,   469,   470,   471,   142,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,   145,   480,
     481,     0,     0,     0,     0,   146,     0,     0,     0,   484,
     485,   486,   487,   767,   488,  1505,  1506,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,  1507,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,     0,   517,   518,   519,   520,     0,     0,
     521,     0,   522,   523,   524,  1508,   525,     0,   526,     0,
     527,   163,     0,   164,   528,   529,   530,   531,     0,   532,
       0,     0,     0,   533,   534,     0,   535,   536,   769,   537,
     538,   168,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   170,     0,     0,   551,
     552,   553,  1510,  1511,     0,  1512,     0,   554,   174,   175,
     555,   176,   556,   557,   558,   559,   560,     0,     0,   561,
       0,   178,   562,   179,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,  1513,   185,
    1514,   582,   583,   584,   585,   586,   587,   588,  3282,     0,
     589,     0,   590,   591,   190,   592,     0,     0,   593,  1515,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,     0,   194,   604,   195,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,     0,   617,     0,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
    1516,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,   207,   650,   651,   652,   653,   654,     0,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,  1517,   671,   672,
     216,   673,   674,  1518,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,     0,
     689,     0,   690,   691,     0,   692,   221,   693,   694,   695,
     696,   697,     0,   698,  1519,  1520,     0,     0,   700,   701,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,  1521,     0,   721,
     233,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   774,   733,   734,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,   126,   449,   450,   451,     0,  1500,   130,  1501,
    1502,     0,   452,   453,   454,   455,   456,   457,   458,     0,
       0,   459,   460,  1503,  1504,   461,     0,   462,   463,   464,
     465,     0,     0,   139,     0,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,   145,   480,   481,     0,     0,     0,     0,
     146,     0,     0,     0,   484,   485,   486,   487,   767,   488,
    1505,  1506,   489,     0,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,  1507,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,     0,   517,
     518,   519,   520,     0,     0,   521,     0,   522,   523,   524,
    1508,   525,     0,   526,     0,   527,   163,     0,   164,   528,
     529,   530,   531,     0,   532,     0,     0,     0,   533,   534,
       0,   535,   536,   769,   537,   538,   168,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   170,     0,     0,   551,   552,   553,  1510,  1511,     0,
    1512,     0,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,     0,     0,   561,     0,   178,   562,   179,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,  1513,   185,  1514,   582,   583,   584,   585,
     586,   587,   588,  4783,     0,   589,     0,   590,   591,   190,
     592,     0,     0,   593,  1515,   594,   595,   596,     0,   597,
     598,     0,     0,   599,   600,   601,     0,     0,   602,   603,
       0,   194,   604,   195,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,     0,   617,
       0,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,  1516,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,   207,   650,   651,
     652,   653,   654,     0,   655,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,     0,
     669,   670,  1517,   671,   672,   216,   673,   674,  1518,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,     0,   689,     0,   690,   691,     0,
     692,   221,   693,   694,   695,   696,   697,     0,   698,  1519,
    1520,     0,     0,   700,   701,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,     0,  1521,     0,   721,   233,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   774,   733,   734,   797,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   798,    98,    99,   753,   799,     0,
     101,   102,   103,   104,   800,   801,   106,   107,   108,     0,
     109,   802,   803,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,   126,   449,   450,
     451,     0,  1500,   130,  1501,  1502,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,  1503,  1504,
     461,     0,   462,   463,   464,   465,     0,     0,   139,     0,
     466,   467,   468,   469,   470,   471,   142,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,   145,   480,
     481,     0,     0,     0,     0,   146,     0,     0,     0,   484,
     485,   486,   487,   767,   488,  1505,  1506,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,  1507,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,     0,   517,   518,   519,   520,     0,     0,
     521,     0,   522,   523,   524,  1508,   525,  6447,   526,     0,
     527,   163,     0,   164,   528,   529,   530,   531,     0,   532,
       0,     0,     0,   533,   534,     0,   535,   536,   769,   537,
     538,   168,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   170,     0,     0,   551,
     552,   553,  1510,  1511,     0,  1512,     0,   554,   174,   175,
     555,   176,   556,   557,   558,   559,   560,     0,     0,   561,
       0,   178,   562,   179,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,  1513,   185,
    1514,   582,   583,   584,   585,   586,   587,   588,     0,     0,
     589,     0,   590,   591,   190,   592,     0,     0,   593,  1515,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,     0,   194,   604,   195,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,     0,   617,     0,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
    1516,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,   207,   650,   651,   652,   653,   654,     0,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,  1517,   671,   672,
     216,   673,   674,  1518,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,     0,
     689,     0,   690,   691,     0,   692,   221,   693,   694,   695,
     696,   697,     0,   698,  1519,  1520,     0,     0,   700,   701,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,  1521,     0,   721,
     233,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   774,   733,   734,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,   126,   449,   450,   451,     0,  1500,   130,  1501,
    1502,     0,   452,   453,   454,   455,   456,   457,   458,     0,
       0,   459,   460,  1503,  1504,   461,     0,   462,   463,   464,
     465,     0,     0,   139,     0,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,   145,   480,   481,     0,     0,     0,     0,
     146,     0,     0,     0,   484,   485,   486,   487,   767,   488,
    1505,  1506,   489,     0,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,  1507,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,     0,   517,
     518,   519,   520,     0,     0,   521,     0,   522,   523,   524,
    1508,   525,     0,   526,     0,   527,   163,     0,   164,   528,
     529,   530,   531,     0,   532,     0,     0,     0,   533,   534,
       0,   535,   536,   769,   537,  1509,   168,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   170,     0,     0,   551,   552,   553,  1510,  1511,     0,
    1512,     0,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,     0,     0,   561,     0,   178,   562,   179,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,  1513,   185,  1514,   582,   583,   584,   585,
     586,   587,   588,     0,     0,   589,     0,   590,   591,   190,
     592,     0,     0,   593,  1515,   594,   595,   596,     0,   597,
     598,     0,     0,   599,   600,   601,     0,     0,   602,   603,
       0,   194,   604,   195,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,     0,   617,
       0,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,  1516,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,   207,   650,   651,
     652,   653,   654,     0,   655,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,     0,
     669,   670,  1517,   671,   672,   216,   673,   674,  1518,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,     0,   689,     0,   690,   691,     0,
     692,   221,   693,   694,   695,   696,   697,     0,   698,  1519,
    1520,     0,     0,   700,   701,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,     0,  1521,     0,   721,   233,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   774,   733,   734,   797,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   798,    98,    99,   753,   799,     0,
     101,   102,   103,   104,   800,   801,   106,   107,   108,     0,
     109,   802,   803,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,   126,   449,   450,
     451,     0,  1500,   130,  1501,  1502,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,  1503,  1504,
     461,     0,   462,   463,   464,   465,     0,     0,   139,     0,
     466,   467,   468,   469,   470,   471,   142,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,   145,   480,
     481,     0,     0,     0,     0,   146,     0,     0,     0,   484,
     485,   486,   487,   767,   488,  1505,  1506,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,  1507,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,     0,   517,   518,   519,   520,     0,     0,
     521,     0,   522,   523,   524,  1508,   525,     0,   526,     0,
     527,   163,     0,   164,   528,   529,   530,   531,     0,   532,
       0,     0,     0,   533,   534,     0,   535,   536,   769,   537,
    1570,   168,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   170,     0,     0,   551,
     552,   553,  1510,  1511,     0,  1512,     0,   554,   174,   175,
     555,   176,   556,   557,   558,   559,   560,     0,     0,   561,
       0,   178,   562,   179,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,  1513,   185,
    1514,   582,   583,   584,   585,   586,   587,   588,     0,     0,
     589,     0,   590,   591,   190,   592,     0,     0,   593,  1515,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,     0,   194,   604,   195,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,     0,   617,     0,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
    1516,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,   207,   650,   651,   652,   653,   654,     0,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,  1517,   671,   672,
     216,   673,   674,  1518,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,     0,
     689,     0,   690,   691,     0,   692,   221,   693,   694,   695,
     696,   697,     0,   698,  1519,  1520,     0,     0,   700,   701,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,  1521,     0,   721,
     233,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   774,   733,   734,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,   126,   449,   450,   451,     0,  1500,   130,  1501,
    1502,     0,   452,   453,   454,   455,   456,   457,   458,     0,
       0,   459,   460,  1503,  1504,   461,     0,   462,   463,   464,
     465,     0,     0,   139,     0,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,   145,   480,   481,     0,     0,     0,     0,
     146,     0,     0,     0,   484,   485,   486,   487,   767,   488,
    1505,  1506,   489,     0,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,  1507,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,     0,   517,
     518,   519,   520,     0,     0,   521,     0,   522,   523,   524,
    1508,   525,     0,   526,     0,   527,   163,     0,   164,   528,
     529,   530,   531,     0,   532,     0,     0,     0,   533,   534,
       0,   535,   536,   769,   537,   538,   168,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   170,     0,     0,   551,   552,   553,  1510,  1511,     0,
    1512,     0,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,     0,     0,   561,     0,   178,   562,   179,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,  1513,   185,  1514,   582,   583,   584,   585,
     586,   587,   588,     0,     0,   589,     0,   590,   591,   190,
     592,     0,     0,   593,  1515,   594,   595,   596,     0,   597,
     598,     0,     0,   599,   600,   601,     0,     0,   602,   603,
       0,   194,   604,   195,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,     0,   617,
       0,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,  1516,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,   207,   650,   651,
     652,   653,   654,     0,   655,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,     0,
     669,   670,  1517,   671,   672,   216,   673,   674,  1518,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,     0,   689,     0,   690,   691,     0,
     692,   221,   693,   694,   695,   696,   697,     0,   698,  1519,
    1520,     0,     0,   700,   701,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,     0,  1521,     0,   721,   233,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   774,   733,   734,   797,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   798,    98,    99,   753,   799,     0,
     101,   102,   103,   104,   800,   801,   106,   107,   108,     0,
     109,   802,   803,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,   126,   449,   450,
     451,     0,  1500,   130,  1501,  1502,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,  1503,  1504,
     461,     0,   462,   463,   464,   465,     0,     0,   139,     0,
     466,   467,   468,   469,   470,   471,   142,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,   145,   480,
     481,     0,     0,     0,     0,   146,     0,     0,     0,   484,
     485,   486,   487,   767,   488,  1505,  1506,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,  1507,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,     0,   517,   518,   519,   520,     0,     0,
     521,     0,   522,   523,   524,  1508,   525,     0,   526,     0,
     527,   163,     0,   164,   528,   529,   530,   531,     0,   532,
       0,     0,     0,   533,   534,     0,   535,   536,   769,   537,
     538,   168,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   170,     0,     0,   551,
     552,   553,  1510,  1511,     0,  1512,     0,   554,   174,   175,
     555,   176,   556,   557,   558,   559,   560,     0,     0,   561,
       0,   178,   562,   179,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,  1513,   185,
    1514,   582,   583,   584,   585,   586,   587,   588,     0,     0,
     589,     0,   590,   591,   190,   592,     0,     0,   593,  1515,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,     0,   194,   604,   195,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,     0,   617,     0,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
    1516,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,   207,   650,   651,   652,   653,   654,     0,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,  3125,   671,   672,
     216,   673,   674,  1518,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,     0,
     689,     0,   690,   691,     0,   692,   221,   693,   694,   695,
     696,   697,     0,   698,  1519,  1520,     0,     0,   700,   701,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,  1521,     0,   721,
     233,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   774,   733,   734,
     797,    81,    82,   750,    84,    85,    86,   751,     0,   752,
      89,     0,     0,    92,    93,    94,    95,    96,    97,   798,
      98,    99,   753,   799,     0,   101,   102,   103,   104,   800,
     801,   106,   107,   108,     0,   109,   802,   803,   754,   755,
       0,     0,     0,   756,   757,     0,     0,     0,     0,   758,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
     760,     0,   761,   762,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,   444,     0,   445,   446,
     447,   448,   126,   449,   450,   451,     0,  1500,   130,  1501,
    1502,     0,   452,   453,   454,   455,   456,   457,   458,     0,
       0,   459,   460,  1503,  1504,   461,     0,   462,   463,   464,
     465,     0,     0,   139,     0,   466,   467,   468,   469,   470,
     471,   142,   472,   473,   765,     0,   474,   475,   476,   477,
     478,   479,     0,   145,   480,   481,     0,     0,     0,     0,
     146,     0,     0,     0,   484,   485,   486,   487,   767,   488,
    1505,  1506,   489,     0,   490,     0,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,     0,     0,
     502,   503,  1507,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,     0,   513,   514,   515,   516,     0,   517,
     518,   519,   520,     0,     0,   521,     0,   522,   523,   524,
    1508,   525,     0,   526,     0,   527,   163,     0,   164,   528,
     529,   530,   531,     0,   532,     0,     0,     0,   533,   534,
       0,   535,   536,   769,   537,   538,   168,   539,   540,   541,
     542,     0,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   170,     0,     0,   551,   552,   553,  1510,  1511,     0,
    1512,     0,   554,   174,   175,   555,   176,   556,   557,   558,
     559,   560,     0,     0,   561,     0,   178,   562,   179,     0,
     563,   564,   565,     0,     0,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   770,   577,   578,   771,
     579,   580,   581,  1513,   185,  1514,   582,   583,   584,   585,
     586,   587,   588,     0,     0,   589,     0,   590,   591,   190,
     592,     0,     0,   593,  1515,   594,   595,   596,     0,   597,
     598,     0,     0,   599,   600,   601,     0,     0,   602,   603,
       0,   194,   604,   195,     0,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,     0,   617,
       0,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,  1516,   631,   632,   633,   634,
       0,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   649,   207,   650,   651,
     652,   653,   654,     0,   655,   656,   657,   658,   659,   660,
     661,   772,   662,     0,   663,   664,   665,   666,   667,     0,
     669,   670,     0,   671,   672,   216,   673,   674,  1518,   675,
       0,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,     0,   689,     0,   690,   691,     0,
     692,   221,   693,   694,   695,   696,   697,     0,   698,  1519,
    1520,     0,     0,   700,   701,     0,   702,     0,     0,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,     0,  1521,     0,   721,   233,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   774,   733,   734,   797,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,   798,    98,    99,   753,   799,     0,
     101,   102,   103,   104,   800,   801,   106,   107,   108,     0,
     109,   802,   803,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,   126,   449,   450,
     451,     0,     0,   130,     0,     0,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,     0,     0,
     461,     0,   462,   463,   464,   465,     0,     0,   139,     0,
     466,   467,   468,   469,   470,   471,   142,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,   145,   480,
     481,     0,     0,     0,     0,   146,     0,     0,     0,   484,
     485,   486,   487,   767,   488,     0,     0,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,     0,   517,   518,   519,   520,     0,     0,
     521,     0,   522,   523,   524,     0,   525,     0,   526,     0,
     527,   163,     0,   164,   528,   529,   530,   531,     0,   532,
       0,     0,     0,   533,   534,     0,   535,   536,   769,   537,
     538,   168,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   170,     0,     0,   551,
     552,   553,     0,     0,     0,     0,     0,   554,   174,   175,
     555,   176,   556,   557,   558,   559,   560,     0,     0,   561,
       0,   178,   562,   179,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,     0,   185,
       0,   582,   583,   584,   585,   586,   587,   588,     0,     0,
     589,     0,   590,   591,   190,   592,     0,     0,   593,     0,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,     0,   194,   604,   195,     0,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,     0,   617,     0,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,   207,   650,   651,   652,   653,   654,     0,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,     0,   671,   672,
     216,   673,   674,     0,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,     0,
     689,     0,   690,   691,     0,   692,   221,   693,   694,   695,
     696,   697,     0,   698,     0,     0,     0,     0,   700,   701,
       0,   702,     0,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,     0,     0,   721,
     233,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   804,   439,   440,   441,   805,   806,   807,   808,
     809,   810,   811,   442,   443,   444,   812,   445,   446,   447,
     448,   126,   449,   450,   451,   128,   129,   130,   131,   132,
     813,   452,   453,   454,   455,   456,   457,   458,   814,   815,
     459,   460,     0,   134,   461,   817,   462,   463,   464,   465,
     138,   818,   139,   819,   466,   467,   468,   469,   470,   471,
     142,   472,   473,   820,   821,   474,   475,   476,   477,   478,
     479,   822,   145,   480,   481,     0,   824,   825,   826,   146,
     827,   828,   829,   484,   485,   486,   487,     0,   488,   149,
     150,   489,   830,   490,   831,   491,   492,   493,   494,   495,
     496,   497,   832,   498,   499,   500,   501,   833,   834,   502,
     503,   504,   505,   506,   835,   507,   508,   509,   836,   510,
     511,   512,   837,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,   838,   521,   839,   522,   523,   524,   162,
     525,   840,   526,   841,   527,   163,   842,   164,   528,   529,
     530,   531,   843,   532,   166,   844,   167,   533,   534,   845,
     535,   536,     0,   537,   538,   168,   539,   540,   541,   542,
     846,   543,   544,   545,   546,   547,   548,   549,   847,   550,
     170,   171,     0,   551,   552,   553,     0,   172,   850,   173,
     851,   554,   174,   175,   555,   176,   556,   557,   558,   559,
     560,   852,   853,   561,   177,   178,   562,   179,   854,   563,
     564,   565,   855,   856,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   578,     0,   579,
     580,   581,   184,   185,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,   857,   590,   591,   190,   592,
     858,   191,   593,   192,   594,   595,   596,   859,   597,   598,
     860,   861,   599,   600,   601,   862,   863,   602,   603,   193,
     194,   604,   195,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   864,   615,   616,   197,   617,   198,
     618,   619,   620,   865,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,   866,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   867,   648,   649,   207,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
       0,   662,   868,   663,   664,   665,   666,   667,   869,   669,
     670,   214,   671,   672,   216,   673,   674,   217,   675,   870,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,   871,   690,   691,   872,   692,
     221,   693,   694,   695,   696,   697,   873,   698,   222,   223,
       0,   875,   700,   701,   224,   702,   225,   876,   703,   704,
     705,   706,   707,   708,   709,   710,     0,   878,   711,   712,
     713,   714,   715,   879,   880,   716,   717,   718,   719,   720,
       0,   232,   882,   721,   233,   722,   723,   724,   725,   883,
     884,   726,   885,   886,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,  3162,
     462,   463,   464,   465,   138,     0,     0,  3231,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,  3163,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,  3232,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,  3165,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,  3233,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,  3166,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,  3167,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     764,   134,   461,  3162,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,   765,  3163,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,  3232,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,  3165,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,   538,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,  4262,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,  3166,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,  3167,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   773,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,  1162,   437,   438,  1113,   439,  1114,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,  1115,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,  1163,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,   538,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,  1116,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,  1117,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,  1113,   439,
    1114,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,  1115,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,  3951,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,  1116,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,  1117,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,  3162,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,  3163,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,  3232,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,  3165,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,   538,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,  3166,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,  3167,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,   430,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,   763,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,   766,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,   768,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,   538,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1113,   439,  1114,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     764,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,  1115,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,   538,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,  1116,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
    1117,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   773,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  3464,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,  3295,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,   538,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,  1197,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
    3296,  3297,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,  1011,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
     430,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,  1012,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,  1013,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,   430,     0,     0,    37,     0,     0,
      39,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,  1269,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,   538,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  2403,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
    2404,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,  2405,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,  2406,   527,     0,
       0,     0,  2407,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,   538,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,  2408,  2409,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,  2410,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,  2411,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,  2412,   654,   209,   655,   656,   657,
    2413,   659,   660,   661,   772,   662,     0,  2414,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,  2415,   692,     0,  2416,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,  2417,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,  1114,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     764,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,  1115,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,   538,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,  1116,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
    1117,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   773,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,  3295,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,   538,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,  1197,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
    3296,  3297,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,  2392,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
     430,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,  3809,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,  3810,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,  3099,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,  3811,   692,     0,   693,  3812,   695,
    3813,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,  3814,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,   430,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   790,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,   538,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,   430,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,   768,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,   538,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,   430,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
     958,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     764,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,   538,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   773,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,   430,     0,     0,    37,
       0,     0,    39,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,   538,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,  1359,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
    1360,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,  1197,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,   430,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,  1483,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,   538,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  4030,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,   538,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,  4031,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    4043,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     764,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,   538,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,  4044,     0,   716,   717,   718,   719,   720,   773,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,   430,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,   538,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
     430,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
    1017,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,   430,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,   538,     0,  1074,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,   430,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,   538,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,  1132,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     764,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,   538,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,  1197,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   773,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1316,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,  1317,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,  1790,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,  1975,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,  1197,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  2032,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,  2033,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,  2265,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     764,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,   538,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   773,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,  2392,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,   538,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,  3099,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,    39,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,    40,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,   538,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,  5172,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,   538,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,  5186,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     764,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,   538,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   773,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,  5282,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,   538,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,  5352,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,   538,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,   538,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,  1144,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1146,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
    1147,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,     0,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,   538,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,  1148,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,  1149,   223,     0,     0,
    1150,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,  1151,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1191,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,  1147,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,     0,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,   538,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,  1192,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
    1193,   223,     0,     0,  1194,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,  1151,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,  1211,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,  1341,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,  1351,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     764,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,  1354,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   773,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,  1370,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
    1427,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,  1432,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,  1448,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     764,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,  1451,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   773,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,  1453,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
    1498,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,  1564,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,  1566,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     764,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,  1576,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   773,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,  1579,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
    1582,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,  1801,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
    1176,   460,  1147,   134,  1802,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,     0,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,   538,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,  1180,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,  1181,   651,   652,
     653,   654,   209,   655,   656,   657,  1182,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,  1794,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,  1184,   223,
       0,     0,  1185,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
    1151,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,  1186,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,  1922,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,  1923,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,   538,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1146,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
    1147,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,     0,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,   538,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,  1151,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,  2214,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
    2248,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,  2250,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,  2326,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     764,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,  2328,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   773,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,  2330,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,  2444,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,  3064,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,   538,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,     0,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,  3509,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     764,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,  3513,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   773,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,  3598,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
    3962,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,  4019,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,   764,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,   765,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,  4033,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,   581,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   773,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
     764,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,   765,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,  4035,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   773,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,  4183,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,   764,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,   765,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,  4223,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,   581,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   773,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,   764,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,   765,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,  5465,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,   581,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     773,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,  1176,   460,  1147,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,     0,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,   538,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,  1180,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,  1181,   651,   652,   653,   654,   209,   655,   656,   657,
    1182,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,  1794,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,  1184,   223,     0,     0,  1185,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,  1151,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,  1186,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
    1147,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,     0,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,   538,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,   581,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,  1151,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,  1176,   460,  1147,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,     0,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,   769,   537,   538,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,  1180,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,  1181,
     651,   652,   653,   654,   209,   655,   656,   657,  1182,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,  1794,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,  3149,   694,   695,   696,   697,     0,   698,
    1184,   223,     0,     0,  1185,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,  1151,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,  1186,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,   750,    84,
      85,    86,   751,     0,   752,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,   753,     0,     0,
     101,   102,   103,   104,     0,     0,   106,   107,   108,     0,
     109,     0,     0,   754,   755,     0,     0,     0,   756,   757,
       0,     0,     0,     0,   758,     0,     0,     0,     0,     0,
       0,     0,     0,   759,     0,   760,     0,   761,   762,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,     0,   449,   450,
     451,   128,   129,     0,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,  1176,   460,  1147,   134,
     461,     0,   462,   463,   464,   465,   138,     0,     0,     0,
     466,   467,   468,   469,   470,   471,     0,   472,   473,     0,
       0,   474,   475,   476,   477,   478,   479,     0,     0,   480,
     481,     0,     0,     0,     0,     0,     0,     0,     0,   484,
     485,   486,   487,   767,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,     0,     0,     0,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,   769,   537,
     538,     0,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,     0,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,     0,     0,
     555,     0,   556,   557,   558,   559,   560,     0,     0,   561,
     177,     0,   562,     0,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   770,   577,   578,   771,   579,   580,  1180,   184,     0,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,     0,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,     0,   604,     0,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,     0,  1181,   651,   652,   653,   654,   209,   655,
     656,   657,  3214,   659,   660,   661,   772,   662,     0,   663,
     664,   665,   666,  3215,     0,   669,   670,   214,   671,   672,
       0,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,     0,   693,   694,   695,
     696,   697,     0,   698,  1184,   223,     0,     0,  3216,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,  1151,   232,     0,   721,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,  1186,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   774,   733,   734,
      81,    82,   750,    84,    85,    86,   751,     0,   752,    89,
       0,     0,    92,    93,    94,    95,    96,    97,     0,    98,
      99,   753,     0,     0,   101,   102,   103,   104,     0,     0,
     106,   107,   108,     0,   109,     0,     0,   754,   755,     0,
       0,     0,   756,   757,     0,     0,     0,     0,   758,     0,
       0,     0,     0,     0,     0,     0,     0,   759,     0,   760,
       0,   761,   762,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,     0,   449,   450,   451,   128,   129,     0,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
    1176,   460,  1147,   134,   461,     0,   462,   463,   464,   465,
     138,     0,     0,     0,   466,   467,   468,   469,   470,   471,
       0,   472,   473,     0,     0,   474,   475,   476,   477,   478,
     479,     0,     0,   480,   481,     0,     0,     0,     0,     0,
       0,     0,     0,   484,   485,   486,   487,   767,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,     0,     0,     0,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,   769,   537,   538,     0,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
       0,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,     0,     0,   555,     0,   556,   557,   558,   559,
     560,     0,     0,   561,   177,     0,   562,     0,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   770,   577,   578,   771,   579,
     580,  1180,   184,     0,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,     0,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
       0,   604,     0,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,     0,  1181,   651,   652,
     653,   654,   209,   655,   656,   657,  3292,   659,   660,   661,
     772,   662,     0,   663,   664,   665,   666,  3215,     0,   669,
     670,   214,   671,   672,     0,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
       0,   693,   694,   695,   696,   697,     0,   698,  1184,   223,
       0,     0,  3216,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
    1151,   232,     0,   721,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,  1186,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   774,   733,   734,    81,    82,   750,    84,    85,    86,
     751,     0,   752,    89,     0,     0,    92,    93,    94,    95,
      96,    97,     0,    98,    99,   753,     0,     0,   101,   102,
     103,   104,     0,     0,   106,   107,   108,     0,   109,     0,
       0,   754,   755,     0,     0,     0,   756,   757,     0,     0,
       0,     0,   758,     0,     0,     0,     0,     0,     0,     0,
       0,   759,     0,   760,     0,   761,   762,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,     0,   449,   450,   451,   128,
     129,     0,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,  1176,   460,  1147,   134,   461,     0,
     462,   463,   464,   465,   138,     0,     0,     0,   466,   467,
     468,   469,   470,   471,     0,   472,   473,     0,     0,   474,
     475,   476,   477,   478,   479,     0,     0,   480,   481,     0,
       0,     0,     0,     0,     0,     0,     0,   484,   485,   486,
     487,   767,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,     0,
       0,     0,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,   769,   537,   538,     0,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,     0,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,     0,     0,   555,     0,
     556,   557,   558,   559,   560,     0,     0,   561,   177,     0,
     562,     0,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   770,
     577,   578,   771,   579,   580,  1180,   184,     0,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,     0,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,     0,   604,     0,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
       0,  1181,   651,   652,   653,   654,   209,   655,   656,   657,
    3316,   659,   660,   661,   772,   662,     0,   663,   664,   665,
     666,  3215,     0,   669,   670,   214,   671,   672,     0,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,     0,   693,   694,   695,   696,   697,
       0,   698,  1184,   223,     0,     0,  3216,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,  1151,   232,     0,   721,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,  1186,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   774,   733,   734,    81,    82,
     750,    84,    85,    86,   751,     0,   752,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,   753,
       0,     0,   101,   102,   103,   104,     0,     0,   106,   107,
     108,     0,   109,     0,     0,   754,   755,     0,     0,     0,
     756,   757,     0,     0,     0,     0,   758,     0,     0,     0,
       0,     0,     0,     0,     0,   759,     0,   760,     0,   761,
     762,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,     0,
     449,   450,   451,   128,   129,     0,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,  1176,   460,
    1147,   134,   461,     0,   462,   463,   464,   465,   138,     0,
       0,     0,   466,   467,   468,   469,   470,   471,     0,   472,
     473,     0,     0,   474,   475,   476,   477,   478,   479,     0,
       0,   480,   481,     0,     0,     0,     0,     0,     0,     0,
       0,   484,   485,   486,   487,   767,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,     0,     0,     0,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
     769,   537,   538,     0,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,     0,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
       0,     0,   555,     0,   556,   557,   558,   559,   560,     0,
       0,   561,   177,     0,   562,     0,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   770,   577,   578,   771,   579,   580,  1180,
     184,     0,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,     0,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,     0,   604,
       0,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,     0,  1181,   651,   652,   653,   654,
     209,   655,   656,   657,  1182,   659,   660,   661,   772,   662,
       0,   663,   664,   665,   666,  3215,     0,   669,   670,   214,
     671,   672,     0,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,     0,   693,
     694,   695,   696,   697,     0,   698,  1184,   223,     0,     0,
    3216,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,  1151,   232,
       0,   721,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,  1186,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   774,
     733,   734,    81,    82,   750,    84,    85,    86,   751,     0,
     752,    89,     0,     0,    92,    93,    94,    95,    96,    97,
       0,    98,    99,   753,     0,     0,   101,   102,   103,   104,
       0,     0,   106,   107,   108,     0,   109,     0,     0,   754,
     755,     0,     0,     0,   756,   757,     0,     0,     0,     0,
     758,     0,     0,     0,     0,     0,     0,     0,     0,   759,
       0,   760,     0,   761,   762,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,     0,   449,   450,   451,   128,   129,     0,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,   764,   134,   461,     0,   462,   463,
     464,   465,   138,     0,     0,     0,   466,   467,   468,   469,
     470,   471,     0,   472,   473,   765,     0,   474,   475,   476,
     477,   478,   479,     0,     0,   480,   481,     0,     0,     0,
       0,     0,     0,     0,     0,   484,   485,   486,   487,   767,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,     0,     0,     0,
     528,   529,   530,   531,     0,   532,   166,     0,   167,     0,
     534,     0,   535,   536,   769,   537,   538,     0,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,     0,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,     0,     0,   555,     0,   556,   557,
     558,   559,   560,     0,     0,   561,   177,     0,   562,     0,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   770,   577,   578,
     771,   579,   580,   581,   184,     0,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
       0,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,     0,   604,     0,   196,   605,   606,   607,   608,
     609,   610,   611,     0,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,     0,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,     0,   650,
     651,   652,   653,   654,   209,     0,   656,   657,   658,   659,
     660,   661,   772,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,     0,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,     0,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   773,   232,     0,   721,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   774,   733,   734,    81,    82,     0,    84,
      85,    86,     0,     0,     0,    89,     0,     0,    92,    93,
      94,    95,    96,    97,     0,    98,    99,     0,     0,     0,
     101,   102,   103,   104,     0,   105,   106,   107,   108, -3269,
     109,   110,   111,     0,     0,     0,     0,     0,   114,   115,
       0,     0,     0,     0,   116,     0,     0,     0,     0,     0,
       0,     0,     0,   117,     0,   118,     0,   119,   120,    35,
       0,   425,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   126,     0,     0,
       0,   128,   129,   130,   131,   132,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   134,
       0,     0,     0,     0,     0,     0,   138,     0,   139,     0,
       0,     0,     0,     0,     0,     0,   142,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   145,     0,
       0,     0,     0,     0,     0,   146,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   149,   150,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   156,     0,     0,     0,     0,
       0,     0,     0,   158,     0,     0,     0,     0,   160,     0,
       0,     0,     0,     0,     0,   162,     0,     0,     0,     0,
       0,   163,     0,   164,     0,     0,     0,     0,     0,     0,
     166,     0,   167,     0,     0,     0,     0,     0,     0,     0,
       0,   168,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   170,   171,     0,     0,
       0,     0,     0,   172,     0,   173,     0,     0,   174,   175,
       0,   176,     0,     0,     0,     0,     0,     0,     0,     0,
     177,   178,     0,   179,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   184,   185,
     186,     0,     0,     0,     0,     0,     0,     0,   187,   188,
       0,     0,     0,     0,   190,     0,     0,   191,     0,   192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   193,   194,     0,   195,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,     0,   198,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   207,     0,     0,     0,     0,     0,   209,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   214,     0,     0,
     216,     0,     0,   217,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   219,
       0,     0,     0,     0,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,   222,   223,     0,     0,     0,     0,
     224,     0,   225,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   232,     0,     0,
     233,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    81,    82,     0,
      84,    85,    86,     0,     0,     0,    89,     0,     0,    92,
      93,    94,    95,    96,    97,     0,    98,    99,     0,     0,
       0,   101,   102,   103,   104,     0,   105,   106,   107,   108,
   -3270,   109,   110,   111,     0,     0,     0,     0,     0,   114,
     115,     0,     0,     0,     0,   116,     0,     0,     0,     0,
       0,     0,     0,     0,   117,     0,   118,     0,   119,   120,
      35,     0,  1264,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   126,     0,
       0,     0,   128,   129,   130,   131,   132,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     134,     0,     0,     0,     0,     0,     0,   138,     0,   139,
       0,     0,     0,     0,     0,     0,     0,   142,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   145,
       0,     0,     0,     0,     0,     0,   146,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   149,   150,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   156,     0,     0,     0,
       0,     0,     0,     0,   158,     0,     0,     0,     0,   160,
       0,     0,     0,     0,     0,     0,   162,     0,     0,     0,
       0,     0,   163,     0,   164,     0,     0,     0,     0,     0,
       0,   166,     0,   167,     0,     0,     0,     0,     0,     0,
       0,     0,   168,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   170,   171,     0,
       0,     0,     0,     0,   172,     0,   173,     0,     0,   174,
     175,     0,   176,     0,     0,     0,     0,     0,     0,     0,
       0,   177,   178,     0,   179,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   184,
     185,   186,     0,     0,     0,     0,     0,     0,     0,   187,
     188,     0,     0,     0,     0,   190,     0,     0,   191,     0,
     192,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   193,   194,     0,   195,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,     0,   198,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   207,     0,     0,     0,     0,     0,   209,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   214,     0,
       0,   216,     0,     0,   217,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     219,     0,     0,     0,     0,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,   222,   223,     0,     0,     0,
       0,   224,     0,   225,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   232,     0,
       0,   233,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    81,    82,
       0,    84,    85,    86,     0,     0,     0,    89,     0,     0,
      92,    93,    94,    95,    96,    97,     0,    98,    99,     0,
       0,     0,   101,   102,   103,   104,     0,   105,   106,   107,
     108,     0,   109,   110,   111,     0,     0,     0,     0,     0,
     114,   115,     0,     0,     0,     0,   116,     0,     0,     0,
       0,     0,     0,     0,     0,   117,     0,   118,     0,   119,
       0,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   126,
       0,     0,     0,   128,   129,   130,   131,   132,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   134,     0,     0,     0,     0,     0,     0,   138,     0,
     139,     0,     0,     0,     0,     0,     0,     0,   142,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     145,     0,     0,     0,     0,     0,     0,   146,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   149,   150,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   156,     0,     0,
       0,     0,     0,     0,     0,   158,     0,     0,     0,     0,
     160,     0,     0,     0,     0,     0,     0,   162,     0,     0,
       0,     0,     0,   163,     0,   164,     0,     0,     0,     0,
       0,     0,   166,     0,   167,     0,     0,     0,     0,     0,
       0,     0,     0,   168,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   170,   171,
       0,     0,     0,     0,     0,   172,     0,   173,     0,     0,
     174,   175,     0,   176,     0,     0,     0,     0,     0,     0,
       0,     0,   177,   178,     0,   179,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     184,   185,   186,     0,     0,     0,     0,     0,     0,     0,
     187,   188,     0,     0,     0,     0,   190,     0,     0,   191,
       0,   192,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   193,   194,     0,
     195,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,     0,   198,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   207,     0,     0,     0,     0,     0,
     209,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   214,
       0,     0,   216,     0,     0,   217,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   219,     0,     0,     0,     0,     0,     0,   221,     0,
       0,     0,     0,     0,     0,     0,   222,   223,     0,     0,
       0,     0,   224,     0,   225,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   232,
       0,     0,   233,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    81,
      82,     0,    84,    85,    86,     0,     0,     0,    89,     0,
       0,    92,    93,    94,    95,    96,    97,     0,    98,    99,
       0,     0,     0,   101,   102,   103,   104,     0,   105,   106,
     107,   108,     0,   109,   110,   111,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     126,     0,     0,     0,   128,   129,   130,   131,   132,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   134,     0,     0,     0,     0,     0,     0,   138,
       0,   139,     0,     0,     0,     0,     0,     0,     0,   142,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   145,     0,     0,     0,     0,     0,     0,   146,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   149,   150,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   156,     0,
       0,     0,     0,     0,     0,     0,   158,     0,     0,     0,
       0,   160,     0,     0,     0,     0,     0,     0,   162,     0,
       0,     0,     0,     0,   163,     0,   164,     0,     0,     0,
       0,     0,     0,   166,     0,   167,     0,     0,     0,     0,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   170,
     171,     0,     0,     0,     0,     0,   172,     0,   173,     0,
       0,   174,   175,     0,   176,     0,     0,     0,     0,     0,
       0,     0,     0,   177,   178,     0,   179,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   184,   185,   186,     0,     0,     0,     0,     0,     0,
       0,   187,   188,     0,     0,     0,     0,   190,     0,     0,
     191,     0,   192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   193,   194,
       0,   195,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,     0,   198,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   207,     0,     0,     0,     0,
       0,   209,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     214,     0,     0,   216,     0,     0,   217,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   219,     0,     0,     0,     0,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,   222,   223,     0,
       0,     0,     0,   224,     0,   225,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     232,     0,     0,   233,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      35,   430,     0,     0,    37,     0,    38,    39,     0,     0,
       0,     0,    40,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,   444,     0,   445,   446,   447,   448,   126,   449,
     450,   451,   128,   129,   130,   131,   132,     0,   452,   453,
     454,   455,   456,   457,   458,     0,     0,   459,   460,     0,
     134,   461,     0,   462,   463,   464,   465,   138,     0,   139,
       0,   466,   467,   468,   469,   470,   471,   142,   472,   473,
       0,     0,   474,   475,   476,   477,   478,   479,     0,   145,
     480,   481,     0,     0,     0,     0,   146,     0,     0,     0,
     484,   485,   486,   487,     0,   488,   149,   150,   489,     0,
     490,     0,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,     0,     0,   502,   503,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,     0,
     513,   514,   515,   516,   158,   517,   518,   519,   520,   160,
    2171,   521,     0,   522,   523,   524,   162,   525,     0,   526,
       0,   527,   163,     0,   164,   528,   529,   530,   531,     0,
     532,   166,     0,   167,   533,   534,     0,   535,   536,     0,
     537,   538,   168,   539,   540,   541,   542,     0,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   170,   171,     0,
     551,   552,   553,     0,   172,     0,   173,     0,   554,   174,
     175,   555,   176,   556,   557,   558,   559,   560,     0,     0,
     561,   177,   178,   562,   179,     0,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,   579,   580,   581,   184,
     185,   186,   582,   583,   584,   585,   586,   587,   588,   187,
     188,   589,     0,   590,   591,   190,   592,     0,   191,   593,
     192,   594,   595,   596,     0,   597,   598,  2172,     0,   599,
     600,   601,     0,     0,   602,   603,   193,   194,   604,   195,
     196,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   197,   617,   198,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   200,   631,   632,   633,   634,     0,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,   648,   649,   207,   650,   651,   652,   653,   654,   209,
     655,   656,   657,   658,   659,   660,   661,     0,   662,     0,
     663,   664,   665,   666,   667,     0,   669,   670,   214,   671,
     672,   216,   673,   674,   217,   675,     0,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
     219,   689,     0,   690,   691,     0,   692,   221,   693,   694,
     695,   696,   697,     0,   698,   222,   223,     0,     0,   700,
     701,   224,   702,   225,  2173,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
       0,     0,   716,   717,   718,   719,   720,     0,   232,     0,
     721,   233,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,     0,   733,
     734,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,  1880,  1881,  6206,     0,     0,     0,     0,     0,
       0,  6207,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,   123,   124,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,   126,
     449,   450,   451,   128,   129,   130,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
       0,   134,   461,     0,   462,   463,   464,   465,   138,     0,
     139,     0,   466,   467,   468,   469,   470,   471,   142,   472,
     473,     0,     0,   474,   475,   476,   477,   478,   479,     0,
     145,   480,   481,     0,     0,     0,     0,   146,     0,     0,
       0,   484,   485,   486,   487,     0,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,   163,     0,   164,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
       0,   537,   538,   168,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   170,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
     174,   175,   555,   176,   556,   557,   558,   559,   560,     0,
       0,   561,   177,   178,   562,   179,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   578,     0,   579,   580,   581,
     184,   185,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,   190,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,   194,   604,
     195,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,   207,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,     0,   662,
     212,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,   216,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,   220,   692,   221,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   231,   232,
       0,   721,   233,   722,   723,   724,   725,     0,     0,   726,
       0,   234,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,     0,
     733,   734,     0,     0,   246,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,  2497,     0,     0,  2498,
       0,     0,   247,  2499,  2500,  2501,  2502,  2503,  2504,  2505,
    2506,  2507,  2508,  2509,  2510,  2511,  2512,  2513,  2514,  2515,
    2516,  2517,     0,  2518,  2519,  2520,  2521,  2522,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,
    2535,  2536,  2537,  2538,  2539,  2540,  2541,  2542,  2543,  2544,
    2545,  2546,  2547,  2548,     0,     0,  2549,  2550,  2551,  2552,
    2553,  2554,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,
    2563,  2564,  2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,     0,  2576,  2577,  2578,  2579,  2580,  2581,
    2582,  2583,  2584,  2585,  2586,  2587,  2588,  2589,  2590,     0,
    2591,  2592,  2593,  2594,  2595,  2596,  2597,  2598,  2599,  2600,
    2601,  2602,  2603,  2604,  2605,  2606,  2607,  2608,  2609,  2610,
    2611,  2612,  2613,  2614,  2615,  2616,  2617,  2618,  2619,  2620,
    2621,  2622,  2623,  2624,     0,  2625,  2626,  2627,  2628,  2629,
    2630,  2631,  2632,  2633,  2634,  2635,  2636,     0,     0,  2637,
    2638,  2639,  2640,     0,  2641,  2642,  2643,  2644,     0,  2645,
    2646,  2647,  2648,  2649,     0,  2650,  2651,     0,  2652,  2653,
    2654,     0,  2655,  2656,     0,  2657,  2658,  2659,  2660,  2661,
    2662,  2663,  2664,  2665,  2666,  2667,  2668,  2669,  2670,  2671,
    2672,  2673,  2674,  2675,  2676,  2677,  2678,  2679,  2680,  2681,
       0,  2682,     0,  2683,  2684,  2685,  2686,  2687,  2688,  2689,
    2690,  2691,  2692,  2693,  2694,  2695,  2696,  2697,  2698,  2699,
       0,  2700,  2701,  2702,  2703,  2704,  2705,  2706,  2707,  2708,
    2709,  2710,  2711,  2712,  2713,  2714,  2715,     0,  2716,  2717,
       0,  2718,  2719,  2720,  2721,  2722,  2723,  2724,  2725,  2726,
    2727,  2728,  2729,  2730,  2731,  2732,  2733,  2734,  2735,  2736,
    2737,  2738,  2739,  2740,  2741,  2742,  2743,  2744,  2745,     0,
    2746,  2747,     0,  2748,  2749,  2750,  2751,  2752,     0,  2753,
    2754,  2755,  2756,     0,     0,  2757,  2758,  2759,  2760,  2761,
    2762,  2763,  2764,  2765,  2766,  2767,  2768,  2769,  2770,  2771,
    2772,     0,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,
    2781,  2782,  2783,  2784,  2785,  2786,  2787,  2788,  2789,  2790,
    2791,  2792,  2793,  2794,  2795,  2796,  2797,  2798,  2799,  2800,
    2801,  2802,  2803,  2804,  2805,     0,  2806,  2807,  2808,  2809,
    2810,  2811,  2812,  2813,  2814,  2815,  2816,  2817,  2818,  2819,
    2820,  2821,     0,  2822,  2823,  2824,  2825,  2826,  2827,  2828,
    2829,  2830,  2831,  2832,  2833,  2834,  2835,  2836,  2837,  2838,
    2839,  2840,  2841,  2842,  2843,  2844,  2845,  2846,  2847,  2848,
    2849,  2850,  2851,  2852,  2853,  2854,  2855,  2856,  2857,  2858,
    2859,  2860,  2861,  2862,  2863,  2864,  2865,  2866,  2867,  2868,
    2869,  2870,     0,  2871,  2872,  2873,  2874,  2875,  2876,  2877,
    2878,  2879,  2880,  2881,  2882,  2883,  2884,  2885,     0,  2886,
    2887,  2888,  2889,  2890,  2891,  2892,  2893,  2894,  2895,  2896,
    2897,  2898,  2899,  2900,  2901,     0,  2902,  2903,  2904,  2905,
    2906,  2907,     0,  2908,     0,     0,     0,     0,  2909,  2910,
    2911,  2912,  2913,  2914,  2915,  2916,  2917,  2918,  2919,  2920,
    2921,  2922,  2923,     0,  2924,  2925,  2926,     0,     0,     0,
       0,     0,     0,     0,  2927,  2928,  2929,  2930,  2931,  2932,
    2933,  2934,  2935,    35,   430,     0,     0,    37,     0,    38,
      39,     0,     0,     0,     0,    40,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,   126,   449,   450,   451,   128,   129,   130,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,     0,   134,   461,     0,   462,   463,   464,   465,
     138,     0,   139,     0,   466,   467,   468,   469,   470,   471,
     142,   472,   473,     0,     0,   474,   475,   476,   477,   478,
     479,     0,   145,   480,   481,     0,     0,     0,     0,   146,
       0,     0,     0,   484,   485,   486,   487,     0,   488,   149,
     150,   489,  2989,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,  2171,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,   163,     0,   164,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,     0,   537,   538,   168,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     170,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,   174,   175,   555,   176,   556,   557,   558,   559,
     560,     0,     0,   561,   177,   178,   562,   179,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   578,     0,   579,
     580,   581,   184,   185,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,   190,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
    2172,     0,   599,   600,   601,     0,     0,   602,   603,   193,
     194,   604,   195,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,   207,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
       0,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,   216,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
     221,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,  2173,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
       0,   232,     0,   721,   233,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,   733,   734,     0,    35,   430,     0,     0,    37,
       0,    38,    39,     0,     0,  1880,  1881,    40,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,   126,   449,   450,   451,   128,   129,   130,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,     0,   134,   461,     0,   462,   463,
     464,   465,   138,     0,   139,     0,   466,   467,   468,   469,
     470,   471,   142,   472,   473,     0,     0,   474,   475,   476,
     477,   478,   479,     0,   145,   480,   481,     0,     0,     0,
       0,   146,     0,     0,     0,   484,   485,   486,   487,     0,
     488,   149,   150,   489,  2994,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,  2171,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,   163,     0,   164,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,     0,   537,   538,   168,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   170,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,   174,   175,   555,   176,   556,   557,
     558,   559,   560,     0,     0,   561,   177,   178,   562,   179,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   578,
       0,   579,   580,   581,   184,   185,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
     190,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,  2172,     0,   599,   600,   601,     0,     0,   602,
     603,   193,   194,   604,   195,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,   207,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,     0,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,   216,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,   221,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,  2173,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,     0,   232,     0,   721,   233,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,     0,   733,   734,     0,    35,   430,     0,
       0,    37,     0,    38,    39,     0,     0,  1880,  1881,    40,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,   126,   449,   450,   451,   128,
     129,   130,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,     0,   134,   461,     0,
     462,   463,   464,   465,   138,     0,   139,     0,   466,   467,
     468,   469,   470,   471,   142,   472,   473,     0,     0,   474,
     475,   476,   477,   478,   479,     0,   145,   480,   481,     0,
       0,     0,     0,   146,     0,     0,     0,   484,   485,   486,
     487,     0,   488,   149,   150,   489,  3944,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,  2171,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,   163,
       0,   164,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,     0,   537,   538,   168,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   170,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,   174,   175,   555,   176,
     556,   557,   558,   559,   560,     0,     0,   561,   177,   178,
     562,   179,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   578,     0,   579,   580,   581,   184,   185,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,   190,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,  2172,     0,   599,   600,   601,     0,
       0,   602,   603,   193,   194,   604,   195,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
     207,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,     0,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,   216,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,   221,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,  2173,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,     0,   232,     0,   721,   233,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,     0,   733,   734,     0,    35,
     430,     0,     0,    37,     0,    38,    39,     0,     0,  1880,
    1881,    40,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,   126,   449,   450,
     451,   128,   129,   130,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,     0,   134,
     461,     0,   462,   463,   464,   465,   138,     0,   139,     0,
     466,   467,   468,   469,   470,   471,   142,   472,   473,     0,
       0,   474,   475,   476,   477,   478,   479,     0,   145,   480,
     481,     0,     0,     0,     0,   146,     0,     0,     0,   484,
     485,   486,   487,     0,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,  2171,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,   163,     0,   164,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,     0,   537,
     538,   168,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   170,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,   174,   175,
     555,   176,   556,   557,   558,   559,   560,     0,     0,   561,
     177,   178,   562,   179,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   578,     0,   579,   580,   581,   184,   185,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,   190,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,  2172,     0,   599,   600,
     601,     0,     0,   602,   603,   193,   194,   604,   195,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,   207,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,     0,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
     216,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,   221,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,  2173,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,   232,     0,   721,
     233,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   733,   734,
      35,   430,     0,     0,    37,     0,     0,    39,     0,     0,
       0,  1880,  1881,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,   444,     0,   445,   446,   447,   448,   126,   449,
     450,   451,   128,   129,   130,   131,   132,     0,   452,   453,
     454,   455,   456,   457,   458,     0,     0,   459,   460,     0,
     134,   461,     0,   462,   463,   464,   465,   138,     0,   139,
       0,   466,   467,   468,   469,   470,   471,   142,   472,   473,
       0,     0,   474,   475,   476,   477,   478,   479,     0,   145,
     480,   481,     0,     0,     0,   482,   146,     0,     0,   483,
     484,   485,   486,   487,     0,   488,   149,   150,   489,     0,
     490,     0,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,     0,     0,   502,   503,   504,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,     0,
     513,   514,   515,   516,   158,   517,   518,   519,   520,   160,
       0,   521,     0,   522,   523,   524,   162,   525,     0,   526,
       0,   527,   163,     0,   164,   528,   529,   530,   531,     0,
     532,   166,     0,   167,   533,   534,     0,   535,   536,     0,
     537,   538,   168,   539,   540,   541,   542,     0,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   170,   171,     0,
     551,   552,   553,     0,   172,     0,   173,     0,   554,   174,
     175,   555,   176,   556,   557,   558,   559,   560,     0,     0,
     561,   177,   178,   562,   179,     0,   563,   564,   565,     0,
       0,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,   579,   580,   581,   184,
     185,   186,   582,   583,   584,   585,   586,   587,   588,   187,
     188,   589,     0,   590,   591,   190,   592,     0,   191,   593,
     192,   594,   595,   596,     0,   597,   598,     0,     0,   599,
     600,   601,     0,     0,   602,   603,   193,   194,   604,   195,
     196,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   197,   617,   198,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   200,   631,   632,   633,   634,     0,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,   648,   649,   207,   650,   651,   652,   653,   654,   209,
     655,   656,   657,   658,   659,   660,   661,     0,   662,     0,
     663,   664,   665,   666,   667,   668,   669,   670,   214,   671,
     672,   216,   673,   674,   217,   675,     0,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
     219,   689,     0,   690,   691,     0,   692,   221,   693,   694,
     695,   696,   697,     0,   698,   222,   223,   699,     0,   700,
     701,   224,   702,   225,     0,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
       0,     0,   716,   717,   718,   719,   720,     0,   232,     0,
     721,   233,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,     0,   733,
     734,    35,   430,     0,     0,    37,     0,     0,    39,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,   126,
     449,   450,   451,   128,   129,   130,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
       0,   134,   461,     0,   462,   463,   464,   465,   138,     0,
     139,     0,   466,   467,   468,   469,   470,   471,   142,   472,
     473,     0,     0,   474,   475,   476,   477,   478,   479,     0,
     145,   480,   481,     0,     0,     0,   482,   146,     0,     0,
     483,   484,   485,   486,   487,     0,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,   163,     0,   164,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
       0,   537,   538,   168,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   170,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
     174,   175,   555,   176,   556,   557,   558,   559,   560,     0,
       0,   561,   177,   178,   562,   179,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   578,     0,   579,   580,   581,
     184,   185,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,   190,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,   194,   604,
     195,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,   207,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,     0,   662,
       0,   663,   664,   665,   666,   667,   668,   669,   670,   214,
     671,   672,   216,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,   221,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,     0,   232,
       0,   721,   233,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     733,   734,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,  1345,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,   126,   449,   450,
     451,   128,   129,   130,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,     0,   134,
     461,     0,   462,   463,   464,   465,   138,     0,   139,     0,
     466,   467,   468,   469,   470,   471,   142,   472,   473,     0,
       0,   474,   475,   476,   477,   478,   479,     0,   145,   480,
     481,     0,     0,     0,   482,   146,     0,     0,   483,   484,
     485,   486,   487,     0,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,   163,     0,   164,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,     0,   537,
     538,   168,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   170,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,   174,   175,
     555,   176,   556,   557,   558,   559,   560,     0,     0,   561,
     177,   178,   562,   179,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   578,     0,   579,   580,   581,   184,   185,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,   190,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,   194,   604,   195,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,   207,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,     0,   662,     0,   663,
     664,   665,   666,   667,   668,   669,   670,   214,   671,   672,
     216,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,   221,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,   232,     0,   721,
     233,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   733,   734,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  1366,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,   126,   449,   450,   451,   128,
     129,   130,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,     0,   134,   461,     0,
     462,   463,   464,   465,   138,     0,   139,     0,   466,   467,
     468,   469,   470,   471,   142,   472,   473,     0,     0,   474,
     475,   476,   477,   478,   479,     0,   145,   480,   481,     0,
       0,     0,   482,   146,     0,     0,   483,   484,   485,   486,
     487,     0,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,   163,
       0,   164,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,     0,   537,   538,   168,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   170,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,   174,   175,   555,   176,
     556,   557,   558,   559,   560,     0,     0,   561,   177,   178,
     562,   179,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,  1367,   571,   572,   573,   574,   575,   576,     0,
     577,   578,     0,   579,   580,   581,   184,   185,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,   190,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,   194,   604,   195,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
     207,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,     0,   662,     0,   663,   664,   665,
     666,   667,   668,   669,   670,   214,   671,   672,   216,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,   221,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,     0,   232,     0,   721,   233,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   733,   734,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,   126,   449,   450,   451,   128,   129,   130,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,     0,   134,   461,     0,   462,   463,
     464,   465,   138,     0,   139,     0,   466,   467,   468,   469,
     470,   471,   142,   472,   473,     0,     0,   474,   475,   476,
     477,   478,   479,     0,   145,   480,   481,     0,     0,     0,
     482,   146,     0,     0,   483,   484,   485,   486,   487,     0,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,   163,     0,   164,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,     0,   537,   538,   168,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   170,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,   174,   175,   555,   176,   556,   557,
     558,   559,   560,     0,     0,   561,   177,   178,   562,   179,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   578,
       0,   579,   580,   581,   184,   185,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
     190,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,   194,   604,   195,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,   207,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,     0,   662,     0,   663,   664,   665,   666,   667,
     668,   669,   670,   214,   671,   672,   216,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,   221,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,  3388,     0,   716,   717,   718,
     719,   720,     0,   232,     0,   721,   233,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   733,   734,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,   126,   449,   450,   451,   128,   129,   130,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,     0,   134,   461,     0,   462,   463,   464,   465,
     138,     0,   139,     0,   466,   467,   468,   469,   470,   471,
     142,   472,   473,     0,     0,   474,   475,   476,   477,   478,
     479,     0,   145,   480,   481,     0,     0,     0,   482,   146,
       0,     0,   483,   484,   485,   486,   487,     0,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,   163,     0,   164,   528,   529,
     530,   531,     0,   532,   166,  4423,   167,   533,   534,     0,
     535,   536,     0,   537,   538,   168,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     170,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,   174,   175,   555,   176,   556,   557,   558,   559,
     560,     0,     0,   561,   177,   178,   562,   179,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   578,     0,   579,
     580,   581,   184,   185,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,   190,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
     194,   604,   195,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,   207,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
       0,   662,     0,   663,   664,   665,   666,   667,   668,   669,
     670,   214,   671,   672,   216,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
     221,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
       0,   232,     0,   721,   233,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   733,   734,     0,    37,     0,     0,    39,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,   126,
     449,   450,   451,   128,   129,   130,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
       0,   134,   461,     0,   462,   463,   464,   465,   138,     0,
     139,     0,   466,   467,   468,   469,   470,   471,   142,   472,
     473,     0,     0,   474,   475,   476,   477,   478,   479,     0,
     145,   480,   481,     0,     0,     0,     0,   146,     0,     0,
       0,   484,   485,   486,   487,     0,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,  2171,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,   163,     0,   164,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
       0,   537,   538,   168,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   170,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
     174,   175,   555,   176,   556,   557,   558,   559,   560,     0,
       0,   561,   177,   178,   562,   179,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   578,     0,   579,   580,   581,
     184,   185,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,   190,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,  2172,     0,
     599,   600,   601,     0,     0,   602,   603,   193,   194,   604,
     195,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,   207,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,     0,   662,
       0,   663,   664,   665,   666,   667,     0,   669,   670,   214,
     671,   672,   216,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,   221,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,  2173,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,     0,   232,
       0,   721,   233,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     733,   734,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,   126,   449,   450,
     451,   128,   129,   130,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,     0,   134,
     461,     0,   462,   463,   464,   465,   138,     0,   139,     0,
     466,   467,   468,   469,   470,   471,   142,   472,   473,     0,
       0,   474,   475,   476,   477,   478,   479,     0,   145,   480,
     481,     0,     0,     0,   482,   146,     0,     0,   483,   484,
     485,   486,   487,     0,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,   163,     0,   164,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,     0,   537,
     538,   168,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   170,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,   174,   175,
     555,   176,   556,   557,   558,   559,   560,     0,     0,   561,
     177,   178,   562,   179,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   578,     0,   579,   580,   581,   184,   185,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,   190,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,   194,   604,   195,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,   207,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,     0,   662,     0,   663,
     664,   665,   666,   667,   668,   669,   670,   214,   671,   672,
     216,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,   221,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,   232,     0,   721,
     233,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   733,   734,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,   126,   449,   450,   451,   128,
     129,   130,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,     0,   134,   461,     0,
     462,   463,   464,   465,   138,     0,   139,     0,   466,   467,
     468,   469,   470,   471,   142,   472,   473,     0,     0,   474,
     475,   476,   477,   478,   479,     0,   145,   480,   481,     0,
       0,     0,   482,   146,     0,     0,   483,   484,   485,   486,
     487,     0,   488,   149,   150,   489,     0,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,   163,
       0,   164,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,     0,   537,   538,   168,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   170,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,   174,   175,   555,   176,
     556,   557,   558,   559,   560,     0,     0,   561,   177,   178,
     562,   179,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,  1459,   571,   572,   573,   574,   575,   576,     0,
     577,   578,     0,   579,   580,   581,   184,   185,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,   190,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,   194,   604,   195,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
     207,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,     0,   662,     0,   663,   664,   665,
     666,   667,   668,   669,   670,   214,   671,   672,   216,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,   221,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,     0,   232,     0,   721,   233,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   733,   734,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,   126,   449,   450,   451,   128,   129,   130,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,     0,   134,   461,     0,   462,   463,
     464,   465,   138,     0,   139,     0,   466,   467,   468,   469,
     470,   471,   142,   472,   473,     0,     0,   474,   475,   476,
     477,   478,   479,     0,   145,   480,   481,     0,     0,     0,
     482,   146,     0,     0,   483,   484,   485,   486,   487,     0,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,   163,     0,   164,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,     0,   537,  1547,   168,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   170,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,   174,   175,   555,   176,   556,   557,
     558,   559,   560,     0,     0,   561,   177,   178,   562,   179,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   578,
       0,   579,   580,   581,   184,   185,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
     190,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,   194,   604,   195,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,   207,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,     0,   662,     0,   663,   664,   665,   666,   667,
     668,   669,   670,   214,   671,   672,   216,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,   221,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,     0,   232,     0,   721,   233,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   733,   734,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,   126,   449,   450,   451,   128,   129,   130,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,     0,   134,   461,     0,   462,   463,   464,   465,
     138,     0,   139,     0,   466,   467,   468,   469,   470,   471,
     142,   472,   473,     0,     0,   474,   475,   476,   477,   478,
     479,     0,   145,   480,   481,     0,     0,     0,   482,   146,
       0,     0,   483,   484,   485,   486,   487,     0,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,   163,     0,   164,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,     0,   537,  1560,   168,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     170,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,   174,   175,   555,   176,   556,   557,   558,   559,
     560,     0,     0,   561,   177,   178,   562,   179,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   578,     0,   579,
     580,   581,   184,   185,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,   190,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
     194,   604,   195,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,   207,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
       0,   662,     0,   663,   664,   665,   666,   667,   668,   669,
     670,   214,   671,   672,   216,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
     221,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
       0,   232,     0,   721,   233,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   733,   734,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,   444,     0,   445,   446,   447,   448,   126,
     449,   450,   451,   128,   129,   130,   131,   132,     0,   452,
     453,   454,   455,   456,   457,   458,     0,     0,   459,   460,
       0,   134,   461,     0,   462,   463,   464,   465,   138,     0,
     139,     0,   466,   467,   468,   469,   470,   471,   142,   472,
     473,     0,     0,   474,   475,   476,   477,   478,   479,     0,
     145,   480,   481,     0,     0,     0,   482,   146,     0,     0,
     483,   484,   485,   486,   487,     0,   488,   149,   150,   489,
       0,   490,     0,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,     0,     0,   502,   503,   504,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
       0,   513,   514,   515,   516,   158,   517,   518,   519,   520,
     160,     0,   521,     0,   522,   523,   524,   162,   525,     0,
     526,     0,   527,   163,     0,   164,   528,   529,   530,   531,
       0,   532,   166,     0,   167,   533,   534,     0,   535,   536,
       0,   537,  1572,   168,   539,   540,   541,   542,     0,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   170,   171,
       0,   551,   552,   553,     0,   172,     0,   173,     0,   554,
     174,   175,   555,   176,   556,   557,   558,   559,   560,     0,
       0,   561,   177,   178,   562,   179,     0,   563,   564,   565,
       0,     0,   566,   567,   568,   569,  1573,   571,   572,   573,
     574,   575,   576,     0,   577,   578,     0,   579,   580,   581,
     184,   185,   186,   582,   583,   584,   585,   586,   587,   588,
     187,   188,   589,     0,   590,   591,   190,   592,     0,   191,
     593,   192,   594,   595,   596,     0,   597,   598,     0,     0,
     599,   600,   601,     0,     0,   602,   603,   193,   194,   604,
     195,   196,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   197,   617,   198,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   200,   631,   632,   633,   634,     0,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,   649,   207,   650,   651,   652,   653,   654,
     209,   655,   656,   657,   658,   659,   660,   661,     0,   662,
       0,   663,   664,   665,   666,   667,   668,   669,   670,   214,
     671,   672,   216,   673,   674,   217,   675,     0,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   219,   689,     0,   690,   691,     0,   692,   221,   693,
     694,   695,   696,   697,     0,   698,   222,   223,     0,     0,
     700,   701,   224,   702,   225,     0,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,     0,   232,
       0,   721,   233,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     733,   734,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,   123,   124,     0,     0,     0,     0,     0,   442,
     443,   444,     0,   445,   446,   447,   448,   126,   449,   450,
     451,   128,   129,   130,   131,   132,     0,   452,   453,   454,
     455,   456,   457,   458,     0,     0,   459,   460,     0,   134,
     461,     0,   462,   463,   464,   465,   138,     0,   139,     0,
     466,   467,   468,   469,   470,   471,   142,   472,   473,     0,
       0,   474,   475,   476,   477,   478,   479,     0,   145,   480,
     481,     0,     0,     0,     0,   146,     0,     0,     0,   484,
     485,   486,   487,     0,   488,   149,   150,   489,     0,   490,
       0,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,     0,     0,   502,   503,   504,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,     0,   513,
     514,   515,   516,   158,   517,   518,   519,   520,   160,     0,
     521,     0,   522,   523,   524,   162,   525,     0,   526,     0,
     527,   163,     0,   164,   528,   529,   530,   531,     0,   532,
     166,     0,   167,   533,   534,     0,   535,   536,     0,   537,
     538,   168,   539,   540,   541,   542,     0,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   170,   171,     0,   551,
     552,   553,     0,   172,     0,   173,     0,   554,   174,   175,
     555,   176,   556,   557,   558,   559,   560,     0,     0,   561,
     177,   178,   562,   179,     0,   563,   564,   565,     0,     0,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   578,     0,   579,   580,   581,   184,   185,
     186,   582,   583,   584,   585,   586,   587,   588,   187,   188,
     589,     0,   590,   591,   190,   592,     0,   191,   593,   192,
     594,   595,   596,     0,   597,   598,     0,     0,   599,   600,
     601,     0,     0,   602,   603,   193,   194,   604,   195,   196,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   197,   617,   198,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     200,   631,   632,   633,   634,     0,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,   649,   207,   650,   651,   652,   653,   654,   209,   655,
     656,   657,   658,   659,   660,   661,     0,   662,     0,   663,
     664,   665,   666,   667,     0,   669,   670,   214,   671,   672,
     216,   673,   674,   217,   675,     0,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   219,
     689,     0,   690,   691,     0,   692,   221,   693,   694,   695,
     696,   697,     0,   698,   222,   223,     0,     0,   700,   701,
     224,   702,   225,     0,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,   232,     0,   721,
     233,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   733,   734,
       0,    37,     0,     0,    39,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,   444,
       0,   445,   446,   447,   448,   126,   449,   450,   451,   128,
     129,   130,   131,   132,     0,   452,   453,   454,   455,   456,
     457,   458,     0,     0,   459,   460,     0,   134,   461,     0,
     462,   463,   464,   465,   138,     0,   139,     0,   466,   467,
     468,   469,   470,   471,   142,   472,   473,     0,     0,   474,
     475,   476,   477,   478,   479,     0,   145,   480,   481,     0,
       0,     0,     0,   146,     0,     0,     0,   484,   485,   486,
     487,     0,   488,   149,   150,   489,  2974,   490,     0,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,     0,   513,   514,   515,
     516,   158,   517,   518,   519,   520,   160,     0,   521,     0,
     522,   523,   524,   162,   525,     0,   526,     0,   527,   163,
       0,   164,   528,   529,   530,   531,     0,   532,   166,     0,
     167,   533,   534,     0,   535,   536,     0,   537,   538,   168,
     539,   540,   541,   542,     0,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   170,   171,     0,   551,   552,   553,
       0,   172,     0,   173,     0,   554,   174,   175,   555,   176,
     556,   557,   558,   559,   560,     0,     0,   561,   177,   178,
     562,   179,     0,   563,   564,   565,     0,     0,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   578,     0,   579,   580,   581,   184,   185,   186,   582,
     583,   584,   585,   586,   587,   588,   187,   188,   589,     0,
     590,   591,   190,   592,     0,   191,   593,   192,   594,   595,
     596,     0,   597,   598,     0,     0,   599,   600,   601,     0,
       0,   602,   603,   193,   194,   604,   195,   196,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   197,   617,   198,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   200,   631,
     632,   633,   634,     0,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   649,
     207,   650,   651,   652,   653,   654,   209,   655,   656,   657,
     658,   659,   660,   661,     0,   662,     0,   663,   664,   665,
     666,   667,     0,   669,   670,   214,   671,   672,   216,   673,
     674,   217,   675,     0,   676,   677,   678,   679,   680,   681,
     682,   683,   684,   685,   686,   687,   688,   219,   689,     0,
     690,   691,     0,   692,   221,   693,   694,   695,   696,   697,
       0,   698,   222,   223,     0,     0,   700,   701,   224,   702,
     225,     0,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,     0,   232,     0,   721,   233,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   733,   734,     0,    37,
       0,     0,    39,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,   444,     0,   445,
     446,   447,   448,   126,   449,   450,   451,   128,   129,   130,
     131,   132,     0,   452,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   460,     0,   134,   461,     0,   462,   463,
     464,   465,   138,     0,   139,     0,   466,   467,   468,   469,
     470,   471,   142,   472,   473,     0,     0,   474,   475,   476,
     477,   478,   479,     0,   145,   480,   481,     0,     0,     0,
       0,   146,     0,     0,     0,   484,   485,   486,   487,     0,
     488,   149,   150,   489,     0,   490,     0,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,     0,   513,   514,   515,   516,   158,
     517,   518,   519,   520,   160,     0,   521,     0,   522,   523,
     524,   162,   525,     0,   526,     0,   527,   163,     0,   164,
     528,   529,   530,   531,     0,   532,   166,     0,   167,   533,
     534,     0,   535,   536,     0,   537,   538,   168,   539,   540,
     541,   542,     0,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   170,   171,     0,   551,   552,   553,     0,   172,
       0,   173,     0,   554,   174,   175,   555,   176,   556,   557,
     558,   559,   560,     0,     0,   561,   177,   178,   562,   179,
       0,   563,   564,   565,     0,     0,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   578,
       0,   579,   580,   581,   184,   185,   186,   582,   583,   584,
     585,   586,   587,   588,   187,   188,   589,     0,   590,   591,
     190,   592,     0,   191,   593,   192,   594,   595,   596,     0,
     597,   598,     0,     0,   599,   600,   601,     0,     0,   602,
     603,   193,   194,   604,   195,   196,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   197,
     617,   198,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   200,   631,   632,   633,
     634,     0,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,   649,   207,   650,
     651,   652,   653,   654,   209,   655,   656,   657,   658,   659,
     660,   661,     0,   662,     0,   663,   664,   665,   666,   667,
       0,   669,   670,   214,   671,   672,   216,   673,   674,   217,
     675,     0,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   219,   689,     0,   690,   691,
       0,   692,   221,   693,   694,   695,   696,   697,     0,   698,
     222,   223,     0,     0,   700,   701,   224,   702,   225,     0,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,     0,   232,     0,   721,   233,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   733,   734,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,   444,     0,   445,   446,   447,
     448,   126,   449,   450,   451,   128,   129,   130,   131,   132,
       0,   452,   453,   454,   455,   456,   457,   458,     0,     0,
     459,   460,     0,   134,   461,     0,   462,   463,   464,   465,
     138,     0,   139,     0,   466,   467,   468,   469,   470,   471,
     142,   472,   473,     0,     0,   474,   475,   476,   477,   478,
     479,     0,   145,   480,   481,     0,     0,     0,     0,   146,
       0,     0,     0,   484,   485,   486,   487,     0,   488,   149,
     150,   489,     0,   490,     0,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,     0,     0,   502,
     503,   504,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,     0,   513,   514,   515,   516,   158,   517,   518,
     519,   520,   160,     0,   521,     0,   522,   523,   524,   162,
     525,     0,   526,     0,   527,   163,     0,   164,   528,   529,
     530,   531,     0,   532,   166,     0,   167,   533,   534,     0,
     535,   536,     0,   537,   538,   168,   539,   540,   541,   542,
       0,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     170,   171,     0,   551,   552,   553,     0,   172,     0,   173,
       0,   554,   174,   175,   555,   176,   556,   557,   558,   559,
     560,     0,     0,   561,   177,   178,   562,   179,     0,   563,
     564,   565,     0,     0,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   578,     0,   579,
     580,   581,   184,   185,   186,   582,   583,   584,   585,   586,
     587,   588,   187,   188,   589,     0,   590,   591,   190,   592,
       0,   191,   593,   192,   594,   595,   596,     0,   597,   598,
       0,     0,   599,   600,   601,     0,     0,   602,   603,   193,
     194,   604,   195,   196,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   197,   617,   198,
     618,   619,   620,     0,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   200,   631,   632,   633,   634,     0,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,   649,   207,   650,   651,   652,
     653,   654,   209,   655,   656,   657,   658,   659,   660,   661,
       0,   662,     0,   663,   664,   665,   666,   667,     0,   669,
     670,   214,   671,   672,   216,   673,   674,   217,   675,     0,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   219,   689,     0,   690,   691,     0,   692,
     221,   693,   694,   695,   696,   697,     0,   698,   222,   223,
       0,     0,   700,   701,   224,   702,   225,     0,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
       0,   232,     0,   721,   233,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,   733,   734
};

static const yytype_int16 yycheck[] =
{
       2,    73,    73,    73,    73,    73,    73,    79,    73,   247,
      88,    73,  1229,     2,    73,   918,   220,    73,   982,  1381,
      73,   206,    73,   926,    73,    73,   929,  1195,  1389,    73,
      73,    73,    73,    73,  1352,   393,   148,   110,   110,   151,
     923,   393,  1223,    73,  1225,  1178,   110,   125,   226,    79,
    1173,  1550,  3167,    90,   376,   110,  1353,  1517,   110,  2086,
    1961,  1385,  1932,   100,  1202,  2000,  1115,  1116,  1117,   147,
     148,  1027,  1121,   151,  1201,   923,   161,  2007,  3484,   157,
     961,    83,  1301,   156,   156,  2366,  1379,   199,   159,  1143,
    2023,  1520,   156,  2471,    73,   795,  1454,   159,   183,   136,
    1630,   156,  1505,  1506,   156,  3824,  2007,  1666,  1210,  1443,
      73,  2244,  1515,  4023,   151,  3457,   909,  2012,  1185,  1076,
     133,   199,  3665,  1258,  1458,  1535,  3522,   165,  1352,  4299,
    2000,  2963,  3354,  2432,   982,  4103,  3996,  1361,  3878,  3469,
    3642,  4683,  4626,  1369,  1318,   147,  1027,  1371,   919,  2155,
     205,   153,  3129,  3130,  2449,   228,   228,   928,   213,  4326,
     215,  1277,  4726,  4049,   228,  4051,  3886,  3376,   206,  1343,
    4348,   942,   796,   228,  1348,   125,   228,  1277,  1277,   181,
     963,  1050,  2301,  4249,  1319,   122,  1313,  3888,  2121,  2122,
    2049,  2050,  1063,   363,  2053,  1064,   159,  1045,  1106,  1080,
    1874,  1875,  1876,  1429,  4959,   378,  1079,  1433,  4679,   980,
     378,  1938,  1438,  1990,   205,   986,  4971,  1869,  1870,  2352,
    2115,  1447,  4963,  4975,   215,  1181,  5667,   998,   213,  3422,
    1048,  3424,  3425,  1051,  1460,  4587,  3429,  3430,  3431,  4920,
    3433,  3434,  3435,  3465,  5504,  4958,  4761,  2142,   246,  2957,
    3852,  5629,  5496,   161,  1389,  3748,  5795,  3043,  3004,  5710,
    1141,  3045,  1588,  1613,  3921,  5284,  1393,  1503,  1504,  2046,
    1310,  5446,  3775,  1499,  5251,   183,  3022,  5831,  1514,  4313,
    5645,  4962,  5647,  5825,   247,  1226,  2063,  1226,  4648,  4586,
    5843,  4588,  1695,  1696,  1071,    20,  1725,    29,    83,     9,
    1181,  5752,  6067,  1343,    76,    76,    83,   107,  1348,    76,
    5117,  1011,  1715,   384,   384,   384,   384,   384,  1537,   384,
    5495,   393,   384,    70,    13,   384,    76,  1208,   384,  1272,
    1273,   384,  4381,   384,    81,   384,   384,    76,  1973,  1220,
     384,   384,   384,   384,   384,   132,    85,    86,    70,   903,
      76,   429,   147,    76,  5759,  5760,   428,    76,    76,    85,
      86,   123,   188,   393,  2223,   215,  1274,  1275,    13,    76,
      76,  1096,  6050,   163,  1423,  1100,  1101,  1102,    85,    86,
      76,    70,    76,    76,   104,  1110,    75,    76,  4952,    78,
      79,    76,    81,    76,    76,    13,   112,    83,   428,  3892,
      85,    86,  5066,  5067,  5068,   384,  5070,  5071,  5072,  5073,
    5074,    98,   187,  1467,    79,   378,   188,   237,   132,   116,
     141,   384,   149,    76,   286,    70,   242,   160,   114,  1597,
     193,   242,    85,    86,   188,   242,   254,   242,  1068,   190,
     222,   181,   266,    76,   254,   286,    69,    70,  1684,  1685,
      73,  5784,    75,    76,    76,    76,    92,   965,    81,   266,
      70,   147,  5951,  4978,   188,    75,    76,   145,    78,    79,
     242,    81,  5491,    70,  1710,  1175,   221,    70,    75,  1837,
      70,   112,    75,   221,    81,    75,    76,  1444,    81,   132,
     132,    81,   360,   242,  1596,  1819,   372,  1400,   219,  6264,
     357,  1404,    83,  1406,   372,   377,   193,   243,  1389,    83,
     210,   253,   188,  1806,  5965,  6069,   428,   280,   239,   337,
    1403,  6432,   203,   388,   205,   154,   446,   337,   242,   445,
     403,   345,   403,   114,    98,   411,   234,   104,   192,   290,
     114,   486,    98,   411,   370,   486,   192,   905,   398,   225,
     167,  5916,   156,   905,   191,  1403,   319,   116,   520,   428,
      83,   430,  1070,   242,   520,   188,   147,    21,   439,   445,
     372,   238,   220,   147,    76,    69,  6254,   411,   411,    73,
     242,   316,    76,   259,   560,   568,   249,   149,  5832,    75,
     341,   114,   575,   280,   571,    81,   572,   574,   132,  1767,
    1654,  1394,    92,   474,   266,   272,   341,   132,   570,   411,
    2070,   445,   445,  1781,   570,   560,    70,   341,  1745,   160,
     268,   699,   491,   488,   147,   262,   416,   572,    83,   233,
     417,   248,   573,   287,   332,   242,   748,   749,   452,   203,
     132,   287,  1744,  1811,  1812,  1772,  6411,   203,   399,   522,
     570,   522,   195,   521,    98,   222,   398,   573,   570,  1167,
     341,   105,   285,   242,   149,   341,    98,   532,   389,  1804,
     748,   749,   529,   105,  1809,  1810,   354,   313,  2002,    98,
    6013,   249,   149,  6172,   307,   132,   105,   429,  1557,   183,
     516,   149,  6603,   160,   570,  4761,   514,   699,   570,   190,
    1608,   132,   160,   448,   514,  1613,  5792,   242,   432,  6263,
     448,   573,   149,   488,   486,  1671,   193,   795,   432,  2053,
     570,  4787,   529,     7,   346,   346,    10,    11,   149,  1602,
    5485,   149,   573,   937,   474,  6500,    92,    21,    22,    23,
    1294,    25,    26,   525,   570,   508,    30,    31,    32,   573,
     570,   438,  1976,   486,   570,   471,   574,   532,    92,   486,
    1862,  4931,   573,   428,   258,   570,   486,   456,  1637,   519,
     570,  2105,  2106,   568,   417,   417,  4686,   572,   563,   564,
     565,   566,   503,   573,  1653,   510,   573,  5594,   560,   566,
    1671,  2153,  2154,   515,  6199,  2092,   432,   568,  1667,   570,
     572,   572,  4972,   570,    83,   515,   560,   521,   570,  1586,
    2034,   456,  2447,  5165,   561,   562,  6060,  6582,   515,  6497,
     570,   508,   573,   313,   573,   525,  4794,   321,   901,   901,
     324,   570,  4800,   905,   570,   531,   568,   901,   456,   564,
     471,   477,  1080,  1978,   570,  1801,   901,   570,  6402,   901,
    3484,   570,   570,  1988,  2080,  2354,   552,  2083,  2151,  6401,
    2034,  4581,  6415,   570,   570,  5225,  6631,  5164,  2398,  5166,
     506,   500,   561,   562,   570,   905,   570,   570,  1603,    92,
     566,  1606,   161,   417,  1609,   570,  1611,   570,   570,  1614,
    2224,  6430,   417,  1618,   573,   531,  6347,   181,   531,    94,
     967,  1013,   967,  5567,   183,   967,  2405,  1229,   967,  6360,
     573,   967,  4978,  1083,  1855,  2318,  1855,   570,  2417,   552,
    1801,  4143,  4144,  1127,   486,   417,  4148,   486,  1809,  1810,
     573,   573,   529,  1011,   570,  1013,  2071,   570,   561,   562,
    2075,  2076,   436,  2160,  6309,  4447,  1889,  3924,  6502,  3926,
     491,   561,   562,  3072,  4284,   552,   515,   313,  1998,    92,
     462,   463,   964,   570,   561,   562,  5943,   510,   561,   562,
     417,  4881,   562,  5022,  5023,  5024,  5025,  5026,  4481,   313,
     561,   562,   563,   564,   565,   566,   417,   477,   967,   563,
     564,   565,   566,  3112,   573,  3827,  1074,  3116,  1202,  6334,
    1078,   486,  6262,  5037,   967,   573,   167,  2047,  1093,    98,
    1095,   455,  1097,   208,  4671,  6259,   506,  1079,  1103,   486,
    4880,   512,  6473,   455,  2064,  1027,  1028,  6581,   486,  2379,
    1234,   508,   141,    92,  4227,  2385,   455,  2363,   573,   573,
    1077,   531,   326,  1128,  1129,  1218,  6065,    80,   573,   486,
    1218,  1952,  2187,   547,    87,    88,    89,    94,  1095,  4281,
    1097,  2297,  2298,   132,    76,   486,  6241,   120,   486,  1071,
    1107,  3857,   242,   193,  3858,   259,   432,  2041,    94,   188,
     570,   573,  1071,  6258,  6170,   242,  2496,   248,   221,  6175,
    6176,  1128,  1129,   101,   254,  3841,    92,  1175,   432,  1177,
     313,   385,   183,   348,   181,  1309,   561,   562,   563,   564,
     565,   566,   188,    24,   181,   286,  1079,  1080,   342,   101,
     237,   477,    92,    92,  1179,   362,   573,   193,  1183,  6668,
    1132,  1203,   181,   243,   286,   445,    69,   246,   204,    96,
      73,  5822,   573,   477,  5686,   286,   182,  5007,   106,   423,
     506,   141,  6412,  4646,    76,   111,  3998,   157,   242,  6403,
     280,    28,   119,  6541,  1166,   351,   486,   411,   321,  2493,
     160,   208,   506,  1203,  1176,   531,   356,   258,  1180,  1181,
    1182,  3889,   266,  6618,  3818,  4787,    24,  1095,  2290,  1097,
    1973,   377,   208,  2041,  1179,   356,    83,   531,  1183,  1829,
     200,  2369,   286,  4943,  2253,   473,   234,   331,   242,   432,
      92,  5726,   496,  1211,   570,    80,  6657,   488,    83,   432,
    1128,  1129,    87,    88,    89,   188,   159,  1177,   156,   219,
     188,   355,   341,  1303,   270,   509,   570,   346,   461,    76,
     321,   509,   486,   324,  3878,     0,  6681,   157,  6508,   239,
     445,  5815,  3886,   573,   313,  1218,   357,   362,   419,  3129,
      36,   532,    38,   573,   477,   510,   376,  6708,   296,  1258,
    1272,  1273,  4249,    80,   237,  1277,    83,  4683,  5630,   212,
     389,  2414,  2415,   436,   508,   266,  6621,   270,  1277,  2170,
     200,  6032,   381,   506,   370,   428,   405,   188,    92,   286,
     228,  3231,  1357,  1358,  6059,  3200,  2207,   114,   264,  5479,
    1383,  1383,  1847,   508,   121,   448,   486,   313,   531,  1383,
    6580,  6062,  6077,   360,   281,   358,  5493,  6079,  1383,   486,
    1319,  1383,  6592,   193,   346,  5245,   573,  3715,  3716,  5517,
     147,   451,  3720,   313,   313,  6058,  2448,  2449,   417,   157,
    6031,   440,   243,  2455,   514,   436,   372,   570,   510,  2461,
    2462,  2463,   438,  2490,  4341,   418,  1357,  1358,   529,   510,
    2472,   282,  6632,   432,   183,   375,  2478,   310,   415,   416,
    6061,  3276,  3760,  3761,   570,    94,   570,  1389,   508,   478,
     570,   480,   200,   442,   503,   411,   432,   474,   474,   389,
    1389,   572,  6662,   560,   362,  3411,   414,   474,   445,   216,
     571,   278,   529,   574,  3141,   572,  4258,   242,   477,  2322,
     280,  3073,   574,  3075,   346,  2296,   510,  6687,   286,   445,
     411,   313,   414,   534,   415,    97,   432,   473,   474,   372,
     516,   266,   508,  3220,   282,   337,   428,   506,   430,   258,
    2333,   342,   486,   529,   261,  2324,  5176,   294,   121,   266,
    5180,   286,   432,   432,   445,   375,   547,   183,   573,  2338,
    5941,  2379,   531,   478,  3501,   480,   552,  2385,  2349,   479,
     242,   477,  2351,  6047,  2332,  2333,   218,  2280,   183,   570,
     574,   474,  6056,   358,   570,   391,   303,   513,   160,   208,
    6255,  2374,   181,  2321,   266,  2469,  1744,   477,   477,   491,
     506,   570,   321,   503,   377,   324,   137,   193,  2336,   313,
     356,  2339,  5223,   510,   286,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   570,   531,   506,   506,  4944,  1476,
    1602,   337,   258,   396,   477,  6109,   479,    94,   529,  5051,
     432,   358,   284,   100,   237,   171,   182,  5443,   286,  5061,
    1918,   531,   531,   258,    94,   341,  1918,   375,  1605,   479,
    1607,   552,  1650,  1610,   570,  1612,   167,   356,  1615,  1616,
    1617,   351,   244,  1585,  1586,  3520,  1588,  6422,  2950,  2407,
      99,  1628,  4988,  2411,  2412,   477,  1585,  1586,   261,  1588,
     570,   570,   560,   266,   280,   321,  1643,   377,  1645,   372,
     568,   107,   570,   571,   572,   573,    69,  6159,  6422,   510,
      73,  2469,   254,   357,   506,    94,   321,   436,  2952,   324,
     362,   100,  2956,   129,   494,   251,   244,    24,   432,  1602,
     303,    13,    95,   450,   270,  1647,  3516,    34,   508,   531,
    3520,   351,   510,  1857,  1824,  1859,   548,   248,   337,   357,
    5726,   208,   251,   372,  2447,  3125,  5833,  1840,  1841,  1671,
    1843,   479,  1840,  1841,   570,  1843,  4869,   377,   208,  6243,
    6515,  4874,   445,   477,   180,   510,    13,   351,   570,  6173,
     242,   362,   132,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   411,   188,   244,   337,   159,   570,    76,  1787,
    1788,  6515,   506,   377,   266,  1678,   337,   570,   514,  3838,
     436,   337,   237,  4945,   160,    69,  6002,  2357,  6004,    73,
     413,   393,  6008,  6009,   286,  1698,   445,   531,   547,   208,
     372,   436,  4951,   550,  1746,   260,   167,  2371,   510,   574,
     358,   138,   188,  1755,   561,   562,   563,   564,   565,   566,
     213,   570,   438,   370,   236,   356,   187,  1769,   430,   357,
     502,   445,   281,   269,  2404,   193,   570,  2050,  2408,   411,
    2053,  1744,   510,  2413,  4761,   168,  2416,   450,   258,   568,
     208,   239,  4907,   572,  3155,   529,  1868,  1869,  1870,  1801,
     570,   222,  1804,  1805,  1868,  6640,   432,  1809,  1810,  1887,
    4787,   190,   574,   266,  1093,  1804,  1095,   313,  1097,   272,
    1809,  1810,   318,   180,  1103,   372,   322,   489,   419,   491,
    2998,   529,   508,   495,   423,  6399,  6640,  1787,  1788,  1869,
    1870,   337,   372,    94,   188,   244,  1918,   473,   474,  1128,
    1129,   321,   547,   393,  1926,   231,   464,   109,  6342,    69,
     243,   346,   218,    73,   411,  1938,  1938,   483,   102,   103,
     570,   123,   570,   404,  1938,   371,   245,  1840,  1841,  6049,
    1843,   411,   514,  1938,  3558,   108,  1938,  1889,  1918,   292,
     109,  1880,  1881,   276,  1949,   282,  1926,   337,   445,   573,
     571,  6068,   573,   372,   123,   341,   570,  2111,   291,   516,
       5,   416,   384,   486,  5634,   445,  1905,  1906,   301,  5639,
     416,   190,  5642,  3056,   445,   565,   379,   179,   304,    24,
     570,  6495,   572,   167,   337,  1990,  2471,  1887,   529,    34,
     445,   529,   411,   439,  4578,  2480,   329,  4581,   304,   159,
    2223,   428,   445,   187,   432,   445,  3091,   208,   510,   358,
     179,   318,   203,   459,  3312,   322,   436,   346,   386,  6511,
     423,  6408,  6409,   356,   204,   198,   445,   417,   371,  1258,
     571,   432,    83,   574,   515,  2055,   407,   560,   222,  1978,
    2060,  2046,   292,  1272,  1273,  3111,   399,   341,  1277,  1988,
    5860,  4978,   346,   213,  3322,   445,  3230,   133,  2063,  6285,
     506,  3111,  3111,  6577,   247,   141,  5559,   438,   428,   472,
    3155,   290,   574,   218,   529,   394,    80,   279,   416,    83,
     337,   508,   919,    87,    88,    89,   231,   337,  3372,   422,
    1319,   928,   237,   138,  3392,   448,   147,   552,   501,  4683,
     280,  3921,   573,   474,   101,   942,   509,   445,   427,   512,
     279,  3931,   272,  5469,   474,   388,  2136,  3566,   573,   574,
    2140,   440,   341,   371,   307,   571,   190,   474,  4013,   190,
     573,   128,  2071,   573,   317,   337,  2075,  2076,  2090,   284,
    6257,  1080,   570,   980,  6636,   516,  2098,  6275,  3322,   986,
     341,  4128,   168,  5445,   411,   508,   475,   413,   529,   304,
    1389,   998,   207,   190,  4492,  4493,  4494,  4495,   337,   570,
    4498,  4499,  4500,  4501,  4502,  4503,  4504,  4505,  4506,  4507,
     399,   552,  2205,  2205,  5464,  5854,  3360,  5680,   243,  5682,
     293,  2205,  5484,  4013,  6030,   510,  6583,   445,   448,   570,
    2205,   237,  1141,  2205,  3488,  3489,  3490,  3491,   353,  3493,
     237,   321,   248,   274,   324,   488,   231,   362,  4463,   379,
    3394,   276,  6082,   407,   371,  3302,   290,   243,  4556,  4557,
     266,   307,   434,   371,  3518,   454,   291,   282,  3405,  3406,
    3407,  3326,  5912,  6506,  6507,   191,   301,   274,  2187,  3334,
    4206,  3375,  3337,    69,   438,   570,  4212,    73,   508,   532,
     276,  5433,   266,  5435,  5407,   434,  5409,  5410,  5411,  1208,
    2424,  5627,   488,   529,   127,   291,   337,   341,   201,  2231,
     341,  1220,    69,  2235,   288,   301,    73,  6404,   211,   304,
     474,    94,  4101,   362,  6104,   478,   552,   480,   445,   317,
     191,  3300,   430,  3302,   372,  4150,  2441,   445,   529,   247,
     337,   131,   403,   329,   341,  5671,   262,   573,  4401,   430,
     180,   415,   510,   506,  3155,   438,   436,    94,   231,   526,
    5686,   552,   516,   100,   237,   399,   520,  3190,   353,  3192,
    3193,   501,  6011,   411,   197,   529,   166,   415,   439,   509,
    4195,   445,   512,   574,   358,   372,   159,   502,  3191,  4943,
    4944,   474,  2374,   491,  3540,  6055,   435,   422,   552,   307,
    6633,   262,   159,  4622,  2055,   231,   573,   445,   238,  2060,
     491,   237,   570,   474,  6501,   421,   570,   529,   245,  2376,
     407,  2378,  6512,  3191,   411,  2382,    80,  2384,   201,    83,
    2387,   304,   529,   516,  2391,   208,   422,   227,   211,  3228,
     552,  2363,   272,    80,  2366,  2432,    83,  2432,  5200,   117,
    2432,  5873,  6340,  2432,  2363,   212,  2432,  2366,   445,   372,
     114,   522,   574,  1343,   141,  1272,  1273,   121,  1348,  4322,
     147,   208,   140,   263,  3187,   372,   573,   114,   304,   372,
     353,   162,  2440,   160,   121,  2136,  3106,   570,   318,  2140,
      49,  2374,   322,   147,   571,   403,    80,   574,   411,    83,
     529,  3831,   341,    87,    88,    89,   529,   346,    67,   299,
     147,   188,   529,   190,   411,  6345,  6346,  5843,   411,  6158,
    3542,   121,   372,   552,   205,  2518,  2518,   353,   372,   372,
     114,   529,   445,  2432,  2518,   570,  3227,   121,  2460,   342,
     343,   141,  3511,  2518,   573,   428,  2518,   337,   445,  2432,
     573,   341,   529,   310,   552,   155,   573,    80,   397,  5723,
      83,   411,   216,   147,    87,    88,    89,   411,   411,   246,
     478,   356,   480,  5286,  3629,  6665,   361,   460,  3033,   216,
    5293,   104,   372,   373,   558,   559,   560,   561,   562,   563,
     564,   565,   566,  3470,  2477,   445,   573,   274,   506,   372,
     427,  4899,   445,  5767,   399,  1804,   433,   261,   208,  3932,
    1809,  1810,   266,   440,   522,   372,   317,   412,   244,   160,
    3311,   411,  5176,   574,   261,   415,  5180,   415,   486,   266,
     420,   573,    70,   237,   407,   438,  6466,    96,   411,   429,
     341,   574,   531,    81,   531,   237,   441,   437,   475,   303,
     407,   277,   510,   531,   411,   445,   260,   445,   415,  5772,
     119,   343,   529,   552,   341,   552,   303,   457,   260,   346,
     497,   474,   445,   438,   552,  1347,   466,   261,  2226,   452,
     470,   570,   266,  3820,    98,   552,  3660,  3661,   445,  6696,
    1889,  6698,   570,  2047,  1366,  3717,  5967,  1369,  2246,   576,
    3391,  5972,  5973,   149,   358,   149,   247,  3729,    39,   474,
    2064,  6718,   389,   516,   160,  3728,   160,  3730,  3731,   303,
     477,   358,   479,    69,    70,  3003,   529,    73,   405,   270,
     568,  3003,    69,    70,   524,    81,   574,    80,   152,  6569,
      83,   155,  3764,   563,    87,    88,    89,   161,   568,   552,
     570,   516,   572,   356,   510,   568,   438,   570,   361,   572,
       2,   104,   573,   574,   529,   288,   307,   570,  6084,   138,
     139,   114,   529,    80,   358,   189,    83,  3832,   121,  1978,
     573,  2664,  3999,  3922,   577,  3807,  4733,   552,   563,  1988,
      85,    86,   474,   568,  6120,   570,   450,   572,  2482,   282,
    3350,  2485,  3352,  5945,   147,   570,  3356,   114,  4025,   102,
     103,  5953,  5954,   450,   121,   561,   562,   563,   564,   565,
     361,  6460,    15,   569,    18,    19,   503,   104,   478,  5726,
     480,    73,   246,  6159,   516,   358,   571,    79,   573,   391,
     147,    83,  3829,    37,   491,   259,    40,   529,   565,  3672,
     568,  3674,  3675,   570,   572,   572,  4000,   271,   352,   573,
    4104,  4311,   356,   577,   350,   569,   450,   569,   110,   573,
     552,   573,  2071,  4723,   522,  6338,  2075,  2076,  4731,   435,
    4733,  4671,   294,   561,   562,   563,   564,   565,   570,   571,
      33,   133,   574,   571,  4709,   570,   550,  3781,   428,   429,
    4953,   123,   563,   564,   565,   147,   570,   561,   562,   563,
     564,   565,   566,   550,   156,  5469,   320,   570,   261,   572,
     571,   491,   573,   266,   561,   562,   563,   564,   565,   566,
     435,   571,  4076,   573,   317,  6261,   130,   478,   413,   480,
     333,   334,   335,   336,   317,   288,   289,   169,   270,  5846,
     491,   568,  4767,   570,   261,   571,  3669,   573,   164,   266,
     303,    80,   503,   205,   575,   506,   550,  4446,   529,   163,
     531,   213,   194,   215,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   571,    70,   573,   228,   570,  2187,   572,
     212,  3611,  4246,   571,   216,   573,   303,   571,  6637,   573,
     571,   344,   573,   571,   571,   573,   573,   571,   460,   573,
     204,  3003,  4290,  3781,  3005,   358,   238,   460,   361,   241,
     571,   571,   573,   573,   571,   460,   573,  5228,  4377,  4378,
     478,  3832,   480,   320,   256,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   571,   260,   573,   461,   428,   429,
     464,   358,  3157,  3003,  3159,   218,   571,   491,   573,  2981,
    6699,   571,   571,   573,   573,   571,   156,   573,   231,   571,
     571,   573,   573,  5627,   237,  3199,  3626,   478,   128,   480,
    5634,  3073,  1889,  3075,  3852,  5639,   573,   574,  5642,  6415,
      80,   522,   571,    83,   573,   428,   429,    87,    88,    89,
     571,  3977,   573,   571,   294,   573,  4252,   450,  3106,   571,
     435,   573,  4965,   571,   104,   573,   571,  5671,   573,  5693,
    5694,   284,     2,  3073,   346,  3075,  4981,   576,  3011,   571,
    4099,   573,  5686,  3042,  3043,  4104,  6398,    81,   571,  4960,
     573,   304,   529,   450,   531,   571,   570,   573,  3141,  3141,
     571,   393,   573,   571,   571,   573,   573,  3141,  3947,  3948,
      80,   520,  3061,    83,   432,   571,  3141,   573,   571,  3141,
     573,   473,  3296,  3095,   570,   397,  3977,   356,  3061,  6505,
     128,  4155,  3091,   428,   429,  6511,   428,  6304,  6305,  3111,
     353,  4981,  3114,  3115,   114,   571,   571,   573,   573,   362,
     168,   121,  3111,   370,   522,  3114,  3115,   550,   571,   571,
     573,   573,   529,   573,   531,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   571,   156,   573,   147,   571,   571,
     573,   573,   117,  3155,  4684,  4685,   549,   571,  4688,   573,
     203,   290,   205,   550,   572,  3220,  3155,   571,   571,   573,
     573,   571,   359,   573,   561,   562,   563,   564,   565,   566,
    3715,  3716,   571,   359,   573,  3720,  3258,  6438,  6439,  3262,
    3262,   438,   237,   356,  3258,   243,   549,   571,  3262,   573,
     359,   161,  5580,  3258,   356,   117,  3258,  3262,   549,  5843,
    3262,  4535,  3214,  3286,  3286,   571,   216,   573,   288,   571,
     563,   573,  3286,   183,  4093,  3760,  3761,   474,   276,  4278,
    6636,  3286,   290,   571,  3286,   573,   571,   571,   573,   573,
     571,   573,   573,   291,   571,  4114,   573,   571,   241,   573,
    2137,   570,   128,   301,  3309,   571,   571,   573,   573,   502,
     571,   261,   573,   571,  3349,  4668,   266,   571,   571,   516,
     573,   242,   571,  5300,   573,   571,   286,   573,  5912,   286,
     570,   329,   529,   571,   571,   573,   573,   571,   358,   573,
    3292,   571,  4430,   573,   571,   571,   573,   573,  4254,   571,
    4256,   573,  6417,   303,   571,   552,   573,   571,   356,   573,
     563,   574,  3385,  3385,  3316,   571,   571,   573,   573,  4454,
    3950,  3385,  4615,   570,  5181,   568,  5183,   576,   571,   572,
    3385,   576,  4656,  3385,   571,   282,   573,  3326,   571,   570,
     573,  2228,   571,   486,   573,  3334,   486,   486,  3337,  2236,
    5280,   571,   571,   573,   573,   486,   214,  2244,   358,   571,
     571,   573,   573,    80,   486,   571,    83,   573,   571,   107,
     573,   107,   128,  4254,   422,  4256,   282,   699,  3451,  3451,
     571,  3383,   573,   288,  4340,  4487,   571,  3451,   573,   486,
     571,   129,   573,   571,   411,   573,  3451,   114,   570,  3451,
    4269,  4249,  4271,   571,   121,   573,   571,   571,   573,   573,
     203,   571,   205,   573,   571,   571,   573,   573,  3420,  4521,
    3422,  6055,  3424,  3425,   571,   533,   573,  3429,  3430,  3431,
     147,  3433,  3434,  3435,   572,   571,   229,   573,  2325,   266,
     223,  1857,   180,  1859,   570,   570,   570,   223,   356,    80,
     450,   572,    83,   266,   411,   356,    87,    88,    89,  4340,
     223,   223,   510,  4590,   266,  2352,  4568,   356,   223,   237,
     411,  3484,   223,   104,  5004,   574,   302,   190,   510,  3717,
     570,   203,  4701,   205,   356,  3487,  6120,   350,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   237,   571,   216,
    5878,   141,   341,   107,   341,   570,  4732,   229,   246,   356,
    3512,   533,   341,   341,   117,   117,   496,   341,   159,  6634,
     372,   522,   491,   522,   392,  6159,  3764,   237,   575,   223,
     223,   269,   570,  3611,   223,   519,   570,   385,   223,   570,
     333,   334,   335,   336,   261,   106,   533,   340,    80,   266,
     550,    83,   570,   346,  3556,    87,    88,    89,  4855,   223,
     223,   561,   562,   563,   564,   565,   566,   573,   223,   223,
     223,   223,   104,   223,   223,   313,  4445,   237,   223,   901,
     318,   223,   356,   905,   322,   223,   303,   909,   223,   223,
     474,   570,   107,   302,   237,   356,   918,   919,   237,   337,
     570,    76,    76,   570,   926,   237,   928,   929,   570,   570,
      76,   333,   334,   335,   336,   570,   570,   570,   340,   341,
     942,   570,   570,    76,   346,   570,   570,  6261,   570,    76,
     570,   570,   570,   371,  3812,  3813,  3814,   570,   570,   961,
    3629,   358,   570,   570,  3882,   570,  5516,   570,  4865,   348,
     570,  4877,  4787,   570,   570,   570,   570,   288,   980,   570,
     570,   570,   368,   530,   986,   286,  3739,  3739,  4298,  5129,
     573,   573,  3745,  3745,   107,  3739,   998,   171,   416,   286,
     302,  3745,   288,   107,  3739,   573,   237,  3739,   353,   237,
    3745,   445,   351,  3745,   563,  1017,   282,   436,   324,   573,
     493,   439,   187,   509,   560,  1027,    13,   573,   573,   570,
    1032,   504,   574,   570,   137,  1037,   570,   486,   432,  1041,
    1042,   459,   486,   521,   432,   432,  1048,   358,  1050,  1051,
     572,   304,   148,   450,   486,   560,   486,   486,   486,   486,
     486,  1063,  1064,   486,   432,  6123,   160,   223,   356,  1071,
     437,   486,   299,   486,  3717,   346,   288,   196,  1080,   486,
     377,   477,   356,   351,   509,   570,   428,   486,   506,   259,
     570,   493,   160,   372,   486,   196,   573,   266,   223,   510,
     510,  6415,   504,   486,   486,   486,   196,  4417,   486,   486,
     182,   486,   196,   128,   486,   486,   486,   128,   326,   396,
     486,  3764,   486,   486,   486,  3818,   360,   486,   486,   396,
     486,   396,  3091,   486,   377,   377,  3095,   486,   486,  1141,
     477,   116,   116,  3786,   288,   486,   358,   288,   486,   573,
    3832,   356,  3111,   550,   571,   356,   288,   288,   288,  3802,
     288,   575,   288,  3832,   561,   562,   563,   564,   565,   566,
    1172,  1173,   288,   288,   288,  3818,   486,  1179,   107,  1181,
     496,  1183,   223,   356,   223,  3878,   570,  3856,  3857,  5193,
     341,  6505,   188,  3886,   223,   223,  3155,  6511,   223,   356,
     310,  1203,   510,   341,   521,   341,  1208,   341,  1210,   107,
     237,   107,   294,   570,  5218,   570,   434,   106,  1220,   570,
     572,   484,   484,   570,   223,   486,   486,    13,   223,   510,
    5045,   223,   568,  4761,   510,  3878,   486,   568,   223,  3882,
     345,   350,   242,  3886,  5454,   573,  5827,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   525,   570,    83,  4787,
     326,   326,   484,   570,   573,   570,   486,   251,   232,   242,
    1272,  1273,   488,   573,   573,   560,   571,  4492,  4493,  4494,
    4495,   259,   259,  4498,  4499,  4500,  4501,  4502,  4503,  4504,
    4505,  4506,  4507,   284,   292,  3977,   448,  4049,  4050,  4051,
     573,  1303,   357,   573,   510,  4049,  4050,  4051,   107,    33,
     510,  4526,   571,   571,  4049,  4050,  4051,  4049,  4050,  4051,
       9,   365,  6636,   128,   571,   521,   432,   510,   346,   292,
     570,   292,   346,  5115,   570,   237,   486,  5950,   486,   486,
     346,  4556,  4557,   356,   117,   302,   558,   559,   560,   561,
     562,   563,   564,   565,   566,  1357,  1358,   454,   341,   356,
     302,   302,   320,   356,   428,   486,   477,  3326,   196,   573,
     356,   266,   445,  4055,   356,  3334,  4925,  4926,  3337,  1381,
    1382,  1383,   573,   260,   356,   411,   529,  1389,   442,   399,
    3349,   486,  1394,   486,   362,   571,   107,  1399,  1400,   560,
     288,   294,  1404,   510,  1406,   395,   223,   351,  1410,   107,
    5213,    80,   510,   237,    83,   475,   239,   396,    87,    88,
      89,   570,   522,   442,  1426,   223,   223,   223,   570,   222,
    4112,  1071,   351,   510,   341,   107,   341,   107,   107,   356,
     529,    96,   356,   294,   564,  4329,   257,   351,   257,   237,
    4978,   107,   324,  1093,   238,  1095,   568,  1097,   549,   129,
     294,   549,   442,  1103,  1104,  1105,  1468,   237,  1470,  1471,
     356,   341,   571,    95,   266,   266,  5291,   266,   249,   571,
     533,   266,   486,   266,   571,   155,  6544,   573,  1128,  1129,
     571,  6549,   571,   573,   572,  4248,  4248,   573,   573,  4181,
     570,   242,   323,   356,  4248,   529,   573,   128,   350,  5415,
     180,   181,   571,  4248,   571,  1517,  4248,   242,   188,   571,
     571,   571,  4314,   571,   573,   571,   571,   570,  3095,   571,
     368,   571,   203,   571,   378,  6085,   573,   571,   571,   242,
     549,   486,   317,   551,   312,  4227,  4430,   570,   570,   570,
     340,  3118,   367,   570,   570,  1557,  4314,  4239,  4240,   526,
    5204,   508,  4564,   516,   526,   128,   560,  4249,   573,  3136,
     573,  4363,  4254,   574,  4256,  3142,   246,   356,   356,  3146,
    4249,   223,   571,  1585,  1586,   359,  1588,   356,   270,   560,
     571,   278,   486,   346,  1596,   486,   486,   226,   341,   269,
     570,   570,   486,   223,    80,  4363,  3173,    83,   155,   445,
     570,    87,    88,    89,   223,   437,   223,   437,  1258,   288,
     107,   437,  4304,   302,   270,   226,   356,   560,   486,   510,
     226,   432,   379,   379,   526,  1637,   304,  1277,   507,   226,
    3207,   486,   129,   313,  4562,   486,   486,   461,   318,  1651,
     314,  1653,   322,   486,   314,   314,  4315,  4339,  4340,   486,
    3227,   196,   223,  4581,   341,  1667,  4325,   337,   486,  1671,
    3629,   341,  4315,  6380,   432,   432,  5204,   432,   486,  1319,
    1682,   432,  4325,   486,  4899,   445,   486,   116,   571,   358,
     569,   486,  3259,   180,   288,   571,   571,   288,   254,  4381,
     571,   371,   360,   571,  4363,  5434,   486,   573,   237,   486,
    1712,   117,  4570,  4571,  4572,  4573,   181,  3284,   573,   486,
    4363,   486,   571,  3290,   496,   237,   107,   570,  5277,  5039,
    5040,  5041,  5042,  5043,   571,   223,   486,  3304,  1740,  1741,
    1742,   223,  1744,   237,  3311,   351,   416,  3314,   560,  1389,
     254,   570,   223,  3320,  1756,   359,   569,   237,   510,   432,
     570,   510,  1764,   221,   442,   432,   432,   432,   221,   439,
     432,   573,   288,  3340,   288,  4528,  4528,   288,   288,  3346,
     288,   288,   269,   288,  4528,  4454,  3353,   288,  5649,   459,
     288,   461,   568,  4528,   464,   214,  4528,    83,   368,  1801,
    3367,   521,  1804,   242,   340,   571,   242,  1809,  1810,  5988,
     573,  5990,   288,  3380,   526,   571,  5365,  5665,   552,   573,
     251,   419,   560,   571,  3391,   570,   313,   571,   158,   571,
     483,   318,   571,   573,   571,   322,   506,   573,   570,   515,
    1842,   560,   496,   237,  1846,  1847,   107,   510,   294,   510,
     337,   486,   278,   128,   477,  4537,   223,   246,   461,   496,
    1862,   437,   486,   226,   432,   432,  1868,  1869,  1870,   486,
     486,   486,   486,  3832,   571,  4622,   571,  4622,   571,   411,
    4622,   529,   358,  4622,   371,  4578,  4622,  1889,  4581,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   128,   477,
     570,   237,   356,  5118,   516,   147,   223,   181,   496,   288,
     288,   288,   288,  5462,   571,   273,  1918,   292,    80,  4562,
     570,    83,   486,   570,  1926,    87,    88,    89,   533,   416,
    1932,   570,   570,   356,   570,  4578,  1938,   571,  4581,   107,
     573,   354,   377,   573,  6154,  1585,  1586,  1949,  1588,   356,
    1952,   570,   439,  5168,  1956,   496,   113,    80,  5999,  6169,
     573,   486,   570,  4622,   442,   248,   181,   288,   128,   571,
     569,   242,   459,   242,   571,   527,   571,  5825,   571,  4622,
     368,   527,   571,  5021,   291,   291,   571,   573,  1990,  5021,
    4683,  5804,   571,   570,   366,   570,   570,   476,  2000,   363,
    5897,   255,   128,  4755,   351,  6215,  6216,  4760,  4760,  4762,
    4762,  4755,   571,   483,   486,   560,  4760,   242,  4762,   506,
    4755,   496,   147,  4755,   272,  4760,   529,  4762,  4760,   260,
    4762,   260,   346,  4786,  4786,  2037,  4801,   346,   560,   128,
     477,   486,  4786,  5687,  2046,   573,   573,  4812,   141,   223,
     226,  4786,   486,   486,  4786,   288,   486,   195,   571,   244,
     188,  2063,   107,   266,  5374,  5375,   351,  5377,  2070,   442,
     570,   570,   510,  3640,   107,   341,   239,   442,   222,  4761,
     529,   351,   558,   559,   560,   561,   562,   563,   564,   565,
     566,  3658,  4761,    80,  5738,   153,    83,   128,  3665,   107,
     242,   529,  5884,   477,   356,  4787,   570,   237,   406,   275,
     573,   571,   359,   286,   570,   515,   458,   377,  4787,   571,
    4802,   242,   570,  4805,   571,  4807,   288,   114,   570,   570,
     291,   528,   435,   160,   121,  2137,   204,   356,   267,   571,
     405,   486,   107,   223,   571,   223,   486,   237,   570,   570,
     570,  2153,  2154,  2155,  5737,   570,   570,   107,   570,  5687,
     147,   510,   346,  6373,  1804,   315,  6207,   570,  2170,  1809,
    1810,  4853,   570,   223,   442,  5738,   571,   181,  5727,   107,
    2182,   571,   360,   242,  5999,   496,   571,  4869,   237,   456,
     560,  2193,  4874,   456,   128,   107,   358,   150,  5726,  5782,
     180,  5983,  5984,  2205,   570,  2207,   525,  2209,   570,   570,
    5738,   515,   259,   570,   510,   477,   237,   337,   477,  4888,
    4889,   356,   570,    76,   270,   571,  2228,  6225,   230,   216,
     429,   533,   570,   429,  2236,   141,   141,   359,  1878,   574,
    1880,  1881,  2244,   204,   525,   529,   209,  6457,  6458,   529,
    4943,  4944,    80,   573,   570,   570,   514,   570,   515,  1899,
    2262,   573,   107,   234,   234,  1905,  1906,   104,   445,  5021,
     242,   477,   316,   346,   261,  2277,   272,   477,  2280,   266,
     356,  2283,   356,   402,   442,   107,   107,   359,  2290,   359,
    4249,  4973,   570,   570,  2296,   244,  4978,   244,   267,   222,
    4943,   573,   128,   128,   128,   486,  2308,   571,   193,  4978,
    4969,  5021,   482,   465,   570,   570,   303,   570,   508,  2321,
    2322,   571,  2324,  2325,    76,   571,  4969,   442,   209,   570,
     428,   219,   107,   363,  2336,  6117,  2338,  2339,  1978,   482,
    5022,  5023,  5024,  5025,  5026,   412,  2348,  2349,  1988,  2351,
    2352,    93,  6134,   570,   104,   573,   346,   428,   570,  6141,
     573,  2363,   445,   342,  2366,  5580,   242,   428,   486,   570,
     364,   358,   150,   222,   342,   456,  5045,   456,  5243,  5038,
     188,   573,   516,  5065,  5066,  5067,  5068,   570,  5070,  5071,
    5072,  5073,  5074,   529,   244,  5038,   558,   559,   560,   561,
     562,   563,   564,   565,   566,  2407,   515,  3974,   244,  2411,
    2412,   510,   529,   516,   570,   515,   571,   384,  5853,  2139,
    1358,  3468,  3832,  1357,  5985,  1810,  3360,  3271,  1315,  4025,
    4760,  2071,  6364,  3386,  3440,  2075,  2076,  4240,  5999,  4735,
    6481,  5780,  6205,  5827,  6481,  6174,  2448,  2449,  4733,  4923,
    5424,  5803,  2454,  2455,  3954,  3616,  6344,  5686,  2460,  2461,
    2462,  2463,  6469,   450,  2466,  6235,  2468,  6234,  2470,  2471,
    2472,  2473,  2474,  2475,  6384,  3958,  2478,  5469,  2480,  2481,
    6505,  4944,  2484,  5176,  4970,  6179,  4955,  5180,  3454,  4913,
    3454,  4755,  4050,  4288,  1353,  4454,  2498,  2499,  2500,  2501,
    4939,  5463,  5810,  4334,  5006,  6097,  6593,  4074,  6711,  6692,
    5794,  4248,  6396,  4977,  2516,  5197,  2518,  5740,  5200,  5201,
    5285,  2217,  5970,  6188,  5743,   154,   183,  6171,  5050,  4421,
    5295,  5200,  5940,  5176,  6589,  3470,  1638,  5180,   963,  6321,
    4981,  6323,    94,  2260,  3931,  3130,  5228,  2187,   100,  4345,
    2257,  2277,  5853,  6401,  6085,  1028,  5215,  5216,  2332,  5228,
    2435,  2435,  4182,   550,  1061,  3385,  4786,  4101,  6640,  6422,
    1196,  3416,  5215,  5216,   561,   562,   563,   564,   565,   566,
    1956,  5014,  6659,  2170,  5012,  5217,  4653,  3023,  5937,  6337,
    3600,  1828,  1599,   145,  1781,  5905,  3059,  3849,  1850,  3864,
    1849,  3033,    94,  4594,  6325,  6452,  5916,  5198,   100,  3058,
    4581,  5165,  5182,  1852,  5913,  4578,  6120,  6119,  4578,  4654,
    6647,  6446,  5291,   115,  6547,  6312,  5882,  5653,  2268,  4530,
    6326,  2944,  6327,  3786,  4201,  2473,  3415,  3784,  6680,  3685,
    4360,  2947,   699,  6171,  3530,  1480,  6207,  2270,  3095,   201,
    6295,  1870,  3070,   145,  2294,   394,   208,  2659,  3111,   211,
    3103,  1864,  1073,  5878,  2304,  1275,  2306,  1295,  4660,  4619,
    3826,  3104,  2312,  5199,  1650,  1275,  2316,  4661,  1868,   427,
    2396,  3115,  5992,  3612,  1585,     2,   238,  5902,  5665,  1106,
      -1,  5443,    -1,    -1,    -1,    -1,    -1,  2699,    -1,  5443,
      -1,  1784,    -1,    -1,    -1,    -1,    -1,   199,  5443,   201,
      -1,  5443,  5394,  5395,    -1,    -1,   208,    -1,    -1,   211,
     272,    -1,    -1,  2363,    -1,  5407,  2366,  5409,  5410,  5411,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,
    2752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6351,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5469,    -1,    -1,    -1,
     272,    -1,    -1,    -1,    -1,   337,    -1,    -1,    -1,   341,
    6572,    -1,    -1,  5475,    -1,    -1,    -1,  6694,    -1,   351,
      -1,    -1,  4761,  6364,    -1,    -1,    -1,    -1,   360,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2457,  2458,    -1,
     372,  6131,    -1,    -1,  2464,  2465,    -1,    -1,  4787,    -1,
      -1,    -1,    -1,  5515,  4401,    -1,    -1,    -1,    -1,    -1,
    6423,  6424,  4801,    -1,    -1,   337,  6575,  6576,    -1,   341,
      -1,    -1,    -1,  4812,    -1,  2495,  4423,    -1,    -1,   351,
      -1,    -1,   414,   415,    -1,    -1,    -1,    -1,   360,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     372,  4448,    -1,    -1,    -1,  5567,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   445,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6684,    -1,    -1,    -1,    -1,    -1,  6123,    -1,
    1037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   411,
    6481,    -1,   414,   415,    -1,  2927,  2928,  2929,  2930,  2931,
    2932,  2933,  2934,  2935,  5627,  2937,  1063,    -1,    -1,    -1,
      -1,  5634,    -1,    -1,    -1,  2947,  5639,  5664,  2950,  5642,
      -1,    -1,    -1,   445,    -1,    -1,    -1,    -1,  5842,    -1,
      -1,   513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5671,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5655,    -1,    -1,    -1,
      -1,  5634,    -1,  5686,    -1,    -1,  5639,    -1,    -1,  5642,
      -1,  3003,    -1,    -1,  3006,    -1,    -1,    -1,  3010,    -1,
      -1,  3013,    -1,  3015,    -1,    -1,  3018,    -1,    -1,  4978,
      -1,   513,    -1,    -1,  5777,  5777,    -1,    -1,  5820,    -1,
      -1,  3033,    -1,  5777,    -1,    -1,    -1,    -1,    -1,    -1,
    3042,  3043,  5777,    -1,  5726,  5777,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5726,    -1,    -1,
      -1,    -1,  5820,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3073,    -1,  3075,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5045,    -1,    -1,    -1,
    5772,    -1,    -1,  3095,    -1,    -1,    -1,  6312,    -1,  5781,
      -1,    -1,  5853,  5853,  5853,  5853,  5853,    -1,  5853,    -1,
      -1,  5853,  3114,  3115,  5853,    -1,  3118,  5853,  6701,  6702,
    5853,    -1,  5853,  3125,  5853,  5853,    -1,  3129,  3130,  5853,
    5853,  5853,  5853,  5853,  3136,    -1,    -1,  4704,    -1,  3141,
    3142,    -1,    -1,    -1,  3146,    -1,    -1,    -1,    -1,  5808,
    5843,    -1,    -1,  3155,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5821,    -1,    -1,  5808,    -1,    -1,    -1,    -1,
      -1,  3173,    -1,    -1,  3176,    -1,    -1,    -1,  5821,    -1,
    5839,    -1,    -1,    -1,    -1,  3187,    -1,  3189,  3190,    -1,
    3192,  3193,    -1,  3195,  5853,    -1,  5839,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3207,    -1,    -1,    -1,    -1,
    5853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3220,  5912,
      -1,    -1,    -1,  6141,    -1,  3227,  3228,  6442,    -1,    -1,
      -1,    -1,    -1,    -1,  3236,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3258,  3259,    -1,    -1,
    3262,    -1,    -1,    -1,    -1,  4832,    -1,    -1,  4835,  5912,
      -1,    -1,  1399,    -1,    -1,    -1,    -1,    -1,  6030,    -1,
      -1,    -1,  3284,  1410,  3286,    -1,  6030,    -1,  3290,    -1,
      -1,    -1,    -1,    -1,    -1,  6030,    -1,    -1,  6030,  1426,
      -1,    -1,  3304,    -1,    -1,    -1,    -1,  3309,    -1,  3311,
    3312,    -1,  3314,    -1,    -1,    -1,    -1,  5999,  3320,    -1,
      -1,  6003,    -1,  2963,    -1,    -1,  5285,    -1,    -1,  6544,
    5999,    -1,  5291,    -1,  6549,    -1,  5295,    -1,  3340,    -1,
      -1,    -1,    -1,    -1,  3346,    -1,    -1,    -1,    -1,    -1,
      -1,  3353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6055,    -1,    -1,  3367,    -1,    -1,    -1,  4936,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3380,    94,
      -1,    -1,    -1,  3385,    -1,   100,  4953,    -1,    -1,  3391,
    3392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6057,    -1,
     115,    -1,  3042,  3043,    -1,    -1,    -1,  3409,  3410,  3411,
      -1,    -1,  6055,  3415,  6057,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6120,    -1,    -1,
     145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3442,  3443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3451,
      -1,  3091,  6205,  6205,    -1,    -1,  3458,    -1,    -1,    -1,
      -1,  6205,    -1,    -1,    -1,  3467,  6159,    -1,    -1,    -1,
    6205,  3111,    -1,  6205,  3114,  3115,    -1,    -1,    -1,    -1,
      -1,    -1,  3484,  5050,   199,    -1,   201,    -1,    -1,    -1,
      -1,    -1,    -1,   208,    -1,  3497,   211,  6156,  6141,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   131,    -1,  6156,  3516,  3155,    -1,    -1,  3520,    -1,
      -1,    -1,    -1,   238,  1651,  6207,    -1,    -1,    -1,  6211,
      -1,  6213,    -1,    -1,    -1,  6217,  6218,    -1,    -1,    -1,
    3542,    -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   272,    -1,    -1,
    6313,  6313,    -1,    -1,    -1,    -1,    -1,    -1,  6261,  6313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6313,    -1,
      -1,  6313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6515,    -1,  3239,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   227,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   337,    -1,    -1,    80,   341,    -1,    83,    -1,
      -1,    -1,    87,    88,    89,    -1,   351,    -1,  3640,    -1,
      -1,    -1,    -1,   263,    -1,   360,    -1,    -1,    -1,   104,
      -1,    -1,    -1,    -1,  3656,    -1,  3658,   372,    -1,   114,
      -1,    -1,    -1,  3665,    -1,    -1,   121,  3669,    -1,  3671,
    3672,    -1,  3674,  3675,  3676,  6422,    -1,  6422,    -1,   299,
    6422,    -1,  3684,  6422,    -1,    -1,  3326,  3689,    -1,    -1,
      -1,    -1,   147,    -1,  3334,    -1,   411,  3337,    -1,   414,
     415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3349,
      -1,    -1,    -1,  3715,  3716,  3717,    -1,    -1,  3720,    -1,
      -1,   341,  6415,    -1,    -1,    -1,  3728,  3729,  3730,  3731,
     445,    -1,    -1,    -1,    -1,    -1,    -1,  3739,  6397,    -1,
      -1,    -1,  3744,  3745,    -1,  3747,    -1,  3749,    -1,    -1,
      -1,    -1,  5319,   373,  6397,    -1,    -1,    -1,  3760,  3761,
      -1,    -1,  3764,  6422,  5331,    -1,    -1,  5726,  6515,    -1,
    6515,    -1,    -1,  6515,    -1,    -1,  6515,    -1,    -1,  6422,
      -1,  3783,    -1,  3785,    -1,  3787,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   415,    -1,   417,   513,  6481,
     420,    -1,    -1,    -1,    -1,  3807,   261,    -1,    -1,   429,
      -1,   266,  6505,    -1,    -1,    -1,  3818,   437,  6511,    -1,
      -1,    -1,    -1,    -1,    -1,   445,    -1,    -1,    -1,    -1,
    3832,    -1,    -1,   288,   289,    -1,    -1,   457,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,  3849,   303,    -1,
     470,    -1,    -1,    -1,    -1,    -1,  6515,    -1,    -1,    -1,
      -1,    -1,  3864,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6515,    -1,    -1,    -1,  3878,    -1,    -1,    -1,
      -1,    -1,   112,    -1,  3886,    -1,    -1,    -1,    -1,   344,
    6643,  6643,    -1,  6640,    -1,  6640,    -1,    -1,  6640,  6643,
      -1,  6640,    -1,   358,   524,    -1,   361,    -1,  6643,    -1,
    2037,  6643,    -1,    -1,    -1,  3555,  3556,    -1,    -1,  3921,
      -1,    -1,  3924,    -1,  3926,    -1,    -1,    -1,    -1,  3931,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,  6692,
    6692,    -1,    -1,  6636,    -1,  3947,  3948,    -1,  6692,    -1,
      -1,  3953,    -1,    -1,    -1,    -1,    -1,  6692,  6711,  6711,
    6692,  6643,    -1,    -1,    -1,    -1,    -1,  6711,    -1,  6651,
      -1,    -1,  3974,    -1,  6643,  3977,  6711,    -1,  3980,  6711,
      -1,  6640,    -1,    -1,    -1,    -1,  3988,    -1,   218,  3629,
      -1,    -1,  5559,    -1,    -1,   450,    -1,  6640,    -1,    -1,
      -1,   231,    -1,    -1,    -1,    -1,    -1,   237,    -1,    -1,
    6692,  4013,   242,    94,    -1,    -1,    -1,    -1,   248,   100,
      -1,   251,    -1,  6692,    -1,   255,    -1,    -1,    -1,  6711,
      -1,    -1,  6714,    -1,   115,    -1,    -1,    -1,    -1,    -1,
    5999,    -1,  6711,    -1,    -1,    -1,    -1,  4049,  4050,  4051,
      -1,    -1,    -1,    -1,   284,  2182,   286,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   145,    -1,  2193,    -1,    -1,    -1,
      -1,    -1,  4074,    -1,   304,    -1,    -1,    -1,    -1,    -1,
      -1,  4083,  2209,  4085,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4093,    -1,    -1,    -1,   550,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   558,   559,   560,   561,   562,   563,   564,
     565,   566,  4114,  5680,    -1,  5682,    -1,    -1,   573,    -1,
     201,    -1,    -1,   353,    -1,    -1,   356,   208,    -1,    -1,
     211,    -1,   362,    -1,    -1,  2262,    -1,    -1,    80,    -1,
      -1,    83,    -1,    -1,    -1,    87,    88,    89,  6107,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2283,   238,    -1,    -1,
      -1,    -1,   104,    -1,    -1,    -1,    -1,    -1,    -1,  2296,
      -1,    -1,   114,    -1,    -1,    -1,    -1,  4179,    -1,   121,
      -1,  2308,    -1,    -1,    -1,    -1,    -1,  3827,    -1,   419,
    3830,   272,  3832,    -1,    -1,    -1,    -1,    -1,    -1,  4201,
      -1,    -1,    -1,    -1,  4206,   147,    -1,    -1,    -1,    -1,
    4212,    -1,    -1,    -1,    -1,    -1,  3856,  3857,    -1,  4221,
      -1,  2348,  2349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   471,    80,    -1,    -1,    83,  4248,  4249,    -1,    87,
      88,    89,  4254,    -1,  4256,    -1,   337,    -1,    -1,    -1,
     341,    -1,    -1,    -1,    -1,    -1,   104,  4269,    -1,  4271,
     351,    -1,   502,    -1,    -1,    -1,   114,  4279,    -1,   360,
      -1,    -1,    -1,   121,    -1,    -1,    -1,    -1,    -1,  4291,
      -1,   372,    -1,    -1,    -1,    -1,   526,    -1,   528,   529,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4319,    -1,   261,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,    -1,
     411,    -1,    -1,   414,   415,    -1,    -1,    -1,  4340,  4341,
      -1,   571,    -1,   573,   574,    -1,   288,   289,    -1,    -1,
      -1,    -1,  1522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   303,    -1,  4365,   445,    -1,    -1,    -1,    -1,    -1,
      -1,  2498,    -1,    -1,    -1,  1545,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1555,    -1,    -1,    -1,  1559,
      -1,    -1,    -1,  1563,    -1,  1565,    -1,    -1,    -1,  4401,
      -1,  1571,   344,    -1,    -1,    -1,    -1,  1577,    -1,    -1,
    1580,    -1,    -1,    -1,    -1,    -1,   358,    -1,    94,   361,
      -1,  4423,    -1,   261,   100,    -1,    -1,    -1,   266,    -1,
      -1,    -1,   513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4445,    -1,    -1,  4448,    -1,    -1,    -1,
     288,   289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4465,    -1,   303,  4468,    -1,    -1,   145,
      -1,    -1,  4474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4482,    -1,  4484,    -1,    -1,  4487,    -1,    -1,    -1,  4491,
    4492,  4493,  4494,  4495,    -1,    -1,  4498,  4499,  4500,  4501,
    4502,  4503,  4504,  4505,  4506,  4507,   344,    -1,   450,  4511,
    4512,  4513,    73,    -1,  4516,    -1,    -1,    -1,    79,  4521,
     358,    -1,    83,   361,  4526,   201,  4528,    -1,  4530,    -1,
      -1,    -1,   208,    -1,    -1,   211,  4538,    -1,    -1,  4541,
      -1,  4543,    -1,    -1,   107,    -1,    -1,    -1,    -1,   110,
      -1,  4553,    -1,    -1,  4556,  4557,    -1,    -1,    -1,  4561,
    4562,    -1,   238,    -1,    -1,    -1,  4568,    -1,   131,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4578,    -1,    -1,  4581,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4591,
      -1,    -1,    -1,    -1,    -1,   156,   272,    -1,    -1,    -1,
      -1,    -1,    -1,   166,    -1,    -1,    -1,    -1,   550,  4249,
      -1,    -1,   450,    -1,    -1,    -1,   558,   559,   560,   561,
     562,   563,   564,   565,   566,    -1,    -1,    -1,    -1,    -1,
      -1,   573,  4272,    -1,    -1,    -1,  4638,    -1,    94,    -1,
      -1,    -1,    -1,    -1,   100,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4655,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   337,    -1,    -1,   227,   341,    -1,   228,    -1,  4671,
      -1,    -1,    -1,    -1,    -1,   351,    -1,    -1,    -1,    -1,
      -1,  4683,    -1,    -1,   360,    -1,    -1,    -1,    -1,   145,
      -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,
     263,    -1,  4704,    -1,    -1,    -1,    80,    -1,    -1,    83,
      -1,    -1,   550,    87,    88,    89,    -1,    -1,    -1,    -1,
     558,   559,   560,   561,   562,   563,   564,   565,   566,    -1,
     104,   294,    -1,   571,  4374,   411,   299,    -1,   414,   415,
     114,  4381,    -1,    -1,   131,   201,    -1,   121,    -1,    -1,
      -1,    -1,   208,  4755,    -1,   211,    -1,    -1,  4760,  4761,
    4762,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,   445,
      -1,  6338,    -1,   147,    -1,    -1,    -1,    -1,   341,   166,
      -1,    -1,   238,    -1,  4786,  4787,    -1,    -1,    80,    -1,
      -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,
      -1,    -1,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     373,    -1,   104,    -1,  4454,    -1,   272,    -1,    -1,    -1,
      -1,    -1,   114,    -1,    -1,    -1,    -1,    -1,    -1,   121,
    4832,    -1,   393,  4835,    -1,    -1,    -1,   513,    -1,    -1,
     227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   415,    -1,    -1,   147,    -1,   420,    -1,    -1,
      -1,    -1,    -1,   227,    -1,    -1,   429,   428,    -1,    -1,
      -1,    -1,    -1,    -1,   437,    -1,   263,    -1,    -1,    -1,
      -1,   337,   445,    -1,    -1,   341,    -1,   261,    -1,    -1,
      -1,    -1,   266,    -1,   457,   351,    -1,  4899,    -1,   263,
      -1,    -1,    -1,   466,   360,    -1,    -1,   470,    -1,    -1,
      -1,    -1,   299,    -1,   288,   289,   372,    -1,    -1,    -1,
      -1,    -1,    -1,  4925,  4926,    -1,   489,  4929,    -1,   303,
      -1,    -1,    -1,    -1,  4936,   299,    -1,    -1,    -1,    -1,
      -1,  4943,  4944,    -1,    -1,    83,    -1,    -1,    -1,    -1,
     337,  4953,    -1,    -1,   341,   411,   133,    -1,   414,   415,
      -1,   524,    -1,    -1,    -1,   528,    -1,    -1,    -1,   261,
     344,    -1,   110,   337,   266,  4977,  4978,   341,    -1,  4981,
    4982,  4983,    -1,    -1,   358,   372,   373,   361,    -1,   445,
      -1,  4993,    -1,    -1,    -1,    -1,   288,   289,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,   373,
      -1,   303,    -1,    -1,    -1,    -1,    -1,  4657,   156,  5021,
      -1,    -1,    -1,    -1,   411,    -1,    -1,    -1,   415,    -1,
      -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   429,    -1,    -1,    -1,    -1,   411,  5050,    -1,
     437,   415,   344,    -1,    -1,    -1,   420,   513,   445,    -1,
      -1,    -1,  3189,    -1,    -1,   429,   358,   205,  3195,   361,
     457,    -1,    -1,   437,  5076,   213,   450,   215,    -1,   466,
      -1,   445,    -1,   470,    -1,  5087,    -1,    -1,    -1,    -1,
     228,    -1,    -1,   457,    -1,    -1,   107,    -1,    -1,    -1,
      -1,    -1,   466,    -1,    -1,    -1,   470,    -1,    -1,  3236,
      -1,    -1,    -1,  5115,    -1,    -1,  5118,    -1,    -1,    -1,
     131,  4761,    -1,    -1,  5126,  5127,    -1,  5129,    -1,    -1,
      -1,  5133,  5134,    -1,    -1,    -1,  5138,   524,    -1,    -1,
    5142,    -1,    -1,  5145,  5146,    -1,    -1,  4787,  5150,    -1,
      -1,    -1,    -1,    -1,  5156,   166,    -1,  2327,   450,    -1,
     524,  4801,    -1,    -1,    -1,  2335,  5168,    -1,    -1,    -1,
      -1,    -1,  4812,    -1,  5176,    -1,   550,    -1,  5180,    -1,
      -1,    -1,    -1,    -1,   558,   559,   560,   561,   562,   563,
     564,   565,   566,    -1,    -1,    -1,    -1,   571,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5213,    -1,    -1,    -1,    -1,   227,    -1,    -1,  5221,
      -1,    -1,    80,    -1,    -1,    83,  5228,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5246,    -1,   104,    -1,  4888,  4889,
      -1,    -1,   263,    -1,    -1,    -1,   114,    -1,   550,    -1,
      -1,    -1,  5264,   121,    -1,    -1,   558,   559,   560,   561,
     562,   563,   564,   565,   566,  5277,    -1,    -1,    -1,   571,
      -1,    -1,    -1,   294,    -1,    -1,    -1,    80,   299,   147,
      83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,
    5302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   104,    -1,    -1,    -1,    -1,  3443,  5319,    -1,    -1,
      -1,   114,  5324,    -1,    -1,    -1,    -1,    -1,   121,  5331,
     341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4978,    -1,
     901,    -1,    -1,    -1,   905,  5347,    -1,    -1,    -1,    -1,
      -1,    -1,  5354,    -1,   147,    -1,    -1,   918,   919,    -1,
      -1,    -1,   373,  5365,    -1,   926,    -1,   928,   929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   942,  5022,  5023,  5024,  5025,  5026,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5396,    -1,    -1,    -1,    -1,    -1,
     961,    -1,    -1,   261,   415,  5045,    -1,    -1,   266,   420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,   980,
    5422,    -1,    -1,    -1,    -1,   986,   437,    -1,    -1,    -1,
     288,   289,    -1,    -1,   445,    -1,  5438,   998,    -1,    -1,
      -1,  5443,    -1,    -1,    -1,   303,   457,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,    -1,    -1,    -1,   470,
    5462,    -1,    -1,    -1,    -1,    -1,  1027,  5469,   261,    -1,
      -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,   489,    -1,
    1041,  1042,    -1,    -1,    -1,    -1,   344,  1048,    -1,  1050,
    1051,    -1,    -1,    -1,    -1,   288,   289,    -1,    -1,    -1,
     358,    -1,    -1,  1064,    -1,    -1,    -1,    -1,    -1,    -1,
     303,    -1,    -1,   524,  5516,    -1,  5518,   528,    -1,  1080,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,  3656,
      -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,  3671,    -1,    -1,    -1,    -1,  3676,
      -1,   344,   104,    -1,    -1,    -1,    -1,  5559,    -1,    -1,
    5200,    -1,   114,    -1,    -1,   358,    -1,    -1,   361,   121,
      -1,    -1,    -1,    -1,    -1,  5577,    -1,    -1,  5580,    -1,
    1141,  5583,  5584,  5585,    -1,    -1,    -1,    -1,  5228,    -1,
      -1,    -1,   450,    -1,    -1,   147,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5608,  5609,    -1,    -1,
    5612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1181,    -1,    -1,    -1,    -1,  5627,    -1,    -1,    -1,    -1,
      -1,    -1,  5634,    -1,    -1,    -1,    -1,  5639,    -1,    -1,
    5642,  5643,  1203,    -1,    -1,  5285,    -1,  1208,  5650,    -1,
      -1,  5291,    -1,    -1,    -1,  5295,    -1,   450,    -1,  1220,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5671,
      -1,    -1,  5674,    -1,    -1,    -1,    -1,    -1,  5680,    -1,
    5682,    -1,  5322,  5323,  5686,    -1,    80,  5327,  5328,    83,
      -1,    -1,   550,    87,    88,    89,    -1,    -1,    -1,    -1,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   261,
     104,  1272,  1273,    -1,   266,    -1,    -1,    -1,    -1,    -1,
     114,    -1,    -1,    -1,  5726,  5727,    -1,   121,    -1,    -1,
      -1,    -1,   909,    -1,    -1,  5737,   288,   289,    -1,    -1,
      -1,   918,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   926,
      -1,   303,   929,   147,    -1,    -1,    -1,   550,    -1,    -1,
      -1,    -1,    -1,   901,    -1,   558,   559,   560,   561,   562,
     563,   564,   565,   566,    -1,  5777,    -1,    -1,   571,    -1,
    5782,   919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     928,    -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   942,    -1,   358,    94,    -1,   361,
      -1,    -1,    -1,   100,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1383,   961,    94,    -1,    -1,    -1,  1389,    -1,
     100,    -1,  3002,    -1,    -1,    -1,    -1,    -1,    -1,  1400,
      -1,  5843,   980,  1404,  5846,  1406,    -1,    -1,   986,    -1,
      -1,    -1,    -1,  3980,    -1,  1032,    -1,    -1,   145,    -1,
     998,  3988,    -1,    -1,  1041,    -1,    -1,   261,    -1,    -1,
      -1,  1048,   266,    -1,  1051,   145,  5878,    -1,    -1,    -1,
    5882,    -1,  5884,    -1,    -1,    -1,    -1,    -1,    -1,  1027,
      -1,    -1,    -1,    -1,   288,   289,    -1,    -1,   450,    -1,
    5902,    -1,    -1,    -1,  1042,    -1,  5908,    -1,    -1,   303,
    5912,    -1,  1050,    -1,   201,    -1,  5918,  5919,    -1,    -1,
      -1,   208,    -1,    -1,   211,    -1,  1064,    -1,    -1,    -1,
      -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,   208,    -1,
      -1,   211,  1080,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     344,   238,    -1,    -1,    -1,    -1,  4083,    -1,  4085,    -1,
      -1,    -1,    -1,    -1,   358,  5967,    -1,   361,   238,    -1,
    5972,  5973,    -1,    -1,    -1,  5977,    -1,    -1,    -1,    -1,
      -1,  5983,  5984,  5985,    -1,   272,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1557,  5999,   550,    -1,
      -1,    -1,   272,  1141,    -1,    -1,   558,   559,   560,   561,
     562,   563,   564,   565,   566,  5655,    -1,  6019,    -1,   571,
      -1,    -1,    -1,    -1,    -1,  6027,    -1,    -1,  6030,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1179,    -1,  1181,    -1,  1183,    -1,    -1,    -1,    -1,
     337,    -1,  4179,  6055,   341,    -1,   450,    -1,    -1,    73,
      -1,    -1,    -1,    -1,   351,    79,    -1,   337,    -1,    83,
    1208,   341,    -1,   360,    -1,    -1,  1637,    -1,    -1,    -1,
      -1,   351,  1220,  6085,  6086,   372,  5726,    -1,    -1,    -1,
     360,    -1,  1653,    -1,  4221,    -1,   110,    -1,    -1,    -1,
      -1,    -1,   372,    -1,    -1,  6107,  1667,    -1,    -1,  6111,
    1671,    -1,    -1,    -1,    -1,  6117,    -1,    -1,  6120,    -1,
      -1,  6123,    -1,    -1,   411,    -1,    -1,   414,   415,    -1,
      -1,    -1,  6134,    -1,  1272,  1273,    -1,    -1,    -1,  6141,
      -1,   411,   156,    -1,   414,   415,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   550,  6159,   445,    -1,
      -1,    -1,    -1,    -1,   558,   559,   560,   561,   562,   563,
     564,   565,   566,    -1,    -1,   445,    -1,   571,  6180,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   205,  4319,    -1,    -1,    -1,    -1,    -1,    -1,   213,
      -1,   215,    -1,  6205,    -1,  6207,    92,    -1,    -1,    -1,
      -1,    97,    -1,    -1,   228,    -1,    -1,  1394,    -1,  1357,
    1358,    -1,    -1,  1400,    -1,    -1,   513,  1404,    -1,  1406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4365,    -1,
    1801,    -1,    -1,   513,    -1,  1383,    -1,    -1,  1809,  1810,
      -1,  1389,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6261,
      -1,    -1,   148,   149,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1468,    -1,  1470,  1471,    -1,   182,    -1,    -1,    -1,
      -1,  6303,  6304,  6305,    -1,    -1,    -1,  1868,  1869,  1870,
    6312,  6313,    -1,    -1,  6316,    -1,    -1,    -1,    -1,  6321,
     206,  6323,    -1,  6325,    -1,    -1,    -1,    -1,  1889,    -1,
      -1,   217,    -1,  6335,    -1,    -1,  6338,    -1,    -1,    -1,
     226,  4468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6351,
      -1,    -1,    -1,   239,    -1,    -1,    -1,  1918,   244,  5999,
      -1,    -1,  6364,    -1,  4491,  1926,    -1,  3537,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3545,    -1,  1938,    -1,   393,
      -1,    -1,    -1,    -1,   270,    -1,    -1,    -1,    -1,  4516,
      -1,    -1,  3562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3572,  6405,    -1,  3575,    -1,  3577,  3578,   295,
      -1,  3581,    -1,  6415,   428,  3585,    -1,  3587,    -1,  1557,
    3590,  6423,  6424,    -1,    -1,    -1,    -1,  6429,    -1,    -1,
    6432,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6442,    -1,    -1,    -1,    -1,    -1,  6448,    -1,    -1,    -1,
    6452,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,  6107,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   104,    -1,    -1,    -1,  6481,
      -1,    -1,    -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,
      -1,    -1,   121,    -1,    -1,    -1,    -1,  3667,    -1,  1637,
      -1,    -1,    -1,  6505,    -1,    -1,   392,   393,    -1,  6511,
     396,    -1,    -1,    -1,    -1,  1653,    -1,    -1,   147,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6529,    -1,  1667,
      -1,    -1,    -1,  1671,    -1,    -1,    -1,   423,    -1,    -1,
     426,    -1,  6544,    -1,    -1,  6547,   432,  6549,    -1,    -1,
      -1,    -1,    -1,   439,    -1,    -1,   442,  6197,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6572,    -1,    -1,    -1,    -1,   461,  2137,    -1,    -1,    -1,
      -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,   474,    -1,
      -1,   477,    -1,    -1,    -1,   481,    -1,    -1,    -1,    -1,
      -1,  6603,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2170,
     496,    -1,  6614,    -1,    -1,    -1,  6618,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      -1,    -1,   261,    -1,  6636,   100,   522,   266,    -1,    -1,
      -1,  6643,    -1,    -1,  2205,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,
     289,    -1,    -1,  1801,    -1,    -1,    -1,  2228,    -1,    -1,
      -1,  1809,  1810,    -1,   303,  2236,    -1,    -1,  6680,  6681,
     145,    -1,  6684,  2244,    -1,    -1,  6688,    -1,    -1,    -1,
    6692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6701,
    6702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6711,
      -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   358,
    1868,    -1,   361,    -1,    -1,    -1,   201,    -1,    -1,    -1,
      -1,    -1,    -1,   208,    -1,    -1,   211,    -1,    -1,    -1,
      -1,  1889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2321,  2322,    80,  2324,  2325,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,   238,    -1,  2336,    -1,  2338,  2339,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,    -1,    -1,
    2351,  2352,    -1,  3963,    -1,    -1,   114,    -1,    -1,    -1,
    1938,    -1,  4929,   121,    -1,    -1,    -1,   272,    -1,    -1,
      -1,  1949,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,
      -1,   450,    87,    88,    89,    -1,    -1,    -1,    -1,   147,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,
      -1,    -1,    -1,    -1,    -1,    -1,  2407,    -1,    -1,   114,
    2411,  2412,  1990,    -1,    -1,    -1,   121,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4034,    -1,  4036,    -1,    -1,    -1,
      -1,    -1,   337,    -1,    -1,    -1,   341,    -1,    -1,    -1,
      -1,    -1,   147,    -1,    -1,    -1,   351,   901,    -1,    -1,
      -1,   905,    -1,    -1,    -1,   360,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   919,    -1,   372,  2046,    -1,
      -1,    -1,    -1,    -1,   928,    -1,    -1,    -1,    -1,    -1,
      -1,   550,    -1,    -1,    -1,  2063,    -1,    -1,   942,   558,
     559,   560,   561,   562,   563,   564,   565,   566,    -1,    -1,
      -1,    -1,   571,   261,    -1,    -1,   411,   961,   266,   414,
     415,    -1,    -1,    -1,    -1,    -1,    -1,  2518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   980,    -1,    -1,    -1,
     288,   289,   986,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     445,    -1,    -1,    -1,   998,   303,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   261,    -1,    -1,  2137,
      -1,   266,    -1,  6643,    -1,    -1,    -1,    -1,  4178,    -1,
      -1,    -1,    -1,  1027,  4184,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   288,   289,    -1,   344,    -1,  1042,    -1,
      -1,    -1,  2170,    -1,    -1,    -1,  1050,    -1,   303,    -1,
     358,    -1,    -1,   361,    -1,    -1,    -1,    -1,   513,    -1,
    1064,    -1,  6692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   910,   911,    -1,    -1,   914,  1080,  2205,    -1,    -1,
      -1,  6711,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,
      -1,    -1,    -1,    -1,    -1,   934,    -1,    -1,    -1,    -1,
    2228,    -1,   941,   358,    -1,    -1,   361,    -1,  2236,    -1,
    2277,    -1,    -1,  2280,    -1,    -1,  2244,    -1,    -1,    -1,
      94,    -1,    -1,    -1,    -1,    -1,   100,    -1,    -1,    -1,
      -1,   970,    -1,   972,    -1,    -1,   975,  1141,    -1,    -1,
      -1,    -1,   450,    -1,    -1,    -1,    -1,  5264,    -1,    -1,
     989,    -1,    -1,    -1,  2321,  2322,   995,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2336,
      -1,   145,  2339,    -1,    -1,  1179,    -1,  1181,    -1,  1183,
      -1,    -1,    -1,    -1,    -1,  5302,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,  2324,  2325,    -1,  1203,
      -1,    -1,    -1,    -1,  1208,    -1,    -1,  5324,    -1,    -1,
    2338,    -1,    -1,    -1,    -1,    -1,  1220,    -1,    -1,    -1,
      -1,    -1,    -1,  2351,  2352,    -1,    -1,   201,    -1,  4389,
      -1,  4391,    -1,  4393,   208,    -1,    -1,   211,    -1,    -1,
    2407,    -1,   550,    -1,  2411,  2412,    -1,    -1,    -1,    -1,
     558,   559,   560,   561,   562,   563,   564,   565,   566,    -1,
      -1,    -1,    -1,   571,   238,    -1,    -1,    -1,  1272,  1273,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5396,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   550,    -1,    -1,   272,    -1,
      -1,    -1,    -1,   558,   559,   560,   561,   562,   563,   564,
     565,   566,    -1,    -1,    -1,    -1,   571,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,  1357,  1358,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   337,    -1,    -1,   104,   341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   114,   351,    -1,  1383,
      -1,    -1,    -1,   121,    -1,  1389,   360,    -1,    -1,    -1,
    2518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,
      -1,  5518,    -1,    -1,    -1,    -1,    -1,    -1,    80,   147,
      -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   104,    -1,    -1,    -1,    -1,   411,    -1,    -1,
     414,   415,   114,    -1,    -1,    -1,    -1,    -1,    -1,   121,
      -1,    -1,  3003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   445,    -1,    80,    -1,   147,    83,    -1,    -1,    -1,
      87,    88,    89,    -1,    -1,    -1,  1325,  1326,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,    -1,   104,    -1,    87,
      88,    89,    -1,    -1,    -1,    -1,    -1,   114,    -1,    -1,
      -1,    -1,    -1,    -1,   121,    -1,   104,    -1,    -1,    -1,
      -1,    -1,  3073,   261,  3075,    -1,   114,    -1,   266,    -1,
      -1,    -1,    -1,   121,    -1,    -1,    -1,    -1,    -1,   513,
     147,    -1,    -1,    -1,  3095,    -1,    -1,    -1,    -1,    -1,
     288,   289,    -1,  1557,    -1,    -1,    -1,  1396,    -1,   147,
      -1,    -1,    -1,    -1,    -1,   303,    -1,  3118,    -1,    -1,
      -1,    -1,  1411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3136,    -1,    -1,    -1,   261,
    3141,  3142,    -1,    -1,   266,  3146,    -1,    -1,    -1,    -1,
      -1,    -1,  1441,  1442,  3155,    -1,   344,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   288,   289,    -1,    -1,
     358,    -1,  3173,   361,    -1,    -1,    -1,  1466,    -1,    -1,
      -1,   303,    -1,  1637,    -1,    -1,    -1,    -1,    -1,  3190,
      -1,  3192,  3193,    -1,    -1,    -1,    -1,    -1,    -1,  1653,
      -1,    -1,    -1,    -1,   261,    -1,  3207,    -1,    -1,   266,
      -1,    -1,    -1,  1667,    -1,    -1,    -1,  1671,    -1,    -1,
      -1,    -1,   344,   261,    -1,    -1,  3227,  3228,   266,    -1,
      -1,   288,   289,    -1,    -1,    -1,   358,    -1,    -1,   361,
      -1,    -1,    -1,    -1,    -1,    -1,   303,    -1,    -1,    -1,
     288,   289,    -1,    -1,    -1,    -1,    -1,  3258,  3259,    -1,
      -1,  3262,   450,  1552,  1553,   303,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3284,    -1,  3286,    -1,   344,    -1,  3290,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   358,    -1,  3304,   361,    -1,   344,    -1,    -1,    -1,
    3311,    -1,    -1,  3314,    -1,    -1,    -1,    -1,    -1,  3320,
     358,    -1,    -1,   361,    -1,    -1,    -1,    -1,   450,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3340,
      -1,    -1,    -1,    -1,    -1,  3346,    -1,  1801,    -1,    -1,
      -1,  5918,  3353,    -1,    -1,  1809,  1810,    -1,    -1,    -1,
      -1,    -1,   550,    -1,    -1,    -1,  3367,    -1,    -1,    -1,
     558,   559,   560,   561,   562,   563,   564,   565,   566,  3380,
      -1,    -1,    -1,   571,  3385,    -1,    -1,    -1,    -1,    -1,
    3391,    -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,
    5967,    -1,    -1,    -1,    -1,  5972,  5973,    -1,    -1,    -1,
      -1,    -1,   450,    -1,  1868,  1869,  1870,    -1,    -1,    -1,
      -1,    -1,    -1,  5033,    80,    -1,  5036,    83,   550,    -1,
      -1,    87,    88,    89,    -1,  1889,   558,   559,   560,   561,
     562,   563,   564,   565,   566,    -1,    -1,    -1,   104,   571,
    3451,    -1,    -1,  5063,    -1,    -1,    -1,    -1,   114,    -1,
      -1,    -1,    -1,    -1,  1918,   121,    -1,    -1,    -1,    -1,
      -1,    -1,  1926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1938,    -1,    -1,    -1,    -1,    -1,
      -1,   147,    -1,   550,    -1,  1949,    -1,    -1,    -1,    -1,
      -1,   558,   559,   560,   561,   562,   563,   564,   565,   566,
      -1,    -1,   550,    -1,   571,    -1,    -1,  3095,    -1,  6086,
     558,   559,   560,   561,   562,   563,   564,   565,   566,    -1,
      -1,    -1,    -1,   571,    -1,    -1,  1990,    -1,    -1,    -1,
    3118,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,
      -1,    87,    88,    89,    -1,    -1,    -1,    -1,  3136,    -1,
      -1,    -1,    -1,  3141,  3142,    -1,    -1,    -1,  3146,    -1,
    3187,    -1,    -1,  3190,    -1,  3192,  3193,  3155,   114,    -1,
      -1,    -1,    -1,    -1,    -1,   121,    -1,    -1,    -1,    -1,
      -1,    -1,  2046,    -1,    -1,  3173,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,  2063,
     266,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3207,
      -1,    -1,   288,   289,    -1,    -1,    -1,    -1,    -1,  3640,
      -1,    -1,  3220,    -1,    -1,    -1,    -1,   303,    -1,  3227,
    3228,    -1,  5262,    -1,    -1,    -1,    -1,  3658,    -1,    -1,
      -1,    -1,    -1,    -1,  3665,    -1,    -1,    -1,    -1,    -1,
      -1,  3672,    -1,  3674,  3675,    -1,    -1,    -1,    -1,    -1,
    3258,  3259,    -1,  2137,  3262,    -1,    -1,    -1,   344,    -1,
      -1,    -1,    -1,  5303,  5304,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   358,    -1,  1993,   361,  3284,    -1,  3286,    -1,
      -1,    -1,  3290,    -1,    -1,    -1,  2170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   261,  3304,    -1,    -1,  2018,
     266,  3309,    -1,  3311,    -1,    -1,  3314,    -1,  3739,    -1,
      -1,    -1,  3320,    -1,  3745,    -1,    -1,    -1,    -1,  6316,
      -1,  2205,   288,   289,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3340,    -1,    -1,    -1,    -1,   303,  3346,    -1,
      -1,    -1,    -1,    -1,  2228,  3353,    -1,    -1,    -1,    -1,
      -1,    -1,  2236,    -1,    -1,    -1,    -1,  5397,  5398,  3367,
    2244,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3380,    -1,  2093,    -1,    -1,  3385,   344,    -1,
      -1,    80,    -1,  3391,    83,    -1,    -1,    -1,    87,    88,
      89,    -1,   358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3832,    -1,    -1,  2123,  2124,  2125,  2126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,
      -1,    -1,   121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3484,    -1,    -1,
    2324,  2325,    -1,  3451,    -1,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,    -1,  2338,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   550,    -1,    -1,  2351,  2352,  2188,
    2189,    -1,   558,   559,   560,   561,   562,   563,   564,   565,
     566,    -1,    -1,   569,   450,  2204,    -1,    -1,    -1,    -1,
    5530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5541,  5542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3947,  3948,  5558,  2238,
    2239,  2240,  2241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,  3974,    83,    -1,  3977,    -1,    87,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   261,    -1,    -1,   104,    -1,   266,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,
      -1,    -1,   121,    -1,   550,    -1,    -1,    -1,    -1,   288,
     289,    -1,   558,   559,   560,   561,   562,   563,   564,   565,
     566,    -1,    -1,    -1,   303,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4049,  4050,
    4051,    -1,  3669,    -1,    -1,  3672,    -1,  3674,  3675,    -1,
      -1,    -1,  3640,    -1,  2518,    -1,  2355,    -1,    -1,    -1,
      -1,    -1,  2361,  4074,     5,   344,    -1,    -1,    -1,    -1,
    3658,    -1,    -1,    -1,    -1,    -1,    -1,  3665,    -1,   358,
      -1,    -1,  4093,    24,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    34,    35,    -1,    -1,    -1,    39,    -1,
      41,    42,    -1,  4114,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    -1,    75,    76,    -1,    -1,    -1,    -1,
      81,    -1,   261,    -1,    -1,    -1,    -1,   266,    -1,    -1,
      -1,  3739,    -1,    -1,    -1,    -1,    -1,  3745,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,
     289,   450,    -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,
      -1,    -1,    -1,    -1,   303,    -1,    -1,    34,    35,    -1,
    4201,  3818,    -1,    -1,    41,    42,    -1,   138,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    -1,    -1,   344,    73,    -1,    75,    76,
      -1,    -1,    -1,    -1,    81,    -1,    -1,  4248,    -1,   358,
      -1,    -1,   361,  4254,  3832,  4256,    -1,    -1,    -1,    -1,
      -1,  3878,    -1,    -1,    -1,    -1,    -1,  2556,  4269,  3886,
    4271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   550,    -1,    -1,   215,    -1,    -1,    -1,    -1,   558,
     559,   560,   561,   562,   563,   564,   565,   566,    -1,    -1,
      -1,   138,    -1,    -1,   235,    -1,    -1,    -1,    -1,    80,
      -1,    -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,    -1,    -1,
      -1,    -1,  5942,   104,    -1,    -1,    -1,    -1,    -1,  4340,
      -1,   450,    -1,   114,    -1,    -1,    -1,    -1,    -1,    -1,
     121,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3947,
    3948,    -1,    -1,    -1,    -1,    -1,   147,    -1,   215,    -1,
      -1,    -1,    -1,    -1,  5994,    -1,    -1,    -1,    -1,    -1,
     321,    -1,    -1,   324,    80,    -1,  3974,    83,   235,  3977,
    4401,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   346,    -1,    -1,   104,    -1,
      -1,   258,  4423,    -1,    -1,    -1,    -1,    -1,   114,    -1,
      -1,    -1,    -1,    -1,    -1,   121,    -1,    -1,    -1,    -1,
      -1,   550,    -1,    -1,  4445,   282,    -1,  4448,    -1,   558,
     559,   560,   561,   562,   563,   564,   565,   566,    -1,    -1,
      -1,   147,   571,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4049,  4050,  4051,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   321,    -1,    -1,   324,    -1,    -1,
     261,    -1,    -1,    -1,    -1,   266,  4074,    -1,    -1,    -1,
    6110,    -1,    -1,    -1,    -1,   436,    -1,    -1,    -1,   346,
      -1,    -1,    -1,    -1,    -1,  4093,    -1,   288,   289,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4528,    -1,    -1,
      -1,    -1,   303,    -1,    -1,    -1,  4114,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3003,
      -1,    -1,    -1,    -1,    -1,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   502,    -1,   344,    -1,   261,    -1,    -1,    -1,    -1,
     266,    -1,    -1,    -1,    -1,    -1,   517,   358,    -1,    -1,
     361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
      -1,    -1,   288,   289,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   547,   303,    -1,  3073,
      -1,  3075,    -1,  4201,    -1,    -1,    -1,    -1,    -1,   560,
     561,   562,   563,   564,   565,    -1,    -1,   568,   569,   570,
     571,  3095,   573,   574,   575,   576,   577,    -1,    -1,   486,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
      -1,    -1,    -1,    94,  3118,   502,    -1,    -1,    -1,   100,
    4248,    -1,   358,    -1,    -1,   361,  4254,    -1,  4256,   450,
     517,    -1,  3136,    -1,    -1,    -1,    -1,  3141,  3142,    -1,
      -1,  4269,  3146,  4271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3155,    -1,  4704,    -1,    -1,    -1,    -1,    -1,    -1,
     547,    -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,  3173,
    3009,    -1,    -1,   560,   561,   562,   563,   564,   565,    -1,
      -1,   568,   569,   570,    -1,    -1,    -1,    -1,   575,   576,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3207,  4755,    -1,    -1,    -1,    -1,  4760,
      -1,  4762,  4340,    -1,   450,    -1,  3220,    -1,    -1,    -1,
     201,    -1,    -1,  3227,  3228,    -1,    -1,   208,    -1,   550,
     211,    -1,    -1,    -1,    -1,  4786,    -1,   558,   559,   560,
     561,   562,   563,   564,   565,   566,    -1,    -1,    -1,    -1,
     571,    -1,    -1,    -1,  3258,  3259,    -1,   238,  3262,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4401,    -1,    -1,    -1,    -1,    -1,    -1,
    3284,  4832,  3286,    -1,  4835,    -1,  3290,    -1,    -1,    -1,
      -1,   272,    -1,    -1,    -1,  4423,    -1,    -1,    -1,    -1,
    3304,    -1,    -1,    -1,  6464,  3309,    -1,  3311,    -1,    -1,
    3314,    -1,    -1,    -1,   550,    -1,  3320,  4445,    -1,    -1,
    4448,    -1,   558,   559,   560,   561,   562,   563,   564,   565,
     566,    -1,    -1,    -1,    -1,   571,  3340,    -1,    -1,    -1,
      -1,    -1,  3346,    -1,    -1,    -1,    -1,    -1,    -1,  3353,
      -1,    -1,    -1,    -1,    -1,    -1,   337,  3196,    -1,    -1,
     341,    -1,    -1,  3367,    -1,    -1,    -1,    -1,    -1,    -1,
     351,    -1,    -1,   110,  4925,  4926,  3380,    -1,    -1,   360,
      -1,  3385,    -1,    -1,    -1,  4936,    80,  3391,    -1,    83,
      -1,   372,    -1,    87,    88,    89,   133,    -1,    -1,    -1,
    4528,    -1,  4953,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     104,  4578,    -1,    -1,  4581,    -1,    -1,    -1,    -1,   156,
     114,    -1,    -1,    -1,    -1,    -1,    -1,   121,    -1,    -1,
     411,    -1,    -1,   414,   415,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3451,    -1,    -1,
      -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   445,    -1,    -1,    -1,   205,    -1,
    5021,    -1,    -1,    -1,    -1,    -1,   213,    -1,   215,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   228,    -1,  3332,    -1,    -1,  3335,    -1,    -1,  5050,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4683,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,   513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,
      12,    -1,    14,    -1,    16,    17,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    27,    -1,   261,    -1,    -1,
      -1,    -1,   266,    -1,    -1,    -1,  4704,   218,    -1,    -1,
      -1,    43,    44,    -1,  3423,    -1,    -1,    -1,    -1,    -1,
     231,    -1,    -1,    -1,   288,   289,   237,  3436,    -1,    -1,
      -1,   242,    -1,    -1,    -1,  3444,    -1,   248,    -1,   303,
     251,    -1,    -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4755,    90,    -1,
      -1,    -1,  4760,    -1,  4762,    -1,  3640,    -1,   100,    -1,
     102,   103,    -1,   284,  3483,    -1,    -1,    -1,    -1,    -1,
     344,    -1,    -1,    -1,  3658,    -1,    -1,    -1,  4786,    -1,
      -1,  3665,    -1,   304,   358,  3504,    -1,   361,   130,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,   144,   145,    -1,    -1,    -1,    -1,    -1,   151,
      -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   165,  4832,   167,    -1,  4835,    -1,    -1,
      -1,    -1,   353,    -1,    -1,   356,    -1,    -1,    -1,    -1,
     182,   362,   184,    -1,    -1,   187,  5277,    -1,    -1,  3568,
      -1,  3570,    -1,    -1,    -1,  3739,    -1,    -1,    -1,    -1,
     202,  3745,   204,    -1,    -1,    -1,   208,    -1,    -1,    -1,
      -1,    -1,   214,    -1,    -1,    -1,   450,    -1,    -1,    -1,
     222,    -1,   224,    -1,    -1,    -1,    -1,    -1,  5319,   231,
      -1,    -1,    -1,    -1,    -1,    -1,  4943,  4944,   419,    -1,
    5331,    -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4925,  4926,    -1,
      -1,    -1,    -1,   265,    -1,    -1,    -1,    -1,  4936,    -1,
      -1,    -1,    -1,    -1,  5365,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4953,    -1,    -1,  3832,    -1,
      -1,  3670,    -1,   474,    -1,    -1,    -1,    -1,  3677,    -1,
      -1,    -1,    -1,   305,   306,    -1,    -1,    -1,    -1,   311,
      -1,    -1,    -1,    -1,    -1,    -1,   550,    -1,    -1,    -1,
      -1,   502,    -1,   325,   558,   559,   560,   561,   562,   563,
     564,   565,   566,    -1,    -1,    80,    -1,   571,    83,    -1,
      -1,   343,    87,    88,    89,   526,    -1,   528,   529,    -1,
      -1,    -1,  5443,    -1,    -1,    -1,    -1,    -1,    -1,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    92,   114,
      -1,  5462,    -1,    97,    -1,    -1,   121,    -1,    -1,    -1,
      -1,    -1,  5050,    -1,    -1,   387,    -1,   568,    -1,    -1,
     571,   572,    -1,   574,    -1,    -1,    -1,    -1,    -1,   401,
      -1,    -1,   147,  3947,  3948,   407,   408,    -1,   410,    -1,
      -1,   135,    -1,   415,    -1,    -1,   418,    -1,    -1,   421,
      -1,    -1,   424,    -1,   148,    -1,    -1,    -1,    -1,   431,
    3974,    -1,    -1,  3977,    -1,   437,   438,    -1,    -1,    -1,
     164,    -1,    -1,   445,    -1,    -1,    -1,   449,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   459,   182,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5559,  5176,
      -1,    -1,   474,  5180,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   494,   217,   496,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   226,   505,    -1,  4049,  4050,  4051,    -1,   511,
      -1,    -1,    -1,    -1,   516,   239,   261,    -1,    -1,    -1,
     244,   266,    -1,    -1,    -1,    -1,    -1,   529,    -1,    -1,
    4074,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   288,   289,    -1,   270,    -1,    -1,  4093,
     552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   570,    -1,
    4114,    -1,   574,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5680,
      -1,  5682,    -1,   317,    -1,    -1,   167,    -1,    -1,   344,
      -1,    -1,    -1,    -1,  3983,  3984,    -1,    -1,    -1,  5277,
      -1,    -1,    -1,   358,    -1,    -1,   361,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   901,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   909,    -1,   358,    -1,  5727,    -1,    -1,    -1,
      -1,   918,    -1,    -1,    -1,    -1,  5737,   218,    -1,   926,
      -1,  5319,   929,    -1,    -1,    -1,    -1,  4201,    -1,    -1,
     231,    -1,    -1,  5331,    -1,    -1,   237,    -1,   392,   393,
      -1,   242,   396,    -1,    -1,    -1,    -1,   248,    -1,    -1,
     251,    -1,    -1,    -1,   255,    -1,  5777,    -1,    -1,    -1,
      -1,  5782,    -1,    -1,    -1,    -1,    -1,  5365,    -1,   423,
      -1,    -1,   426,    -1,  4248,   450,    -1,    -1,   432,    -1,
    4254,    -1,  4256,   284,    -1,   439,    -1,    -1,   442,    -1,
      -1,    -1,    -1,    -1,    -1,  4269,    -1,  4271,    -1,    -1,
      -1,  5438,    -1,   304,    -1,    -1,    -1,   461,    -1,    -1,
      -1,    -1,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,
     474,    -1,    -1,   477,    -1,  1032,    -1,   481,    -1,    -1,
    1037,    -1,  5469,    -1,  1041,   489,    -1,    -1,    -1,    -1,
      -1,  1048,   496,    -1,  1051,  5443,    -1,    -1,    -1,    -1,
      -1,    -1,   353,    -1,    -1,   356,  1063,    -1,    -1,    -1,
      -1,   362,    -1,    -1,  5462,    -1,  4340,    -1,   522,    -1,
      -1,    80,    -1,    -1,    83,   550,    -1,    -1,    87,    88,
      89,    -1,    -1,   558,   559,   560,   561,   562,   563,   564,
     565,   566,    -1,    -1,    -1,   104,   571,    -1,    -1,    -1,
      80,    -1,    -1,    83,    -1,   114,    -1,    87,    88,    89,
      -1,    -1,   121,    -1,  4223,    -1,    -1,    -1,   419,    -1,
      -1,    -1,    -1,    -1,   104,    -1,    -1,  4401,    -1,    -1,
      -1,    -1,    -1,    -1,   114,    -1,    -1,    -1,   147,    -1,
      -1,   121,    -1,    -1,    -1,    80,    -1,    -1,    83,  4423,
      -1,    -1,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,  5559,    -1,    -1,  5985,  1172,  1173,   147,    -1,   104,
      -1,  4445,  1179,   474,  4448,    -1,  1183,    -1,  5999,   114,
      -1,    -1,    -1,    -1,    -1,    -1,   121,    -1,    -1,    -1,
    5627,    -1,    -1,    -1,    -1,    -1,    -1,  5634,    -1,    -1,
      -1,   502,  5639,  1210,    -1,  5642,  5643,    -1,    -1,  6030,
      -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,    -1,   528,   529,    -1,
      -1,    -1,    -1,    -1,  5671,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5686,
      -1,    -1,   261,    -1,  4528,    -1,    -1,   266,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   568,    -1,    -1,
     571,   572,    -1,   574,    -1,    -1,    -1,    -1,    -1,   288,
     289,   261,  5680,    -1,  5682,    -1,   266,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   303,  4404,    -1,    -1,    -1,    -1,
    5737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,   289,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   303,    -1,    -1,   261,    -1,    -1,  5727,
      -1,   266,    -1,    -1,    -1,   344,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5782,    -1,    -1,    -1,   358,
    1357,  1358,   361,   288,   289,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   344,    -1,    -1,    -1,   303,    -1,
      -1,    -1,    -1,    -1,  1381,  1382,  1383,    -1,   358,  5777,
      -1,   361,    -1,    -1,  6205,    -1,  6207,  1394,    -1,    -1,
      -1,    -1,  1399,  1400,    -1,    -1,    -1,  1404,    -1,  1406,
      -1,    -1,    -1,  1410,    -1,    -1,  5843,    -1,    -1,   344,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1426,
      -1,    -1,    -1,   358,    -1,    -1,   361,    -1,    -1,    -1,
    4704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1468,    -1,  1470,  1471,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,    -1,    -1,  5912,    -1,    -1,    -1,    -1,
      -1,  4755,    -1,    -1,    -1,    -1,  4760,    -1,  4762,    -1,
      -1,    -1,  6313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1517,    -1,  4786,    -1,    -1,   450,    -1,  6338,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   550,    -1,  6364,    -1,    -1,    -1,    -1,    -1,   558,
     559,   560,   561,   562,   563,   564,   565,   566,  4832,    -1,
      -1,  4835,   571,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,   559,
     560,   561,   562,   563,   564,   565,   566,  5985,    -1,  1596,
    6027,   571,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5999,  6423,  6424,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   550,    -1,    -1,  6055,    -1,
      -1,    -1,    -1,   558,   559,   560,   561,   562,   563,   564,
     565,   566,  6030,    -1,    -1,    -1,   571,    -1,    -1,    -1,
      80,    -1,    -1,    83,  1651,    -1,    -1,    87,    88,    89,
      -1,  4925,  4926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6481,    -1,  4936,    -1,   104,    -1,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,   114,  1682,    -1,    -1,    -1,  4953,
      -1,   121,    -1,  6120,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1712,    -1,   147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6159,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1740,  1741,  1742,    80,  1744,    -1,    83,
      -1,    -1,    -1,    87,    88,    89,    -1,  5021,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1764,   198,    -1,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     114,    -1,   167,    -1,  4883,    -1,  5050,   121,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4897,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   147,    -1,    -1,    -1,  6205,    -1,  6207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      -1,   261,  6643,   218,  6261,   100,   266,    -1,    -1,    -1,
      -1,    -1,   107,    -1,    -1,  1842,   231,    -1,    -1,  1846,
    1847,    -1,   237,    -1,    -1,    -1,    -1,   242,   288,   289,
      -1,    -1,    -1,   248,   129,  1862,   251,    -1,    -1,    -1,
     255,    -1,    -1,   303,    -1,    -1,    -1,    -1,    -1,    -1,
     145,  6692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,
    6701,  6702,    83,    -1,    -1,    -1,    87,    88,    89,   284,
    6711,    -1,    -1,   237,    -1,    -1,    -1,    -1,   242,    -1,
      -1,    -1,    -1,   104,   344,   180,    -1,    -1,    -1,   304,
      -1,    -1,    -1,   114,  6351,  6313,    -1,   261,   358,    -1,
     121,   361,   266,    -1,    -1,  1932,   201,    -1,    -1,    -1,
      -1,  1938,    -1,   208,    -1,    -1,   211,    -1,    -1,    -1,
    6338,    -1,  1949,    -1,   288,   289,   147,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   353,   303,
      -1,   356,    -1,   238,    -1,    -1,  6364,   362,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6415,    -1,
      -1,    -1,    -1,  1990,    -1,    -1,  6423,  6424,    -1,    -1,
      -1,    -1,    -1,  2000,   269,    -1,    -1,   272,    -1,    -1,
     344,    -1,    -1,  5277,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,    -1,   358,    -1,    -1,   361,    -1,    -1,
      -1,    -1,    -1,    -1,   419,    -1,    -1,    -1,    -1,    -1,
    2037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,  2046,
      -1,    -1,    -1,   318,    -1,  5319,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2063,  5331,    -1,    -1,
     261,    -1,   337,  2070,    -1,   266,   341,    -1,  6505,    -1,
     510,    -1,    -1,    -1,  6511,    -1,   351,    -1,    -1,   474,
      -1,    -1,    -1,  6481,    -1,   360,    -1,   288,   289,    -1,
      -1,  5365,  6529,    -1,    -1,    -1,   371,   372,    -1,    -1,
      -1,    -1,   303,    -1,    -1,    -1,   450,   502,    -1,    -1,
     550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,   559,
     560,   561,   562,   563,   564,   565,   566,    -1,    -1,    -1,
      -1,   526,    -1,   528,   529,    -1,   411,    -1,    -1,   414,
     415,   416,    -1,   344,    -1,    -1,  2153,  2154,  2155,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,
     361,    -1,    -1,    -1,   439,    -1,    -1,    -1,    -1,  5443,
     445,    -1,    -1,   568,    -1,  2182,   571,   572,    -1,   574,
      -1,  6618,    -1,    -1,   459,   386,  2193,    -1,  5462,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2205,  6636,
      -1,    -1,  2209,    -1,    -1,    -1,   550,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   558,   559,   560,   561,   562,   563,
     564,   565,   566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   506,    -1,    -1,    -1,    -1,    -1,    -1,   513,    -1,
      -1,    -1,    -1,    -1,  6681,  6643,    -1,    -1,    -1,   450,
      -1,  6688,    -1,    -1,    -1,  2262,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6701,  6702,   467,  5376,    -1,    -1,
    2277,    -1,    -1,  2280,    -1,    -1,  2283,    -1,    -1,    -1,
      -1,    -1,  5391,  2290,    -1,  5559,    -1,    -1,    -1,  2296,
      -1,    -1,    -1,    -1,  6692,    -1,    -1,    -1,    -1,    -1,
      -1,  2308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6711,  2321,  2322,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2336,
      -1,    -1,  2339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2348,  2349,    -1,    -1,    -1,    -1,    -1,    -1,   550,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,   559,   560,
     561,   562,   563,   564,   565,   566,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5482,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    12,    -1,    14,    -1,    16,    17,    -1,    -1,
    2407,    -1,    -1,    -1,  2411,  2412,  5680,    27,  5682,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    43,    44,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2448,  2449,    -1,    -1,    -1,    -1,  2454,  2455,    -1,
      -1,    -1,    -1,  5727,  2461,  2462,  2463,    -1,    -1,  2466,
      -1,  2468,    -1,  2470,  2471,  2472,  2473,  2474,  2475,    -1,
      90,  2478,    -1,  2480,  2481,    -1,    -1,  2484,    -1,    -1,
     100,    -1,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2498,  2499,  2500,  2501,    -1,    -1,    -1,    -1,    -1,
     120,    -1,    -1,  5777,    -1,    -1,    -1,    -1,    -1,  2516,
     130,  2518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   144,   145,    -1,    -1,    -1,    -1,
      -1,   151,    -1,   153,    80,    -1,    -1,    83,    -1,    -1,
      -1,    87,    88,    89,    -1,   165,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,
      -1,    -1,   182,    -1,   184,    -1,    -1,   187,   114,    -1,
      -1,    -1,    -1,    -1,    -1,   121,    -1,    -1,    -1,  5688,
      -1,  5690,   202,    -1,   204,    -1,    -1,    -1,   208,    -1,
      -1,    -1,    -1,    -1,   214,    -1,    -1,    -1,    -1,    -1,
      -1,   147,   222,    -1,   224,    -1,    -1,    -1,    -1,    -1,
      -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,    -1,    -1,   248,    87,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   265,   104,    -1,    -1,   107,
      -1,    -1,  2659,    -1,    -1,    -1,   114,    -1,    -1,    -1,
      -1,    -1,    -1,   121,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   305,   306,    -1,    -1,   147,
     236,   311,  2699,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,    -1,    -1,
      -1,  5985,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,
     266,    -1,    -1,   343,    -1,  5999,    -1,    -1,    -1,    -1,
      -1,    -1,  5841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   288,   289,    -1,  2752,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6030,   303,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   387,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   401,    -1,    -1,    -1,    -1,    -1,   407,   408,    -1,
     410,    -1,    -1,    -1,    -1,   415,    -1,    -1,   344,    -1,
      -1,   421,    -1,   261,   424,    -1,    -1,    -1,   266,    -1,
      -1,   431,   358,    -1,    -1,   361,    -1,   437,   438,    -1,
      -1,    -1,    -1,    -1,    -1,   445,    -1,    -1,    -1,   449,
     288,   289,    -1,    -1,    -1,    -1,    -1,    -1,   384,   459,
      -1,    -1,    -1,    -1,    -1,   303,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,    -1,   496,    -1,    -1,    -1,
    5989,    -1,  5991,    -1,    -1,   505,   344,    -1,    -1,    -1,
      -1,   511,    -1,    -1,    -1,    -1,   516,    -1,    -1,    -1,
     358,    -1,    -1,   361,   450,    -1,    -1,    -1,    -1,   529,
      -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,
    2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,    -1,
    2937,  6205,   552,  6207,    24,    -1,    -1,    -1,    -1,    -1,
    2947,    -1,    -1,  2950,    34,    35,    -1,    -1,    -1,    -1,
     570,    41,    42,    -1,   574,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    75,    76,    -1,    -1,    -1,
      -1,    81,   450,    -1,    -1,    -1,    -1,    -1,    -1,  3006,
      -1,    -1,    -1,  3010,   550,    -1,  3013,    -1,  3015,    -1,
      -1,  3018,   558,   559,   560,   561,   562,   563,   564,   565,
     566,    -1,    -1,    -1,    -1,    -1,  3033,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3042,  3043,    -1,    -1,  6313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6338,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6364,    -1,   550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     558,   559,   560,   561,   562,   563,   564,   565,   566,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3125,    -1,
      -1,    -1,  3129,  3130,    -1,   215,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3141,    -1,    -1,  6246,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,  3176,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3187,    -1,  3189,  3190,    -1,  3192,  3193,    -1,  3195,    -1,
      -1,    -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6481,    -1,    -1,
      -1,    -1,    -1,  3220,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3236,
      -1,   321,    -1,    -1,   324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3258,    -1,    -1,    -1,  3262,   346,  6366,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,  3286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3309,    34,    35,    -1,    -1,    -1,    -1,    -1,
      41,    42,    -1,    -1,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    75,    76,   436,    -1,    -1,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6475,    -1,    -1,  6643,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3385,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   486,  6506,  6507,    -1,
      -1,    -1,  3409,  3410,  3411,    -1,    -1,   138,  3415,    -1,
      -1,    -1,   502,    -1,    -1,    -1,    -1,    -1,  6692,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3442,  3443,  6711,    -1,    -1,
      -1,    -1,    -1,    -1,  3451,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   547,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     560,   561,   562,   563,   564,   565,    -1,  3484,   568,   569,
     570,   571,    -1,    -1,   215,   575,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,  3516,
      -1,    -1,    -1,  3520,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6633,    -1,    -1,   258,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3542,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     321,    -1,    -1,   324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    34,    35,    -1,    -1,   346,    -1,    -1,    41,    42,
      -1,    -1,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    -1,    -1,  3656,
      73,    -1,    75,    76,    -1,    -1,    -1,    -1,    81,    -1,
      -1,    -1,  3669,    -1,  3671,  3672,    -1,  3674,  3675,  3676,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3684,    -1,    -1,
      -1,    -1,  3689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,    -1,    -1,  3715,  3716,
    3717,    -1,    -1,  3720,    -1,   138,    -1,    -1,    -1,    -1,
      -1,  3728,  3729,  3730,  3731,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3739,    -1,    -1,    -1,    -1,  3744,  3745,    -1,
    3747,    80,  3749,    -1,    83,    -1,    -1,    -1,    87,    88,
      89,    -1,    -1,  3760,  3761,   486,    -1,  3764,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   104,    -1,    -1,    -1,    -1,
      -1,   502,    -1,    -1,    -1,   114,  3783,    -1,  3785,    -1,
    3787,    80,   121,    -1,    83,    -1,   517,    -1,    87,    88,
      89,    -1,   215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3807,    -1,    -1,    -1,    -1,   104,    -1,    -1,   147,    -1,
      -1,  3818,   235,    -1,    -1,   114,   547,    -1,    -1,    -1,
      -1,    -1,   121,    -1,    -1,    -1,    -1,    -1,    -1,   560,
     561,   562,   563,   564,   565,   258,    -1,   568,   569,   570,
     571,    -1,  3849,    -1,   575,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3864,    -1,   282,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3886,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,
      -1,    87,    88,    89,    -1,    -1,    -1,    -1,   321,    -1,
      -1,   324,    -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,
      -1,   107,    -1,    -1,  3921,    -1,    -1,  3924,   114,  3926,
      -1,    -1,   261,   346,  3931,   121,    -1,   266,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   242,    -1,    -1,  3953,    -1,    -1,   288,
     289,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   261,    -1,   303,    -1,    -1,   266,    80,    -1,
      -1,    83,    -1,  3980,    -1,    87,    88,    89,    -1,    -1,
      -1,  3988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,
     289,    -1,   104,    -1,    -1,   107,    -1,    -1,    -1,    -1,
      -1,    -1,   114,    -1,   303,   344,  4013,    -1,    -1,   121,
      -1,    -1,    -1,   436,    -1,    -1,    -1,    -1,    -1,   358,
      -1,    -1,   361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,
      -1,   380,  4049,  4050,  4051,   344,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   358,
      -1,    -1,   361,   486,    -1,   261,    -1,    -1,    -1,    -1,
     266,    -1,    -1,    -1,    -1,    -1,  4083,    -1,  4085,   502,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   288,   289,   517,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,    -1,    -1,
      -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   547,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   560,   561,   562,
     563,   564,   565,    -1,    -1,   568,   569,   570,   344,   261,
      -1,   450,   575,    -1,   266,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   358,    -1,    -1,   361,    -1,    -1,    -1,    -1,
      -1,    -1,  4179,    -1,    -1,    -1,   288,   289,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4206,
      -1,    -1,    -1,    -1,    -1,  4212,    -1,    -1,    -1,    -1,
      -1,   550,    -1,    -1,  4221,    -1,    -1,    -1,    -1,   558,
     559,   560,   561,   562,   563,   564,   565,   566,    -1,    -1,
      -1,    -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4248,  4249,    -1,    -1,    -1,   358,    -1,    -1,   361,
      -1,   550,    -1,    -1,   450,    -1,    -1,    -1,    -1,   558,
     559,   560,   561,   562,   563,   564,   565,   566,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4291,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4341,    -1,    -1,    -1,   450,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   550,    -1,    -1,    -1,  4365,    -1,
      -1,    -1,   558,   559,   560,   561,   562,   563,   564,   565,
     566,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,   104,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,    -1,   114,    -1,    -1,    -1,
      -1,    -1,    -1,   121,    -1,    -1,   104,    -1,    -1,   107,
      -1,    -1,    -1,    -1,    -1,    -1,   114,    -1,    -1,    -1,
      -1,    -1,    -1,   121,    -1,    -1,    -1,    -1,   550,   147,
      -1,    -1,    -1,    -1,    -1,    -1,   558,   559,   560,   561,
     562,   563,   564,   565,   566,    -1,    -1,    -1,  4465,   147,
      -1,  4468,    -1,    -1,    -1,    -1,    -1,  4474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4482,    -1,  4484,    -1,    -1,
    4487,    -1,    -1,    -1,  4491,  4492,  4493,  4494,  4495,    -1,
      -1,  4498,  4499,  4500,  4501,  4502,  4503,  4504,  4505,  4506,
    4507,    -1,    -1,    -1,  4511,  4512,  4513,    -1,    -1,  4516,
      -1,    -1,    -1,    -1,  4521,    -1,    -1,    -1,    -1,  4526,
      -1,  4528,    -1,  4530,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4538,    -1,    -1,  4541,    80,  4543,    -1,    83,    -1,
      -1,    -1,    87,    88,    89,    -1,  4553,    -1,    -1,  4556,
    4557,    -1,    -1,   261,  4561,  4562,    -1,    -1,   266,   104,
      -1,  4568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,
      -1,  4578,    -1,   261,  4581,    -1,   121,    -1,   266,    -1,
     288,   289,    -1,    -1,  4591,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   303,    -1,    -1,    -1,    -1,
     288,   289,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   303,    -1,    -1,    -1,    -1,
      80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,    89,
      -1,  4638,    -1,    -1,    -1,    -1,   344,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   104,    -1,    -1,    -1,  4655,    -1,
     358,    -1,    -1,   361,   114,    -1,   344,    -1,    -1,    -1,
      -1,   121,    -1,    -1,  4671,    -1,    -1,    -1,    -1,    -1,
     358,    -1,    -1,   361,    -1,    -1,  4683,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,
      -1,    87,    88,    89,    -1,    -1,   261,    -1,    -1,    -1,
      -1,   266,    -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,    -1,
      -1,    -1,   450,   288,   289,   121,    -1,    -1,  4755,    -1,
      -1,    -1,    -1,  4760,  4761,  4762,    -1,    -1,   303,    -1,
      -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   147,    -1,    -1,   482,    -1,    -1,    -1,    -1,  4786,
    4787,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,
      -1,   261,    -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,
      -1,    -1,    -1,   358,    -1,    -1,   361,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,   289,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   550,   303,    -1,    -1,    -1,    -1,    -1,    -1,
     558,   559,   560,   561,   562,   563,   564,   565,   566,    -1,
      -1,   237,   550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     558,   559,   560,   561,   562,   563,   564,   565,   566,    -1,
      -1,    -1,    -1,    -1,   344,   261,    -1,    -1,    -1,    -1,
     266,    -1,  4899,    -1,    -1,    -1,    -1,    -1,   358,    -1,
      -1,   361,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,
      -1,    -1,   288,   289,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4929,    -1,    -1,    -1,    -1,   303,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4943,  4944,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,
      87,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,   344,    -1,
      -1,  4978,    -1,    -1,  4981,  4982,  4983,   114,    -1,    -1,
      -1,    -1,   358,    -1,   121,   361,  4993,    -1,    -1,    -1,
     450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   550,    -1,    -1,    -1,    -1,
     147,    -1,    -1,   558,   559,   560,   561,   562,   563,   564,
     565,   566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,
      83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5076,
      -1,   104,    -1,    -1,   450,    -1,    -1,    -1,    -1,   216,
    5087,   114,    -1,    -1,    -1,    -1,    -1,    -1,   121,    -1,
     550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,   559,
     560,   561,   562,   563,   564,   565,   566,    -1,  5115,    -1,
      -1,  5118,    -1,    -1,   147,    -1,    -1,    -1,    -1,  5126,
    5127,    -1,  5129,    -1,   261,    -1,  5133,  5134,    -1,   266,
      -1,  5138,    -1,    -1,    -1,  5142,    -1,    -1,  5145,  5146,
      -1,    -1,    -1,  5150,    -1,    -1,    -1,    -1,    -1,  5156,
      -1,   288,   289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5168,    -1,    -1,    -1,    -1,   303,    -1,    -1,  5176,
      -1,    -1,    -1,  5180,   550,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   558,   559,   560,   561,   562,   563,   564,   565,
     566,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,
      89,    -1,    -1,   133,    -1,    -1,  5213,   344,    -1,    -1,
      80,    -1,    -1,    83,  5221,   104,    -1,    87,    88,    89,
      -1,   358,    -1,    -1,   361,   114,    -1,    -1,   261,    -1,
      -1,    -1,   121,   266,   104,   165,    -1,    -1,    -1,  5246,
      -1,    -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,    -1,
     180,   121,    -1,    -1,    -1,   288,   289,  5264,   147,   189,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     303,    -1,    -1,    -1,   204,    -1,   206,   147,    -1,    -1,
     210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     220,    -1,    -1,    -1,    -1,  5302,    -1,    -1,    -1,   229,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,   450,    -1,    -1,    -1,  5324,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,   361,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5347,    -1,    -1,    -1,    -1,    -1,    -1,  5354,   237,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   261,    -1,    -1,    -1,    -1,   266,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5396,
      -1,   261,    -1,    -1,    -1,    -1,   266,    -1,    -1,   288,
     289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   550,   303,  5422,    -1,   450,   288,   289,
      -1,   558,   559,   560,   561,   562,   563,   564,   565,   566,
      -1,  5438,    -1,   303,    -1,    -1,  5443,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,    -1,    -1,
      -1,    -1,  5469,    -1,    -1,    -1,    -1,    -1,    -1,   358,
      -1,    -1,   361,    -1,   344,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,
      -1,   361,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    92,    -1,    -1,    -1,    -1,    -1,  5516,
      -1,  5518,    -1,    -1,    -1,    -1,    -1,   550,    -1,    -1,
      -1,   110,    -1,    -1,    -1,   558,   559,   560,   561,   562,
     563,   564,   565,   566,    -1,    -1,    -1,    -1,    -1,    94,
      -1,    -1,    -1,    -1,    -1,   100,   135,    -1,    -1,    -1,
      -1,    -1,   107,    -1,    -1,    -1,    -1,    -1,    -1,   148,
      -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5577,    -1,    -1,  5580,   129,   164,  5583,  5584,  5585,    -1,
     450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     145,    -1,    -1,   182,    -1,    -1,    -1,    -1,    -1,   188,
      -1,  5608,  5609,    -1,    -1,  5612,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,
    5627,    -1,    -1,    -1,    -1,   180,    -1,  5634,   217,    -1,
      -1,    -1,  5639,    -1,    -1,  5642,  5643,   226,    -1,    -1,
      -1,    -1,    -1,  5650,    -1,    -1,   201,    -1,    -1,    -1,
     239,    -1,    -1,   208,    -1,    -1,   211,    -1,   247,    -1,
      -1,   550,   251,    -1,  5671,    -1,    -1,  5674,    -1,   558,
     559,   560,   561,   562,   563,   564,   565,   566,    -1,  5686,
     550,   270,    -1,   238,    -1,    -1,    -1,    -1,   558,   559,
     560,   561,   562,   563,   564,   565,   566,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   269,    -1,    -1,   272,   307,  5726,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   317,    -1,
    5737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,
      -1,    -1,    -1,   318,    -1,    -1,    -1,   322,    -1,   358,
    5777,    -1,   361,    -1,    -1,  5782,    -1,    -1,    -1,    -1,
      -1,    -1,   337,    -1,    -1,    -1,   341,    -1,    -1,    -1,
      -1,    -1,    -1,   382,    -1,  1037,   351,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   360,    -1,   396,    -1,    -1,
      -1,    -1,    -1,    -1,   403,    -1,   371,   372,    -1,    -1,
      -1,  1063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   423,    -1,  5843,    -1,    -1,  5846,
      -1,    -1,    -1,   432,    -1,    -1,    -1,    -1,    -1,    -1,
     439,    -1,    -1,   442,    -1,    -1,   411,    -1,    -1,   414,
     415,   416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5878,   461,    -1,    -1,  5882,    -1,  5884,    -1,   468,
      -1,    -1,    -1,    -1,   439,   474,    -1,    -1,   477,   478,
     445,   480,   481,    -1,    -1,  5902,    -1,    -1,    -1,    -1,
      -1,  5908,    -1,    -1,   459,  5912,    -1,   496,    -1,    -1,
      -1,  5918,  5919,    -1,   503,    -1,    -1,   506,    -1,    -1,
     509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   506,    -1,    -1,    -1,    -1,    -1,    -1,   513,    -1,
    5967,    -1,    -1,    -1,    -1,  5972,  5973,    -1,    -1,    -1,
    5977,    -1,    -1,    -1,    -1,    -1,  5983,  5984,    -1,   909,
     910,   911,    -1,    -1,   914,    -1,    -1,    -1,   918,    -1,
     920,    -1,    -1,   923,    -1,    -1,   926,    -1,    -1,   929,
      -1,    -1,   932,    -1,   934,    -1,    -1,   937,    -1,    -1,
      -1,   941,  6019,   943,    -1,    -1,    -1,    -1,    -1,    -1,
    6027,    -1,    -1,  6030,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   962,    -1,    -1,    -1,    -1,    -1,   968,    -1,
     970,    -1,   972,    -1,    -1,   975,    -1,    -1,  6055,    -1,
      -1,    -1,   982,    -1,    -1,    -1,    -1,   987,    -1,   989,
      -1,    -1,    -1,    -1,    -1,   995,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6085,  6086,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1032,    -1,  6111,    -1,    -1,    -1,    -1,    -1,
    6117,  1041,    -1,  6120,    -1,  1045,  6123,    -1,  1048,    -1,
      -1,  1051,    -1,    -1,    -1,    -1,    -1,  6134,    -1,    -1,
      -1,    -1,    -1,    -1,  6141,    -1,    -1,  1067,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6159,    -1,    -1,    -1,    -1,  1399,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1410,    -1,
      -1,    -1,    -1,  6180,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1426,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1127,  6205,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1144,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1172,  1173,    -1,    -1,    -1,    -1,  1178,    -1,
      -1,    -1,    -1,    -1,  6261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1197,    -1,    -1,
      -1,    -1,  1202,    -1,    -1,  1517,    -1,    -1,    -1,    -1,
    1210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1221,    -1,    -1,    -1,    -1,  6303,  6304,  6305,    -1,
      -1,    -1,    -1,    -1,  1234,  6312,  6313,    -1,    -1,  6316,
      -1,    -1,    -1,    -1,  6321,    -1,  6323,    -1,  6325,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6335,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6351,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1309,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1320,    -1,    -1,    -1,    -1,  1325,  1326,    -1,  6405,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6415,  1651,
      -1,    -1,    -1,    -1,    -1,    -1,  6423,  6424,    -1,    -1,
      -1,    -1,  6429,    -1,    -1,  6432,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6442,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6452,    -1,    -1,    -1,    -1,
      -1,  1381,  1382,    92,    -1,    -1,    -1,    -1,    97,    -1,
      -1,    -1,    -1,    -1,  1394,    -1,  1396,    -1,    -1,    -1,
    1400,    -1,    -1,  1403,  1404,    -1,  1406,    -1,    -1,    -1,
      -1,  1411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,  6505,    -1,
      -1,    -1,    -1,    -1,  6511,  1435,    -1,    -1,    -1,   148,
      -1,  1441,  1442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6529,    -1,    -1,   164,    -1,    -1,    -1,    -1,
      -1,    -1,  1462,  1463,  1464,    -1,  1466,  6544,  1468,    -1,
    1470,  1471,  6549,   182,    -1,    -1,    -1,  1477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1804,    -1,    -1,  6572,    -1,   206,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   226,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6603,    -1,    -1,    -1,
     239,    -1,    -1,    -1,    -1,   244,    -1,  6614,    -1,    -1,
      -1,  6618,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1550,    -1,  1552,  1553,    -1,    -1,    -1,    -1,    -1,  6636,
      -1,   270,    -1,    -1,    -1,    -1,  6643,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1596,    -1,    -1,    -1,
      -1,    -1,    -1,  6680,  6681,    -1,    -1,  6684,   317,    -1,
      -1,  6688,    -1,    -1,    -1,  6692,    -1,    -1,    -1,    -1,
    1932,    -1,    -1,    -1,  6701,  6702,    -1,    -1,    -1,    -1,
    1630,    -1,  1632,    -1,  6711,    -1,  1636,    -1,  1638,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   358,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1657,    -1,    -1,
      -1,    -1,   371,  1663,    -1,    -1,  1666,    -1,    -1,  1669,
      -1,    -1,    -1,   382,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1682,   392,   393,    -1,    -1,   396,  2000,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1712,    -1,   423,    -1,    -1,   426,    -1,    -1,
      -1,   430,    -1,   432,    -1,  2037,    -1,    -1,    -1,    -1,
     439,    -1,    -1,   442,    -1,    -1,    -1,    -1,    -1,    -1,
    1740,  1741,  1742,    -1,  1744,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,  2070,   468,
      -1,    -1,    -1,    -1,  1764,   474,    -1,    -1,   477,    -1,
      -1,    -1,   481,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     489,    -1,   491,    -1,    -1,    -1,    -1,   496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   522,    -1,    -1,  1816,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1842,    -1,    -1,    -1,  1846,  1847,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1857,  1858,  1859,
    1860,    -1,  1862,    -1,    -1,    -1,    -1,    92,    -1,    -1,
    2182,    -1,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2209,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   148,   149,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   160,    -1,    -1,    -1,   164,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2262,    -1,    -1,    -1,    -1,    -1,    -1,   182,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   206,    -1,    -1,  2296,  1985,    -1,    -1,    -1,    -1,
      -1,    -1,   217,  1993,    -1,    -1,  2308,    -1,    -1,    -1,
      -1,   226,    -1,    -1,    -1,    -1,  2006,  2007,    -1,    -1,
      -1,    -1,    -1,    -1,   239,  2015,    -1,    -1,  2018,   244,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2348,  2349,    -1,    -1,
      -1,  2041,    -1,  2043,    -1,   270,    -1,    -1,    -1,  2049,
    2050,    -1,    97,  2053,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2066,    -1,    -1,  2069,
     295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   317,  2093,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   164,
      -1,    -1,    -1,  2123,  2124,  2125,  2126,  2127,    -1,    -1,
      -1,    -1,    -1,   358,    -1,    -1,    -1,   182,    -1,    -1,
      -1,  2141,    -1,   188,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2153,  2154,  2155,    -1,   382,    -1,    -1,
      -1,   206,    -1,    -1,    -1,    -1,    -1,   392,   393,  2169,
      -1,   396,   217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2180,   226,    -1,    -1,    -1,    -1,  2498,    -1,  2188,  2189,
      -1,    -1,    -1,    -1,   239,    -1,    -1,    -1,   423,   244,
      -1,   426,    -1,    -1,  2204,   430,   251,   432,    -1,    -1,
      -1,    -1,    -1,    -1,   439,    -1,    -1,   442,    -1,    -1,
      -1,    -1,  2222,  2223,    -1,   270,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   461,    -1,  2238,  2239,
    2240,  2241,    -1,   468,    -1,    -1,    -1,  2247,    -1,   474,
     295,    -1,   477,    -1,  2254,    -1,   481,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,    -1,   491,    -1,    -1,    -1,
      -1,   496,   317,    -1,    -1,    -1,    -1,  2277,    -1,    -1,
    2280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2290,    -1,    -1,    -1,    -1,    -1,    -1,   522,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2321,  2322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2332,  2333,    -1,    -1,  2336,   382,    -1,  2339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,   393,    -1,
      -1,   396,    -1,    -1,  2354,  2355,    -1,    -1,    -1,    -1,
      -1,  2361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2372,    -1,    -1,    -1,    -1,    -1,   423,    -1,
      -1,   426,    -1,    -1,    -1,   430,    -1,   432,    -1,    -1,
      -1,    -1,    -1,    -1,   439,    -1,    -1,   442,  2398,    -1,
      -1,    -1,    -1,    -1,    -1,  2405,    -1,  2407,    -1,    -1,
    2410,  2411,  2412,    -1,  2414,  2415,   461,  2417,    -1,    -1,
      -1,    -1,    -1,   468,  2424,    -1,    -1,    -1,   473,   474,
      -1,    -1,   477,    -1,  2434,    -1,   481,    -1,    -1,    -1,
    2440,  2441,    -1,    -1,  2444,    -1,   491,    -1,  2448,  2449,
      -1,   496,    -1,    -1,  2454,  2455,    -1,    -1,    -1,    -1,
      -1,  2461,  2462,  2463,   509,    -1,  2466,    -1,  2468,  2469,
    2470,  2471,  2472,  2473,  2474,  2475,    -1,   522,  2478,    -1,
    2480,  2481,    -1,    -1,  2484,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2499,
    2500,  2501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2516,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2556,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2659,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2699,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3125,    -1,    -1,    -1,  3129,  3130,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3189,    -1,    -1,
      -1,    -1,    -1,  3195,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3236,    -1,    -1,  2927,  2928,  2929,
    2930,  2931,  2932,  2933,  2934,  2935,    -1,  2937,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2946,  2947,    -1,    -1,
    2950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2972,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3004,    -1,  3006,    -1,    -1,  3009,
    3010,    -1,    -1,  3013,    -1,  3015,    -1,    -1,  3018,    -1,
      -1,    -1,  3022,  3023,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3033,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3042,  3043,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3056,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3064,    -1,  3066,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3157,    -1,  3159,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3176,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3187,    -1,    -1,
    3190,  3191,  3192,  3193,    -1,    -1,  3196,    -1,    -1,  3199,
      -1,    -1,    -1,    -1,  3516,    -1,    -1,    -1,  3520,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3239,
    3240,    -1,    -1,    -1,    -1,    -1,  3246,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3255,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3275,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3296,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3332,    -1,    -1,  3335,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3656,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3671,
      -1,  3361,  3362,    -1,  3676,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3376,    -1,  3378,  3379,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3409,
    3410,  3411,    -1,    -1,    -1,  3415,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3423,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3436,    -1,    -1,    -1,
      -1,    -1,  3442,    -1,  3444,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3457,    -1,    -1,
      -1,    -1,  3462,    -1,    -1,    -1,    -1,    -1,  3468,    -1,
      -1,  3471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3483,  3484,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3494,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3504,    -1,  3506,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3556,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3566,    -1,  3568,    -1,
    3570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3921,
      -1,    -1,  3924,    -1,  3926,    -1,  3616,    -1,    -1,  3931,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3980,  3669,
    3670,    -1,  3672,    -1,  3674,  3675,  3988,  3677,    -1,    -1,
      -1,    -1,    -1,    -1,  3684,    -1,    -1,    -1,    -1,  3689,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3715,  3716,  3717,    -1,    -1,
    3720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3728,  3729,
    3730,  3731,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3744,    -1,    -1,  3747,    -1,  3749,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3760,  3761,    -1,    -1,  3764,    -1,    -1,    -1,    -1,    -1,
      -1,  4083,    -1,  4085,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3781,    -1,  3783,    -1,  3785,    -1,  3787,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3807,    -1,    -1,
      -1,  3811,    -1,    -1,    -1,    -1,    -1,    -1,  3818,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3849,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3864,    -1,    -1,  4179,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3878,    -1,
      -1,    -1,  3882,    -1,    -1,  3885,  3886,    -1,  3888,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4249,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3953,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3983,  3984,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4319,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4341,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4365,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4468,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4491,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4516,    -1,  4206,    -1,    -1,    -1,
      -1,    -1,  4212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4223,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4260,  4261,  4262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4277,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4311,  4312,  4313,    -1,    -1,    -1,  4317,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   133,  1063,  4329,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4671,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4381,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,
      -1,    -1,    -1,    -1,  4404,    -1,    -1,   213,    -1,   215,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4421,  4422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4443,    -1,    -1,  4446,    -1,    -1,  4761,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4465,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4474,  4787,    -1,    -1,    -1,    -1,
      -1,    -1,  4482,    -1,  4484,    -1,    -1,  4487,    -1,    -1,
      -1,    -1,  4492,  4493,  4494,  4495,    -1,    -1,  4498,  4499,
    4500,  4501,  4502,  4503,  4504,  4505,  4506,  4507,    -1,    -1,
      -1,  4511,  4512,  4513,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4521,    -1,    -1,    -1,    -1,  4526,    -1,    -1,    -1,
    4530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4538,    -1,
      -1,  4541,    -1,  4543,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4553,    -1,    -1,  4556,  4557,    -1,    -1,
      -1,  4561,  4562,    -1,    -1,    -1,  4566,    -1,  4568,    -1,
      -1,    -1,    -1,    -1,    -1,  4575,  4576,  4577,  4578,    -1,
      -1,  4581,  4582,    -1,    -1,    -1,  4586,  4587,  4588,    -1,
      -1,  4591,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4929,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4638,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4653,    -1,  4655,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1399,    -1,  4978,    -1,    -1,  4981,
      -1,    -1,    -1,    -1,    -1,  1410,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4683,  4684,  4685,    -1,    -1,  4688,    -1,
      -1,  1426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4723,  4724,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4795,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4850,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4883,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4897,    -1,  4899,
      -1,    -1,    -1,    -1,    -1,    -1,  4906,    -1,    -1,    -1,
      -1,    -1,  4912,    -1,    -1,    -1,  1651,    -1,    -1,    -1,
      -1,    -1,    -1,  4923,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4938,    -1,
      -1,    -1,    -1,  4943,  4944,    -1,    -1,    -1,    -1,    -1,
      -1,  4951,  5264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4970,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4982,  4983,    -1,    -1,    -1,    -1,    -1,    -1,
    5302,    -1,    -1,  4993,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5004,  5005,    -1,    -1,    -1,    -1,
      -1,    -1,  5324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5022,  5023,  5024,  5025,  5026,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5037,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5076,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5396,    -1,    -1,  5087,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   909,    -1,    -1,  1037,    -1,    -1,    -1,
      -1,    -1,   918,    -1,    -1,  5115,    -1,    -1,  5118,    -1,
     926,    -1,    -1,   929,    -1,    -1,  5126,  5127,    -1,    -1,
      -1,    -1,  1063,  5133,  5134,    -1,    -1,    -1,  5138,    -1,
      -1,    -1,  5142,    -1,    -1,  5145,  5146,    -1,    -1,    -1,
    5150,  5151,    -1,    -1,    -1,    -1,  5156,  5157,  5158,  5159,
    5160,    -1,    -1,    -1,  5164,  5165,  5166,    -1,  5168,  5169,
      -1,    -1,  5172,    -1,    -1,    -1,  5176,    -1,    -1,    -1,
    5180,    -1,    -1,    -1,    -1,    -1,  5186,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1932,    -1,    -1,
      -1,    -1,    -1,    -1,  5204,    -1,  5518,    -1,    -1,    -1,
      -1,    -1,    -1,  5213,    -1,    -1,    -1,  5217,    -1,    -1,
      -1,  5221,    -1,  5223,    -1,    -1,  1032,    -1,    -1,    -1,
      -1,  1037,    -1,    -1,    -1,  1041,    -1,    -1,    -1,    -1,
      -1,    -1,  1048,  5243,    -1,  1051,  5246,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1063,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2000,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5296,    -1,    -1,    -1,
      -1,    -1,  2037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2070,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5347,    -1,    -1,
      -1,    -1,    -1,    -1,  5354,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1172,  1173,    -1,    -1,
      -1,    -1,    -1,  1179,    -1,    -1,  5376,  1183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5726,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5438,    -1,
      -1,    -1,    -1,    -1,    -1,  5445,    -1,  2182,    -1,    -1,
      -1,    -1,    -1,    -1,  5454,    -1,    -1,    -1,  2193,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1399,  5469,
      -1,    -1,    -1,    -1,  2209,    -1,    -1,    -1,    -1,  1410,
      -1,    -1,  5482,    -1,  5484,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1426,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5522,    -1,    -1,    -1,    -1,  2262,  5528,    -1,
      -1,    -1,    -1,    -1,  5846,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2283,    -1,
      -1,  1357,  1358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2308,    -1,  1381,  1382,  5577,    -1,    -1,
    5580,    -1,    -1,  5583,  5584,  5585,  1517,    -1,  1394,    -1,
      -1,    -1,    -1,  1399,  1400,    -1,    -1,    -1,  1404,    -1,
    1406,    -1,    -1,    -1,  1410,    -1,  5918,    -1,  5608,  5609,
      -1,    -1,  5612,  2348,  2349,    -1,    -1,    -1,    -1,    -1,
    1426,    -1,    -1,    -1,    -1,    -1,    -1,  5627,    -1,    -1,
    5630,    -1,    -1,    -1,  5634,    -1,    -1,    -1,    -1,  5639,
      -1,    -1,  5642,  5643,    -1,  5645,    -1,  5647,    -1,    -1,
    5650,    -1,    -1,    -1,    -1,  5967,    -1,    -1,    -1,    -1,
    5972,  5973,  1468,    -1,  1470,  1471,    -1,    -1,    -1,    -1,
      -1,  5671,    -1,    -1,  5674,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5686,  5687,  5688,    -1,
    5690,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1651,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5737,  5738,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2498,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6086,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1596,    -1,    -1,    -1,  5794,    -1,    -1,    -1,    -1,  5799,
      -1,    -1,    -1,    -1,  5804,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5813,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5823,    -1,    -1,    -1,  5827,    -1,    -1,
    5830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5841,  5842,  5843,    -1,  1651,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1682,    -1,  5878,    -1,
      -1,    -1,  5882,    -1,  5884,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5902,    -1,    -1,    -1,  1712,    -1,  5908,    -1,
      -1,    -1,  5912,    -1,    -1,    -1,  5916,    -1,    -1,  5919,
      -1,  5921,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1740,  1741,  1742,    -1,  1744,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5952,    -1,    -1,    -1,    -1,    -1,  1764,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5977,    -1,    -1,
      -1,    -1,    -1,  5983,  5984,    -1,    -1,    -1,  5988,  5989,
    5990,  5991,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1932,    -1,    -1,  6316,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6019,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6027,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1842,    -1,    -1,    -1,
    1846,  1847,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6052,    -1,    -1,  6055,  1862,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2000,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6081,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2037,    -1,    -1,    -1,
      -1,  6111,    -1,    -1,    -1,    -1,    -1,  6117,    -1,    -1,
    6120,    -1,    -1,  6123,    -1,    -1,  1932,  6127,    -1,    -1,
      -1,    -1,    -1,    -1,  6134,    -1,    -1,    -1,    -1,  2070,
      -1,  6141,    -1,  1949,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6154,    -1,    -1,    -1,    -1,  6159,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6169,
      -1,  6171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6180,    -1,    -1,    -1,  1990,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2000,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6215,  6216,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2046,    -1,    -1,    -1,    -1,    -1,  6246,    -1,    -1,    -1,
      -1,  2182,    -1,    -1,    -1,    -1,    -1,  2063,    -1,    -1,
      -1,  6261,  2193,    -1,  2070,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2209,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6295,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6303,  6304,  6305,    -1,    -1,    -1,  6309,
      -1,    -1,  6312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6321,    -1,  6323,    -1,  6325,  6326,    -1,    -1,    -1,
      -1,  2262,    -1,    -1,  6334,  6335,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2153,  2154,  2155,
      -1,  6351,  2283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2296,  6366,    -1,    -1,    -1,
      -1,    -1,    -1,  6373,    -1,    -1,  2182,  2308,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2193,    -1,    -1,
    3125,    -1,    -1,    -1,  3129,  3130,    -1,    -1,  6398,    -1,
      -1,    -1,    -1,  2209,    -1,  6405,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6415,    -1,  2348,  2349,    -1,
      -1,    -1,    -1,  6423,  6424,  6425,    -1,    -1,    -1,  6429,
      -1,    -1,  6432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6442,    -1,    -1,    -1,  6446,    -1,    -1,    -1,
      -1,    -1,  6452,    -1,  3189,    -1,  2262,  6457,  6458,  6459,
    3195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2277,    -1,    -1,  2280,  6475,    -1,  2283,    -1,    -1,
      -1,    -1,    -1,    -1,  2290,    -1,    -1,    -1,    -1,    -1,
    2296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3236,  2308,    -1,    -1,  6505,  6506,  6507,    -1,    -1,
      -1,  6511,    -1,    -1,    -1,  2321,  2322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6529,
    2336,    -1,    -1,  2339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2348,  2349,  6544,    -1,    -1,    -1,    -1,  6549,
    6550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2498,    -1,    -1,
      -1,    -1,  6572,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2407,    -1,  6603,    -1,  2411,  2412,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6614,    -1,  6616,  6617,  6618,  6619,
      -1,  6621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6633,    -1,    -1,  6636,    -1,    -1,    -1,
      -1,    -1,  2448,  2449,    -1,    -1,    -1,  6647,  2454,  2455,
      -1,    -1,    -1,    -1,    -1,  2461,  2462,  2463,    -1,  6659,
    2466,    -1,  2468,    -1,  2470,  2471,  2472,  2473,  2474,  2475,
      -1,    -1,  2478,    -1,  2480,  2481,    -1,    -1,  2484,    -1,
    6680,  6681,    -1,    -1,  6684,    -1,    -1,    -1,  6688,    -1,
      -1,    -1,  2498,  2499,  2500,  2501,    -1,    -1,    -1,    -1,
      -1,  6701,  6702,    -1,    -1,  6705,    -1,    -1,  3443,    -1,
    2516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3516,    -1,    -1,    -1,  3520,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   920,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   932,    -1,    -1,    -1,
      -1,    -1,    -1,  2659,    -1,    -1,    -1,   943,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   962,    -1,    -1,    -1,
      -1,    -1,   968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2699,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3671,    -1,    -1,    -1,
      -1,  3676,    -1,    -1,    -1,    -1,  2752,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1197,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,
      -1,  2937,    -1,    -1,    -1,  1221,    -1,    -1,    -1,    -1,
      -1,  2947,    -1,    -1,  2950,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3921,    -1,    -1,  3924,
      -1,  3926,    -1,    -1,  3125,    -1,  3931,    -1,  3129,  3130,
    3006,    -1,    -1,    -1,  3010,    -1,    -1,  3013,    -1,  3015,
      -1,    -1,  3018,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3033,    -1,    -1,
      -1,    -1,    -1,    -1,  1320,    -1,  3042,  3043,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3980,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3988,    -1,    -1,    -1,    -1,  3189,    -1,
      -1,    -1,    -1,    -1,  3195,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4013,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3236,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3125,
      -1,    -1,    -1,  3129,  3130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4083,  1435,
    4085,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3176,    -1,    -1,    -1,    -1,    -1,  1462,  1463,  1464,    -1,
      -1,  3187,    -1,  3189,  3190,    -1,  3192,  3193,    -1,  3195,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3220,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4179,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3309,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3443,    -1,  4249,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1636,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1657,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1666,    -1,    -1,    -1,  4319,  3516,    -1,    -1,    -1,  3520,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3409,  3410,  3411,  4341,    -1,    -1,  3415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4365,    -1,    -1,    -1,    -1,    -1,  3442,  3443,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3484,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3516,    -1,    -1,    -1,  3520,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3656,    -1,    -1,    -1,    -1,
    1816,    -1,    -1,  4468,    -1,    -1,  3542,    -1,    -1,    -1,
    3671,    -1,    -1,    -1,    -1,  3676,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1858,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3669,    -1,  3671,  3672,    -1,  3674,  3675,
    3676,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3684,    -1,
      -1,    -1,    -1,  3689,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3715,
    3716,  3717,    -1,    -1,  3720,    -1,    -1,    -1,    -1,    -1,
    2006,    -1,  3728,  3729,  3730,  3731,    -1,    -1,    -1,  2015,
      -1,    -1,    -1,    -1,    -1,    -1,  4671,    -1,  3744,    -1,
      -1,  3747,    -1,  3749,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3760,  3761,    -1,  2043,  3764,    -1,
      -1,    -1,    -1,  2049,  2050,    -1,    -1,  2053,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3783,    -1,  3785,
    2066,  3787,    -1,  2069,    -1,    -1,    -1,    -1,    -1,    -1,
    3921,    -1,    -1,  3924,    -1,  3926,    -1,    -1,    -1,    -1,
    3931,  3807,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3818,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4761,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2127,    -1,  3849,    -1,    -1,    -1,    -1,    -1,  3980,
      -1,    -1,  4787,    -1,    -1,  2141,    -1,  3988,  3864,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3886,    -1,  4013,  2169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2180,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3921,    -1,    -1,  3924,    -1,
    3926,    -1,    -1,    -1,    -1,  3931,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2222,  2223,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3953,    -1,    -1,
      -1,    -1,  4083,    -1,  4085,    -1,    -1,    -1,    -1,    -1,
      -1,  2247,    -1,    -1,    -1,    -1,    -1,    -1,  2254,    -1,
      -1,    -1,    -1,    -1,  3980,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4929,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4013,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4978,    -1,    -1,  4981,    -1,  4179,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1037,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4083,    -1,  4085,
      -1,    -1,    -1,    -1,    -1,    -1,  2372,    -1,    -1,    -1,
    4221,    -1,  1063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4249,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2414,  2415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2434,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4179,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4319,    -1,
      -1,    -1,    -1,    -1,  5129,    -1,    -1,    -1,    -1,    -1,
    4206,    -1,    -1,    -1,    -1,    -1,  4212,    -1,    -1,    -1,
    4341,    -1,    -1,    -1,    -1,  4221,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4365,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4249,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4319,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5264,
      -1,    -1,    -1,    -1,    -1,  4341,    -1,  4468,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4365,
    4491,    -1,    -1,    -1,    -1,    -1,    -1,  5302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4516,    -1,    -1,    -1,  5324,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1381,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1399,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1410,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1426,    -1,    -1,    -1,  4465,
      -1,  5396,  4468,    -1,    -1,    -1,    -1,    -1,  4474,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4482,    -1,  4484,    -1,
      -1,  4487,    -1,    -1,    -1,  4491,  4492,  4493,  4494,  4495,
      -1,    -1,  4498,  4499,  4500,  4501,  4502,  4503,  4504,  4505,
    4506,  4507,    -1,    -1,    -1,  4511,  4512,  4513,    -1,    -1,
    4516,    -1,    -1,    -1,    -1,  4521,    -1,    -1,    -1,    -1,
    4526,    -1,    -1,    -1,  4530,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4538,    -1,    -1,  4541,    -1,  4543,    -1,    -1,
    4671,    -1,    -1,    -1,    -1,    -1,  1517,  4553,    -1,    -1,
    4556,  4557,    -1,    -1,    -1,  4561,  4562,    -1,    -1,    -1,
      -1,    -1,  4568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4578,    -1,    -1,  4581,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5518,    -1,  4591,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4761,    -1,  4638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4655,
      -1,    -1,    -1,    -1,    -1,    -1,  4787,    -1,    -1,    -1,
    2946,    -1,    -1,    -1,    -1,  4671,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4683,    -1,    -1,
    1651,    -1,    -1,    -1,    -1,    -1,  2972,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3004,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3022,  3023,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4761,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3056,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4787,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5726,    -1,    -1,    -1,    -1,    -1,    -1,  4929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4978,    -1,    -1,
    4981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4899,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5846,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4929,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4943,  4944,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3240,    -1,    -1,    -1,    -1,    -1,
      -1,  1932,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3255,
      -1,    -1,  4978,    -1,    -1,  4981,  4982,  4983,    -1,    -1,
      -1,    -1,    -1,  5918,    -1,    -1,    -1,  4993,    -1,  3275,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5129,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2000,
      -1,    -1,  5967,    -1,    -1,    -1,    -1,  5972,  5973,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2037,    -1,    -1,    -1,
    5076,    -1,    -1,    -1,    -1,  3361,  3362,    -1,    -1,    -1,
      -1,  5087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   909,    -1,  2070,
      -1,    -1,    -1,    -1,    -1,    -1,   918,    -1,    -1,  5115,
      -1,    -1,  5118,    -1,   926,    -1,    -1,   929,    -1,    -1,
    5126,  5127,    -1,  5129,    -1,    -1,    -1,  5133,  5134,    -1,
      -1,    -1,  5138,  5264,    -1,    -1,  5142,    -1,    -1,  5145,
    5146,    -1,    -1,    -1,  5150,    -1,    -1,    -1,    -1,    -1,
    5156,  6086,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5176,  5302,    -1,    -1,  5180,    -1,  3462,    -1,    -1,    -1,
      -1,    -1,  2153,  2154,  2155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5213,    -1,    -1,
      -1,  2182,    -1,    -1,    -1,  5221,    -1,    -1,    -1,    -1,
    1032,    -1,  2193,    -1,    -1,  1037,    -1,    -1,    -1,  1041,
      -1,    -1,    -1,    -1,    -1,    -1,  1048,    -1,  2209,  1051,
    5246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1063,    -1,    -1,    -1,    -1,    -1,    -1,  5264,    -1,
      -1,    -1,    -1,    -1,    -1,  5396,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2262,    -1,    -1,    -1,    -1,  5302,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2283,    -1,    -1,    -1,    -1,    -1,  5324,    -1,
      -1,    -1,    -1,    -1,    -1,  2296,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2308,    -1,    -1,
      -1,  5347,    -1,    -1,    -1,    -1,    -1,    -1,  5354,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1172,  1173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2348,  2349,    -1,
      -1,  6316,    -1,    -1,    -1,    -1,    -1,  5518,    -1,    -1,
    5396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2470,
      -1,    -1,  2473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5516,    -1,  5518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3811,    -1,  2498,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3841,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1381,
    1382,  5577,    -1,    -1,  5580,    -1,    -1,  5583,  5584,  5585,
      -1,    -1,  1394,    -1,    -1,    -1,    -1,  1399,  1400,    -1,
      -1,    -1,  1404,    -1,  1406,  5726,    -1,    -1,  1410,    -1,
      -1,    -1,  5608,  5609,    -1,    -1,  5612,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1426,    -1,    -1,    -1,    -1,    -1,
      -1,  5627,    -1,    -1,    -1,    -1,    -1,    -1,  5634,    -1,
      -1,    -1,    -1,  5639,    -1,    -1,  5642,  5643,    -1,    -1,
      -1,    -1,    -1,    -1,  5650,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1468,    -1,  1470,  1471,
      -1,    -1,    -1,    -1,    -1,  5671,    -1,    -1,  5674,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5686,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1517,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5846,    -1,    -1,    -1,    -1,
    5726,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5782,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1596,    -1,    -1,  5918,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4091,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5967,  5843,    -1,  1651,
    5846,  5972,  5973,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1682,    -1,  5878,    -1,    -1,    -1,  5882,    -1,  5884,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5902,    -1,    -1,    -1,
    1712,    -1,  5908,    -1,    -1,    -1,  5912,    -1,    -1,    -1,
      -1,    -1,  5918,  5919,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1740,  1741,
    1742,    -1,  1744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1764,    -1,    -1,  6086,    -1,    -1,    -1,    -1,
      -1,  5967,    -1,    -1,    -1,    -1,  5972,  5973,    -1,    -1,
      -1,  5977,    -1,    -1,  4260,  4261,  4262,  5983,  5984,  2950,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6019,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6027,    -1,    -1,    -1,    -1,  4312,  4313,    -1,    -1,
    1842,  4317,    -1,    -1,  1846,  1847,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6055,
    1862,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6085,
    6086,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6111,    -1,    -1,    -1,    -1,
      -1,  6117,    -1,    -1,  6120,    -1,    -1,  6123,    -1,    -1,
    1932,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6134,    -1,
      -1,    -1,    -1,    -1,    -1,  6141,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6159,  3125,    -1,    -1,  4443,  3129,  3130,
    4446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6180,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6316,    -1,    -1,  2000,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3189,    -1,
      -1,    -1,    -1,    -1,  3195,  2037,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6261,    -1,    -1,  2070,    -1,
      -1,    -1,    -1,    -1,    -1,  3236,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4575,
    4576,  4577,    -1,    -1,    -1,    -1,    -1,  6303,  6304,  6305,
      -1,    -1,    -1,    -1,    -1,    -1,  6312,    -1,    -1,    -1,
    6316,    -1,    -1,    -1,    -1,  6321,    -1,  6323,    -1,  6325,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6335,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2153,  2154,  2155,    -1,  6351,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2182,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2209,    -1,  6405,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6423,  6424,    -1,
      -1,    -1,    -1,  6429,    -1,    -1,  6432,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6442,    -1,    -1,    -1,
    3411,    -1,    -1,    -1,    -1,    -1,  6452,    -1,    -1,    -1,
    2262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2277,    -1,    -1,  2280,    -1,
      -1,  2283,  3443,    -1,    -1,    -1,    -1,    -1,  2290,    -1,
      -1,    -1,    -1,    -1,  2296,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2308,    -1,    -1,  6505,
      -1,    -1,    -1,    -1,    -1,  6511,    -1,    -1,    -1,  2321,
    2322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6529,  2336,    -1,    -1,  2339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2348,  2349,  6544,    -1,
      -1,    -1,    -1,  6549,    -1,  3516,    -1,    -1,    -1,  3520,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6572,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2407,    -1,  6603,    -1,  2411,
    2412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6614,    -1,
      -1,    -1,  6618,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6636,    -1,    -1,    -1,    -1,    -1,  2448,  2449,    -1,    -1,
      -1,    -1,  2454,  2455,    -1,    -1,    -1,    -1,    -1,  2461,
    2462,  2463,  4938,    -1,  2466,    -1,  2468,    -1,  2470,  2471,
    2472,  2473,  2474,  2475,    -1,    -1,  2478,    -1,  2480,  2481,
      -1,    -1,  2484,    -1,  6680,  6681,    -1,    -1,  6684,    -1,
      -1,    -1,  6688,    -1,  4970,  3656,  2498,  2499,  2500,  2501,
      -1,    -1,    -1,    -1,    -1,  6701,  6702,    -1,    -1,    -1,
    3671,    -1,    -1,    -1,  2516,  3676,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5005,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2659,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5157,  5158,  5159,  5160,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2699,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3921,    -1,    -1,  3924,    -1,  3926,    -1,    -1,    -1,    -1,
    3931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3980,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3988,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4083,    -1,  4085,  2927,  2928,  2929,  2930,  2931,
    2932,  2933,  2934,  2935,    -1,  2937,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2947,    -1,    -1,  2950,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3006,    -1,    -1,    -1,  3010,    -1,
      -1,  3013,    -1,  3015,    -1,    -1,  3018,    -1,  4179,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3033,    -1,    -1,    -1,  5511,    -1,    -1,    -1,    -1,
    3042,  3043,    -1,    -1,    -1,  4206,  5522,    -1,    -1,    -1,
      -1,  4212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4249,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3125,    -1,    -1,    -1,  3129,  3130,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4319,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3176,    -1,    -1,    -1,    -1,    -1,
    4341,    -1,    -1,    -1,    -1,  3187,    -1,  3189,  3190,    -1,
    3192,  3193,    -1,  3195,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4365,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3236,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4468,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5799,    -1,    -1,    -1,    -1,  5804,    -1,
    4491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5823,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4516,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3409,  3410,  3411,
      -1,    -1,    -1,  3415,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3442,  3443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5952,    -1,    -1,    -1,
      -1,    -1,  3484,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4671,    -1,    -1,    -1,  3516,    -1,    -1,    -1,  3520,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   125,    -1,    -1,    -1,    -1,
    3542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,   148,    -1,
      -1,   151,    -1,    -1,    -1,    -1,    -1,   157,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6052,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4761,    -1,    -1,    -1,    -1,  6081,    -1,    -1,    -1,   199,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4787,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3656,    -1,   246,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3669,    -1,  3671,
    3672,    -1,  3674,  3675,  3676,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3684,    -1,    -1,    -1,    -1,  3689,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3715,  3716,  3717,    -1,    -1,  3720,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3728,  3729,  3730,  3731,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3744,    -1,    -1,  3747,    -1,  3749,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3760,  3761,
      -1,    -1,  3764,    -1,    -1,    -1,    -1,    -1,  4929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3783,    -1,  3785,    -1,  3787,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3807,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3818,  4978,    -1,    -1,
    4981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3849,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3864,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3878,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3886,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3921,
      -1,    -1,  3924,    -1,  3926,    -1,    -1,    -1,    -1,  3931,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3953,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5129,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3980,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3988,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4083,    -1,  4085,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5264,    -1,    -1,    -1,    -1,    -1,   699,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   748,   749,
      -1,    -1,    -1,  5324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4179,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4206,   795,    -1,    -1,    -1,    -1,
    4212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5396,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4249,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4291,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4319,    -1,    -1,
      -1,    -1,   912,    -1,    -1,    -1,   916,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   924,    -1,    -1,   927,    -1,  4341,
     930,   931,    -1,   933,    -1,   935,    -1,    -1,   938,    -1,
     940,    -1,    -1,    -1,    -1,  5516,    -1,  5518,    -1,    -1,
      -1,    -1,    -1,  4365,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   973,    -1,    -1,    -1,   977,    -1,    -1,
      -1,    -1,    -1,    -1,   984,   985,    -1,    -1,   988,    -1,
     990,   991,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1011,    -1,  1013,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1036,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4465,    -1,    -1,  4468,  1057,    -1,  1059,
      -1,    -1,  4474,    -1,    -1,    -1,    -1,    -1,  1068,  1069,
    4482,    -1,  4484,    -1,    -1,  4487,    -1,    -1,  1078,  4491,
    4492,  4493,  4494,  4495,    -1,    -1,  4498,  4499,  4500,  4501,
    4502,  4503,  4504,  4505,  4506,  4507,    -1,    -1,    -1,  4511,
    4512,  4513,    -1,    -1,  4516,    -1,    -1,    -1,    -1,  4521,
      -1,    -1,    -1,    -1,  4526,    -1,    -1,    -1,  4530,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4538,    -1,    -1,  4541,
      -1,  4543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4553,    -1,    -1,  4556,  4557,    -1,    -1,    -1,  4561,
    4562,    -1,    -1,    -1,    -1,  5726,  4568,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4578,    -1,    -1,  4581,
      -1,    -1,    -1,    -1,    -1,  1175,    -1,  1177,    -1,  4591,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4638,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4655,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4671,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4683,    -1,    -1,    -1,  5846,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1286,    -1,    -1,  1289,
      -1,  1291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1306,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5918,    -1,  4761,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1372,    -1,    -1,  4787,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5967,  1397,    -1,    -1,
      -1,  5972,  5973,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1412,    -1,  1414,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1424,    -1,    -1,    -1,    -1,    -1,
      -1,  1431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1472,    -1,  1474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4899,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6085,  6086,    -1,  4929,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4943,  4944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4978,    -1,    -1,  4981,
    4982,  4983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1658,    -1,
      -1,    -1,    -1,    -1,  5076,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5087,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5115,    -1,    -1,  5118,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5126,  5127,    -1,  5129,    -1,    -1,
      -1,  5133,  5134,    -1,    -1,    -1,  5138,    -1,    -1,    -1,
    5142,    -1,    -1,  5145,  5146,    -1,    -1,    -1,  5150,    -1,
      -1,    -1,    -1,    -1,  5156,  6316,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5168,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5176,    -1,    -1,    -1,  5180,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1787,  1788,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1828,  1829,
      -1,    -1,    -1,    -1,  5246,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1887,    -1,    -1,
    5302,    -1,  1892,    -1,    -1,  1895,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1903,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5324,    -1,    -1,    -1,    -1,    -1,    -1,  1919,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5347,    -1,    -1,    -1,    -1,
      -1,    -1,  5354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1974,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5396,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5438,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2042,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5469,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5516,    -1,  5518,    -1,    -1,  6680,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5577,    -1,    -1,  5580,    -1,
      -1,  5583,  5584,  5585,    -1,    -1,    -1,    -1,  2178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5608,  5609,    -1,    -1,
    5612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2213,    -1,  5627,    -1,    -1,    -1,    -1,
      -1,    -1,  5634,    -1,    -1,    -1,    -1,  5639,    -1,    -1,
    5642,  5643,    -1,    -1,    -1,    -1,    -1,    -1,  5650,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2256,    -1,  2258,  5671,
      -1,    -1,  5674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5686,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2284,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5726,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5737,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2341,    -1,  2343,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2357,  2358,    -1,
    2360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2392,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2404,    -1,    -1,    -1,  2408,    -1,
      -1,    -1,    -1,  2413,    -1,    -1,  2416,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5843,    -1,    -1,  5846,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5878,    -1,    -1,    -1,
    5882,    -1,  5884,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5902,    -1,    -1,    -1,    -1,    -1,  5908,    -1,    -1,    -1,
    5912,    -1,    -1,    -1,    -1,    -1,  5918,  5919,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5967,    -1,    -1,    -1,    -1,
    5972,  5973,    -1,    -1,    -1,  5977,    -1,    -1,    -1,    -1,
      83,  5983,  5984,    -1,    -1,    88,    -1,    90,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6019,    -1,    -1,
      -1,    -1,   125,    -1,    -1,  6027,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   136,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   147,   148,    -1,    -1,   151,    -1,
      -1,    -1,    -1,  6055,   157,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     183,    -1,    -1,  6085,  6086,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   199,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6111,
      -1,    -1,    -1,    -1,    -1,  6117,    -1,    -1,  6120,    -1,
      -1,  6123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6134,    -1,    -1,    -1,    -1,    -1,    -1,  6141,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6159,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6180,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6261,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6303,  6304,  6305,    -1,    -1,    -1,    -1,    -1,    -1,
    6312,    -1,    -1,    -1,  6316,    -1,    -1,    -1,    -1,  6321,
      -1,  6323,    -1,  6325,    -1,    -1,   429,    -1,    -1,    -1,
      -1,    -1,    -1,  6335,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6351,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2953,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6405,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6415,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6423,  6424,    -1,    -1,    -1,    -1,  6429,    -1,    -1,
    6432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6442,  1037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1063,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6505,    -1,    -1,    -1,    -1,    -1,  6511,
      -1,    -1,    -1,    -1,    -1,    -1,  3106,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6529,    -1,  3119,
    3120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6544,    -1,    -1,    -1,    -1,  6549,  3138,  3139,
      -1,    -1,    -1,  3143,  3144,    -1,    -1,    -1,  3148,  3149,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6572,    -1,    -1,  3163,    -1,    -1,    -1,    -1,    -1,    -1,
    3170,    -1,    -1,    -1,  3174,  3175,    -1,    -1,  3178,  3179,
      -1,    -1,    -1,    -1,    -1,  3185,   699,    -1,    -1,  1037,
      -1,  6603,    -1,    -1,    -1,    -1,    -1,  3197,    -1,    -1,
      -1,    -1,  6614,    -1,    -1,    -1,  6618,    -1,    -1,  3209,
      -1,    -1,    -1,    -1,  3214,  1063,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6636,    -1,    -1,  1172,  1173,  3229,
      -1,    -1,    -1,    -1,    -1,   748,   749,    -1,  3238,    -1,
      -1,  3241,    -1,  3243,  3244,  3245,    -1,    -1,    -1,    -1,
    3250,  3251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3260,    -1,    -1,    -1,    -1,    -1,  3266,    -1,  6680,  6681,
    3270,    -1,  6684,    -1,    -1,    -1,  6688,    -1,    -1,    -1,
    3280,  3281,   795,    -1,    -1,  3285,    -1,    -1,    -1,  6701,
    6702,  3291,  3292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3305,    -1,    -1,  3308,    -1,
      -1,    -1,    -1,    -1,    -1,  3315,  3316,    -1,    -1,    -1,
      -1,  3321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3333,    -1,    -1,  3336,    -1,    -1,    -1,
      -1,  3341,    -1,    -1,    -1,    -1,    -1,  3347,  3348,    -1,
    3350,    -1,  3352,    -1,    -1,  3355,  3356,    -1,    -1,  3359,
      -1,    -1,    -1,  3363,  3364,  3365,  3366,    -1,  3368,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3381,  3382,    -1,  3384,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1399,    -1,  3395,  3396,  3397,    -1,    -1,
      -1,    -1,    -1,    -1,  1410,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1381,  1382,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1010,  1011,    -1,
    1013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3529,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1074,  1410,    -1,  1077,  1078,    -1,    -1,    -1,  3569,
      -1,  3571,    -1,    -1,    -1,    -1,    -1,    -1,  1426,    -1,
    1093,    -1,  1095,    -1,  1097,    -1,    -1,    -1,    -1,    -1,
    1103,    -1,    -1,    -1,  1107,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3611,    -1,    -1,    -1,  1128,  1129,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3626,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1651,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1175,    -1,  1177,    -1,    -1,    -1,    -1,  1517,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3678,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1682,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1258,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1272,
    1273,    -1,    -1,  1276,    -1,    -1,    -1,  1712,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1740,  1741,  1742,    -1,  1744,
      -1,    -1,    -1,  1651,    -1,    -1,  1319,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1764,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1389,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1842,    -1,    -1,
      -1,  1846,  1847,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1932,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3950,    -1,    -1,    -1,    -1,  3955,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3975,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3992,    -1,  2000,    -1,  3996,    -1,    -1,    -1,
      -1,  4001,  4002,  4003,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2037,    -1,    -1,    -1,    -1,    -1,  4037,  4038,  4039,
    4040,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2070,    -1,    -1,  4067,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4075,    -1,  4077,  4078,  4079,
      -1,    -1,    -1,    -1,  1932,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1605,    -1,  1607,    -1,    -1,  1610,    -1,  1612,
      -1,    -1,  1615,  1616,  1617,    -1,    -1,    -1,  1621,    -1,
      -1,    -1,    -1,    -1,    -1,  1628,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1643,    -1,  1645,    -1,    -1,    -1,    -1,  1650,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2000,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2182,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2193,    -1,  2037,
      -1,    -1,    -1,  4193,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4202,  2209,    -1,    -1,    -1,    -1,  2153,  2154,
    2155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2070,    -1,    -1,    -1,    -1,    -1,  4228,  4229,
      -1,    -1,    -1,  4233,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4255,  2262,    -1,    -1,    -1,
      -1,    -1,  1775,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1787,  1788,    -1,  2283,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2296,  1804,    -1,    -1,    -1,    -1,  1809,  1810,  4298,    -1,
      -1,    -1,  2308,    -1,    -1,    -1,    -1,    -1,    -1,  4309,
      -1,    -1,    -1,    -1,  4314,    -1,    -1,    -1,    -1,    -1,
    4320,    -1,    -1,    -1,    -1,    -1,  1037,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2182,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2348,  2349,    -1,  2193,    -1,    -1,    -1,    -1,
    4350,    -1,  1063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4360,  2209,    -1,  4363,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1887,    -1,  1889,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1899,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4398,    -1,
    4400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2262,    -1,    -1,  4417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4444,    -1,    -1,    -1,  2296,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2308,    -1,    -1,    -1,    -1,  1978,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1988,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2348,  2349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2454,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2466,    -1,  2468,    -1,  2470,    -1,    -1,  2473,  2474,
    2475,    -1,    -1,    -1,    -1,    -1,  2481,    -1,    -1,  2484,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2499,  2500,  2501,    -1,  2071,    -1,
      -1,    -1,  2075,  2076,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4687,  1399,    -1,
    4690,    -1,  4692,    -1,    -1,    -1,    -1,    -1,    -1,  1410,
      -1,    -1,    -1,    -1,    -1,  4705,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2659,  1426,    -1,  4717,    -1,    -1,
      -1,  4721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4740,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2699,    -1,    -1,    -1,  4758,    -1,
      -1,    -1,    -1,    -1,  4764,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4789,
      -1,    -1,    -1,  4793,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1517,  2752,  4808,  4809,
    4810,  4811,    -1,    -1,    -1,    -1,    -1,    -1,  4818,  4819,
    4820,  4821,    -1,    -1,    -1,    -1,    -1,  4827,  4828,    -1,
      -1,    -1,    -1,  4833,  4834,    -1,  4836,  4837,  4838,  4839,
    4840,  4841,  4842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4852,    -1,    -1,    -1,  4856,  4857,  4858,  4859,
      -1,    -1,    -1,  2376,    -1,  2378,    -1,    -1,    -1,  2382,
      -1,  2384,    -1,    -1,  2387,    -1,    -1,    -1,  2391,    -1,
    4880,    -1,    -1,  2396,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4898,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1651,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4974,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,
    2935,    -1,  2937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2947,    -1,    -1,  2950,    -1,  5007,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5029,
      -1,  5031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5039,
    5040,  5041,  5042,  5043,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5054,    -1,    -1,    -1,    -1,    -1,
      -1,  3006,    -1,    -1,    -1,  3010,    -1,    -1,  3013,    -1,
    3015,    -1,    -1,  3018,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1037,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3042,  3043,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3125,
      -1,    -1,    -1,  3129,  3130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3189,    -1,    -1,    -1,    -1,    -1,  3195,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1932,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3236,  3176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5265,  5266,  5267,    -1,    -1,
      -1,  5271,  5272,  5273,  5274,    -1,    -1,  3125,  5278,    -1,
      -1,  3129,  3130,    -1,    -1,    -1,    -1,    -1,    -1,  2000,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5314,  5315,  5316,  5317,  5318,    -1,
    5320,  5321,    -1,    -1,    -1,    -1,  2037,    -1,    -1,    -1,
      -1,    -1,  5332,  5333,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3189,    -1,    -1,    -1,    -1,    -1,  3195,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2070,
      -1,    -1,    -1,    -1,    -1,    -1,  5366,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5374,  5375,    -1,  5377,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2946,    -1,    -1,    -1,  3443,    -1,    -1,
    2953,    -1,    -1,    -1,    -1,    -1,  1399,    -1,    -1,    -1,
    2963,    -1,    -1,    -1,    -1,    -1,    -1,  1410,    -1,    -1,
      -1,    -1,    -1,    -1,  3409,  3410,  3411,    -1,  5468,    -1,
    3415,  2182,    -1,  1426,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3442,  2209,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3516,    -1,    -1,    -1,  3520,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5544,    -1,    -1,    -1,    -1,    -1,
      -1,  2262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1517,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2283,    -1,    -1,    -1,    -1,    -1,  3091,    -1,
      -1,    -1,  3095,    -1,    -1,  2296,    -1,    -1,  3101,    -1,
    3103,    -1,    -1,  3106,    -1,  3443,    -1,  2308,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5632,    -1,    -1,    -1,    -1,  2348,  2349,    -1,
      -1,    -1,  3155,    -1,    -1,    -1,    -1,  5647,    -1,    -1,
    3656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3671,    -1,    -1,  3516,    -1,
    3676,    -1,  3520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1651,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5728,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3684,
      -1,    -1,    -1,    -1,  3689,    -1,    -1,  5747,    -1,    -1,
      -1,    -1,    -1,  5753,  5754,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5763,    -1,    -1,    -1,    -1,    -1,    -1,
    5770,    -1,  3717,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3728,    -1,  3730,  3731,  2498,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3744,
      -1,    -1,  3747,    -1,  3749,  5805,  5806,    -1,  3656,    -1,
      -1,    -1,    -1,  3326,    -1,    -1,    -1,    -1,  5818,    -1,
    5820,  3334,    -1,  3671,  3337,    -1,    -1,    -1,  3676,    -1,
      -1,    -1,    -1,    -1,    -1,  5835,  3349,    -1,  3783,    -1,
    3785,    -1,  3787,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5860,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3849,  5905,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3921,  5916,    -1,  3924,  3864,
    3926,    -1,    -1,    -1,    -1,  3931,    -1,    -1,    -1,    -1,
      -1,    -1,  5932,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5956,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5966,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3980,    -1,    -1,    -1,    -1,  1932,
      -1,    -1,  3988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4013,  3953,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6033,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2000,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3921,    -1,    -1,  3924,  4083,  3926,  4085,
      -1,    -1,    -1,  3931,  2037,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3611,  3612,
      -1,    -1,    -1,    -1,  6104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3629,  2070,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6131,  3980,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1756,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4013,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4179,    -1,    -1,    -1,    -1,  6178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4221,    -1,    -1,    -1,  1825,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2182,
      -1,    -1,    -1,    -1,    -1,  4083,    -1,  4085,    -1,    -1,
    2193,    -1,    -1,  4249,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6251,    -1,    -1,    -1,    -1,  2209,    -1,    -1,    -1,
      -1,  4206,    -1,    -1,    -1,    -1,    -1,  4212,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2262,
      -1,    -1,    -1,  4319,  3827,    -1,    -1,    -1,    -1,  3832,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2283,  4179,    -1,    -1,    -1,  4341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2296,    -1,    -1,  4291,    -1,    -1,    -1,
    6350,    -1,    -1,    -1,    -1,  2308,    -1,    -1,    -1,  4365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6382,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6393,    -1,  2348,  2349,    -1,    -1,    -1,
      -1,  4249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3125,    -1,    -1,    -1,  3129,  3130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4319,    -1,    -1,    -1,    -1,    -1,    -1,  3189,    -1,
      -1,    -1,    -1,    -1,  3195,  4491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4341,  6494,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4516,    -1,    -1,    -1,    -1,    -1,    -1,  4365,    -1,    -1,
    4465,    -1,    -1,    -1,    -1,  3236,    -1,    -1,    -1,  4474,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4482,    -1,  4484,
      -1,    -1,    -1,    -1,    -1,  2498,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2159,    -1,    -1,    -1,  2163,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4511,  4512,  4513,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4530,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4538,    -1,    -1,  4541,    -1,  4543,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4553,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4561,  4562,    -1,    -1,
    4468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4491,    -1,    -1,  4591,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4671,    -1,    -1,  4516,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4638,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3443,    -1,    -1,    -1,  4249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4761,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4787,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4314,    -1,    -1,    -1,  3516,    -1,    -1,    -1,  3520,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4671,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2452,    -1,    -1,    -1,
    4363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2467,    -1,    -1,    -1,  2471,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2486,  2487,  2488,    -1,    -1,  2491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4761,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4929,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4787,
      -1,  4454,    -1,    -1,    -1,  3656,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3671,    -1,    -1,    -1,    -1,  3676,    -1,    -1,    -1,    -1,
      -1,    -1,  4978,    -1,    -1,  4981,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4982,  4983,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4993,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5129,    -1,    -1,    -1,    -1,    -1,    -1,
    4978,  5076,    -1,  4981,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5087,    -1,    -1,    -1,    -1,  4660,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3125,    -1,    -1,    -1,  3129,  3130,    -1,    -1,
      -1,  5126,  5127,    -1,    -1,    -1,    -1,    -1,  5133,  5134,
      -1,    -1,    -1,  5138,    -1,    -1,    -1,  5142,    -1,    -1,
    5145,  5146,    -1,    -1,    -1,  5150,    -1,    -1,    -1,    -1,
    3921,  5156,    -1,  3924,    -1,  3926,    -1,    -1,    -1,    -1,
    3931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3189,    -1,    -1,    -1,
      -1,    -1,  3195,    -1,    -1,    -1,    -1,    -1,  4761,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5264,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5213,  3980,
      -1,    -1,    -1,    -1,  4787,    -1,  5221,  3988,    -1,    -1,
      -1,  5129,    -1,  3236,    -1,    -1,    -1,    -1,  4801,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5302,    -1,    -1,  4812,
      -1,  5246,  4013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5324,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2945,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4083,    -1,  4085,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5347,    -1,    -1,    -1,    -1,    -1,    -1,  5354,
      -1,    -1,    -1,    -1,    -1,    -1,  5264,    -1,    -1,    -1,
      -1,    -1,    -1,  3029,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3041,    -1,    -1,    -1,    -1,
    3046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4978,    -1,    -1,  4179,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5324,  5422,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4221,    -1,  5518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5045,    -1,    -1,    -1,    -1,    -1,  4249,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5396,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3516,    -1,    -1,    -1,  3520,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4319,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4341,    -1,  5577,    -1,    -1,    -1,    -1,    -1,  5583,  5584,
    5585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4365,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5608,  5609,    -1,    -1,  5612,    -1,    -1,
    5518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5200,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3656,    -1,  5650,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3671,    -1,
    5726,    -1,    -1,  3676,    -1,    -1,    -1,    -1,    -1,  5674,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4468,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5285,    -1,    -1,    -1,    -1,    -1,  5291,    -1,
    4491,    -1,  5295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4516,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5846,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5726,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5918,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5882,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4671,  5967,    -1,  5908,    -1,    -1,  5972,  5973,  3921,    -1,
      -1,  3924,    -1,  3926,  5919,    -1,    -1,    -1,  3931,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5846,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3980,    -1,    -1,
      -1,    -1,  5977,    -1,    -1,  3988,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4761,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5918,    -1,    -1,    -1,  6019,    -1,  4787,    -1,    -1,    -1,
    6086,  3687,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3707,  3708,    -1,  3710,    -1,    -1,    -1,    -1,  3715,
    3716,    -1,  3718,    -1,  3720,    -1,    -1,    -1,  3724,  5967,
      -1,  3727,    -1,    -1,  5972,  5973,  3732,    -1,    -1,    -1,
    4083,    -1,  4085,    -1,    -1,  3741,    -1,    -1,    -1,    -1,
    3746,    -1,    -1,    -1,    -1,    -1,    -1,  3753,  3754,  3755,
    3756,  5664,    -1,    -1,  3760,  3761,    -1,  3763,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6111,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3780,    -1,  3782,    -1,    -1,    -1,
      -1,    -1,    -1,  3789,  3790,  3791,  3792,  3793,  3794,  3795,
    3796,  3797,  3798,    -1,    -1,    -1,  6141,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5726,    -1,    -1,    -1,    -1,  4929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4179,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6180,  3842,    -1,  6086,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4978,  4221,    -1,
    4981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5820,    -1,    -1,
    6316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6303,  6304,
    6305,    -1,  3968,    -1,    -1,    -1,  4319,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4341,    -1,
    6335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4365,    -1,    -1,    -1,    -1,    -1,  5129,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6316,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6429,    -1,  5999,  6432,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6452,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4468,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5264,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4516,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5302,    -1,    -1,  6107,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4210,  4211,    -1,    -1,    -1,  4215,
      -1,    -1,    -1,  5324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6603,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6614,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5396,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       6,     7,    -1,     9,    10,    11,    -1,    -1,    -1,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,  4671,    25,
      26,    -1,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,  6680,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5518,  4761,    -1,
      -1,   117,    -1,    -1,    -1,   121,   122,   123,   124,   125,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   139,  4787,    -1,    -1,    -1,    -1,    -1,
     146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4464,    -1,
      -1,    -1,   168,    -1,  4470,    -1,    -1,    -1,    -1,   175,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   185,
     186,    -1,  4488,  4489,    -1,    -1,  4492,  4493,  4494,  4495,
      -1,    -1,  4498,  4499,  4500,  4501,  4502,  4503,  4504,  4505,
    4506,  4507,  4508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,
      -1,    -1,   228,    -1,    -1,  4531,    -1,    -1,  4534,   235,
    4536,    -1,    -1,  4539,  4540,   241,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,   250,    -1,   252,    -1,    -1,  4555,
    4556,  4557,  4558,    -1,  4560,   261,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     276,   277,    -1,    -1,    -1,    -1,  4929,   283,    -1,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   300,   301,    -1,   303,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5726,    -1,    -1,    -1,    -1,
      -1,    -1,   328,   329,   330,  4978,    -1,    -1,  4981,    -1,
      -1,    -1,   338,   339,    -1,    -1,    -1,    -1,   344,    -1,
      -1,   347,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,
     366,    -1,   368,   369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4680,    -1,    -1,   383,    -1,   385,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   400,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,
      -1,    -1,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5846,    -1,    -1,    -1,    -1,
      -1,   447,    -1,    -1,   450,    -1,    -1,   453,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,
     476,    -1,    -1,    -1,    -1,    -1,  5129,    -1,   484,   485,
      -1,    -1,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5918,    -1,    -1,
      -1,   517,    -1,    -1,   520,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5967,    -1,    -1,    -1,
      -1,  5972,  5973,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4899,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4942,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5324,    -1,    -1,    -1,  6086,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     6,     7,    -1,     9,
      10,    11,    -1,    -1,    -1,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    -1,    -1,    -1,
      30,    31,    32,    33,    -1,    35,    36,    37,    38,    -1,
      40,    41,    42,  5396,    -1,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    -1,    69,
      -1,  5077,    -1,    73,    -1,  5081,    -1,  5083,  5084,    -1,
      -1,    -1,    -1,  5089,  5090,  5091,  5092,    -1,    -1,    -1,
    5096,  5097,  5098,  5099,  5100,  5101,  5102,  5103,  5104,  5105,
    5106,  5107,  5108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,
      -1,   121,   122,   123,   124,   125,  5132,    -1,    -1,  5135,
      -1,  5137,    -1,    -1,  5140,    -1,    -1,  5143,  5144,   139,
      -1,  5147,  5148,    -1,    -1,    -1,   146,    -1,   148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   156,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5518,    -1,    -1,   168,    -1,
      -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   185,   186,    -1,  5194,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6316,  5212,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,
    5226,    -1,    -1,   223,    -1,    -1,    -1,    -1,   228,    -1,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,   241,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,
     250,    -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   276,   277,    -1,    -1,
      -1,    -1,    -1,   283,    -1,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     300,   301,    -1,   303,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,   329,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,   339,
      -1,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,   349,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   365,   366,    -1,   368,   369,
      -1,    -1,    -1,  5726,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   383,    -1,   385,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5425,
      -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,   428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,    -1,    -1,
     450,    -1,    -1,   453,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   469,
      -1,    -1,    -1,    -1,    -1,    -1,   476,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,   485,    -1,    -1,    -1,    -1,
     490,    -1,   492,  5846,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   502,    -1,    -1,    -1,    -1,  5513,  5514,    -1,
      -1,    -1,    -1,    -1,    -1,  5521,    -1,   517,    -1,    -1,
     520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5918,    -1,  5573,    -1,    -1,
      -1,    -1,    -1,  5579,  5580,    -1,    -1,   577,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5598,    -1,  5600,    -1,    -1,    -1,  5604,  5605,
    5606,  5607,    -1,    -1,  5610,  5611,    -1,    -1,    -1,  5615,
      -1,    -1,    -1,  5619,  5967,    -1,    -1,    -1,    -1,  5972,
    5973,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5673,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5684,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6086,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5748,    -1,  5750,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5785,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5875,
      -1,  5877,  5878,  5879,  5880,  5881,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5892,  5893,  5894,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5902,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5920,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,  5939,    -1,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,  6316,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
      -1,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   114,    -1,    -1,   117,    -1,    -1,   120,
     121,   122,   123,   124,   125,    -1,    -1,    -1,    -1,   130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,
      -1,   142,    -1,   144,   145,   146,    -1,   148,    -1,    -1,
     151,    -1,   153,    -1,    -1,   156,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   165,    -1,   167,   168,    -1,    -1,
      -1,    -1,    -1,    -1,   175,    -1,  6112,    -1,    -1,    -1,
      -1,   182,    -1,   184,   185,   186,   187,  6123,    -1,    -1,
    6126,    -1,   193,    -1,  6130,    -1,    -1,    -1,    -1,    -1,
      -1,   202,    -1,   204,    -1,    -1,    -1,   208,    -1,    -1,
      -1,    -1,  6148,   214,   215,    -1,    -1,    -1,    -1,    -1,
      -1,   222,   223,   224,    -1,    -1,    -1,   228,    -1,    -1,
     231,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,
     241,    -1,   243,    -1,    -1,    -1,    -1,   248,    -1,   250,
      -1,   252,    -1,    -1,    -1,  6191,    -1,    -1,    -1,    -1,
     261,    -1,    -1,    -1,   265,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   276,   277,    -1,    -1,   280,
      -1,    -1,   283,    -1,   285,    -1,    -1,   288,   289,    -1,
     291,  6227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,
     301,    -1,   303,    -1,   305,   306,    -1,    -1,    -1,    -1,
     311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,    -1,
      -1,    -1,    -1,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,   339,    -1,
      -1,    -1,   343,   344,    -1,    -1,   347,    -1,   349,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6298,    -1,   365,   366,    -1,   368,   369,    -1,
      -1,    -1,    -1,    -1,  6310,    -1,  6312,    -1,    -1,    -1,
      -1,    -1,   383,    -1,   385,    -1,   387,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   400,
     401,    -1,    -1,    -1,    -1,    -1,   407,   408,    -1,   410,
      -1,    -1,    -1,  6349,   415,    -1,    -1,    -1,    -1,    -1,
     421,   422,    -1,   424,    -1,    -1,    -1,   428,    -1,    -1,
     431,    -1,    -1,    -1,    -1,    -1,   437,   438,    -1,    -1,
      -1,    -1,    -1,    -1,   445,    -1,   447,    -1,   449,   450,
      -1,    -1,   453,    -1,    -1,    -1,    -1,    -1,   459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   469,    -1,
      -1,    -1,    -1,   474,    -1,   476,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   484,   485,    -1,    -1,    -1,    -1,   490,
      -1,   492,    -1,   494,    -1,   496,    -1,    -1,    -1,  6435,
      -1,   502,    -1,    -1,   505,    -1,    -1,   508,    -1,    -1,
     511,    -1,    -1,    -1,    -1,   516,   517,    -1,    -1,   520,
      -1,    -1,    -1,    -1,    -1,  6461,    -1,    -1,   529,    -1,
      -1,    -1,    -1,    -1,    -1,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,    -1,    -1,    -1,    -1,
      -1,   552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6503,    -1,   570,
      -1,    -1,    -1,   574,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6544,    -1,
      -1,    -1,    -1,  6549,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,  6609,    -1,    -1,  6612,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6648,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,    -1,    -1,    -1,     6,     7,    -1,     9,
      10,    11,    -1,    -1,    -1,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    -1,    -1,   576,
      30,    31,    32,    33,    -1,    35,    36,    37,    38,    -1,
      40,    41,    42,    -1,    -1,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    -1,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,
      -1,   121,   122,   123,   124,   125,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,
      -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,   148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   156,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   168,    -1,
      -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   185,   186,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   223,    -1,    -1,    -1,    -1,   228,    -1,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,   241,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,
     250,    -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   276,   277,    -1,    -1,
      -1,    -1,    -1,   283,    -1,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     300,   301,    -1,   303,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,   329,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,   339,
      -1,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,   349,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   365,   366,    -1,   368,   369,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   383,    -1,   385,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,   428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,    -1,    -1,
     450,    -1,    -1,   453,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   469,
      -1,    -1,    -1,    -1,    -1,    -1,   476,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,   485,    -1,    -1,    -1,    -1,
     490,    -1,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,    -1,    -1,
     520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,    -1,    -1,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,   577,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,    -1,    -1,    -1,   106,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,    -1,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,   476,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,   503,   504,   505,   506,   507,   508,   509,    -1,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   561,
     562,   563,    -1,    -1,    -1,    -1,    -1,    -1,   570,   571,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,   106,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,   249,   250,    -1,   252,   253,   254,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,    -1,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,   503,   504,
     505,   506,   507,   508,   509,    -1,   511,   512,   513,   514,
     515,   516,   517,    -1,   519,   520,   521,   522,   523,   524,
      -1,    -1,   527,    -1,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   561,   562,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   570,   571,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,   106,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,    -1,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,   476,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,   503,   504,   505,   506,   507,
     508,   509,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,   520,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   561,   562,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   570,   571,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,   106,    -1,    -1,   109,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,    -1,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,    -1,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,   236,    -1,   238,    -1,   240,
     241,    -1,   243,   244,   245,   246,   247,    -1,   249,   250,
      -1,   252,   253,   254,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,    -1,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,    -1,    -1,   358,   359,   360,
      -1,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,    -1,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,    -1,    -1,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,    -1,   503,   504,   505,   506,   507,   508,   509,    -1,
     511,   512,   513,   514,   515,   516,   517,    -1,   519,   520,
     521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     561,   562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   570,
     571,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,   106,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
      -1,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,   476,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,   503,
     504,   505,   506,   507,   508,   509,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,   520,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   561,   562,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   570,   571,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,    -1,    -1,    -1,   175,    -1,
      -1,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,    -1,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,    -1,   215,   216,
     217,    -1,   219,   220,   221,   222,    -1,   224,   225,   226,
     227,    -1,    -1,   230,    -1,   232,   233,   234,   235,   236,
      -1,   238,    -1,   240,   241,    -1,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,    -1,   253,   254,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,    -1,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,    -1,   299,    -1,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,    -1,    -1,   340,    -1,   342,   343,   344,   345,    -1,
      -1,   348,   349,   350,   351,   352,    -1,   354,   355,    -1,
      -1,   358,   359,   360,    -1,    -1,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,   426,
     427,    -1,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,    -1,   470,    -1,   472,   473,    -1,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,    -1,
      -1,   488,   489,    -1,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,    -1,    -1,   511,   512,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,   523,   524,    -1,    -1,
     527,    -1,    -1,   530,   531,   532,   533,   534,   535,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     547,   548,   549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   571,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,    -1,
      -1,    -1,   175,    -1,    -1,    -1,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
      -1,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,    -1,   215,   216,   217,    -1,   219,   220,   221,   222,
      -1,   224,   225,   226,   227,    -1,    -1,   230,    -1,   232,
     233,   234,   235,   236,    -1,   238,    -1,   240,   241,    -1,
     243,   244,   245,   246,   247,    -1,   249,    -1,    -1,    -1,
     253,   254,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,    -1,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,    -1,   299,    -1,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,    -1,    -1,   340,    -1,   342,
     343,   344,   345,    -1,    -1,   348,   349,   350,   351,   352,
      -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
      -1,   384,    -1,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,   426,   427,    -1,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,    -1,   470,    -1,   472,
     473,    -1,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,    -1,    -1,   488,   489,    -1,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,   501,    -1,
      -1,   504,   505,   506,   507,   508,    -1,    -1,   511,   512,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
     523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,
     533,   534,   535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   547,   548,   549,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   571,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,   106,    -1,    -1,
     109,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,    -1,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,    -1,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,   236,    -1,   238,
      -1,   240,   241,    -1,   243,   244,   245,   246,   247,    -1,
     249,   250,    -1,   252,   253,   254,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,    -1,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,    -1,    -1,   358,
     359,   360,    -1,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,    -1,    -1,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,    -1,   503,   504,   505,   506,   507,   508,
     509,    -1,   511,   512,   513,   514,   515,   516,   517,    -1,
     519,   520,   521,   522,   523,   524,    -1,    -1,   527,    -1,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   561,   562,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   570,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,   106,    -1,    -1,   109,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
      -1,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,    -1,   215,   216,   217,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,    -1,   252,
     253,   254,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,    -1,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,    -1,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,    -1,
     503,   504,   505,   506,   507,   508,   509,    -1,   511,   512,
     513,   514,   515,   516,   517,    -1,   519,   520,   521,   522,
     523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   561,   562,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   570,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,    -1,    -1,   105,   106,
      -1,    -1,   109,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,    -1,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,    -1,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,   236,
      -1,   238,    -1,   240,   241,    -1,   243,   244,   245,   246,
     247,    -1,   249,   250,    -1,   252,   253,   254,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,    -1,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,    -1,
      -1,   358,   359,   360,    -1,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,    -1,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,    -1,
      -1,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,    -1,   503,   504,   505,   506,
     507,   508,   509,    -1,   511,   512,   513,   514,   515,   516,
     517,    -1,   519,   520,   521,   522,   523,   524,    -1,    -1,
     527,    -1,    -1,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   561,   562,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   570,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,    -1,    -1,   105,   106,    -1,    -1,   109,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,    -1,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,    -1,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,   236,    -1,   238,    -1,   240,
     241,    -1,   243,   244,   245,   246,   247,    -1,   249,   250,
      -1,   252,   253,   254,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,    -1,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,    -1,    -1,   358,   359,   360,
      -1,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,    -1,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,    -1,    -1,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,    -1,   503,   504,   505,   506,   507,   508,   509,    -1,
     511,   512,   513,   514,   515,   516,   517,    -1,   519,   520,
     521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     561,   562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   570,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,   106,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,   249,   250,    -1,   252,   253,   254,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,    -1,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,   503,   504,
     505,   506,   507,   508,   509,    -1,   511,   512,   513,   514,
     515,   516,   517,    -1,   519,   520,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   561,   562,    -1,    -1,
      -1,    -1,    -1,   568,   569,   570,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,   106,    -1,    -1,
     109,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,    -1,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,    -1,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,   236,    -1,   238,
      -1,   240,   241,    -1,   243,   244,   245,   246,   247,    -1,
     249,   250,    -1,   252,   253,   254,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,    -1,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,    -1,    -1,   358,
     359,   360,    -1,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,    -1,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,    -1,    -1,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,    -1,   503,   504,   505,   506,   507,   508,
     509,    -1,   511,   512,   513,   514,   515,   516,   517,    -1,
     519,   520,   521,   522,   523,   524,    -1,    -1,   527,    -1,
      -1,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   561,   562,   563,    -1,    -1,    -1,    -1,    -1,
      -1,   570,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
      -1,    -1,    -1,   106,    -1,    -1,   109,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
      -1,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,    -1,   215,   216,   217,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,   236,    -1,   238,    -1,   240,   241,    -1,
     243,   244,   245,   246,   247,    -1,   249,   250,    -1,   252,
     253,   254,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,    -1,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,    -1,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,    -1,    -1,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,    -1,
     503,   504,   505,   506,   507,   508,   509,    -1,   511,   512,
     513,   514,   515,   516,   517,    -1,   519,   520,   521,   522,
     523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   561,   562,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   570,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,   106,
      -1,    -1,   109,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,    -1,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,    -1,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,   236,
      -1,   238,    -1,   240,   241,    -1,   243,   244,   245,   246,
     247,    -1,   249,   250,    -1,   252,   253,   254,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,    -1,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,    -1,
      -1,   358,   359,   360,    -1,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,    -1,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,    -1,
      -1,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,    -1,   503,   504,   505,   506,
     507,   508,   509,    -1,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,    -1,    -1,
     527,    -1,    -1,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   561,   562,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   570,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,   106,    -1,    -1,   109,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,    -1,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,    -1,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
      -1,   252,   253,   254,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,    -1,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,    -1,    -1,   358,   359,   360,
      -1,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,    -1,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,    -1,    -1,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,    -1,   503,   504,   505,   506,   507,   508,   509,    -1,
     511,   512,   513,   514,   515,   516,   517,    -1,   519,   520,
     521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     561,   562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   570,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,   106,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,   249,   250,    -1,   252,   253,   254,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,    -1,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,    -1,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,   503,   504,
     505,   506,   507,   508,   509,    -1,   511,   512,   513,   514,
     515,   516,   517,    -1,   519,   520,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   561,   562,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   570,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,   106,    -1,    -1,
     109,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,    -1,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,    -1,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,   236,    -1,   238,
      -1,   240,   241,    -1,   243,   244,   245,   246,   247,    -1,
     249,   250,    -1,   252,   253,   254,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,    -1,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,    -1,    -1,   358,
     359,   360,    -1,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,    -1,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,    -1,    -1,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,    -1,   503,   504,   505,   506,   507,   508,
     509,    -1,   511,   512,   513,   514,   515,   516,   517,    -1,
     519,   520,   521,   522,   523,   524,    -1,    -1,   527,    -1,
      -1,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   561,   562,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   570,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,   106,    -1,    -1,   109,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
      -1,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,    -1,   215,   216,   217,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,   236,    -1,   238,    -1,   240,   241,    -1,
     243,   244,   245,   246,   247,    -1,   249,   250,    -1,   252,
     253,   254,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,    -1,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,    -1,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,    -1,    -1,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,    -1,
     503,   504,   505,   506,   507,   508,   509,    -1,   511,   512,
     513,   514,   515,   516,   517,    -1,   519,   520,   521,   522,
     523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   561,   562,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   570,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,   106,
      -1,    -1,   109,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,    -1,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,    -1,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,   236,
      -1,   238,    -1,   240,   241,    -1,   243,   244,   245,   246,
     247,    -1,   249,   250,    -1,   252,   253,   254,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,    -1,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,    -1,
      -1,   358,   359,   360,    -1,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,    -1,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,    -1,
      -1,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,    -1,   503,   504,   505,   506,
     507,   508,   509,    -1,   511,   512,   513,   514,   515,   516,
     517,    -1,   519,   520,   521,   522,   523,   524,    -1,    -1,
     527,    -1,    -1,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   561,   562,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   570,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,   106,    -1,    -1,   109,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,    -1,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,    -1,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,   236,    -1,   238,    -1,   240,
     241,    -1,   243,   244,   245,   246,   247,    -1,   249,   250,
      -1,   252,   253,   254,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,    -1,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,    -1,    -1,   358,   359,   360,
      -1,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,    -1,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,    -1,    -1,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,    -1,   503,   504,   505,   506,   507,   508,   509,    -1,
     511,   512,   513,   514,   515,   516,   517,    -1,   519,   520,
     521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     561,   562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   570,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,   106,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,   249,   250,    -1,   252,   253,   254,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,    -1,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,   503,   504,
     505,   506,   507,   508,   509,    -1,   511,   512,   513,   514,
     515,   516,   517,    -1,   519,   520,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   561,   562,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   570,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,   106,    -1,    -1,
     109,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,    -1,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,    -1,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,   236,    -1,   238,
      -1,   240,   241,    -1,   243,   244,   245,   246,   247,    -1,
     249,   250,    -1,   252,   253,   254,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,    -1,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,    -1,    -1,   358,
     359,   360,    -1,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,    -1,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,    -1,    -1,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,    -1,   503,   504,   505,   506,   507,   508,
     509,    -1,   511,   512,   513,   514,   515,   516,   517,    -1,
     519,   520,   521,   522,   523,   524,    -1,    -1,   527,    -1,
      -1,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   561,   562,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   570,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,   106,    -1,    -1,   109,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
      -1,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,    -1,   215,   216,   217,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,   236,    -1,   238,    -1,   240,   241,    -1,
     243,   244,   245,   246,   247,    -1,   249,   250,    -1,   252,
     253,   254,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,    -1,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,    -1,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,    -1,    -1,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,    -1,
     503,   504,   505,   506,   507,   508,   509,    -1,   511,   512,
     513,   514,   515,   516,   517,    -1,   519,   520,   521,   522,
     523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   561,   562,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   570,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,   106,
      -1,    -1,   109,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,    -1,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,    -1,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,   236,
      -1,   238,    -1,   240,   241,    -1,   243,   244,   245,   246,
     247,    -1,   249,   250,    -1,   252,   253,   254,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,    -1,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,    -1,
      -1,   358,   359,   360,    -1,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,    -1,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,    -1,
      -1,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,    -1,   503,   504,   505,   506,
     507,   508,   509,    -1,   511,   512,   513,   514,   515,   516,
     517,    -1,   519,   520,   521,   522,   523,   524,    -1,    -1,
     527,    -1,    -1,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   561,   562,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   570,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,   106,    -1,    -1,   109,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,    -1,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,    -1,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,   236,    -1,   238,    -1,   240,
     241,    -1,   243,   244,   245,   246,   247,    -1,   249,   250,
      -1,   252,   253,   254,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,    -1,   285,    -1,   287,    -1,    -1,   290,
     291,   292,   293,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,    -1,    -1,   358,   359,   360,
      -1,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,    -1,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,    -1,    -1,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,    -1,   503,   504,   505,   506,   507,   508,   509,    -1,
     511,   512,   513,   514,   515,   516,   517,    -1,   519,   520,
     521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     561,   562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   570,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,   106,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,   249,   250,    -1,   252,   253,   254,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,    -1,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,    -1,   511,   512,   513,   514,
     515,   516,   517,    -1,   519,   520,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   561,   562,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   570,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,   106,    -1,    -1,
     109,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,    -1,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,    -1,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,   236,    -1,   238,
      -1,   240,   241,    -1,   243,   244,   245,   246,   247,    -1,
     249,   250,    -1,   252,   253,   254,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,    -1,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,    -1,    -1,   358,
     359,   360,    -1,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,    -1,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,    -1,    -1,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
     509,    -1,   511,   512,   513,   514,   515,   516,   517,    -1,
     519,   520,   521,   522,   523,   524,    -1,    -1,   527,    -1,
      -1,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   561,   562,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   570,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    -1,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,   106,    -1,    -1,   109,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
      -1,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,    -1,   215,   216,   217,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,    -1,   232,
     233,   234,   235,   236,    -1,   238,    -1,   240,   241,    -1,
     243,   244,   245,   246,   247,    -1,   249,   250,    -1,   252,
     253,   254,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,    -1,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,    -1,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,    -1,    -1,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,    -1,
      -1,   504,   505,   506,   507,   508,   509,    -1,   511,   512,
     513,   514,   515,   516,   517,    -1,   519,   520,   521,   522,
     523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   561,   562,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   570,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    78,    79,    -1,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,   106,
      -1,    -1,   109,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,    -1,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,   166,
      -1,   168,   169,   170,    -1,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,    -1,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,    -1,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,   232,   233,   234,   235,   236,
      -1,   238,    -1,   240,   241,    -1,   243,   244,   245,   246,
     247,    -1,   249,   250,    -1,   252,   253,   254,    -1,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,    -1,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,    -1,
      -1,   358,   359,   360,    -1,    -1,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,    -1,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,    -1,
      -1,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,   509,    -1,   511,   512,   513,   514,   515,   516,
     517,    -1,   519,   520,   521,   522,   523,   524,    -1,    -1,
     527,    -1,    -1,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,   570,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    -1,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,   106,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
      -1,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,   476,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,   509,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,   520,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   570,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    -1,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,   106,    -1,    -1,   109,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,    -1,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,    -1,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,    -1,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,    -1,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,   236,    -1,   238,    -1,   240,
     241,    -1,   243,   244,   245,   246,   247,    -1,   249,   250,
      -1,   252,   253,   254,    -1,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,    -1,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,    -1,    -1,   358,   359,   360,
      -1,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,    -1,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,    -1,    -1,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,   509,    -1,
     511,   512,   513,   514,   515,   516,   517,    -1,   519,   520,
     521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,   570,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,   357,
     358,   359,   360,    -1,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,   509,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,   520,   521,   522,   523,   524,    -1,    -1,   527,
      -1,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,    -1,    -1,   552,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,   570,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,   249,   250,    -1,   252,   253,   254,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,    -1,   283,    -1,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,   357,   358,   359,   360,    -1,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,    -1,   511,   512,   513,   514,
     515,   516,   517,    -1,   519,   520,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,   570,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,   276,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,   476,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,   509,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,   520,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   570,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,    -1,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,    -1,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,   234,   235,   236,    -1,   238,
      -1,   240,   241,    -1,   243,   244,   245,   246,   247,    -1,
     249,   250,    -1,   252,   253,   254,    -1,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,    -1,   283,    -1,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,    -1,    -1,   358,
     359,   360,    -1,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,    -1,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,    -1,    -1,   488,
     489,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
     509,    -1,   511,   512,   513,   514,   515,   516,   517,    -1,
     519,   520,   521,   522,   523,   524,    -1,    -1,   527,    -1,
      -1,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,   570,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
     476,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,   509,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,   520,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   570,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,    -1,   127,   128,   129,   130,   131,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
     163,   164,   165,   166,    -1,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,   200,   201,   202,
      -1,    -1,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,    -1,   215,   216,   217,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,   234,   235,   236,    -1,   238,    -1,   240,   241,    -1,
     243,   244,   245,   246,   247,    -1,   249,   250,    -1,   252,
     253,   254,    -1,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,    -1,
     283,    -1,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,    -1,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,    -1,    -1,   488,   489,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,   500,   501,    -1,
      -1,   504,   505,   506,   507,   508,   509,    -1,   511,   512,
     513,   514,   515,   516,   517,    -1,   519,   520,   521,   522,
     523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,   570,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
     520,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
     570,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,   107,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,   243,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,   276,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,   291,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,   571,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,   111,    -1,   113,   114,   115,   116,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,    -1,
     127,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,   166,
      -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,    -1,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,    -1,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,   234,   235,   236,
      -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,
     247,    -1,   249,   250,    -1,   252,   253,   254,    -1,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,    -1,   275,    -1,
     277,    -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,
     287,    -1,    -1,   290,    -1,   292,   293,   294,   295,   296,
      -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,   345,    -1,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,    -1,
      -1,   358,   359,   360,    -1,    -1,   363,   364,   365,    -1,
     367,    -1,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,    -1,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,    -1,
      -1,   488,   489,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,    -1,    -1,   511,   512,   513,   514,   515,   516,
     517,    -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,
     527,    -1,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,    -1,    -1,   552,    -1,    -1,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,   570,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,    -1,    -1,   552,    -1,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   570,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
     111,    -1,   113,   114,   115,   116,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,    -1,   127,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,   155,    -1,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,    -1,    -1,   169,   170,
      -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,    -1,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,    -1,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,   234,   235,   236,    -1,   238,    -1,   240,
      -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,   250,
      -1,   252,   253,   254,    -1,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,    -1,   279,   280,
     281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,
      -1,   292,   293,   294,   295,   296,    -1,    -1,   299,   300,
      -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,   345,    -1,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,    -1,   357,   358,   359,   360,
      -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,    -1,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,    -1,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,    -1,    -1,   488,   489,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,
     511,   512,   513,   514,   515,   516,   517,    -1,   519,    -1,
     521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,   570,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    76,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,
     245,   246,   247,    -1,   249,   250,    -1,   252,   253,   254,
      -1,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,    -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,
     285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,
     295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
     345,    -1,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
     365,    -1,   367,    -1,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,    -1,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,    -1,
     475,    -1,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,    -1,    -1,   511,   512,   513,   514,
     515,   516,   517,    -1,   519,    -1,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,   569,   570,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    76,    -1,    -1,    -1,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,   570,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,   570,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
     570,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,   570,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,   570,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    -1,    -1,    80,    81,    -1,    -1,    -1,
      -1,    -1,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,    -1,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    -1,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
      -1,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,    -1,   491,    -1,   493,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   547,   548,   549,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   558,   559,   560,   561,   562,   563,   564,
     565,   566,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    -1,    -1,    80,    81,    -1,
      -1,    -1,    -1,    -1,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    -1,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,    -1,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,    -1,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,    -1,   491,    -1,
     493,   494,   495,   496,   497,   498,   499,   500,   501,    -1,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   547,   548,   549,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   558,   559,   560,   561,   562,
     563,   564,   565,   566,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   558,   559,   560,   561,
     562,   563,   564,   565,   566,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    -1,    99,   100,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,
     111,    -1,   113,   114,   115,   116,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,    -1,   127,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,   155,    -1,   157,   158,   159,    -1,
     161,   162,   163,   164,   165,   166,    -1,    -1,   169,   170,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,
     181,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,    -1,    -1,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,    -1,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,   234,   235,   236,    -1,   238,    -1,   240,
      -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,   250,
      -1,   252,   253,   254,    -1,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,    -1,   279,   280,
     281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,
      -1,   292,   293,   294,   295,   296,    -1,    -1,   299,   300,
      -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,   345,    -1,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,    -1,    -1,   358,   359,   360,
      -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,    -1,
     451,   452,   453,   454,    -1,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,    -1,   475,    -1,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,    -1,    -1,   488,   489,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,
     511,   512,   513,   514,   515,   516,   517,    -1,   519,    -1,
     521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,   559,   560,
     561,   562,   563,   564,   565,   566,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,   559,
     560,   561,   562,   563,   564,   565,   566,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,   111,    -1,   113,   114,   115,   116,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,    -1,   127,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,   155,    -1,   157,   158,
     159,    -1,   161,   162,   163,   164,   165,   166,    -1,    -1,
     169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,    -1,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,    -1,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,   234,   235,   236,    -1,   238,
      -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,
     249,   250,    -1,   252,   253,   254,    -1,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,    -1,
     279,   280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,
      -1,   290,    -1,   292,   293,   294,   295,   296,    -1,    -1,
     299,   300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,   345,    -1,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,    -1,    -1,   358,
     359,   360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,    -1,   451,   452,   453,   454,    -1,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,    -1,   475,    -1,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,    -1,    -1,   488,
     489,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
      -1,    -1,   511,   512,   513,   514,   515,   516,   517,    -1,
     519,    -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,
      -1,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,
     559,   560,   561,   562,   563,   564,   565,   566,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     558,   559,   560,   561,   562,   563,   564,   565,   566,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   109,   110,   111,    -1,   113,   114,   115,   116,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,    -1,
     127,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,   155,    -1,
     157,   158,   159,    -1,   161,   162,   163,   164,   165,   166,
      -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,    -1,    -1,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,    -1,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,   234,   235,   236,
      -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,
     247,    -1,   249,   250,    -1,   252,   253,   254,    -1,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,    -1,   275,    -1,
     277,    -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,
     287,    -1,    -1,   290,    -1,   292,   293,   294,   295,   296,
      -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,   345,    -1,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,    -1,
      -1,   358,   359,   360,    -1,    -1,   363,   364,   365,    -1,
     367,    -1,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,    -1,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,    -1,   475,    -1,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,    -1,
      -1,   488,   489,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,    -1,    -1,   511,   512,   513,   514,   515,   516,
     517,    -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,
     527,    -1,    -1,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   558,   559,   560,   561,   562,   563,   564,   565,   566,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   558,   559,   560,   561,   562,   563,   564,   565,
     566,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,   563,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,    -1,    -1,    -1,   175,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,    -1,   224,   225,   226,   227,
      -1,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,    -1,   253,   254,    -1,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,    -1,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
      -1,   299,    -1,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
      -1,    -1,   340,    -1,   342,   343,   344,   345,    -1,    -1,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,    -1,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,    -1,   470,    -1,   472,   473,    -1,   475,   476,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,    -1,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   547,
     548,   549,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,   563,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,   563,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,   563,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,   242,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
      -1,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,   561,   562,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,    -1,   242,    -1,   244,
     245,   246,   247,    -1,   249,   250,    -1,   252,   253,   254,
      -1,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,    -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,
     285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,
     295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
     345,    -1,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
     365,    -1,   367,    -1,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,    -1,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,    -1,
     475,    -1,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,    -1,    -1,   511,   512,   513,   514,
     515,   516,   517,    -1,   519,    -1,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,    -1,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,   561,   562,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,   242,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
      -1,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,   561,   562,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,    -1,   242,    -1,   244,
     245,   246,   247,    -1,   249,   250,    -1,   252,   253,   254,
      -1,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,    -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,
     285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,
     295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
     345,    -1,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
     365,    -1,   367,    -1,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,    -1,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,    -1,
     475,    -1,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,    -1,    -1,   511,   512,   513,   514,
     515,   516,   517,    -1,   519,    -1,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,    -1,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,   561,   562,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,   486,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     4,
     560,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
     155,    -1,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,
     245,   246,   247,    -1,   249,   250,    -1,   252,   253,   254,
      -1,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,    -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,
     285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,
     295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
     345,    -1,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
     365,    -1,   367,    -1,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,    -1,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,    -1,
     475,    -1,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,    -1,    -1,   511,   512,   513,   514,
     515,   516,   517,    -1,   519,    -1,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    75,    76,    -1,    -1,    -1,
      -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,   249,   250,    -1,   252,   253,   254,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,    -1,   283,    -1,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,    -1,   511,   512,   513,   514,
     515,   516,   517,    -1,   519,   520,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,
      -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,    -1,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
     520,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,    -1,    -1,    -1,
     175,    -1,    -1,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,   249,   250,    -1,   252,   253,   254,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,    -1,   283,    -1,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,    -1,    -1,   511,   512,   513,   514,
     515,   516,   517,    -1,   519,   520,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
     520,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,    -1,    -1,    -1,
     175,    -1,    -1,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,   249,   250,    -1,   252,   253,   254,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,    -1,   283,    -1,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,    -1,    -1,   511,   512,   513,   514,
     515,   516,   517,    -1,   519,   520,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
     520,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,    -1,    -1,    -1,
     175,    -1,    -1,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,   249,   250,    -1,   252,   253,   254,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,    -1,   283,    -1,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,    -1,    -1,   511,   512,   513,   514,
     515,   516,   517,    -1,   519,   520,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,    -1,   224,   225,   226,   227,    -1,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,    -1,   253,   254,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,    -1,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,    -1,   299,
      -1,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,    -1,    -1,
     340,    -1,   342,   343,   344,   345,    -1,    -1,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,    -1,
     470,    -1,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
      -1,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   547,   548,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,    -1,    -1,    -1,
     175,    -1,    -1,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,    -1,   224,
     225,   226,   227,    -1,    -1,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,    -1,   253,   254,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,    -1,    -1,   279,   280,   281,   282,   283,    -1,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,    -1,   299,    -1,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,    -1,   340,    -1,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
      -1,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,    -1,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,    -1,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,    -1,    -1,   511,   512,   513,   514,
     515,    -1,   517,    -1,   519,   520,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   547,   548,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,    -1,   224,   225,   226,   227,    -1,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,    -1,   253,   254,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,   276,    -1,    -1,   279,
     280,   281,   282,   283,    -1,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,    -1,   299,
      -1,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,    -1,   342,   343,   344,   345,    -1,    -1,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,    -1,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,    -1,
     470,    -1,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
      -1,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,    -1,   517,    -1,   519,
     520,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   547,   548,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,    -1,    -1,    -1,
     175,    -1,    -1,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,    -1,   224,
     225,   226,   227,    -1,    -1,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,    -1,   253,   254,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,    -1,    -1,   279,   280,   281,   282,   283,    -1,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,    -1,   299,    -1,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,    -1,   342,   343,   344,
     345,    -1,    -1,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
      -1,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,    -1,   470,    -1,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,    -1,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,    -1,    -1,   511,   512,   513,   514,
     515,    -1,   517,    -1,   519,   520,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   547,   548,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,    -1,   224,   225,   226,   227,    -1,    -1,
     230,    -1,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,    -1,   253,   254,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,   276,    -1,    -1,   279,
     280,   281,   282,   283,    -1,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,    -1,   299,
      -1,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,    -1,    -1,
     340,    -1,   342,   343,   344,   345,    -1,    -1,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,    -1,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,    -1,
     470,    -1,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
      -1,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,    -1,   517,    -1,   519,
     520,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   547,   548,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,    -1,    -1,    -1,
     175,    -1,    -1,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,    -1,   224,
     225,   226,   227,    -1,    -1,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,    -1,   253,   254,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,    -1,    -1,   279,   280,   281,   282,   283,    -1,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,    -1,   299,    -1,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,    -1,   340,    -1,   342,   343,   344,
     345,    -1,    -1,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
      -1,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,    -1,   470,    -1,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,    -1,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,    -1,    -1,   511,   512,   513,   514,
     515,    -1,   517,    -1,   519,   520,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   547,   548,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,    -1,   224,   225,   226,   227,    -1,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,    -1,   253,   254,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,   276,    -1,    -1,   279,
     280,   281,   282,   283,    -1,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,    -1,   299,
      -1,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,    -1,    -1,
     340,    -1,   342,   343,   344,   345,    -1,    -1,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,    -1,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,    -1,
     470,    -1,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
      -1,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,    -1,   517,    -1,   519,
     520,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   547,   548,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,    -1,    -1,    -1,
     175,    -1,    -1,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,    -1,   224,
     225,   226,   227,    -1,    -1,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,    -1,   253,   254,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,    -1,    -1,   279,   280,   281,   282,   283,    -1,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,    -1,   299,    -1,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,    -1,   340,    -1,   342,   343,   344,
     345,    -1,    -1,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
      -1,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,    -1,   470,    -1,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,    -1,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,    -1,    -1,   511,   512,   513,   514,
     515,    -1,   517,    -1,   519,   520,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   547,   548,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,    -1,   224,   225,   226,   227,    -1,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,    -1,   253,   254,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,   276,    -1,    -1,   279,
     280,   281,   282,   283,    -1,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,    -1,   299,
      -1,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,    -1,    -1,
     340,    -1,   342,   343,   344,   345,    -1,    -1,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,    -1,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,    -1,
     470,    -1,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
      -1,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,    -1,   517,    -1,   519,
     520,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   547,   548,   549,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,   127,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,   170,    -1,    -1,    -1,    -1,
     175,    -1,    -1,    -1,   179,   180,   181,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,   200,   201,   202,    -1,    -1,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,    -1,
     215,   216,   217,    -1,   219,   220,   221,   222,    -1,   224,
     225,   226,   227,    -1,    -1,   230,    -1,   232,   233,   234,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,    -1,   253,   254,
      -1,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,    -1,
     275,   276,    -1,    -1,   279,   280,   281,   282,   283,    -1,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,    -1,   299,    -1,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,    -1,   340,    -1,   342,   343,   344,
     345,    -1,    -1,   348,   349,   350,   351,   352,    -1,   354,
     355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,
      -1,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,   441,   442,   443,    -1,
     445,   446,    -1,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,    -1,   470,    -1,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,    -1,    -1,   488,   489,    -1,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,    -1,    -1,   511,   512,   513,   514,
     515,    -1,   517,    -1,   519,   520,   521,   522,   523,   524,
      -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,   534,
     535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   547,   548,   549,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,    -1,   123,    -1,    -1,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,    -1,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,    -1,    -1,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,    -1,   224,   225,   226,   227,    -1,    -1,
     230,    -1,   232,   233,   234,    -1,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,    -1,   253,   254,    -1,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,   276,    -1,    -1,   279,
     280,   281,    -1,    -1,    -1,    -1,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,    -1,   299,
      -1,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,    -1,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,    -1,    -1,
     340,    -1,   342,   343,   344,   345,    -1,    -1,   348,    -1,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,    -1,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,    -1,   448,   449,
     450,   451,   452,    -1,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,    -1,
     470,    -1,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,    -1,    -1,    -1,    -1,   488,   489,
      -1,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,    -1,    -1,    -1,   519,
     520,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,    -1,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,    -1,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,    -1,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,    -1,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,   239,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,   503,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,   239,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,   503,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,   239,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,   503,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,   171,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,   175,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,   357,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,
      76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,   239,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,   175,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,   357,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,   357,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,   509,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,   509,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,   357,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,   357,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    72,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    76,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,   107,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,   107,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,    -1,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,    -1,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,    -1,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,    -1,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,   107,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,    -1,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,   159,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,    -1,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,    -1,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,    -1,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,   155,    -1,   157,   158,    -1,
      -1,   161,   162,   163,   164,   165,   166,    -1,    -1,   169,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,    -1,    -1,    -1,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,    -1,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,    -1,    -1,
     290,    -1,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,    -1,   302,    -1,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,    -1,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
      -1,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,   155,
      -1,   157,   158,    -1,    -1,   161,   162,   163,   164,   165,
     166,    -1,    -1,   169,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,    -1,    -1,    -1,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
      -1,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,    -1,    -1,   290,    -1,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,    -1,   302,    -1,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
      -1,   367,    -1,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,    -1,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,   155,    -1,   157,   158,    -1,    -1,   161,
     162,   163,   164,   165,   166,    -1,    -1,   169,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,    -1,
      -1,    -1,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,    -1,    -1,   290,    -1,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,    -1,
     302,    -1,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,    -1,   367,    -1,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,   516,   517,    -1,   519,    -1,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,   155,    -1,   157,
     158,    -1,    -1,   161,   162,   163,   164,   165,   166,    -1,
      -1,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,    -1,    -1,    -1,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,    -1,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
      -1,    -1,   290,    -1,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,    -1,   302,    -1,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,    -1,   367,
      -1,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,    -1,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,   155,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,    -1,    -1,   169,   170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,    -1,    -1,    -1,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,    -1,
     254,    -1,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,    -1,    -1,   290,    -1,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,    -1,   302,    -1,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,    -1,   367,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,    -1,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     6,     7,    -1,     9,
      10,    11,    -1,    -1,    -1,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    -1,    -1,    -1,
      30,    31,    32,    33,    -1,    35,    36,    37,    38,    39,
      40,    41,    42,    -1,    -1,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    71,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,    -1,
      -1,   121,   122,   123,   124,   125,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,
      -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,   148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   156,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   168,    -1,
      -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   185,   186,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   223,    -1,    -1,    -1,    -1,   228,    -1,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,   241,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,
     250,    -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   276,   277,    -1,    -1,
      -1,    -1,    -1,   283,    -1,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     300,   301,    -1,   303,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,   329,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,   339,
      -1,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,   349,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   365,   366,    -1,   368,   369,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   383,    -1,   385,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,   428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,    -1,    -1,
     450,    -1,    -1,   453,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   469,
      -1,    -1,    -1,    -1,    -1,    -1,   476,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,   485,    -1,    -1,    -1,    -1,
     490,    -1,   492,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,    -1,    -1,
     520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,     6,     7,    -1,
       9,    10,    11,    -1,    -1,    -1,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    -1,    -1,
      -1,    30,    31,    32,    33,    -1,    35,    36,    37,    38,
      39,    40,    41,    42,    -1,    -1,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    71,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,
      -1,    -1,   121,   122,   123,   124,   125,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     139,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,   148,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   156,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   168,
      -1,    -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   185,   186,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   215,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   223,    -1,    -1,    -1,    -1,   228,
      -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,
      -1,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,   250,    -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,   277,    -1,
      -1,    -1,    -1,    -1,   283,    -1,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   300,   301,    -1,   303,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,
     329,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,
     339,    -1,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,
     349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   365,   366,    -1,   368,
     369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   383,    -1,   385,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,   428,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,    -1,
      -1,   450,    -1,    -1,   453,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     469,    -1,    -1,    -1,    -1,    -1,    -1,   476,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   484,   485,    -1,    -1,    -1,
      -1,   490,    -1,   492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   502,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,    -1,
      -1,   520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,     6,     7,
      -1,     9,    10,    11,    -1,    -1,    -1,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    -1,
      -1,    -1,    30,    31,    32,    33,    -1,    35,    36,    37,
      38,    -1,    40,    41,    42,    -1,    -1,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      -1,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,
      -1,    -1,    -1,   121,   122,   123,   124,   125,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   156,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     168,    -1,    -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   185,   186,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   215,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,    -1,    -1,
     228,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,
      -1,    -1,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,   250,    -1,   252,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,   277,
      -1,    -1,    -1,    -1,    -1,   283,    -1,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   300,   301,    -1,   303,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     328,   329,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     338,   339,    -1,    -1,    -1,    -1,   344,    -1,    -1,   347,
      -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,   366,    -1,
     368,   369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   383,    -1,   385,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,
     428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,
      -1,    -1,   450,    -1,    -1,   453,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,   476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,   485,    -1,    -1,
      -1,    -1,   490,    -1,   492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   502,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,
      -1,    -1,   520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,     6,
       7,    -1,     9,    10,    11,    -1,    -1,    -1,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      -1,    -1,    -1,    30,    31,    32,    33,    -1,    35,    36,
      37,    38,    -1,    40,    41,    42,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     117,    -1,    -1,    -1,   121,   122,   123,   124,   125,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,   146,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   156,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   168,    -1,    -1,    -1,    -1,    -1,    -1,   175,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   185,   186,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   215,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,    -1,
      -1,   228,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,
      -1,    -1,    -1,    -1,   241,    -1,   243,    -1,    -1,    -1,
      -1,    -1,    -1,   250,    -1,   252,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,
     277,    -1,    -1,    -1,    -1,    -1,   283,    -1,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   300,   301,    -1,   303,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   328,   329,   330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   338,   339,    -1,    -1,    -1,    -1,   344,    -1,    -1,
     347,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,   366,
      -1,   368,   369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   383,    -1,   385,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   400,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,
      -1,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     447,    -1,    -1,   450,    -1,    -1,   453,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,   476,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,    -1,
      -1,    -1,    -1,   490,    -1,   492,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   502,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     517,    -1,    -1,   520,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    -1,
      -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,    -1,   161,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,    -1,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,    -1,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,   236,    -1,   238,
      -1,   240,   241,    -1,   243,   244,   245,   246,   247,    -1,
     249,   250,    -1,   252,   253,   254,    -1,   256,   257,    -1,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,    -1,   283,    -1,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,    -1,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,    -1,   358,
     359,   360,    -1,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,    -1,   437,    -1,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,    -1,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,    -1,    -1,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
      -1,    -1,   511,   512,   513,   514,   515,    -1,   517,    -1,
     519,   520,   521,   522,   523,   524,    -1,    -1,   527,    -1,
      -1,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,    -1,   548,
     549,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,   561,   562,   563,    -1,    -1,    -1,    -1,    -1,
      -1,   570,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,    -1,   161,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,    -1,    -1,    -1,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
      -1,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,    -1,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,   520,   521,   522,   523,   524,    -1,    -1,   527,
      -1,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,    -1,
     548,   549,    -1,    -1,   552,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,
      -1,    -1,   570,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,    -1,    -1,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,    -1,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,    -1,   233,
     234,   235,   236,    -1,   238,   239,   240,   241,    -1,   243,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
      -1,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
      -1,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,    -1,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,    -1,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,    -1,   527,    -1,    -1,    -1,    -1,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,    -1,   548,   549,   550,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   558,   559,   560,   561,   562,   563,
     564,   565,   566,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,    -1,   161,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,    -1,    -1,    -1,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,    -1,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,    -1,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
     476,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
      -1,   517,    -1,   519,   520,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,    -1,   548,   549,    -1,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    -1,   561,   562,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,    -1,   161,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,    -1,    -1,
      -1,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,   186,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,    -1,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,   276,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
      -1,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,    -1,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,   476,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,    -1,   517,    -1,   519,   520,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,    -1,   548,   549,    -1,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    -1,   561,   562,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,    -1,   161,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
      -1,    -1,    -1,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,    -1,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,   276,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,    -1,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,   476,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,    -1,   517,    -1,   519,   520,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,    -1,   548,   549,    -1,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    -1,   561,
     562,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
      -1,   161,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,    -1,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,    -1,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,    -1,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,    -1,   517,    -1,   519,
     520,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,    -1,   548,   549,
      69,    70,    -1,    -1,    73,    -1,    -1,    76,    -1,    -1,
      -1,   561,   562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    -1,
      99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     109,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,    -1,   127,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,    -1,   161,   162,   163,   164,   165,   166,    -1,   168,
     169,   170,    -1,    -1,    -1,   174,   175,    -1,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,    -1,    -1,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,    -1,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,   234,   235,   236,    -1,   238,
      -1,   240,   241,    -1,   243,   244,   245,   246,   247,    -1,
     249,   250,    -1,   252,   253,   254,    -1,   256,   257,    -1,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,    -1,   283,    -1,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,    -1,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,    -1,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,    -1,    -1,   358,
     359,   360,    -1,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,    -1,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,    -1,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,    -1,   488,
     489,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
      -1,    -1,   511,   512,   513,   514,   515,    -1,   517,    -1,
     519,   520,   521,   522,   523,   524,    -1,    -1,   527,    -1,
      -1,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,    -1,   548,
     549,    69,    70,    -1,    -1,    73,    -1,    -1,    76,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,    -1,   161,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,    -1,    -1,   174,   175,    -1,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
      -1,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,    -1,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,   476,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,    -1,   517,
      -1,   519,   520,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,    69,
     548,   549,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
      -1,   161,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,    -1,    -1,   174,   175,    -1,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,    -1,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,    -1,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,    -1,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,    -1,   517,    -1,   519,
     520,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,    69,   548,   549,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,    -1,   161,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
      -1,    -1,   174,   175,    -1,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,    -1,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,   276,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,    -1,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,   476,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,    -1,   517,    -1,   519,   520,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,    69,   548,   549,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,    -1,   161,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,    -1,    -1,
     174,   175,    -1,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,    -1,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,   276,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
      -1,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,    -1,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,   476,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,   509,    -1,   511,   512,   513,
     514,   515,    -1,   517,    -1,   519,   520,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,    69,   548,   549,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,    -1,   161,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,    -1,    -1,   174,   175,
      -1,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,    -1,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,    -1,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
     476,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
      -1,   517,    -1,   519,   520,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,    69,   548,   549,    -1,    73,    -1,    -1,    76,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,    -1,   161,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,    -1,    -1,    -1,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
      -1,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,    -1,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
      -1,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,   476,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,    -1,   517,
      -1,   519,   520,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,    69,
     548,   549,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
      -1,   161,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,    -1,    -1,   174,   175,    -1,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,    -1,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,    -1,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,    -1,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,    -1,   517,    -1,   519,
     520,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,    69,   548,   549,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,    -1,   161,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
      -1,    -1,   174,   175,    -1,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,    -1,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,   276,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,    -1,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,   476,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,    -1,   517,    -1,   519,   520,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,    69,   548,   549,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,    -1,   161,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,    -1,    -1,
     174,   175,    -1,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,    -1,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,   276,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
      -1,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,    -1,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,   476,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,    -1,   517,    -1,   519,   520,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,    69,   548,   549,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,    -1,   161,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,    -1,    -1,   174,   175,
      -1,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,    -1,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,    -1,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
     476,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
      -1,   517,    -1,   519,   520,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,    69,   548,   549,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      -1,    99,   100,   101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   109,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,    -1,   161,   162,   163,   164,   165,   166,    -1,
     168,   169,   170,    -1,    -1,    -1,   174,   175,    -1,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,   200,   201,   202,    -1,    -1,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,   234,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,   256,   257,
      -1,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,    -1,   283,    -1,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,    -1,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,    -1,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,    -1,    -1,
     358,   359,   360,    -1,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,    -1,   475,   476,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,    -1,    -1,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,    -1,    -1,   511,   512,   513,   514,   515,    -1,   517,
      -1,   519,   520,   521,   522,   523,   524,    -1,    -1,   527,
      -1,    -1,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,    69,
     548,   549,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    -1,    99,
     100,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,   109,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,    -1,   127,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
      -1,   161,   162,   163,   164,   165,   166,    -1,   168,   169,
     170,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
     200,   201,   202,    -1,    -1,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,   256,   257,    -1,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,    -1,   283,    -1,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,    -1,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,    -1,    -1,   358,   359,
     360,    -1,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,    -1,   437,    -1,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,    -1,    -1,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,   514,   515,    -1,   517,    -1,   519,
     520,   521,   522,   523,   524,    -1,    -1,   527,    -1,    -1,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,    69,   548,   549,
      -1,    73,    -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    -1,    99,   100,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   109,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,    -1,   127,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,    -1,   161,
     162,   163,   164,   165,   166,    -1,   168,   169,   170,    -1,
      -1,    -1,    -1,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,   186,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,   234,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,   256,   257,    -1,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,    -1,   275,   276,   277,    -1,   279,   280,   281,
      -1,   283,    -1,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,    -1,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,    -1,    -1,   358,   359,   360,    -1,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,    -1,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,    -1,   475,   476,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,    -1,    -1,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,    -1,    -1,   511,
     512,   513,   514,   515,    -1,   517,    -1,   519,   520,   521,
     522,   523,   524,    -1,    -1,   527,    -1,    -1,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,    69,   548,   549,    -1,    73,
      -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    -1,    99,   100,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   109,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,    -1,   127,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,    -1,   161,   162,   163,
     164,   165,   166,    -1,   168,   169,   170,    -1,    -1,    -1,
      -1,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,   200,   201,   202,    -1,
      -1,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
     234,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,    -1,   249,   250,    -1,   252,   253,
     254,    -1,   256,   257,    -1,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
      -1,   275,   276,   277,    -1,   279,   280,   281,    -1,   283,
      -1,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
      -1,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,    -1,    -1,   358,   359,   360,    -1,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,    -1,   437,    -1,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
      -1,   475,   476,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,    -1,    -1,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
     514,   515,    -1,   517,    -1,   519,   520,   521,   522,   523,
     524,    -1,    -1,   527,    -1,    -1,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,    69,   548,   549,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    -1,    99,   100,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   109,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
      -1,   127,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,    -1,   161,   162,   163,   164,   165,
     166,    -1,   168,   169,   170,    -1,    -1,    -1,    -1,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,   200,   201,   202,    -1,    -1,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,   234,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
     256,   257,    -1,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,    -1,   283,    -1,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,    -1,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
      -1,    -1,   358,   359,   360,    -1,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,    -1,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,    -1,   475,
     476,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
      -1,    -1,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,    -1,    -1,   511,   512,   513,   514,   515,
      -1,   517,    -1,   519,   520,   521,   522,   523,   524,    -1,
      -1,   527,    -1,    -1,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,    -1,   548,   549
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,   579,  1254,     0,     5,    24,    34,    35,    39,    41,
      42,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    71,    73,    75,    76,
      81,   138,   215,   235,   258,   282,   321,   324,   346,   436,
     486,   502,   517,   547,   560,   561,   562,   563,   564,   565,
     568,   569,   570,   571,   573,   574,   575,   576,   577,  1242,
    1255,  1285,  1287,  1378,  1388,  1389,  1391,  1397,  1398,  1286,
       3,     6,     7,     8,     9,    10,    11,    12,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    25,    26,
      27,    30,    31,    32,    33,    35,    36,    37,    38,    40,
      41,    42,    43,    44,    48,    49,    54,    63,    65,    67,
      68,    90,   100,   102,   103,   114,   117,   120,   121,   122,
     123,   124,   125,   130,   139,   142,   144,   145,   146,   148,
     151,   153,   156,   165,   167,   168,   175,   182,   184,   185,
     186,   187,   202,   204,   208,   214,   215,   222,   223,   224,
     228,   231,   235,   241,   243,   248,   250,   252,   261,   265,
     276,   277,   283,   285,   288,   289,   291,   300,   301,   303,
     305,   306,   311,   325,   328,   329,   330,   338,   339,   343,
     344,   347,   349,   365,   366,   368,   369,   383,   385,   387,
     400,   401,   407,   408,   410,   415,   421,   422,   424,   428,
     431,   437,   438,   445,   447,   449,   450,   453,   459,   469,
     474,   476,   484,   485,   490,   492,   494,   496,   502,   505,
     511,   516,   517,   520,   529,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   552,   570,   580,   581,
     582,   583,   589,   590,   592,   593,   594,   595,   597,   601,
     613,   618,   619,   622,   623,   624,   643,   646,   647,   662,
     709,   712,   715,   718,   719,   720,   728,   735,   737,   738,
     741,   744,   745,   749,   758,   762,   763,   764,   767,   769,
     770,   771,   772,   780,   782,   802,   806,   808,   809,   819,
     821,   828,   829,   832,   833,   834,   835,   836,   845,   847,
     849,   852,   856,   857,   867,   868,   871,   876,   890,   922,
     925,   926,   927,   932,   935,   937,   939,   941,   942,   945,
     946,   949,   951,   952,   956,   957,   958,   961,   962,   963,
     964,   965,   972,   974,   975,   976,   977,   983,   985,   986,
     992,   993,   994,   997,   998,   999,  1000,  1002,  1003,  1005,
    1006,  1008,  1009,  1011,  1023,  1025,  1028,  1030,  1039,  1041,
    1046,  1051,  1059,  1063,  1064,  1065,  1066,  1067,  1068,  1074,
    1109,  1250,  1251,  1256,  1259,  1260,  1277,  1278,  1279,  1280,
    1281,  1292,  1294,  1298,  1299,  1300,  1301,  1302,  1304,  1306,
    1308,  1309,  1310,  1311,  1313,  1318,  1319,  1323,  1324,  1333,
    1335,  1336,  1337,  1340,  1345,  1348,  1353,  1355,  1356,  1359,
    1361,  1364,  1373,  1391,  1399,    71,  1281,  1289,  1290,    13,
      70,    90,    91,    92,    93,    94,    95,    96,    97,    99,
     100,   101,   109,   110,   111,   113,   114,   115,   116,   118,
     119,   120,   127,   128,   129,   130,   131,   132,   133,   136,
     137,   140,   142,   143,   144,   145,   150,   151,   152,   153,
     154,   155,   157,   158,   161,   162,   163,   164,   165,   166,
     169,   170,   174,   178,   179,   180,   181,   182,   184,   187,
     189,   191,   192,   193,   194,   195,   196,   197,   199,   200,
     201,   202,   205,   206,   207,   208,   209,   211,   212,   213,
     215,   216,   217,   219,   220,   221,   222,   224,   225,   226,
     227,   230,   232,   233,   234,   236,   238,   240,   244,   245,
     246,   247,   249,   253,   254,   256,   257,   259,   260,   262,
     263,   264,   265,   267,   268,   269,   270,   271,   272,   273,
     275,   279,   280,   281,   287,   290,   292,   293,   294,   295,
     296,   299,   302,   305,   306,   307,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   322,   323,   325,
     326,   327,   331,   332,   333,   334,   335,   336,   337,   340,
     342,   343,   345,   348,   350,   351,   352,   354,   355,   358,
     359,   360,   363,   364,   367,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   381,   382,   384,   386,   387,
     388,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   401,   402,   403,   404,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   420,   421,
     423,   424,   425,   426,   427,   429,   430,   431,   432,   433,
     434,   435,   437,   439,   440,   441,   442,   443,   444,   445,
     446,   448,   449,   451,   452,   454,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   470,
     472,   473,   475,   477,   478,   479,   480,   481,   483,   486,
     488,   489,   491,   494,   495,   496,   497,   498,   499,   500,
     501,   504,   505,   506,   507,   508,   511,   512,   513,   514,
     515,   519,   521,   522,   523,   524,   527,   530,   531,   532,
     533,   534,   535,   548,   549,  1244,  1245,  1247,  1249,  1250,
    1251,  1270,  1271,  1383,  1385,  1389,  1391,    28,   278,  1334,
       8,    12,    14,    27,    43,    44,    48,    49,    54,    63,
      65,    67,    68,    98,   138,   159,   171,   183,   188,   258,
     321,   324,   436,   516,   547,  1237,  1249,  1250,  1272,  1320,
    1321,  1363,  1364,  1365,  1369,  1374,  1375,  1376,  1385,  1391,
      98,  1060,  1237,  1272,  1382,    13,  1060,     5,    24,    28,
      34,    35,    41,    42,    98,   102,   103,   104,   105,   106,
     107,   108,   112,   126,   134,   135,   138,   141,   147,   149,
     159,   160,   167,   171,   172,   173,   174,   176,   177,   178,
     188,   190,   198,   203,   204,   210,   214,   218,   229,   231,
     237,   239,   242,   248,   251,   255,   266,   274,   278,   282,
     284,   286,   297,   298,   304,   308,   309,   341,   346,   353,
     356,   357,   361,   362,   380,   389,   405,   419,   438,   444,
     455,   471,   474,   482,   486,   487,   493,   502,   503,   509,
     510,   516,   518,   525,   526,   528,   529,  1249,  1252,  1365,
    1366,  1367,  1371,  1372,  1373,  1374,  1376,    24,    34,   138,
     282,  1360,    36,    38,   341,  1293,   488,   532,   978,    97,
     148,   164,   182,   188,   206,   217,   226,   239,   244,   251,
     270,   295,   317,   358,   382,   392,   393,   396,   423,   426,
     430,   432,   439,   442,   461,   468,   473,   474,   477,   481,
     491,   496,   509,   522,   734,  1321,   187,   978,  1170,  1240,
    1251,  1363,  1366,  1369,  1370,  1374,  1375,  1391,    98,  1060,
     520,   570,  1016,   356,   388,   978,   123,   570,   654,    92,
     110,   135,   148,   182,   188,   206,   217,   226,   239,   247,
     251,   307,   358,   361,   382,   396,   423,   432,   442,   461,
     468,   477,   478,   480,   481,   496,   503,   506,   509,   663,
     717,   824,   877,   891,  1237,  1261,  1262,  1263,  1272,  1389,
    1391,    13,    98,   387,  1237,  1272,  1276,   460,  1060,  1237,
    1272,  1276,    98,   381,   440,   478,   480,   294,   933,   934,
    1389,    92,    97,   135,   148,   164,   182,   206,   217,   226,
     239,   244,   251,   270,   317,   358,   371,   382,   393,   396,
     423,   426,   430,   432,   439,   442,   461,   468,   474,   477,
     481,   489,   491,   496,   509,   522,   734,   837,   839,   840,
     978,   576,  1303,  1367,   262,  1276,   167,   187,   222,   520,
     570,   715,   718,  1011,  1024,  1028,  1030,  1039,  1046,  1051,
    1059,  1063,  1256,    91,    98,   118,   234,   240,   242,   266,
     296,   332,   390,   409,   561,   562,   853,   854,  1060,  1242,
    1243,  1383,  1385,    98,   100,   167,   405,   438,   858,   859,
     860,  1369,   239,  1369,  1239,  1389,   474,  1077,   118,   240,
     853,  1369,   488,  1276,   371,   317,   182,   270,   432,   473,
     474,   570,   943,   944,   431,  1369,    98,   138,   443,   484,
     488,   516,   605,   614,   615,  1249,  1250,  1363,  1368,  1374,
    1376,  1391,    95,   248,   858,   859,   388,   978,  1369,   293,
      98,   203,  1079,  1080,     4,    13,   136,   159,   161,   307,
     327,   423,   432,   443,   484,   488,   535,   602,   603,   604,
     605,    98,   443,   484,   488,   605,   488,   357,  1121,  1122,
    1235,  1369,  1077,  1357,  1367,   563,  1369,   243,   570,  1017,
     570,   403,  1069,  1070,  1237,  1069,  1064,  1065,  1068,   574,
     570,  1016,   218,   284,   362,   502,  1081,  1082,  1064,  1066,
    1067,   193,   280,   319,   508,   573,   120,   580,  1301,  1304,
    1300,  1296,   574,  1305,  1307,     5,    24,    34,   138,   207,
     282,  1312,   183,   258,   321,   324,   436,   547,   570,  1165,
    1166,  1284,  1288,  1378,    71,  1281,  1237,  1272,  1392,   188,
    1261,    20,   510,   564,  1276,  1276,  1392,   510,  1325,  1326,
    1327,    24,   282,   282,  1371,    18,    19,    37,    40,   130,
     163,   204,  1362,  1362,    15,  1301,   104,   982,   907,  1240,
     842,  1369,   842,  1237,   391,   842,   491,  1237,   181,   474,
     895,  1240,  1251,  1369,  1244,  1245,    98,   260,  1235,   350,
     522,    80,    87,    88,    89,   143,   230,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   929,   931,  1200,  1201,
    1369,   260,  1237,   895,  1237,    98,  1244,  1245,   895,  1237,
    1237,   260,  1235,  1237,   260,   842,  1237,   415,   445,    98,
     260,  1121,  1237,   435,  1237,   842,    98,   314,  1244,  1245,
     260,  1235,   294,    33,   190,   290,   341,   399,   979,   980,
     981,   570,   568,   572,  1226,  1228,  1010,  1011,  1012,  1013,
    1247,  1235,  1237,  1369,    97,   135,   149,   160,   182,   206,
     244,   270,   295,   358,   393,   423,   426,   468,   477,   489,
     496,   837,   838,   839,   840,  1389,   982,  1027,  1030,  1039,
    1046,  1051,  1063,  1235,   320,   842,   570,   260,   842,  1237,
     842,   491,   260,  1237,   181,   474,   478,   480,  1244,   478,
     480,   143,   230,   929,   413,  1237,  1237,  1244,   260,   598,
    1369,   260,  1237,   260,   842,  1237,  1237,   435,   842,   314,
    1244,   403,   439,   474,   522,   317,   164,   270,    97,   160,
     244,   393,   430,   489,   491,   495,   729,    80,  1264,  1265,
     575,  1385,  1392,    98,  1276,  1391,  1061,   460,   612,  1247,
    1389,   934,   320,   260,   907,   908,   260,   938,   260,  1237,
     122,   124,   125,   138,   139,   185,   186,   207,   235,   260,
     282,   283,   285,   328,   330,   349,   400,   447,   453,   484,
     485,   517,   844,  1144,  1146,  1148,  1150,  1152,  1154,  1155,
    1156,  1158,  1159,  1160,  1162,  1163,  1363,  1370,  1374,  1375,
    1391,   491,   181,   474,   260,   894,   895,   260,  1245,  1246,
     156,   522,   143,   230,   260,   930,   931,   128,   260,   894,
     260,  1246,   260,   894,   260,  1237,   260,  1237,   435,   938,
     260,   844,   260,   314,  1246,   294,   260,   841,   842,   260,
    1236,  1237,   260,  1237,   982,   570,   576,  1393,  1394,  1395,
    1396,  1398,  1303,    69,  1272,  1322,   570,  1029,   663,  1060,
    1024,  1010,  1016,  1243,   854,   855,    98,   854,  1060,  1243,
     855,    98,   854,  1060,  1243,   855,   855,   855,  1243,  1242,
    1242,   286,   510,  1327,  1328,  1402,  1404,  1060,   855,   391,
     570,   473,   570,   686,   686,   686,   356,   486,   573,   686,
     432,  1121,  1123,   854,  1060,   854,  1060,   573,   973,  1389,
     242,   570,  1026,   128,   522,  1010,   156,   878,   878,  1369,
     117,   549,   290,   572,   359,   359,   356,   242,  1389,   486,
     982,   237,   850,   356,    78,    79,    80,    82,   106,   122,
     124,   125,   134,   135,   138,   139,   146,   148,   172,   173,
     174,   175,   176,   177,   178,   185,   186,   188,   223,   228,
     229,   235,   250,   252,   283,   285,   300,   308,   309,   328,
     330,   339,   341,   346,   347,   349,   358,   369,   383,   400,
     428,   444,   453,   469,   484,   485,   490,   492,   493,   503,
     509,   517,   537,   538,   539,   540,   542,   543,   544,   545,
     550,   561,   562,   563,   570,  1064,  1147,  1150,  1153,  1154,
    1155,  1157,  1158,  1159,  1162,  1163,  1167,  1169,  1170,  1171,
    1173,  1196,  1197,  1198,  1202,  1220,  1225,  1232,  1233,  1240,
    1241,  1242,  1369,  1381,  1383,  1385,  1386,  1387,  1388,  1389,
    1390,  1231,  1232,   486,   560,  1392,  1389,   486,   560,  1321,
      98,   620,  1234,  1235,   443,   602,   188,   611,  1389,   612,
    1389,   117,   140,   602,   549,   454,   980,   359,   242,   486,
     560,   117,   549,   290,  1402,   981,   570,  1235,   563,  1228,
    1123,  1373,  1010,   241,  1018,  1167,  1205,  1069,   573,   570,
    1019,   571,   571,  1010,  1020,  1021,  1022,  1235,    98,   203,
    1078,  1078,   128,  1078,   231,   237,   304,   353,  1085,  1087,
    1088,  1103,  1105,  1106,  1107,  1081,  1082,   242,   286,   286,
    1121,  1124,   570,   574,  1295,   563,  1314,  1315,  1317,   576,
     576,    24,   282,   282,   486,   486,   486,   486,   570,   486,
     561,   562,   726,  1243,  1282,  1388,   214,   107,  1268,   128,
    1271,  1271,   286,  1327,  1329,   286,  1327,  1328,  1329,   515,
    1338,  1339,  1385,    13,   456,   561,   562,  1242,  1330,  1331,
    1332,  1381,  1383,  1387,  1388,  1389,  1390,   282,   288,   486,
    1237,  1237,     6,   163,  1237,  1362,  1317,   137,   337,   372,
     411,   445,   570,   905,   372,   407,   411,   445,   572,   843,
     372,   411,   445,   159,   212,   310,   372,   407,   411,   445,
     477,   479,   529,   613,   616,   987,   988,   989,   990,  1391,
     872,    94,   208,   372,   411,   445,   513,   629,  1237,    94,
     208,   445,   508,   596,   533,   260,  1121,   131,   166,   227,
     263,   299,   337,   341,   372,   373,   411,   420,   429,   437,
     445,   457,   466,   470,   524,   613,   617,   911,   923,   950,
     570,   892,  1228,   411,   596,   266,   223,    94,   100,   115,
     145,   201,   208,   211,   238,   272,   337,   341,   351,   360,
     372,   411,   414,   415,   445,   513,   625,   627,   628,   752,
     950,   726,    98,   260,  1235,   842,   842,   570,   928,   372,
     445,   572,   223,   356,   372,   411,   445,   923,   950,    94,
     208,   372,   411,   445,   266,   591,   411,   529,   552,   584,
     591,   372,   411,   445,   923,   950,   356,   372,   411,   223,
     107,   129,   180,   269,   313,   318,   322,   337,   371,   411,
     416,   439,   445,   459,   506,   625,   723,   724,   372,   411,
     521,   752,   760,   223,   372,   411,   445,    94,   159,   201,
     208,   211,   372,   407,   411,   445,   452,   615,   603,   605,
     266,   223,   115,   199,   337,   411,   445,   625,   626,   372,
     411,   415,   445,   157,   200,   375,   479,   356,    94,   100,
     208,   372,   411,   445,   644,   645,   591,   237,   411,   584,
     591,   223,   411,   445,   625,  1237,   574,   302,   190,   357,
     534,   573,   979,    98,   203,   518,   563,   571,   900,  1167,
    1206,  1207,  1370,  1167,  1227,   563,  1238,  1371,  1226,   571,
     573,   229,   356,   493,   609,   612,   726,  1014,   510,  1007,
     356,   907,   570,   842,  1237,  1144,   895,   350,   143,   230,
     931,   895,   895,   237,  1144,   842,  1237,  1237,   571,   686,
    1237,   141,  1144,   341,   242,   570,   810,   584,   107,  1001,
    1237,   341,   584,   533,   260,  1235,   584,   842,   842,   810,
     506,   663,   356,   237,   529,   919,   584,   341,   117,   599,
     341,   496,   759,   341,  1019,   159,   372,   736,   157,   200,
     375,   479,   107,   810,   237,   260,   584,   522,   260,  1235,
     260,   713,  1235,  1235,   522,   842,   878,  1240,   491,  1240,
    1240,  1237,   237,  1237,   734,    72,  1266,  1369,   575,  1267,
    1264,   109,   123,   179,   279,   337,   434,   223,   132,   417,
     573,   630,   223,   570,   223,   584,   519,  1161,  1161,  1161,
     570,  1149,  1149,   385,   570,  1151,   223,   138,   139,  1161,
    1149,  1146,   531,   552,   570,  1164,   570,  1164,   573,   630,
     106,  1145,   570,   183,   324,   547,   570,  1165,   843,  1149,
     533,   223,   573,   630,   223,   573,   260,   841,   260,   842,
     260,   842,   223,   573,   630,  1246,   223,   630,   223,   223,
     630,   223,   630,   223,   157,   200,   375,   479,   237,   223,
     630,   223,   237,   260,   223,   573,   630,   223,   573,   630,
     223,   356,   571,  1394,  1395,  1393,   573,   577,  1205,  1326,
    1401,  1402,   474,  1061,   571,  1024,   855,  1060,   855,  1060,
    1404,  1405,   855,  1060,   855,  1060,  1405,   855,  1060,  1060,
    1060,   855,    13,   456,  1377,  1380,  1385,  1060,   570,   687,
     688,  1369,   687,    98,   182,   206,   239,   244,   294,   295,
     374,   393,   426,   432,   439,   474,   477,   496,   863,  1234,
    1246,   860,  1237,   266,   573,  1042,  1060,  1060,  1389,  1322,
    1144,  1209,   107,  1246,   878,   571,  1235,  1237,   302,  1369,
     237,   237,   863,  1246,   431,  1369,   612,   356,   570,   568,
    1064,  1210,  1167,  1224,   570,   570,   237,   570,   570,  1064,
     570,   570,   570,   570,   570,   570,   570,  1167,   570,   570,
     570,   570,   570,   570,   570,   570,   348,   677,   570,   570,
     570,   570,   570,   570,   570,   570,  1167,  1167,  1167,   516,
    1064,  1167,  1205,  1228,  1389,   570,  1389,    80,    83,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   233,   234,   235,
     236,   238,   239,   240,   241,   243,   244,   245,   246,   247,
     249,   250,   252,   253,   254,   256,   257,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   285,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   322,   323,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   354,   355,   357,   358,
     359,   360,   361,   363,   364,   365,   366,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   520,   521,   522,   523,   524,   525,   527,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   548,   549,   550,   558,   559,   560,
     561,   562,   563,   564,   565,   566,  1200,  1202,  1204,  1248,
    1253,  1391,   530,  1183,   368,  1167,   286,   573,  1075,  1402,
     570,  1389,  1228,    21,  1384,  1385,  1229,  1075,   352,   356,
    1354,  1354,     9,   515,  1341,  1342,  1344,  1321,  1321,   191,
     262,   621,   573,   140,   188,   612,   107,   188,   307,   610,
     726,  1163,  1389,  1391,  1389,   162,   205,  1179,   171,   188,
     606,   607,   609,   726,   188,   606,  1402,  1402,   302,  1235,
     163,   416,   846,   288,   571,  1016,   104,   114,   121,   147,
     261,   266,   288,   303,   358,   361,   450,   571,   573,  1070,
    1236,   107,   571,   573,  1019,  1066,  1066,  1083,  1084,  1167,
    1066,   234,   332,  1094,   292,   337,   399,   448,   508,    98,
    1089,  1167,   561,   562,  1090,  1091,  1167,  1169,  1103,  1104,
    1088,  1087,  1085,  1086,   237,  1106,   351,  1108,  1085,  1103,
    1124,  1031,  1235,  1124,   107,  1369,   445,  1205,  1314,   563,
     573,   574,  1372,  1291,  1294,  1291,   282,   183,   258,   321,
    1166,   321,  1166,  1166,   324,  1242,   321,   324,   436,  1388,
    1388,   573,  1283,   187,  1321,   509,  1269,  1271,  1237,   456,
    1242,  1343,  1385,   573,   560,  1237,    13,  1242,  1388,  1242,
    1388,   573,  1301,  1237,   570,   570,  1373,   137,   486,   486,
     432,   266,   277,   362,   365,   447,   518,   563,   898,   899,
     900,   902,   904,   906,  1144,  1370,   486,   521,   486,   432,
    1238,   572,   486,   486,   432,   304,   486,   148,   486,   477,
     602,   372,   987,   989,   560,   991,   237,   248,   266,   421,
     873,   874,   141,   160,   219,   239,   389,   503,   683,   684,
     160,   188,   341,   486,   160,   486,   188,   341,   432,   160,
     201,   211,   372,   411,   807,   432,   742,    97,   135,   206,
     244,   358,   393,   426,   489,   496,   837,   838,  1237,   223,
     411,   445,   625,   356,   726,   437,   299,   486,  1369,   486,
     346,   726,   192,   287,   432,   443,   488,   604,   842,   417,
     445,   911,   924,   196,   571,   893,   898,   486,   509,   477,
    1235,   149,   219,   260,   670,   683,  1369,   149,   160,   947,
     377,   356,   428,   430,   491,   160,   947,   101,   414,   428,
     430,   491,   428,  1235,   238,   272,   351,   842,   570,   486,
     486,   259,   570,   634,    92,   313,   477,   506,   531,   634,
     160,   573,   196,   372,   266,   223,   411,   445,   625,   950,
     510,   510,   338,  1144,   486,   432,   570,   929,  1237,  1235,
     486,   486,   432,   924,   196,   175,   474,   475,   959,   960,
    1122,  1235,  1369,   960,   486,   486,   810,   960,   182,   445,
     616,   486,   586,   616,   486,   486,   432,   924,   196,  1235,
     486,   486,  1235,  1146,   726,   128,   725,   726,   726,   180,
     318,   322,   128,   486,   584,   326,   432,   584,   337,   724,
     486,   486,   346,  1389,   752,   842,   486,   486,   432,   461,
     396,  1389,   396,   486,   396,   486,   396,   810,   810,   477,
    1121,   377,   377,   160,   486,   947,   432,   486,   486,   634,
     634,   842,   842,   842,   842,  1235,   116,   515,   116,   116,
     486,   116,   486,   515,   432,   570,   573,   616,   509,   768,
    1245,   486,   586,   616,  1235,   486,   947,   432,   372,   411,
     399,   412,   441,   608,   979,  1206,  1206,  1207,   571,    85,
      86,   573,  1081,  1082,   569,   575,  1235,  1012,  1237,  1235,
     288,  1144,   288,   356,   288,   288,   726,   842,   842,   288,
     288,   288,  1144,   288,   288,   288,   356,   486,   242,   486,
     648,   496,   570,   107,   223,   842,   811,   812,  1371,   987,
    1144,   356,   223,   739,  1237,   341,   377,   570,   585,   824,
     510,   403,   522,  1235,    98,   960,   810,   585,   223,  1245,
     167,   248,   600,   662,   719,   782,   856,   876,   983,   223,
    1389,   760,   761,   223,   356,  1389,  1245,   310,   842,   842,
     842,   842,   215,   398,   570,   768,   341,   585,  1235,   341,
     721,   723,   341,   107,   351,   377,   570,   686,   686,   260,
     716,  1235,   237,   260,   879,  1237,   570,   814,   905,  1237,
     570,   896,   896,   107,  1144,    96,   119,   281,   783,   294,
     572,  1242,  1267,   529,   531,  1062,   434,   908,   907,  1144,
    1237,   570,   570,  1205,  1242,   844,  1161,  1161,   106,  1145,
     484,   484,  1242,  1242,  1144,   568,   568,  1242,   486,   486,
    1242,  1149,   894,   895,  1246,  1245,   223,   630,   223,   510,
     223,   510,   930,   931,   630,   894,  1246,   894,  1237,  1237,
    1144,   844,  1246,   768,   223,   841,   842,  1236,  1237,  1237,
     842,   571,   577,  1396,   571,  1402,  1403,  1326,   260,  1235,
     179,  1024,  1060,  1060,  1405,  1060,  1060,  1405,  1060,  1060,
    1237,    13,   573,  1384,   687,   571,   573,   571,   245,   394,
     427,   440,   475,  1236,   841,   181,   442,   894,  1236,   350,
     861,   862,  1369,   894,   894,  1236,  1234,  1234,  1236,   841,
     486,   529,   869,   218,   304,   765,   766,    92,   221,   428,
     448,  1043,  1121,   345,  1044,   571,   573,  1027,   486,  1235,
     943,   944,   859,   858,   859,   242,   249,   870,  1369,    97,
     149,   206,   244,   295,   393,   426,   496,   837,   838,  1205,
     569,  1205,  1210,  1211,   525,  1221,  1222,  1167,  1205,   570,
    1242,  1242,   183,   258,   321,   324,   436,   547,  1212,  1213,
    1389,  1391,  1205,  1205,  1205,  1242,  1242,  1167,  1167,   929,
    1167,  1206,  1208,  1215,   428,   561,   562,   570,  1168,  1169,
    1202,  1216,   571,  1205,  1167,  1208,  1217,  1167,   126,   242,
     298,   487,  1167,  1205,  1218,   203,   341,  1064,  1205,   326,
    1169,  1167,  1177,  1178,  1179,   326,  1167,  1179,   571,   573,
    1242,  1165,  1144,  1167,  1167,  1167,  1167,  1371,   484,   112,
     471,  1230,   842,  1167,   570,  1064,  1219,   203,   205,   229,
     333,   334,   335,   336,   340,   341,   346,   493,   504,  1214,
    1167,   570,  1167,   486,   121,   261,   266,   303,   450,  1167,
    1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,    98,
     105,   455,  1199,   251,   232,  1184,   428,   570,  1196,   247,
     307,   474,   478,   480,   506,  1076,  1235,  1233,   242,  1110,
    1206,  1237,  1385,  1226,  1110,  1343,   573,   560,  1235,   488,
     570,  1389,   573,  1402,   571,   259,   259,   630,  1301,  1022,
    1011,  1015,  1167,   571,   317,   341,  1071,  1022,  1020,   573,
     108,   198,   510,   888,   428,   429,   561,   562,  1091,  1093,
    1169,   448,   292,   357,   573,  1092,  1242,  1388,  1092,   428,
     429,  1093,  1234,   345,   452,  1045,  1104,  1086,   510,  1040,
     188,   370,   570,  1032,  1063,   107,   510,  1369,   570,  1047,
    1048,  1049,  1369,   571,   574,  1315,  1145,   577,  1294,   577,
     571,   726,   571,    33,  1270,  1346,  1347,  1385,  1339,  1344,
    1392,  1330,  1145,  1379,  1395,  1379,  1145,  1245,  1237,  1237,
     365,   128,  1370,   571,   900,   902,   899,   902,  1370,   362,
     571,   573,   843,  1245,  1237,  1237,  1238,  1245,  1237,  1237,
    1245,   521,  1237,  1237,   188,   609,   726,   423,   509,   858,
     432,   248,   858,   570,  1237,   510,   880,   292,   292,   510,
     677,   708,   260,  1237,   346,  1245,  1237,  1237,  1167,   346,
    1237,  1237,   101,   414,   486,   486,  1237,   486,   743,   907,
     570,  1144,   895,   143,   230,   931,   895,   895,   237,  1144,
     842,  1237,   254,   337,   372,   411,   514,   746,   747,   748,
    1121,   486,   947,   432,   346,   192,   287,  1245,  1237,   356,
    1237,   356,   571,   573,  1244,  1246,  1237,   411,   625,   260,
     670,   341,  1144,  1237,  1242,  1369,  1235,  1237,   302,  1237,
      98,   509,  1237,   260,  1237,   260,  1369,   430,   491,   430,
     491,   302,  1237,    98,   509,  1237,   302,   428,  1235,    94,
     208,   445,   753,   754,   755,   756,  1371,  1245,  1237,   188,
     243,   342,   510,   633,   636,   637,  1371,   320,  1237,   145,
     354,  1237,   628,   356,   486,   477,  1235,   486,   947,   432,
     196,  1237,  1237,   573,   571,   573,  1245,  1237,   953,   954,
    1371,   356,   411,   486,   776,  1245,  1237,  1237,   356,  1121,
     266,   573,   686,   686,  1228,  1245,  1237,  1237,  1244,   159,
     213,   272,   379,   501,   509,   512,   587,  1391,  1245,  1237,
    1237,   356,   411,  1245,  1237,   411,   445,   625,   723,   726,
     842,  1237,   726,   842,  1237,   726,  1245,  1237,   445,  1245,
    1237,  1237,  1243,  1236,  1236,  1245,   919,  1237,  1236,  1237,
     411,   445,   625,   626,  1235,  1235,  1237,  1237,  1237,  1237,
    1245,  1237,    94,   100,   208,   372,   411,   445,   372,   411,
     445,   810,   411,   445,   411,   445,   411,   950,  1136,  1369,
     260,   820,  1369,   260,  1369,  1245,  1237,  1237,  1389,  1237,
     953,    94,   645,   442,  1244,   411,   445,   625,  1237,  1237,
    1237,   486,   486,   154,   500,   399,   573,  1081,  1081,  1081,
    1167,  1167,   518,  1207,   571,  1167,  1227,  1007,   346,   848,
    1389,   107,   848,   206,   842,   848,   848,   288,   510,   510,
     848,   848,   848,   294,   848,   848,   848,   842,   395,   649,
     649,   270,   474,   781,  1167,  1144,   842,   571,   573,   560,
     674,  1371,  1237,   132,   242,   432,   521,   740,   747,   748,
     223,   351,   303,   664,   666,   668,   670,   680,   683,    95,
     266,   423,   472,   587,   588,   237,  1237,   522,  1235,   107,
     777,   475,   919,   598,  1369,   599,   663,   891,  1237,   239,
     842,   570,   710,   711,  1170,  1172,  1173,  1369,   396,  1389,
     810,   810,   810,   810,   570,   810,  1134,  1135,  1136,   442,
     223,   570,   223,   223,   222,  1257,   842,   351,   664,  1369,
     510,   703,   529,   635,   341,   107,   686,  1389,   341,   356,
     815,   816,  1391,   810,    96,   571,   897,   898,   903,   107,
     294,   420,   489,   528,   909,   910,   911,   912,   909,   356,
     294,   351,   193,   280,   494,   508,   784,   785,  1237,  1266,
     564,   257,   257,   237,   630,   107,   584,   238,   995,   996,
    1205,   571,   571,   630,   568,   549,   549,   571,   571,  1242,
     569,   570,  1242,  1369,  1389,  1400,   571,   571,   630,   841,
     842,  1237,   842,  1237,   630,   630,   630,   630,   294,   630,
     442,   237,   630,   630,   356,   630,   341,  1062,  1392,  1380,
     571,   688,   266,   266,   266,   266,   266,   533,  1236,   726,
     727,   573,   572,   251,   864,   865,  1245,    95,   870,   486,
     570,   242,   221,   448,   221,   448,   428,   508,   323,  1144,
    1245,   529,   714,   878,   878,   242,   356,   864,   128,   630,
     907,   842,  1144,   895,   350,   895,   895,  1144,   842,  1237,
     571,   569,   569,   573,  1167,   210,  1222,  1223,   107,   571,
    1167,   571,   571,   571,   242,   571,   571,   571,   571,   571,
     571,   573,   573,   571,   380,   571,   571,   570,  1168,  1168,
    1205,    83,    87,    88,    89,   266,   288,   358,   558,   559,
     560,   561,   562,   563,   564,   565,   566,  1202,  1168,   571,
     571,   237,   242,   450,   571,   571,   107,  1218,  1205,  1218,
    1218,   242,   571,   203,   571,  1371,   378,  1181,   107,   571,
     573,  1167,  1371,   573,  1167,  1229,  1167,   571,   549,  1168,
    1168,   216,  1205,   242,   203,   205,   229,   340,   346,   493,
     504,  1214,   340,   216,   929,  1167,   471,  1230,  1167,  1219,
    1167,   486,   570,  1064,   570,   570,   367,  1188,   570,  1205,
     478,   480,   478,   480,  1235,  1077,  1077,  1077,   297,   429,
     546,   570,  1064,  1111,  1112,  1113,  1121,  1127,  1137,  1172,
    1369,   526,  1132,  1081,  1132,     7,    10,    11,    21,    22,
      23,    25,    26,    30,    31,    32,   181,   326,   385,   496,
    1349,  1350,  1352,  1342,  1343,   980,  1242,  1165,   607,  1145,
    1022,   317,   570,  1084,   358,  1200,  1203,   551,   889,  1242,
    1388,  1093,   357,   529,   508,  1090,   312,  1111,   526,  1133,
     516,   473,   509,  1033,  1034,  1035,  1369,   356,  1036,  1369,
    1112,  1049,  1050,   573,  1110,   560,  1229,   575,  1297,   574,
     573,   560,    29,  1358,   571,   571,   574,   906,   843,   902,
     902,   128,   904,   565,  1246,  1246,   356,  1236,   359,   356,
    1167,   684,  1237,   570,   570,   570,   708,   270,   570,   800,
     223,   630,   486,  1245,  1237,   612,  1144,   842,   842,  1144,
     730,  1237,   254,   514,   486,   486,   730,   746,   752,   411,
     445,   625,  1237,  1237,  1237,   278,   346,   226,   898,   371,
     445,   486,   341,   223,   155,   672,   673,   800,   445,    94,
     208,   415,   416,   445,   629,   638,   639,   752,   948,   437,
     223,   630,   223,   630,  1237,  1237,  1237,  1237,   437,   437,
     302,   755,   756,   755,   571,   573,   757,  1389,   270,   571,
     573,   560,   572,  1237,   226,  1245,  1237,   411,   445,   625,
    1237,  1237,  1237,   356,   372,   411,   445,    94,   208,   372,
     411,   445,  1144,   338,  1144,   571,   573,   560,  1235,   486,
    1246,   510,   773,   226,   686,   432,   959,   526,   693,   693,
     686,   304,   379,   346,  1389,   379,  1246,   507,   226,   486,
     486,   432,   461,   919,   919,   919,   371,   445,   160,   486,
     947,   432,   188,   237,   640,   233,   878,   486,   486,   314,
     314,   314,   486,   486,   432,   486,   486,   432,   486,   432,
     486,   432,   486,   196,   630,  1144,   341,  1389,   445,   948,
     223,   630,   486,   486,   571,  1237,   486,   947,   432,   486,
    1245,  1237,   571,   571,   571,  1207,   569,  1144,   842,   288,
     848,  1237,  1237,  1237,   288,   462,   463,   650,  1389,   650,
     254,   571,   571,   242,   810,   812,   338,   358,   561,   562,
     726,   813,   902,  1203,  1252,  1389,   141,   147,   160,   188,
     190,   246,   274,   341,   346,   389,   405,   503,   675,   676,
     679,   222,   525,   584,   612,  1237,   612,   360,   750,  1235,
    1235,  1235,   571,   573,  1246,   251,   423,  1246,  1242,   496,
    1235,   686,  1391,   237,   778,   919,   117,   599,   474,   759,
     181,  1019,  1167,   242,   573,  1236,   635,   817,   818,  1389,
     571,   573,  1237,   237,   687,  1235,   713,  1235,  1276,  1063,
     570,   665,  1235,   571,  1237,   529,   531,   704,   634,   107,
     223,  1063,   703,   486,   223,  1121,   571,   573,   560,   784,
     571,   573,   188,   560,   913,  1389,   612,   474,   901,   902,
     237,   918,   120,   418,   914,   915,   912,   915,   193,   280,
     438,   508,   970,  1237,   351,   356,   361,   254,  1262,  1063,
    1276,  1144,   570,   571,   573,   571,  1242,  1164,  1164,   569,
    1400,   570,   561,   562,   563,   564,   565,   569,   630,   510,
     630,   510,   630,  1237,  1237,   768,   842,   223,   237,   432,
     432,   432,   432,   432,  1236,   573,   862,  1369,  1245,   529,
     573,   866,   359,  1123,   442,   221,   221,   181,   337,  1235,
    1237,  1246,   863,   870,  1245,   288,   288,   288,   288,   726,
     288,   288,   288,   288,   288,  1210,   482,  1167,   214,  1144,
     571,  1167,  1214,  1167,  1167,   571,  1205,   573,  1144,  1168,
    1168,  1168,  1168,   203,   205,   341,  1168,  1168,  1168,  1168,
    1168,  1168,  1168,  1168,  1168,  1168,  1167,  1167,  1167,  1144,
     571,   571,   571,  1205,   571,   573,   128,  1169,  1182,   571,
    1371,  1178,   386,   467,  1180,   571,   573,   521,  1174,   107,
     571,  1389,  1167,   104,   104,  1167,   571,  1167,   242,   340,
    1167,   571,   216,  1168,  1168,   216,   216,  1167,  1167,  1082,
     526,   570,  1189,  1369,   571,  1205,   573,  1077,  1077,  1077,
    1077,  1235,  1235,  1235,  1064,  1127,  1137,   242,   570,  1064,
    1112,  1113,   107,  1114,  1115,  1369,   573,   168,   243,   276,
     291,   301,   329,   422,  1118,  1115,   107,  1114,  1117,  1369,
    1115,   552,  1131,  1228,  1167,   251,  1095,   571,  1095,   573,
     560,   571,  1358,  1027,   570,   889,   234,   296,   357,   529,
     483,   171,  1167,   419,  1038,   515,   571,   573,  1229,   158,
    1038,   356,   571,   573,  1048,  1133,  1167,  1242,   560,  1316,
    1347,  1352,   571,   565,   906,   496,   245,   427,   433,   440,
     475,   497,   875,   237,   875,   571,   570,   691,   692,   883,
    1172,  1369,   687,   687,   800,  1237,   687,   190,   274,   337,
     341,   801,  1237,  1237,   107,   510,   510,   294,   843,  1245,
    1237,   486,   947,   432,   486,   278,  1237,   128,   477,  1237,
     223,   670,   188,  1369,   750,   461,   246,   225,   259,   341,
     634,   584,   181,   246,   341,   461,   464,   634,   672,   724,
     445,   639,   496,  1237,  1369,   437,   754,  1237,   637,   813,
    1371,  1237,   371,   445,   486,   947,   432,   486,   226,   486,
     486,   432,   244,   358,   464,   822,   823,   244,   358,   830,
     831,   486,   486,   432,   571,   571,   571,   954,   338,   726,
     902,   955,  1203,  1252,  1389,   411,  1237,   570,   529,   774,
    1237,   693,   175,  1369,   570,   693,  1243,  1389,  1389,  1389,
    1237,  1237,  1237,  1237,  1243,   128,   477,  1237,  1237,  1237,
    1237,   516,  1237,  1237,   237,   237,   413,   237,   260,  1245,
    1237,  1237,  1245,  1237,  1237,  1237,  1237,  1237,  1237,  1237,
     356,   147,   631,   223,    96,   119,   496,  1369,  1237,  1389,
     752,  1237,  1237,  1237,  1237,  1081,   571,   288,   848,   288,
     288,   288,   848,   584,   510,   655,   656,   730,   800,   529,
     531,   842,   570,   842,  1237,  1168,   101,   128,   678,   191,
     262,   190,   346,   292,  1235,   677,   244,   393,   796,   803,
     804,  1369,   739,   570,   377,   570,   665,   681,   273,   698,
     668,  1246,  1246,  1144,   570,   635,    98,   193,   280,   438,
     508,   779,   486,   775,  1245,   260,  1235,   761,   533,   356,
     571,  1111,   711,   919,   571,   573,  1136,   750,   768,   571,
     721,   107,   351,   377,   570,  1029,   714,   667,   669,   671,
     683,  1369,   377,   699,   700,   665,   698,   634,   354,   356,
     705,  1063,   716,   714,   635,  1389,  1237,   880,   816,  1391,
     813,   356,   903,  1167,  1167,   573,   570,   909,   496,   573,
     113,  1167,   486,   570,   687,  1235,   785,   730,    80,  1273,
     571,   995,   996,   569,   571,  1301,  1400,  1400,  1400,  1400,
    1400,  1237,  1237,   630,   442,   630,  1236,  1236,  1236,  1236,
    1236,   726,   248,   865,   870,   571,  1237,   181,   870,   242,
     630,   346,   851,  1389,   851,   851,   851,   288,   851,   851,
     851,   851,   851,  1167,   571,   571,   571,   242,   571,  1167,
     242,   203,   205,   242,   237,   216,   571,   536,  1176,  1205,
     404,   515,   128,  1182,  1169,   527,   527,   571,  1167,   337,
    1167,   573,  1175,  1146,  1167,  1167,  1167,  1167,   104,   104,
    1167,  1167,   216,   571,   571,  1167,  1190,  1369,   571,  1167,
    1235,  1235,  1235,  1235,  1115,  1117,  1115,   570,   541,  1169,
     571,  1369,   570,  1112,   291,   366,  1119,  1112,  1119,   291,
    1118,  1119,   291,   476,  1125,   570,  1369,   570,   363,   128,
     255,  1102,  1389,  1102,  1350,   562,  1343,  1351,  1388,  1389,
    1389,   571,   929,   483,   351,  1232,  1063,   370,  1063,  1035,
     356,   570,  1037,  1167,   560,  1049,  1038,  1396,   496,   571,
     486,   858,   242,   800,  1167,   571,   573,   529,   147,   882,
     886,   882,   571,   571,   571,   191,   262,   272,   190,   512,
     630,  1144,  1237,  1237,  1237,  1237,  1237,  1237,  1237,  1246,
    1237,   670,   674,  1243,   678,   260,   260,   346,   726,   678,
     346,  1243,  1369,  1144,   630,   630,   560,   128,   477,  1237,
    1237,  1237,  1237,  1237,  1245,  1237,  1237,  1242,  1242,  1144,
     573,  1242,  1242,   573,  1245,  1237,  1237,   486,  1167,   141,
    1167,  1246,  1237,   486,   486,   242,   266,   529,  1236,  1236,
     842,  1236,   223,   226,   842,  1389,  1389,  1144,   630,   630,
     486,   571,   288,   848,   848,   848,   848,   570,   651,   652,
     584,   195,   244,   277,   244,  1167,   341,   676,   188,   107,
     919,   686,   919,  1240,   104,   222,   266,   751,   755,   351,
     664,   640,   220,   268,   570,   442,   510,   687,   107,  1246,
     773,   599,   341,   570,   239,  1237,   710,  1389,   442,   635,
     222,  1258,   842,   351,   664,   714,   571,   573,   529,   674,
     128,   703,   640,   699,   153,   477,   706,   529,   984,   107,
     706,   242,   356,   570,  1235,  1389,   900,   920,   921,  1370,
     915,  1144,   237,   916,  1235,   242,   486,   940,   406,   786,
     275,   731,  1274,  1369,   630,   571,   571,   630,   630,  1237,
     359,   286,   630,   864,   851,  1167,   571,  1168,   242,  1167,
    1167,  1167,   570,   571,   573,   571,  1182,   571,   515,   458,
     571,   571,  1167,  1167,  1167,   571,   377,  1191,   571,  1128,
    1129,  1172,   570,  1181,  1114,   570,  1236,  1112,   356,   510,
    1120,  1112,   291,  1112,  1240,  1135,   570,  1135,  1369,  1078,
    1167,   528,  1185,  1185,  1242,  1388,   435,  1072,   571,  1060,
    1403,  1033,   160,   881,   883,   204,   525,  1052,  1053,  1167,
     864,   356,   864,   571,   267,   689,   692,   358,   929,   842,
     842,   887,   405,   689,   689,   571,   486,   445,  1044,   107,
     223,   223,   631,   813,  1246,  1237,   486,   570,   895,   929,
     931,   823,   570,   570,   831,  1237,   571,   570,   571,   445,
    1044,  1237,  1237,   570,   570,   570,   529,   552,  1004,   413,
    1004,  1004,   237,  1237,   631,  1237,   848,   657,   658,  1371,
     123,   169,   194,   212,   216,   238,   241,   256,   346,   397,
     653,   651,  1389,   895,   107,   936,   936,   571,   259,   570,
     510,   707,   315,   690,   707,   570,   804,   796,   570,   571,
     573,  1235,   571,   442,    98,   152,   155,   161,   189,   246,
     259,   271,   461,   464,   682,   682,  1234,  1237,  1237,   571,
    1063,   774,   223,   181,   750,   242,  1237,   107,  1276,  1063,
     665,  1235,   571,  1401,   669,   360,  1369,   704,   699,   703,
     193,   208,   386,  1237,   133,   141,   307,  1063,   842,  1121,
     881,   242,   799,   902,   571,   573,   496,   214,   581,   914,
     917,  1132,   456,   456,   571,   331,   355,   787,   788,   789,
     237,   792,   730,   337,   514,   732,   733,   560,  1275,  1237,
     870,   237,  1168,  1177,  1205,   337,   548,   128,  1081,   571,
     573,   107,  1130,   188,  1142,  1143,  1168,   150,  1236,   571,
    1167,   570,  1112,  1120,   570,   571,  1135,   571,   170,   252,
     425,   570,  1096,  1097,  1098,  1099,  1100,  1101,  1167,  1186,
    1187,  1369,   127,   197,   180,  1073,   515,  1237,   571,   573,
     342,   508,   316,   341,  1053,   866,   875,   630,   882,   570,
     919,   570,   634,   888,  1235,   919,   919,  1237,   477,   259,
     510,   632,   445,  1044,  1237,  1209,   237,   826,   826,  1209,
    1209,  1167,   477,  1205,  1205,   641,   642,  1247,   841,   842,
     841,   842,  1236,   630,   571,   573,   563,   570,   609,   659,
     726,  1001,  1389,  1001,   341,   346,   397,  1001,  1001,  1132,
     936,   111,   264,   337,   685,   570,   722,  1167,   270,   243,
     376,   451,   356,   694,   695,   696,   571,  1240,    76,   805,
     755,   665,   698,  1237,   571,   750,   230,   825,   635,   984,
    1235,   533,  1111,   750,  1063,  1029,   714,   699,   665,   698,
     674,   570,   705,   703,   704,   429,   429,   141,   359,   141,
     714,   880,   571,  1235,   800,   909,   920,  1144,   574,   204,
     529,   529,   788,   428,   474,   790,   209,   793,   525,   795,
     514,   730,  1242,  1383,  1391,    80,   750,   630,  1167,   571,
     571,   515,  1205,   253,   398,   429,  1192,  1131,  1128,   570,
    1168,   571,   573,   107,  1138,  1139,  1369,   571,  1236,  1205,
     571,   570,   446,   570,   571,   573,   573,   107,   234,   234,
     687,  1063,  1132,   883,   445,   104,  1054,   316,   242,   687,
     707,   929,   888,   889,   686,   707,   707,  1237,   722,  1167,
     477,   571,   362,   435,   402,   827,   827,   571,   571,   571,
    1237,   571,   571,   571,   573,  1242,  1004,   658,   609,   660,
     661,  1389,  1389,   346,   687,   563,   687,  1389,  1389,   272,
     723,   571,   477,   193,   508,   356,   696,   356,   695,   570,
     571,   573,   640,   442,   750,   842,   107,   107,   570,  1237,
     984,   714,   703,   640,   699,   570,   701,   702,  1172,  1369,
     706,   704,   705,   359,   359,   570,   267,   884,   237,   915,
      99,   281,   971,   244,   244,  1001,   428,   460,   794,   570,
     222,  1274,   121,   171,   499,  1167,  1193,  1194,  1193,  1193,
     571,  1135,   573,  1143,  1371,   571,   573,   237,  1144,   571,
     571,  1205,   570,  1205,  1097,  1187,  1189,   128,   128,   445,
    1047,  1167,   482,  1054,   864,   571,   693,   571,   889,   690,
     800,   800,  1044,  1237,   895,   128,  1044,   486,   641,   842,
     571,   573,   687,   571,   465,  1237,   132,   337,   417,   445,
     697,   697,   571,    76,   442,  1237,   822,  1063,   750,  1401,
     704,   699,   703,  1167,   571,   573,   886,   886,   705,   706,
     881,   570,   677,   209,   342,   570,   966,   968,   972,  1030,
    1039,  1046,  1063,  1074,   895,   895,   791,  1369,  1167,   796,
    1194,   428,   236,   384,   236,   384,   219,  1195,  1195,  1195,
     571,  1169,  1139,   363,   188,   341,   346,  1140,  1141,  1391,
     107,  1116,   412,  1126,   571,  1096,   571,   687,   687,  1369,
    1132,   193,   204,   508,  1055,  1056,   482,   630,   800,   694,
    1044,   842,   570,   661,    93,   188,   346,  1237,   750,   984,
     705,   703,   704,   571,   702,   842,   887,   887,   706,   571,
     883,   885,   635,   428,   967,   968,   969,  1064,  1065,   573,
     573,   571,  1240,   104,   171,   251,   337,   483,  1181,  1168,
     346,  1141,  1168,  1369,   570,   571,   445,   445,   486,   510,
     342,   445,   204,   280,  1057,   800,  1205,   686,   686,   750,
     706,   704,   705,   886,   884,   571,   573,   706,   795,   571,
     574,   486,   242,   570,  1194,   428,   364,   150,  1167,  1369,
    1369,  1240,  1241,  1369,  1047,   342,   188,   370,   516,   570,
    1058,   571,   705,   706,   887,   677,   883,  1132,   222,   969,
     456,   456,   797,   798,  1242,  1371,  1388,  1389,  1138,   571,
     570,   188,   516,  1033,   570,  1034,   706,   635,   796,   529,
     529,   571,   573,   571,  1206,  1241,   515,  1205,   571,   706,
    1240,   244,   244,   798,  1081,   510,  1058,   571,   370,  1058,
    1132,   570,   895,   895,   571,  1369,  1033,   797,   515,   571,
    1058
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_int16 yyr1[] =
{
       0,   578,   579,   580,   580,   581,   581,   581,   581,   581,
     581,   581,   581,   581,   581,   581,   581,   581,   581,   581,
     581,   581,   581,   581,   581,   581,   581,   581,   581,   581,
     581,   581,   581,   581,   581,   581,   581,   581,   581,   581,
     581,   581,   581,   581,   581,   581,   581,   581,   581,   581,
     581,   581,   581,   581,   581,   581,   581,   581,   581,   581,
     581,   581,   581,   581,   581,   581,   581,   581,   581,   581,
     581,   581,   581,   581,   581,   581,   581,   581,   581,   581,
     581,   581,   581,   581,   581,   581,   581,   581,   581,   581,
     581,   581,   581,   581,   581,   581,   581,   581,   581,   581,
     581,   581,   581,   581,   581,   581,   581,   581,   581,   581,
     581,   581,   581,   581,   581,   581,   581,   581,   581,   581,
     581,   581,   581,   581,   581,   581,   581,   581,   581,   581,
     581,   581,   581,   581,   581,   581,   581,   581,   581,   581,
     581,   581,   581,   581,   581,   581,   581,   581,   581,   581,
     582,   583,   584,   584,   584,   585,   585,   586,   586,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   588,   588,
     588,   588,   588,   588,   589,   590,   590,   591,   591,   592,
     592,   592,   592,   593,   593,   593,   593,   593,   593,   594,
     595,   596,   596,   597,   597,   597,   597,   598,   598,   599,
     599,   600,   600,   600,   600,   600,   600,   601,   601,   601,
     602,   602,   602,   603,   603,   603,   603,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   605,   605,
     606,   606,   607,   607,   608,   608,   608,   608,   609,   609,
     609,   609,   610,   610,   610,   610,   610,   610,   610,   611,
     611,   611,   612,   612,   613,   614,   614,   614,   614,   615,
     615,   616,   616,   617,   617,   618,   618,   618,   618,   618,
     619,   620,   620,   621,   621,   622,   623,   623,   623,   623,
     623,   624,   624,   624,   624,   624,   624,   624,   624,   624,
     624,   624,   624,   624,   624,   624,   624,   624,   624,   624,
     624,   624,   625,   625,   626,   626,   626,   627,   628,   628,
     628,   628,   628,   628,   628,   628,   628,   628,   628,   628,
     628,   628,   628,   628,   628,   628,   628,   628,   628,   628,
     628,   628,   628,   628,   628,   628,   628,   628,   628,   628,
     628,   628,   628,   628,   628,   628,   628,   628,   628,   628,
     628,   628,   628,   628,   628,   628,   628,   628,   628,   628,
     628,   628,   628,   628,   628,   628,   628,   628,   629,   629,
     630,   630,   630,   631,   631,   632,   632,   633,   633,   633,
     633,   634,   635,   635,   636,   636,   637,   637,   637,   637,
     638,   638,   639,   639,   639,   639,   640,   640,   640,   640,
     641,   642,   642,   643,   644,   644,   645,   645,   645,   645,
     646,   646,   647,   647,   648,   648,   649,   649,   650,   650,
     650,   651,   651,   652,   652,   653,   653,   653,   653,   653,
     653,   653,   653,   653,   653,   653,   653,   653,   654,   654,
     655,   655,   656,   656,   657,   657,   658,   659,   659,   659,
     659,   659,   660,   660,   661,   662,   662,   662,   662,   662,
     662,   663,   663,   663,   663,   663,   663,   663,   663,   664,
     664,   665,   665,   666,   666,   667,   667,   668,   668,   668,
     669,   669,   670,   671,   671,   672,   672,   673,   673,   674,
     674,   675,   675,   675,   675,   676,   676,   676,   676,   676,
     676,   676,   676,   676,   677,   677,   677,   678,   678,   679,
     679,   679,   679,   680,   681,   681,   681,   682,   682,   682,
     682,   682,   682,   682,   682,   682,   682,   683,   683,   684,
     684,   684,   684,   684,   684,   684,   685,   685,   686,   686,
     687,   687,   688,   689,   689,   690,   690,   690,   690,   691,
     691,   692,   692,   693,   693,   694,   694,   694,   694,   694,
     695,   696,   697,   697,   697,   697,   697,   698,   698,   699,
     699,   700,   701,   701,   702,   702,   702,   703,   703,   704,
     704,   704,   705,   705,   705,   705,   706,   706,   707,   707,
     708,   709,   709,   710,   710,   711,   711,   711,   712,   712,
     713,   714,   714,   714,   715,   715,   716,   717,   717,   718,
     719,   719,   720,   720,   721,   721,   722,   722,   723,   723,
     724,   724,   724,   724,   724,   724,   724,   724,   724,   724,
     724,   724,   724,   724,   724,   724,   725,   725,   726,   726,
     726,   726,   727,   727,   728,   728,   729,   729,   730,   730,
     731,   731,   732,   732,   733,   733,   734,   734,   735,   736,
     736,   737,   737,   738,   738,   739,   739,   740,   740,   740,
     740,   741,   742,   742,   743,   744,   744,   744,   744,   744,
     744,   744,   744,   744,   744,   744,   744,   744,   745,   746,
     746,   746,   746,   747,   747,   748,   748,   749,   749,   750,
     750,   751,   751,   752,   753,   753,   754,   754,   754,   754,
     755,   756,   757,   758,   758,   759,   759,   760,   760,   761,
     761,   762,   762,   762,   763,   763,   763,   763,   764,   765,
     765,   766,   766,   767,   767,   768,   768,   769,   769,   770,
     771,   772,   773,   773,   774,   774,   775,   775,   776,   776,
     777,   777,   778,   778,   779,   779,   779,   779,   779,   780,
     781,   781,   782,   782,   783,   783,   783,   784,   784,   785,
     785,   785,   785,   785,   786,   786,   787,   787,   788,   789,
     789,   790,   790,   791,   792,   792,   793,   793,   794,   794,
     795,   795,   796,   796,   797,   797,   797,   798,   798,   798,
     798,   799,   799,   800,   800,   801,   801,   801,   801,   801,
     801,   802,   802,   803,   803,   804,   805,   805,   806,   807,
     807,   807,   807,   808,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     810,   811,   811,   812,   812,   813,   813,   813,   813,   813,
     813,   814,   815,   815,   816,   817,   817,   818,   818,   819,
     819,   819,   819,   820,   820,   821,   822,   822,   823,   823,
     823,   823,   823,   824,   824,   825,   825,   826,   826,   826,
     827,   827,   828,   829,   829,   830,   830,   831,   831,   832,
     832,   833,   833,   834,   835,   836,   836,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   837,   837,   837,
     837,   837,   837,   837,   837,   837,   837,   837,   837,   837,
     838,   838,   838,   838,   838,   839,   839,   839,   839,   839,
     839,   839,   839,   840,   840,   840,   841,   841,   842,   842,
     843,   843,   844,   844,   845,   846,   846,   846,   847,   847,
     847,   847,   847,   847,   847,   847,   847,   847,   847,   847,
     847,   847,   847,   847,   847,   847,   848,   848,   849,   849,
     849,   849,   849,   849,   849,   849,   849,   849,   850,   850,
     851,   851,   852,   852,   852,   852,   852,   852,   852,   852,
     852,   852,   852,   853,   853,   853,   853,   853,   853,   853,
     853,   853,   853,   853,   853,   853,   853,   854,   854,   855,
     855,   856,   857,   857,   858,   858,   858,   858,   858,   859,
     859,   860,   860,   860,   860,   860,   861,   861,   862,   862,
     863,   863,   863,   863,   863,   863,   863,   863,   863,   863,
     863,   863,   863,   863,   863,   863,   863,   863,   863,   863,
     863,   864,   864,   865,   865,   866,   866,   867,   868,   868,
     869,   869,   870,   870,   871,   872,   872,   873,   873,   873,
     874,   874,   874,   875,   875,   875,   875,   875,   875,   876,
     876,   877,   877,   878,   878,   879,   879,   880,   880,   881,
     881,   882,   882,   883,   883,   883,   884,   884,   885,   885,
     886,   886,   887,   887,   888,   888,   888,   889,   889,   889,
     890,   890,   890,   890,   891,   891,   892,   892,   893,   893,
     894,   894,   895,   895,   895,   895,   896,   896,   897,   897,
     898,   898,   898,   898,   898,   899,   899,   899,   899,   899,
     900,   901,   902,   902,   902,   903,   903,   903,   904,   905,
     905,   905,   905,   906,   906,   907,   908,   908,   909,   909,
     910,   910,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   912,
     912,   912,   912,   912,   913,   913,   914,   915,   915,   915,
     916,   916,   917,   917,   918,   918,   919,   919,   920,   921,
     921,   922,   922,   922,   923,   923,   924,   924,   925,   925,
     925,   925,   925,   925,   926,   926,   927,   927,   928,   928,
     928,   928,   929,   929,   930,   930,   931,   932,   933,   933,
     934,   934,   935,   935,   935,   936,   936,   936,   937,   938,
     938,   939,   940,   940,   940,   940,   941,   942,   942,   942,
     942,   943,   943,   944,   944,   944,   945,   945,   946,   946,
     946,   946,   946,   946,   946,   946,   946,   946,   946,   946,
     946,   946,   946,   946,   946,   946,   946,   946,   946,   946,
     946,   946,   946,   946,   946,   946,   946,   946,   946,   946,
     946,   946,   946,   946,   946,   946,   946,   946,   946,   946,
     946,   946,   946,   946,   946,   946,   946,   946,   946,   946,
     946,   946,   946,   947,   947,   948,   948,   949,   949,   949,
     949,   949,   949,   950,   950,   951,   951,   951,   951,   951,
     951,   951,   951,   951,   951,   951,   951,   951,   951,   951,
     951,   951,   951,   951,   951,   951,   951,   951,   951,   951,
     951,   951,   952,   953,   953,   954,   954,   955,   955,   955,
     955,   955,   956,   957,   957,   957,   957,   957,   957,   957,
     957,   957,   957,   957,   957,   957,   957,   957,   957,   957,
     957,   957,   957,   957,   957,   957,   957,   958,   958,   958,
     959,   959,   959,   959,   959,   959,   959,   960,   960,   961,
     961,   961,   961,   962,   963,   963,   963,   963,   963,   963,
     963,   963,   963,   964,   964,   965,   966,   966,   966,   967,
     967,   968,   968,   968,   968,   968,   969,   969,   970,   970,
     970,   970,   971,   971,   971,   972,   973,   973,   974,   975,
     975,   976,   976,   976,   976,   976,   976,   976,   976,   976,
     976,   976,   976,   977,   977,   978,   978,   978,   979,   979,
     979,   979,   979,   980,   980,   980,   981,   981,   982,   982,
     982,   983,   983,   983,   983,   984,   984,   984,   984,   985,
     986,   987,   987,   988,   988,   989,   989,   989,   990,   990,
     990,   990,   990,   990,   990,   991,   991,   992,   992,   992,
     992,   993,   994,   994,   994,   994,   995,   995,   996,   997,
     998,   998,   999,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1001,  1001,  1002,  1003,  1003,  1003,  1003,  1003,  1003,  1004,
    1004,  1005,  1006,  1006,  1006,  1006,  1007,  1007,  1008,  1008,
    1009,  1009,  1010,  1010,  1011,  1011,  1012,  1013,  1013,  1014,
    1014,  1014,  1015,  1015,  1016,  1016,  1017,  1017,  1018,  1018,
    1019,  1019,  1020,  1021,  1021,  1022,  1022,  1023,  1023,  1023,
    1023,  1024,  1024,  1024,  1024,  1024,  1024,  1024,  1024,  1024,
    1024,  1025,  1025,  1026,  1026,  1027,  1027,  1027,  1027,  1027,
    1028,  1028,  1028,  1029,  1029,  1030,  1031,  1031,  1032,  1032,
    1032,  1032,  1032,  1033,  1033,  1034,  1034,  1035,  1036,  1036,
    1036,  1037,  1037,  1037,  1038,  1038,  1039,  1040,  1040,  1041,
    1042,  1042,  1043,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1044,  1044,  1045,  1045,  1045,  1046,  1047,  1047,  1048,  1048,
    1049,  1050,  1050,  1051,  1052,  1052,  1053,  1053,  1053,  1053,
    1053,  1054,  1054,  1055,  1056,  1057,  1057,  1057,  1057,  1057,
    1058,  1059,  1060,  1060,  1061,  1061,  1061,  1061,  1061,  1061,
    1062,  1062,  1062,  1063,  1063,  1064,  1064,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1066,  1066,  1067,  1067,  1067,
    1067,  1067,  1067,  1067,  1068,  1068,  1068,  1069,  1069,  1070,
    1071,  1071,  1071,  1072,  1072,  1072,  1073,  1073,  1073,  1074,
    1074,  1075,  1075,  1075,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1077,  1077,  1078,  1078,  1078,  1079,  1079,
    1080,  1080,  1081,  1081,  1082,  1083,  1083,  1084,  1084,  1085,
    1085,  1085,  1085,  1086,  1086,  1087,  1087,  1087,  1087,  1087,
    1087,  1088,  1088,  1089,  1089,  1090,  1091,  1091,  1091,  1092,
    1092,  1093,  1093,  1094,  1094,  1095,  1095,  1096,  1096,  1097,
    1097,  1097,  1097,  1097,  1098,  1099,  1100,  1101,  1102,  1102,
    1103,  1103,  1104,  1104,  1105,  1105,  1106,  1107,  1107,  1107,
    1107,  1108,  1108,  1109,  1109,  1110,  1110,  1111,  1111,  1112,
    1112,  1112,  1112,  1112,  1112,  1112,  1112,  1112,  1112,  1113,
    1113,  1113,  1113,  1113,  1113,  1114,  1114,  1114,  1114,  1115,
    1115,  1116,  1116,  1117,  1117,  1117,  1117,  1117,  1118,  1118,
    1118,  1118,  1119,  1119,  1120,  1120,  1121,  1121,  1122,  1122,
    1122,  1123,  1123,  1124,  1124,  1124,  1125,  1126,  1126,  1127,
    1127,  1128,  1129,  1129,  1130,  1130,  1131,  1131,  1132,  1132,
    1133,  1133,  1133,  1134,  1134,  1135,  1135,  1136,  1137,  1137,
    1138,  1138,  1139,  1139,  1139,  1140,  1140,  1141,  1141,  1141,
    1141,  1142,  1142,  1143,  1143,  1144,  1144,  1144,  1144,  1144,
    1144,  1145,  1145,  1145,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1147,  1147,  1147,  1147,  1148,  1148,  1149,  1149,  1150,
    1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,
    1151,  1151,  1152,  1152,  1153,  1153,  1154,  1155,  1156,  1156,
    1157,  1157,  1158,  1159,  1160,  1160,  1160,  1160,  1160,  1160,
    1161,  1161,  1162,  1162,  1162,  1162,  1163,  1164,  1164,  1164,
    1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,  1165,
    1165,  1165,  1165,  1165,  1166,  1166,  1167,  1167,  1167,  1167,
    1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,
    1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,
    1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,
    1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,
    1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,
    1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,  1167,
    1167,  1168,  1168,  1168,  1168,  1168,  1168,  1168,  1168,  1168,
    1168,  1168,  1168,  1168,  1168,  1168,  1168,  1168,  1168,  1168,
    1168,  1168,  1168,  1169,  1169,  1169,  1169,  1169,  1169,  1169,
    1169,  1169,  1169,  1169,  1169,  1169,  1169,  1170,  1170,  1170,
    1170,  1170,  1170,  1170,  1171,  1171,  1172,  1172,  1173,  1173,
    1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,
    1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,
    1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,
    1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,  1173,
    1173,  1173,  1173,  1173,  1174,  1174,  1175,  1175,  1175,  1175,
    1176,  1177,  1177,  1178,  1178,  1179,  1179,  1180,  1180,  1180,
    1181,  1181,  1181,  1181,  1182,  1182,  1183,  1183,  1184,  1184,
    1185,  1185,  1186,  1186,  1187,  1188,  1188,  1188,  1189,  1190,
    1190,  1191,  1191,  1192,  1192,  1192,  1192,  1193,  1193,  1194,
    1194,  1194,  1194,  1194,  1195,  1195,  1195,  1195,  1195,  1196,
    1196,  1196,  1197,  1197,  1198,  1199,  1199,  1199,  1200,  1200,
    1201,  1201,  1201,  1201,  1201,  1201,  1201,  1201,  1201,  1201,
    1201,  1201,  1202,  1202,  1203,  1203,  1204,  1204,  1204,  1204,
    1204,  1204,  1205,  1205,  1206,  1206,  1207,  1207,  1207,  1208,
    1208,  1209,  1209,  1210,  1210,  1210,  1211,  1211,  1212,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1214,  1214,  1214,
    1214,  1215,  1215,  1216,  1217,  1217,  1217,  1217,  1217,  1218,
    1218,  1218,  1219,  1219,  1220,  1221,  1221,  1222,  1223,  1223,
    1224,  1224,  1225,  1225,  1226,  1226,  1226,  1226,  1227,  1227,
    1228,  1228,  1229,  1229,  1230,  1230,  1231,  1231,  1232,  1232,
    1233,  1233,  1233,  1233,  1234,  1234,  1235,  1235,  1236,  1236,
    1237,  1238,  1239,  1240,  1240,  1241,  1241,  1241,  1241,  1241,
    1241,  1241,  1241,  1241,  1241,  1241,  1241,  1241,  1241,  1241,
    1242,  1243,  1243,  1243,  1243,  1244,  1245,  1245,  1245,  1245,
    1246,  1246,  1247,  1247,  1247,  1247,  1248,  1248,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1250,  1250,
    1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,
    1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,
    1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,
    1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,
    1250,  1250,  1250,  1250,  1250,  1250,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1252,
    1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,
    1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,
    1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,
    1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,
    1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,
    1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,
    1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,
    1252,  1252,  1252,  1252,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1254,  1254,  1255,  1255,  1255,
    1255,  1255,  1255,  1255,  1255,  1257,  1256,  1258,  1256,  1259,
    1260,  1260,  1260,  1260,  1261,  1261,  1261,  1261,  1262,  1262,
    1263,  1264,  1265,  1265,  1266,  1266,  1266,  1267,  1267,  1268,
    1268,  1269,  1269,  1270,  1270,  1270,  1270,  1271,  1271,  1271,
    1272,  1273,  1273,  1274,  1274,  1275,  1275,  1275,  1275,  1276,
    1276,  1277,  1278,  1279,  1280,  1281,  1281,  1282,  1283,  1283,
    1284,  1284,  1284,  1284,  1284,  1286,  1285,  1287,  1288,  1289,
    1289,  1290,  1290,  1290,  1290,  1291,  1291,  1293,  1292,  1295,
    1294,  1296,  1294,  1294,  1297,  1297,  1298,  1298,  1298,  1299,
    1299,  1299,  1299,  1300,  1300,  1301,  1301,  1301,  1301,  1301,
    1301,  1302,  1302,  1302,  1303,  1305,  1304,  1306,  1307,  1306,
    1308,  1308,  1309,  1309,  1310,  1310,  1311,  1311,  1311,  1311,
    1311,  1311,  1311,  1311,  1311,  1312,  1312,  1312,  1312,  1312,
    1312,  1312,  1312,  1312,  1312,  1313,  1313,  1314,  1314,  1315,
    1316,  1316,  1317,  1317,  1317,  1318,  1319,  1320,  1320,  1320,
    1320,  1321,  1321,  1321,  1322,  1322,  1323,  1323,  1324,  1325,
    1325,  1326,  1326,  1327,  1327,  1328,  1328,  1329,  1330,  1330,
    1331,  1331,  1331,  1332,  1332,  1332,  1332,  1332,  1332,  1332,
    1332,  1332,  1333,  1333,  1333,  1333,  1333,  1334,  1334,  1335,
    1336,  1337,  1338,  1338,  1339,  1340,  1341,  1341,  1342,  1343,
    1343,  1344,  1345,  1346,  1346,  1347,  1348,  1349,  1349,  1350,
    1351,  1351,  1351,  1351,  1351,  1352,  1352,  1352,  1352,  1352,
    1352,  1352,  1352,  1352,  1352,  1352,  1352,  1352,  1352,  1352,
    1353,  1353,  1354,  1354,  1355,  1355,  1355,  1357,  1356,  1358,
    1358,  1360,  1359,  1361,  1361,  1361,  1362,  1362,  1362,  1362,
    1362,  1362,  1362,  1362,  1362,  1362,  1363,  1363,  1364,  1364,
    1364,  1364,  1364,  1364,  1364,  1364,  1364,  1364,  1364,  1364,
    1364,  1364,  1364,  1364,  1364,  1364,  1364,  1364,  1364,  1364,
    1365,  1365,  1365,  1365,  1365,  1365,  1366,  1366,  1366,  1366,
    1366,  1366,  1366,  1367,  1368,  1368,  1368,  1368,  1368,  1368,
    1368,  1368,  1369,  1369,  1369,  1369,  1369,  1369,  1369,  1370,
    1370,  1370,  1370,  1370,  1370,  1371,  1371,  1371,  1371,  1371,
    1371,  1371,  1371,  1371,  1371,  1371,  1372,  1372,  1372,  1372,
    1372,  1373,  1373,  1373,  1373,  1374,  1374,  1374,  1374,  1374,
    1374,  1374,  1375,  1375,  1375,  1376,  1376,  1376,  1376,  1376,
    1376,  1377,  1377,  1378,  1379,  1379,  1380,  1380,  1381,  1382,
    1383,  1384,  1384,  1384,  1385,  1386,  1387,  1388,  1389,  1390,
    1391,  1391,  1392,  1392,  1393,  1393,  1393,  1394,  1394,  1395,
    1395,  1396,  1396,  1397,  1397,  1397,  1397,  1397,  1398,  1398,
    1398,  1398,  1398,  1398,  1398,  1398,  1398,  1398,  1398,  1398,
    1398,  1398,  1398,  1398,  1398,  1398,  1398,  1398,  1398,  1398,
    1398,  1398,  1398,  1398,  1398,  1398,  1398,  1398,  1398,  1398,
    1398,  1398,  1398,  1398,  1398,  1398,  1398,  1398,  1398,  1398,
    1398,  1398,  1398,  1398,  1398,  1398,  1398,  1398,  1398,  1398,
    1398,  1398,  1398,  1398,  1399,  1399,  1399,  1399,  1400,  1400,
    1400,  1400,  1400,  1400,  1400,  1400,  1400,  1400,  1401,  1401,
    1401,  1401,  1402,  1402,  1403,  1403,  1404,  1404,  1405,  1405
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       2,     5,     1,     1,     0,     2,     0,     2,     0,     2,
       2,     3,     3,     1,     3,     3,     2,     1,     1,     2,
       2,     2,     3,     3,     5,     5,     5,     0,     3,     5,
       5,     5,     5,     3,     5,     3,     5,     3,     5,     5,
       6,     1,     1,     6,     4,     9,     7,     1,     0,     2,
       0,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       2,     5,     1,     3,     3,     3,     3,     1,     3,     3,
       2,     2,     2,     2,     3,     3,     3,     3,     1,     3,
       1,     3,     1,     1,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     3,     5,     1,     1,     1,     1,
       1,     0,     1,     1,     2,     1,     2,     3,     2,     1,
       1,     2,     1,     2,     1,     3,     4,     5,     4,     2,
       4,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     4,     6,     4,     6,    10,    13,     4,     6,     4,
      10,    13,     4,     6,     4,     6,     5,     7,    11,    14,
       5,     7,     1,     3,     4,     4,     4,     3,     2,     5,
       3,     6,     4,     6,     6,     5,     7,     6,     6,     5,
       5,     6,     5,     9,     4,     5,     7,     6,     4,     8,
       4,     2,     4,     3,     6,     4,     3,     3,     3,     2,
       2,     3,     4,     4,     3,     3,     3,     3,     3,     3,
       4,     4,     3,     2,     3,     2,     2,     3,     4,     3,
       2,     2,     3,     4,     4,     4,     5,     1,     3,     2,
       1,     1,     0,     2,     0,     2,     0,     1,     1,     1,
       3,     3,     2,     0,     1,     3,     3,     1,     5,     3,
       1,     2,     1,     3,     2,     3,     6,     6,    10,     1,
       2,     1,     3,     4,     1,     3,     4,     6,     4,     8,
       2,     2,    11,     9,     1,     1,     1,     0,     1,     1,
       1,     1,     3,     2,     0,     1,     1,     3,     3,     1,
       1,     3,     3,     3,     3,     4,     3,     2,     1,     0,
       3,     0,     1,     0,     1,     3,     2,     1,     1,     1,
       3,     0,     1,     3,     1,    13,    16,    12,    15,    14,
      17,     1,     1,     2,     2,     2,     2,     1,     0,     1,
       0,     3,     0,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     5,     2,     4,     2,     2,     1,     0,     2,
       0,     3,     1,     1,     2,     2,     1,     4,     4,     5,
       2,     5,     7,     5,     2,     3,     0,     1,     2,     1,
       2,     2,     2,     3,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     5,
       9,     3,     9,     4,    10,    11,     2,     0,     3,     0,
       1,     3,     1,     4,     0,     2,     2,     2,     0,     1,
       3,     3,     6,     4,     0,     1,     1,     2,     2,     0,
       3,     3,     2,     1,     1,     3,     3,     4,     0,     1,
       0,     6,     1,     3,     3,     3,     5,     2,     0,     2,
       2,     0,     3,     4,     4,     0,     2,     0,     4,     0,
       3,     8,    11,     1,     3,     1,     1,     3,     6,     8,
       6,     2,     3,     0,     8,    11,     5,     1,     0,     6,
       5,     8,     4,     6,     1,     0,     3,     0,     1,     2,
       2,     2,     1,     2,     3,     1,     2,     2,     2,     2,
       3,     3,     3,     1,     3,     1,     1,     0,     1,     2,
       2,     1,     1,     3,     6,    10,     1,     0,     1,     2,
       2,     0,     2,     2,     1,     0,     1,     0,     7,     2,
       0,     3,     5,     5,     8,     2,     0,     2,     2,     2,
       1,     5,     2,     0,     2,     6,     6,     6,    10,     6,
       6,     6,     9,     9,     6,     6,     9,     6,     7,     2,
       2,     2,     2,     1,     2,     1,     0,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,    13,     2,     0,     2,     2,     1,
       0,     5,     4,     4,    11,    14,    12,    15,    11,     2,
       1,     4,     0,     8,    11,     1,     1,     7,     9,     8,
      10,     8,     4,     0,     5,     0,     2,     0,     2,     0,
       2,     0,     2,     0,     1,     1,     1,     1,     1,     8,
       1,     1,    17,    21,     1,     1,     2,     1,     3,     1,
       1,     1,     3,     1,     2,     0,     1,     2,     4,     1,
       1,     1,     1,     1,     3,     0,     1,     0,     1,     1,
       4,     0,     1,     1,     1,     3,     0,     1,     1,     1,
       1,     2,     0,     0,     2,     2,     1,     2,     2,     2,
       2,    11,    13,     1,     3,     5,     1,     3,     5,     1,
       2,     2,     1,     8,     6,     5,     4,     4,     3,     7,
       8,     6,     6,     6,     6,     6,     4,     7,     5,     8,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     3,     3,     1,     0,     1,     3,     7,
       9,     9,     8,     3,     0,    13,     1,     3,     5,     5,
       3,     6,     2,     1,     0,     2,     0,     2,     4,     0,
       1,     0,     6,     8,     8,     1,     3,     5,     5,     7,
       9,     7,     9,     5,     6,     6,     4,     6,     4,     6,
       8,     4,     6,     4,     6,     5,     7,     1,     1,     1,
       2,     1,     2,     1,     1,     1,     3,     3,     3,     3,
       1,     1,     1,     1,     1,     2,     2,     1,     3,     2,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     2,
       2,     3,     1,     3,     5,     2,     2,     0,     6,     6,
       6,     6,     6,     6,     6,     6,     8,     9,     8,     6,
       6,     9,     9,     9,     7,    10,     1,     1,     8,     8,
       8,     8,     8,     8,     8,     9,     8,     8,     2,     0,
       1,     1,     2,     2,     3,     4,     5,     4,     5,     3,
       4,     3,     4,     1,     2,     3,     3,     3,     3,     4,
       4,     3,     3,     4,     4,     4,     4,     1,     1,     1,
       0,     8,     8,    11,     1,     1,     2,     4,     5,     1,
       3,     2,     2,     2,     2,     2,     1,     3,     1,     3,
       1,     2,     2,     4,     3,     2,     2,     2,     2,     2,
       2,     3,     2,     2,     2,     2,     5,     5,     5,     5,
       5,     1,     3,     1,     2,     3,     0,     6,     6,     9,
       3,     0,     3,     0,     5,     2,     0,     3,     3,     3,
       7,     7,    10,     1,     1,     1,     1,     1,     1,    16,
      19,     1,     0,     1,     0,     1,     0,     2,     0,     1,
       3,     4,     5,     2,     2,     4,     4,     0,     1,     3,
       2,     0,     1,     0,     1,     1,     0,     2,     2,     0,
       9,    12,     7,     7,     2,     0,     3,     2,     1,     3,
       1,     3,     2,     1,     1,     2,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     3,
       3,     5,     6,     1,     3,     2,     1,     3,     1,     0,
       1,     2,     4,     5,     1,     1,     1,     1,     3,     3,
       2,     2,     1,     2,     2,     2,     2,     1,     2,     2,
       2,     2,     1,     1,     1,     3,     2,     1,     4,     0,
       3,     0,     1,     1,     3,     5,     2,     0,     2,     1,
       3,     5,     5,     5,     1,     2,     1,     0,     4,     6,
       4,     6,     4,     6,     4,     6,     4,     6,     3,     5,
       5,     5,     1,     3,     1,     3,     2,     2,     1,     2,
       1,     2,    11,    10,    10,     2,     2,     0,     9,     2,
       0,    10,    11,    11,     5,     5,     8,     4,     4,     7,
       7,     1,     1,     1,     1,     1,     5,     5,     6,     6,
       6,     6,     6,     8,     8,     6,     6,     7,     9,     9,
       8,    10,     6,     6,     6,     6,     6,     6,     6,     8,
       6,     8,     6,     8,     7,     9,     6,     8,     7,     9,
       8,    10,     8,    10,     9,    11,     8,    10,     9,    11,
       8,     8,     7,     6,     6,     6,     6,     8,     8,     8,
       8,     6,     9,     1,     0,     2,     0,     8,     8,     8,
      10,     9,     8,     1,     0,     6,     6,     6,     6,     6,
       6,     6,     9,     9,     6,     6,     6,     8,     6,     8,
       8,     8,     8,     6,     8,     6,     8,     7,     9,     7,
       9,     6,     7,     1,     3,     3,     3,     1,     1,     1,
       1,     1,     7,     6,     6,     6,     6,     6,     6,     7,
       7,     6,     9,     9,     6,     6,     6,     6,     6,     6,
       8,     8,     8,     6,     7,     6,     6,     4,     7,     6,
       4,     4,     4,     3,     4,     3,     1,     1,     3,     5,
       5,     5,     5,     8,     5,     5,     6,     7,     7,     7,
       4,     4,     5,     4,     6,    13,     1,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     1,     0,     3,     2,     0,     2,     2,
       2,     3,     3,     3,     3,     2,     3,     2,     5,     4,
       3,     3,     3,     3,     3,     1,     1,     0,     3,     2,
       2,     1,     2,     1,     3,     2,     1,     0,     2,     3,
       0,     9,    11,    12,    14,     3,     4,     4,     0,     2,
       5,     1,     0,     1,     2,     3,     3,     3,     1,     2,
       1,     1,     1,     1,     1,     1,     0,     5,     4,     6,
       6,     4,     3,     5,     7,     9,     1,     3,     1,     5,
       4,     4,     6,     4,     6,     6,     5,     7,     9,     6,
       1,     0,     6,    11,    11,    11,    13,     9,    11,     1,
       1,    10,     4,     6,     2,     5,     2,     0,     6,     5,
       3,     5,     1,     3,     1,     1,     2,     1,     1,     1,
       1,     0,     1,     0,     1,     0,     1,     0,     1,     0,
       3,     0,     2,     1,     3,     1,     0,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     5,     4,     3,     0,     1,     1,     1,     1,     1,
       4,    10,    13,     3,     0,     7,     1,     3,     1,     4,
       4,     7,     2,     1,     1,     1,     3,     2,     8,     5,
       0,     4,     3,     0,     3,     0,     7,     2,     0,     5,
       3,     0,     2,     2,     2,     3,     1,     3,     1,     2,
       1,     0,     1,     2,     0,     8,     1,     3,     3,     5,
       2,     1,     3,     9,     1,     2,     5,     5,     6,     6,
       7,     2,     0,     3,     1,     2,     5,     5,     8,     3,
       4,     7,     1,     1,     0,     3,     2,     2,     2,     2,
       0,     2,     2,     1,     1,     3,     3,     1,     2,     4,
       4,     2,     3,     5,     5,     1,     1,     9,     9,     1,
       2,     4,     4,     4,     2,     2,     3,     1,     3,     9,
       1,     2,     0,     7,     7,     0,    10,     6,     0,     1,
       0,     2,     1,     0,     3,     3,     4,     4,     4,     4,
       3,     2,     1,     1,     0,     1,     1,     0,     1,     5,
       1,     0,     1,     0,     3,     1,     3,     4,     3,     2,
       2,     1,     1,     1,     0,     2,     4,     5,     6,     4,
       5,     2,     3,     1,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     4,     0,     1,     3,     1,
       1,     1,     1,     1,     2,     4,     4,     5,     2,     0,
       1,     3,     1,     0,     1,     2,     3,     2,     4,     2,
       3,     2,     0,     4,     5,     2,     0,     1,     3,     2,
       3,     2,     3,     2,     3,     2,     3,     1,     4,     3,
       4,     5,     4,     5,     4,     5,     2,     4,     1,     1,
       0,     2,     0,     1,     4,     5,     4,     0,     2,     2,
       2,     1,     1,     0,     5,     2,     1,     1,     2,     2,
       4,     1,     3,     1,     2,     3,     6,     4,     0,     2,
       6,     2,     1,     3,     4,     0,     2,     0,     2,     0,
       2,     4,     0,     1,     0,     1,     3,     3,     7,    12,
       1,     3,     2,     3,     3,     1,     2,     2,     2,     2,
       1,     1,     3,     3,     2,     2,     3,     5,     6,     2,
       3,     3,     4,     0,     1,     1,     1,     1,     1,     2,
       4,     1,     1,     1,     1,     2,     3,     3,     0,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     2,     1,
       3,     0,     1,     1,     1,     1,     5,     2,     1,     1,
       1,     1,     4,     1,     2,     2,     1,     3,     3,     2,
       1,     0,     5,     2,     5,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       3,     3,     3,     0,     1,     4,     1,     3,     3,     5,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     3,     3,     2,     2,
       3,     5,     4,     6,     3,     5,     4,     6,     4,     6,
       5,     7,     3,     2,     4,     2,     3,     3,     4,     3,
       4,     3,     4,     5,     6,     6,     7,     6,     7,     3,
       4,     4,     6,     3,     3,     4,     3,     4,     4,     5,
       1,     1,     3,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     5,
       6,     3,     4,     1,     1,     2,     4,     1,     1,     1,
       2,     2,     2,     2,     1,     1,     4,     3,     5,     6,
       8,     6,     6,     4,     4,     1,     1,     1,     5,     1,
       1,     4,     1,     4,     1,     4,     1,     4,     1,     1,
       1,     1,     1,     1,     6,     4,     4,     6,     4,     4,
       4,     4,     4,     6,     5,     5,     5,     4,     6,     4,
       4,     4,     4,     5,     7,     7,     9,     5,     4,     6,
       5,     7,     7,     7,     2,     3,     3,     3,     4,     0,
       4,     1,     3,     3,     1,     1,     1,     2,     2,     0,
       2,     3,     3,     4,     2,     2,     5,     0,     5,     0,
       2,     0,     1,     3,     3,     2,     2,     0,     6,     1,
       0,     3,     0,     3,     3,     3,     0,     1,     4,     2,
       2,     2,     2,     2,     3,     2,     2,     3,     0,     4,
       3,     5,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     1,     4,     1,     4,     1,     2,
       1,     2,     1,     3,     1,     3,     1,     3,     3,     1,
       0,     1,     3,     3,     3,     2,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     7,     5,     3,     5,     5,     3,     3,     5,     3,
       2,     1,     1,     3,     5,     1,     2,     4,     2,     0,
       1,     0,     1,     2,     2,     2,     3,     5,     1,     0,
       1,     2,     0,     2,     1,     0,     1,     0,     1,     3,
       3,     2,     1,     1,     1,     3,     1,     2,     1,     3,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       2,     6,     2,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     2,     4,     3,     2,
       1,     1,     1,     1,     1,     0,     8,     0,    11,     2,
       5,     3,     2,     2,     3,     7,     1,     1,     1,     0,
       2,     2,     1,     0,     1,     3,     1,     2,     0,     2,
       0,     2,     0,     1,     3,     4,     3,     1,     1,     1,
       1,     2,     0,     2,     4,     0,     2,     2,     2,     1,
       1,     3,     7,     3,     1,     1,     1,     1,     2,     0,
       1,     3,     3,     3,     3,     0,     4,     5,     5,     0,
       1,     1,     1,     2,     2,     1,     2,     0,     7,     0,
       5,     0,     4,     2,     2,     0,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     5,     2,
       1,     3,     2,     2,     3,     0,     5,     1,     0,     5,
       2,     2,     1,     1,     1,     2,     2,     3,     1,     2,
       2,     3,     3,     4,     2,     1,     2,     1,     1,     2,
       2,     3,     1,     1,     1,     1,     0,     1,     3,     5,
       0,     2,     0,     1,     2,     3,     2,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     2,     2,     3,     0,
       1,     2,     1,     4,     3,     4,     3,     2,     1,     3,
       1,     1,     1,     1,     2,     2,     1,     2,     2,     1,
       1,     1,     4,     4,     4,     4,     4,     1,     0,     3,
       3,     4,     1,     3,     3,     4,     1,     3,     3,     1,
       1,     1,     6,     1,     3,     3,     6,     1,     3,     3,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     4,     1,     1,     4,     4,     3,     0,     7,     1,
       0,     0,     7,     3,     4,     3,     1,     1,     1,     2,
       3,     5,     2,     2,     5,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     0,     1,     2,     1,     2,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     3,     1,     2,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     3,     2,     3,     1,     3,
       3,     3,     3,     3,     3,     1,     1,     4,     0,     2,
       2,     1,     2,     1,     0,     1,     1,     1,     0,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YY_LOCATION_PRINT
#  if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#   define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

#  else
#   define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#  endif
# endif /* !defined YY_LOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yykind < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yykind], *yyvaluep);
# endif
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YY_LOCATION_PRINT (yyo, *yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]));
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 3: /* toplevel_stmt: stmt  */
#line 1677 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37259 "preproc.c"
    break;

  case 4: /* toplevel_stmt: TransactionStmtLegacy  */
#line 1681 "preproc.y"
        {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 37269 "preproc.c"
    break;

  case 5: /* stmt: AlterEventTrigStmt  */
#line 1691 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37275 "preproc.c"
    break;

  case 6: /* stmt: AlterCollationStmt  */
#line 1693 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37281 "preproc.c"
    break;

  case 7: /* stmt: AlterDatabaseStmt  */
#line 1695 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37287 "preproc.c"
    break;

  case 8: /* stmt: AlterDatabaseSetStmt  */
#line 1697 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37293 "preproc.c"
    break;

  case 9: /* stmt: AlterDefaultPrivilegesStmt  */
#line 1699 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37299 "preproc.c"
    break;

  case 10: /* stmt: AlterDomainStmt  */
#line 1701 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37305 "preproc.c"
    break;

  case 11: /* stmt: AlterEnumStmt  */
#line 1703 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37311 "preproc.c"
    break;

  case 12: /* stmt: AlterExtensionStmt  */
#line 1705 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37317 "preproc.c"
    break;

  case 13: /* stmt: AlterExtensionContentsStmt  */
#line 1707 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37323 "preproc.c"
    break;

  case 14: /* stmt: AlterFdwStmt  */
#line 1709 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37329 "preproc.c"
    break;

  case 15: /* stmt: AlterForeignServerStmt  */
#line 1711 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37335 "preproc.c"
    break;

  case 16: /* stmt: AlterFunctionStmt  */
#line 1713 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37341 "preproc.c"
    break;

  case 17: /* stmt: AlterGroupStmt  */
#line 1715 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37347 "preproc.c"
    break;

  case 18: /* stmt: AlterObjectDependsStmt  */
#line 1717 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37353 "preproc.c"
    break;

  case 19: /* stmt: AlterObjectSchemaStmt  */
#line 1719 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37359 "preproc.c"
    break;

  case 20: /* stmt: AlterOwnerStmt  */
#line 1721 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37365 "preproc.c"
    break;

  case 21: /* stmt: AlterOperatorStmt  */
#line 1723 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37371 "preproc.c"
    break;

  case 22: /* stmt: AlterTypeStmt  */
#line 1725 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37377 "preproc.c"
    break;

  case 23: /* stmt: AlterPolicyStmt  */
#line 1727 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37383 "preproc.c"
    break;

  case 24: /* stmt: AlterSeqStmt  */
#line 1729 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37389 "preproc.c"
    break;

  case 25: /* stmt: AlterSystemStmt  */
#line 1731 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37395 "preproc.c"
    break;

  case 26: /* stmt: AlterTableStmt  */
#line 1733 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37401 "preproc.c"
    break;

  case 27: /* stmt: AlterTblSpcStmt  */
#line 1735 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37407 "preproc.c"
    break;

  case 28: /* stmt: AlterCompositeTypeStmt  */
#line 1737 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37413 "preproc.c"
    break;

  case 29: /* stmt: AlterPublicationStmt  */
#line 1739 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37419 "preproc.c"
    break;

  case 30: /* stmt: AlterRoleSetStmt  */
#line 1741 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37425 "preproc.c"
    break;

  case 31: /* stmt: AlterRoleStmt  */
#line 1743 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37431 "preproc.c"
    break;

  case 32: /* stmt: AlterSubscriptionStmt  */
#line 1745 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37437 "preproc.c"
    break;

  case 33: /* stmt: AlterStatsStmt  */
#line 1747 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37443 "preproc.c"
    break;

  case 34: /* stmt: AlterTSConfigurationStmt  */
#line 1749 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37449 "preproc.c"
    break;

  case 35: /* stmt: AlterTSDictionaryStmt  */
#line 1751 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37455 "preproc.c"
    break;

  case 36: /* stmt: AlterUserMappingStmt  */
#line 1753 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37461 "preproc.c"
    break;

  case 37: /* stmt: AnalyzeStmt  */
#line 1755 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37467 "preproc.c"
    break;

  case 38: /* stmt: CallStmt  */
#line 1757 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37473 "preproc.c"
    break;

  case 39: /* stmt: CheckPointStmt  */
#line 1759 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37479 "preproc.c"
    break;

  case 40: /* stmt: ClosePortalStmt  */
#line 1761 "preproc.y"
        {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 37501 "preproc.c"
    break;

  case 41: /* stmt: ClusterStmt  */
#line 1779 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37507 "preproc.c"
    break;

  case 42: /* stmt: CommentStmt  */
#line 1781 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37513 "preproc.c"
    break;

  case 43: /* stmt: ConstraintsSetStmt  */
#line 1783 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37519 "preproc.c"
    break;

  case 44: /* stmt: CopyStmt  */
#line 1785 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37525 "preproc.c"
    break;

  case 45: /* stmt: CreateAmStmt  */
#line 1787 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37531 "preproc.c"
    break;

  case 46: /* stmt: CreateAsStmt  */
#line 1789 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37537 "preproc.c"
    break;

  case 47: /* stmt: CreateAssertionStmt  */
#line 1791 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37543 "preproc.c"
    break;

  case 48: /* stmt: CreateCastStmt  */
#line 1793 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37549 "preproc.c"
    break;

  case 49: /* stmt: CreateConversionStmt  */
#line 1795 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37555 "preproc.c"
    break;

  case 50: /* stmt: CreateDomainStmt  */
#line 1797 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37561 "preproc.c"
    break;

  case 51: /* stmt: CreateExtensionStmt  */
#line 1799 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37567 "preproc.c"
    break;

  case 52: /* stmt: CreateFdwStmt  */
#line 1801 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37573 "preproc.c"
    break;

  case 53: /* stmt: CreateForeignServerStmt  */
#line 1803 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37579 "preproc.c"
    break;

  case 54: /* stmt: CreateForeignTableStmt  */
#line 1805 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37585 "preproc.c"
    break;

  case 55: /* stmt: CreateFunctionStmt  */
#line 1807 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37591 "preproc.c"
    break;

  case 56: /* stmt: CreateGroupStmt  */
#line 1809 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37597 "preproc.c"
    break;

  case 57: /* stmt: CreateMatViewStmt  */
#line 1811 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37603 "preproc.c"
    break;

  case 58: /* stmt: CreateOpClassStmt  */
#line 1813 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37609 "preproc.c"
    break;

  case 59: /* stmt: CreateOpFamilyStmt  */
#line 1815 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37615 "preproc.c"
    break;

  case 60: /* stmt: CreatePublicationStmt  */
#line 1817 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37621 "preproc.c"
    break;

  case 61: /* stmt: AlterOpFamilyStmt  */
#line 1819 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37627 "preproc.c"
    break;

  case 62: /* stmt: CreatePolicyStmt  */
#line 1821 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37633 "preproc.c"
    break;

  case 63: /* stmt: CreatePLangStmt  */
#line 1823 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37639 "preproc.c"
    break;

  case 64: /* stmt: CreateSchemaStmt  */
#line 1825 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37645 "preproc.c"
    break;

  case 65: /* stmt: CreateSeqStmt  */
#line 1827 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37651 "preproc.c"
    break;

  case 66: /* stmt: CreateStmt  */
#line 1829 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37657 "preproc.c"
    break;

  case 67: /* stmt: CreateSubscriptionStmt  */
#line 1831 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37663 "preproc.c"
    break;

  case 68: /* stmt: CreateStatsStmt  */
#line 1833 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37669 "preproc.c"
    break;

  case 69: /* stmt: CreateTableSpaceStmt  */
#line 1835 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37675 "preproc.c"
    break;

  case 70: /* stmt: CreateTransformStmt  */
#line 1837 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37681 "preproc.c"
    break;

  case 71: /* stmt: CreateTrigStmt  */
#line 1839 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37687 "preproc.c"
    break;

  case 72: /* stmt: CreateEventTrigStmt  */
#line 1841 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37693 "preproc.c"
    break;

  case 73: /* stmt: CreateRoleStmt  */
#line 1843 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37699 "preproc.c"
    break;

  case 74: /* stmt: CreateUserStmt  */
#line 1845 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37705 "preproc.c"
    break;

  case 75: /* stmt: CreateUserMappingStmt  */
#line 1847 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37711 "preproc.c"
    break;

  case 76: /* stmt: CreatedbStmt  */
#line 1849 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37717 "preproc.c"
    break;

  case 77: /* stmt: DeallocateStmt  */
#line 1851 "preproc.y"
        {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 37725 "preproc.c"
    break;

  case 78: /* stmt: DeclareCursorStmt  */
#line 1855 "preproc.y"
        { output_simple_statement((yyvsp[0].str), (strncmp((yyvsp[0].str), "ECPGset_var", strlen("ECPGset_var")) == 0) ? 4 : 0); }
#line 37731 "preproc.c"
    break;

  case 79: /* stmt: DefineStmt  */
#line 1857 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37737 "preproc.c"
    break;

  case 80: /* stmt: DeleteStmt  */
#line 1859 "preproc.y"
        { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 37743 "preproc.c"
    break;

  case 81: /* stmt: DiscardStmt  */
#line 1861 "preproc.y"
        { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 37749 "preproc.c"
    break;

  case 82: /* stmt: DoStmt  */
#line 1863 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37755 "preproc.c"
    break;

  case 83: /* stmt: DropCastStmt  */
#line 1865 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37761 "preproc.c"
    break;

  case 84: /* stmt: DropOpClassStmt  */
#line 1867 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37767 "preproc.c"
    break;

  case 85: /* stmt: DropOpFamilyStmt  */
#line 1869 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37773 "preproc.c"
    break;

  case 86: /* stmt: DropOwnedStmt  */
#line 1871 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37779 "preproc.c"
    break;

  case 87: /* stmt: DropStmt  */
#line 1873 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37785 "preproc.c"
    break;

  case 88: /* stmt: DropSubscriptionStmt  */
#line 1875 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37791 "preproc.c"
    break;

  case 89: /* stmt: DropTableSpaceStmt  */
#line 1877 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37797 "preproc.c"
    break;

  case 90: /* stmt: DropTransformStmt  */
#line 1879 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37803 "preproc.c"
    break;

  case 91: /* stmt: DropRoleStmt  */
#line 1881 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37809 "preproc.c"
    break;

  case 92: /* stmt: DropUserMappingStmt  */
#line 1883 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37815 "preproc.c"
    break;

  case 93: /* stmt: DropdbStmt  */
#line 1885 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37821 "preproc.c"
    break;

  case 94: /* stmt: ExecuteStmt  */
#line 1887 "preproc.y"
        {
		check_declared_list((yyvsp[0].exec).name);
		if ((yyvsp[0].exec).type == NULL || strlen((yyvsp[0].exec).type) == 0)
			output_statement((yyvsp[0].exec).name, 1, ECPGst_execute);
		else
		{
			if ((yyvsp[0].exec).name[0] != '"')
				/* case of char_variable */
				add_variable_to_tail(&argsinsert, find_variable((yyvsp[0].exec).name), &no_indicator);
			else
			{
				/* case of ecpg_ident or CSTRING */
				char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
				char *str = mm_strdup((yyvsp[0].exec).name + 1);

				/* It must be cut off double quotation because new_variable() double-quotes. */
				str[strlen(str) - 1] = '\0';
				sprintf(length, "%zu", strlen(str));
				add_variable_to_tail(&argsinsert, new_variable(str, ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
			}
			output_statement(cat_str(3, mm_strdup("execute"), mm_strdup("$0"), (yyvsp[0].exec).type), 0, ECPGst_exec_with_exprlist);
		}
	}
#line 37849 "preproc.c"
    break;

  case 95: /* stmt: ExplainStmt  */
#line 1911 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37855 "preproc.c"
    break;

  case 96: /* stmt: FetchStmt  */
#line 1913 "preproc.y"
        { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 37861 "preproc.c"
    break;

  case 97: /* stmt: GrantStmt  */
#line 1915 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37867 "preproc.c"
    break;

  case 98: /* stmt: GrantRoleStmt  */
#line 1917 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37873 "preproc.c"
    break;

  case 99: /* stmt: ImportForeignSchemaStmt  */
#line 1919 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37879 "preproc.c"
    break;

  case 100: /* stmt: IndexStmt  */
#line 1921 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37885 "preproc.c"
    break;

  case 101: /* stmt: InsertStmt  */
#line 1923 "preproc.y"
        { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 37891 "preproc.c"
    break;

  case 102: /* stmt: ListenStmt  */
#line 1925 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37897 "preproc.c"
    break;

  case 103: /* stmt: RefreshMatViewStmt  */
#line 1927 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37903 "preproc.c"
    break;

  case 104: /* stmt: LoadStmt  */
#line 1929 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37909 "preproc.c"
    break;

  case 105: /* stmt: LockStmt  */
#line 1931 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37915 "preproc.c"
    break;

  case 106: /* stmt: MergeStmt  */
#line 1933 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37921 "preproc.c"
    break;

  case 107: /* stmt: NotifyStmt  */
#line 1935 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37927 "preproc.c"
    break;

  case 108: /* stmt: PrepareStmt  */
#line 1937 "preproc.y"
        {
		check_declared_list((yyvsp[0].prep).name);
		if ((yyvsp[0].prep).type == NULL)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else if (strlen((yyvsp[0].prep).type) == 0)
		{
			char *stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].prep).stmt, mm_strdup("\""));
			output_prepare_statement((yyvsp[0].prep).name, stmt);
		}
		else
		{
			if ((yyvsp[0].prep).name[0] != '"')
				/* case of char_variable */
				add_variable_to_tail(&argsinsert, find_variable((yyvsp[0].prep).name), &no_indicator);
			else
			{
				char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
				char *str = mm_strdup((yyvsp[0].prep).name + 1);

				/* It must be cut off double quotation because new_variable() double-quotes. */
				str[strlen(str) - 1] = '\0';
				sprintf(length, "%zu", strlen(str));
				add_variable_to_tail(&argsinsert, new_variable(str, ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
			}
			output_statement(cat_str(5, mm_strdup("prepare"), mm_strdup("$0"), (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_prepare);
		}
	}
#line 37959 "preproc.c"
    break;

  case 109: /* stmt: ReassignOwnedStmt  */
#line 1965 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37965 "preproc.c"
    break;

  case 110: /* stmt: ReindexStmt  */
#line 1967 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37971 "preproc.c"
    break;

  case 111: /* stmt: RemoveAggrStmt  */
#line 1969 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37977 "preproc.c"
    break;

  case 112: /* stmt: RemoveFuncStmt  */
#line 1971 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37983 "preproc.c"
    break;

  case 113: /* stmt: RemoveOperStmt  */
#line 1973 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37989 "preproc.c"
    break;

  case 114: /* stmt: RenameStmt  */
#line 1975 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 37995 "preproc.c"
    break;

  case 115: /* stmt: RevokeStmt  */
#line 1977 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38001 "preproc.c"
    break;

  case 116: /* stmt: RevokeRoleStmt  */
#line 1979 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38007 "preproc.c"
    break;

  case 117: /* stmt: RuleStmt  */
#line 1981 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38013 "preproc.c"
    break;

  case 118: /* stmt: SecLabelStmt  */
#line 1983 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38019 "preproc.c"
    break;

  case 119: /* stmt: SelectStmt  */
#line 1985 "preproc.y"
        { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 38025 "preproc.c"
    break;

  case 120: /* stmt: TransactionStmt  */
#line 1987 "preproc.y"
        {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 38035 "preproc.c"
    break;

  case 121: /* stmt: TruncateStmt  */
#line 1993 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38041 "preproc.c"
    break;

  case 122: /* stmt: UnlistenStmt  */
#line 1995 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38047 "preproc.c"
    break;

  case 123: /* stmt: UpdateStmt  */
#line 1997 "preproc.y"
        { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 38053 "preproc.c"
    break;

  case 124: /* stmt: VacuumStmt  */
#line 1999 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38059 "preproc.c"
    break;

  case 125: /* stmt: VariableResetStmt  */
#line 2001 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38065 "preproc.c"
    break;

  case 126: /* stmt: VariableSetStmt  */
#line 2003 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38071 "preproc.c"
    break;

  case 127: /* stmt: VariableShowStmt  */
#line 2005 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38077 "preproc.c"
    break;

  case 128: /* stmt: ViewStmt  */
#line 2007 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38083 "preproc.c"
    break;

  case 129: /* stmt: ECPGAllocateDescr  */
#line 2009 "preproc.y"
        {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 38093 "preproc.c"
    break;

  case 130: /* stmt: ECPGConnect  */
#line 2015 "preproc.y"
        {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 38107 "preproc.c"
    break;

  case 131: /* stmt: ECPGDeclareStmt  */
#line 2025 "preproc.y"
        {
		output_simple_statement((yyvsp[0].str), 0);
	}
#line 38115 "preproc.c"
    break;

  case 132: /* stmt: ECPGCursorStmt  */
#line 2029 "preproc.y"
        {
		 output_simple_statement((yyvsp[0].str), (strncmp((yyvsp[0].str), "ECPGset_var", strlen("ECPGset_var")) == 0) ? 4 : 0);
	}
#line 38123 "preproc.c"
    break;

  case 133: /* stmt: ECPGDeallocateDescr  */
#line 2033 "preproc.y"
        {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 38133 "preproc.c"
    break;

  case 134: /* stmt: ECPGDeclare  */
#line 2039 "preproc.y"
        {
		output_simple_statement((yyvsp[0].str), 0);
	}
#line 38141 "preproc.c"
    break;

  case 135: /* stmt: ECPGDescribe  */
#line 2043 "preproc.y"
        {
		check_declared_list((yyvsp[0].describe).stmt_name);

		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %d, %s, %s,", compat, (yyvsp[0].describe).input, connection ? connection : "NULL", (yyvsp[0].describe).stmt_name);
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].describe).stmt_name);
	}
#line 38157 "preproc.c"
    break;

  case 136: /* stmt: ECPGDisconnect  */
#line 2055 "preproc.y"
        {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 38171 "preproc.c"
    break;

  case 137: /* stmt: ECPGExecuteImmediateStmt  */
#line 2064 "preproc.y"
                                        { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 38177 "preproc.c"
    break;

  case 138: /* stmt: ECPGFree  */
#line 2066 "preproc.y"
        {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 38195 "preproc.c"
    break;

  case 139: /* stmt: ECPGGetDescriptor  */
#line 2080 "preproc.y"
        {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 38206 "preproc.c"
    break;

  case 140: /* stmt: ECPGGetDescriptorHeader  */
#line 2087 "preproc.y"
        {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 38216 "preproc.c"
    break;

  case 141: /* stmt: ECPGOpen  */
#line 2093 "preproc.y"
        {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 38231 "preproc.c"
    break;

  case 142: /* stmt: ECPGSetAutocommit  */
#line 2104 "preproc.y"
        {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 38241 "preproc.c"
    break;

  case 143: /* stmt: ECPGSetConnection  */
#line 2110 "preproc.y"
        {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 38254 "preproc.c"
    break;

  case 144: /* stmt: ECPGSetDescriptor  */
#line 2119 "preproc.y"
        {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 38265 "preproc.c"
    break;

  case 145: /* stmt: ECPGSetDescriptorHeader  */
#line 2126 "preproc.y"
        {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 38275 "preproc.c"
    break;

  case 146: /* stmt: ECPGTypedef  */
#line 2132 "preproc.y"
        {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 38288 "preproc.c"
    break;

  case 147: /* stmt: ECPGVar  */
#line 2141 "preproc.y"
        {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str), 0);
	}
#line 38299 "preproc.c"
    break;

  case 148: /* stmt: ECPGWhenever  */
#line 2148 "preproc.y"
        {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str), 0);
	}
#line 38310 "preproc.c"
    break;

  case 149: /* stmt: %empty  */
#line 2155 "preproc.y"
 { (yyval.str) = NULL; }
#line 38316 "preproc.c"
    break;

  case 150: /* CallStmt: CALL func_application  */
#line 2161 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("call"),(yyvsp[0].str));
}
#line 38324 "preproc.c"
    break;

  case 151: /* CreateRoleStmt: CREATE ROLE RoleId opt_with OptRoleList  */
#line 2169 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38332 "preproc.c"
    break;

  case 152: /* opt_with: WITH  */
#line 2177 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with");
}
#line 38340 "preproc.c"
    break;

  case 153: /* opt_with: WITH_LA  */
#line 2181 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with");
}
#line 38348 "preproc.c"
    break;

  case 154: /* opt_with: %empty  */
#line 2185 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38355 "preproc.c"
    break;

  case 155: /* OptRoleList: OptRoleList CreateOptRoleElem  */
#line 2192 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38363 "preproc.c"
    break;

  case 156: /* OptRoleList: %empty  */
#line 2196 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38370 "preproc.c"
    break;

  case 157: /* AlterOptRoleList: AlterOptRoleList AlterOptRoleElem  */
#line 2203 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38378 "preproc.c"
    break;

  case 158: /* AlterOptRoleList: %empty  */
#line 2207 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38385 "preproc.c"
    break;

  case 159: /* AlterOptRoleElem: PASSWORD ecpg_sconst  */
#line 2214 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 38393 "preproc.c"
    break;

  case 160: /* AlterOptRoleElem: PASSWORD NULL_P  */
#line 2218 "preproc.y"
 { 
 (yyval.str) = mm_strdup("password null");
}
#line 38401 "preproc.c"
    break;

  case 161: /* AlterOptRoleElem: ENCRYPTED PASSWORD ecpg_sconst  */
#line 2222 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 38409 "preproc.c"
    break;

  case 162: /* AlterOptRoleElem: UNENCRYPTED PASSWORD ecpg_sconst  */
#line 2226 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 38418 "preproc.c"
    break;

  case 163: /* AlterOptRoleElem: INHERIT  */
#line 2231 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inherit");
}
#line 38426 "preproc.c"
    break;

  case 164: /* AlterOptRoleElem: CONNECTION LIMIT SignedIconst  */
#line 2235 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 38434 "preproc.c"
    break;

  case 165: /* AlterOptRoleElem: VALID UNTIL ecpg_sconst  */
#line 2239 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 38442 "preproc.c"
    break;

  case 166: /* AlterOptRoleElem: USER role_list  */
#line 2243 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 38450 "preproc.c"
    break;

  case 167: /* AlterOptRoleElem: ecpg_ident  */
#line 2247 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38458 "preproc.c"
    break;

  case 168: /* CreateOptRoleElem: AlterOptRoleElem  */
#line 2255 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38466 "preproc.c"
    break;

  case 169: /* CreateOptRoleElem: SYSID Iconst  */
#line 2259 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 38474 "preproc.c"
    break;

  case 170: /* CreateOptRoleElem: ADMIN role_list  */
#line 2263 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 38482 "preproc.c"
    break;

  case 171: /* CreateOptRoleElem: ROLE role_list  */
#line 2267 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 38490 "preproc.c"
    break;

  case 172: /* CreateOptRoleElem: IN_P ROLE role_list  */
#line 2271 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 38498 "preproc.c"
    break;

  case 173: /* CreateOptRoleElem: IN_P GROUP_P role_list  */
#line 2275 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 38506 "preproc.c"
    break;

  case 174: /* CreateUserStmt: CREATE USER RoleId opt_with OptRoleList  */
#line 2283 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38514 "preproc.c"
    break;

  case 175: /* AlterRoleStmt: ALTER ROLE RoleSpec opt_with AlterOptRoleList  */
#line 2291 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38522 "preproc.c"
    break;

  case 176: /* AlterRoleStmt: ALTER USER RoleSpec opt_with AlterOptRoleList  */
#line 2295 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38530 "preproc.c"
    break;

  case 177: /* opt_in_database: %empty  */
#line 2303 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38537 "preproc.c"
    break;

  case 178: /* opt_in_database: IN_P DATABASE name  */
#line 2306 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 38545 "preproc.c"
    break;

  case 179: /* AlterRoleSetStmt: ALTER ROLE RoleSpec opt_in_database SetResetClause  */
#line 2314 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38553 "preproc.c"
    break;

  case 180: /* AlterRoleSetStmt: ALTER ROLE ALL opt_in_database SetResetClause  */
#line 2318 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38561 "preproc.c"
    break;

  case 181: /* AlterRoleSetStmt: ALTER USER RoleSpec opt_in_database SetResetClause  */
#line 2322 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38569 "preproc.c"
    break;

  case 182: /* AlterRoleSetStmt: ALTER USER ALL opt_in_database SetResetClause  */
#line 2326 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38577 "preproc.c"
    break;

  case 183: /* DropRoleStmt: DROP ROLE role_list  */
#line 2334 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 38585 "preproc.c"
    break;

  case 184: /* DropRoleStmt: DROP ROLE IF_P EXISTS role_list  */
#line 2338 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 38593 "preproc.c"
    break;

  case 185: /* DropRoleStmt: DROP USER role_list  */
#line 2342 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 38601 "preproc.c"
    break;

  case 186: /* DropRoleStmt: DROP USER IF_P EXISTS role_list  */
#line 2346 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 38609 "preproc.c"
    break;

  case 187: /* DropRoleStmt: DROP GROUP_P role_list  */
#line 2350 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 38617 "preproc.c"
    break;

  case 188: /* DropRoleStmt: DROP GROUP_P IF_P EXISTS role_list  */
#line 2354 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 38625 "preproc.c"
    break;

  case 189: /* CreateGroupStmt: CREATE GROUP_P RoleId opt_with OptRoleList  */
#line 2362 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38633 "preproc.c"
    break;

  case 190: /* AlterGroupStmt: ALTER GROUP_P RoleSpec add_drop USER role_list  */
#line 2370 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 38641 "preproc.c"
    break;

  case 191: /* add_drop: ADD_P  */
#line 2378 "preproc.y"
 { 
 (yyval.str) = mm_strdup("add");
}
#line 38649 "preproc.c"
    break;

  case 192: /* add_drop: DROP  */
#line 2382 "preproc.y"
 { 
 (yyval.str) = mm_strdup("drop");
}
#line 38657 "preproc.c"
    break;

  case 193: /* CreateSchemaStmt: CREATE SCHEMA OptSchemaName AUTHORIZATION RoleSpec OptSchemaEltList  */
#line 2390 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38665 "preproc.c"
    break;

  case 194: /* CreateSchemaStmt: CREATE SCHEMA ColId OptSchemaEltList  */
#line 2394 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38673 "preproc.c"
    break;

  case 195: /* CreateSchemaStmt: CREATE SCHEMA IF_P NOT EXISTS OptSchemaName AUTHORIZATION RoleSpec OptSchemaEltList  */
#line 2398 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38681 "preproc.c"
    break;

  case 196: /* CreateSchemaStmt: CREATE SCHEMA IF_P NOT EXISTS ColId OptSchemaEltList  */
#line 2402 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38689 "preproc.c"
    break;

  case 197: /* OptSchemaName: ColId  */
#line 2410 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38697 "preproc.c"
    break;

  case 198: /* OptSchemaName: %empty  */
#line 2414 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38704 "preproc.c"
    break;

  case 199: /* OptSchemaEltList: OptSchemaEltList schema_stmt  */
#line 2421 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38712 "preproc.c"
    break;

  case 200: /* OptSchemaEltList: %empty  */
#line 2425 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38719 "preproc.c"
    break;

  case 201: /* schema_stmt: CreateStmt  */
#line 2432 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38727 "preproc.c"
    break;

  case 202: /* schema_stmt: IndexStmt  */
#line 2436 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38735 "preproc.c"
    break;

  case 203: /* schema_stmt: CreateSeqStmt  */
#line 2440 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38743 "preproc.c"
    break;

  case 204: /* schema_stmt: CreateTrigStmt  */
#line 2444 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38751 "preproc.c"
    break;

  case 205: /* schema_stmt: GrantStmt  */
#line 2448 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38759 "preproc.c"
    break;

  case 206: /* schema_stmt: ViewStmt  */
#line 2452 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38767 "preproc.c"
    break;

  case 207: /* VariableSetStmt: SET set_rest  */
#line 2460 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 38775 "preproc.c"
    break;

  case 208: /* VariableSetStmt: SET LOCAL set_rest  */
#line 2464 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 38783 "preproc.c"
    break;

  case 209: /* VariableSetStmt: SET SESSION set_rest  */
#line 2468 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 38791 "preproc.c"
    break;

  case 210: /* set_rest: TRANSACTION transaction_mode_list  */
#line 2476 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 38799 "preproc.c"
    break;

  case 211: /* set_rest: SESSION CHARACTERISTICS AS TRANSACTION transaction_mode_list  */
#line 2480 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 38807 "preproc.c"
    break;

  case 212: /* set_rest: set_rest_more  */
#line 2484 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38815 "preproc.c"
    break;

  case 213: /* generic_set: var_name TO var_list  */
#line 2492 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 38823 "preproc.c"
    break;

  case 214: /* generic_set: var_name '=' var_list  */
#line 2496 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38831 "preproc.c"
    break;

  case 215: /* generic_set: var_name TO DEFAULT  */
#line 2500 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 38839 "preproc.c"
    break;

  case 216: /* generic_set: var_name '=' DEFAULT  */
#line 2504 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= default"));
}
#line 38847 "preproc.c"
    break;

  case 217: /* set_rest_more: generic_set  */
#line 2512 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38855 "preproc.c"
    break;

  case 218: /* set_rest_more: var_name FROM CURRENT_P  */
#line 2516 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 38863 "preproc.c"
    break;

  case 219: /* set_rest_more: TIME ZONE zone_value  */
#line 2520 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 38871 "preproc.c"
    break;

  case 220: /* set_rest_more: CATALOG_P ecpg_sconst  */
#line 2524 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 38880 "preproc.c"
    break;

  case 221: /* set_rest_more: SCHEMA ecpg_sconst  */
#line 2529 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 38888 "preproc.c"
    break;

  case 222: /* set_rest_more: NAMES opt_encoding  */
#line 2533 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 38896 "preproc.c"
    break;

  case 223: /* set_rest_more: ROLE NonReservedWord_or_Sconst  */
#line 2537 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 38904 "preproc.c"
    break;

  case 224: /* set_rest_more: SESSION AUTHORIZATION NonReservedWord_or_Sconst  */
#line 2541 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 38912 "preproc.c"
    break;

  case 225: /* set_rest_more: SESSION AUTHORIZATION DEFAULT  */
#line 2545 "preproc.y"
 { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 38920 "preproc.c"
    break;

  case 226: /* set_rest_more: XML_P OPTION document_or_content  */
#line 2549 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 38928 "preproc.c"
    break;

  case 227: /* set_rest_more: TRANSACTION SNAPSHOT ecpg_sconst  */
#line 2553 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 38936 "preproc.c"
    break;

  case 228: /* var_name: ECPGColId  */
#line 2561 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38944 "preproc.c"
    break;

  case 229: /* var_name: var_name '.' ColId  */
#line 2565 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 38952 "preproc.c"
    break;

  case 230: /* var_list: var_value  */
#line 2573 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38960 "preproc.c"
    break;

  case 231: /* var_list: var_list ',' var_value  */
#line 2577 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38968 "preproc.c"
    break;

  case 232: /* var_value: opt_boolean_or_string  */
#line 2585 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38976 "preproc.c"
    break;

  case 233: /* var_value: NumericOnly  */
#line 2589 "preproc.y"
 { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 38990 "preproc.c"
    break;

  case 234: /* iso_level: READ UNCOMMITTED  */
#line 2603 "preproc.y"
 { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 38998 "preproc.c"
    break;

  case 235: /* iso_level: READ COMMITTED  */
#line 2607 "preproc.y"
 { 
 (yyval.str) = mm_strdup("read committed");
}
#line 39006 "preproc.c"
    break;

  case 236: /* iso_level: REPEATABLE READ  */
#line 2611 "preproc.y"
 { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 39014 "preproc.c"
    break;

  case 237: /* iso_level: SERIALIZABLE  */
#line 2615 "preproc.y"
 { 
 (yyval.str) = mm_strdup("serializable");
}
#line 39022 "preproc.c"
    break;

  case 238: /* opt_boolean_or_string: TRUE_P  */
#line 2623 "preproc.y"
 { 
 (yyval.str) = mm_strdup("true");
}
#line 39030 "preproc.c"
    break;

  case 239: /* opt_boolean_or_string: FALSE_P  */
#line 2627 "preproc.y"
 { 
 (yyval.str) = mm_strdup("false");
}
#line 39038 "preproc.c"
    break;

  case 240: /* opt_boolean_or_string: ON  */
#line 2631 "preproc.y"
 { 
 (yyval.str) = mm_strdup("on");
}
#line 39046 "preproc.c"
    break;

  case 241: /* opt_boolean_or_string: NonReservedWord_or_Sconst  */
#line 2635 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39054 "preproc.c"
    break;

  case 242: /* zone_value: ecpg_sconst  */
#line 2643 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39062 "preproc.c"
    break;

  case 243: /* zone_value: ecpg_ident  */
#line 2647 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39070 "preproc.c"
    break;

  case 244: /* zone_value: ConstInterval ecpg_sconst opt_interval  */
#line 2651 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39078 "preproc.c"
    break;

  case 245: /* zone_value: ConstInterval '(' Iconst ')' ecpg_sconst  */
#line 2655 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39086 "preproc.c"
    break;

  case 246: /* zone_value: NumericOnly  */
#line 2659 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39094 "preproc.c"
    break;

  case 247: /* zone_value: DEFAULT  */
#line 2663 "preproc.y"
 { 
 (yyval.str) = mm_strdup("default");
}
#line 39102 "preproc.c"
    break;

  case 248: /* zone_value: LOCAL  */
#line 2667 "preproc.y"
 { 
 (yyval.str) = mm_strdup("local");
}
#line 39110 "preproc.c"
    break;

  case 249: /* opt_encoding: ecpg_sconst  */
#line 2675 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39118 "preproc.c"
    break;

  case 250: /* opt_encoding: DEFAULT  */
#line 2679 "preproc.y"
 { 
 (yyval.str) = mm_strdup("default");
}
#line 39126 "preproc.c"
    break;

  case 251: /* opt_encoding: %empty  */
#line 2683 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39133 "preproc.c"
    break;

  case 252: /* NonReservedWord_or_Sconst: NonReservedWord  */
#line 2690 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39141 "preproc.c"
    break;

  case 253: /* NonReservedWord_or_Sconst: ecpg_sconst  */
#line 2694 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39149 "preproc.c"
    break;

  case 254: /* VariableResetStmt: RESET reset_rest  */
#line 2702 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 39157 "preproc.c"
    break;

  case 255: /* reset_rest: generic_reset  */
#line 2710 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39165 "preproc.c"
    break;

  case 256: /* reset_rest: TIME ZONE  */
#line 2714 "preproc.y"
 { 
 (yyval.str) = mm_strdup("time zone");
}
#line 39173 "preproc.c"
    break;

  case 257: /* reset_rest: TRANSACTION ISOLATION LEVEL  */
#line 2718 "preproc.y"
 { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 39181 "preproc.c"
    break;

  case 258: /* reset_rest: SESSION AUTHORIZATION  */
#line 2722 "preproc.y"
 { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 39189 "preproc.c"
    break;

  case 259: /* generic_reset: var_name  */
#line 2730 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39197 "preproc.c"
    break;

  case 260: /* generic_reset: ALL  */
#line 2734 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 39205 "preproc.c"
    break;

  case 261: /* SetResetClause: SET set_rest  */
#line 2742 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 39213 "preproc.c"
    break;

  case 262: /* SetResetClause: VariableResetStmt  */
#line 2746 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39221 "preproc.c"
    break;

  case 263: /* FunctionSetResetClause: SET set_rest_more  */
#line 2754 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 39229 "preproc.c"
    break;

  case 264: /* FunctionSetResetClause: VariableResetStmt  */
#line 2758 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39237 "preproc.c"
    break;

  case 265: /* VariableShowStmt: SHOW var_name ecpg_into  */
#line 2766 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 39245 "preproc.c"
    break;

  case 266: /* VariableShowStmt: SHOW TIME ZONE ecpg_into  */
#line 2770 "preproc.y"
 { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 39253 "preproc.c"
    break;

  case 267: /* VariableShowStmt: SHOW TRANSACTION ISOLATION LEVEL ecpg_into  */
#line 2774 "preproc.y"
 { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 39261 "preproc.c"
    break;

  case 268: /* VariableShowStmt: SHOW SESSION AUTHORIZATION ecpg_into  */
#line 2778 "preproc.y"
 { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 39269 "preproc.c"
    break;

  case 269: /* VariableShowStmt: SHOW ALL  */
#line 2782 "preproc.y"
        {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 39278 "preproc.c"
    break;

  case 270: /* ConstraintsSetStmt: SET CONSTRAINTS constraints_set_list constraints_set_mode  */
#line 2791 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39286 "preproc.c"
    break;

  case 271: /* constraints_set_list: ALL  */
#line 2799 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 39294 "preproc.c"
    break;

  case 272: /* constraints_set_list: qualified_name_list  */
#line 2803 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39302 "preproc.c"
    break;

  case 273: /* constraints_set_mode: DEFERRED  */
#line 2811 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deferred");
}
#line 39310 "preproc.c"
    break;

  case 274: /* constraints_set_mode: IMMEDIATE  */
#line 2815 "preproc.y"
 { 
 (yyval.str) = mm_strdup("immediate");
}
#line 39318 "preproc.c"
    break;

  case 275: /* CheckPointStmt: CHECKPOINT  */
#line 2823 "preproc.y"
 { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 39326 "preproc.c"
    break;

  case 276: /* DiscardStmt: DISCARD ALL  */
#line 2831 "preproc.y"
 { 
 (yyval.str) = mm_strdup("discard all");
}
#line 39334 "preproc.c"
    break;

  case 277: /* DiscardStmt: DISCARD TEMP  */
#line 2835 "preproc.y"
 { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 39342 "preproc.c"
    break;

  case 278: /* DiscardStmt: DISCARD TEMPORARY  */
#line 2839 "preproc.y"
 { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 39350 "preproc.c"
    break;

  case 279: /* DiscardStmt: DISCARD PLANS  */
#line 2843 "preproc.y"
 { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 39358 "preproc.c"
    break;

  case 280: /* DiscardStmt: DISCARD SEQUENCES  */
#line 2847 "preproc.y"
 { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 39366 "preproc.c"
    break;

  case 281: /* AlterTableStmt: ALTER TABLE relation_expr alter_table_cmds  */
#line 2855 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39374 "preproc.c"
    break;

  case 282: /* AlterTableStmt: ALTER TABLE IF_P EXISTS relation_expr alter_table_cmds  */
#line 2859 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39382 "preproc.c"
    break;

  case 283: /* AlterTableStmt: ALTER TABLE relation_expr partition_cmd  */
#line 2863 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39390 "preproc.c"
    break;

  case 284: /* AlterTableStmt: ALTER TABLE IF_P EXISTS relation_expr partition_cmd  */
#line 2867 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39398 "preproc.c"
    break;

  case 285: /* AlterTableStmt: ALTER TABLE ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 2871 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39406 "preproc.c"
    break;

  case 286: /* AlterTableStmt: ALTER TABLE ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 2875 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39414 "preproc.c"
    break;

  case 287: /* AlterTableStmt: ALTER INDEX qualified_name alter_table_cmds  */
#line 2879 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39422 "preproc.c"
    break;

  case 288: /* AlterTableStmt: ALTER INDEX IF_P EXISTS qualified_name alter_table_cmds  */
#line 2883 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39430 "preproc.c"
    break;

  case 289: /* AlterTableStmt: ALTER INDEX qualified_name index_partition_cmd  */
#line 2887 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39438 "preproc.c"
    break;

  case 290: /* AlterTableStmt: ALTER INDEX ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 2891 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39446 "preproc.c"
    break;

  case 291: /* AlterTableStmt: ALTER INDEX ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 2895 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39454 "preproc.c"
    break;

  case 292: /* AlterTableStmt: ALTER SEQUENCE qualified_name alter_table_cmds  */
#line 2899 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39462 "preproc.c"
    break;

  case 293: /* AlterTableStmt: ALTER SEQUENCE IF_P EXISTS qualified_name alter_table_cmds  */
#line 2903 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39470 "preproc.c"
    break;

  case 294: /* AlterTableStmt: ALTER VIEW qualified_name alter_table_cmds  */
#line 2907 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39478 "preproc.c"
    break;

  case 295: /* AlterTableStmt: ALTER VIEW IF_P EXISTS qualified_name alter_table_cmds  */
#line 2911 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39486 "preproc.c"
    break;

  case 296: /* AlterTableStmt: ALTER MATERIALIZED VIEW qualified_name alter_table_cmds  */
#line 2915 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39494 "preproc.c"
    break;

  case 297: /* AlterTableStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name alter_table_cmds  */
#line 2919 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39502 "preproc.c"
    break;

  case 298: /* AlterTableStmt: ALTER MATERIALIZED VIEW ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 2923 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39510 "preproc.c"
    break;

  case 299: /* AlterTableStmt: ALTER MATERIALIZED VIEW ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 2927 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39518 "preproc.c"
    break;

  case 300: /* AlterTableStmt: ALTER FOREIGN TABLE relation_expr alter_table_cmds  */
#line 2931 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39526 "preproc.c"
    break;

  case 301: /* AlterTableStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr alter_table_cmds  */
#line 2935 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39534 "preproc.c"
    break;

  case 302: /* alter_table_cmds: alter_table_cmd  */
#line 2943 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39542 "preproc.c"
    break;

  case 303: /* alter_table_cmds: alter_table_cmds ',' alter_table_cmd  */
#line 2947 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39550 "preproc.c"
    break;

  case 304: /* partition_cmd: ATTACH PARTITION qualified_name PartitionBoundSpec  */
#line 2955 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("attach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39558 "preproc.c"
    break;

  case 305: /* partition_cmd: DETACH PARTITION qualified_name opt_concurrently  */
#line 2959 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("detach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39566 "preproc.c"
    break;

  case 306: /* partition_cmd: DETACH PARTITION qualified_name FINALIZE  */
#line 2963 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("detach partition"),(yyvsp[-1].str),mm_strdup("finalize"));
}
#line 39574 "preproc.c"
    break;

  case 307: /* index_partition_cmd: ATTACH PARTITION qualified_name  */
#line 2971 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("attach partition"),(yyvsp[0].str));
}
#line 39582 "preproc.c"
    break;

  case 308: /* alter_table_cmd: ADD_P columnDef  */
#line 2979 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 39590 "preproc.c"
    break;

  case 309: /* alter_table_cmd: ADD_P IF_P NOT EXISTS columnDef  */
#line 2983 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 39598 "preproc.c"
    break;

  case 310: /* alter_table_cmd: ADD_P COLUMN columnDef  */
#line 2987 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 39606 "preproc.c"
    break;

  case 311: /* alter_table_cmd: ADD_P COLUMN IF_P NOT EXISTS columnDef  */
#line 2991 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 39614 "preproc.c"
    break;

  case 312: /* alter_table_cmd: ALTER opt_column ColId alter_column_default  */
#line 2995 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39622 "preproc.c"
    break;

  case 313: /* alter_table_cmd: ALTER opt_column ColId DROP NOT NULL_P  */
#line 2999 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 39630 "preproc.c"
    break;

  case 314: /* alter_table_cmd: ALTER opt_column ColId SET NOT NULL_P  */
#line 3003 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 39638 "preproc.c"
    break;

  case 315: /* alter_table_cmd: ALTER opt_column ColId DROP EXPRESSION  */
#line 3007 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop expression"));
}
#line 39646 "preproc.c"
    break;

  case 316: /* alter_table_cmd: ALTER opt_column ColId DROP EXPRESSION IF_P EXISTS  */
#line 3011 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop expression if exists"));
}
#line 39654 "preproc.c"
    break;

  case 317: /* alter_table_cmd: ALTER opt_column ColId SET STATISTICS SignedIconst  */
#line 3015 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 39662 "preproc.c"
    break;

  case 318: /* alter_table_cmd: ALTER opt_column Iconst SET STATISTICS SignedIconst  */
#line 3019 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 39670 "preproc.c"
    break;

  case 319: /* alter_table_cmd: ALTER opt_column ColId SET reloptions  */
#line 3023 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 39678 "preproc.c"
    break;

  case 320: /* alter_table_cmd: ALTER opt_column ColId RESET reloptions  */
#line 3027 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 39686 "preproc.c"
    break;

  case 321: /* alter_table_cmd: ALTER opt_column ColId SET STORAGE ColId  */
#line 3031 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 39694 "preproc.c"
    break;

  case 322: /* alter_table_cmd: ALTER opt_column ColId SET column_compression  */
#line 3035 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 39702 "preproc.c"
    break;

  case 323: /* alter_table_cmd: ALTER opt_column ColId ADD_P GENERATED generated_when AS IDENTITY_P OptParenthesizedSeqOptList  */
#line 3039 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("add generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 39710 "preproc.c"
    break;

  case 324: /* alter_table_cmd: ALTER opt_column ColId alter_identity_column_option_list  */
#line 3043 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39718 "preproc.c"
    break;

  case 325: /* alter_table_cmd: ALTER opt_column ColId DROP IDENTITY_P  */
#line 3047 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop identity"));
}
#line 39726 "preproc.c"
    break;

  case 326: /* alter_table_cmd: ALTER opt_column ColId DROP IDENTITY_P IF_P EXISTS  */
#line 3051 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop identity if exists"));
}
#line 39734 "preproc.c"
    break;

  case 327: /* alter_table_cmd: DROP opt_column IF_P EXISTS ColId opt_drop_behavior  */
#line 3055 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39742 "preproc.c"
    break;

  case 328: /* alter_table_cmd: DROP opt_column ColId opt_drop_behavior  */
#line 3059 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39750 "preproc.c"
    break;

  case 329: /* alter_table_cmd: ALTER opt_column ColId opt_set_data TYPE_P Typename opt_collate_clause alter_using  */
#line 3063 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39758 "preproc.c"
    break;

  case 330: /* alter_table_cmd: ALTER opt_column ColId alter_generic_options  */
#line 3067 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39766 "preproc.c"
    break;

  case 331: /* alter_table_cmd: ADD_P TableConstraint  */
#line 3071 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 39774 "preproc.c"
    break;

  case 332: /* alter_table_cmd: ALTER CONSTRAINT name ConstraintAttributeSpec  */
#line 3075 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39782 "preproc.c"
    break;

  case 333: /* alter_table_cmd: VALIDATE CONSTRAINT name  */
#line 3079 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 39790 "preproc.c"
    break;

  case 334: /* alter_table_cmd: DROP CONSTRAINT IF_P EXISTS name opt_drop_behavior  */
#line 3083 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39798 "preproc.c"
    break;

  case 335: /* alter_table_cmd: DROP CONSTRAINT name opt_drop_behavior  */
#line 3087 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39806 "preproc.c"
    break;

  case 336: /* alter_table_cmd: SET WITHOUT OIDS  */
#line 3091 "preproc.y"
 { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 39814 "preproc.c"
    break;

  case 337: /* alter_table_cmd: CLUSTER ON name  */
#line 3095 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 39822 "preproc.c"
    break;

  case 338: /* alter_table_cmd: SET WITHOUT CLUSTER  */
#line 3099 "preproc.y"
 { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 39830 "preproc.c"
    break;

  case 339: /* alter_table_cmd: SET LOGGED  */
#line 3103 "preproc.y"
 { 
 (yyval.str) = mm_strdup("set logged");
}
#line 39838 "preproc.c"
    break;

  case 340: /* alter_table_cmd: SET UNLOGGED  */
#line 3107 "preproc.y"
 { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 39846 "preproc.c"
    break;

  case 341: /* alter_table_cmd: ENABLE_P TRIGGER name  */
#line 3111 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 39854 "preproc.c"
    break;

  case 342: /* alter_table_cmd: ENABLE_P ALWAYS TRIGGER name  */
#line 3115 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 39862 "preproc.c"
    break;

  case 343: /* alter_table_cmd: ENABLE_P REPLICA TRIGGER name  */
#line 3119 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 39870 "preproc.c"
    break;

  case 344: /* alter_table_cmd: ENABLE_P TRIGGER ALL  */
#line 3123 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 39878 "preproc.c"
    break;

  case 345: /* alter_table_cmd: ENABLE_P TRIGGER USER  */
#line 3127 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 39886 "preproc.c"
    break;

  case 346: /* alter_table_cmd: DISABLE_P TRIGGER name  */
#line 3131 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 39894 "preproc.c"
    break;

  case 347: /* alter_table_cmd: DISABLE_P TRIGGER ALL  */
#line 3135 "preproc.y"
 { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 39902 "preproc.c"
    break;

  case 348: /* alter_table_cmd: DISABLE_P TRIGGER USER  */
#line 3139 "preproc.y"
 { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 39910 "preproc.c"
    break;

  case 349: /* alter_table_cmd: ENABLE_P RULE name  */
#line 3143 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 39918 "preproc.c"
    break;

  case 350: /* alter_table_cmd: ENABLE_P ALWAYS RULE name  */
#line 3147 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 39926 "preproc.c"
    break;

  case 351: /* alter_table_cmd: ENABLE_P REPLICA RULE name  */
#line 3151 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 39934 "preproc.c"
    break;

  case 352: /* alter_table_cmd: DISABLE_P RULE name  */
#line 3155 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 39942 "preproc.c"
    break;

  case 353: /* alter_table_cmd: INHERIT qualified_name  */
#line 3159 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 39950 "preproc.c"
    break;

  case 354: /* alter_table_cmd: NO INHERIT qualified_name  */
#line 3163 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 39958 "preproc.c"
    break;

  case 355: /* alter_table_cmd: OF any_name  */
#line 3167 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 39966 "preproc.c"
    break;

  case 356: /* alter_table_cmd: NOT OF  */
#line 3171 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not of");
}
#line 39974 "preproc.c"
    break;

  case 357: /* alter_table_cmd: OWNER TO RoleSpec  */
#line 3175 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 39982 "preproc.c"
    break;

  case 358: /* alter_table_cmd: SET ACCESS METHOD name  */
#line 3179 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set access method"),(yyvsp[0].str));
}
#line 39990 "preproc.c"
    break;

  case 359: /* alter_table_cmd: SET TABLESPACE name  */
#line 3183 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 39998 "preproc.c"
    break;

  case 360: /* alter_table_cmd: SET reloptions  */
#line 3187 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 40006 "preproc.c"
    break;

  case 361: /* alter_table_cmd: RESET reloptions  */
#line 3191 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 40014 "preproc.c"
    break;

  case 362: /* alter_table_cmd: REPLICA IDENTITY_P replica_identity  */
#line 3195 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 40022 "preproc.c"
    break;

  case 363: /* alter_table_cmd: ENABLE_P ROW LEVEL SECURITY  */
#line 3199 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 40030 "preproc.c"
    break;

  case 364: /* alter_table_cmd: DISABLE_P ROW LEVEL SECURITY  */
#line 3203 "preproc.y"
 { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 40038 "preproc.c"
    break;

  case 365: /* alter_table_cmd: FORCE ROW LEVEL SECURITY  */
#line 3207 "preproc.y"
 { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 40046 "preproc.c"
    break;

  case 366: /* alter_table_cmd: NO FORCE ROW LEVEL SECURITY  */
#line 3211 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 40054 "preproc.c"
    break;

  case 367: /* alter_table_cmd: alter_generic_options  */
#line 3215 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40062 "preproc.c"
    break;

  case 368: /* alter_column_default: SET DEFAULT a_expr  */
#line 3223 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 40070 "preproc.c"
    break;

  case 369: /* alter_column_default: DROP DEFAULT  */
#line 3227 "preproc.y"
 { 
 (yyval.str) = mm_strdup("drop default");
}
#line 40078 "preproc.c"
    break;

  case 370: /* opt_drop_behavior: CASCADE  */
#line 3235 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cascade");
}
#line 40086 "preproc.c"
    break;

  case 371: /* opt_drop_behavior: RESTRICT  */
#line 3239 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restrict");
}
#line 40094 "preproc.c"
    break;

  case 372: /* opt_drop_behavior: %empty  */
#line 3243 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40101 "preproc.c"
    break;

  case 373: /* opt_collate_clause: COLLATE any_name  */
#line 3250 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 40109 "preproc.c"
    break;

  case 374: /* opt_collate_clause: %empty  */
#line 3254 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40116 "preproc.c"
    break;

  case 375: /* alter_using: USING a_expr  */
#line 3261 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 40124 "preproc.c"
    break;

  case 376: /* alter_using: %empty  */
#line 3265 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40131 "preproc.c"
    break;

  case 377: /* replica_identity: NOTHING  */
#line 3272 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nothing");
}
#line 40139 "preproc.c"
    break;

  case 378: /* replica_identity: FULL  */
#line 3276 "preproc.y"
 { 
 (yyval.str) = mm_strdup("full");
}
#line 40147 "preproc.c"
    break;

  case 379: /* replica_identity: DEFAULT  */
#line 3280 "preproc.y"
 { 
 (yyval.str) = mm_strdup("default");
}
#line 40155 "preproc.c"
    break;

  case 380: /* replica_identity: USING INDEX name  */
#line 3284 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 40163 "preproc.c"
    break;

  case 381: /* reloptions: '(' reloption_list ')'  */
#line 3292 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40171 "preproc.c"
    break;

  case 382: /* opt_reloptions: WITH reloptions  */
#line 3300 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 40179 "preproc.c"
    break;

  case 383: /* opt_reloptions: %empty  */
#line 3304 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40186 "preproc.c"
    break;

  case 384: /* reloption_list: reloption_elem  */
#line 3311 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40194 "preproc.c"
    break;

  case 385: /* reloption_list: reloption_list ',' reloption_elem  */
#line 3315 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40202 "preproc.c"
    break;

  case 386: /* reloption_elem: ColLabel '=' def_arg  */
#line 3323 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40210 "preproc.c"
    break;

  case 387: /* reloption_elem: ColLabel  */
#line 3327 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40218 "preproc.c"
    break;

  case 388: /* reloption_elem: ColLabel '.' ColLabel '=' def_arg  */
#line 3331 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40226 "preproc.c"
    break;

  case 389: /* reloption_elem: ColLabel '.' ColLabel  */
#line 3335 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 40234 "preproc.c"
    break;

  case 390: /* alter_identity_column_option_list: alter_identity_column_option  */
#line 3343 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40242 "preproc.c"
    break;

  case 391: /* alter_identity_column_option_list: alter_identity_column_option_list alter_identity_column_option  */
#line 3347 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40250 "preproc.c"
    break;

  case 392: /* alter_identity_column_option: RESTART  */
#line 3355 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restart");
}
#line 40258 "preproc.c"
    break;

  case 393: /* alter_identity_column_option: RESTART opt_with NumericOnly  */
#line 3359 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40266 "preproc.c"
    break;

  case 394: /* alter_identity_column_option: SET SeqOptElem  */
#line 3363 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 40274 "preproc.c"
    break;

  case 395: /* alter_identity_column_option: SET GENERATED generated_when  */
#line 3367 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set generated"),(yyvsp[0].str));
}
#line 40282 "preproc.c"
    break;

  case 396: /* PartitionBoundSpec: FOR VALUES WITH '(' hash_partbound ')'  */
#line 3375 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("for values with ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40290 "preproc.c"
    break;

  case 397: /* PartitionBoundSpec: FOR VALUES IN_P '(' expr_list ')'  */
#line 3379 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("for values in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40298 "preproc.c"
    break;

  case 398: /* PartitionBoundSpec: FOR VALUES FROM '(' expr_list ')' TO '(' expr_list ')'  */
#line 3383 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("for values from ("),(yyvsp[-5].str),mm_strdup(") to ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40306 "preproc.c"
    break;

  case 399: /* PartitionBoundSpec: DEFAULT  */
#line 3387 "preproc.y"
 { 
 (yyval.str) = mm_strdup("default");
}
#line 40314 "preproc.c"
    break;

  case 400: /* hash_partbound_elem: NonReservedWord Iconst  */
#line 3395 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40322 "preproc.c"
    break;

  case 401: /* hash_partbound: hash_partbound_elem  */
#line 3403 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40330 "preproc.c"
    break;

  case 402: /* hash_partbound: hash_partbound ',' hash_partbound_elem  */
#line 3407 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40338 "preproc.c"
    break;

  case 403: /* AlterCompositeTypeStmt: ALTER TYPE_P any_name alter_type_cmds  */
#line 3415 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40346 "preproc.c"
    break;

  case 404: /* alter_type_cmds: alter_type_cmd  */
#line 3423 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40354 "preproc.c"
    break;

  case 405: /* alter_type_cmds: alter_type_cmds ',' alter_type_cmd  */
#line 3427 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40362 "preproc.c"
    break;

  case 406: /* alter_type_cmd: ADD_P ATTRIBUTE TableFuncElement opt_drop_behavior  */
#line 3435 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40370 "preproc.c"
    break;

  case 407: /* alter_type_cmd: DROP ATTRIBUTE IF_P EXISTS ColId opt_drop_behavior  */
#line 3439 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40378 "preproc.c"
    break;

  case 408: /* alter_type_cmd: DROP ATTRIBUTE ColId opt_drop_behavior  */
#line 3443 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40386 "preproc.c"
    break;

  case 409: /* alter_type_cmd: ALTER ATTRIBUTE ColId opt_set_data TYPE_P Typename opt_collate_clause opt_drop_behavior  */
#line 3447 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40394 "preproc.c"
    break;

  case 410: /* ClosePortalStmt: CLOSE cursor_name  */
#line 3455 "preproc.y"
        {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = NULL;
		for (ptr = cur; ptr != NULL; ptr = ptr -> next)
		{
			if (strcmp((yyvsp[0].str), ptr -> name) == 0)
			{
				if (ptr -> connection)
					connection = mm_strdup(ptr -> connection);

				break;
			}
		}
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 40414 "preproc.c"
    break;

  case 411: /* ClosePortalStmt: CLOSE ALL  */
#line 3471 "preproc.y"
 { 
 (yyval.str) = mm_strdup("close all");
}
#line 40422 "preproc.c"
    break;

  case 412: /* CopyStmt: COPY opt_binary qualified_name opt_column_list copy_from opt_program copy_file_name copy_delimiter opt_with copy_options where_clause  */
#line 3479 "preproc.y"
 { 
			if (strcmp((yyvsp[-6].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40434 "preproc.c"
    break;

  case 413: /* CopyStmt: COPY '(' PreparableStmt ')' TO opt_program copy_file_name opt_with copy_options  */
#line 3487 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40442 "preproc.c"
    break;

  case 414: /* copy_from: FROM  */
#line 3495 "preproc.y"
 { 
 (yyval.str) = mm_strdup("from");
}
#line 40450 "preproc.c"
    break;

  case 415: /* copy_from: TO  */
#line 3499 "preproc.y"
 { 
 (yyval.str) = mm_strdup("to");
}
#line 40458 "preproc.c"
    break;

  case 416: /* opt_program: PROGRAM  */
#line 3507 "preproc.y"
 { 
 (yyval.str) = mm_strdup("program");
}
#line 40466 "preproc.c"
    break;

  case 417: /* opt_program: %empty  */
#line 3511 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40473 "preproc.c"
    break;

  case 418: /* copy_file_name: ecpg_sconst  */
#line 3518 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40481 "preproc.c"
    break;

  case 419: /* copy_file_name: STDIN  */
#line 3522 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stdin");
}
#line 40489 "preproc.c"
    break;

  case 420: /* copy_file_name: STDOUT  */
#line 3526 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stdout");
}
#line 40497 "preproc.c"
    break;

  case 421: /* copy_options: copy_opt_list  */
#line 3534 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40505 "preproc.c"
    break;

  case 422: /* copy_options: '(' copy_generic_opt_list ')'  */
#line 3538 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40513 "preproc.c"
    break;

  case 423: /* copy_opt_list: copy_opt_list copy_opt_item  */
#line 3546 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40521 "preproc.c"
    break;

  case 424: /* copy_opt_list: %empty  */
#line 3550 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40528 "preproc.c"
    break;

  case 425: /* copy_opt_item: BINARY  */
#line 3557 "preproc.y"
 { 
 (yyval.str) = mm_strdup("binary");
}
#line 40536 "preproc.c"
    break;

  case 426: /* copy_opt_item: FREEZE  */
#line 3561 "preproc.y"
 { 
 (yyval.str) = mm_strdup("freeze");
}
#line 40544 "preproc.c"
    break;

  case 427: /* copy_opt_item: DELIMITER opt_as ecpg_sconst  */
#line 3565 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40552 "preproc.c"
    break;

  case 428: /* copy_opt_item: NULL_P opt_as ecpg_sconst  */
#line 3569 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40560 "preproc.c"
    break;

  case 429: /* copy_opt_item: CSV  */
#line 3573 "preproc.y"
 { 
 (yyval.str) = mm_strdup("csv");
}
#line 40568 "preproc.c"
    break;

  case 430: /* copy_opt_item: HEADER_P  */
#line 3577 "preproc.y"
 { 
 (yyval.str) = mm_strdup("header");
}
#line 40576 "preproc.c"
    break;

  case 431: /* copy_opt_item: QUOTE opt_as ecpg_sconst  */
#line 3581 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40584 "preproc.c"
    break;

  case 432: /* copy_opt_item: ESCAPE opt_as ecpg_sconst  */
#line 3585 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40592 "preproc.c"
    break;

  case 433: /* copy_opt_item: FORCE QUOTE columnList  */
#line 3589 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 40600 "preproc.c"
    break;

  case 434: /* copy_opt_item: FORCE QUOTE '*'  */
#line 3593 "preproc.y"
 { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 40608 "preproc.c"
    break;

  case 435: /* copy_opt_item: FORCE NOT NULL_P columnList  */
#line 3597 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 40616 "preproc.c"
    break;

  case 436: /* copy_opt_item: FORCE NULL_P columnList  */
#line 3601 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 40624 "preproc.c"
    break;

  case 437: /* copy_opt_item: ENCODING ecpg_sconst  */
#line 3605 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 40632 "preproc.c"
    break;

  case 438: /* opt_binary: BINARY  */
#line 3613 "preproc.y"
 { 
 (yyval.str) = mm_strdup("binary");
}
#line 40640 "preproc.c"
    break;

  case 439: /* opt_binary: %empty  */
#line 3617 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40647 "preproc.c"
    break;

  case 440: /* copy_delimiter: opt_using DELIMITERS ecpg_sconst  */
#line 3624 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 40655 "preproc.c"
    break;

  case 441: /* copy_delimiter: %empty  */
#line 3628 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40662 "preproc.c"
    break;

  case 442: /* opt_using: USING  */
#line 3635 "preproc.y"
 { 
 (yyval.str) = mm_strdup("using");
}
#line 40670 "preproc.c"
    break;

  case 443: /* opt_using: %empty  */
#line 3639 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40677 "preproc.c"
    break;

  case 444: /* copy_generic_opt_list: copy_generic_opt_elem  */
#line 3646 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40685 "preproc.c"
    break;

  case 445: /* copy_generic_opt_list: copy_generic_opt_list ',' copy_generic_opt_elem  */
#line 3650 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40693 "preproc.c"
    break;

  case 446: /* copy_generic_opt_elem: ColLabel copy_generic_opt_arg  */
#line 3658 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40701 "preproc.c"
    break;

  case 447: /* copy_generic_opt_arg: opt_boolean_or_string  */
#line 3666 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40709 "preproc.c"
    break;

  case 448: /* copy_generic_opt_arg: NumericOnly  */
#line 3670 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40717 "preproc.c"
    break;

  case 449: /* copy_generic_opt_arg: '*'  */
#line 3674 "preproc.y"
 { 
 (yyval.str) = mm_strdup("*");
}
#line 40725 "preproc.c"
    break;

  case 450: /* copy_generic_opt_arg: '(' copy_generic_opt_arg_list ')'  */
#line 3678 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40733 "preproc.c"
    break;

  case 451: /* copy_generic_opt_arg: %empty  */
#line 3682 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40740 "preproc.c"
    break;

  case 452: /* copy_generic_opt_arg_list: copy_generic_opt_arg_list_item  */
#line 3689 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40748 "preproc.c"
    break;

  case 453: /* copy_generic_opt_arg_list: copy_generic_opt_arg_list ',' copy_generic_opt_arg_list_item  */
#line 3693 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40756 "preproc.c"
    break;

  case 454: /* copy_generic_opt_arg_list_item: opt_boolean_or_string  */
#line 3701 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40764 "preproc.c"
    break;

  case 455: /* CreateStmt: CREATE OptTemp TABLE qualified_name '(' OptTableElementList ')' OptInherit OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3709 "preproc.y"
 { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table"),(yyvsp[-9].str),mm_strdup("("),(yyvsp[-7].str),mm_strdup(")"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40772 "preproc.c"
    break;

  case 456: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name '(' OptTableElementList ')' OptInherit OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3713 "preproc.y"
 { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("table if not exists"),(yyvsp[-9].str),mm_strdup("("),(yyvsp[-7].str),mm_strdup(")"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40780 "preproc.c"
    break;

  case 457: /* CreateStmt: CREATE OptTemp TABLE qualified_name OF any_name OptTypedTableElementList OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3717 "preproc.y"
 { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("table"),(yyvsp[-8].str),mm_strdup("of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40788 "preproc.c"
    break;

  case 458: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name OF any_name OptTypedTableElementList OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3721 "preproc.y"
 { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("table if not exists"),(yyvsp[-8].str),mm_strdup("of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40796 "preproc.c"
    break;

  case 459: /* CreateStmt: CREATE OptTemp TABLE qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3725 "preproc.y"
 { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table"),(yyvsp[-10].str),mm_strdup("partition of"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40804 "preproc.c"
    break;

  case 460: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3729 "preproc.y"
 { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("table if not exists"),(yyvsp[-10].str),mm_strdup("partition of"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40812 "preproc.c"
    break;

  case 461: /* OptTemp: TEMPORARY  */
#line 3737 "preproc.y"
 { 
 (yyval.str) = mm_strdup("temporary");
}
#line 40820 "preproc.c"
    break;

  case 462: /* OptTemp: TEMP  */
#line 3741 "preproc.y"
 { 
 (yyval.str) = mm_strdup("temp");
}
#line 40828 "preproc.c"
    break;

  case 463: /* OptTemp: LOCAL TEMPORARY  */
#line 3745 "preproc.y"
 { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 40836 "preproc.c"
    break;

  case 464: /* OptTemp: LOCAL TEMP  */
#line 3749 "preproc.y"
 { 
 (yyval.str) = mm_strdup("local temp");
}
#line 40844 "preproc.c"
    break;

  case 465: /* OptTemp: GLOBAL TEMPORARY  */
#line 3753 "preproc.y"
 { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 40852 "preproc.c"
    break;

  case 466: /* OptTemp: GLOBAL TEMP  */
#line 3757 "preproc.y"
 { 
 (yyval.str) = mm_strdup("global temp");
}
#line 40860 "preproc.c"
    break;

  case 467: /* OptTemp: UNLOGGED  */
#line 3761 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 40868 "preproc.c"
    break;

  case 468: /* OptTemp: %empty  */
#line 3765 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40875 "preproc.c"
    break;

  case 469: /* OptTableElementList: TableElementList  */
#line 3772 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40883 "preproc.c"
    break;

  case 470: /* OptTableElementList: %empty  */
#line 3776 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40890 "preproc.c"
    break;

  case 471: /* OptTypedTableElementList: '(' TypedTableElementList ')'  */
#line 3783 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40898 "preproc.c"
    break;

  case 472: /* OptTypedTableElementList: %empty  */
#line 3787 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40905 "preproc.c"
    break;

  case 473: /* TableElementList: TableElement  */
#line 3794 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40913 "preproc.c"
    break;

  case 474: /* TableElementList: TableElementList ',' TableElement  */
#line 3798 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40921 "preproc.c"
    break;

  case 475: /* TypedTableElementList: TypedTableElement  */
#line 3806 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40929 "preproc.c"
    break;

  case 476: /* TypedTableElementList: TypedTableElementList ',' TypedTableElement  */
#line 3810 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40937 "preproc.c"
    break;

  case 477: /* TableElement: columnDef  */
#line 3818 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40945 "preproc.c"
    break;

  case 478: /* TableElement: TableLikeClause  */
#line 3822 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40953 "preproc.c"
    break;

  case 479: /* TableElement: TableConstraint  */
#line 3826 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40961 "preproc.c"
    break;

  case 480: /* TypedTableElement: columnOptions  */
#line 3834 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40969 "preproc.c"
    break;

  case 481: /* TypedTableElement: TableConstraint  */
#line 3838 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40977 "preproc.c"
    break;

  case 482: /* columnDef: ColId Typename opt_column_compression create_generic_options ColQualList  */
#line 3846 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40985 "preproc.c"
    break;

  case 483: /* columnOptions: ColId ColQualList  */
#line 3854 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40993 "preproc.c"
    break;

  case 484: /* columnOptions: ColId WITH OPTIONS ColQualList  */
#line 3858 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 41001 "preproc.c"
    break;

  case 485: /* column_compression: COMPRESSION ColId  */
#line 3866 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("compression"),(yyvsp[0].str));
}
#line 41009 "preproc.c"
    break;

  case 486: /* column_compression: COMPRESSION DEFAULT  */
#line 3870 "preproc.y"
 { 
 (yyval.str) = mm_strdup("compression default");
}
#line 41017 "preproc.c"
    break;

  case 487: /* opt_column_compression: column_compression  */
#line 3878 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41025 "preproc.c"
    break;

  case 488: /* opt_column_compression: %empty  */
#line 3882 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41032 "preproc.c"
    break;

  case 489: /* ColQualList: ColQualList ColConstraint  */
#line 3889 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41040 "preproc.c"
    break;

  case 490: /* ColQualList: %empty  */
#line 3893 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41047 "preproc.c"
    break;

  case 491: /* ColConstraint: CONSTRAINT name ColConstraintElem  */
#line 3900 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41055 "preproc.c"
    break;

  case 492: /* ColConstraint: ColConstraintElem  */
#line 3904 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41063 "preproc.c"
    break;

  case 493: /* ColConstraint: ConstraintAttr  */
#line 3908 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41071 "preproc.c"
    break;

  case 494: /* ColConstraint: COLLATE any_name  */
#line 3912 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 41079 "preproc.c"
    break;

  case 495: /* ColConstraintElem: NOT NULL_P  */
#line 3920 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not null");
}
#line 41087 "preproc.c"
    break;

  case 496: /* ColConstraintElem: NULL_P  */
#line 3924 "preproc.y"
 { 
 (yyval.str) = mm_strdup("null");
}
#line 41095 "preproc.c"
    break;

  case 497: /* ColConstraintElem: UNIQUE opt_unique_null_treatment opt_definition OptConsTableSpace  */
#line 3928 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("unique"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41103 "preproc.c"
    break;

  case 498: /* ColConstraintElem: PRIMARY KEY opt_definition OptConsTableSpace  */
#line 3932 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41111 "preproc.c"
    break;

  case 499: /* ColConstraintElem: CHECK '(' a_expr ')' opt_no_inherit  */
#line 3936 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41119 "preproc.c"
    break;

  case 500: /* ColConstraintElem: DEFAULT b_expr  */
#line 3940 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 41127 "preproc.c"
    break;

  case 501: /* ColConstraintElem: GENERATED generated_when AS IDENTITY_P OptParenthesizedSeqOptList  */
#line 3944 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 41135 "preproc.c"
    break;

  case 502: /* ColConstraintElem: GENERATED generated_when AS '(' a_expr ')' STORED  */
#line 3948 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("generated"),(yyvsp[-5].str),mm_strdup("as ("),(yyvsp[-2].str),mm_strdup(") stored"));
}
#line 41143 "preproc.c"
    break;

  case 503: /* ColConstraintElem: REFERENCES qualified_name opt_column_list key_match key_actions  */
#line 3952 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41151 "preproc.c"
    break;

  case 504: /* opt_unique_null_treatment: NULLS_P DISTINCT  */
#line 3960 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nulls distinct");
}
#line 41159 "preproc.c"
    break;

  case 505: /* opt_unique_null_treatment: NULLS_P NOT DISTINCT  */
#line 3964 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nulls not distinct");
}
#line 41167 "preproc.c"
    break;

  case 506: /* opt_unique_null_treatment: %empty  */
#line 3968 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41174 "preproc.c"
    break;

  case 507: /* generated_when: ALWAYS  */
#line 3975 "preproc.y"
 { 
 (yyval.str) = mm_strdup("always");
}
#line 41182 "preproc.c"
    break;

  case 508: /* generated_when: BY DEFAULT  */
#line 3979 "preproc.y"
 { 
 (yyval.str) = mm_strdup("by default");
}
#line 41190 "preproc.c"
    break;

  case 509: /* ConstraintAttr: DEFERRABLE  */
#line 3987 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 41198 "preproc.c"
    break;

  case 510: /* ConstraintAttr: NOT DEFERRABLE  */
#line 3991 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 41206 "preproc.c"
    break;

  case 511: /* ConstraintAttr: INITIALLY DEFERRED  */
#line 3995 "preproc.y"
 { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 41214 "preproc.c"
    break;

  case 512: /* ConstraintAttr: INITIALLY IMMEDIATE  */
#line 3999 "preproc.y"
 { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 41222 "preproc.c"
    break;

  case 513: /* TableLikeClause: LIKE qualified_name TableLikeOptionList  */
#line 4007 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41230 "preproc.c"
    break;

  case 514: /* TableLikeOptionList: TableLikeOptionList INCLUDING TableLikeOption  */
#line 4015 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 41238 "preproc.c"
    break;

  case 515: /* TableLikeOptionList: TableLikeOptionList EXCLUDING TableLikeOption  */
#line 4019 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 41246 "preproc.c"
    break;

  case 516: /* TableLikeOptionList: %empty  */
#line 4023 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41253 "preproc.c"
    break;

  case 517: /* TableLikeOption: COMMENTS  */
#line 4030 "preproc.y"
 { 
 (yyval.str) = mm_strdup("comments");
}
#line 41261 "preproc.c"
    break;

  case 518: /* TableLikeOption: COMPRESSION  */
#line 4034 "preproc.y"
 { 
 (yyval.str) = mm_strdup("compression");
}
#line 41269 "preproc.c"
    break;

  case 519: /* TableLikeOption: CONSTRAINTS  */
#line 4038 "preproc.y"
 { 
 (yyval.str) = mm_strdup("constraints");
}
#line 41277 "preproc.c"
    break;

  case 520: /* TableLikeOption: DEFAULTS  */
#line 4042 "preproc.y"
 { 
 (yyval.str) = mm_strdup("defaults");
}
#line 41285 "preproc.c"
    break;

  case 521: /* TableLikeOption: IDENTITY_P  */
#line 4046 "preproc.y"
 { 
 (yyval.str) = mm_strdup("identity");
}
#line 41293 "preproc.c"
    break;

  case 522: /* TableLikeOption: GENERATED  */
#line 4050 "preproc.y"
 { 
 (yyval.str) = mm_strdup("generated");
}
#line 41301 "preproc.c"
    break;

  case 523: /* TableLikeOption: INDEXES  */
#line 4054 "preproc.y"
 { 
 (yyval.str) = mm_strdup("indexes");
}
#line 41309 "preproc.c"
    break;

  case 524: /* TableLikeOption: STATISTICS  */
#line 4058 "preproc.y"
 { 
 (yyval.str) = mm_strdup("statistics");
}
#line 41317 "preproc.c"
    break;

  case 525: /* TableLikeOption: STORAGE  */
#line 4062 "preproc.y"
 { 
 (yyval.str) = mm_strdup("storage");
}
#line 41325 "preproc.c"
    break;

  case 526: /* TableLikeOption: ALL  */
#line 4066 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 41333 "preproc.c"
    break;

  case 527: /* TableConstraint: CONSTRAINT name ConstraintElem  */
#line 4074 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41341 "preproc.c"
    break;

  case 528: /* TableConstraint: ConstraintElem  */
#line 4078 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41349 "preproc.c"
    break;

  case 529: /* ConstraintElem: CHECK '(' a_expr ')' ConstraintAttributeSpec  */
#line 4086 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41357 "preproc.c"
    break;

  case 530: /* ConstraintElem: UNIQUE opt_unique_null_treatment '(' columnList ')' opt_c_include opt_definition OptConsTableSpace ConstraintAttributeSpec  */
#line 4090 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("unique"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41365 "preproc.c"
    break;

  case 531: /* ConstraintElem: UNIQUE ExistingIndex ConstraintAttributeSpec  */
#line 4094 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41373 "preproc.c"
    break;

  case 532: /* ConstraintElem: PRIMARY KEY '(' columnList ')' opt_c_include opt_definition OptConsTableSpace ConstraintAttributeSpec  */
#line 4098 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("primary key ("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41381 "preproc.c"
    break;

  case 533: /* ConstraintElem: PRIMARY KEY ExistingIndex ConstraintAttributeSpec  */
#line 4102 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41389 "preproc.c"
    break;

  case 534: /* ConstraintElem: EXCLUDE access_method_clause '(' ExclusionConstraintList ')' opt_c_include opt_definition OptConsTableSpace OptWhereClause ConstraintAttributeSpec  */
#line 4106 "preproc.y"
 { 
 (yyval.str) = cat_str(10,mm_strdup("exclude"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41397 "preproc.c"
    break;

  case 535: /* ConstraintElem: FOREIGN KEY '(' columnList ')' REFERENCES qualified_name opt_column_list key_match key_actions ConstraintAttributeSpec  */
#line 4110 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41405 "preproc.c"
    break;

  case 536: /* opt_no_inherit: NO INHERIT  */
#line 4118 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 41413 "preproc.c"
    break;

  case 537: /* opt_no_inherit: %empty  */
#line 4122 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41420 "preproc.c"
    break;

  case 538: /* opt_column_list: '(' columnList ')'  */
#line 4129 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41428 "preproc.c"
    break;

  case 539: /* opt_column_list: %empty  */
#line 4133 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41435 "preproc.c"
    break;

  case 540: /* columnList: columnElem  */
#line 4140 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41443 "preproc.c"
    break;

  case 541: /* columnList: columnList ',' columnElem  */
#line 4144 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41451 "preproc.c"
    break;

  case 542: /* columnElem: ColId  */
#line 4152 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41459 "preproc.c"
    break;

  case 543: /* opt_c_include: INCLUDE '(' columnList ')'  */
#line 4160 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("include ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41467 "preproc.c"
    break;

  case 544: /* opt_c_include: %empty  */
#line 4164 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41474 "preproc.c"
    break;

  case 545: /* key_match: MATCH FULL  */
#line 4171 "preproc.y"
 { 
 (yyval.str) = mm_strdup("match full");
}
#line 41482 "preproc.c"
    break;

  case 546: /* key_match: MATCH PARTIAL  */
#line 4175 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 41491 "preproc.c"
    break;

  case 547: /* key_match: MATCH SIMPLE  */
#line 4180 "preproc.y"
 { 
 (yyval.str) = mm_strdup("match simple");
}
#line 41499 "preproc.c"
    break;

  case 548: /* key_match: %empty  */
#line 4184 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41506 "preproc.c"
    break;

  case 549: /* ExclusionConstraintList: ExclusionConstraintElem  */
#line 4191 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41514 "preproc.c"
    break;

  case 550: /* ExclusionConstraintList: ExclusionConstraintList ',' ExclusionConstraintElem  */
#line 4195 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41522 "preproc.c"
    break;

  case 551: /* ExclusionConstraintElem: index_elem WITH any_operator  */
#line 4203 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 41530 "preproc.c"
    break;

  case 552: /* ExclusionConstraintElem: index_elem WITH OPERATOR '(' any_operator ')'  */
#line 4207 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41538 "preproc.c"
    break;

  case 553: /* OptWhereClause: WHERE '(' a_expr ')'  */
#line 4215 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41546 "preproc.c"
    break;

  case 554: /* OptWhereClause: %empty  */
#line 4219 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41553 "preproc.c"
    break;

  case 555: /* key_actions: key_update  */
#line 4226 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41561 "preproc.c"
    break;

  case 556: /* key_actions: key_delete  */
#line 4230 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41569 "preproc.c"
    break;

  case 557: /* key_actions: key_update key_delete  */
#line 4234 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41577 "preproc.c"
    break;

  case 558: /* key_actions: key_delete key_update  */
#line 4238 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41585 "preproc.c"
    break;

  case 559: /* key_actions: %empty  */
#line 4242 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41592 "preproc.c"
    break;

  case 560: /* key_update: ON UPDATE key_action  */
#line 4249 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 41600 "preproc.c"
    break;

  case 561: /* key_delete: ON DELETE_P key_action  */
#line 4257 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 41608 "preproc.c"
    break;

  case 562: /* key_action: NO ACTION  */
#line 4265 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no action");
}
#line 41616 "preproc.c"
    break;

  case 563: /* key_action: RESTRICT  */
#line 4269 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restrict");
}
#line 41624 "preproc.c"
    break;

  case 564: /* key_action: CASCADE  */
#line 4273 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cascade");
}
#line 41632 "preproc.c"
    break;

  case 565: /* key_action: SET NULL_P opt_column_list  */
#line 4277 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set null"),(yyvsp[0].str));
}
#line 41640 "preproc.c"
    break;

  case 566: /* key_action: SET DEFAULT opt_column_list  */
#line 4281 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 41648 "preproc.c"
    break;

  case 567: /* OptInherit: INHERITS '(' qualified_name_list ')'  */
#line 4289 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41656 "preproc.c"
    break;

  case 568: /* OptInherit: %empty  */
#line 4293 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41663 "preproc.c"
    break;

  case 569: /* OptPartitionSpec: PartitionSpec  */
#line 4300 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41671 "preproc.c"
    break;

  case 570: /* OptPartitionSpec: %empty  */
#line 4304 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41678 "preproc.c"
    break;

  case 571: /* PartitionSpec: PARTITION BY ColId '(' part_params ')'  */
#line 4311 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("partition by"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41686 "preproc.c"
    break;

  case 572: /* part_params: part_elem  */
#line 4319 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41694 "preproc.c"
    break;

  case 573: /* part_params: part_params ',' part_elem  */
#line 4323 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41702 "preproc.c"
    break;

  case 574: /* part_elem: ColId opt_collate opt_class  */
#line 4331 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41710 "preproc.c"
    break;

  case 575: /* part_elem: func_expr_windowless opt_collate opt_class  */
#line 4335 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41718 "preproc.c"
    break;

  case 576: /* part_elem: '(' a_expr ')' opt_collate opt_class  */
#line 4339 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41726 "preproc.c"
    break;

  case 577: /* table_access_method_clause: USING name  */
#line 4347 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 41734 "preproc.c"
    break;

  case 578: /* table_access_method_clause: %empty  */
#line 4351 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41741 "preproc.c"
    break;

  case 579: /* OptWith: WITH reloptions  */
#line 4358 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 41749 "preproc.c"
    break;

  case 580: /* OptWith: WITHOUT OIDS  */
#line 4362 "preproc.y"
 { 
 (yyval.str) = mm_strdup("without oids");
}
#line 41757 "preproc.c"
    break;

  case 581: /* OptWith: %empty  */
#line 4366 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41764 "preproc.c"
    break;

  case 582: /* OnCommitOption: ON COMMIT DROP  */
#line 4373 "preproc.y"
 { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 41772 "preproc.c"
    break;

  case 583: /* OnCommitOption: ON COMMIT DELETE_P ROWS  */
#line 4377 "preproc.y"
 { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 41780 "preproc.c"
    break;

  case 584: /* OnCommitOption: ON COMMIT PRESERVE ROWS  */
#line 4381 "preproc.y"
 { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 41788 "preproc.c"
    break;

  case 585: /* OnCommitOption: %empty  */
#line 4385 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41795 "preproc.c"
    break;

  case 586: /* OptTableSpace: TABLESPACE name  */
#line 4392 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 41803 "preproc.c"
    break;

  case 587: /* OptTableSpace: %empty  */
#line 4396 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41810 "preproc.c"
    break;

  case 588: /* OptConsTableSpace: USING INDEX TABLESPACE name  */
#line 4403 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 41818 "preproc.c"
    break;

  case 589: /* OptConsTableSpace: %empty  */
#line 4407 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41825 "preproc.c"
    break;

  case 590: /* ExistingIndex: USING INDEX name  */
#line 4414 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 41833 "preproc.c"
    break;

  case 591: /* CreateStatsStmt: CREATE STATISTICS any_name opt_name_list ON stats_params FROM from_list  */
#line 4422 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41841 "preproc.c"
    break;

  case 592: /* CreateStatsStmt: CREATE STATISTICS IF_P NOT EXISTS any_name opt_name_list ON stats_params FROM from_list  */
#line 4426 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics if not exists"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41849 "preproc.c"
    break;

  case 593: /* stats_params: stats_param  */
#line 4434 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41857 "preproc.c"
    break;

  case 594: /* stats_params: stats_params ',' stats_param  */
#line 4438 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41865 "preproc.c"
    break;

  case 595: /* stats_param: ColId  */
#line 4446 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41873 "preproc.c"
    break;

  case 596: /* stats_param: func_expr_windowless  */
#line 4450 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41881 "preproc.c"
    break;

  case 597: /* stats_param: '(' a_expr ')'  */
#line 4454 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41889 "preproc.c"
    break;

  case 598: /* AlterStatsStmt: ALTER STATISTICS any_name SET STATISTICS SignedIconst  */
#line 4462 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 41897 "preproc.c"
    break;

  case 599: /* AlterStatsStmt: ALTER STATISTICS IF_P EXISTS any_name SET STATISTICS SignedIconst  */
#line 4466 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics if exists"),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 41905 "preproc.c"
    break;

  case 600: /* create_as_target: qualified_name opt_column_list table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 4474 "preproc.y"
 { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41913 "preproc.c"
    break;

  case 601: /* opt_with_data: WITH DATA_P  */
#line 4482 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with data");
}
#line 41921 "preproc.c"
    break;

  case 602: /* opt_with_data: WITH NO DATA_P  */
#line 4486 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with no data");
}
#line 41929 "preproc.c"
    break;

  case 603: /* opt_with_data: %empty  */
#line 4490 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41936 "preproc.c"
    break;

  case 604: /* CreateMatViewStmt: CREATE OptNoLog MATERIALIZED VIEW create_mv_target AS SelectStmt opt_with_data  */
#line 4497 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41944 "preproc.c"
    break;

  case 605: /* CreateMatViewStmt: CREATE OptNoLog MATERIALIZED VIEW IF_P NOT EXISTS create_mv_target AS SelectStmt opt_with_data  */
#line 4501 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41952 "preproc.c"
    break;

  case 606: /* create_mv_target: qualified_name opt_column_list table_access_method_clause opt_reloptions OptTableSpace  */
#line 4509 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41960 "preproc.c"
    break;

  case 607: /* OptNoLog: UNLOGGED  */
#line 4517 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 41968 "preproc.c"
    break;

  case 608: /* OptNoLog: %empty  */
#line 4521 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41975 "preproc.c"
    break;

  case 609: /* RefreshMatViewStmt: REFRESH MATERIALIZED VIEW opt_concurrently qualified_name opt_with_data  */
#line 4528 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41983 "preproc.c"
    break;

  case 610: /* CreateSeqStmt: CREATE OptTemp SEQUENCE qualified_name OptSeqOptList  */
#line 4536 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41991 "preproc.c"
    break;

  case 611: /* CreateSeqStmt: CREATE OptTemp SEQUENCE IF_P NOT EXISTS qualified_name OptSeqOptList  */
#line 4540 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41999 "preproc.c"
    break;

  case 612: /* AlterSeqStmt: ALTER SEQUENCE qualified_name SeqOptList  */
#line 4548 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42007 "preproc.c"
    break;

  case 613: /* AlterSeqStmt: ALTER SEQUENCE IF_P EXISTS qualified_name SeqOptList  */
#line 4552 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42015 "preproc.c"
    break;

  case 614: /* OptSeqOptList: SeqOptList  */
#line 4560 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42023 "preproc.c"
    break;

  case 615: /* OptSeqOptList: %empty  */
#line 4564 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42030 "preproc.c"
    break;

  case 616: /* OptParenthesizedSeqOptList: '(' SeqOptList ')'  */
#line 4571 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42038 "preproc.c"
    break;

  case 617: /* OptParenthesizedSeqOptList: %empty  */
#line 4575 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42045 "preproc.c"
    break;

  case 618: /* SeqOptList: SeqOptElem  */
#line 4582 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42053 "preproc.c"
    break;

  case 619: /* SeqOptList: SeqOptList SeqOptElem  */
#line 4586 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42061 "preproc.c"
    break;

  case 620: /* SeqOptElem: AS SimpleTypename  */
#line 4594 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 42069 "preproc.c"
    break;

  case 621: /* SeqOptElem: CACHE NumericOnly  */
#line 4598 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 42077 "preproc.c"
    break;

  case 622: /* SeqOptElem: CYCLE  */
#line 4602 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cycle");
}
#line 42085 "preproc.c"
    break;

  case 623: /* SeqOptElem: NO CYCLE  */
#line 4606 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 42093 "preproc.c"
    break;

  case 624: /* SeqOptElem: INCREMENT opt_by NumericOnly  */
#line 4610 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42101 "preproc.c"
    break;

  case 625: /* SeqOptElem: LOGGED  */
#line 4614 "preproc.y"
 { 
 (yyval.str) = mm_strdup("logged");
}
#line 42109 "preproc.c"
    break;

  case 626: /* SeqOptElem: MAXVALUE NumericOnly  */
#line 4618 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 42117 "preproc.c"
    break;

  case 627: /* SeqOptElem: MINVALUE NumericOnly  */
#line 4622 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 42125 "preproc.c"
    break;

  case 628: /* SeqOptElem: NO MAXVALUE  */
#line 4626 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 42133 "preproc.c"
    break;

  case 629: /* SeqOptElem: NO MINVALUE  */
#line 4630 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 42141 "preproc.c"
    break;

  case 630: /* SeqOptElem: OWNED BY any_name  */
#line 4634 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 42149 "preproc.c"
    break;

  case 631: /* SeqOptElem: SEQUENCE NAME_P any_name  */
#line 4638 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("sequence name"),(yyvsp[0].str));
}
#line 42157 "preproc.c"
    break;

  case 632: /* SeqOptElem: START opt_with NumericOnly  */
#line 4642 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42165 "preproc.c"
    break;

  case 633: /* SeqOptElem: RESTART  */
#line 4646 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restart");
}
#line 42173 "preproc.c"
    break;

  case 634: /* SeqOptElem: RESTART opt_with NumericOnly  */
#line 4650 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42181 "preproc.c"
    break;

  case 635: /* SeqOptElem: UNLOGGED  */
#line 4654 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 42189 "preproc.c"
    break;

  case 636: /* opt_by: BY  */
#line 4662 "preproc.y"
 { 
 (yyval.str) = mm_strdup("by");
}
#line 42197 "preproc.c"
    break;

  case 637: /* opt_by: %empty  */
#line 4666 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42204 "preproc.c"
    break;

  case 638: /* NumericOnly: ecpg_fconst  */
#line 4673 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42212 "preproc.c"
    break;

  case 639: /* NumericOnly: '+' ecpg_fconst  */
#line 4677 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 42220 "preproc.c"
    break;

  case 640: /* NumericOnly: '-' ecpg_fconst  */
#line 4681 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 42228 "preproc.c"
    break;

  case 641: /* NumericOnly: SignedIconst  */
#line 4685 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42236 "preproc.c"
    break;

  case 642: /* NumericOnly_list: NumericOnly  */
#line 4693 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42244 "preproc.c"
    break;

  case 643: /* NumericOnly_list: NumericOnly_list ',' NumericOnly  */
#line 4697 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42252 "preproc.c"
    break;

  case 644: /* CreatePLangStmt: CREATE opt_or_replace opt_trusted opt_procedural LANGUAGE name  */
#line 4705 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 42260 "preproc.c"
    break;

  case 645: /* CreatePLangStmt: CREATE opt_or_replace opt_trusted opt_procedural LANGUAGE name HANDLER handler_name opt_inline_handler opt_validator  */
#line 4709 "preproc.y"
 { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42268 "preproc.c"
    break;

  case 646: /* opt_trusted: TRUSTED  */
#line 4717 "preproc.y"
 { 
 (yyval.str) = mm_strdup("trusted");
}
#line 42276 "preproc.c"
    break;

  case 647: /* opt_trusted: %empty  */
#line 4721 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42283 "preproc.c"
    break;

  case 648: /* handler_name: name  */
#line 4728 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42291 "preproc.c"
    break;

  case 649: /* handler_name: name attrs  */
#line 4732 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42299 "preproc.c"
    break;

  case 650: /* opt_inline_handler: INLINE_P handler_name  */
#line 4740 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 42307 "preproc.c"
    break;

  case 651: /* opt_inline_handler: %empty  */
#line 4744 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42314 "preproc.c"
    break;

  case 652: /* validator_clause: VALIDATOR handler_name  */
#line 4751 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 42322 "preproc.c"
    break;

  case 653: /* validator_clause: NO VALIDATOR  */
#line 4755 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no validator");
}
#line 42330 "preproc.c"
    break;

  case 654: /* opt_validator: validator_clause  */
#line 4763 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42338 "preproc.c"
    break;

  case 655: /* opt_validator: %empty  */
#line 4767 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42345 "preproc.c"
    break;

  case 656: /* opt_procedural: PROCEDURAL  */
#line 4774 "preproc.y"
 { 
 (yyval.str) = mm_strdup("procedural");
}
#line 42353 "preproc.c"
    break;

  case 657: /* opt_procedural: %empty  */
#line 4778 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42360 "preproc.c"
    break;

  case 658: /* CreateTableSpaceStmt: CREATE TABLESPACE name OptTableSpaceOwner LOCATION ecpg_sconst opt_reloptions  */
#line 4785 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42368 "preproc.c"
    break;

  case 659: /* OptTableSpaceOwner: OWNER RoleSpec  */
#line 4793 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 42376 "preproc.c"
    break;

  case 660: /* OptTableSpaceOwner: %empty  */
#line 4797 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42383 "preproc.c"
    break;

  case 661: /* DropTableSpaceStmt: DROP TABLESPACE name  */
#line 4804 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 42391 "preproc.c"
    break;

  case 662: /* DropTableSpaceStmt: DROP TABLESPACE IF_P EXISTS name  */
#line 4808 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 42399 "preproc.c"
    break;

  case 663: /* CreateExtensionStmt: CREATE EXTENSION name opt_with create_extension_opt_list  */
#line 4816 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42407 "preproc.c"
    break;

  case 664: /* CreateExtensionStmt: CREATE EXTENSION IF_P NOT EXISTS name opt_with create_extension_opt_list  */
#line 4820 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42415 "preproc.c"
    break;

  case 665: /* create_extension_opt_list: create_extension_opt_list create_extension_opt_item  */
#line 4828 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42423 "preproc.c"
    break;

  case 666: /* create_extension_opt_list: %empty  */
#line 4832 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42430 "preproc.c"
    break;

  case 667: /* create_extension_opt_item: SCHEMA name  */
#line 4839 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 42438 "preproc.c"
    break;

  case 668: /* create_extension_opt_item: VERSION_P NonReservedWord_or_Sconst  */
#line 4843 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 42446 "preproc.c"
    break;

  case 669: /* create_extension_opt_item: FROM NonReservedWord_or_Sconst  */
#line 4847 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 42455 "preproc.c"
    break;

  case 670: /* create_extension_opt_item: CASCADE  */
#line 4852 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cascade");
}
#line 42463 "preproc.c"
    break;

  case 671: /* AlterExtensionStmt: ALTER EXTENSION name UPDATE alter_extension_opt_list  */
#line 4860 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 42471 "preproc.c"
    break;

  case 672: /* alter_extension_opt_list: alter_extension_opt_list alter_extension_opt_item  */
#line 4868 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42479 "preproc.c"
    break;

  case 673: /* alter_extension_opt_list: %empty  */
#line 4872 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42486 "preproc.c"
    break;

  case 674: /* alter_extension_opt_item: TO NonReservedWord_or_Sconst  */
#line 4879 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 42494 "preproc.c"
    break;

  case 675: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop object_type_name name  */
#line 4887 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42502 "preproc.c"
    break;

  case 676: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop object_type_any_name any_name  */
#line 4891 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42510 "preproc.c"
    break;

  case 677: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop AGGREGATE aggregate_with_argtypes  */
#line 4895 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("aggregate"),(yyvsp[0].str));
}
#line 42518 "preproc.c"
    break;

  case 678: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop CAST '(' Typename AS Typename ')'  */
#line 4899 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42526 "preproc.c"
    break;

  case 679: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop DOMAIN_P Typename  */
#line 4903 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 42534 "preproc.c"
    break;

  case 680: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop FUNCTION function_with_argtypes  */
#line 4907 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 42542 "preproc.c"
    break;

  case 681: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR operator_with_argtypes  */
#line 4911 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("operator"),(yyvsp[0].str));
}
#line 42550 "preproc.c"
    break;

  case 682: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR CLASS any_name USING name  */
#line 4915 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 42558 "preproc.c"
    break;

  case 683: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR FAMILY any_name USING name  */
#line 4919 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 42566 "preproc.c"
    break;

  case 684: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop PROCEDURE function_with_argtypes  */
#line 4923 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("procedure"),(yyvsp[0].str));
}
#line 42574 "preproc.c"
    break;

  case 685: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop ROUTINE function_with_argtypes  */
#line 4927 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("routine"),(yyvsp[0].str));
}
#line 42582 "preproc.c"
    break;

  case 686: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TRANSFORM FOR Typename LANGUAGE name  */
#line 4931 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 42590 "preproc.c"
    break;

  case 687: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TYPE_P Typename  */
#line 4935 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 42598 "preproc.c"
    break;

  case 688: /* CreateFdwStmt: CREATE FOREIGN DATA_P WRAPPER name opt_fdw_options create_generic_options  */
#line 4943 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42606 "preproc.c"
    break;

  case 689: /* fdw_option: HANDLER handler_name  */
#line 4951 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 42614 "preproc.c"
    break;

  case 690: /* fdw_option: NO HANDLER  */
#line 4955 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no handler");
}
#line 42622 "preproc.c"
    break;

  case 691: /* fdw_option: VALIDATOR handler_name  */
#line 4959 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 42630 "preproc.c"
    break;

  case 692: /* fdw_option: NO VALIDATOR  */
#line 4963 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no validator");
}
#line 42638 "preproc.c"
    break;

  case 693: /* fdw_options: fdw_option  */
#line 4971 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42646 "preproc.c"
    break;

  case 694: /* fdw_options: fdw_options fdw_option  */
#line 4975 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42654 "preproc.c"
    break;

  case 695: /* opt_fdw_options: fdw_options  */
#line 4983 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42662 "preproc.c"
    break;

  case 696: /* opt_fdw_options: %empty  */
#line 4987 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42669 "preproc.c"
    break;

  case 697: /* AlterFdwStmt: ALTER FOREIGN DATA_P WRAPPER name opt_fdw_options alter_generic_options  */
#line 4994 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42677 "preproc.c"
    break;

  case 698: /* AlterFdwStmt: ALTER FOREIGN DATA_P WRAPPER name fdw_options  */
#line 4998 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42685 "preproc.c"
    break;

  case 699: /* create_generic_options: OPTIONS '(' generic_option_list ')'  */
#line 5006 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42693 "preproc.c"
    break;

  case 700: /* create_generic_options: %empty  */
#line 5010 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42700 "preproc.c"
    break;

  case 701: /* generic_option_list: generic_option_elem  */
#line 5017 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42708 "preproc.c"
    break;

  case 702: /* generic_option_list: generic_option_list ',' generic_option_elem  */
#line 5021 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42716 "preproc.c"
    break;

  case 703: /* alter_generic_options: OPTIONS '(' alter_generic_option_list ')'  */
#line 5029 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42724 "preproc.c"
    break;

  case 704: /* alter_generic_option_list: alter_generic_option_elem  */
#line 5037 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42732 "preproc.c"
    break;

  case 705: /* alter_generic_option_list: alter_generic_option_list ',' alter_generic_option_elem  */
#line 5041 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42740 "preproc.c"
    break;

  case 706: /* alter_generic_option_elem: generic_option_elem  */
#line 5049 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42748 "preproc.c"
    break;

  case 707: /* alter_generic_option_elem: SET generic_option_elem  */
#line 5053 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 42756 "preproc.c"
    break;

  case 708: /* alter_generic_option_elem: ADD_P generic_option_elem  */
#line 5057 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 42764 "preproc.c"
    break;

  case 709: /* alter_generic_option_elem: DROP generic_option_name  */
#line 5061 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 42772 "preproc.c"
    break;

  case 710: /* generic_option_elem: generic_option_name generic_option_arg  */
#line 5069 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42780 "preproc.c"
    break;

  case 711: /* generic_option_name: ColLabel  */
#line 5077 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42788 "preproc.c"
    break;

  case 712: /* generic_option_arg: ecpg_sconst  */
#line 5085 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42796 "preproc.c"
    break;

  case 713: /* CreateForeignServerStmt: CREATE SERVER name opt_type opt_foreign_server_version FOREIGN DATA_P WRAPPER name create_generic_options  */
#line 5093 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42804 "preproc.c"
    break;

  case 714: /* CreateForeignServerStmt: CREATE SERVER IF_P NOT EXISTS name opt_type opt_foreign_server_version FOREIGN DATA_P WRAPPER name create_generic_options  */
#line 5097 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create server if not exists"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42812 "preproc.c"
    break;

  case 715: /* opt_type: TYPE_P ecpg_sconst  */
#line 5105 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 42820 "preproc.c"
    break;

  case 716: /* opt_type: %empty  */
#line 5109 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42827 "preproc.c"
    break;

  case 717: /* foreign_server_version: VERSION_P ecpg_sconst  */
#line 5116 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 42835 "preproc.c"
    break;

  case 718: /* foreign_server_version: VERSION_P NULL_P  */
#line 5120 "preproc.y"
 { 
 (yyval.str) = mm_strdup("version null");
}
#line 42843 "preproc.c"
    break;

  case 719: /* opt_foreign_server_version: foreign_server_version  */
#line 5128 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42851 "preproc.c"
    break;

  case 720: /* opt_foreign_server_version: %empty  */
#line 5132 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42858 "preproc.c"
    break;

  case 721: /* AlterForeignServerStmt: ALTER SERVER name foreign_server_version alter_generic_options  */
#line 5139 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42866 "preproc.c"
    break;

  case 722: /* AlterForeignServerStmt: ALTER SERVER name foreign_server_version  */
#line 5143 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42874 "preproc.c"
    break;

  case 723: /* AlterForeignServerStmt: ALTER SERVER name alter_generic_options  */
#line 5147 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42882 "preproc.c"
    break;

  case 724: /* CreateForeignTableStmt: CREATE FOREIGN TABLE qualified_name '(' OptTableElementList ')' OptInherit SERVER name create_generic_options  */
#line 5155 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42890 "preproc.c"
    break;

  case 725: /* CreateForeignTableStmt: CREATE FOREIGN TABLE IF_P NOT EXISTS qualified_name '(' OptTableElementList ')' OptInherit SERVER name create_generic_options  */
#line 5159 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42898 "preproc.c"
    break;

  case 726: /* CreateForeignTableStmt: CREATE FOREIGN TABLE qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec SERVER name create_generic_options  */
#line 5163 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42906 "preproc.c"
    break;

  case 727: /* CreateForeignTableStmt: CREATE FOREIGN TABLE IF_P NOT EXISTS qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec SERVER name create_generic_options  */
#line 5167 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42914 "preproc.c"
    break;

  case 728: /* ImportForeignSchemaStmt: IMPORT_P FOREIGN SCHEMA name import_qualification FROM SERVER name INTO name create_generic_options  */
#line 5175 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42922 "preproc.c"
    break;

  case 729: /* import_qualification_type: LIMIT TO  */
#line 5183 "preproc.y"
 { 
 (yyval.str) = mm_strdup("limit to");
}
#line 42930 "preproc.c"
    break;

  case 730: /* import_qualification_type: EXCEPT  */
#line 5187 "preproc.y"
 { 
 (yyval.str) = mm_strdup("except");
}
#line 42938 "preproc.c"
    break;

  case 731: /* import_qualification: import_qualification_type '(' relation_expr_list ')'  */
#line 5195 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42946 "preproc.c"
    break;

  case 732: /* import_qualification: %empty  */
#line 5199 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42953 "preproc.c"
    break;

  case 733: /* CreateUserMappingStmt: CREATE USER MAPPING FOR auth_ident SERVER name create_generic_options  */
#line 5206 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42961 "preproc.c"
    break;

  case 734: /* CreateUserMappingStmt: CREATE USER MAPPING IF_P NOT EXISTS FOR auth_ident SERVER name create_generic_options  */
#line 5210 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping if not exists for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42969 "preproc.c"
    break;

  case 735: /* auth_ident: RoleSpec  */
#line 5218 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42977 "preproc.c"
    break;

  case 736: /* auth_ident: USER  */
#line 5222 "preproc.y"
 { 
 (yyval.str) = mm_strdup("user");
}
#line 42985 "preproc.c"
    break;

  case 737: /* DropUserMappingStmt: DROP USER MAPPING FOR auth_ident SERVER name  */
#line 5230 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 42993 "preproc.c"
    break;

  case 738: /* DropUserMappingStmt: DROP USER MAPPING IF_P EXISTS FOR auth_ident SERVER name  */
#line 5234 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 43001 "preproc.c"
    break;

  case 739: /* AlterUserMappingStmt: ALTER USER MAPPING FOR auth_ident SERVER name alter_generic_options  */
#line 5242 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43009 "preproc.c"
    break;

  case 740: /* CreatePolicyStmt: CREATE POLICY name ON qualified_name RowSecurityDefaultPermissive RowSecurityDefaultForCmd RowSecurityDefaultToRole RowSecurityOptionalExpr RowSecurityOptionalWithCheck  */
#line 5250 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create policy"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43017 "preproc.c"
    break;

  case 741: /* AlterPolicyStmt: ALTER POLICY name ON qualified_name RowSecurityOptionalToRole RowSecurityOptionalExpr RowSecurityOptionalWithCheck  */
#line 5258 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43025 "preproc.c"
    break;

  case 742: /* RowSecurityOptionalExpr: USING '(' a_expr ')'  */
#line 5266 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43033 "preproc.c"
    break;

  case 743: /* RowSecurityOptionalExpr: %empty  */
#line 5270 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43040 "preproc.c"
    break;

  case 744: /* RowSecurityOptionalWithCheck: WITH CHECK '(' a_expr ')'  */
#line 5277 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43048 "preproc.c"
    break;

  case 745: /* RowSecurityOptionalWithCheck: %empty  */
#line 5281 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43055 "preproc.c"
    break;

  case 746: /* RowSecurityDefaultToRole: TO role_list  */
#line 5288 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 43063 "preproc.c"
    break;

  case 747: /* RowSecurityDefaultToRole: %empty  */
#line 5292 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43070 "preproc.c"
    break;

  case 748: /* RowSecurityOptionalToRole: TO role_list  */
#line 5299 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 43078 "preproc.c"
    break;

  case 749: /* RowSecurityOptionalToRole: %empty  */
#line 5303 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43085 "preproc.c"
    break;

  case 750: /* RowSecurityDefaultPermissive: AS ecpg_ident  */
#line 5310 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 43093 "preproc.c"
    break;

  case 751: /* RowSecurityDefaultPermissive: %empty  */
#line 5314 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43100 "preproc.c"
    break;

  case 752: /* RowSecurityDefaultForCmd: FOR row_security_cmd  */
#line 5321 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 43108 "preproc.c"
    break;

  case 753: /* RowSecurityDefaultForCmd: %empty  */
#line 5325 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43115 "preproc.c"
    break;

  case 754: /* row_security_cmd: ALL  */
#line 5332 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 43123 "preproc.c"
    break;

  case 755: /* row_security_cmd: SELECT  */
#line 5336 "preproc.y"
 { 
 (yyval.str) = mm_strdup("select");
}
#line 43131 "preproc.c"
    break;

  case 756: /* row_security_cmd: INSERT  */
#line 5340 "preproc.y"
 { 
 (yyval.str) = mm_strdup("insert");
}
#line 43139 "preproc.c"
    break;

  case 757: /* row_security_cmd: UPDATE  */
#line 5344 "preproc.y"
 { 
 (yyval.str) = mm_strdup("update");
}
#line 43147 "preproc.c"
    break;

  case 758: /* row_security_cmd: DELETE_P  */
#line 5348 "preproc.y"
 { 
 (yyval.str) = mm_strdup("delete");
}
#line 43155 "preproc.c"
    break;

  case 759: /* CreateAmStmt: CREATE ACCESS METHOD name TYPE_P am_type HANDLER handler_name  */
#line 5356 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),mm_strdup("handler"),(yyvsp[0].str));
}
#line 43163 "preproc.c"
    break;

  case 760: /* am_type: INDEX  */
#line 5364 "preproc.y"
 { 
 (yyval.str) = mm_strdup("index");
}
#line 43171 "preproc.c"
    break;

  case 761: /* am_type: TABLE  */
#line 5368 "preproc.y"
 { 
 (yyval.str) = mm_strdup("table");
}
#line 43179 "preproc.c"
    break;

  case 762: /* CreateTrigStmt: CREATE opt_or_replace TRIGGER name TriggerActionTime TriggerEvents ON qualified_name TriggerReferencing TriggerForSpec TriggerWhen EXECUTE FUNCTION_or_PROCEDURE func_name '(' TriggerFuncArgs ')'  */
#line 5376 "preproc.y"
 { 
 (yyval.str) = cat_str(17,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("trigger"),(yyvsp[-13].str),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43187 "preproc.c"
    break;

  case 763: /* CreateTrigStmt: CREATE opt_or_replace CONSTRAINT TRIGGER name AFTER TriggerEvents ON qualified_name OptConstrFromTable ConstraintAttributeSpec FOR EACH ROW TriggerWhen EXECUTE FUNCTION_or_PROCEDURE func_name '(' TriggerFuncArgs ')'  */
#line 5380 "preproc.y"
 { 
 (yyval.str) = cat_str(18,mm_strdup("create"),(yyvsp[-19].str),mm_strdup("constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43195 "preproc.c"
    break;

  case 764: /* TriggerActionTime: BEFORE  */
#line 5388 "preproc.y"
 { 
 (yyval.str) = mm_strdup("before");
}
#line 43203 "preproc.c"
    break;

  case 765: /* TriggerActionTime: AFTER  */
#line 5392 "preproc.y"
 { 
 (yyval.str) = mm_strdup("after");
}
#line 43211 "preproc.c"
    break;

  case 766: /* TriggerActionTime: INSTEAD OF  */
#line 5396 "preproc.y"
 { 
 (yyval.str) = mm_strdup("instead of");
}
#line 43219 "preproc.c"
    break;

  case 767: /* TriggerEvents: TriggerOneEvent  */
#line 5404 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43227 "preproc.c"
    break;

  case 768: /* TriggerEvents: TriggerEvents OR TriggerOneEvent  */
#line 5408 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 43235 "preproc.c"
    break;

  case 769: /* TriggerOneEvent: INSERT  */
#line 5416 "preproc.y"
 { 
 (yyval.str) = mm_strdup("insert");
}
#line 43243 "preproc.c"
    break;

  case 770: /* TriggerOneEvent: DELETE_P  */
#line 5420 "preproc.y"
 { 
 (yyval.str) = mm_strdup("delete");
}
#line 43251 "preproc.c"
    break;

  case 771: /* TriggerOneEvent: UPDATE  */
#line 5424 "preproc.y"
 { 
 (yyval.str) = mm_strdup("update");
}
#line 43259 "preproc.c"
    break;

  case 772: /* TriggerOneEvent: UPDATE OF columnList  */
#line 5428 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 43267 "preproc.c"
    break;

  case 773: /* TriggerOneEvent: TRUNCATE  */
#line 5432 "preproc.y"
 { 
 (yyval.str) = mm_strdup("truncate");
}
#line 43275 "preproc.c"
    break;

  case 774: /* TriggerReferencing: REFERENCING TriggerTransitions  */
#line 5440 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("referencing"),(yyvsp[0].str));
}
#line 43283 "preproc.c"
    break;

  case 775: /* TriggerReferencing: %empty  */
#line 5444 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43290 "preproc.c"
    break;

  case 776: /* TriggerTransitions: TriggerTransition  */
#line 5451 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43298 "preproc.c"
    break;

  case 777: /* TriggerTransitions: TriggerTransitions TriggerTransition  */
#line 5455 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43306 "preproc.c"
    break;

  case 778: /* TriggerTransition: TransitionOldOrNew TransitionRowOrTable opt_as TransitionRelName  */
#line 5463 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43314 "preproc.c"
    break;

  case 779: /* TransitionOldOrNew: NEW  */
#line 5471 "preproc.y"
 { 
 (yyval.str) = mm_strdup("new");
}
#line 43322 "preproc.c"
    break;

  case 780: /* TransitionOldOrNew: OLD  */
#line 5475 "preproc.y"
 { 
 (yyval.str) = mm_strdup("old");
}
#line 43330 "preproc.c"
    break;

  case 781: /* TransitionRowOrTable: TABLE  */
#line 5483 "preproc.y"
 { 
 (yyval.str) = mm_strdup("table");
}
#line 43338 "preproc.c"
    break;

  case 782: /* TransitionRowOrTable: ROW  */
#line 5487 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row");
}
#line 43346 "preproc.c"
    break;

  case 783: /* TransitionRelName: ColId  */
#line 5495 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43354 "preproc.c"
    break;

  case 784: /* TriggerForSpec: FOR TriggerForOptEach TriggerForType  */
#line 5503 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43362 "preproc.c"
    break;

  case 785: /* TriggerForSpec: %empty  */
#line 5507 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43369 "preproc.c"
    break;

  case 786: /* TriggerForOptEach: EACH  */
#line 5514 "preproc.y"
 { 
 (yyval.str) = mm_strdup("each");
}
#line 43377 "preproc.c"
    break;

  case 787: /* TriggerForOptEach: %empty  */
#line 5518 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43384 "preproc.c"
    break;

  case 788: /* TriggerForType: ROW  */
#line 5525 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row");
}
#line 43392 "preproc.c"
    break;

  case 789: /* TriggerForType: STATEMENT  */
#line 5529 "preproc.y"
 { 
 (yyval.str) = mm_strdup("statement");
}
#line 43400 "preproc.c"
    break;

  case 790: /* TriggerWhen: WHEN '(' a_expr ')'  */
#line 5537 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43408 "preproc.c"
    break;

  case 791: /* TriggerWhen: %empty  */
#line 5541 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43415 "preproc.c"
    break;

  case 792: /* FUNCTION_or_PROCEDURE: FUNCTION  */
#line 5548 "preproc.y"
 { 
 (yyval.str) = mm_strdup("function");
}
#line 43423 "preproc.c"
    break;

  case 793: /* FUNCTION_or_PROCEDURE: PROCEDURE  */
#line 5552 "preproc.y"
 { 
 (yyval.str) = mm_strdup("procedure");
}
#line 43431 "preproc.c"
    break;

  case 794: /* TriggerFuncArgs: TriggerFuncArg  */
#line 5560 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43439 "preproc.c"
    break;

  case 795: /* TriggerFuncArgs: TriggerFuncArgs ',' TriggerFuncArg  */
#line 5564 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43447 "preproc.c"
    break;

  case 796: /* TriggerFuncArgs: %empty  */
#line 5568 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43454 "preproc.c"
    break;

  case 797: /* TriggerFuncArg: Iconst  */
#line 5575 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43462 "preproc.c"
    break;

  case 798: /* TriggerFuncArg: ecpg_fconst  */
#line 5579 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43470 "preproc.c"
    break;

  case 799: /* TriggerFuncArg: ecpg_sconst  */
#line 5583 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43478 "preproc.c"
    break;

  case 800: /* TriggerFuncArg: ColLabel  */
#line 5587 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43486 "preproc.c"
    break;

  case 801: /* OptConstrFromTable: FROM qualified_name  */
#line 5595 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 43494 "preproc.c"
    break;

  case 802: /* OptConstrFromTable: %empty  */
#line 5599 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43501 "preproc.c"
    break;

  case 803: /* ConstraintAttributeSpec: %empty  */
#line 5606 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43508 "preproc.c"
    break;

  case 804: /* ConstraintAttributeSpec: ConstraintAttributeSpec ConstraintAttributeElem  */
#line 5609 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43516 "preproc.c"
    break;

  case 805: /* ConstraintAttributeElem: NOT DEFERRABLE  */
#line 5617 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 43524 "preproc.c"
    break;

  case 806: /* ConstraintAttributeElem: DEFERRABLE  */
#line 5621 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 43532 "preproc.c"
    break;

  case 807: /* ConstraintAttributeElem: INITIALLY IMMEDIATE  */
#line 5625 "preproc.y"
 { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 43540 "preproc.c"
    break;

  case 808: /* ConstraintAttributeElem: INITIALLY DEFERRED  */
#line 5629 "preproc.y"
 { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 43548 "preproc.c"
    break;

  case 809: /* ConstraintAttributeElem: NOT VALID  */
#line 5633 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not valid");
}
#line 43556 "preproc.c"
    break;

  case 810: /* ConstraintAttributeElem: NO INHERIT  */
#line 5637 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 43564 "preproc.c"
    break;

  case 811: /* CreateEventTrigStmt: CREATE EVENT TRIGGER name ON ColLabel EXECUTE FUNCTION_or_PROCEDURE func_name '(' ')'  */
#line 5645 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 43572 "preproc.c"
    break;

  case 812: /* CreateEventTrigStmt: CREATE EVENT TRIGGER name ON ColLabel WHEN event_trigger_when_list EXECUTE FUNCTION_or_PROCEDURE func_name '(' ')'  */
#line 5649 "preproc.y"
 { 
 (yyval.str) = cat_str(10,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 43580 "preproc.c"
    break;

  case 813: /* event_trigger_when_list: event_trigger_when_item  */
#line 5657 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43588 "preproc.c"
    break;

  case 814: /* event_trigger_when_list: event_trigger_when_list AND event_trigger_when_item  */
#line 5661 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 43596 "preproc.c"
    break;

  case 815: /* event_trigger_when_item: ColId IN_P '(' event_trigger_value_list ')'  */
#line 5669 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43604 "preproc.c"
    break;

  case 816: /* event_trigger_value_list: SCONST  */
#line 5677 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sconst");
}
#line 43612 "preproc.c"
    break;

  case 817: /* event_trigger_value_list: event_trigger_value_list ',' SCONST  */
#line 5681 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 43620 "preproc.c"
    break;

  case 818: /* AlterEventTrigStmt: ALTER EVENT TRIGGER name enable_trigger  */
#line 5689 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43628 "preproc.c"
    break;

  case 819: /* enable_trigger: ENABLE_P  */
#line 5697 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enable");
}
#line 43636 "preproc.c"
    break;

  case 820: /* enable_trigger: ENABLE_P REPLICA  */
#line 5701 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 43644 "preproc.c"
    break;

  case 821: /* enable_trigger: ENABLE_P ALWAYS  */
#line 5705 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enable always");
}
#line 43652 "preproc.c"
    break;

  case 822: /* enable_trigger: DISABLE_P  */
#line 5709 "preproc.y"
 { 
 (yyval.str) = mm_strdup("disable");
}
#line 43660 "preproc.c"
    break;

  case 823: /* CreateAssertionStmt: CREATE ASSERTION any_name CHECK '(' a_expr ')' ConstraintAttributeSpec  */
#line 5717 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43669 "preproc.c"
    break;

  case 824: /* DefineStmt: CREATE opt_or_replace AGGREGATE func_name aggr_args definition  */
#line 5726 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),mm_strdup("aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43677 "preproc.c"
    break;

  case 825: /* DefineStmt: CREATE opt_or_replace AGGREGATE func_name old_aggr_definition  */
#line 5730 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43685 "preproc.c"
    break;

  case 826: /* DefineStmt: CREATE OPERATOR any_operator definition  */
#line 5734 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43693 "preproc.c"
    break;

  case 827: /* DefineStmt: CREATE TYPE_P any_name definition  */
#line 5738 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43701 "preproc.c"
    break;

  case 828: /* DefineStmt: CREATE TYPE_P any_name  */
#line 5742 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 43709 "preproc.c"
    break;

  case 829: /* DefineStmt: CREATE TYPE_P any_name AS '(' OptTableFuncElementList ')'  */
#line 5746 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43717 "preproc.c"
    break;

  case 830: /* DefineStmt: CREATE TYPE_P any_name AS ENUM_P '(' opt_enum_val_list ')'  */
#line 5750 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43725 "preproc.c"
    break;

  case 831: /* DefineStmt: CREATE TYPE_P any_name AS RANGE definition  */
#line 5754 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 43733 "preproc.c"
    break;

  case 832: /* DefineStmt: CREATE TEXT_P SEARCH PARSER any_name definition  */
#line 5758 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43741 "preproc.c"
    break;

  case 833: /* DefineStmt: CREATE TEXT_P SEARCH DICTIONARY any_name definition  */
#line 5762 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43749 "preproc.c"
    break;

  case 834: /* DefineStmt: CREATE TEXT_P SEARCH TEMPLATE any_name definition  */
#line 5766 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43757 "preproc.c"
    break;

  case 835: /* DefineStmt: CREATE TEXT_P SEARCH CONFIGURATION any_name definition  */
#line 5770 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43765 "preproc.c"
    break;

  case 836: /* DefineStmt: CREATE COLLATION any_name definition  */
#line 5774 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43773 "preproc.c"
    break;

  case 837: /* DefineStmt: CREATE COLLATION IF_P NOT EXISTS any_name definition  */
#line 5778 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create collation if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43781 "preproc.c"
    break;

  case 838: /* DefineStmt: CREATE COLLATION any_name FROM any_name  */
#line 5782 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 43789 "preproc.c"
    break;

  case 839: /* DefineStmt: CREATE COLLATION IF_P NOT EXISTS any_name FROM any_name  */
#line 5786 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create collation if not exists"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 43797 "preproc.c"
    break;

  case 840: /* definition: '(' def_list ')'  */
#line 5794 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43805 "preproc.c"
    break;

  case 841: /* def_list: def_elem  */
#line 5802 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43813 "preproc.c"
    break;

  case 842: /* def_list: def_list ',' def_elem  */
#line 5806 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43821 "preproc.c"
    break;

  case 843: /* def_elem: ColLabel '=' def_arg  */
#line 5814 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 43829 "preproc.c"
    break;

  case 844: /* def_elem: ColLabel  */
#line 5818 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43837 "preproc.c"
    break;

  case 845: /* def_arg: func_type  */
#line 5826 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43845 "preproc.c"
    break;

  case 846: /* def_arg: reserved_keyword  */
#line 5830 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43853 "preproc.c"
    break;

  case 847: /* def_arg: qual_all_Op  */
#line 5834 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43861 "preproc.c"
    break;

  case 848: /* def_arg: NumericOnly  */
#line 5838 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43869 "preproc.c"
    break;

  case 849: /* def_arg: ecpg_sconst  */
#line 5842 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43877 "preproc.c"
    break;

  case 850: /* def_arg: NONE  */
#line 5846 "preproc.y"
 { 
 (yyval.str) = mm_strdup("none");
}
#line 43885 "preproc.c"
    break;

  case 851: /* old_aggr_definition: '(' old_aggr_list ')'  */
#line 5854 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43893 "preproc.c"
    break;

  case 852: /* old_aggr_list: old_aggr_elem  */
#line 5862 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43901 "preproc.c"
    break;

  case 853: /* old_aggr_list: old_aggr_list ',' old_aggr_elem  */
#line 5866 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43909 "preproc.c"
    break;

  case 854: /* old_aggr_elem: ecpg_ident '=' def_arg  */
#line 5874 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 43917 "preproc.c"
    break;

  case 855: /* opt_enum_val_list: enum_val_list  */
#line 5882 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43925 "preproc.c"
    break;

  case 856: /* opt_enum_val_list: %empty  */
#line 5886 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43932 "preproc.c"
    break;

  case 857: /* enum_val_list: ecpg_sconst  */
#line 5893 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43940 "preproc.c"
    break;

  case 858: /* enum_val_list: enum_val_list ',' ecpg_sconst  */
#line 5897 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43948 "preproc.c"
    break;

  case 859: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists ecpg_sconst  */
#line 5905 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43956 "preproc.c"
    break;

  case 860: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists ecpg_sconst BEFORE ecpg_sconst  */
#line 5909 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 43964 "preproc.c"
    break;

  case 861: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists ecpg_sconst AFTER ecpg_sconst  */
#line 5913 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 43972 "preproc.c"
    break;

  case 862: /* AlterEnumStmt: ALTER TYPE_P any_name RENAME VALUE_P ecpg_sconst TO ecpg_sconst  */
#line 5917 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("rename value"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43980 "preproc.c"
    break;

  case 863: /* opt_if_not_exists: IF_P NOT EXISTS  */
#line 5925 "preproc.y"
 { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 43988 "preproc.c"
    break;

  case 864: /* opt_if_not_exists: %empty  */
#line 5929 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43995 "preproc.c"
    break;

  case 865: /* CreateOpClassStmt: CREATE OPERATOR CLASS any_name opt_default FOR TYPE_P Typename USING name opt_opfamily AS opclass_item_list  */
#line 5936 "preproc.y"
 { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 44003 "preproc.c"
    break;

  case 866: /* opclass_item_list: opclass_item  */
#line 5944 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44011 "preproc.c"
    break;

  case 867: /* opclass_item_list: opclass_item_list ',' opclass_item  */
#line 5948 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44019 "preproc.c"
    break;

  case 868: /* opclass_item: OPERATOR Iconst any_operator opclass_purpose opt_recheck  */
#line 5956 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44027 "preproc.c"
    break;

  case 869: /* opclass_item: OPERATOR Iconst operator_with_argtypes opclass_purpose opt_recheck  */
#line 5960 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44035 "preproc.c"
    break;

  case 870: /* opclass_item: FUNCTION Iconst function_with_argtypes  */
#line 5964 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44043 "preproc.c"
    break;

  case 871: /* opclass_item: FUNCTION Iconst '(' type_list ')' function_with_argtypes  */
#line 5968 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("function"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44051 "preproc.c"
    break;

  case 872: /* opclass_item: STORAGE Typename  */
#line 5972 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 44059 "preproc.c"
    break;

  case 873: /* opt_default: DEFAULT  */
#line 5980 "preproc.y"
 { 
 (yyval.str) = mm_strdup("default");
}
#line 44067 "preproc.c"
    break;

  case 874: /* opt_default: %empty  */
#line 5984 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 44074 "preproc.c"
    break;

  case 875: /* opt_opfamily: FAMILY any_name  */
#line 5991 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 44082 "preproc.c"
    break;

  case 876: /* opt_opfamily: %empty  */
#line 5995 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 44089 "preproc.c"
    break;

  case 877: /* opclass_purpose: FOR SEARCH  */
#line 6002 "preproc.y"
 { 
 (yyval.str) = mm_strdup("for search");
}
#line 44097 "preproc.c"
    break;

  case 878: /* opclass_purpose: FOR ORDER BY any_name  */
#line 6006 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 44105 "preproc.c"
    break;

  case 879: /* opclass_purpose: %empty  */
#line 6010 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 44112 "preproc.c"
    break;

  case 880: /* opt_recheck: RECHECK  */
#line 6017 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 44121 "preproc.c"
    break;

  case 881: /* opt_recheck: %empty  */
#line 6022 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 44128 "preproc.c"
    break;

  case 882: /* CreateOpFamilyStmt: CREATE OPERATOR FAMILY any_name USING name  */
#line 6029 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 44136 "preproc.c"
    break;

  case 883: /* AlterOpFamilyStmt: ALTER OPERATOR FAMILY any_name USING name ADD_P opclass_item_list  */
#line 6037 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 44144 "preproc.c"
    break;

  case 884: /* AlterOpFamilyStmt: ALTER OPERATOR FAMILY any_name USING name DROP opclass_drop_list  */
#line 6041 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 44152 "preproc.c"
    break;

  case 885: /* opclass_drop_list: opclass_drop  */
#line 6049 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44160 "preproc.c"
    break;

  case 886: /* opclass_drop_list: opclass_drop_list ',' opclass_drop  */
#line 6053 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44168 "preproc.c"
    break;

  case 887: /* opclass_drop: OPERATOR Iconst '(' type_list ')'  */
#line 6061 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44176 "preproc.c"
    break;

  case 888: /* opclass_drop: FUNCTION Iconst '(' type_list ')'  */
#line 6065 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44184 "preproc.c"
    break;

  case 889: /* DropOpClassStmt: DROP OPERATOR CLASS any_name USING name opt_drop_behavior  */
#line 6073 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44192 "preproc.c"
    break;

  case 890: /* DropOpClassStmt: DROP OPERATOR CLASS IF_P EXISTS any_name USING name opt_drop_behavior  */
#line 6077 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44200 "preproc.c"
    break;

  case 891: /* DropOpFamilyStmt: DROP OPERATOR FAMILY any_name USING name opt_drop_behavior  */
#line 6085 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44208 "preproc.c"
    break;

  case 892: /* DropOpFamilyStmt: DROP OPERATOR FAMILY IF_P EXISTS any_name USING name opt_drop_behavior  */
#line 6089 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44216 "preproc.c"
    break;

  case 893: /* DropOwnedStmt: DROP OWNED BY role_list opt_drop_behavior  */
#line 6097 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44224 "preproc.c"
    break;

  case 894: /* ReassignOwnedStmt: REASSIGN OWNED BY role_list TO RoleSpec  */
#line 6105 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44232 "preproc.c"
    break;

  case 895: /* DropStmt: DROP object_type_any_name IF_P EXISTS any_name_list opt_drop_behavior  */
#line 6113 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44240 "preproc.c"
    break;

  case 896: /* DropStmt: DROP object_type_any_name any_name_list opt_drop_behavior  */
#line 6117 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44248 "preproc.c"
    break;

  case 897: /* DropStmt: DROP drop_type_name IF_P EXISTS name_list opt_drop_behavior  */
#line 6121 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44256 "preproc.c"
    break;

  case 898: /* DropStmt: DROP drop_type_name name_list opt_drop_behavior  */
#line 6125 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44264 "preproc.c"
    break;

  case 899: /* DropStmt: DROP object_type_name_on_any_name name ON any_name opt_drop_behavior  */
#line 6129 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("drop"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44272 "preproc.c"
    break;

  case 900: /* DropStmt: DROP object_type_name_on_any_name IF_P EXISTS name ON any_name opt_drop_behavior  */
#line 6133 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("drop"),(yyvsp[-6].str),mm_strdup("if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44280 "preproc.c"
    break;

  case 901: /* DropStmt: DROP TYPE_P type_name_list opt_drop_behavior  */
#line 6137 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44288 "preproc.c"
    break;

  case 902: /* DropStmt: DROP TYPE_P IF_P EXISTS type_name_list opt_drop_behavior  */
#line 6141 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44296 "preproc.c"
    break;

  case 903: /* DropStmt: DROP DOMAIN_P type_name_list opt_drop_behavior  */
#line 6145 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44304 "preproc.c"
    break;

  case 904: /* DropStmt: DROP DOMAIN_P IF_P EXISTS type_name_list opt_drop_behavior  */
#line 6149 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44312 "preproc.c"
    break;

  case 905: /* DropStmt: DROP INDEX CONCURRENTLY any_name_list opt_drop_behavior  */
#line 6153 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44320 "preproc.c"
    break;

  case 906: /* DropStmt: DROP INDEX CONCURRENTLY IF_P EXISTS any_name_list opt_drop_behavior  */
#line 6157 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44328 "preproc.c"
    break;

  case 907: /* object_type_any_name: TABLE  */
#line 6165 "preproc.y"
 { 
 (yyval.str) = mm_strdup("table");
}
#line 44336 "preproc.c"
    break;

  case 908: /* object_type_any_name: SEQUENCE  */
#line 6169 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sequence");
}
#line 44344 "preproc.c"
    break;

  case 909: /* object_type_any_name: VIEW  */
#line 6173 "preproc.y"
 { 
 (yyval.str) = mm_strdup("view");
}
#line 44352 "preproc.c"
    break;

  case 910: /* object_type_any_name: MATERIALIZED VIEW  */
#line 6177 "preproc.y"
 { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 44360 "preproc.c"
    break;

  case 911: /* object_type_any_name: INDEX  */
#line 6181 "preproc.y"
 { 
 (yyval.str) = mm_strdup("index");
}
#line 44368 "preproc.c"
    break;

  case 912: /* object_type_any_name: FOREIGN TABLE  */
#line 6185 "preproc.y"
 { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 44376 "preproc.c"
    break;

  case 913: /* object_type_any_name: COLLATION  */
#line 6189 "preproc.y"
 { 
 (yyval.str) = mm_strdup("collation");
}
#line 44384 "preproc.c"
    break;

  case 914: /* object_type_any_name: CONVERSION_P  */
#line 6193 "preproc.y"
 { 
 (yyval.str) = mm_strdup("conversion");
}
#line 44392 "preproc.c"
    break;

  case 915: /* object_type_any_name: STATISTICS  */
#line 6197 "preproc.y"
 { 
 (yyval.str) = mm_strdup("statistics");
}
#line 44400 "preproc.c"
    break;

  case 916: /* object_type_any_name: TEXT_P SEARCH PARSER  */
#line 6201 "preproc.y"
 { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 44408 "preproc.c"
    break;

  case 917: /* object_type_any_name: TEXT_P SEARCH DICTIONARY  */
#line 6205 "preproc.y"
 { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 44416 "preproc.c"
    break;

  case 918: /* object_type_any_name: TEXT_P SEARCH TEMPLATE  */
#line 6209 "preproc.y"
 { 
 (yyval.str) = mm_strdup("text search template");
}
#line 44424 "preproc.c"
    break;

  case 919: /* object_type_any_name: TEXT_P SEARCH CONFIGURATION  */
#line 6213 "preproc.y"
 { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 44432 "preproc.c"
    break;

  case 920: /* object_type_name: drop_type_name  */
#line 6221 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44440 "preproc.c"
    break;

  case 921: /* object_type_name: DATABASE  */
#line 6225 "preproc.y"
 { 
 (yyval.str) = mm_strdup("database");
}
#line 44448 "preproc.c"
    break;

  case 922: /* object_type_name: ROLE  */
#line 6229 "preproc.y"
 { 
 (yyval.str) = mm_strdup("role");
}
#line 44456 "preproc.c"
    break;

  case 923: /* object_type_name: SUBSCRIPTION  */
#line 6233 "preproc.y"
 { 
 (yyval.str) = mm_strdup("subscription");
}
#line 44464 "preproc.c"
    break;

  case 924: /* object_type_name: TABLESPACE  */
#line 6237 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 44472 "preproc.c"
    break;

  case 925: /* drop_type_name: ACCESS METHOD  */
#line 6245 "preproc.y"
 { 
 (yyval.str) = mm_strdup("access method");
}
#line 44480 "preproc.c"
    break;

  case 926: /* drop_type_name: EVENT TRIGGER  */
#line 6249 "preproc.y"
 { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 44488 "preproc.c"
    break;

  case 927: /* drop_type_name: EXTENSION  */
#line 6253 "preproc.y"
 { 
 (yyval.str) = mm_strdup("extension");
}
#line 44496 "preproc.c"
    break;

  case 928: /* drop_type_name: FOREIGN DATA_P WRAPPER  */
#line 6257 "preproc.y"
 { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 44504 "preproc.c"
    break;

  case 929: /* drop_type_name: opt_procedural LANGUAGE  */
#line 6261 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 44512 "preproc.c"
    break;

  case 930: /* drop_type_name: PUBLICATION  */
#line 6265 "preproc.y"
 { 
 (yyval.str) = mm_strdup("publication");
}
#line 44520 "preproc.c"
    break;

  case 931: /* drop_type_name: SCHEMA  */
#line 6269 "preproc.y"
 { 
 (yyval.str) = mm_strdup("schema");
}
#line 44528 "preproc.c"
    break;

  case 932: /* drop_type_name: SERVER  */
#line 6273 "preproc.y"
 { 
 (yyval.str) = mm_strdup("server");
}
#line 44536 "preproc.c"
    break;

  case 933: /* object_type_name_on_any_name: POLICY  */
#line 6281 "preproc.y"
 { 
 (yyval.str) = mm_strdup("policy");
}
#line 44544 "preproc.c"
    break;

  case 934: /* object_type_name_on_any_name: RULE  */
#line 6285 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rule");
}
#line 44552 "preproc.c"
    break;

  case 935: /* object_type_name_on_any_name: TRIGGER  */
#line 6289 "preproc.y"
 { 
 (yyval.str) = mm_strdup("trigger");
}
#line 44560 "preproc.c"
    break;

  case 936: /* any_name_list: any_name  */
#line 6297 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44568 "preproc.c"
    break;

  case 937: /* any_name_list: any_name_list ',' any_name  */
#line 6301 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44576 "preproc.c"
    break;

  case 938: /* any_name: ColId  */
#line 6309 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44584 "preproc.c"
    break;

  case 939: /* any_name: ColId attrs  */
#line 6313 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44592 "preproc.c"
    break;

  case 940: /* attrs: '.' attr_name  */
#line 6321 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 44600 "preproc.c"
    break;

  case 941: /* attrs: attrs '.' attr_name  */
#line 6325 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 44608 "preproc.c"
    break;

  case 942: /* type_name_list: Typename  */
#line 6333 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44616 "preproc.c"
    break;

  case 943: /* type_name_list: type_name_list ',' Typename  */
#line 6337 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44624 "preproc.c"
    break;

  case 944: /* TruncateStmt: TRUNCATE opt_table relation_expr_list opt_restart_seqs opt_drop_behavior  */
#line 6345 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44632 "preproc.c"
    break;

  case 945: /* opt_restart_seqs: CONTINUE_P IDENTITY_P  */
#line 6353 "preproc.y"
 { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 44640 "preproc.c"
    break;

  case 946: /* opt_restart_seqs: RESTART IDENTITY_P  */
#line 6357 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 44648 "preproc.c"
    break;

  case 947: /* opt_restart_seqs: %empty  */
#line 6361 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 44655 "preproc.c"
    break;

  case 948: /* CommentStmt: COMMENT ON object_type_any_name any_name IS comment_text  */
#line 6368 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44663 "preproc.c"
    break;

  case 949: /* CommentStmt: COMMENT ON COLUMN any_name IS comment_text  */
#line 6372 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("comment on column"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44671 "preproc.c"
    break;

  case 950: /* CommentStmt: COMMENT ON object_type_name name IS comment_text  */
#line 6376 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44679 "preproc.c"
    break;

  case 951: /* CommentStmt: COMMENT ON TYPE_P Typename IS comment_text  */
#line 6380 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44687 "preproc.c"
    break;

  case 952: /* CommentStmt: COMMENT ON DOMAIN_P Typename IS comment_text  */
#line 6384 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44695 "preproc.c"
    break;

  case 953: /* CommentStmt: COMMENT ON AGGREGATE aggregate_with_argtypes IS comment_text  */
#line 6388 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("comment on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44703 "preproc.c"
    break;

  case 954: /* CommentStmt: COMMENT ON FUNCTION function_with_argtypes IS comment_text  */
#line 6392 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("comment on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44711 "preproc.c"
    break;

  case 955: /* CommentStmt: COMMENT ON OPERATOR operator_with_argtypes IS comment_text  */
#line 6396 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("comment on operator"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44719 "preproc.c"
    break;

  case 956: /* CommentStmt: COMMENT ON CONSTRAINT name ON any_name IS comment_text  */
#line 6400 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44727 "preproc.c"
    break;

  case 957: /* CommentStmt: COMMENT ON CONSTRAINT name ON DOMAIN_P any_name IS comment_text  */
#line 6404 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44735 "preproc.c"
    break;

  case 958: /* CommentStmt: COMMENT ON object_type_name_on_any_name name ON any_name IS comment_text  */
#line 6408 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("comment on"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44743 "preproc.c"
    break;

  case 959: /* CommentStmt: COMMENT ON PROCEDURE function_with_argtypes IS comment_text  */
#line 6412 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("comment on procedure"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44751 "preproc.c"
    break;

  case 960: /* CommentStmt: COMMENT ON ROUTINE function_with_argtypes IS comment_text  */
#line 6416 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("comment on routine"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44759 "preproc.c"
    break;

  case 961: /* CommentStmt: COMMENT ON TRANSFORM FOR Typename LANGUAGE name IS comment_text  */
#line 6420 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44767 "preproc.c"
    break;

  case 962: /* CommentStmt: COMMENT ON OPERATOR CLASS any_name USING name IS comment_text  */
#line 6424 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44775 "preproc.c"
    break;

  case 963: /* CommentStmt: COMMENT ON OPERATOR FAMILY any_name USING name IS comment_text  */
#line 6428 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44783 "preproc.c"
    break;

  case 964: /* CommentStmt: COMMENT ON LARGE_P OBJECT_P NumericOnly IS comment_text  */
#line 6432 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44791 "preproc.c"
    break;

  case 965: /* CommentStmt: COMMENT ON CAST '(' Typename AS Typename ')' IS comment_text  */
#line 6436 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 44799 "preproc.c"
    break;

  case 966: /* comment_text: ecpg_sconst  */
#line 6444 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44807 "preproc.c"
    break;

  case 967: /* comment_text: NULL_P  */
#line 6448 "preproc.y"
 { 
 (yyval.str) = mm_strdup("null");
}
#line 44815 "preproc.c"
    break;

  case 968: /* SecLabelStmt: SECURITY LABEL opt_provider ON object_type_any_name any_name IS security_label  */
#line 6456 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44823 "preproc.c"
    break;

  case 969: /* SecLabelStmt: SECURITY LABEL opt_provider ON COLUMN any_name IS security_label  */
#line 6460 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on column"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44831 "preproc.c"
    break;

  case 970: /* SecLabelStmt: SECURITY LABEL opt_provider ON object_type_name name IS security_label  */
#line 6464 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44839 "preproc.c"
    break;

  case 971: /* SecLabelStmt: SECURITY LABEL opt_provider ON TYPE_P Typename IS security_label  */
#line 6468 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44847 "preproc.c"
    break;

  case 972: /* SecLabelStmt: SECURITY LABEL opt_provider ON DOMAIN_P Typename IS security_label  */
#line 6472 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44855 "preproc.c"
    break;

  case 973: /* SecLabelStmt: SECURITY LABEL opt_provider ON AGGREGATE aggregate_with_argtypes IS security_label  */
#line 6476 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44863 "preproc.c"
    break;

  case 974: /* SecLabelStmt: SECURITY LABEL opt_provider ON FUNCTION function_with_argtypes IS security_label  */
#line 6480 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44871 "preproc.c"
    break;

  case 975: /* SecLabelStmt: SECURITY LABEL opt_provider ON LARGE_P OBJECT_P NumericOnly IS security_label  */
#line 6484 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44879 "preproc.c"
    break;

  case 976: /* SecLabelStmt: SECURITY LABEL opt_provider ON PROCEDURE function_with_argtypes IS security_label  */
#line 6488 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on procedure"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44887 "preproc.c"
    break;

  case 977: /* SecLabelStmt: SECURITY LABEL opt_provider ON ROUTINE function_with_argtypes IS security_label  */
#line 6492 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on routine"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 44895 "preproc.c"
    break;

  case 978: /* opt_provider: FOR NonReservedWord_or_Sconst  */
#line 6500 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 44903 "preproc.c"
    break;

  case 979: /* opt_provider: %empty  */
#line 6504 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 44910 "preproc.c"
    break;

  case 980: /* security_label: ecpg_sconst  */
#line 6511 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44918 "preproc.c"
    break;

  case 981: /* security_label: NULL_P  */
#line 6515 "preproc.y"
 { 
 (yyval.str) = mm_strdup("null");
}
#line 44926 "preproc.c"
    break;

  case 982: /* FetchStmt: FETCH fetch_args  */
#line 6523 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 44934 "preproc.c"
    break;

  case 983: /* FetchStmt: MOVE fetch_args  */
#line 6527 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 44942 "preproc.c"
    break;

  case 984: /* FetchStmt: FETCH fetch_args ecpg_fetch_into  */
#line 6531 "preproc.y"
        {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 44950 "preproc.c"
    break;

  case 985: /* FetchStmt: FETCH FORWARD cursor_name opt_ecpg_fetch_into  */
#line 6535 "preproc.y"
        {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		struct cursor *ptr = add_additional_variables((yyvsp[-1].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 44963 "preproc.c"
    break;

  case 986: /* FetchStmt: FETCH FORWARD from_in cursor_name opt_ecpg_fetch_into  */
#line 6544 "preproc.y"
        {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		struct cursor *ptr = add_additional_variables((yyvsp[-1].str), false);
			if (ptr -> connection)
				connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 44976 "preproc.c"
    break;

  case 987: /* FetchStmt: FETCH BACKWARD cursor_name opt_ecpg_fetch_into  */
#line 6553 "preproc.y"
        {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		struct cursor *ptr = add_additional_variables((yyvsp[-1].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 44989 "preproc.c"
    break;

  case 988: /* FetchStmt: FETCH BACKWARD from_in cursor_name opt_ecpg_fetch_into  */
#line 6562 "preproc.y"
        {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		struct cursor *ptr = add_additional_variables((yyvsp[-1].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 45002 "preproc.c"
    break;

  case 989: /* FetchStmt: MOVE FORWARD cursor_name  */
#line 6571 "preproc.y"
        {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 45015 "preproc.c"
    break;

  case 990: /* FetchStmt: MOVE FORWARD from_in cursor_name  */
#line 6580 "preproc.y"
        {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 45028 "preproc.c"
    break;

  case 991: /* FetchStmt: MOVE BACKWARD cursor_name  */
#line 6589 "preproc.y"
        {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 45041 "preproc.c"
    break;

  case 992: /* FetchStmt: MOVE BACKWARD from_in cursor_name  */
#line 6598 "preproc.y"
        {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 45054 "preproc.c"
    break;

  case 993: /* fetch_args: cursor_name  */
#line 6611 "preproc.y"
 { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 45072 "preproc.c"
    break;

  case 994: /* fetch_args: from_in cursor_name  */
#line 6625 "preproc.y"
 { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45090 "preproc.c"
    break;

  case 995: /* fetch_args: NEXT opt_from_in cursor_name  */
#line 6639 "preproc.y"
 { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45108 "preproc.c"
    break;

  case 996: /* fetch_args: PRIOR opt_from_in cursor_name  */
#line 6653 "preproc.y"
 { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45126 "preproc.c"
    break;

  case 997: /* fetch_args: FIRST_P opt_from_in cursor_name  */
#line 6667 "preproc.y"
 { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45144 "preproc.c"
    break;

  case 998: /* fetch_args: LAST_P opt_from_in cursor_name  */
#line 6681 "preproc.y"
 { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45162 "preproc.c"
    break;

  case 999: /* fetch_args: ABSOLUTE_P SignedIconst opt_from_in cursor_name  */
#line 6695 "preproc.y"
 { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45185 "preproc.c"
    break;

  case 1000: /* fetch_args: RELATIVE_P SignedIconst opt_from_in cursor_name  */
#line 6714 "preproc.y"
 { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45208 "preproc.c"
    break;

  case 1001: /* fetch_args: SignedIconst opt_from_in cursor_name  */
#line 6733 "preproc.y"
 { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45231 "preproc.c"
    break;

  case 1002: /* fetch_args: ALL opt_from_in cursor_name  */
#line 6752 "preproc.y"
 { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45249 "preproc.c"
    break;

  case 1003: /* fetch_args: FORWARD SignedIconst opt_from_in cursor_name  */
#line 6766 "preproc.y"
 { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45272 "preproc.c"
    break;

  case 1004: /* fetch_args: FORWARD ALL opt_from_in cursor_name  */
#line 6785 "preproc.y"
 { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45290 "preproc.c"
    break;

  case 1005: /* fetch_args: BACKWARD SignedIconst opt_from_in cursor_name  */
#line 6799 "preproc.y"
 { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45313 "preproc.c"
    break;

  case 1006: /* fetch_args: BACKWARD ALL opt_from_in cursor_name  */
#line 6818 "preproc.y"
 { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45331 "preproc.c"
    break;

  case 1007: /* from_in: FROM  */
#line 6836 "preproc.y"
 { 
 (yyval.str) = mm_strdup("from");
}
#line 45339 "preproc.c"
    break;

  case 1008: /* from_in: IN_P  */
#line 6840 "preproc.y"
 { 
 (yyval.str) = mm_strdup("in");
}
#line 45347 "preproc.c"
    break;

  case 1009: /* opt_from_in: from_in  */
#line 6848 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45355 "preproc.c"
    break;

  case 1010: /* opt_from_in: %empty  */
#line 6852 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45362 "preproc.c"
    break;

  case 1011: /* GrantStmt: GRANT privileges ON privilege_target TO grantee_list opt_grant_grant_option opt_granted_by  */
#line 6859 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("grant"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45370 "preproc.c"
    break;

  case 1012: /* RevokeStmt: REVOKE privileges ON privilege_target FROM grantee_list opt_granted_by opt_drop_behavior  */
#line 6867 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("revoke"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45378 "preproc.c"
    break;

  case 1013: /* RevokeStmt: REVOKE GRANT OPTION FOR privileges ON privilege_target FROM grantee_list opt_granted_by opt_drop_behavior  */
#line 6871 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("revoke grant option for"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45386 "preproc.c"
    break;

  case 1014: /* privileges: privilege_list  */
#line 6879 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45394 "preproc.c"
    break;

  case 1015: /* privileges: ALL  */
#line 6883 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 45402 "preproc.c"
    break;

  case 1016: /* privileges: ALL PRIVILEGES  */
#line 6887 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 45410 "preproc.c"
    break;

  case 1017: /* privileges: ALL '(' columnList ')'  */
#line 6891 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45418 "preproc.c"
    break;

  case 1018: /* privileges: ALL PRIVILEGES '(' columnList ')'  */
#line 6895 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45426 "preproc.c"
    break;

  case 1019: /* privilege_list: privilege  */
#line 6903 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45434 "preproc.c"
    break;

  case 1020: /* privilege_list: privilege_list ',' privilege  */
#line 6907 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45442 "preproc.c"
    break;

  case 1021: /* privilege: SELECT opt_column_list  */
#line 6915 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 45450 "preproc.c"
    break;

  case 1022: /* privilege: REFERENCES opt_column_list  */
#line 6919 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 45458 "preproc.c"
    break;

  case 1023: /* privilege: CREATE opt_column_list  */
#line 6923 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 45466 "preproc.c"
    break;

  case 1024: /* privilege: ALTER SYSTEM_P  */
#line 6927 "preproc.y"
 { 
 (yyval.str) = mm_strdup("alter system");
}
#line 45474 "preproc.c"
    break;

  case 1025: /* privilege: ColId opt_column_list  */
#line 6931 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45482 "preproc.c"
    break;

  case 1026: /* parameter_name_list: parameter_name  */
#line 6939 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45490 "preproc.c"
    break;

  case 1027: /* parameter_name_list: parameter_name_list ',' parameter_name  */
#line 6943 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45498 "preproc.c"
    break;

  case 1028: /* parameter_name: ColId  */
#line 6951 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45506 "preproc.c"
    break;

  case 1029: /* parameter_name: parameter_name '.' ColId  */
#line 6955 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 45514 "preproc.c"
    break;

  case 1030: /* privilege_target: qualified_name_list  */
#line 6963 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45522 "preproc.c"
    break;

  case 1031: /* privilege_target: TABLE qualified_name_list  */
#line 6967 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 45530 "preproc.c"
    break;

  case 1032: /* privilege_target: SEQUENCE qualified_name_list  */
#line 6971 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 45538 "preproc.c"
    break;

  case 1033: /* privilege_target: FOREIGN DATA_P WRAPPER name_list  */
#line 6975 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 45546 "preproc.c"
    break;

  case 1034: /* privilege_target: FOREIGN SERVER name_list  */
#line 6979 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 45554 "preproc.c"
    break;

  case 1035: /* privilege_target: FUNCTION function_with_argtypes_list  */
#line 6983 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 45562 "preproc.c"
    break;

  case 1036: /* privilege_target: PROCEDURE function_with_argtypes_list  */
#line 6987 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("procedure"),(yyvsp[0].str));
}
#line 45570 "preproc.c"
    break;

  case 1037: /* privilege_target: ROUTINE function_with_argtypes_list  */
#line 6991 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("routine"),(yyvsp[0].str));
}
#line 45578 "preproc.c"
    break;

  case 1038: /* privilege_target: DATABASE name_list  */
#line 6995 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 45586 "preproc.c"
    break;

  case 1039: /* privilege_target: DOMAIN_P any_name_list  */
#line 6999 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 45594 "preproc.c"
    break;

  case 1040: /* privilege_target: LANGUAGE name_list  */
#line 7003 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 45602 "preproc.c"
    break;

  case 1041: /* privilege_target: LARGE_P OBJECT_P NumericOnly_list  */
#line 7007 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 45610 "preproc.c"
    break;

  case 1042: /* privilege_target: PARAMETER parameter_name_list  */
#line 7011 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("parameter"),(yyvsp[0].str));
}
#line 45618 "preproc.c"
    break;

  case 1043: /* privilege_target: SCHEMA name_list  */
#line 7015 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 45626 "preproc.c"
    break;

  case 1044: /* privilege_target: TABLESPACE name_list  */
#line 7019 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 45634 "preproc.c"
    break;

  case 1045: /* privilege_target: TYPE_P any_name_list  */
#line 7023 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 45642 "preproc.c"
    break;

  case 1046: /* privilege_target: ALL TABLES IN_P SCHEMA name_list  */
#line 7027 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 45650 "preproc.c"
    break;

  case 1047: /* privilege_target: ALL SEQUENCES IN_P SCHEMA name_list  */
#line 7031 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 45658 "preproc.c"
    break;

  case 1048: /* privilege_target: ALL FUNCTIONS IN_P SCHEMA name_list  */
#line 7035 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 45666 "preproc.c"
    break;

  case 1049: /* privilege_target: ALL PROCEDURES IN_P SCHEMA name_list  */
#line 7039 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("all procedures in schema"),(yyvsp[0].str));
}
#line 45674 "preproc.c"
    break;

  case 1050: /* privilege_target: ALL ROUTINES IN_P SCHEMA name_list  */
#line 7043 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("all routines in schema"),(yyvsp[0].str));
}
#line 45682 "preproc.c"
    break;

  case 1051: /* grantee_list: grantee  */
#line 7051 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45690 "preproc.c"
    break;

  case 1052: /* grantee_list: grantee_list ',' grantee  */
#line 7055 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45698 "preproc.c"
    break;

  case 1053: /* grantee: RoleSpec  */
#line 7063 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45706 "preproc.c"
    break;

  case 1054: /* grantee: GROUP_P RoleSpec  */
#line 7067 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 45714 "preproc.c"
    break;

  case 1055: /* opt_grant_grant_option: WITH GRANT OPTION  */
#line 7075 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 45722 "preproc.c"
    break;

  case 1056: /* opt_grant_grant_option: %empty  */
#line 7079 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45729 "preproc.c"
    break;

  case 1057: /* GrantRoleStmt: GRANT privilege_list TO role_list opt_grant_admin_option opt_granted_by  */
#line 7086 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45737 "preproc.c"
    break;

  case 1058: /* RevokeRoleStmt: REVOKE privilege_list FROM role_list opt_granted_by opt_drop_behavior  */
#line 7094 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45745 "preproc.c"
    break;

  case 1059: /* RevokeRoleStmt: REVOKE ADMIN OPTION FOR privilege_list FROM role_list opt_granted_by opt_drop_behavior  */
#line 7098 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45753 "preproc.c"
    break;

  case 1060: /* opt_grant_admin_option: WITH ADMIN OPTION  */
#line 7106 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 45761 "preproc.c"
    break;

  case 1061: /* opt_grant_admin_option: %empty  */
#line 7110 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45768 "preproc.c"
    break;

  case 1062: /* opt_granted_by: GRANTED BY RoleSpec  */
#line 7117 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 45776 "preproc.c"
    break;

  case 1063: /* opt_granted_by: %empty  */
#line 7121 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45783 "preproc.c"
    break;

  case 1064: /* AlterDefaultPrivilegesStmt: ALTER DEFAULT PRIVILEGES DefACLOptionList DefACLAction  */
#line 7128 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45791 "preproc.c"
    break;

  case 1065: /* DefACLOptionList: DefACLOptionList DefACLOption  */
#line 7136 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45799 "preproc.c"
    break;

  case 1066: /* DefACLOptionList: %empty  */
#line 7140 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45806 "preproc.c"
    break;

  case 1067: /* DefACLOption: IN_P SCHEMA name_list  */
#line 7147 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 45814 "preproc.c"
    break;

  case 1068: /* DefACLOption: FOR ROLE role_list  */
#line 7151 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 45822 "preproc.c"
    break;

  case 1069: /* DefACLOption: FOR USER role_list  */
#line 7155 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 45830 "preproc.c"
    break;

  case 1070: /* DefACLAction: GRANT privileges ON defacl_privilege_target TO grantee_list opt_grant_grant_option  */
#line 7163 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45838 "preproc.c"
    break;

  case 1071: /* DefACLAction: REVOKE privileges ON defacl_privilege_target FROM grantee_list opt_drop_behavior  */
#line 7167 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45846 "preproc.c"
    break;

  case 1072: /* DefACLAction: REVOKE GRANT OPTION FOR privileges ON defacl_privilege_target FROM grantee_list opt_drop_behavior  */
#line 7171 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45854 "preproc.c"
    break;

  case 1073: /* defacl_privilege_target: TABLES  */
#line 7179 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tables");
}
#line 45862 "preproc.c"
    break;

  case 1074: /* defacl_privilege_target: FUNCTIONS  */
#line 7183 "preproc.y"
 { 
 (yyval.str) = mm_strdup("functions");
}
#line 45870 "preproc.c"
    break;

  case 1075: /* defacl_privilege_target: ROUTINES  */
#line 7187 "preproc.y"
 { 
 (yyval.str) = mm_strdup("routines");
}
#line 45878 "preproc.c"
    break;

  case 1076: /* defacl_privilege_target: SEQUENCES  */
#line 7191 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sequences");
}
#line 45886 "preproc.c"
    break;

  case 1077: /* defacl_privilege_target: TYPES_P  */
#line 7195 "preproc.y"
 { 
 (yyval.str) = mm_strdup("types");
}
#line 45894 "preproc.c"
    break;

  case 1078: /* defacl_privilege_target: SCHEMAS  */
#line 7199 "preproc.y"
 { 
 (yyval.str) = mm_strdup("schemas");
}
#line 45902 "preproc.c"
    break;

  case 1079: /* IndexStmt: CREATE opt_unique INDEX opt_concurrently opt_index_name ON relation_expr access_method_clause '(' index_params ')' opt_include opt_unique_null_treatment opt_reloptions OptTableSpace where_clause  */
#line 7207 "preproc.y"
 { 
 (yyval.str) = cat_str(16,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("index"),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45910 "preproc.c"
    break;

  case 1080: /* IndexStmt: CREATE opt_unique INDEX opt_concurrently IF_P NOT EXISTS name ON relation_expr access_method_clause '(' index_params ')' opt_include opt_unique_null_treatment opt_reloptions OptTableSpace where_clause  */
#line 7211 "preproc.y"
 { 
 (yyval.str) = cat_str(17,mm_strdup("create"),(yyvsp[-17].str),mm_strdup("index"),(yyvsp[-15].str),mm_strdup("if not exists"),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45918 "preproc.c"
    break;

  case 1081: /* opt_unique: UNIQUE  */
#line 7219 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unique");
}
#line 45926 "preproc.c"
    break;

  case 1082: /* opt_unique: %empty  */
#line 7223 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45933 "preproc.c"
    break;

  case 1083: /* opt_concurrently: CONCURRENTLY  */
#line 7230 "preproc.y"
 { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 45941 "preproc.c"
    break;

  case 1084: /* opt_concurrently: %empty  */
#line 7234 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45948 "preproc.c"
    break;

  case 1085: /* opt_index_name: name  */
#line 7241 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45956 "preproc.c"
    break;

  case 1086: /* opt_index_name: %empty  */
#line 7245 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45963 "preproc.c"
    break;

  case 1087: /* access_method_clause: USING name  */
#line 7252 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 45971 "preproc.c"
    break;

  case 1088: /* access_method_clause: %empty  */
#line 7256 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45978 "preproc.c"
    break;

  case 1089: /* index_params: index_elem  */
#line 7263 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45986 "preproc.c"
    break;

  case 1090: /* index_params: index_params ',' index_elem  */
#line 7267 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45994 "preproc.c"
    break;

  case 1091: /* index_elem_options: opt_collate opt_class opt_asc_desc opt_nulls_order  */
#line 7275 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46002 "preproc.c"
    break;

  case 1092: /* index_elem_options: opt_collate any_name reloptions opt_asc_desc opt_nulls_order  */
#line 7279 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46010 "preproc.c"
    break;

  case 1093: /* index_elem: ColId index_elem_options  */
#line 7287 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46018 "preproc.c"
    break;

  case 1094: /* index_elem: func_expr_windowless index_elem_options  */
#line 7291 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46026 "preproc.c"
    break;

  case 1095: /* index_elem: '(' a_expr ')' index_elem_options  */
#line 7295 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46034 "preproc.c"
    break;

  case 1096: /* opt_include: INCLUDE '(' index_including_params ')'  */
#line 7303 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("include ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46042 "preproc.c"
    break;

  case 1097: /* opt_include: %empty  */
#line 7307 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46049 "preproc.c"
    break;

  case 1098: /* index_including_params: index_elem  */
#line 7314 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46057 "preproc.c"
    break;

  case 1099: /* index_including_params: index_including_params ',' index_elem  */
#line 7318 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46065 "preproc.c"
    break;

  case 1100: /* opt_collate: COLLATE any_name  */
#line 7326 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 46073 "preproc.c"
    break;

  case 1101: /* opt_collate: %empty  */
#line 7330 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46080 "preproc.c"
    break;

  case 1102: /* opt_class: any_name  */
#line 7337 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46088 "preproc.c"
    break;

  case 1103: /* opt_class: %empty  */
#line 7341 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46095 "preproc.c"
    break;

  case 1104: /* opt_asc_desc: ASC  */
#line 7348 "preproc.y"
 { 
 (yyval.str) = mm_strdup("asc");
}
#line 46103 "preproc.c"
    break;

  case 1105: /* opt_asc_desc: DESC  */
#line 7352 "preproc.y"
 { 
 (yyval.str) = mm_strdup("desc");
}
#line 46111 "preproc.c"
    break;

  case 1106: /* opt_asc_desc: %empty  */
#line 7356 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46118 "preproc.c"
    break;

  case 1107: /* opt_nulls_order: NULLS_LA FIRST_P  */
#line 7363 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 46126 "preproc.c"
    break;

  case 1108: /* opt_nulls_order: NULLS_LA LAST_P  */
#line 7367 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 46134 "preproc.c"
    break;

  case 1109: /* opt_nulls_order: %empty  */
#line 7371 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46141 "preproc.c"
    break;

  case 1110: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults RETURNS func_return opt_createfunc_opt_list opt_routine_body  */
#line 7378 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46149 "preproc.c"
    break;

  case 1111: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults RETURNS TABLE '(' table_func_column_list ')' opt_createfunc_opt_list opt_routine_body  */
#line 7382 "preproc.y"
 { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46157 "preproc.c"
    break;

  case 1112: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults opt_createfunc_opt_list opt_routine_body  */
#line 7386 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46165 "preproc.c"
    break;

  case 1113: /* CreateFunctionStmt: CREATE opt_or_replace PROCEDURE func_name func_args_with_defaults opt_createfunc_opt_list opt_routine_body  */
#line 7390 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("procedure"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46173 "preproc.c"
    break;

  case 1114: /* opt_or_replace: OR REPLACE  */
#line 7398 "preproc.y"
 { 
 (yyval.str) = mm_strdup("or replace");
}
#line 46181 "preproc.c"
    break;

  case 1115: /* opt_or_replace: %empty  */
#line 7402 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46188 "preproc.c"
    break;

  case 1116: /* func_args: '(' func_args_list ')'  */
#line 7409 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46196 "preproc.c"
    break;

  case 1117: /* func_args: '(' ')'  */
#line 7413 "preproc.y"
 { 
 (yyval.str) = mm_strdup("( )");
}
#line 46204 "preproc.c"
    break;

  case 1118: /* func_args_list: func_arg  */
#line 7421 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46212 "preproc.c"
    break;

  case 1119: /* func_args_list: func_args_list ',' func_arg  */
#line 7425 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46220 "preproc.c"
    break;

  case 1120: /* function_with_argtypes_list: function_with_argtypes  */
#line 7433 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46228 "preproc.c"
    break;

  case 1121: /* function_with_argtypes_list: function_with_argtypes_list ',' function_with_argtypes  */
#line 7437 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46236 "preproc.c"
    break;

  case 1122: /* function_with_argtypes: func_name func_args  */
#line 7445 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46244 "preproc.c"
    break;

  case 1123: /* function_with_argtypes: type_func_name_keyword  */
#line 7449 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46252 "preproc.c"
    break;

  case 1124: /* function_with_argtypes: ColId  */
#line 7453 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46260 "preproc.c"
    break;

  case 1125: /* function_with_argtypes: ColId indirection  */
#line 7457 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46268 "preproc.c"
    break;

  case 1126: /* func_args_with_defaults: '(' func_args_with_defaults_list ')'  */
#line 7465 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46276 "preproc.c"
    break;

  case 1127: /* func_args_with_defaults: '(' ')'  */
#line 7469 "preproc.y"
 { 
 (yyval.str) = mm_strdup("( )");
}
#line 46284 "preproc.c"
    break;

  case 1128: /* func_args_with_defaults_list: func_arg_with_default  */
#line 7477 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46292 "preproc.c"
    break;

  case 1129: /* func_args_with_defaults_list: func_args_with_defaults_list ',' func_arg_with_default  */
#line 7481 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46300 "preproc.c"
    break;

  case 1130: /* func_arg: arg_class param_name func_type  */
#line 7489 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46308 "preproc.c"
    break;

  case 1131: /* func_arg: param_name arg_class func_type  */
#line 7493 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46316 "preproc.c"
    break;

  case 1132: /* func_arg: param_name func_type  */
#line 7497 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46324 "preproc.c"
    break;

  case 1133: /* func_arg: arg_class func_type  */
#line 7501 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46332 "preproc.c"
    break;

  case 1134: /* func_arg: func_type  */
#line 7505 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46340 "preproc.c"
    break;

  case 1135: /* arg_class: IN_P  */
#line 7513 "preproc.y"
 { 
 (yyval.str) = mm_strdup("in");
}
#line 46348 "preproc.c"
    break;

  case 1136: /* arg_class: OUT_P  */
#line 7517 "preproc.y"
 { 
 (yyval.str) = mm_strdup("out");
}
#line 46356 "preproc.c"
    break;

  case 1137: /* arg_class: INOUT  */
#line 7521 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inout");
}
#line 46364 "preproc.c"
    break;

  case 1138: /* arg_class: IN_P OUT_P  */
#line 7525 "preproc.y"
 { 
 (yyval.str) = mm_strdup("in out");
}
#line 46372 "preproc.c"
    break;

  case 1139: /* arg_class: VARIADIC  */
#line 7529 "preproc.y"
 { 
 (yyval.str) = mm_strdup("variadic");
}
#line 46380 "preproc.c"
    break;

  case 1140: /* param_name: type_function_name  */
#line 7537 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46388 "preproc.c"
    break;

  case 1141: /* func_return: func_type  */
#line 7545 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46396 "preproc.c"
    break;

  case 1142: /* func_type: Typename  */
#line 7553 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46404 "preproc.c"
    break;

  case 1143: /* func_type: type_function_name attrs '%' TYPE_P  */
#line 7557 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 46412 "preproc.c"
    break;

  case 1144: /* func_type: SETOF type_function_name attrs '%' TYPE_P  */
#line 7561 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 46420 "preproc.c"
    break;

  case 1145: /* func_arg_with_default: func_arg  */
#line 7569 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46428 "preproc.c"
    break;

  case 1146: /* func_arg_with_default: func_arg DEFAULT a_expr  */
#line 7573 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 46436 "preproc.c"
    break;

  case 1147: /* func_arg_with_default: func_arg '=' a_expr  */
#line 7577 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 46444 "preproc.c"
    break;

  case 1148: /* aggr_arg: func_arg  */
#line 7585 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46452 "preproc.c"
    break;

  case 1149: /* aggr_args: '(' '*' ')'  */
#line 7593 "preproc.y"
 { 
 (yyval.str) = mm_strdup("( * )");
}
#line 46460 "preproc.c"
    break;

  case 1150: /* aggr_args: '(' aggr_args_list ')'  */
#line 7597 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46468 "preproc.c"
    break;

  case 1151: /* aggr_args: '(' ORDER BY aggr_args_list ')'  */
#line 7601 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46476 "preproc.c"
    break;

  case 1152: /* aggr_args: '(' aggr_args_list ORDER BY aggr_args_list ')'  */
#line 7605 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46484 "preproc.c"
    break;

  case 1153: /* aggr_args_list: aggr_arg  */
#line 7613 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46492 "preproc.c"
    break;

  case 1154: /* aggr_args_list: aggr_args_list ',' aggr_arg  */
#line 7617 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46500 "preproc.c"
    break;

  case 1155: /* aggregate_with_argtypes: func_name aggr_args  */
#line 7625 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46508 "preproc.c"
    break;

  case 1156: /* aggregate_with_argtypes_list: aggregate_with_argtypes  */
#line 7633 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46516 "preproc.c"
    break;

  case 1157: /* aggregate_with_argtypes_list: aggregate_with_argtypes_list ',' aggregate_with_argtypes  */
#line 7637 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46524 "preproc.c"
    break;

  case 1158: /* opt_createfunc_opt_list: createfunc_opt_list  */
#line 7645 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46532 "preproc.c"
    break;

  case 1159: /* opt_createfunc_opt_list: %empty  */
#line 7649 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46539 "preproc.c"
    break;

  case 1160: /* createfunc_opt_list: createfunc_opt_item  */
#line 7656 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46547 "preproc.c"
    break;

  case 1161: /* createfunc_opt_list: createfunc_opt_list createfunc_opt_item  */
#line 7660 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46555 "preproc.c"
    break;

  case 1162: /* common_func_opt_item: CALLED ON NULL_P INPUT_P  */
#line 7668 "preproc.y"
 { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 46563 "preproc.c"
    break;

  case 1163: /* common_func_opt_item: RETURNS NULL_P ON NULL_P INPUT_P  */
#line 7672 "preproc.y"
 { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 46571 "preproc.c"
    break;

  case 1164: /* common_func_opt_item: STRICT_P  */
#line 7676 "preproc.y"
 { 
 (yyval.str) = mm_strdup("strict");
}
#line 46579 "preproc.c"
    break;

  case 1165: /* common_func_opt_item: IMMUTABLE  */
#line 7680 "preproc.y"
 { 
 (yyval.str) = mm_strdup("immutable");
}
#line 46587 "preproc.c"
    break;

  case 1166: /* common_func_opt_item: STABLE  */
#line 7684 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stable");
}
#line 46595 "preproc.c"
    break;

  case 1167: /* common_func_opt_item: VOLATILE  */
#line 7688 "preproc.y"
 { 
 (yyval.str) = mm_strdup("volatile");
}
#line 46603 "preproc.c"
    break;

  case 1168: /* common_func_opt_item: EXTERNAL SECURITY DEFINER  */
#line 7692 "preproc.y"
 { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 46611 "preproc.c"
    break;

  case 1169: /* common_func_opt_item: EXTERNAL SECURITY INVOKER  */
#line 7696 "preproc.y"
 { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 46619 "preproc.c"
    break;

  case 1170: /* common_func_opt_item: SECURITY DEFINER  */
#line 7700 "preproc.y"
 { 
 (yyval.str) = mm_strdup("security definer");
}
#line 46627 "preproc.c"
    break;

  case 1171: /* common_func_opt_item: SECURITY INVOKER  */
#line 7704 "preproc.y"
 { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 46635 "preproc.c"
    break;

  case 1172: /* common_func_opt_item: LEAKPROOF  */
#line 7708 "preproc.y"
 { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 46643 "preproc.c"
    break;

  case 1173: /* common_func_opt_item: NOT LEAKPROOF  */
#line 7712 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 46651 "preproc.c"
    break;

  case 1174: /* common_func_opt_item: COST NumericOnly  */
#line 7716 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 46659 "preproc.c"
    break;

  case 1175: /* common_func_opt_item: ROWS NumericOnly  */
#line 7720 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 46667 "preproc.c"
    break;

  case 1176: /* common_func_opt_item: SUPPORT any_name  */
#line 7724 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("support"),(yyvsp[0].str));
}
#line 46675 "preproc.c"
    break;

  case 1177: /* common_func_opt_item: FunctionSetResetClause  */
#line 7728 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46683 "preproc.c"
    break;

  case 1178: /* common_func_opt_item: PARALLEL ColId  */
#line 7732 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 46691 "preproc.c"
    break;

  case 1179: /* createfunc_opt_item: AS func_as  */
#line 7740 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 46699 "preproc.c"
    break;

  case 1180: /* createfunc_opt_item: LANGUAGE NonReservedWord_or_Sconst  */
#line 7744 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 46707 "preproc.c"
    break;

  case 1181: /* createfunc_opt_item: TRANSFORM transform_type_list  */
#line 7748 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 46715 "preproc.c"
    break;

  case 1182: /* createfunc_opt_item: WINDOW  */
#line 7752 "preproc.y"
 { 
 (yyval.str) = mm_strdup("window");
}
#line 46723 "preproc.c"
    break;

  case 1183: /* createfunc_opt_item: common_func_opt_item  */
#line 7756 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46731 "preproc.c"
    break;

  case 1184: /* func_as: ecpg_sconst  */
#line 7764 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46739 "preproc.c"
    break;

  case 1185: /* func_as: ecpg_sconst ',' ecpg_sconst  */
#line 7768 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46747 "preproc.c"
    break;

  case 1186: /* ReturnStmt: RETURN a_expr  */
#line 7776 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("return"),(yyvsp[0].str));
}
#line 46755 "preproc.c"
    break;

  case 1187: /* opt_routine_body: ReturnStmt  */
#line 7784 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46763 "preproc.c"
    break;

  case 1188: /* opt_routine_body: BEGIN_P ATOMIC routine_body_stmt_list END_P  */
#line 7788 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("begin atomic"),(yyvsp[-1].str),mm_strdup("end"));
}
#line 46771 "preproc.c"
    break;

  case 1189: /* opt_routine_body: %empty  */
#line 7792 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46778 "preproc.c"
    break;

  case 1190: /* routine_body_stmt_list: routine_body_stmt_list routine_body_stmt ';'  */
#line 7799 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(";"));
}
#line 46786 "preproc.c"
    break;

  case 1191: /* routine_body_stmt_list: %empty  */
#line 7803 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46793 "preproc.c"
    break;

  case 1192: /* routine_body_stmt: stmt  */
#line 7810 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46801 "preproc.c"
    break;

  case 1193: /* routine_body_stmt: ReturnStmt  */
#line 7814 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46809 "preproc.c"
    break;

  case 1194: /* transform_type_list: FOR TYPE_P Typename  */
#line 7822 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 46817 "preproc.c"
    break;

  case 1195: /* transform_type_list: transform_type_list ',' FOR TYPE_P Typename  */
#line 7826 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 46825 "preproc.c"
    break;

  case 1196: /* opt_definition: WITH definition  */
#line 7834 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 46833 "preproc.c"
    break;

  case 1197: /* opt_definition: %empty  */
#line 7838 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46840 "preproc.c"
    break;

  case 1198: /* table_func_column: param_name func_type  */
#line 7845 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46848 "preproc.c"
    break;

  case 1199: /* table_func_column_list: table_func_column  */
#line 7853 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46856 "preproc.c"
    break;

  case 1200: /* table_func_column_list: table_func_column_list ',' table_func_column  */
#line 7857 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46864 "preproc.c"
    break;

  case 1201: /* AlterFunctionStmt: ALTER FUNCTION function_with_argtypes alterfunc_opt_list opt_restrict  */
#line 7865 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46872 "preproc.c"
    break;

  case 1202: /* AlterFunctionStmt: ALTER PROCEDURE function_with_argtypes alterfunc_opt_list opt_restrict  */
#line 7869 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46880 "preproc.c"
    break;

  case 1203: /* AlterFunctionStmt: ALTER ROUTINE function_with_argtypes alterfunc_opt_list opt_restrict  */
#line 7873 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46888 "preproc.c"
    break;

  case 1204: /* alterfunc_opt_list: common_func_opt_item  */
#line 7881 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46896 "preproc.c"
    break;

  case 1205: /* alterfunc_opt_list: alterfunc_opt_list common_func_opt_item  */
#line 7885 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46904 "preproc.c"
    break;

  case 1206: /* opt_restrict: RESTRICT  */
#line 7893 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restrict");
}
#line 46912 "preproc.c"
    break;

  case 1207: /* opt_restrict: %empty  */
#line 7897 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46919 "preproc.c"
    break;

  case 1208: /* RemoveFuncStmt: DROP FUNCTION function_with_argtypes_list opt_drop_behavior  */
#line 7904 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46927 "preproc.c"
    break;

  case 1209: /* RemoveFuncStmt: DROP FUNCTION IF_P EXISTS function_with_argtypes_list opt_drop_behavior  */
#line 7908 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop function if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46935 "preproc.c"
    break;

  case 1210: /* RemoveFuncStmt: DROP PROCEDURE function_with_argtypes_list opt_drop_behavior  */
#line 7912 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop procedure"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46943 "preproc.c"
    break;

  case 1211: /* RemoveFuncStmt: DROP PROCEDURE IF_P EXISTS function_with_argtypes_list opt_drop_behavior  */
#line 7916 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop procedure if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46951 "preproc.c"
    break;

  case 1212: /* RemoveFuncStmt: DROP ROUTINE function_with_argtypes_list opt_drop_behavior  */
#line 7920 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop routine"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46959 "preproc.c"
    break;

  case 1213: /* RemoveFuncStmt: DROP ROUTINE IF_P EXISTS function_with_argtypes_list opt_drop_behavior  */
#line 7924 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop routine if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46967 "preproc.c"
    break;

  case 1214: /* RemoveAggrStmt: DROP AGGREGATE aggregate_with_argtypes_list opt_drop_behavior  */
#line 7932 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46975 "preproc.c"
    break;

  case 1215: /* RemoveAggrStmt: DROP AGGREGATE IF_P EXISTS aggregate_with_argtypes_list opt_drop_behavior  */
#line 7936 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46983 "preproc.c"
    break;

  case 1216: /* RemoveOperStmt: DROP OPERATOR operator_with_argtypes_list opt_drop_behavior  */
#line 7944 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46991 "preproc.c"
    break;

  case 1217: /* RemoveOperStmt: DROP OPERATOR IF_P EXISTS operator_with_argtypes_list opt_drop_behavior  */
#line 7948 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46999 "preproc.c"
    break;

  case 1218: /* oper_argtypes: '(' Typename ')'  */
#line 7956 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47007 "preproc.c"
    break;

  case 1219: /* oper_argtypes: '(' Typename ',' Typename ')'  */
#line 7960 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47015 "preproc.c"
    break;

  case 1220: /* oper_argtypes: '(' NONE ',' Typename ')'  */
#line 7964 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47023 "preproc.c"
    break;

  case 1221: /* oper_argtypes: '(' Typename ',' NONE ')'  */
#line 7968 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 47031 "preproc.c"
    break;

  case 1222: /* any_operator: all_Op  */
#line 7976 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47039 "preproc.c"
    break;

  case 1223: /* any_operator: ColId '.' any_operator  */
#line 7980 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 47047 "preproc.c"
    break;

  case 1224: /* operator_with_argtypes_list: operator_with_argtypes  */
#line 7988 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47055 "preproc.c"
    break;

  case 1225: /* operator_with_argtypes_list: operator_with_argtypes_list ',' operator_with_argtypes  */
#line 7992 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47063 "preproc.c"
    break;

  case 1226: /* operator_with_argtypes: any_operator oper_argtypes  */
#line 8000 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47071 "preproc.c"
    break;

  case 1227: /* DoStmt: DO dostmt_opt_list  */
#line 8008 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 47079 "preproc.c"
    break;

  case 1228: /* dostmt_opt_list: dostmt_opt_item  */
#line 8016 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47087 "preproc.c"
    break;

  case 1229: /* dostmt_opt_list: dostmt_opt_list dostmt_opt_item  */
#line 8020 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47095 "preproc.c"
    break;

  case 1230: /* dostmt_opt_item: ecpg_sconst  */
#line 8028 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47103 "preproc.c"
    break;

  case 1231: /* dostmt_opt_item: LANGUAGE NonReservedWord_or_Sconst  */
#line 8032 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 47111 "preproc.c"
    break;

  case 1232: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITH FUNCTION function_with_argtypes cast_context  */
#line 8040 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47119 "preproc.c"
    break;

  case 1233: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITHOUT FUNCTION cast_context  */
#line 8044 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 47127 "preproc.c"
    break;

  case 1234: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITH INOUT cast_context  */
#line 8048 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 47135 "preproc.c"
    break;

  case 1235: /* cast_context: AS IMPLICIT_P  */
#line 8056 "preproc.y"
 { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 47143 "preproc.c"
    break;

  case 1236: /* cast_context: AS ASSIGNMENT  */
#line 8060 "preproc.y"
 { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 47151 "preproc.c"
    break;

  case 1237: /* cast_context: %empty  */
#line 8064 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47158 "preproc.c"
    break;

  case 1238: /* DropCastStmt: DROP CAST opt_if_exists '(' Typename AS Typename ')' opt_drop_behavior  */
#line 8071 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47166 "preproc.c"
    break;

  case 1239: /* opt_if_exists: IF_P EXISTS  */
#line 8079 "preproc.y"
 { 
 (yyval.str) = mm_strdup("if exists");
}
#line 47174 "preproc.c"
    break;

  case 1240: /* opt_if_exists: %empty  */
#line 8083 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47181 "preproc.c"
    break;

  case 1241: /* CreateTransformStmt: CREATE opt_or_replace TRANSFORM FOR Typename LANGUAGE name '(' transform_element_list ')'  */
#line 8090 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47189 "preproc.c"
    break;

  case 1242: /* transform_element_list: FROM SQL_P WITH FUNCTION function_with_argtypes ',' TO SQL_P WITH FUNCTION function_with_argtypes  */
#line 8098 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 47197 "preproc.c"
    break;

  case 1243: /* transform_element_list: TO SQL_P WITH FUNCTION function_with_argtypes ',' FROM SQL_P WITH FUNCTION function_with_argtypes  */
#line 8102 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 47205 "preproc.c"
    break;

  case 1244: /* transform_element_list: FROM SQL_P WITH FUNCTION function_with_argtypes  */
#line 8106 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 47213 "preproc.c"
    break;

  case 1245: /* transform_element_list: TO SQL_P WITH FUNCTION function_with_argtypes  */
#line 8110 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 47221 "preproc.c"
    break;

  case 1246: /* DropTransformStmt: DROP TRANSFORM opt_if_exists FOR Typename LANGUAGE name opt_drop_behavior  */
#line 8118 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47229 "preproc.c"
    break;

  case 1247: /* ReindexStmt: REINDEX reindex_target_type opt_concurrently qualified_name  */
#line 8126 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47237 "preproc.c"
    break;

  case 1248: /* ReindexStmt: REINDEX reindex_target_multitable opt_concurrently name  */
#line 8130 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47245 "preproc.c"
    break;

  case 1249: /* ReindexStmt: REINDEX '(' utility_option_list ')' reindex_target_type opt_concurrently qualified_name  */
#line 8134 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("reindex ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47253 "preproc.c"
    break;

  case 1250: /* ReindexStmt: REINDEX '(' utility_option_list ')' reindex_target_multitable opt_concurrently name  */
#line 8138 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("reindex ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47261 "preproc.c"
    break;

  case 1251: /* reindex_target_type: INDEX  */
#line 8146 "preproc.y"
 { 
 (yyval.str) = mm_strdup("index");
}
#line 47269 "preproc.c"
    break;

  case 1252: /* reindex_target_type: TABLE  */
#line 8150 "preproc.y"
 { 
 (yyval.str) = mm_strdup("table");
}
#line 47277 "preproc.c"
    break;

  case 1253: /* reindex_target_multitable: SCHEMA  */
#line 8158 "preproc.y"
 { 
 (yyval.str) = mm_strdup("schema");
}
#line 47285 "preproc.c"
    break;

  case 1254: /* reindex_target_multitable: SYSTEM_P  */
#line 8162 "preproc.y"
 { 
 (yyval.str) = mm_strdup("system");
}
#line 47293 "preproc.c"
    break;

  case 1255: /* reindex_target_multitable: DATABASE  */
#line 8166 "preproc.y"
 { 
 (yyval.str) = mm_strdup("database");
}
#line 47301 "preproc.c"
    break;

  case 1256: /* AlterTblSpcStmt: ALTER TABLESPACE name SET reloptions  */
#line 8174 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 47309 "preproc.c"
    break;

  case 1257: /* AlterTblSpcStmt: ALTER TABLESPACE name RESET reloptions  */
#line 8178 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 47317 "preproc.c"
    break;

  case 1258: /* RenameStmt: ALTER AGGREGATE aggregate_with_argtypes RENAME TO name  */
#line 8186 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47325 "preproc.c"
    break;

  case 1259: /* RenameStmt: ALTER COLLATION any_name RENAME TO name  */
#line 8190 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47333 "preproc.c"
    break;

  case 1260: /* RenameStmt: ALTER CONVERSION_P any_name RENAME TO name  */
#line 8194 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47341 "preproc.c"
    break;

  case 1261: /* RenameStmt: ALTER DATABASE name RENAME TO name  */
#line 8198 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47349 "preproc.c"
    break;

  case 1262: /* RenameStmt: ALTER DOMAIN_P any_name RENAME TO name  */
#line 8202 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47357 "preproc.c"
    break;

  case 1263: /* RenameStmt: ALTER DOMAIN_P any_name RENAME CONSTRAINT name TO name  */
#line 8206 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 47365 "preproc.c"
    break;

  case 1264: /* RenameStmt: ALTER FOREIGN DATA_P WRAPPER name RENAME TO name  */
#line 8210 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47373 "preproc.c"
    break;

  case 1265: /* RenameStmt: ALTER FUNCTION function_with_argtypes RENAME TO name  */
#line 8214 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47381 "preproc.c"
    break;

  case 1266: /* RenameStmt: ALTER GROUP_P RoleId RENAME TO RoleId  */
#line 8218 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47389 "preproc.c"
    break;

  case 1267: /* RenameStmt: ALTER opt_procedural LANGUAGE name RENAME TO name  */
#line 8222 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47397 "preproc.c"
    break;

  case 1268: /* RenameStmt: ALTER OPERATOR CLASS any_name USING name RENAME TO name  */
#line 8226 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47405 "preproc.c"
    break;

  case 1269: /* RenameStmt: ALTER OPERATOR FAMILY any_name USING name RENAME TO name  */
#line 8230 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47413 "preproc.c"
    break;

  case 1270: /* RenameStmt: ALTER POLICY name ON qualified_name RENAME TO name  */
#line 8234 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47421 "preproc.c"
    break;

  case 1271: /* RenameStmt: ALTER POLICY IF_P EXISTS name ON qualified_name RENAME TO name  */
#line 8238 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47429 "preproc.c"
    break;

  case 1272: /* RenameStmt: ALTER PROCEDURE function_with_argtypes RENAME TO name  */
#line 8242 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47437 "preproc.c"
    break;

  case 1273: /* RenameStmt: ALTER PUBLICATION name RENAME TO name  */
#line 8246 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47445 "preproc.c"
    break;

  case 1274: /* RenameStmt: ALTER ROUTINE function_with_argtypes RENAME TO name  */
#line 8250 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47453 "preproc.c"
    break;

  case 1275: /* RenameStmt: ALTER SCHEMA name RENAME TO name  */
#line 8254 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47461 "preproc.c"
    break;

  case 1276: /* RenameStmt: ALTER SERVER name RENAME TO name  */
#line 8258 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47469 "preproc.c"
    break;

  case 1277: /* RenameStmt: ALTER SUBSCRIPTION name RENAME TO name  */
#line 8262 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47477 "preproc.c"
    break;

  case 1278: /* RenameStmt: ALTER TABLE relation_expr RENAME TO name  */
#line 8266 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47485 "preproc.c"
    break;

  case 1279: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME TO name  */
#line 8270 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47493 "preproc.c"
    break;

  case 1280: /* RenameStmt: ALTER SEQUENCE qualified_name RENAME TO name  */
#line 8274 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47501 "preproc.c"
    break;

  case 1281: /* RenameStmt: ALTER SEQUENCE IF_P EXISTS qualified_name RENAME TO name  */
#line 8278 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47509 "preproc.c"
    break;

  case 1282: /* RenameStmt: ALTER VIEW qualified_name RENAME TO name  */
#line 8282 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47517 "preproc.c"
    break;

  case 1283: /* RenameStmt: ALTER VIEW IF_P EXISTS qualified_name RENAME TO name  */
#line 8286 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47525 "preproc.c"
    break;

  case 1284: /* RenameStmt: ALTER MATERIALIZED VIEW qualified_name RENAME TO name  */
#line 8290 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47533 "preproc.c"
    break;

  case 1285: /* RenameStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name RENAME TO name  */
#line 8294 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47541 "preproc.c"
    break;

  case 1286: /* RenameStmt: ALTER INDEX qualified_name RENAME TO name  */
#line 8298 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47549 "preproc.c"
    break;

  case 1287: /* RenameStmt: ALTER INDEX IF_P EXISTS qualified_name RENAME TO name  */
#line 8302 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47557 "preproc.c"
    break;

  case 1288: /* RenameStmt: ALTER FOREIGN TABLE relation_expr RENAME TO name  */
#line 8306 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47565 "preproc.c"
    break;

  case 1289: /* RenameStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr RENAME TO name  */
#line 8310 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47573 "preproc.c"
    break;

  case 1290: /* RenameStmt: ALTER TABLE relation_expr RENAME opt_column name TO name  */
#line 8314 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 47581 "preproc.c"
    break;

  case 1291: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME opt_column name TO name  */
#line 8318 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 47589 "preproc.c"
    break;

  case 1292: /* RenameStmt: ALTER VIEW qualified_name RENAME opt_column name TO name  */
#line 8322 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 47597 "preproc.c"
    break;

  case 1293: /* RenameStmt: ALTER VIEW IF_P EXISTS qualified_name RENAME opt_column name TO name  */
#line 8326 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 47605 "preproc.c"
    break;

  case 1294: /* RenameStmt: ALTER MATERIALIZED VIEW qualified_name RENAME opt_column name TO name  */
#line 8330 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 47613 "preproc.c"
    break;

  case 1295: /* RenameStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name RENAME opt_column name TO name  */
#line 8334 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 47621 "preproc.c"
    break;

  case 1296: /* RenameStmt: ALTER TABLE relation_expr RENAME CONSTRAINT name TO name  */
#line 8338 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 47629 "preproc.c"
    break;

  case 1297: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME CONSTRAINT name TO name  */
#line 8342 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 47637 "preproc.c"
    break;

  case 1298: /* RenameStmt: ALTER FOREIGN TABLE relation_expr RENAME opt_column name TO name  */
#line 8346 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 47645 "preproc.c"
    break;

  case 1299: /* RenameStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr RENAME opt_column name TO name  */
#line 8350 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 47653 "preproc.c"
    break;

  case 1300: /* RenameStmt: ALTER RULE name ON qualified_name RENAME TO name  */
#line 8354 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47661 "preproc.c"
    break;

  case 1301: /* RenameStmt: ALTER TRIGGER name ON qualified_name RENAME TO name  */
#line 8358 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47669 "preproc.c"
    break;

  case 1302: /* RenameStmt: ALTER EVENT TRIGGER name RENAME TO name  */
#line 8362 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47677 "preproc.c"
    break;

  case 1303: /* RenameStmt: ALTER ROLE RoleId RENAME TO RoleId  */
#line 8366 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47685 "preproc.c"
    break;

  case 1304: /* RenameStmt: ALTER USER RoleId RENAME TO RoleId  */
#line 8370 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47693 "preproc.c"
    break;

  case 1305: /* RenameStmt: ALTER TABLESPACE name RENAME TO name  */
#line 8374 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47701 "preproc.c"
    break;

  case 1306: /* RenameStmt: ALTER STATISTICS any_name RENAME TO name  */
#line 8378 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47709 "preproc.c"
    break;

  case 1307: /* RenameStmt: ALTER TEXT_P SEARCH PARSER any_name RENAME TO name  */
#line 8382 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47717 "preproc.c"
    break;

  case 1308: /* RenameStmt: ALTER TEXT_P SEARCH DICTIONARY any_name RENAME TO name  */
#line 8386 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47725 "preproc.c"
    break;

  case 1309: /* RenameStmt: ALTER TEXT_P SEARCH TEMPLATE any_name RENAME TO name  */
#line 8390 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47733 "preproc.c"
    break;

  case 1310: /* RenameStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name RENAME TO name  */
#line 8394 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47741 "preproc.c"
    break;

  case 1311: /* RenameStmt: ALTER TYPE_P any_name RENAME TO name  */
#line 8398 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 47749 "preproc.c"
    break;

  case 1312: /* RenameStmt: ALTER TYPE_P any_name RENAME ATTRIBUTE name TO name opt_drop_behavior  */
#line 8402 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47757 "preproc.c"
    break;

  case 1313: /* opt_column: COLUMN  */
#line 8410 "preproc.y"
 { 
 (yyval.str) = mm_strdup("column");
}
#line 47765 "preproc.c"
    break;

  case 1314: /* opt_column: %empty  */
#line 8414 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47772 "preproc.c"
    break;

  case 1315: /* opt_set_data: SET DATA_P  */
#line 8421 "preproc.y"
 { 
 (yyval.str) = mm_strdup("set data");
}
#line 47780 "preproc.c"
    break;

  case 1316: /* opt_set_data: %empty  */
#line 8425 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47787 "preproc.c"
    break;

  case 1317: /* AlterObjectDependsStmt: ALTER FUNCTION function_with_argtypes opt_no DEPENDS ON EXTENSION name  */
#line 8432 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 47795 "preproc.c"
    break;

  case 1318: /* AlterObjectDependsStmt: ALTER PROCEDURE function_with_argtypes opt_no DEPENDS ON EXTENSION name  */
#line 8436 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter procedure"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 47803 "preproc.c"
    break;

  case 1319: /* AlterObjectDependsStmt: ALTER ROUTINE function_with_argtypes opt_no DEPENDS ON EXTENSION name  */
#line 8440 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter routine"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 47811 "preproc.c"
    break;

  case 1320: /* AlterObjectDependsStmt: ALTER TRIGGER name ON qualified_name opt_no DEPENDS ON EXTENSION name  */
#line 8444 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 47819 "preproc.c"
    break;

  case 1321: /* AlterObjectDependsStmt: ALTER MATERIALIZED VIEW qualified_name opt_no DEPENDS ON EXTENSION name  */
#line 8448 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 47827 "preproc.c"
    break;

  case 1322: /* AlterObjectDependsStmt: ALTER INDEX qualified_name opt_no DEPENDS ON EXTENSION name  */
#line 8452 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter index"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 47835 "preproc.c"
    break;

  case 1323: /* opt_no: NO  */
#line 8460 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no");
}
#line 47843 "preproc.c"
    break;

  case 1324: /* opt_no: %empty  */
#line 8464 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47850 "preproc.c"
    break;

  case 1325: /* AlterObjectSchemaStmt: ALTER AGGREGATE aggregate_with_argtypes SET SCHEMA name  */
#line 8471 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47858 "preproc.c"
    break;

  case 1326: /* AlterObjectSchemaStmt: ALTER COLLATION any_name SET SCHEMA name  */
#line 8475 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47866 "preproc.c"
    break;

  case 1327: /* AlterObjectSchemaStmt: ALTER CONVERSION_P any_name SET SCHEMA name  */
#line 8479 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47874 "preproc.c"
    break;

  case 1328: /* AlterObjectSchemaStmt: ALTER DOMAIN_P any_name SET SCHEMA name  */
#line 8483 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47882 "preproc.c"
    break;

  case 1329: /* AlterObjectSchemaStmt: ALTER EXTENSION name SET SCHEMA name  */
#line 8487 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47890 "preproc.c"
    break;

  case 1330: /* AlterObjectSchemaStmt: ALTER FUNCTION function_with_argtypes SET SCHEMA name  */
#line 8491 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47898 "preproc.c"
    break;

  case 1331: /* AlterObjectSchemaStmt: ALTER OPERATOR operator_with_argtypes SET SCHEMA name  */
#line 8495 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47906 "preproc.c"
    break;

  case 1332: /* AlterObjectSchemaStmt: ALTER OPERATOR CLASS any_name USING name SET SCHEMA name  */
#line 8499 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47914 "preproc.c"
    break;

  case 1333: /* AlterObjectSchemaStmt: ALTER OPERATOR FAMILY any_name USING name SET SCHEMA name  */
#line 8503 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47922 "preproc.c"
    break;

  case 1334: /* AlterObjectSchemaStmt: ALTER PROCEDURE function_with_argtypes SET SCHEMA name  */
#line 8507 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47930 "preproc.c"
    break;

  case 1335: /* AlterObjectSchemaStmt: ALTER ROUTINE function_with_argtypes SET SCHEMA name  */
#line 8511 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47938 "preproc.c"
    break;

  case 1336: /* AlterObjectSchemaStmt: ALTER TABLE relation_expr SET SCHEMA name  */
#line 8515 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47946 "preproc.c"
    break;

  case 1337: /* AlterObjectSchemaStmt: ALTER TABLE IF_P EXISTS relation_expr SET SCHEMA name  */
#line 8519 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47954 "preproc.c"
    break;

  case 1338: /* AlterObjectSchemaStmt: ALTER STATISTICS any_name SET SCHEMA name  */
#line 8523 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47962 "preproc.c"
    break;

  case 1339: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH PARSER any_name SET SCHEMA name  */
#line 8527 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47970 "preproc.c"
    break;

  case 1340: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH DICTIONARY any_name SET SCHEMA name  */
#line 8531 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47978 "preproc.c"
    break;

  case 1341: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH TEMPLATE any_name SET SCHEMA name  */
#line 8535 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47986 "preproc.c"
    break;

  case 1342: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name SET SCHEMA name  */
#line 8539 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 47994 "preproc.c"
    break;

  case 1343: /* AlterObjectSchemaStmt: ALTER SEQUENCE qualified_name SET SCHEMA name  */
#line 8543 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 48002 "preproc.c"
    break;

  case 1344: /* AlterObjectSchemaStmt: ALTER SEQUENCE IF_P EXISTS qualified_name SET SCHEMA name  */
#line 8547 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 48010 "preproc.c"
    break;

  case 1345: /* AlterObjectSchemaStmt: ALTER VIEW qualified_name SET SCHEMA name  */
#line 8551 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 48018 "preproc.c"
    break;

  case 1346: /* AlterObjectSchemaStmt: ALTER VIEW IF_P EXISTS qualified_name SET SCHEMA name  */
#line 8555 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 48026 "preproc.c"
    break;

  case 1347: /* AlterObjectSchemaStmt: ALTER MATERIALIZED VIEW qualified_name SET SCHEMA name  */
#line 8559 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 48034 "preproc.c"
    break;

  case 1348: /* AlterObjectSchemaStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name SET SCHEMA name  */
#line 8563 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 48042 "preproc.c"
    break;

  case 1349: /* AlterObjectSchemaStmt: ALTER FOREIGN TABLE relation_expr SET SCHEMA name  */
#line 8567 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 48050 "preproc.c"
    break;

  case 1350: /* AlterObjectSchemaStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr SET SCHEMA name  */
#line 8571 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 48058 "preproc.c"
    break;

  case 1351: /* AlterObjectSchemaStmt: ALTER TYPE_P any_name SET SCHEMA name  */
#line 8575 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 48066 "preproc.c"
    break;

  case 1352: /* AlterOperatorStmt: ALTER OPERATOR operator_with_argtypes SET '(' operator_def_list ')'  */
#line 8583 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48074 "preproc.c"
    break;

  case 1353: /* operator_def_list: operator_def_elem  */
#line 8591 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48082 "preproc.c"
    break;

  case 1354: /* operator_def_list: operator_def_list ',' operator_def_elem  */
#line 8595 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48090 "preproc.c"
    break;

  case 1355: /* operator_def_elem: ColLabel '=' NONE  */
#line 8603 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 48098 "preproc.c"
    break;

  case 1356: /* operator_def_elem: ColLabel '=' operator_def_arg  */
#line 8607 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 48106 "preproc.c"
    break;

  case 1357: /* operator_def_arg: func_type  */
#line 8615 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48114 "preproc.c"
    break;

  case 1358: /* operator_def_arg: reserved_keyword  */
#line 8619 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48122 "preproc.c"
    break;

  case 1359: /* operator_def_arg: qual_all_Op  */
#line 8623 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48130 "preproc.c"
    break;

  case 1360: /* operator_def_arg: NumericOnly  */
#line 8627 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48138 "preproc.c"
    break;

  case 1361: /* operator_def_arg: ecpg_sconst  */
#line 8631 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48146 "preproc.c"
    break;

  case 1362: /* AlterTypeStmt: ALTER TYPE_P any_name SET '(' operator_def_list ')'  */
#line 8639 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48154 "preproc.c"
    break;

  case 1363: /* AlterOwnerStmt: ALTER AGGREGATE aggregate_with_argtypes OWNER TO RoleSpec  */
#line 8647 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48162 "preproc.c"
    break;

  case 1364: /* AlterOwnerStmt: ALTER COLLATION any_name OWNER TO RoleSpec  */
#line 8651 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48170 "preproc.c"
    break;

  case 1365: /* AlterOwnerStmt: ALTER CONVERSION_P any_name OWNER TO RoleSpec  */
#line 8655 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48178 "preproc.c"
    break;

  case 1366: /* AlterOwnerStmt: ALTER DATABASE name OWNER TO RoleSpec  */
#line 8659 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48186 "preproc.c"
    break;

  case 1367: /* AlterOwnerStmt: ALTER DOMAIN_P any_name OWNER TO RoleSpec  */
#line 8663 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48194 "preproc.c"
    break;

  case 1368: /* AlterOwnerStmt: ALTER FUNCTION function_with_argtypes OWNER TO RoleSpec  */
#line 8667 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48202 "preproc.c"
    break;

  case 1369: /* AlterOwnerStmt: ALTER opt_procedural LANGUAGE name OWNER TO RoleSpec  */
#line 8671 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48210 "preproc.c"
    break;

  case 1370: /* AlterOwnerStmt: ALTER LARGE_P OBJECT_P NumericOnly OWNER TO RoleSpec  */
#line 8675 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48218 "preproc.c"
    break;

  case 1371: /* AlterOwnerStmt: ALTER OPERATOR operator_with_argtypes OWNER TO RoleSpec  */
#line 8679 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48226 "preproc.c"
    break;

  case 1372: /* AlterOwnerStmt: ALTER OPERATOR CLASS any_name USING name OWNER TO RoleSpec  */
#line 8683 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48234 "preproc.c"
    break;

  case 1373: /* AlterOwnerStmt: ALTER OPERATOR FAMILY any_name USING name OWNER TO RoleSpec  */
#line 8687 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48242 "preproc.c"
    break;

  case 1374: /* AlterOwnerStmt: ALTER PROCEDURE function_with_argtypes OWNER TO RoleSpec  */
#line 8691 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48250 "preproc.c"
    break;

  case 1375: /* AlterOwnerStmt: ALTER ROUTINE function_with_argtypes OWNER TO RoleSpec  */
#line 8695 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48258 "preproc.c"
    break;

  case 1376: /* AlterOwnerStmt: ALTER SCHEMA name OWNER TO RoleSpec  */
#line 8699 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48266 "preproc.c"
    break;

  case 1377: /* AlterOwnerStmt: ALTER TYPE_P any_name OWNER TO RoleSpec  */
#line 8703 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48274 "preproc.c"
    break;

  case 1378: /* AlterOwnerStmt: ALTER TABLESPACE name OWNER TO RoleSpec  */
#line 8707 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48282 "preproc.c"
    break;

  case 1379: /* AlterOwnerStmt: ALTER STATISTICS any_name OWNER TO RoleSpec  */
#line 8711 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48290 "preproc.c"
    break;

  case 1380: /* AlterOwnerStmt: ALTER TEXT_P SEARCH DICTIONARY any_name OWNER TO RoleSpec  */
#line 8715 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48298 "preproc.c"
    break;

  case 1381: /* AlterOwnerStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name OWNER TO RoleSpec  */
#line 8719 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48306 "preproc.c"
    break;

  case 1382: /* AlterOwnerStmt: ALTER FOREIGN DATA_P WRAPPER name OWNER TO RoleSpec  */
#line 8723 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48314 "preproc.c"
    break;

  case 1383: /* AlterOwnerStmt: ALTER SERVER name OWNER TO RoleSpec  */
#line 8727 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48322 "preproc.c"
    break;

  case 1384: /* AlterOwnerStmt: ALTER EVENT TRIGGER name OWNER TO RoleSpec  */
#line 8731 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48330 "preproc.c"
    break;

  case 1385: /* AlterOwnerStmt: ALTER PUBLICATION name OWNER TO RoleSpec  */
#line 8735 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48338 "preproc.c"
    break;

  case 1386: /* AlterOwnerStmt: ALTER SUBSCRIPTION name OWNER TO RoleSpec  */
#line 8739 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 48346 "preproc.c"
    break;

  case 1387: /* CreatePublicationStmt: CREATE PUBLICATION name opt_definition  */
#line 8747 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48354 "preproc.c"
    break;

  case 1388: /* CreatePublicationStmt: CREATE PUBLICATION name FOR ALL TABLES opt_definition  */
#line 8751 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create publication"),(yyvsp[-4].str),mm_strdup("for all tables"),(yyvsp[0].str));
}
#line 48362 "preproc.c"
    break;

  case 1389: /* CreatePublicationStmt: CREATE PUBLICATION name FOR pub_obj_list opt_definition  */
#line 8755 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create publication"),(yyvsp[-3].str),mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48370 "preproc.c"
    break;

  case 1390: /* PublicationObjSpec: TABLE relation_expr opt_column_list OptWhereClause  */
#line 8763 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("table"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48378 "preproc.c"
    break;

  case 1391: /* PublicationObjSpec: TABLES IN_P SCHEMA ColId  */
#line 8767 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("tables in schema"),(yyvsp[0].str));
}
#line 48386 "preproc.c"
    break;

  case 1392: /* PublicationObjSpec: TABLES IN_P SCHEMA CURRENT_SCHEMA  */
#line 8771 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tables in schema current_schema");
}
#line 48394 "preproc.c"
    break;

  case 1393: /* PublicationObjSpec: ColId opt_column_list OptWhereClause  */
#line 8775 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48402 "preproc.c"
    break;

  case 1394: /* PublicationObjSpec: ColId indirection opt_column_list OptWhereClause  */
#line 8779 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48410 "preproc.c"
    break;

  case 1395: /* PublicationObjSpec: extended_relation_expr opt_column_list OptWhereClause  */
#line 8783 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48418 "preproc.c"
    break;

  case 1396: /* PublicationObjSpec: CURRENT_SCHEMA  */
#line 8787 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 48426 "preproc.c"
    break;

  case 1397: /* pub_obj_list: PublicationObjSpec  */
#line 8795 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48434 "preproc.c"
    break;

  case 1398: /* pub_obj_list: pub_obj_list ',' PublicationObjSpec  */
#line 8799 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48442 "preproc.c"
    break;

  case 1399: /* AlterPublicationStmt: ALTER PUBLICATION name SET definition  */
#line 8807 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 48450 "preproc.c"
    break;

  case 1400: /* AlterPublicationStmt: ALTER PUBLICATION name ADD_P pub_obj_list  */
#line 8811 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 48458 "preproc.c"
    break;

  case 1401: /* AlterPublicationStmt: ALTER PUBLICATION name SET pub_obj_list  */
#line 8815 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 48466 "preproc.c"
    break;

  case 1402: /* AlterPublicationStmt: ALTER PUBLICATION name DROP pub_obj_list  */
#line 8819 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 48474 "preproc.c"
    break;

  case 1403: /* CreateSubscriptionStmt: CREATE SUBSCRIPTION name CONNECTION ecpg_sconst PUBLICATION name_list opt_definition  */
#line 8827 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create subscription"),(yyvsp[-5].str),mm_strdup("connection"),(yyvsp[-3].str),mm_strdup("publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48482 "preproc.c"
    break;

  case 1404: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name SET definition  */
#line 8835 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 48490 "preproc.c"
    break;

  case 1405: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name CONNECTION ecpg_sconst  */
#line 8839 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("connection"),(yyvsp[0].str));
}
#line 48498 "preproc.c"
    break;

  case 1406: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name REFRESH PUBLICATION opt_definition  */
#line 8843 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("refresh publication"),(yyvsp[0].str));
}
#line 48506 "preproc.c"
    break;

  case 1407: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name ADD_P PUBLICATION name_list opt_definition  */
#line 8847 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("add publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48514 "preproc.c"
    break;

  case 1408: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name DROP PUBLICATION name_list opt_definition  */
#line 8851 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("drop publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48522 "preproc.c"
    break;

  case 1409: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name SET PUBLICATION name_list opt_definition  */
#line 8855 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("set publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48530 "preproc.c"
    break;

  case 1410: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name ENABLE_P  */
#line 8859 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("enable"));
}
#line 48538 "preproc.c"
    break;

  case 1411: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name DISABLE_P  */
#line 8863 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("disable"));
}
#line 48546 "preproc.c"
    break;

  case 1412: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name SKIP definition  */
#line 8867 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("skip"),(yyvsp[0].str));
}
#line 48554 "preproc.c"
    break;

  case 1413: /* DropSubscriptionStmt: DROP SUBSCRIPTION name opt_drop_behavior  */
#line 8875 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48562 "preproc.c"
    break;

  case 1414: /* DropSubscriptionStmt: DROP SUBSCRIPTION IF_P EXISTS name opt_drop_behavior  */
#line 8879 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48570 "preproc.c"
    break;

  case 1415: /* RuleStmt: CREATE opt_or_replace RULE name AS ON event TO qualified_name where_clause DO opt_instead RuleActionList  */
#line 8887 "preproc.y"
 { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48578 "preproc.c"
    break;

  case 1416: /* RuleActionList: NOTHING  */
#line 8895 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nothing");
}
#line 48586 "preproc.c"
    break;

  case 1417: /* RuleActionList: RuleActionStmt  */
#line 8899 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48594 "preproc.c"
    break;

  case 1418: /* RuleActionList: '(' RuleActionMulti ')'  */
#line 8903 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48602 "preproc.c"
    break;

  case 1419: /* RuleActionMulti: RuleActionMulti ';' RuleActionStmtOrEmpty  */
#line 8911 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 48610 "preproc.c"
    break;

  case 1420: /* RuleActionMulti: RuleActionStmtOrEmpty  */
#line 8915 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48618 "preproc.c"
    break;

  case 1421: /* RuleActionStmt: SelectStmt  */
#line 8923 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48626 "preproc.c"
    break;

  case 1422: /* RuleActionStmt: InsertStmt  */
#line 8927 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48634 "preproc.c"
    break;

  case 1423: /* RuleActionStmt: UpdateStmt  */
#line 8931 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48642 "preproc.c"
    break;

  case 1424: /* RuleActionStmt: DeleteStmt  */
#line 8935 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48650 "preproc.c"
    break;

  case 1425: /* RuleActionStmt: NotifyStmt  */
#line 8939 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48658 "preproc.c"
    break;

  case 1426: /* RuleActionStmtOrEmpty: RuleActionStmt  */
#line 8947 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48666 "preproc.c"
    break;

  case 1427: /* RuleActionStmtOrEmpty: %empty  */
#line 8951 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 48673 "preproc.c"
    break;

  case 1428: /* event: SELECT  */
#line 8958 "preproc.y"
 { 
 (yyval.str) = mm_strdup("select");
}
#line 48681 "preproc.c"
    break;

  case 1429: /* event: UPDATE  */
#line 8962 "preproc.y"
 { 
 (yyval.str) = mm_strdup("update");
}
#line 48689 "preproc.c"
    break;

  case 1430: /* event: DELETE_P  */
#line 8966 "preproc.y"
 { 
 (yyval.str) = mm_strdup("delete");
}
#line 48697 "preproc.c"
    break;

  case 1431: /* event: INSERT  */
#line 8970 "preproc.y"
 { 
 (yyval.str) = mm_strdup("insert");
}
#line 48705 "preproc.c"
    break;

  case 1432: /* opt_instead: INSTEAD  */
#line 8978 "preproc.y"
 { 
 (yyval.str) = mm_strdup("instead");
}
#line 48713 "preproc.c"
    break;

  case 1433: /* opt_instead: ALSO  */
#line 8982 "preproc.y"
 { 
 (yyval.str) = mm_strdup("also");
}
#line 48721 "preproc.c"
    break;

  case 1434: /* opt_instead: %empty  */
#line 8986 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 48728 "preproc.c"
    break;

  case 1435: /* NotifyStmt: NOTIFY ColId notify_payload  */
#line 8993 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48736 "preproc.c"
    break;

  case 1436: /* notify_payload: ',' ecpg_sconst  */
#line 9001 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 48744 "preproc.c"
    break;

  case 1437: /* notify_payload: %empty  */
#line 9005 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 48751 "preproc.c"
    break;

  case 1438: /* ListenStmt: LISTEN ColId  */
#line 9012 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 48759 "preproc.c"
    break;

  case 1439: /* UnlistenStmt: UNLISTEN ColId  */
#line 9020 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 48767 "preproc.c"
    break;

  case 1440: /* UnlistenStmt: UNLISTEN '*'  */
#line 9024 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 48775 "preproc.c"
    break;

  case 1441: /* TransactionStmt: ABORT_P opt_transaction opt_transaction_chain  */
#line 9032 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("abort"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48783 "preproc.c"
    break;

  case 1442: /* TransactionStmt: START TRANSACTION transaction_mode_list_or_empty  */
#line 9036 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 48791 "preproc.c"
    break;

  case 1443: /* TransactionStmt: COMMIT opt_transaction opt_transaction_chain  */
#line 9040 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("commit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48799 "preproc.c"
    break;

  case 1444: /* TransactionStmt: ROLLBACK opt_transaction opt_transaction_chain  */
#line 9044 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("rollback"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48807 "preproc.c"
    break;

  case 1445: /* TransactionStmt: SAVEPOINT ColId  */
#line 9048 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 48815 "preproc.c"
    break;

  case 1446: /* TransactionStmt: RELEASE SAVEPOINT ColId  */
#line 9052 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 48823 "preproc.c"
    break;

  case 1447: /* TransactionStmt: RELEASE ColId  */
#line 9056 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 48831 "preproc.c"
    break;

  case 1448: /* TransactionStmt: ROLLBACK opt_transaction TO SAVEPOINT ColId  */
#line 9060 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 48839 "preproc.c"
    break;

  case 1449: /* TransactionStmt: ROLLBACK opt_transaction TO ColId  */
#line 9064 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 48847 "preproc.c"
    break;

  case 1450: /* TransactionStmt: PREPARE TRANSACTION ecpg_sconst  */
#line 9068 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 48855 "preproc.c"
    break;

  case 1451: /* TransactionStmt: COMMIT PREPARED ecpg_sconst  */
#line 9072 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 48863 "preproc.c"
    break;

  case 1452: /* TransactionStmt: ROLLBACK PREPARED ecpg_sconst  */
#line 9076 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 48871 "preproc.c"
    break;

  case 1453: /* TransactionStmtLegacy: BEGIN_P opt_transaction transaction_mode_list_or_empty  */
#line 9084 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48879 "preproc.c"
    break;

  case 1454: /* TransactionStmtLegacy: END_P opt_transaction opt_transaction_chain  */
#line 9088 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("end"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48887 "preproc.c"
    break;

  case 1455: /* opt_transaction: WORK  */
#line 9096 "preproc.y"
 { 
 (yyval.str) = mm_strdup("work");
}
#line 48895 "preproc.c"
    break;

  case 1456: /* opt_transaction: TRANSACTION  */
#line 9100 "preproc.y"
 { 
 (yyval.str) = mm_strdup("transaction");
}
#line 48903 "preproc.c"
    break;

  case 1457: /* opt_transaction: %empty  */
#line 9104 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 48910 "preproc.c"
    break;

  case 1458: /* transaction_mode_item: ISOLATION LEVEL iso_level  */
#line 9111 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 48918 "preproc.c"
    break;

  case 1459: /* transaction_mode_item: READ ONLY  */
#line 9115 "preproc.y"
 { 
 (yyval.str) = mm_strdup("read only");
}
#line 48926 "preproc.c"
    break;

  case 1460: /* transaction_mode_item: READ WRITE  */
#line 9119 "preproc.y"
 { 
 (yyval.str) = mm_strdup("read write");
}
#line 48934 "preproc.c"
    break;

  case 1461: /* transaction_mode_item: DEFERRABLE  */
#line 9123 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 48942 "preproc.c"
    break;

  case 1462: /* transaction_mode_item: NOT DEFERRABLE  */
#line 9127 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 48950 "preproc.c"
    break;

  case 1463: /* transaction_mode_list: transaction_mode_item  */
#line 9135 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48958 "preproc.c"
    break;

  case 1464: /* transaction_mode_list: transaction_mode_list ',' transaction_mode_item  */
#line 9139 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48966 "preproc.c"
    break;

  case 1465: /* transaction_mode_list: transaction_mode_list transaction_mode_item  */
#line 9143 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48974 "preproc.c"
    break;

  case 1466: /* transaction_mode_list_or_empty: transaction_mode_list  */
#line 9151 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48982 "preproc.c"
    break;

  case 1467: /* transaction_mode_list_or_empty: %empty  */
#line 9155 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 48989 "preproc.c"
    break;

  case 1468: /* opt_transaction_chain: AND CHAIN  */
#line 9162 "preproc.y"
 { 
 (yyval.str) = mm_strdup("and chain");
}
#line 48997 "preproc.c"
    break;

  case 1469: /* opt_transaction_chain: AND NO CHAIN  */
#line 9166 "preproc.y"
 { 
 (yyval.str) = mm_strdup("and no chain");
}
#line 49005 "preproc.c"
    break;

  case 1470: /* opt_transaction_chain: %empty  */
#line 9170 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 49012 "preproc.c"
    break;

  case 1471: /* ViewStmt: CREATE OptTemp VIEW qualified_name opt_column_list opt_reloptions AS SelectStmt opt_check_option  */
#line 9177 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49020 "preproc.c"
    break;

  case 1472: /* ViewStmt: CREATE OR REPLACE OptTemp VIEW qualified_name opt_column_list opt_reloptions AS SelectStmt opt_check_option  */
#line 9181 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49028 "preproc.c"
    break;

  case 1473: /* ViewStmt: CREATE OptTemp RECURSIVE VIEW qualified_name '(' columnList ')' opt_reloptions AS SelectStmt opt_check_option  */
#line 9185 "preproc.y"
 { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49036 "preproc.c"
    break;

  case 1474: /* ViewStmt: CREATE OR REPLACE OptTemp RECURSIVE VIEW qualified_name '(' columnList ')' opt_reloptions AS SelectStmt opt_check_option  */
#line 9189 "preproc.y"
 { 
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49044 "preproc.c"
    break;

  case 1475: /* opt_check_option: WITH CHECK OPTION  */
#line 9197 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with check option");
}
#line 49052 "preproc.c"
    break;

  case 1476: /* opt_check_option: WITH CASCADED CHECK OPTION  */
#line 9201 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 49060 "preproc.c"
    break;

  case 1477: /* opt_check_option: WITH LOCAL CHECK OPTION  */
#line 9205 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 49068 "preproc.c"
    break;

  case 1478: /* opt_check_option: %empty  */
#line 9209 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 49075 "preproc.c"
    break;

  case 1479: /* LoadStmt: LOAD file_name  */
#line 9216 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 49083 "preproc.c"
    break;

  case 1480: /* CreatedbStmt: CREATE DATABASE name opt_with createdb_opt_list  */
#line 9224 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49091 "preproc.c"
    break;

  case 1481: /* createdb_opt_list: createdb_opt_items  */
#line 9232 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49099 "preproc.c"
    break;

  case 1482: /* createdb_opt_list: %empty  */
#line 9236 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 49106 "preproc.c"
    break;

  case 1483: /* createdb_opt_items: createdb_opt_item  */
#line 9243 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49114 "preproc.c"
    break;

  case 1484: /* createdb_opt_items: createdb_opt_items createdb_opt_item  */
#line 9247 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49122 "preproc.c"
    break;

  case 1485: /* createdb_opt_item: createdb_opt_name opt_equal NumericOnly  */
#line 9255 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49130 "preproc.c"
    break;

  case 1486: /* createdb_opt_item: createdb_opt_name opt_equal opt_boolean_or_string  */
#line 9259 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49138 "preproc.c"
    break;

  case 1487: /* createdb_opt_item: createdb_opt_name opt_equal DEFAULT  */
#line 9263 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 49146 "preproc.c"
    break;

  case 1488: /* createdb_opt_name: ecpg_ident  */
#line 9271 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49154 "preproc.c"
    break;

  case 1489: /* createdb_opt_name: CONNECTION LIMIT  */
#line 9275 "preproc.y"
 { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 49162 "preproc.c"
    break;

  case 1490: /* createdb_opt_name: ENCODING  */
#line 9279 "preproc.y"
 { 
 (yyval.str) = mm_strdup("encoding");
}
#line 49170 "preproc.c"
    break;

  case 1491: /* createdb_opt_name: LOCATION  */
#line 9283 "preproc.y"
 { 
 (yyval.str) = mm_strdup("location");
}
#line 49178 "preproc.c"
    break;

  case 1492: /* createdb_opt_name: OWNER  */
#line 9287 "preproc.y"
 { 
 (yyval.str) = mm_strdup("owner");
}
#line 49186 "preproc.c"
    break;

  case 1493: /* createdb_opt_name: TABLESPACE  */
#line 9291 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 49194 "preproc.c"
    break;

  case 1494: /* createdb_opt_name: TEMPLATE  */
#line 9295 "preproc.y"
 { 
 (yyval.str) = mm_strdup("template");
}
#line 49202 "preproc.c"
    break;

  case 1495: /* opt_equal: '='  */
#line 9303 "preproc.y"
 { 
 (yyval.str) = mm_strdup("=");
}
#line 49210 "preproc.c"
    break;

  case 1496: /* opt_equal: %empty  */
#line 9307 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 49217 "preproc.c"
    break;

  case 1497: /* AlterDatabaseStmt: ALTER DATABASE name WITH createdb_opt_list  */
#line 9314 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 49225 "preproc.c"
    break;

  case 1498: /* AlterDatabaseStmt: ALTER DATABASE name createdb_opt_list  */
#line 9318 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49233 "preproc.c"
    break;

  case 1499: /* AlterDatabaseStmt: ALTER DATABASE name SET TABLESPACE name  */
#line 9322 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 49241 "preproc.c"
    break;

  case 1500: /* AlterDatabaseStmt: ALTER DATABASE name REFRESH COLLATION VERSION_P  */
#line 9326 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("refresh collation version"));
}
#line 49249 "preproc.c"
    break;

  case 1501: /* AlterDatabaseSetStmt: ALTER DATABASE name SetResetClause  */
#line 9334 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49257 "preproc.c"
    break;

  case 1502: /* DropdbStmt: DROP DATABASE name  */
#line 9342 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 49265 "preproc.c"
    break;

  case 1503: /* DropdbStmt: DROP DATABASE IF_P EXISTS name  */
#line 9346 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 49273 "preproc.c"
    break;

  case 1504: /* DropdbStmt: DROP DATABASE name opt_with '(' drop_option_list ')'  */
#line 9350 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("drop database"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49281 "preproc.c"
    break;

  case 1505: /* DropdbStmt: DROP DATABASE IF_P EXISTS name opt_with '(' drop_option_list ')'  */
#line 9354 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("drop database if exists"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49289 "preproc.c"
    break;

  case 1506: /* drop_option_list: drop_option  */
#line 9362 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49297 "preproc.c"
    break;

  case 1507: /* drop_option_list: drop_option_list ',' drop_option  */
#line 9366 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49305 "preproc.c"
    break;

  case 1508: /* drop_option: FORCE  */
#line 9374 "preproc.y"
 { 
 (yyval.str) = mm_strdup("force");
}
#line 49313 "preproc.c"
    break;

  case 1509: /* AlterCollationStmt: ALTER COLLATION any_name REFRESH VERSION_P  */
#line 9382 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter collation"),(yyvsp[-2].str),mm_strdup("refresh version"));
}
#line 49321 "preproc.c"
    break;

  case 1510: /* AlterSystemStmt: ALTER SYSTEM_P SET generic_set  */
#line 9390 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 49329 "preproc.c"
    break;

  case 1511: /* AlterSystemStmt: ALTER SYSTEM_P RESET generic_reset  */
#line 9394 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 49337 "preproc.c"
    break;

  case 1512: /* CreateDomainStmt: CREATE DOMAIN_P any_name opt_as Typename ColQualList  */
#line 9402 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49345 "preproc.c"
    break;

  case 1513: /* AlterDomainStmt: ALTER DOMAIN_P any_name alter_column_default  */
#line 9410 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49353 "preproc.c"
    break;

  case 1514: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP NOT NULL_P  */
#line 9414 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 49361 "preproc.c"
    break;

  case 1515: /* AlterDomainStmt: ALTER DOMAIN_P any_name SET NOT NULL_P  */
#line 9418 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 49369 "preproc.c"
    break;

  case 1516: /* AlterDomainStmt: ALTER DOMAIN_P any_name ADD_P TableConstraint  */
#line 9422 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 49377 "preproc.c"
    break;

  case 1517: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP CONSTRAINT name opt_drop_behavior  */
#line 9426 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49385 "preproc.c"
    break;

  case 1518: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP CONSTRAINT IF_P EXISTS name opt_drop_behavior  */
#line 9430 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49393 "preproc.c"
    break;

  case 1519: /* AlterDomainStmt: ALTER DOMAIN_P any_name VALIDATE CONSTRAINT name  */
#line 9434 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 49401 "preproc.c"
    break;

  case 1520: /* opt_as: AS  */
#line 9442 "preproc.y"
 { 
 (yyval.str) = mm_strdup("as");
}
#line 49409 "preproc.c"
    break;

  case 1521: /* opt_as: %empty  */
#line 9446 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 49416 "preproc.c"
    break;

  case 1522: /* AlterTSDictionaryStmt: ALTER TEXT_P SEARCH DICTIONARY any_name definition  */
#line 9453 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49424 "preproc.c"
    break;

  case 1523: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ADD_P MAPPING FOR name_list any_with any_name_list  */
#line 9461 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49432 "preproc.c"
    break;

  case 1524: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING FOR name_list any_with any_name_list  */
#line 9465 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49440 "preproc.c"
    break;

  case 1525: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING REPLACE any_name any_with any_name  */
#line 9469 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49448 "preproc.c"
    break;

  case 1526: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING FOR name_list REPLACE any_name any_with any_name  */
#line 9473 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49456 "preproc.c"
    break;

  case 1527: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name DROP MAPPING FOR name_list  */
#line 9477 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 49464 "preproc.c"
    break;

  case 1528: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name DROP MAPPING IF_P EXISTS FOR name_list  */
#line 9481 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 49472 "preproc.c"
    break;

  case 1529: /* any_with: WITH  */
#line 9489 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with");
}
#line 49480 "preproc.c"
    break;

  case 1530: /* any_with: WITH_LA  */
#line 9493 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with");
}
#line 49488 "preproc.c"
    break;

  case 1531: /* CreateConversionStmt: CREATE opt_default CONVERSION_P any_name FOR ecpg_sconst TO ecpg_sconst FROM any_name  */
#line 9501 "preproc.y"
 { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 49496 "preproc.c"
    break;

  case 1532: /* ClusterStmt: CLUSTER opt_verbose qualified_name cluster_index_specification  */
#line 9509 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49504 "preproc.c"
    break;

  case 1533: /* ClusterStmt: CLUSTER '(' utility_option_list ')' qualified_name cluster_index_specification  */
#line 9513 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("cluster ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49512 "preproc.c"
    break;

  case 1534: /* ClusterStmt: CLUSTER opt_verbose  */
#line 9517 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 49520 "preproc.c"
    break;

  case 1535: /* ClusterStmt: CLUSTER opt_verbose name ON qualified_name  */
#line 9521 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 49528 "preproc.c"
    break;

  case 1536: /* cluster_index_specification: USING name  */
#line 9529 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 49536 "preproc.c"
    break;

  case 1537: /* cluster_index_specification: %empty  */
#line 9533 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 49543 "preproc.c"
    break;

  case 1538: /* VacuumStmt: VACUUM opt_full opt_freeze opt_verbose opt_analyze opt_vacuum_relation_list  */
#line 9540 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("vacuum"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49551 "preproc.c"
    break;

  case 1539: /* VacuumStmt: VACUUM '(' utility_option_list ')' opt_vacuum_relation_list  */
#line 9544 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49559 "preproc.c"
    break;

  case 1540: /* AnalyzeStmt: analyze_keyword opt_verbose opt_vacuum_relation_list  */
#line 9552 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49567 "preproc.c"
    break;

  case 1541: /* AnalyzeStmt: analyze_keyword '(' utility_option_list ')' opt_vacuum_relation_list  */
#line 9556 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49575 "preproc.c"
    break;

  case 1542: /* utility_option_list: utility_option_elem  */
#line 9564 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49583 "preproc.c"
    break;

  case 1543: /* utility_option_list: utility_option_list ',' utility_option_elem  */
#line 9568 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49591 "preproc.c"
    break;

  case 1544: /* analyze_keyword: ANALYZE  */
#line 9576 "preproc.y"
 { 
 (yyval.str) = mm_strdup("analyze");
}
#line 49599 "preproc.c"
    break;

  case 1545: /* analyze_keyword: ANALYSE  */
#line 9580 "preproc.y"
 { 
 (yyval.str) = mm_strdup("analyse");
}
#line 49607 "preproc.c"
    break;

  case 1546: /* utility_option_elem: utility_option_name utility_option_arg  */
#line 9588 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49615 "preproc.c"
    break;

  case 1547: /* utility_option_name: NonReservedWord  */
#line 9596 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49623 "preproc.c"
    break;

  case 1548: /* utility_option_name: analyze_keyword  */
#line 9600 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49631 "preproc.c"
    break;

  case 1549: /* utility_option_arg: opt_boolean_or_string  */
#line 9608 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49639 "preproc.c"
    break;

  case 1550: /* utility_option_arg: NumericOnly  */
#line 9612 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49647 "preproc.c"
    break;

  case 1551: /* utility_option_arg: %empty  */
#line 9616 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 49654 "preproc.c"
    break;

  case 1552: /* opt_analyze: analyze_keyword  */
#line 9623 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49662 "preproc.c"
    break;

  case 1553: /* opt_analyze: %empty  */
#line 9627 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 49669 "preproc.c"
    break;

  case 1554: /* opt_verbose: VERBOSE  */
#line 9634 "preproc.y"
 { 
 (yyval.str) = mm_strdup("verbose");
}
#line 49677 "preproc.c"
    break;

  case 1555: /* opt_verbose: %empty  */
#line 9638 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 49684 "preproc.c"
    break;

  case 1556: /* opt_full: FULL  */
#line 9645 "preproc.y"
 { 
 (yyval.str) = mm_strdup("full");
}
#line 49692 "preproc.c"
    break;

  case 1557: /* opt_full: %empty  */
#line 9649 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 49699 "preproc.c"
    break;

  case 1558: /* opt_freeze: FREEZE  */
#line 9656 "preproc.y"
 { 
 (yyval.str) = mm_strdup("freeze");
}
#line 49707 "preproc.c"
    break;

  case 1559: /* opt_freeze: %empty  */
#line 9660 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 49714 "preproc.c"
    break;

  case 1560: /* opt_name_list: '(' name_list ')'  */
#line 9667 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49722 "preproc.c"
    break;

  case 1561: /* opt_name_list: %empty  */
#line 9671 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 49729 "preproc.c"
    break;

  case 1562: /* vacuum_relation: qualified_name opt_name_list  */
#line 9678 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49737 "preproc.c"
    break;

  case 1563: /* vacuum_relation_list: vacuum_relation  */
#line 9686 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49745 "preproc.c"
    break;

  case 1564: /* vacuum_relation_list: vacuum_relation_list ',' vacuum_relation  */
#line 9690 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49753 "preproc.c"
    break;

  case 1565: /* opt_vacuum_relation_list: vacuum_relation_list  */
#line 9698 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49761 "preproc.c"
    break;

  case 1566: /* opt_vacuum_relation_list: %empty  */
#line 9702 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 49768 "preproc.c"
    break;

  case 1567: /* ExplainStmt: EXPLAIN ExplainableStmt  */
#line 9709 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 49776 "preproc.c"
    break;

  case 1568: /* ExplainStmt: EXPLAIN analyze_keyword opt_verbose ExplainableStmt  */
#line 9713 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49784 "preproc.c"
    break;

  case 1569: /* ExplainStmt: EXPLAIN VERBOSE ExplainableStmt  */
#line 9717 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 49792 "preproc.c"
    break;

  case 1570: /* ExplainStmt: EXPLAIN '(' utility_option_list ')' ExplainableStmt  */
#line 9721 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49800 "preproc.c"
    break;

  case 1571: /* ExplainableStmt: SelectStmt  */
#line 9729 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49808 "preproc.c"
    break;

  case 1572: /* ExplainableStmt: InsertStmt  */
#line 9733 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49816 "preproc.c"
    break;

  case 1573: /* ExplainableStmt: UpdateStmt  */
#line 9737 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49824 "preproc.c"
    break;

  case 1574: /* ExplainableStmt: DeleteStmt  */
#line 9741 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49832 "preproc.c"
    break;

  case 1575: /* ExplainableStmt: MergeStmt  */
#line 9745 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49840 "preproc.c"
    break;

  case 1576: /* ExplainableStmt: DeclareCursorStmt  */
#line 9749 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49848 "preproc.c"
    break;

  case 1577: /* ExplainableStmt: CreateAsStmt  */
#line 9753 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49856 "preproc.c"
    break;

  case 1578: /* ExplainableStmt: CreateMatViewStmt  */
#line 9757 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49864 "preproc.c"
    break;

  case 1579: /* ExplainableStmt: RefreshMatViewStmt  */
#line 9761 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49872 "preproc.c"
    break;

  case 1580: /* ExplainableStmt: ExecuteStmt  */
#line 9765 "preproc.y"
        {
		(yyval.str) = (yyvsp[0].exec).name;
	}
#line 49880 "preproc.c"
    break;

  case 1581: /* PrepareStmt: PREPARE prepared_name prep_type_clause AS PreparableStmt  */
#line 9773 "preproc.y"
        {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 49890 "preproc.c"
    break;

  case 1582: /* PrepareStmt: PREPARE prepared_name FROM execstring  */
#line 9779 "preproc.y"
        {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 49900 "preproc.c"
    break;

  case 1583: /* prep_type_clause: '(' type_list ')'  */
#line 9789 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49908 "preproc.c"
    break;

  case 1584: /* prep_type_clause: %empty  */
#line 9793 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 49915 "preproc.c"
    break;

  case 1585: /* PreparableStmt: SelectStmt  */
#line 9800 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49923 "preproc.c"
    break;

  case 1586: /* PreparableStmt: InsertStmt  */
#line 9804 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49931 "preproc.c"
    break;

  case 1587: /* PreparableStmt: UpdateStmt  */
#line 9808 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49939 "preproc.c"
    break;

  case 1588: /* PreparableStmt: DeleteStmt  */
#line 9812 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49947 "preproc.c"
    break;

  case 1589: /* PreparableStmt: MergeStmt  */
#line 9816 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49955 "preproc.c"
    break;

  case 1590: /* ExecuteStmt: EXECUTE prepared_name execute_param_clause execute_rest  */
#line 9824 "preproc.y"
        {
		(yyval.exec).name = (yyvsp[-2].str);
		(yyval.exec).type = (yyvsp[-1].str);
	}
#line 49964 "preproc.c"
    break;

  case 1591: /* ExecuteStmt: CREATE OptTemp TABLE create_as_target AS EXECUTE prepared_name execute_param_clause opt_with_data execute_rest  */
#line 9829 "preproc.y"
        {
		(yyval.exec).name = cat_str(8,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("as execute"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str));
	}
#line 49972 "preproc.c"
    break;

  case 1592: /* ExecuteStmt: CREATE OptTemp TABLE IF_P NOT EXISTS create_as_target AS EXECUTE prepared_name execute_param_clause opt_with_data execute_rest  */
#line 9833 "preproc.y"
        {
		(yyval.exec).name = cat_str(8,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("as execute"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str));
	}
#line 49980 "preproc.c"
    break;

  case 1593: /* execute_param_clause: '(' expr_list ')'  */
#line 9841 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49988 "preproc.c"
    break;

  case 1594: /* execute_param_clause: %empty  */
#line 9845 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 49995 "preproc.c"
    break;

  case 1595: /* InsertStmt: opt_with_clause INSERT INTO insert_target insert_rest opt_on_conflict returning_clause  */
#line 9852 "preproc.y"
 { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50003 "preproc.c"
    break;

  case 1596: /* insert_target: qualified_name  */
#line 9860 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50011 "preproc.c"
    break;

  case 1597: /* insert_target: qualified_name AS ColId  */
#line 9864 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 50019 "preproc.c"
    break;

  case 1598: /* insert_rest: SelectStmt  */
#line 9872 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50027 "preproc.c"
    break;

  case 1599: /* insert_rest: OVERRIDING override_kind VALUE_P SelectStmt  */
#line 9876 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 50035 "preproc.c"
    break;

  case 1600: /* insert_rest: '(' insert_column_list ')' SelectStmt  */
#line 9880 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 50043 "preproc.c"
    break;

  case 1601: /* insert_rest: '(' insert_column_list ')' OVERRIDING override_kind VALUE_P SelectStmt  */
#line 9884 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 50051 "preproc.c"
    break;

  case 1602: /* insert_rest: DEFAULT VALUES  */
#line 9888 "preproc.y"
 { 
 (yyval.str) = mm_strdup("default values");
}
#line 50059 "preproc.c"
    break;

  case 1603: /* override_kind: USER  */
#line 9896 "preproc.y"
 { 
 (yyval.str) = mm_strdup("user");
}
#line 50067 "preproc.c"
    break;

  case 1604: /* override_kind: SYSTEM_P  */
#line 9900 "preproc.y"
 { 
 (yyval.str) = mm_strdup("system");
}
#line 50075 "preproc.c"
    break;

  case 1605: /* insert_column_list: insert_column_item  */
#line 9908 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50083 "preproc.c"
    break;

  case 1606: /* insert_column_list: insert_column_list ',' insert_column_item  */
#line 9912 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50091 "preproc.c"
    break;

  case 1607: /* insert_column_item: ColId opt_indirection  */
#line 9920 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50099 "preproc.c"
    break;

  case 1608: /* opt_on_conflict: ON CONFLICT opt_conf_expr DO UPDATE SET set_clause_list where_clause  */
#line 9928 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50107 "preproc.c"
    break;

  case 1609: /* opt_on_conflict: ON CONFLICT opt_conf_expr DO NOTHING  */
#line 9932 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 50115 "preproc.c"
    break;

  case 1610: /* opt_on_conflict: %empty  */
#line 9936 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50122 "preproc.c"
    break;

  case 1611: /* opt_conf_expr: '(' index_params ')' where_clause  */
#line 9943 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 50130 "preproc.c"
    break;

  case 1612: /* opt_conf_expr: ON CONSTRAINT name  */
#line 9947 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 50138 "preproc.c"
    break;

  case 1613: /* opt_conf_expr: %empty  */
#line 9951 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50145 "preproc.c"
    break;

  case 1614: /* returning_clause: RETURNING target_list opt_ecpg_into  */
#line 9958 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 50153 "preproc.c"
    break;

  case 1615: /* returning_clause: %empty  */
#line 9962 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50160 "preproc.c"
    break;

  case 1616: /* DeleteStmt: opt_with_clause DELETE_P FROM relation_expr_opt_alias using_clause where_or_current_clause returning_clause  */
#line 9969 "preproc.y"
 { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50168 "preproc.c"
    break;

  case 1617: /* using_clause: USING from_list  */
#line 9977 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 50176 "preproc.c"
    break;

  case 1618: /* using_clause: %empty  */
#line 9981 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50183 "preproc.c"
    break;

  case 1619: /* LockStmt: LOCK_P opt_table relation_expr_list opt_lock opt_nowait  */
#line 9988 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50191 "preproc.c"
    break;

  case 1620: /* opt_lock: IN_P lock_type MODE  */
#line 9996 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 50199 "preproc.c"
    break;

  case 1621: /* opt_lock: %empty  */
#line 10000 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50206 "preproc.c"
    break;

  case 1622: /* lock_type: ACCESS SHARE  */
#line 10007 "preproc.y"
 { 
 (yyval.str) = mm_strdup("access share");
}
#line 50214 "preproc.c"
    break;

  case 1623: /* lock_type: ROW SHARE  */
#line 10011 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row share");
}
#line 50222 "preproc.c"
    break;

  case 1624: /* lock_type: ROW EXCLUSIVE  */
#line 10015 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 50230 "preproc.c"
    break;

  case 1625: /* lock_type: SHARE UPDATE EXCLUSIVE  */
#line 10019 "preproc.y"
 { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 50238 "preproc.c"
    break;

  case 1626: /* lock_type: SHARE  */
#line 10023 "preproc.y"
 { 
 (yyval.str) = mm_strdup("share");
}
#line 50246 "preproc.c"
    break;

  case 1627: /* lock_type: SHARE ROW EXCLUSIVE  */
#line 10027 "preproc.y"
 { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 50254 "preproc.c"
    break;

  case 1628: /* lock_type: EXCLUSIVE  */
#line 10031 "preproc.y"
 { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 50262 "preproc.c"
    break;

  case 1629: /* lock_type: ACCESS EXCLUSIVE  */
#line 10035 "preproc.y"
 { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 50270 "preproc.c"
    break;

  case 1630: /* opt_nowait: NOWAIT  */
#line 10043 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nowait");
}
#line 50278 "preproc.c"
    break;

  case 1631: /* opt_nowait: %empty  */
#line 10047 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50285 "preproc.c"
    break;

  case 1632: /* opt_nowait_or_skip: NOWAIT  */
#line 10054 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nowait");
}
#line 50293 "preproc.c"
    break;

  case 1633: /* opt_nowait_or_skip: SKIP LOCKED  */
#line 10058 "preproc.y"
 { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 50301 "preproc.c"
    break;

  case 1634: /* opt_nowait_or_skip: %empty  */
#line 10062 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50308 "preproc.c"
    break;

  case 1635: /* UpdateStmt: opt_with_clause UPDATE relation_expr_opt_alias SET set_clause_list from_clause where_or_current_clause returning_clause  */
#line 10069 "preproc.y"
 { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50316 "preproc.c"
    break;

  case 1636: /* set_clause_list: set_clause  */
#line 10077 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50324 "preproc.c"
    break;

  case 1637: /* set_clause_list: set_clause_list ',' set_clause  */
#line 10081 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50332 "preproc.c"
    break;

  case 1638: /* set_clause: set_target '=' a_expr  */
#line 10089 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 50340 "preproc.c"
    break;

  case 1639: /* set_clause: '(' set_target_list ')' '=' a_expr  */
#line 10093 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 50348 "preproc.c"
    break;

  case 1640: /* set_target: ColId opt_indirection  */
#line 10101 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50356 "preproc.c"
    break;

  case 1641: /* set_target_list: set_target  */
#line 10109 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50364 "preproc.c"
    break;

  case 1642: /* set_target_list: set_target_list ',' set_target  */
#line 10113 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50372 "preproc.c"
    break;

  case 1643: /* MergeStmt: opt_with_clause MERGE INTO relation_expr_opt_alias USING table_ref ON a_expr merge_when_list  */
#line 10121 "preproc.y"
 { 
 (yyval.str) = cat_str(8,(yyvsp[-8].str),mm_strdup("merge into"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50380 "preproc.c"
    break;

  case 1644: /* merge_when_list: merge_when_clause  */
#line 10129 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50388 "preproc.c"
    break;

  case 1645: /* merge_when_list: merge_when_list merge_when_clause  */
#line 10133 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50396 "preproc.c"
    break;

  case 1646: /* merge_when_clause: WHEN MATCHED opt_merge_when_condition THEN merge_update  */
#line 10141 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("when matched"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 50404 "preproc.c"
    break;

  case 1647: /* merge_when_clause: WHEN MATCHED opt_merge_when_condition THEN merge_delete  */
#line 10145 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("when matched"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 50412 "preproc.c"
    break;

  case 1648: /* merge_when_clause: WHEN NOT MATCHED opt_merge_when_condition THEN merge_insert  */
#line 10149 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("when not matched"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 50420 "preproc.c"
    break;

  case 1649: /* merge_when_clause: WHEN MATCHED opt_merge_when_condition THEN DO NOTHING  */
#line 10153 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("when matched"),(yyvsp[-3].str),mm_strdup("then do nothing"));
}
#line 50428 "preproc.c"
    break;

  case 1650: /* merge_when_clause: WHEN NOT MATCHED opt_merge_when_condition THEN DO NOTHING  */
#line 10157 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("when not matched"),(yyvsp[-3].str),mm_strdup("then do nothing"));
}
#line 50436 "preproc.c"
    break;

  case 1651: /* opt_merge_when_condition: AND a_expr  */
#line 10165 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("and"),(yyvsp[0].str));
}
#line 50444 "preproc.c"
    break;

  case 1652: /* opt_merge_when_condition: %empty  */
#line 10169 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50451 "preproc.c"
    break;

  case 1653: /* merge_update: UPDATE SET set_clause_list  */
#line 10176 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("update set"),(yyvsp[0].str));
}
#line 50459 "preproc.c"
    break;

  case 1654: /* merge_delete: DELETE_P  */
#line 10184 "preproc.y"
 { 
 (yyval.str) = mm_strdup("delete");
}
#line 50467 "preproc.c"
    break;

  case 1655: /* merge_insert: INSERT merge_values_clause  */
#line 10192 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("insert"),(yyvsp[0].str));
}
#line 50475 "preproc.c"
    break;

  case 1656: /* merge_insert: INSERT OVERRIDING override_kind VALUE_P merge_values_clause  */
#line 10196 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("insert overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 50483 "preproc.c"
    break;

  case 1657: /* merge_insert: INSERT '(' insert_column_list ')' merge_values_clause  */
#line 10200 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("insert ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 50491 "preproc.c"
    break;

  case 1658: /* merge_insert: INSERT '(' insert_column_list ')' OVERRIDING override_kind VALUE_P merge_values_clause  */
#line 10204 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("insert ("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 50499 "preproc.c"
    break;

  case 1659: /* merge_insert: INSERT DEFAULT VALUES  */
#line 10208 "preproc.y"
 { 
 (yyval.str) = mm_strdup("insert default values");
}
#line 50507 "preproc.c"
    break;

  case 1660: /* merge_values_clause: VALUES '(' expr_list ')'  */
#line 10216 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50515 "preproc.c"
    break;

  case 1661: /* DeclareCursorStmt: DECLARE cursor_name cursor_options CURSOR opt_hold FOR SelectStmt  */
#line 10224 "preproc.y"
        {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

                if (INFORMIX_MODE && pg_strcasecmp((yyvsp[-5].str), "database") == 0)
                        mmfatal(PARSE_ERROR, "\"database\" cannot be used as cursor name in INFORMIX mode");

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection ? mm_strdup(connection) : NULL;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 50566 "preproc.c"
    break;

  case 1662: /* cursor_name: name  */
#line 10275 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50574 "preproc.c"
    break;

  case 1663: /* cursor_name: char_civar  */
#line 10279 "preproc.y"
                {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 50586 "preproc.c"
    break;

  case 1664: /* cursor_options: %empty  */
#line 10291 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50593 "preproc.c"
    break;

  case 1665: /* cursor_options: cursor_options NO SCROLL  */
#line 10294 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 50601 "preproc.c"
    break;

  case 1666: /* cursor_options: cursor_options SCROLL  */
#line 10298 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 50609 "preproc.c"
    break;

  case 1667: /* cursor_options: cursor_options BINARY  */
#line 10302 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 50617 "preproc.c"
    break;

  case 1668: /* cursor_options: cursor_options ASENSITIVE  */
#line 10306 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("asensitive"));
}
#line 50625 "preproc.c"
    break;

  case 1669: /* cursor_options: cursor_options INSENSITIVE  */
#line 10310 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 50633 "preproc.c"
    break;

  case 1670: /* opt_hold: %empty  */
#line 10318 "preproc.y"
        {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 50644 "preproc.c"
    break;

  case 1671: /* opt_hold: WITH HOLD  */
#line 10325 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with hold");
}
#line 50652 "preproc.c"
    break;

  case 1672: /* opt_hold: WITHOUT HOLD  */
#line 10329 "preproc.y"
 { 
 (yyval.str) = mm_strdup("without hold");
}
#line 50660 "preproc.c"
    break;

  case 1673: /* SelectStmt: select_no_parens  */
#line 10337 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50668 "preproc.c"
    break;

  case 1674: /* SelectStmt: select_with_parens  */
#line 10341 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50676 "preproc.c"
    break;

  case 1675: /* select_with_parens: '(' select_no_parens ')'  */
#line 10349 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50684 "preproc.c"
    break;

  case 1676: /* select_with_parens: '(' select_with_parens ')'  */
#line 10353 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50692 "preproc.c"
    break;

  case 1677: /* select_no_parens: simple_select  */
#line 10361 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50700 "preproc.c"
    break;

  case 1678: /* select_no_parens: select_clause sort_clause  */
#line 10365 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50708 "preproc.c"
    break;

  case 1679: /* select_no_parens: select_clause opt_sort_clause for_locking_clause opt_select_limit  */
#line 10369 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50716 "preproc.c"
    break;

  case 1680: /* select_no_parens: select_clause opt_sort_clause select_limit opt_for_locking_clause  */
#line 10373 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50724 "preproc.c"
    break;

  case 1681: /* select_no_parens: with_clause select_clause  */
#line 10377 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50732 "preproc.c"
    break;

  case 1682: /* select_no_parens: with_clause select_clause sort_clause  */
#line 10381 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50740 "preproc.c"
    break;

  case 1683: /* select_no_parens: with_clause select_clause opt_sort_clause for_locking_clause opt_select_limit  */
#line 10385 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50748 "preproc.c"
    break;

  case 1684: /* select_no_parens: with_clause select_clause opt_sort_clause select_limit opt_for_locking_clause  */
#line 10389 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50756 "preproc.c"
    break;

  case 1685: /* select_clause: simple_select  */
#line 10397 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50764 "preproc.c"
    break;

  case 1686: /* select_clause: select_with_parens  */
#line 10401 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50772 "preproc.c"
    break;

  case 1687: /* simple_select: SELECT opt_all_clause opt_target_list into_clause from_clause where_clause group_clause having_clause window_clause  */
#line 10409 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50780 "preproc.c"
    break;

  case 1688: /* simple_select: SELECT distinct_clause target_list into_clause from_clause where_clause group_clause having_clause window_clause  */
#line 10413 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50788 "preproc.c"
    break;

  case 1689: /* simple_select: values_clause  */
#line 10417 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50796 "preproc.c"
    break;

  case 1690: /* simple_select: TABLE relation_expr  */
#line 10421 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 50804 "preproc.c"
    break;

  case 1691: /* simple_select: select_clause UNION set_quantifier select_clause  */
#line 10425 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50812 "preproc.c"
    break;

  case 1692: /* simple_select: select_clause INTERSECT set_quantifier select_clause  */
#line 10429 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50820 "preproc.c"
    break;

  case 1693: /* simple_select: select_clause EXCEPT set_quantifier select_clause  */
#line 10433 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50828 "preproc.c"
    break;

  case 1694: /* with_clause: WITH cte_list  */
#line 10441 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 50836 "preproc.c"
    break;

  case 1695: /* with_clause: WITH_LA cte_list  */
#line 10445 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 50844 "preproc.c"
    break;

  case 1696: /* with_clause: WITH RECURSIVE cte_list  */
#line 10449 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 50852 "preproc.c"
    break;

  case 1697: /* cte_list: common_table_expr  */
#line 10457 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50860 "preproc.c"
    break;

  case 1698: /* cte_list: cte_list ',' common_table_expr  */
#line 10461 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50868 "preproc.c"
    break;

  case 1699: /* common_table_expr: name opt_name_list AS opt_materialized '(' PreparableStmt ')' opt_search_clause opt_cycle_clause  */
#line 10469 "preproc.y"
 { 
 (yyval.str) = cat_str(9,(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50876 "preproc.c"
    break;

  case 1700: /* opt_materialized: MATERIALIZED  */
#line 10477 "preproc.y"
 { 
 (yyval.str) = mm_strdup("materialized");
}
#line 50884 "preproc.c"
    break;

  case 1701: /* opt_materialized: NOT MATERIALIZED  */
#line 10481 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not materialized");
}
#line 50892 "preproc.c"
    break;

  case 1702: /* opt_materialized: %empty  */
#line 10485 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50899 "preproc.c"
    break;

  case 1703: /* opt_search_clause: SEARCH DEPTH FIRST_P BY columnList SET ColId  */
#line 10492 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("search depth first by"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 50907 "preproc.c"
    break;

  case 1704: /* opt_search_clause: SEARCH BREADTH FIRST_P BY columnList SET ColId  */
#line 10496 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("search breadth first by"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 50915 "preproc.c"
    break;

  case 1705: /* opt_search_clause: %empty  */
#line 10500 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50922 "preproc.c"
    break;

  case 1706: /* opt_cycle_clause: CYCLE columnList SET ColId TO AexprConst DEFAULT AexprConst USING ColId  */
#line 10507 "preproc.y"
 { 
 (yyval.str) = cat_str(10,mm_strdup("cycle"),(yyvsp[-8].str),mm_strdup("set"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),mm_strdup("default"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 50930 "preproc.c"
    break;

  case 1707: /* opt_cycle_clause: CYCLE columnList SET ColId USING ColId  */
#line 10511 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("cycle"),(yyvsp[-4].str),mm_strdup("set"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 50938 "preproc.c"
    break;

  case 1708: /* opt_cycle_clause: %empty  */
#line 10515 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50945 "preproc.c"
    break;

  case 1709: /* opt_with_clause: with_clause  */
#line 10522 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50953 "preproc.c"
    break;

  case 1710: /* opt_with_clause: %empty  */
#line 10526 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50960 "preproc.c"
    break;

  case 1711: /* into_clause: INTO OptTempTableName  */
#line 10533 "preproc.y"
                                        {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 50969 "preproc.c"
    break;

  case 1712: /* into_clause: ecpg_into  */
#line 10537 "preproc.y"
                    { (yyval.str) = EMPTY; }
#line 50975 "preproc.c"
    break;

  case 1713: /* into_clause: %empty  */
#line 10539 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50982 "preproc.c"
    break;

  case 1714: /* OptTempTableName: TEMPORARY opt_table qualified_name  */
#line 10546 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50990 "preproc.c"
    break;

  case 1715: /* OptTempTableName: TEMP opt_table qualified_name  */
#line 10550 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50998 "preproc.c"
    break;

  case 1716: /* OptTempTableName: LOCAL TEMPORARY opt_table qualified_name  */
#line 10554 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51006 "preproc.c"
    break;

  case 1717: /* OptTempTableName: LOCAL TEMP opt_table qualified_name  */
#line 10558 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51014 "preproc.c"
    break;

  case 1718: /* OptTempTableName: GLOBAL TEMPORARY opt_table qualified_name  */
#line 10562 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51022 "preproc.c"
    break;

  case 1719: /* OptTempTableName: GLOBAL TEMP opt_table qualified_name  */
#line 10566 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51030 "preproc.c"
    break;

  case 1720: /* OptTempTableName: UNLOGGED opt_table qualified_name  */
#line 10570 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51038 "preproc.c"
    break;

  case 1721: /* OptTempTableName: TABLE qualified_name  */
#line 10574 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 51046 "preproc.c"
    break;

  case 1722: /* OptTempTableName: qualified_name  */
#line 10578 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51054 "preproc.c"
    break;

  case 1723: /* opt_table: TABLE  */
#line 10586 "preproc.y"
 { 
 (yyval.str) = mm_strdup("table");
}
#line 51062 "preproc.c"
    break;

  case 1724: /* opt_table: %empty  */
#line 10590 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51069 "preproc.c"
    break;

  case 1725: /* set_quantifier: ALL  */
#line 10597 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 51077 "preproc.c"
    break;

  case 1726: /* set_quantifier: DISTINCT  */
#line 10601 "preproc.y"
 { 
 (yyval.str) = mm_strdup("distinct");
}
#line 51085 "preproc.c"
    break;

  case 1727: /* set_quantifier: %empty  */
#line 10605 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51092 "preproc.c"
    break;

  case 1728: /* distinct_clause: DISTINCT  */
#line 10612 "preproc.y"
 { 
 (yyval.str) = mm_strdup("distinct");
}
#line 51100 "preproc.c"
    break;

  case 1729: /* distinct_clause: DISTINCT ON '(' expr_list ')'  */
#line 10616 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51108 "preproc.c"
    break;

  case 1730: /* opt_all_clause: ALL  */
#line 10624 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 51116 "preproc.c"
    break;

  case 1731: /* opt_all_clause: %empty  */
#line 10628 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51123 "preproc.c"
    break;

  case 1732: /* opt_sort_clause: sort_clause  */
#line 10635 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51131 "preproc.c"
    break;

  case 1733: /* opt_sort_clause: %empty  */
#line 10639 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51138 "preproc.c"
    break;

  case 1734: /* sort_clause: ORDER BY sortby_list  */
#line 10646 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 51146 "preproc.c"
    break;

  case 1735: /* sortby_list: sortby  */
#line 10654 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51154 "preproc.c"
    break;

  case 1736: /* sortby_list: sortby_list ',' sortby  */
#line 10658 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51162 "preproc.c"
    break;

  case 1737: /* sortby: a_expr USING qual_all_Op opt_nulls_order  */
#line 10666 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51170 "preproc.c"
    break;

  case 1738: /* sortby: a_expr opt_asc_desc opt_nulls_order  */
#line 10670 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51178 "preproc.c"
    break;

  case 1739: /* select_limit: limit_clause offset_clause  */
#line 10678 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51186 "preproc.c"
    break;

  case 1740: /* select_limit: offset_clause limit_clause  */
#line 10682 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51194 "preproc.c"
    break;

  case 1741: /* select_limit: limit_clause  */
#line 10686 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51202 "preproc.c"
    break;

  case 1742: /* select_limit: offset_clause  */
#line 10690 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51210 "preproc.c"
    break;

  case 1743: /* opt_select_limit: select_limit  */
#line 10698 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51218 "preproc.c"
    break;

  case 1744: /* opt_select_limit: %empty  */
#line 10702 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51225 "preproc.c"
    break;

  case 1745: /* limit_clause: LIMIT select_limit_value  */
#line 10709 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 51233 "preproc.c"
    break;

  case 1746: /* limit_clause: LIMIT select_limit_value ',' select_offset_value  */
#line 10713 "preproc.y"
        {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 51242 "preproc.c"
    break;

  case 1747: /* limit_clause: FETCH first_or_next select_fetch_first_value row_or_rows ONLY  */
#line 10718 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 51250 "preproc.c"
    break;

  case 1748: /* limit_clause: FETCH first_or_next select_fetch_first_value row_or_rows WITH TIES  */
#line 10722 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("with ties"));
}
#line 51258 "preproc.c"
    break;

  case 1749: /* limit_clause: FETCH first_or_next row_or_rows ONLY  */
#line 10726 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 51266 "preproc.c"
    break;

  case 1750: /* limit_clause: FETCH first_or_next row_or_rows WITH TIES  */
#line 10730 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("with ties"));
}
#line 51274 "preproc.c"
    break;

  case 1751: /* offset_clause: OFFSET select_offset_value  */
#line 10738 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 51282 "preproc.c"
    break;

  case 1752: /* offset_clause: OFFSET select_fetch_first_value row_or_rows  */
#line 10742 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51290 "preproc.c"
    break;

  case 1753: /* select_limit_value: a_expr  */
#line 10750 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51298 "preproc.c"
    break;

  case 1754: /* select_limit_value: ALL  */
#line 10754 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 51306 "preproc.c"
    break;

  case 1755: /* select_offset_value: a_expr  */
#line 10762 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51314 "preproc.c"
    break;

  case 1756: /* select_fetch_first_value: c_expr  */
#line 10770 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51322 "preproc.c"
    break;

  case 1757: /* select_fetch_first_value: '+' I_or_F_const  */
#line 10774 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 51330 "preproc.c"
    break;

  case 1758: /* select_fetch_first_value: '-' I_or_F_const  */
#line 10778 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 51338 "preproc.c"
    break;

  case 1759: /* I_or_F_const: Iconst  */
#line 10786 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51346 "preproc.c"
    break;

  case 1760: /* I_or_F_const: ecpg_fconst  */
#line 10790 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51354 "preproc.c"
    break;

  case 1761: /* row_or_rows: ROW  */
#line 10798 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row");
}
#line 51362 "preproc.c"
    break;

  case 1762: /* row_or_rows: ROWS  */
#line 10802 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rows");
}
#line 51370 "preproc.c"
    break;

  case 1763: /* first_or_next: FIRST_P  */
#line 10810 "preproc.y"
 { 
 (yyval.str) = mm_strdup("first");
}
#line 51378 "preproc.c"
    break;

  case 1764: /* first_or_next: NEXT  */
#line 10814 "preproc.y"
 { 
 (yyval.str) = mm_strdup("next");
}
#line 51386 "preproc.c"
    break;

  case 1765: /* group_clause: GROUP_P BY set_quantifier group_by_list  */
#line 10822 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("group by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51394 "preproc.c"
    break;

  case 1766: /* group_clause: %empty  */
#line 10826 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51401 "preproc.c"
    break;

  case 1767: /* group_by_list: group_by_item  */
#line 10833 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51409 "preproc.c"
    break;

  case 1768: /* group_by_list: group_by_list ',' group_by_item  */
#line 10837 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51417 "preproc.c"
    break;

  case 1769: /* group_by_item: a_expr  */
#line 10845 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51425 "preproc.c"
    break;

  case 1770: /* group_by_item: empty_grouping_set  */
#line 10849 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51433 "preproc.c"
    break;

  case 1771: /* group_by_item: cube_clause  */
#line 10853 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51441 "preproc.c"
    break;

  case 1772: /* group_by_item: rollup_clause  */
#line 10857 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51449 "preproc.c"
    break;

  case 1773: /* group_by_item: grouping_sets_clause  */
#line 10861 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51457 "preproc.c"
    break;

  case 1774: /* empty_grouping_set: '(' ')'  */
#line 10869 "preproc.y"
 { 
 (yyval.str) = mm_strdup("( )");
}
#line 51465 "preproc.c"
    break;

  case 1775: /* rollup_clause: ROLLUP '(' expr_list ')'  */
#line 10877 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51473 "preproc.c"
    break;

  case 1776: /* cube_clause: CUBE '(' expr_list ')'  */
#line 10885 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51481 "preproc.c"
    break;

  case 1777: /* grouping_sets_clause: GROUPING SETS '(' group_by_list ')'  */
#line 10893 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51489 "preproc.c"
    break;

  case 1778: /* having_clause: HAVING a_expr  */
#line 10901 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 51497 "preproc.c"
    break;

  case 1779: /* having_clause: %empty  */
#line 10905 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51504 "preproc.c"
    break;

  case 1780: /* for_locking_clause: for_locking_items  */
#line 10912 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51512 "preproc.c"
    break;

  case 1781: /* for_locking_clause: FOR READ ONLY  */
#line 10916 "preproc.y"
 { 
 (yyval.str) = mm_strdup("for read only");
}
#line 51520 "preproc.c"
    break;

  case 1782: /* opt_for_locking_clause: for_locking_clause  */
#line 10924 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51528 "preproc.c"
    break;

  case 1783: /* opt_for_locking_clause: %empty  */
#line 10928 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51535 "preproc.c"
    break;

  case 1784: /* for_locking_items: for_locking_item  */
#line 10935 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51543 "preproc.c"
    break;

  case 1785: /* for_locking_items: for_locking_items for_locking_item  */
#line 10939 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51551 "preproc.c"
    break;

  case 1786: /* for_locking_item: for_locking_strength locked_rels_list opt_nowait_or_skip  */
#line 10947 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51559 "preproc.c"
    break;

  case 1787: /* for_locking_strength: FOR UPDATE  */
#line 10955 "preproc.y"
 { 
 (yyval.str) = mm_strdup("for update");
}
#line 51567 "preproc.c"
    break;

  case 1788: /* for_locking_strength: FOR NO KEY UPDATE  */
#line 10959 "preproc.y"
 { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 51575 "preproc.c"
    break;

  case 1789: /* for_locking_strength: FOR SHARE  */
#line 10963 "preproc.y"
 { 
 (yyval.str) = mm_strdup("for share");
}
#line 51583 "preproc.c"
    break;

  case 1790: /* for_locking_strength: FOR KEY SHARE  */
#line 10967 "preproc.y"
 { 
 (yyval.str) = mm_strdup("for key share");
}
#line 51591 "preproc.c"
    break;

  case 1791: /* locked_rels_list: OF qualified_name_list  */
#line 10975 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 51599 "preproc.c"
    break;

  case 1792: /* locked_rels_list: %empty  */
#line 10979 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51606 "preproc.c"
    break;

  case 1793: /* values_clause: VALUES '(' expr_list ')'  */
#line 10986 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51614 "preproc.c"
    break;

  case 1794: /* values_clause: values_clause ',' '(' expr_list ')'  */
#line 10990 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup(", ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51622 "preproc.c"
    break;

  case 1795: /* from_clause: FROM from_list  */
#line 10998 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 51630 "preproc.c"
    break;

  case 1796: /* from_clause: %empty  */
#line 11002 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51637 "preproc.c"
    break;

  case 1797: /* from_list: table_ref  */
#line 11009 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51645 "preproc.c"
    break;

  case 1798: /* from_list: from_list ',' table_ref  */
#line 11013 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51653 "preproc.c"
    break;

  case 1799: /* table_ref: relation_expr opt_alias_clause  */
#line 11021 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51661 "preproc.c"
    break;

  case 1800: /* table_ref: relation_expr opt_alias_clause tablesample_clause  */
#line 11025 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51669 "preproc.c"
    break;

  case 1801: /* table_ref: func_table func_alias_clause  */
#line 11029 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51677 "preproc.c"
    break;

  case 1802: /* table_ref: LATERAL_P func_table func_alias_clause  */
#line 11033 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51685 "preproc.c"
    break;

  case 1803: /* table_ref: xmltable opt_alias_clause  */
#line 11037 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51693 "preproc.c"
    break;

  case 1804: /* table_ref: LATERAL_P xmltable opt_alias_clause  */
#line 11041 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51701 "preproc.c"
    break;

  case 1805: /* table_ref: select_with_parens opt_alias_clause  */
#line 11045 "preproc.y"
 { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51712 "preproc.c"
    break;

  case 1806: /* table_ref: LATERAL_P select_with_parens opt_alias_clause  */
#line 11052 "preproc.y"
 { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51723 "preproc.c"
    break;

  case 1807: /* table_ref: joined_table  */
#line 11059 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51731 "preproc.c"
    break;

  case 1808: /* table_ref: '(' joined_table ')' alias_clause  */
#line 11063 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51739 "preproc.c"
    break;

  case 1809: /* joined_table: '(' joined_table ')'  */
#line 11071 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51747 "preproc.c"
    break;

  case 1810: /* joined_table: table_ref CROSS JOIN table_ref  */
#line 11075 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 51755 "preproc.c"
    break;

  case 1811: /* joined_table: table_ref join_type JOIN table_ref join_qual  */
#line 11079 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51763 "preproc.c"
    break;

  case 1812: /* joined_table: table_ref JOIN table_ref join_qual  */
#line 11083 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51771 "preproc.c"
    break;

  case 1813: /* joined_table: table_ref NATURAL join_type JOIN table_ref  */
#line 11087 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 51779 "preproc.c"
    break;

  case 1814: /* joined_table: table_ref NATURAL JOIN table_ref  */
#line 11091 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 51787 "preproc.c"
    break;

  case 1815: /* alias_clause: AS ColId '(' name_list ')'  */
#line 11099 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51795 "preproc.c"
    break;

  case 1816: /* alias_clause: AS ColId  */
#line 11103 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 51803 "preproc.c"
    break;

  case 1817: /* alias_clause: ColId '(' name_list ')'  */
#line 11107 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51811 "preproc.c"
    break;

  case 1818: /* alias_clause: ColId  */
#line 11111 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51819 "preproc.c"
    break;

  case 1819: /* opt_alias_clause: alias_clause  */
#line 11119 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51827 "preproc.c"
    break;

  case 1820: /* opt_alias_clause: %empty  */
#line 11123 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51834 "preproc.c"
    break;

  case 1821: /* opt_alias_clause_for_join_using: AS ColId  */
#line 11130 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 51842 "preproc.c"
    break;

  case 1822: /* opt_alias_clause_for_join_using: %empty  */
#line 11134 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51849 "preproc.c"
    break;

  case 1823: /* func_alias_clause: alias_clause  */
#line 11141 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51857 "preproc.c"
    break;

  case 1824: /* func_alias_clause: AS '(' TableFuncElementList ')'  */
#line 11145 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51865 "preproc.c"
    break;

  case 1825: /* func_alias_clause: AS ColId '(' TableFuncElementList ')'  */
#line 11149 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51873 "preproc.c"
    break;

  case 1826: /* func_alias_clause: ColId '(' TableFuncElementList ')'  */
#line 11153 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51881 "preproc.c"
    break;

  case 1827: /* func_alias_clause: %empty  */
#line 11157 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51888 "preproc.c"
    break;

  case 1828: /* join_type: FULL opt_outer  */
#line 11164 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 51896 "preproc.c"
    break;

  case 1829: /* join_type: LEFT opt_outer  */
#line 11168 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 51904 "preproc.c"
    break;

  case 1830: /* join_type: RIGHT opt_outer  */
#line 11172 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 51912 "preproc.c"
    break;

  case 1831: /* join_type: INNER_P  */
#line 11176 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inner");
}
#line 51920 "preproc.c"
    break;

  case 1832: /* opt_outer: OUTER_P  */
#line 11184 "preproc.y"
 { 
 (yyval.str) = mm_strdup("outer");
}
#line 51928 "preproc.c"
    break;

  case 1833: /* opt_outer: %empty  */
#line 11188 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51935 "preproc.c"
    break;

  case 1834: /* join_qual: USING '(' name_list ')' opt_alias_clause_for_join_using  */
#line 11195 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("using ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51943 "preproc.c"
    break;

  case 1835: /* join_qual: ON a_expr  */
#line 11199 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 51951 "preproc.c"
    break;

  case 1836: /* relation_expr: qualified_name  */
#line 11207 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51959 "preproc.c"
    break;

  case 1837: /* relation_expr: extended_relation_expr  */
#line 11211 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51967 "preproc.c"
    break;

  case 1838: /* extended_relation_expr: qualified_name '*'  */
#line 11219 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 51975 "preproc.c"
    break;

  case 1839: /* extended_relation_expr: ONLY qualified_name  */
#line 11223 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 51983 "preproc.c"
    break;

  case 1840: /* extended_relation_expr: ONLY '(' qualified_name ')'  */
#line 11227 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51991 "preproc.c"
    break;

  case 1841: /* relation_expr_list: relation_expr  */
#line 11235 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51999 "preproc.c"
    break;

  case 1842: /* relation_expr_list: relation_expr_list ',' relation_expr  */
#line 11239 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52007 "preproc.c"
    break;

  case 1843: /* relation_expr_opt_alias: relation_expr  */
#line 11247 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52015 "preproc.c"
    break;

  case 1844: /* relation_expr_opt_alias: relation_expr ColId  */
#line 11251 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52023 "preproc.c"
    break;

  case 1845: /* relation_expr_opt_alias: relation_expr AS ColId  */
#line 11255 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 52031 "preproc.c"
    break;

  case 1846: /* tablesample_clause: TABLESAMPLE func_name '(' expr_list ')' opt_repeatable_clause  */
#line 11263 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 52039 "preproc.c"
    break;

  case 1847: /* opt_repeatable_clause: REPEATABLE '(' a_expr ')'  */
#line 11271 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52047 "preproc.c"
    break;

  case 1848: /* opt_repeatable_clause: %empty  */
#line 11275 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 52054 "preproc.c"
    break;

  case 1849: /* func_table: func_expr_windowless opt_ordinality  */
#line 11282 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52062 "preproc.c"
    break;

  case 1850: /* func_table: ROWS FROM '(' rowsfrom_list ')' opt_ordinality  */
#line 11286 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 52070 "preproc.c"
    break;

  case 1851: /* rowsfrom_item: func_expr_windowless opt_col_def_list  */
#line 11294 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52078 "preproc.c"
    break;

  case 1852: /* rowsfrom_list: rowsfrom_item  */
#line 11302 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52086 "preproc.c"
    break;

  case 1853: /* rowsfrom_list: rowsfrom_list ',' rowsfrom_item  */
#line 11306 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52094 "preproc.c"
    break;

  case 1854: /* opt_col_def_list: AS '(' TableFuncElementList ')'  */
#line 11314 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52102 "preproc.c"
    break;

  case 1855: /* opt_col_def_list: %empty  */
#line 11318 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 52109 "preproc.c"
    break;

  case 1856: /* opt_ordinality: WITH_LA ORDINALITY  */
#line 11325 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 52117 "preproc.c"
    break;

  case 1857: /* opt_ordinality: %empty  */
#line 11329 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 52124 "preproc.c"
    break;

  case 1858: /* where_clause: WHERE a_expr  */
#line 11336 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 52132 "preproc.c"
    break;

  case 1859: /* where_clause: %empty  */
#line 11340 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 52139 "preproc.c"
    break;

  case 1860: /* where_or_current_clause: WHERE a_expr  */
#line 11347 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 52147 "preproc.c"
    break;

  case 1861: /* where_or_current_clause: WHERE CURRENT_P OF cursor_name  */
#line 11351 "preproc.y"
        {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 52156 "preproc.c"
    break;

  case 1862: /* where_or_current_clause: %empty  */
#line 11356 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 52163 "preproc.c"
    break;

  case 1863: /* OptTableFuncElementList: TableFuncElementList  */
#line 11363 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52171 "preproc.c"
    break;

  case 1864: /* OptTableFuncElementList: %empty  */
#line 11367 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 52178 "preproc.c"
    break;

  case 1865: /* TableFuncElementList: TableFuncElement  */
#line 11374 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52186 "preproc.c"
    break;

  case 1866: /* TableFuncElementList: TableFuncElementList ',' TableFuncElement  */
#line 11378 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52194 "preproc.c"
    break;

  case 1867: /* TableFuncElement: ColId Typename opt_collate_clause  */
#line 11386 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52202 "preproc.c"
    break;

  case 1868: /* xmltable: XMLTABLE '(' c_expr xmlexists_argument COLUMNS xmltable_column_list ')'  */
#line 11394 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("xmltable ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52210 "preproc.c"
    break;

  case 1869: /* xmltable: XMLTABLE '(' XMLNAMESPACES '(' xml_namespace_list ')' ',' c_expr xmlexists_argument COLUMNS xmltable_column_list ')'  */
#line 11398 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("xmltable ( xmlnamespaces ("),(yyvsp[-7].str),mm_strdup(") ,"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52218 "preproc.c"
    break;

  case 1870: /* xmltable_column_list: xmltable_column_el  */
#line 11406 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52226 "preproc.c"
    break;

  case 1871: /* xmltable_column_list: xmltable_column_list ',' xmltable_column_el  */
#line 11410 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52234 "preproc.c"
    break;

  case 1872: /* xmltable_column_el: ColId Typename  */
#line 11418 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52242 "preproc.c"
    break;

  case 1873: /* xmltable_column_el: ColId Typename xmltable_column_option_list  */
#line 11422 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52250 "preproc.c"
    break;

  case 1874: /* xmltable_column_el: ColId FOR ORDINALITY  */
#line 11426 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 52258 "preproc.c"
    break;

  case 1875: /* xmltable_column_option_list: xmltable_column_option_el  */
#line 11434 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52266 "preproc.c"
    break;

  case 1876: /* xmltable_column_option_list: xmltable_column_option_list xmltable_column_option_el  */
#line 11438 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52274 "preproc.c"
    break;

  case 1877: /* xmltable_column_option_el: ecpg_ident b_expr  */
#line 11446 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52282 "preproc.c"
    break;

  case 1878: /* xmltable_column_option_el: DEFAULT b_expr  */
#line 11450 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 52290 "preproc.c"
    break;

  case 1879: /* xmltable_column_option_el: NOT NULL_P  */
#line 11454 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not null");
}
#line 52298 "preproc.c"
    break;

  case 1880: /* xmltable_column_option_el: NULL_P  */
#line 11458 "preproc.y"
 { 
 (yyval.str) = mm_strdup("null");
}
#line 52306 "preproc.c"
    break;

  case 1881: /* xml_namespace_list: xml_namespace_el  */
#line 11466 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52314 "preproc.c"
    break;

  case 1882: /* xml_namespace_list: xml_namespace_list ',' xml_namespace_el  */
#line 11470 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52322 "preproc.c"
    break;

  case 1883: /* xml_namespace_el: b_expr AS ColLabel  */
#line 11478 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 52330 "preproc.c"
    break;

  case 1884: /* xml_namespace_el: DEFAULT b_expr  */
#line 11482 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 52338 "preproc.c"
    break;

  case 1885: /* Typename: SimpleTypename opt_array_bounds  */
#line 11490 "preproc.y"
        {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 52344 "preproc.c"
    break;

  case 1886: /* Typename: SETOF SimpleTypename opt_array_bounds  */
#line 11492 "preproc.y"
        {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 52350 "preproc.c"
    break;

  case 1887: /* Typename: SimpleTypename ARRAY '[' Iconst ']'  */
#line 11494 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 52358 "preproc.c"
    break;

  case 1888: /* Typename: SETOF SimpleTypename ARRAY '[' Iconst ']'  */
#line 11498 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 52366 "preproc.c"
    break;

  case 1889: /* Typename: SimpleTypename ARRAY  */
#line 11502 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 52374 "preproc.c"
    break;

  case 1890: /* Typename: SETOF SimpleTypename ARRAY  */
#line 11506 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 52382 "preproc.c"
    break;

  case 1891: /* opt_array_bounds: opt_array_bounds '[' ']'  */
#line 11514 "preproc.y"
        {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 52396 "preproc.c"
    break;

  case 1892: /* opt_array_bounds: opt_array_bounds '[' Iresult ']'  */
#line 11524 "preproc.y"
        {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 52410 "preproc.c"
    break;

  case 1893: /* opt_array_bounds: %empty  */
#line 11534 "preproc.y"
        {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 52420 "preproc.c"
    break;

  case 1894: /* SimpleTypename: GenericType  */
#line 11544 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52428 "preproc.c"
    break;

  case 1895: /* SimpleTypename: Numeric  */
#line 11548 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52436 "preproc.c"
    break;

  case 1896: /* SimpleTypename: Bit  */
#line 11552 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52444 "preproc.c"
    break;

  case 1897: /* SimpleTypename: Character  */
#line 11556 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52452 "preproc.c"
    break;

  case 1898: /* SimpleTypename: ConstDatetime  */
#line 11560 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52460 "preproc.c"
    break;

  case 1899: /* SimpleTypename: ConstInterval opt_interval  */
#line 11564 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52468 "preproc.c"
    break;

  case 1900: /* SimpleTypename: ConstInterval '(' Iconst ')'  */
#line 11568 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52476 "preproc.c"
    break;

  case 1901: /* ConstTypename: Numeric  */
#line 11576 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52484 "preproc.c"
    break;

  case 1902: /* ConstTypename: ConstBit  */
#line 11580 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52492 "preproc.c"
    break;

  case 1903: /* ConstTypename: ConstCharacter  */
#line 11584 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52500 "preproc.c"
    break;

  case 1904: /* ConstTypename: ConstDatetime  */
#line 11588 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52508 "preproc.c"
    break;

  case 1905: /* GenericType: type_function_name opt_type_modifiers  */
#line 11596 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52516 "preproc.c"
    break;

  case 1906: /* GenericType: type_function_name attrs opt_type_modifiers  */
#line 11600 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52524 "preproc.c"
    break;

  case 1907: /* opt_type_modifiers: '(' expr_list ')'  */
#line 11608 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52532 "preproc.c"
    break;

  case 1908: /* opt_type_modifiers: %empty  */
#line 11612 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 52539 "preproc.c"
    break;

  case 1909: /* Numeric: INT_P  */
#line 11619 "preproc.y"
 { 
 (yyval.str) = mm_strdup("int");
}
#line 52547 "preproc.c"
    break;

  case 1910: /* Numeric: INTEGER  */
#line 11623 "preproc.y"
 { 
 (yyval.str) = mm_strdup("integer");
}
#line 52555 "preproc.c"
    break;

  case 1911: /* Numeric: SMALLINT  */
#line 11627 "preproc.y"
 { 
 (yyval.str) = mm_strdup("smallint");
}
#line 52563 "preproc.c"
    break;

  case 1912: /* Numeric: BIGINT  */
#line 11631 "preproc.y"
 { 
 (yyval.str) = mm_strdup("bigint");
}
#line 52571 "preproc.c"
    break;

  case 1913: /* Numeric: REAL  */
#line 11635 "preproc.y"
 { 
 (yyval.str) = mm_strdup("real");
}
#line 52579 "preproc.c"
    break;

  case 1914: /* Numeric: FLOAT_P opt_float  */
#line 11639 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 52587 "preproc.c"
    break;

  case 1915: /* Numeric: DOUBLE_P PRECISION  */
#line 11643 "preproc.y"
 { 
 (yyval.str) = mm_strdup("double precision");
}
#line 52595 "preproc.c"
    break;

  case 1916: /* Numeric: DECIMAL_P opt_type_modifiers  */
#line 11647 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 52603 "preproc.c"
    break;

  case 1917: /* Numeric: DEC opt_type_modifiers  */
#line 11651 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 52611 "preproc.c"
    break;

  case 1918: /* Numeric: NUMERIC opt_type_modifiers  */
#line 11655 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 52619 "preproc.c"
    break;

  case 1919: /* Numeric: BOOLEAN_P  */
#line 11659 "preproc.y"
 { 
 (yyval.str) = mm_strdup("boolean");
}
#line 52627 "preproc.c"
    break;

  case 1920: /* opt_float: '(' Iconst ')'  */
#line 11667 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52635 "preproc.c"
    break;

  case 1921: /* opt_float: %empty  */
#line 11671 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 52642 "preproc.c"
    break;

  case 1922: /* Bit: BitWithLength  */
#line 11678 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52650 "preproc.c"
    break;

  case 1923: /* Bit: BitWithoutLength  */
#line 11682 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52658 "preproc.c"
    break;

  case 1924: /* ConstBit: BitWithLength  */
#line 11690 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52666 "preproc.c"
    break;

  case 1925: /* ConstBit: BitWithoutLength  */
#line 11694 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52674 "preproc.c"
    break;

  case 1926: /* BitWithLength: BIT opt_varying '(' expr_list ')'  */
#line 11702 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52682 "preproc.c"
    break;

  case 1927: /* BitWithoutLength: BIT opt_varying  */
#line 11710 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 52690 "preproc.c"
    break;

  case 1928: /* Character: CharacterWithLength  */
#line 11718 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52698 "preproc.c"
    break;

  case 1929: /* Character: CharacterWithoutLength  */
#line 11722 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52706 "preproc.c"
    break;

  case 1930: /* ConstCharacter: CharacterWithLength  */
#line 11730 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52714 "preproc.c"
    break;

  case 1931: /* ConstCharacter: CharacterWithoutLength  */
#line 11734 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52722 "preproc.c"
    break;

  case 1932: /* CharacterWithLength: character '(' Iconst ')'  */
#line 11742 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52730 "preproc.c"
    break;

  case 1933: /* CharacterWithoutLength: character  */
#line 11750 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52738 "preproc.c"
    break;

  case 1934: /* character: CHARACTER opt_varying  */
#line 11758 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 52746 "preproc.c"
    break;

  case 1935: /* character: CHAR_P opt_varying  */
#line 11762 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 52754 "preproc.c"
    break;

  case 1936: /* character: VARCHAR  */
#line 11766 "preproc.y"
 { 
 (yyval.str) = mm_strdup("varchar");
}
#line 52762 "preproc.c"
    break;

  case 1937: /* character: NATIONAL CHARACTER opt_varying  */
#line 11770 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 52770 "preproc.c"
    break;

  case 1938: /* character: NATIONAL CHAR_P opt_varying  */
#line 11774 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 52778 "preproc.c"
    break;

  case 1939: /* character: NCHAR opt_varying  */
#line 11778 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 52786 "preproc.c"
    break;

  case 1940: /* opt_varying: VARYING  */
#line 11786 "preproc.y"
 { 
 (yyval.str) = mm_strdup("varying");
}
#line 52794 "preproc.c"
    break;

  case 1941: /* opt_varying: %empty  */
#line 11790 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 52801 "preproc.c"
    break;

  case 1942: /* ConstDatetime: TIMESTAMP '(' Iconst ')' opt_timezone  */
#line 11797 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 52809 "preproc.c"
    break;

  case 1943: /* ConstDatetime: TIMESTAMP opt_timezone  */
#line 11801 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 52817 "preproc.c"
    break;

  case 1944: /* ConstDatetime: TIME '(' Iconst ')' opt_timezone  */
#line 11805 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 52825 "preproc.c"
    break;

  case 1945: /* ConstDatetime: TIME opt_timezone  */
#line 11809 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 52833 "preproc.c"
    break;

  case 1946: /* ConstInterval: INTERVAL  */
#line 11817 "preproc.y"
 { 
 (yyval.str) = mm_strdup("interval");
}
#line 52841 "preproc.c"
    break;

  case 1947: /* opt_timezone: WITH_LA TIME ZONE  */
#line 11825 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 52849 "preproc.c"
    break;

  case 1948: /* opt_timezone: WITHOUT TIME ZONE  */
#line 11829 "preproc.y"
 { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 52857 "preproc.c"
    break;

  case 1949: /* opt_timezone: %empty  */
#line 11833 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 52864 "preproc.c"
    break;

  case 1950: /* opt_interval: YEAR_P  */
#line 11840 "preproc.y"
 { 
 (yyval.str) = mm_strdup("year");
}
#line 52872 "preproc.c"
    break;

  case 1951: /* opt_interval: MONTH_P  */
#line 11844 "preproc.y"
 { 
 (yyval.str) = mm_strdup("month");
}
#line 52880 "preproc.c"
    break;

  case 1952: /* opt_interval: DAY_P  */
#line 11848 "preproc.y"
 { 
 (yyval.str) = mm_strdup("day");
}
#line 52888 "preproc.c"
    break;

  case 1953: /* opt_interval: HOUR_P  */
#line 11852 "preproc.y"
 { 
 (yyval.str) = mm_strdup("hour");
}
#line 52896 "preproc.c"
    break;

  case 1954: /* opt_interval: MINUTE_P  */
#line 11856 "preproc.y"
 { 
 (yyval.str) = mm_strdup("minute");
}
#line 52904 "preproc.c"
    break;

  case 1955: /* opt_interval: interval_second  */
#line 11860 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52912 "preproc.c"
    break;

  case 1956: /* opt_interval: YEAR_P TO MONTH_P  */
#line 11864 "preproc.y"
 { 
 (yyval.str) = mm_strdup("year to month");
}
#line 52920 "preproc.c"
    break;

  case 1957: /* opt_interval: DAY_P TO HOUR_P  */
#line 11868 "preproc.y"
 { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 52928 "preproc.c"
    break;

  case 1958: /* opt_interval: DAY_P TO MINUTE_P  */
#line 11872 "preproc.y"
 { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 52936 "preproc.c"
    break;

  case 1959: /* opt_interval: DAY_P TO interval_second  */
#line 11876 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 52944 "preproc.c"
    break;

  case 1960: /* opt_interval: HOUR_P TO MINUTE_P  */
#line 11880 "preproc.y"
 { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 52952 "preproc.c"
    break;

  case 1961: /* opt_interval: HOUR_P TO interval_second  */
#line 11884 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 52960 "preproc.c"
    break;

  case 1962: /* opt_interval: MINUTE_P TO interval_second  */
#line 11888 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 52968 "preproc.c"
    break;

  case 1963: /* opt_interval: %empty  */
#line 11892 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 52975 "preproc.c"
    break;

  case 1964: /* interval_second: SECOND_P  */
#line 11899 "preproc.y"
 { 
 (yyval.str) = mm_strdup("second");
}
#line 52983 "preproc.c"
    break;

  case 1965: /* interval_second: SECOND_P '(' Iconst ')'  */
#line 11903 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52991 "preproc.c"
    break;

  case 1966: /* a_expr: c_expr  */
#line 11911 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52999 "preproc.c"
    break;

  case 1967: /* a_expr: a_expr TYPECAST Typename  */
#line 11915 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 53007 "preproc.c"
    break;

  case 1968: /* a_expr: a_expr COLLATE any_name  */
#line 11919 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 53015 "preproc.c"
    break;

  case 1969: /* a_expr: a_expr AT TIME ZONE a_expr  */
#line 11923 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 53023 "preproc.c"
    break;

  case 1970: /* a_expr: '+' a_expr  */
#line 11927 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 53031 "preproc.c"
    break;

  case 1971: /* a_expr: '-' a_expr  */
#line 11931 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 53039 "preproc.c"
    break;

  case 1972: /* a_expr: a_expr '+' a_expr  */
#line 11935 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 53047 "preproc.c"
    break;

  case 1973: /* a_expr: a_expr '-' a_expr  */
#line 11939 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 53055 "preproc.c"
    break;

  case 1974: /* a_expr: a_expr '*' a_expr  */
#line 11943 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 53063 "preproc.c"
    break;

  case 1975: /* a_expr: a_expr '/' a_expr  */
#line 11947 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 53071 "preproc.c"
    break;

  case 1976: /* a_expr: a_expr '%' a_expr  */
#line 11951 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 53079 "preproc.c"
    break;

  case 1977: /* a_expr: a_expr '^' a_expr  */
#line 11955 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 53087 "preproc.c"
    break;

  case 1978: /* a_expr: a_expr '<' a_expr  */
#line 11959 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 53095 "preproc.c"
    break;

  case 1979: /* a_expr: a_expr '>' a_expr  */
#line 11963 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 53103 "preproc.c"
    break;

  case 1980: /* a_expr: a_expr '=' a_expr  */
#line 11967 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 53111 "preproc.c"
    break;

  case 1981: /* a_expr: a_expr LESS_EQUALS a_expr  */
#line 11971 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 53119 "preproc.c"
    break;

  case 1982: /* a_expr: a_expr GREATER_EQUALS a_expr  */
#line 11975 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 53127 "preproc.c"
    break;

  case 1983: /* a_expr: a_expr NOT_EQUALS a_expr  */
#line 11979 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 53135 "preproc.c"
    break;

  case 1984: /* a_expr: a_expr qual_Op a_expr  */
#line 11983 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53143 "preproc.c"
    break;

  case 1985: /* a_expr: qual_Op a_expr  */
#line 11987 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53151 "preproc.c"
    break;

  case 1986: /* a_expr: a_expr AND a_expr  */
#line 11991 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 53159 "preproc.c"
    break;

  case 1987: /* a_expr: a_expr OR a_expr  */
#line 11995 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 53167 "preproc.c"
    break;

  case 1988: /* a_expr: NOT a_expr  */
#line 11999 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 53175 "preproc.c"
    break;

  case 1989: /* a_expr: NOT_LA a_expr  */
#line 12003 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 53183 "preproc.c"
    break;

  case 1990: /* a_expr: a_expr LIKE a_expr  */
#line 12007 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 53191 "preproc.c"
    break;

  case 1991: /* a_expr: a_expr LIKE a_expr ESCAPE a_expr  */
#line 12011 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 53199 "preproc.c"
    break;

  case 1992: /* a_expr: a_expr NOT_LA LIKE a_expr  */
#line 12015 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 53207 "preproc.c"
    break;

  case 1993: /* a_expr: a_expr NOT_LA LIKE a_expr ESCAPE a_expr  */
#line 12019 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 53215 "preproc.c"
    break;

  case 1994: /* a_expr: a_expr ILIKE a_expr  */
#line 12023 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 53223 "preproc.c"
    break;

  case 1995: /* a_expr: a_expr ILIKE a_expr ESCAPE a_expr  */
#line 12027 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 53231 "preproc.c"
    break;

  case 1996: /* a_expr: a_expr NOT_LA ILIKE a_expr  */
#line 12031 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 53239 "preproc.c"
    break;

  case 1997: /* a_expr: a_expr NOT_LA ILIKE a_expr ESCAPE a_expr  */
#line 12035 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 53247 "preproc.c"
    break;

  case 1998: /* a_expr: a_expr SIMILAR TO a_expr  */
#line 12039 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 53255 "preproc.c"
    break;

  case 1999: /* a_expr: a_expr SIMILAR TO a_expr ESCAPE a_expr  */
#line 12043 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 53263 "preproc.c"
    break;

  case 2000: /* a_expr: a_expr NOT_LA SIMILAR TO a_expr  */
#line 12047 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 53271 "preproc.c"
    break;

  case 2001: /* a_expr: a_expr NOT_LA SIMILAR TO a_expr ESCAPE a_expr  */
#line 12051 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 53279 "preproc.c"
    break;

  case 2002: /* a_expr: a_expr IS NULL_P  */
#line 12055 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 53287 "preproc.c"
    break;

  case 2003: /* a_expr: a_expr ISNULL  */
#line 12059 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 53295 "preproc.c"
    break;

  case 2004: /* a_expr: a_expr IS NOT NULL_P  */
#line 12063 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 53303 "preproc.c"
    break;

  case 2005: /* a_expr: a_expr NOTNULL  */
#line 12067 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 53311 "preproc.c"
    break;

  case 2006: /* a_expr: row OVERLAPS row  */
#line 12071 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 53319 "preproc.c"
    break;

  case 2007: /* a_expr: a_expr IS TRUE_P  */
#line 12075 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 53327 "preproc.c"
    break;

  case 2008: /* a_expr: a_expr IS NOT TRUE_P  */
#line 12079 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 53335 "preproc.c"
    break;

  case 2009: /* a_expr: a_expr IS FALSE_P  */
#line 12083 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 53343 "preproc.c"
    break;

  case 2010: /* a_expr: a_expr IS NOT FALSE_P  */
#line 12087 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 53351 "preproc.c"
    break;

  case 2011: /* a_expr: a_expr IS UNKNOWN  */
#line 12091 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 53359 "preproc.c"
    break;

  case 2012: /* a_expr: a_expr IS NOT UNKNOWN  */
#line 12095 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 53367 "preproc.c"
    break;

  case 2013: /* a_expr: a_expr IS DISTINCT FROM a_expr  */
#line 12099 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 53375 "preproc.c"
    break;

  case 2014: /* a_expr: a_expr IS NOT DISTINCT FROM a_expr  */
#line 12103 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 53383 "preproc.c"
    break;

  case 2015: /* a_expr: a_expr BETWEEN opt_asymmetric b_expr AND a_expr  */
#line 12107 "preproc.y"
 { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 53391 "preproc.c"
    break;

  case 2016: /* a_expr: a_expr NOT_LA BETWEEN opt_asymmetric b_expr AND a_expr  */
#line 12111 "preproc.y"
 { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 53399 "preproc.c"
    break;

  case 2017: /* a_expr: a_expr BETWEEN SYMMETRIC b_expr AND a_expr  */
#line 12115 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 53407 "preproc.c"
    break;

  case 2018: /* a_expr: a_expr NOT_LA BETWEEN SYMMETRIC b_expr AND a_expr  */
#line 12119 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 53415 "preproc.c"
    break;

  case 2019: /* a_expr: a_expr IN_P in_expr  */
#line 12123 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 53423 "preproc.c"
    break;

  case 2020: /* a_expr: a_expr NOT_LA IN_P in_expr  */
#line 12127 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 53431 "preproc.c"
    break;

  case 2021: /* a_expr: a_expr subquery_Op sub_type select_with_parens  */
#line 12131 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53439 "preproc.c"
    break;

  case 2022: /* a_expr: a_expr subquery_Op sub_type '(' a_expr ')'  */
#line 12135 "preproc.y"
 { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53447 "preproc.c"
    break;

  case 2023: /* a_expr: UNIQUE opt_unique_null_treatment select_with_parens  */
#line 12139 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53456 "preproc.c"
    break;

  case 2024: /* a_expr: a_expr IS DOCUMENT_P  */
#line 12144 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 53464 "preproc.c"
    break;

  case 2025: /* a_expr: a_expr IS NOT DOCUMENT_P  */
#line 12148 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 53472 "preproc.c"
    break;

  case 2026: /* a_expr: a_expr IS NORMALIZED  */
#line 12152 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is normalized"));
}
#line 53480 "preproc.c"
    break;

  case 2027: /* a_expr: a_expr IS unicode_normal_form NORMALIZED  */
#line 12156 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("is"),(yyvsp[-1].str),mm_strdup("normalized"));
}
#line 53488 "preproc.c"
    break;

  case 2028: /* a_expr: a_expr IS NOT NORMALIZED  */
#line 12160 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not normalized"));
}
#line 53496 "preproc.c"
    break;

  case 2029: /* a_expr: a_expr IS NOT unicode_normal_form NORMALIZED  */
#line 12164 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("is not"),(yyvsp[-1].str),mm_strdup("normalized"));
}
#line 53504 "preproc.c"
    break;

  case 2030: /* a_expr: DEFAULT  */
#line 12168 "preproc.y"
 { 
 (yyval.str) = mm_strdup("default");
}
#line 53512 "preproc.c"
    break;

  case 2031: /* b_expr: c_expr  */
#line 12176 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53520 "preproc.c"
    break;

  case 2032: /* b_expr: b_expr TYPECAST Typename  */
#line 12180 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 53528 "preproc.c"
    break;

  case 2033: /* b_expr: '+' b_expr  */
#line 12184 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 53536 "preproc.c"
    break;

  case 2034: /* b_expr: '-' b_expr  */
#line 12188 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 53544 "preproc.c"
    break;

  case 2035: /* b_expr: b_expr '+' b_expr  */
#line 12192 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 53552 "preproc.c"
    break;

  case 2036: /* b_expr: b_expr '-' b_expr  */
#line 12196 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 53560 "preproc.c"
    break;

  case 2037: /* b_expr: b_expr '*' b_expr  */
#line 12200 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 53568 "preproc.c"
    break;

  case 2038: /* b_expr: b_expr '/' b_expr  */
#line 12204 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 53576 "preproc.c"
    break;

  case 2039: /* b_expr: b_expr '%' b_expr  */
#line 12208 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 53584 "preproc.c"
    break;

  case 2040: /* b_expr: b_expr '^' b_expr  */
#line 12212 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 53592 "preproc.c"
    break;

  case 2041: /* b_expr: b_expr '<' b_expr  */
#line 12216 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 53600 "preproc.c"
    break;

  case 2042: /* b_expr: b_expr '>' b_expr  */
#line 12220 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 53608 "preproc.c"
    break;

  case 2043: /* b_expr: b_expr '=' b_expr  */
#line 12224 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 53616 "preproc.c"
    break;

  case 2044: /* b_expr: b_expr LESS_EQUALS b_expr  */
#line 12228 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 53624 "preproc.c"
    break;

  case 2045: /* b_expr: b_expr GREATER_EQUALS b_expr  */
#line 12232 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 53632 "preproc.c"
    break;

  case 2046: /* b_expr: b_expr NOT_EQUALS b_expr  */
#line 12236 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 53640 "preproc.c"
    break;

  case 2047: /* b_expr: b_expr qual_Op b_expr  */
#line 12240 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53648 "preproc.c"
    break;

  case 2048: /* b_expr: qual_Op b_expr  */
#line 12244 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53656 "preproc.c"
    break;

  case 2049: /* b_expr: b_expr IS DISTINCT FROM b_expr  */
#line 12248 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 53664 "preproc.c"
    break;

  case 2050: /* b_expr: b_expr IS NOT DISTINCT FROM b_expr  */
#line 12252 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 53672 "preproc.c"
    break;

  case 2051: /* b_expr: b_expr IS DOCUMENT_P  */
#line 12256 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 53680 "preproc.c"
    break;

  case 2052: /* b_expr: b_expr IS NOT DOCUMENT_P  */
#line 12260 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 53688 "preproc.c"
    break;

  case 2053: /* c_expr: columnref  */
#line 12268 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53696 "preproc.c"
    break;

  case 2054: /* c_expr: AexprConst  */
#line 12272 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53704 "preproc.c"
    break;

  case 2055: /* c_expr: ecpg_param opt_indirection  */
#line 12276 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53712 "preproc.c"
    break;

  case 2056: /* c_expr: '(' a_expr ')' opt_indirection  */
#line 12280 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 53720 "preproc.c"
    break;

  case 2057: /* c_expr: case_expr  */
#line 12284 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53728 "preproc.c"
    break;

  case 2058: /* c_expr: func_expr  */
#line 12288 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53736 "preproc.c"
    break;

  case 2059: /* c_expr: select_with_parens  */
#line 12292 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53744 "preproc.c"
    break;

  case 2060: /* c_expr: select_with_parens indirection  */
#line 12296 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53752 "preproc.c"
    break;

  case 2061: /* c_expr: EXISTS select_with_parens  */
#line 12300 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 53760 "preproc.c"
    break;

  case 2062: /* c_expr: ARRAY select_with_parens  */
#line 12304 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 53768 "preproc.c"
    break;

  case 2063: /* c_expr: ARRAY array_expr  */
#line 12308 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 53776 "preproc.c"
    break;

  case 2064: /* c_expr: explicit_row  */
#line 12312 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53784 "preproc.c"
    break;

  case 2065: /* c_expr: implicit_row  */
#line 12316 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53792 "preproc.c"
    break;

  case 2066: /* c_expr: GROUPING '(' expr_list ')'  */
#line 12320 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53800 "preproc.c"
    break;

  case 2067: /* func_application: func_name '(' ')'  */
#line 12328 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 53808 "preproc.c"
    break;

  case 2068: /* func_application: func_name '(' func_arg_list opt_sort_clause ')'  */
#line 12332 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53816 "preproc.c"
    break;

  case 2069: /* func_application: func_name '(' VARIADIC func_arg_expr opt_sort_clause ')'  */
#line 12336 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53824 "preproc.c"
    break;

  case 2070: /* func_application: func_name '(' func_arg_list ',' VARIADIC func_arg_expr opt_sort_clause ')'  */
#line 12340 "preproc.y"
 { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53832 "preproc.c"
    break;

  case 2071: /* func_application: func_name '(' ALL func_arg_list opt_sort_clause ')'  */
#line 12344 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53840 "preproc.c"
    break;

  case 2072: /* func_application: func_name '(' DISTINCT func_arg_list opt_sort_clause ')'  */
#line 12348 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53848 "preproc.c"
    break;

  case 2073: /* func_application: func_name '(' '*' ')'  */
#line 12352 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 53856 "preproc.c"
    break;

  case 2074: /* func_expr: func_application within_group_clause filter_clause over_clause  */
#line 12360 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53864 "preproc.c"
    break;

  case 2075: /* func_expr: func_expr_common_subexpr  */
#line 12364 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53872 "preproc.c"
    break;

  case 2076: /* func_expr_windowless: func_application  */
#line 12372 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53880 "preproc.c"
    break;

  case 2077: /* func_expr_windowless: func_expr_common_subexpr  */
#line 12376 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53888 "preproc.c"
    break;

  case 2078: /* func_expr_common_subexpr: COLLATION FOR '(' a_expr ')'  */
#line 12384 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53896 "preproc.c"
    break;

  case 2079: /* func_expr_common_subexpr: CURRENT_DATE  */
#line 12388 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_date");
}
#line 53904 "preproc.c"
    break;

  case 2080: /* func_expr_common_subexpr: CURRENT_TIME  */
#line 12392 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_time");
}
#line 53912 "preproc.c"
    break;

  case 2081: /* func_expr_common_subexpr: CURRENT_TIME '(' Iconst ')'  */
#line 12396 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53920 "preproc.c"
    break;

  case 2082: /* func_expr_common_subexpr: CURRENT_TIMESTAMP  */
#line 12400 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 53928 "preproc.c"
    break;

  case 2083: /* func_expr_common_subexpr: CURRENT_TIMESTAMP '(' Iconst ')'  */
#line 12404 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53936 "preproc.c"
    break;

  case 2084: /* func_expr_common_subexpr: LOCALTIME  */
#line 12408 "preproc.y"
 { 
 (yyval.str) = mm_strdup("localtime");
}
#line 53944 "preproc.c"
    break;

  case 2085: /* func_expr_common_subexpr: LOCALTIME '(' Iconst ')'  */
#line 12412 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53952 "preproc.c"
    break;

  case 2086: /* func_expr_common_subexpr: LOCALTIMESTAMP  */
#line 12416 "preproc.y"
 { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 53960 "preproc.c"
    break;

  case 2087: /* func_expr_common_subexpr: LOCALTIMESTAMP '(' Iconst ')'  */
#line 12420 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53968 "preproc.c"
    break;

  case 2088: /* func_expr_common_subexpr: CURRENT_ROLE  */
#line 12424 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_role");
}
#line 53976 "preproc.c"
    break;

  case 2089: /* func_expr_common_subexpr: CURRENT_USER  */
#line 12428 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_user");
}
#line 53984 "preproc.c"
    break;

  case 2090: /* func_expr_common_subexpr: SESSION_USER  */
#line 12432 "preproc.y"
 { 
 (yyval.str) = mm_strdup("session_user");
}
#line 53992 "preproc.c"
    break;

  case 2091: /* func_expr_common_subexpr: USER  */
#line 12436 "preproc.y"
 { 
 (yyval.str) = mm_strdup("user");
}
#line 54000 "preproc.c"
    break;

  case 2092: /* func_expr_common_subexpr: CURRENT_CATALOG  */
#line 12440 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 54008 "preproc.c"
    break;

  case 2093: /* func_expr_common_subexpr: CURRENT_SCHEMA  */
#line 12444 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 54016 "preproc.c"
    break;

  case 2094: /* func_expr_common_subexpr: CAST '(' a_expr AS Typename ')'  */
#line 12448 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54024 "preproc.c"
    break;

  case 2095: /* func_expr_common_subexpr: EXTRACT '(' extract_list ')'  */
#line 12452 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54032 "preproc.c"
    break;

  case 2096: /* func_expr_common_subexpr: NORMALIZE '(' a_expr ')'  */
#line 12456 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("normalize ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54040 "preproc.c"
    break;

  case 2097: /* func_expr_common_subexpr: NORMALIZE '(' a_expr ',' unicode_normal_form ')'  */
#line 12460 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("normalize ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54048 "preproc.c"
    break;

  case 2098: /* func_expr_common_subexpr: OVERLAY '(' overlay_list ')'  */
#line 12464 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54056 "preproc.c"
    break;

  case 2099: /* func_expr_common_subexpr: OVERLAY '(' func_arg_list_opt ')'  */
#line 12468 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54064 "preproc.c"
    break;

  case 2100: /* func_expr_common_subexpr: POSITION '(' position_list ')'  */
#line 12472 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54072 "preproc.c"
    break;

  case 2101: /* func_expr_common_subexpr: SUBSTRING '(' substr_list ')'  */
#line 12476 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54080 "preproc.c"
    break;

  case 2102: /* func_expr_common_subexpr: SUBSTRING '(' func_arg_list_opt ')'  */
#line 12480 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54088 "preproc.c"
    break;

  case 2103: /* func_expr_common_subexpr: TREAT '(' a_expr AS Typename ')'  */
#line 12484 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54096 "preproc.c"
    break;

  case 2104: /* func_expr_common_subexpr: TRIM '(' BOTH trim_list ')'  */
#line 12488 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54104 "preproc.c"
    break;

  case 2105: /* func_expr_common_subexpr: TRIM '(' LEADING trim_list ')'  */
#line 12492 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54112 "preproc.c"
    break;

  case 2106: /* func_expr_common_subexpr: TRIM '(' TRAILING trim_list ')'  */
#line 12496 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54120 "preproc.c"
    break;

  case 2107: /* func_expr_common_subexpr: TRIM '(' trim_list ')'  */
#line 12500 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54128 "preproc.c"
    break;

  case 2108: /* func_expr_common_subexpr: NULLIF '(' a_expr ',' a_expr ')'  */
#line 12504 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54136 "preproc.c"
    break;

  case 2109: /* func_expr_common_subexpr: COALESCE '(' expr_list ')'  */
#line 12508 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54144 "preproc.c"
    break;

  case 2110: /* func_expr_common_subexpr: GREATEST '(' expr_list ')'  */
#line 12512 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54152 "preproc.c"
    break;

  case 2111: /* func_expr_common_subexpr: LEAST '(' expr_list ')'  */
#line 12516 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54160 "preproc.c"
    break;

  case 2112: /* func_expr_common_subexpr: XMLCONCAT '(' expr_list ')'  */
#line 12520 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54168 "preproc.c"
    break;

  case 2113: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ')'  */
#line 12524 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54176 "preproc.c"
    break;

  case 2114: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' xml_attributes ')'  */
#line 12528 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54184 "preproc.c"
    break;

  case 2115: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' expr_list ')'  */
#line 12532 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54192 "preproc.c"
    break;

  case 2116: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' xml_attributes ',' expr_list ')'  */
#line 12536 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54200 "preproc.c"
    break;

  case 2117: /* func_expr_common_subexpr: XMLEXISTS '(' c_expr xmlexists_argument ')'  */
#line 12540 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54208 "preproc.c"
    break;

  case 2118: /* func_expr_common_subexpr: XMLFOREST '(' xml_attribute_list ')'  */
#line 12544 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54216 "preproc.c"
    break;

  case 2119: /* func_expr_common_subexpr: XMLPARSE '(' document_or_content a_expr xml_whitespace_option ')'  */
#line 12548 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54224 "preproc.c"
    break;

  case 2120: /* func_expr_common_subexpr: XMLPI '(' NAME_P ColLabel ')'  */
#line 12552 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54232 "preproc.c"
    break;

  case 2121: /* func_expr_common_subexpr: XMLPI '(' NAME_P ColLabel ',' a_expr ')'  */
#line 12556 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54240 "preproc.c"
    break;

  case 2122: /* func_expr_common_subexpr: XMLROOT '(' a_expr ',' xml_root_version opt_xml_root_standalone ')'  */
#line 12560 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54248 "preproc.c"
    break;

  case 2123: /* func_expr_common_subexpr: XMLSERIALIZE '(' document_or_content a_expr AS SimpleTypename ')'  */
#line 12564 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54256 "preproc.c"
    break;

  case 2124: /* xml_root_version: VERSION_P a_expr  */
#line 12572 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 54264 "preproc.c"
    break;

  case 2125: /* xml_root_version: VERSION_P NO VALUE_P  */
#line 12576 "preproc.y"
 { 
 (yyval.str) = mm_strdup("version no value");
}
#line 54272 "preproc.c"
    break;

  case 2126: /* opt_xml_root_standalone: ',' STANDALONE_P YES_P  */
#line 12584 "preproc.y"
 { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 54280 "preproc.c"
    break;

  case 2127: /* opt_xml_root_standalone: ',' STANDALONE_P NO  */
#line 12588 "preproc.y"
 { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 54288 "preproc.c"
    break;

  case 2128: /* opt_xml_root_standalone: ',' STANDALONE_P NO VALUE_P  */
#line 12592 "preproc.y"
 { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 54296 "preproc.c"
    break;

  case 2129: /* opt_xml_root_standalone: %empty  */
#line 12596 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 54303 "preproc.c"
    break;

  case 2130: /* xml_attributes: XMLATTRIBUTES '(' xml_attribute_list ')'  */
#line 12603 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54311 "preproc.c"
    break;

  case 2131: /* xml_attribute_list: xml_attribute_el  */
#line 12611 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54319 "preproc.c"
    break;

  case 2132: /* xml_attribute_list: xml_attribute_list ',' xml_attribute_el  */
#line 12615 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54327 "preproc.c"
    break;

  case 2133: /* xml_attribute_el: a_expr AS ColLabel  */
#line 12623 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 54335 "preproc.c"
    break;

  case 2134: /* xml_attribute_el: a_expr  */
#line 12627 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54343 "preproc.c"
    break;

  case 2135: /* document_or_content: DOCUMENT_P  */
#line 12635 "preproc.y"
 { 
 (yyval.str) = mm_strdup("document");
}
#line 54351 "preproc.c"
    break;

  case 2136: /* document_or_content: CONTENT_P  */
#line 12639 "preproc.y"
 { 
 (yyval.str) = mm_strdup("content");
}
#line 54359 "preproc.c"
    break;

  case 2137: /* xml_whitespace_option: PRESERVE WHITESPACE_P  */
#line 12647 "preproc.y"
 { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 54367 "preproc.c"
    break;

  case 2138: /* xml_whitespace_option: STRIP_P WHITESPACE_P  */
#line 12651 "preproc.y"
 { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 54375 "preproc.c"
    break;

  case 2139: /* xml_whitespace_option: %empty  */
#line 12655 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 54382 "preproc.c"
    break;

  case 2140: /* xmlexists_argument: PASSING c_expr  */
#line 12662 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 54390 "preproc.c"
    break;

  case 2141: /* xmlexists_argument: PASSING c_expr xml_passing_mech  */
#line 12666 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54398 "preproc.c"
    break;

  case 2142: /* xmlexists_argument: PASSING xml_passing_mech c_expr  */
#line 12670 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54406 "preproc.c"
    break;

  case 2143: /* xmlexists_argument: PASSING xml_passing_mech c_expr xml_passing_mech  */
#line 12674 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("passing"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54414 "preproc.c"
    break;

  case 2144: /* xml_passing_mech: BY REF_P  */
#line 12682 "preproc.y"
 { 
 (yyval.str) = mm_strdup("by ref");
}
#line 54422 "preproc.c"
    break;

  case 2145: /* xml_passing_mech: BY VALUE_P  */
#line 12686 "preproc.y"
 { 
 (yyval.str) = mm_strdup("by value");
}
#line 54430 "preproc.c"
    break;

  case 2146: /* within_group_clause: WITHIN GROUP_P '(' sort_clause ')'  */
#line 12694 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54438 "preproc.c"
    break;

  case 2147: /* within_group_clause: %empty  */
#line 12698 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 54445 "preproc.c"
    break;

  case 2148: /* filter_clause: FILTER '(' WHERE a_expr ')'  */
#line 12705 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54453 "preproc.c"
    break;

  case 2149: /* filter_clause: %empty  */
#line 12709 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 54460 "preproc.c"
    break;

  case 2150: /* window_clause: WINDOW window_definition_list  */
#line 12716 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 54468 "preproc.c"
    break;

  case 2151: /* window_clause: %empty  */
#line 12720 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 54475 "preproc.c"
    break;

  case 2152: /* window_definition_list: window_definition  */
#line 12727 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54483 "preproc.c"
    break;

  case 2153: /* window_definition_list: window_definition_list ',' window_definition  */
#line 12731 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54491 "preproc.c"
    break;

  case 2154: /* window_definition: ColId AS window_specification  */
#line 12739 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 54499 "preproc.c"
    break;

  case 2155: /* over_clause: OVER window_specification  */
#line 12747 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 54507 "preproc.c"
    break;

  case 2156: /* over_clause: OVER ColId  */
#line 12751 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 54515 "preproc.c"
    break;

  case 2157: /* over_clause: %empty  */
#line 12755 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 54522 "preproc.c"
    break;

  case 2158: /* window_specification: '(' opt_existing_window_name opt_partition_clause opt_sort_clause opt_frame_clause ')'  */
#line 12762 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54530 "preproc.c"
    break;

  case 2159: /* opt_existing_window_name: ColId  */
#line 12770 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54538 "preproc.c"
    break;

  case 2160: /* opt_existing_window_name: %empty  */
#line 12774 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 54545 "preproc.c"
    break;

  case 2161: /* opt_partition_clause: PARTITION BY expr_list  */
#line 12781 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 54553 "preproc.c"
    break;

  case 2162: /* opt_partition_clause: %empty  */
#line 12785 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 54560 "preproc.c"
    break;

  case 2163: /* opt_frame_clause: RANGE frame_extent opt_window_exclusion_clause  */
#line 12792 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("range"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54568 "preproc.c"
    break;

  case 2164: /* opt_frame_clause: ROWS frame_extent opt_window_exclusion_clause  */
#line 12796 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("rows"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54576 "preproc.c"
    break;

  case 2165: /* opt_frame_clause: GROUPS frame_extent opt_window_exclusion_clause  */
#line 12800 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("groups"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54584 "preproc.c"
    break;

  case 2166: /* opt_frame_clause: %empty  */
#line 12804 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 54591 "preproc.c"
    break;

  case 2167: /* frame_extent: frame_bound  */
#line 12811 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54599 "preproc.c"
    break;

  case 2168: /* frame_extent: BETWEEN frame_bound AND frame_bound  */
#line 12815 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 54607 "preproc.c"
    break;

  case 2169: /* frame_bound: UNBOUNDED PRECEDING  */
#line 12823 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 54615 "preproc.c"
    break;

  case 2170: /* frame_bound: UNBOUNDED FOLLOWING  */
#line 12827 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 54623 "preproc.c"
    break;

  case 2171: /* frame_bound: CURRENT_P ROW  */
#line 12831 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current row");
}
#line 54631 "preproc.c"
    break;

  case 2172: /* frame_bound: a_expr PRECEDING  */
#line 12835 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 54639 "preproc.c"
    break;

  case 2173: /* frame_bound: a_expr FOLLOWING  */
#line 12839 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 54647 "preproc.c"
    break;

  case 2174: /* opt_window_exclusion_clause: EXCLUDE CURRENT_P ROW  */
#line 12847 "preproc.y"
 { 
 (yyval.str) = mm_strdup("exclude current row");
}
#line 54655 "preproc.c"
    break;

  case 2175: /* opt_window_exclusion_clause: EXCLUDE GROUP_P  */
#line 12851 "preproc.y"
 { 
 (yyval.str) = mm_strdup("exclude group");
}
#line 54663 "preproc.c"
    break;

  case 2176: /* opt_window_exclusion_clause: EXCLUDE TIES  */
#line 12855 "preproc.y"
 { 
 (yyval.str) = mm_strdup("exclude ties");
}
#line 54671 "preproc.c"
    break;

  case 2177: /* opt_window_exclusion_clause: EXCLUDE NO OTHERS  */
#line 12859 "preproc.y"
 { 
 (yyval.str) = mm_strdup("exclude no others");
}
#line 54679 "preproc.c"
    break;

  case 2178: /* opt_window_exclusion_clause: %empty  */
#line 12863 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 54686 "preproc.c"
    break;

  case 2179: /* row: ROW '(' expr_list ')'  */
#line 12870 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54694 "preproc.c"
    break;

  case 2180: /* row: ROW '(' ')'  */
#line 12874 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 54702 "preproc.c"
    break;

  case 2181: /* row: '(' expr_list ',' a_expr ')'  */
#line 12878 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54710 "preproc.c"
    break;

  case 2182: /* explicit_row: ROW '(' expr_list ')'  */
#line 12886 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54718 "preproc.c"
    break;

  case 2183: /* explicit_row: ROW '(' ')'  */
#line 12890 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 54726 "preproc.c"
    break;

  case 2184: /* implicit_row: '(' expr_list ',' a_expr ')'  */
#line 12898 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54734 "preproc.c"
    break;

  case 2185: /* sub_type: ANY  */
#line 12906 "preproc.y"
 { 
 (yyval.str) = mm_strdup("any");
}
#line 54742 "preproc.c"
    break;

  case 2186: /* sub_type: SOME  */
#line 12910 "preproc.y"
 { 
 (yyval.str) = mm_strdup("some");
}
#line 54750 "preproc.c"
    break;

  case 2187: /* sub_type: ALL  */
#line 12914 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 54758 "preproc.c"
    break;

  case 2188: /* all_Op: Op  */
#line 12922 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54766 "preproc.c"
    break;

  case 2189: /* all_Op: MathOp  */
#line 12926 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54774 "preproc.c"
    break;

  case 2190: /* MathOp: '+'  */
#line 12934 "preproc.y"
 { 
 (yyval.str) = mm_strdup("+");
}
#line 54782 "preproc.c"
    break;

  case 2191: /* MathOp: '-'  */
#line 12938 "preproc.y"
 { 
 (yyval.str) = mm_strdup("-");
}
#line 54790 "preproc.c"
    break;

  case 2192: /* MathOp: '*'  */
#line 12942 "preproc.y"
 { 
 (yyval.str) = mm_strdup("*");
}
#line 54798 "preproc.c"
    break;

  case 2193: /* MathOp: '/'  */
#line 12946 "preproc.y"
 { 
 (yyval.str) = mm_strdup("/");
}
#line 54806 "preproc.c"
    break;

  case 2194: /* MathOp: '%'  */
#line 12950 "preproc.y"
 { 
 (yyval.str) = mm_strdup("%");
}
#line 54814 "preproc.c"
    break;

  case 2195: /* MathOp: '^'  */
#line 12954 "preproc.y"
 { 
 (yyval.str) = mm_strdup("^");
}
#line 54822 "preproc.c"
    break;

  case 2196: /* MathOp: '<'  */
#line 12958 "preproc.y"
 { 
 (yyval.str) = mm_strdup("<");
}
#line 54830 "preproc.c"
    break;

  case 2197: /* MathOp: '>'  */
#line 12962 "preproc.y"
 { 
 (yyval.str) = mm_strdup(">");
}
#line 54838 "preproc.c"
    break;

  case 2198: /* MathOp: '='  */
#line 12966 "preproc.y"
 { 
 (yyval.str) = mm_strdup("=");
}
#line 54846 "preproc.c"
    break;

  case 2199: /* MathOp: LESS_EQUALS  */
#line 12970 "preproc.y"
 { 
 (yyval.str) = mm_strdup("<=");
}
#line 54854 "preproc.c"
    break;

  case 2200: /* MathOp: GREATER_EQUALS  */
#line 12974 "preproc.y"
 { 
 (yyval.str) = mm_strdup(">=");
}
#line 54862 "preproc.c"
    break;

  case 2201: /* MathOp: NOT_EQUALS  */
#line 12978 "preproc.y"
 { 
 (yyval.str) = mm_strdup("<>");
}
#line 54870 "preproc.c"
    break;

  case 2202: /* qual_Op: Op  */
#line 12986 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54878 "preproc.c"
    break;

  case 2203: /* qual_Op: OPERATOR '(' any_operator ')'  */
#line 12990 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54886 "preproc.c"
    break;

  case 2204: /* qual_all_Op: all_Op  */
#line 12998 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54894 "preproc.c"
    break;

  case 2205: /* qual_all_Op: OPERATOR '(' any_operator ')'  */
#line 13002 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54902 "preproc.c"
    break;

  case 2206: /* subquery_Op: all_Op  */
#line 13010 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54910 "preproc.c"
    break;

  case 2207: /* subquery_Op: OPERATOR '(' any_operator ')'  */
#line 13014 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54918 "preproc.c"
    break;

  case 2208: /* subquery_Op: LIKE  */
#line 13018 "preproc.y"
 { 
 (yyval.str) = mm_strdup("like");
}
#line 54926 "preproc.c"
    break;

  case 2209: /* subquery_Op: NOT_LA LIKE  */
#line 13022 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not like");
}
#line 54934 "preproc.c"
    break;

  case 2210: /* subquery_Op: ILIKE  */
#line 13026 "preproc.y"
 { 
 (yyval.str) = mm_strdup("ilike");
}
#line 54942 "preproc.c"
    break;

  case 2211: /* subquery_Op: NOT_LA ILIKE  */
#line 13030 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 54950 "preproc.c"
    break;

  case 2212: /* expr_list: a_expr  */
#line 13038 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54958 "preproc.c"
    break;

  case 2213: /* expr_list: expr_list ',' a_expr  */
#line 13042 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54966 "preproc.c"
    break;

  case 2214: /* func_arg_list: func_arg_expr  */
#line 13050 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54974 "preproc.c"
    break;

  case 2215: /* func_arg_list: func_arg_list ',' func_arg_expr  */
#line 13054 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54982 "preproc.c"
    break;

  case 2216: /* func_arg_expr: a_expr  */
#line 13062 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54990 "preproc.c"
    break;

  case 2217: /* func_arg_expr: param_name COLON_EQUALS a_expr  */
#line 13066 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 54998 "preproc.c"
    break;

  case 2218: /* func_arg_expr: param_name EQUALS_GREATER a_expr  */
#line 13070 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 55006 "preproc.c"
    break;

  case 2219: /* func_arg_list_opt: func_arg_list  */
#line 13078 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55014 "preproc.c"
    break;

  case 2220: /* func_arg_list_opt: %empty  */
#line 13082 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 55021 "preproc.c"
    break;

  case 2221: /* type_list: Typename  */
#line 13089 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55029 "preproc.c"
    break;

  case 2222: /* type_list: type_list ',' Typename  */
#line 13093 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 55037 "preproc.c"
    break;

  case 2223: /* array_expr: '[' expr_list ']'  */
#line 13101 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 55045 "preproc.c"
    break;

  case 2224: /* array_expr: '[' array_expr_list ']'  */
#line 13105 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 55053 "preproc.c"
    break;

  case 2225: /* array_expr: '[' ']'  */
#line 13109 "preproc.y"
 { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 55061 "preproc.c"
    break;

  case 2226: /* array_expr_list: array_expr  */
#line 13117 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55069 "preproc.c"
    break;

  case 2227: /* array_expr_list: array_expr_list ',' array_expr  */
#line 13121 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 55077 "preproc.c"
    break;

  case 2228: /* extract_list: extract_arg FROM a_expr  */
#line 13129 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 55085 "preproc.c"
    break;

  case 2229: /* extract_arg: ecpg_ident  */
#line 13137 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55093 "preproc.c"
    break;

  case 2230: /* extract_arg: YEAR_P  */
#line 13141 "preproc.y"
 { 
 (yyval.str) = mm_strdup("year");
}
#line 55101 "preproc.c"
    break;

  case 2231: /* extract_arg: MONTH_P  */
#line 13145 "preproc.y"
 { 
 (yyval.str) = mm_strdup("month");
}
#line 55109 "preproc.c"
    break;

  case 2232: /* extract_arg: DAY_P  */
#line 13149 "preproc.y"
 { 
 (yyval.str) = mm_strdup("day");
}
#line 55117 "preproc.c"
    break;

  case 2233: /* extract_arg: HOUR_P  */
#line 13153 "preproc.y"
 { 
 (yyval.str) = mm_strdup("hour");
}
#line 55125 "preproc.c"
    break;

  case 2234: /* extract_arg: MINUTE_P  */
#line 13157 "preproc.y"
 { 
 (yyval.str) = mm_strdup("minute");
}
#line 55133 "preproc.c"
    break;

  case 2235: /* extract_arg: SECOND_P  */
#line 13161 "preproc.y"
 { 
 (yyval.str) = mm_strdup("second");
}
#line 55141 "preproc.c"
    break;

  case 2236: /* extract_arg: ecpg_sconst  */
#line 13165 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55149 "preproc.c"
    break;

  case 2237: /* unicode_normal_form: NFC  */
#line 13173 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nfc");
}
#line 55157 "preproc.c"
    break;

  case 2238: /* unicode_normal_form: NFD  */
#line 13177 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nfd");
}
#line 55165 "preproc.c"
    break;

  case 2239: /* unicode_normal_form: NFKC  */
#line 13181 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nfkc");
}
#line 55173 "preproc.c"
    break;

  case 2240: /* unicode_normal_form: NFKD  */
#line 13185 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nfkd");
}
#line 55181 "preproc.c"
    break;

  case 2241: /* overlay_list: a_expr PLACING a_expr FROM a_expr FOR a_expr  */
#line 13193 "preproc.y"
 { 
 (yyval.str) = cat_str(7,(yyvsp[-6].str),mm_strdup("placing"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),mm_strdup("for"),(yyvsp[0].str));
}
#line 55189 "preproc.c"
    break;

  case 2242: /* overlay_list: a_expr PLACING a_expr FROM a_expr  */
#line 13197 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("placing"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 55197 "preproc.c"
    break;

  case 2243: /* position_list: b_expr IN_P b_expr  */
#line 13205 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 55205 "preproc.c"
    break;

  case 2244: /* substr_list: a_expr FROM a_expr FOR a_expr  */
#line 13213 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),mm_strdup("for"),(yyvsp[0].str));
}
#line 55213 "preproc.c"
    break;

  case 2245: /* substr_list: a_expr FOR a_expr FROM a_expr  */
#line 13217 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("for"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 55221 "preproc.c"
    break;

  case 2246: /* substr_list: a_expr FROM a_expr  */
#line 13221 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 55229 "preproc.c"
    break;

  case 2247: /* substr_list: a_expr FOR a_expr  */
#line 13225 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("for"),(yyvsp[0].str));
}
#line 55237 "preproc.c"
    break;

  case 2248: /* substr_list: a_expr SIMILAR a_expr ESCAPE a_expr  */
#line 13229 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("similar"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55245 "preproc.c"
    break;

  case 2249: /* trim_list: a_expr FROM expr_list  */
#line 13237 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 55253 "preproc.c"
    break;

  case 2250: /* trim_list: FROM expr_list  */
#line 13241 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 55261 "preproc.c"
    break;

  case 2251: /* trim_list: expr_list  */
#line 13245 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55269 "preproc.c"
    break;

  case 2252: /* in_expr: select_with_parens  */
#line 13253 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55277 "preproc.c"
    break;

  case 2253: /* in_expr: '(' expr_list ')'  */
#line 13257 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55285 "preproc.c"
    break;

  case 2254: /* case_expr: CASE case_arg when_clause_list case_default END_P  */
#line 13265 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 55293 "preproc.c"
    break;

  case 2255: /* when_clause_list: when_clause  */
#line 13273 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55301 "preproc.c"
    break;

  case 2256: /* when_clause_list: when_clause_list when_clause  */
#line 13277 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55309 "preproc.c"
    break;

  case 2257: /* when_clause: WHEN a_expr THEN a_expr  */
#line 13285 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 55317 "preproc.c"
    break;

  case 2258: /* case_default: ELSE a_expr  */
#line 13293 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 55325 "preproc.c"
    break;

  case 2259: /* case_default: %empty  */
#line 13297 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 55332 "preproc.c"
    break;

  case 2260: /* case_arg: a_expr  */
#line 13304 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55340 "preproc.c"
    break;

  case 2261: /* case_arg: %empty  */
#line 13308 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 55347 "preproc.c"
    break;

  case 2262: /* columnref: ColId  */
#line 13315 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55355 "preproc.c"
    break;

  case 2263: /* columnref: ColId indirection  */
#line 13319 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55363 "preproc.c"
    break;

  case 2264: /* indirection_el: '.' attr_name  */
#line 13327 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 55371 "preproc.c"
    break;

  case 2265: /* indirection_el: '.' '*'  */
#line 13331 "preproc.y"
 { 
 (yyval.str) = mm_strdup(". *");
}
#line 55379 "preproc.c"
    break;

  case 2266: /* indirection_el: '[' a_expr ']'  */
#line 13335 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 55387 "preproc.c"
    break;

  case 2267: /* indirection_el: '[' opt_slice_bound ':' opt_slice_bound ']'  */
#line 13339 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 55395 "preproc.c"
    break;

  case 2268: /* opt_slice_bound: a_expr  */
#line 13347 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55403 "preproc.c"
    break;

  case 2269: /* opt_slice_bound: %empty  */
#line 13351 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 55410 "preproc.c"
    break;

  case 2270: /* indirection: indirection_el  */
#line 13358 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55418 "preproc.c"
    break;

  case 2271: /* indirection: indirection indirection_el  */
#line 13362 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55426 "preproc.c"
    break;

  case 2272: /* opt_indirection: %empty  */
#line 13370 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 55433 "preproc.c"
    break;

  case 2273: /* opt_indirection: opt_indirection indirection_el  */
#line 13373 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55441 "preproc.c"
    break;

  case 2274: /* opt_asymmetric: ASYMMETRIC  */
#line 13381 "preproc.y"
 { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 55449 "preproc.c"
    break;

  case 2275: /* opt_asymmetric: %empty  */
#line 13385 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 55456 "preproc.c"
    break;

  case 2276: /* opt_target_list: target_list  */
#line 13392 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55464 "preproc.c"
    break;

  case 2277: /* opt_target_list: %empty  */
#line 13396 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 55471 "preproc.c"
    break;

  case 2278: /* target_list: target_el  */
#line 13403 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55479 "preproc.c"
    break;

  case 2279: /* target_list: target_list ',' target_el  */
#line 13407 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 55487 "preproc.c"
    break;

  case 2280: /* target_el: a_expr AS ColLabel  */
#line 13415 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 55495 "preproc.c"
    break;

  case 2281: /* target_el: a_expr BareColLabel  */
#line 13419 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55503 "preproc.c"
    break;

  case 2282: /* target_el: a_expr  */
#line 13423 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55511 "preproc.c"
    break;

  case 2283: /* target_el: '*'  */
#line 13427 "preproc.y"
 { 
 (yyval.str) = mm_strdup("*");
}
#line 55519 "preproc.c"
    break;

  case 2284: /* qualified_name_list: qualified_name  */
#line 13435 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55527 "preproc.c"
    break;

  case 2285: /* qualified_name_list: qualified_name_list ',' qualified_name  */
#line 13439 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 55535 "preproc.c"
    break;

  case 2286: /* qualified_name: ColId  */
#line 13447 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55543 "preproc.c"
    break;

  case 2287: /* qualified_name: ColId indirection  */
#line 13451 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55551 "preproc.c"
    break;

  case 2288: /* name_list: name  */
#line 13459 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55559 "preproc.c"
    break;

  case 2289: /* name_list: name_list ',' name  */
#line 13463 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 55567 "preproc.c"
    break;

  case 2290: /* name: ColId  */
#line 13471 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55575 "preproc.c"
    break;

  case 2291: /* attr_name: ColLabel  */
#line 13479 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55583 "preproc.c"
    break;

  case 2292: /* file_name: ecpg_sconst  */
#line 13487 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55591 "preproc.c"
    break;

  case 2293: /* func_name: type_function_name  */
#line 13495 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55599 "preproc.c"
    break;

  case 2294: /* func_name: ColId indirection  */
#line 13499 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55607 "preproc.c"
    break;

  case 2295: /* AexprConst: Iconst  */
#line 13507 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55615 "preproc.c"
    break;

  case 2296: /* AexprConst: ecpg_fconst  */
#line 13511 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55623 "preproc.c"
    break;

  case 2297: /* AexprConst: ecpg_sconst  */
#line 13515 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55631 "preproc.c"
    break;

  case 2298: /* AexprConst: ecpg_bconst  */
#line 13519 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55639 "preproc.c"
    break;

  case 2299: /* AexprConst: ecpg_xconst  */
#line 13523 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55647 "preproc.c"
    break;

  case 2300: /* AexprConst: func_name ecpg_sconst  */
#line 13527 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55655 "preproc.c"
    break;

  case 2301: /* AexprConst: func_name '(' func_arg_list opt_sort_clause ')' ecpg_sconst  */
#line 13531 "preproc.y"
 { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 55663 "preproc.c"
    break;

  case 2302: /* AexprConst: ConstTypename ecpg_sconst  */
#line 13535 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55671 "preproc.c"
    break;

  case 2303: /* AexprConst: ConstInterval ecpg_sconst opt_interval  */
#line 13539 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55679 "preproc.c"
    break;

  case 2304: /* AexprConst: ConstInterval '(' Iconst ')' ecpg_sconst  */
#line 13543 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 55687 "preproc.c"
    break;

  case 2305: /* AexprConst: TRUE_P  */
#line 13547 "preproc.y"
 { 
 (yyval.str) = mm_strdup("true");
}
#line 55695 "preproc.c"
    break;

  case 2306: /* AexprConst: FALSE_P  */
#line 13551 "preproc.y"
 { 
 (yyval.str) = mm_strdup("false");
}
#line 55703 "preproc.c"
    break;

  case 2307: /* AexprConst: NULL_P  */
#line 13555 "preproc.y"
 { 
 (yyval.str) = mm_strdup("null");
}
#line 55711 "preproc.c"
    break;

  case 2308: /* AexprConst: civar  */
#line 13558 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 55717 "preproc.c"
    break;

  case 2309: /* AexprConst: civarind  */
#line 13559 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 55723 "preproc.c"
    break;

  case 2310: /* Iconst: ICONST  */
#line 13565 "preproc.y"
        { (yyval.str) = make_name(); }
#line 55729 "preproc.c"
    break;

  case 2311: /* SignedIconst: Iconst  */
#line 13571 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55737 "preproc.c"
    break;

  case 2312: /* SignedIconst: civar  */
#line 13574 "preproc.y"
                { (yyval.str) = (yyvsp[0].str); }
#line 55743 "preproc.c"
    break;

  case 2313: /* SignedIconst: '+' Iconst  */
#line 13576 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 55751 "preproc.c"
    break;

  case 2314: /* SignedIconst: '-' Iconst  */
#line 13580 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 55759 "preproc.c"
    break;

  case 2315: /* RoleId: RoleSpec  */
#line 13588 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55767 "preproc.c"
    break;

  case 2316: /* RoleSpec: NonReservedWord  */
#line 13596 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55775 "preproc.c"
    break;

  case 2317: /* RoleSpec: CURRENT_ROLE  */
#line 13600 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_role");
}
#line 55783 "preproc.c"
    break;

  case 2318: /* RoleSpec: CURRENT_USER  */
#line 13604 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_user");
}
#line 55791 "preproc.c"
    break;

  case 2319: /* RoleSpec: SESSION_USER  */
#line 13608 "preproc.y"
 { 
 (yyval.str) = mm_strdup("session_user");
}
#line 55799 "preproc.c"
    break;

  case 2320: /* role_list: RoleSpec  */
#line 13616 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55807 "preproc.c"
    break;

  case 2321: /* role_list: role_list ',' RoleSpec  */
#line 13620 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 55815 "preproc.c"
    break;

  case 2322: /* NonReservedWord: ecpg_ident  */
#line 13628 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55823 "preproc.c"
    break;

  case 2323: /* NonReservedWord: unreserved_keyword  */
#line 13632 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55831 "preproc.c"
    break;

  case 2324: /* NonReservedWord: col_name_keyword  */
#line 13636 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55839 "preproc.c"
    break;

  case 2325: /* NonReservedWord: type_func_name_keyword  */
#line 13640 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55847 "preproc.c"
    break;

  case 2326: /* BareColLabel: ecpg_ident  */
#line 13648 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55855 "preproc.c"
    break;

  case 2327: /* BareColLabel: bare_label_keyword  */
#line 13652 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55863 "preproc.c"
    break;

  case 2328: /* unreserved_keyword: ABORT_P  */
#line 13660 "preproc.y"
 { 
 (yyval.str) = mm_strdup("abort");
}
#line 55871 "preproc.c"
    break;

  case 2329: /* unreserved_keyword: ABSOLUTE_P  */
#line 13664 "preproc.y"
 { 
 (yyval.str) = mm_strdup("absolute");
}
#line 55879 "preproc.c"
    break;

  case 2330: /* unreserved_keyword: ACCESS  */
#line 13668 "preproc.y"
 { 
 (yyval.str) = mm_strdup("access");
}
#line 55887 "preproc.c"
    break;

  case 2331: /* unreserved_keyword: ACTION  */
#line 13672 "preproc.y"
 { 
 (yyval.str) = mm_strdup("action");
}
#line 55895 "preproc.c"
    break;

  case 2332: /* unreserved_keyword: ADD_P  */
#line 13676 "preproc.y"
 { 
 (yyval.str) = mm_strdup("add");
}
#line 55903 "preproc.c"
    break;

  case 2333: /* unreserved_keyword: ADMIN  */
#line 13680 "preproc.y"
 { 
 (yyval.str) = mm_strdup("admin");
}
#line 55911 "preproc.c"
    break;

  case 2334: /* unreserved_keyword: AFTER  */
#line 13684 "preproc.y"
 { 
 (yyval.str) = mm_strdup("after");
}
#line 55919 "preproc.c"
    break;

  case 2335: /* unreserved_keyword: AGGREGATE  */
#line 13688 "preproc.y"
 { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 55927 "preproc.c"
    break;

  case 2336: /* unreserved_keyword: ALSO  */
#line 13692 "preproc.y"
 { 
 (yyval.str) = mm_strdup("also");
}
#line 55935 "preproc.c"
    break;

  case 2337: /* unreserved_keyword: ALTER  */
#line 13696 "preproc.y"
 { 
 (yyval.str) = mm_strdup("alter");
}
#line 55943 "preproc.c"
    break;

  case 2338: /* unreserved_keyword: ALWAYS  */
#line 13700 "preproc.y"
 { 
 (yyval.str) = mm_strdup("always");
}
#line 55951 "preproc.c"
    break;

  case 2339: /* unreserved_keyword: ASENSITIVE  */
#line 13704 "preproc.y"
 { 
 (yyval.str) = mm_strdup("asensitive");
}
#line 55959 "preproc.c"
    break;

  case 2340: /* unreserved_keyword: ASSERTION  */
#line 13708 "preproc.y"
 { 
 (yyval.str) = mm_strdup("assertion");
}
#line 55967 "preproc.c"
    break;

  case 2341: /* unreserved_keyword: ASSIGNMENT  */
#line 13712 "preproc.y"
 { 
 (yyval.str) = mm_strdup("assignment");
}
#line 55975 "preproc.c"
    break;

  case 2342: /* unreserved_keyword: AT  */
#line 13716 "preproc.y"
 { 
 (yyval.str) = mm_strdup("at");
}
#line 55983 "preproc.c"
    break;

  case 2343: /* unreserved_keyword: ATOMIC  */
#line 13720 "preproc.y"
 { 
 (yyval.str) = mm_strdup("atomic");
}
#line 55991 "preproc.c"
    break;

  case 2344: /* unreserved_keyword: ATTACH  */
#line 13724 "preproc.y"
 { 
 (yyval.str) = mm_strdup("attach");
}
#line 55999 "preproc.c"
    break;

  case 2345: /* unreserved_keyword: ATTRIBUTE  */
#line 13728 "preproc.y"
 { 
 (yyval.str) = mm_strdup("attribute");
}
#line 56007 "preproc.c"
    break;

  case 2346: /* unreserved_keyword: BACKWARD  */
#line 13732 "preproc.y"
 { 
 (yyval.str) = mm_strdup("backward");
}
#line 56015 "preproc.c"
    break;

  case 2347: /* unreserved_keyword: BEFORE  */
#line 13736 "preproc.y"
 { 
 (yyval.str) = mm_strdup("before");
}
#line 56023 "preproc.c"
    break;

  case 2348: /* unreserved_keyword: BEGIN_P  */
#line 13740 "preproc.y"
 { 
 (yyval.str) = mm_strdup("begin");
}
#line 56031 "preproc.c"
    break;

  case 2349: /* unreserved_keyword: BREADTH  */
#line 13744 "preproc.y"
 { 
 (yyval.str) = mm_strdup("breadth");
}
#line 56039 "preproc.c"
    break;

  case 2350: /* unreserved_keyword: BY  */
#line 13748 "preproc.y"
 { 
 (yyval.str) = mm_strdup("by");
}
#line 56047 "preproc.c"
    break;

  case 2351: /* unreserved_keyword: CACHE  */
#line 13752 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cache");
}
#line 56055 "preproc.c"
    break;

  case 2352: /* unreserved_keyword: CALL  */
#line 13756 "preproc.y"
 { 
 (yyval.str) = mm_strdup("call");
}
#line 56063 "preproc.c"
    break;

  case 2353: /* unreserved_keyword: CALLED  */
#line 13760 "preproc.y"
 { 
 (yyval.str) = mm_strdup("called");
}
#line 56071 "preproc.c"
    break;

  case 2354: /* unreserved_keyword: CASCADE  */
#line 13764 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cascade");
}
#line 56079 "preproc.c"
    break;

  case 2355: /* unreserved_keyword: CASCADED  */
#line 13768 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 56087 "preproc.c"
    break;

  case 2356: /* unreserved_keyword: CATALOG_P  */
#line 13772 "preproc.y"
 { 
 (yyval.str) = mm_strdup("catalog");
}
#line 56095 "preproc.c"
    break;

  case 2357: /* unreserved_keyword: CHAIN  */
#line 13776 "preproc.y"
 { 
 (yyval.str) = mm_strdup("chain");
}
#line 56103 "preproc.c"
    break;

  case 2358: /* unreserved_keyword: CHARACTERISTICS  */
#line 13780 "preproc.y"
 { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 56111 "preproc.c"
    break;

  case 2359: /* unreserved_keyword: CHECKPOINT  */
#line 13784 "preproc.y"
 { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 56119 "preproc.c"
    break;

  case 2360: /* unreserved_keyword: CLASS  */
#line 13788 "preproc.y"
 { 
 (yyval.str) = mm_strdup("class");
}
#line 56127 "preproc.c"
    break;

  case 2361: /* unreserved_keyword: CLOSE  */
#line 13792 "preproc.y"
 { 
 (yyval.str) = mm_strdup("close");
}
#line 56135 "preproc.c"
    break;

  case 2362: /* unreserved_keyword: CLUSTER  */
#line 13796 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cluster");
}
#line 56143 "preproc.c"
    break;

  case 2363: /* unreserved_keyword: COLUMNS  */
#line 13800 "preproc.y"
 { 
 (yyval.str) = mm_strdup("columns");
}
#line 56151 "preproc.c"
    break;

  case 2364: /* unreserved_keyword: COMMENT  */
#line 13804 "preproc.y"
 { 
 (yyval.str) = mm_strdup("comment");
}
#line 56159 "preproc.c"
    break;

  case 2365: /* unreserved_keyword: COMMENTS  */
#line 13808 "preproc.y"
 { 
 (yyval.str) = mm_strdup("comments");
}
#line 56167 "preproc.c"
    break;

  case 2366: /* unreserved_keyword: COMMIT  */
#line 13812 "preproc.y"
 { 
 (yyval.str) = mm_strdup("commit");
}
#line 56175 "preproc.c"
    break;

  case 2367: /* unreserved_keyword: COMMITTED  */
#line 13816 "preproc.y"
 { 
 (yyval.str) = mm_strdup("committed");
}
#line 56183 "preproc.c"
    break;

  case 2368: /* unreserved_keyword: COMPRESSION  */
#line 13820 "preproc.y"
 { 
 (yyval.str) = mm_strdup("compression");
}
#line 56191 "preproc.c"
    break;

  case 2369: /* unreserved_keyword: CONFIGURATION  */
#line 13824 "preproc.y"
 { 
 (yyval.str) = mm_strdup("configuration");
}
#line 56199 "preproc.c"
    break;

  case 2370: /* unreserved_keyword: CONFLICT  */
#line 13828 "preproc.y"
 { 
 (yyval.str) = mm_strdup("conflict");
}
#line 56207 "preproc.c"
    break;

  case 2371: /* unreserved_keyword: CONSTRAINTS  */
#line 13832 "preproc.y"
 { 
 (yyval.str) = mm_strdup("constraints");
}
#line 56215 "preproc.c"
    break;

  case 2372: /* unreserved_keyword: CONTENT_P  */
#line 13836 "preproc.y"
 { 
 (yyval.str) = mm_strdup("content");
}
#line 56223 "preproc.c"
    break;

  case 2373: /* unreserved_keyword: CONTINUE_P  */
#line 13840 "preproc.y"
 { 
 (yyval.str) = mm_strdup("continue");
}
#line 56231 "preproc.c"
    break;

  case 2374: /* unreserved_keyword: CONVERSION_P  */
#line 13844 "preproc.y"
 { 
 (yyval.str) = mm_strdup("conversion");
}
#line 56239 "preproc.c"
    break;

  case 2375: /* unreserved_keyword: COPY  */
#line 13848 "preproc.y"
 { 
 (yyval.str) = mm_strdup("copy");
}
#line 56247 "preproc.c"
    break;

  case 2376: /* unreserved_keyword: COST  */
#line 13852 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cost");
}
#line 56255 "preproc.c"
    break;

  case 2377: /* unreserved_keyword: CSV  */
#line 13856 "preproc.y"
 { 
 (yyval.str) = mm_strdup("csv");
}
#line 56263 "preproc.c"
    break;

  case 2378: /* unreserved_keyword: CUBE  */
#line 13860 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cube");
}
#line 56271 "preproc.c"
    break;

  case 2379: /* unreserved_keyword: CURSOR  */
#line 13864 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cursor");
}
#line 56279 "preproc.c"
    break;

  case 2380: /* unreserved_keyword: CYCLE  */
#line 13868 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cycle");
}
#line 56287 "preproc.c"
    break;

  case 2381: /* unreserved_keyword: DATA_P  */
#line 13872 "preproc.y"
 { 
 (yyval.str) = mm_strdup("data");
}
#line 56295 "preproc.c"
    break;

  case 2382: /* unreserved_keyword: DATABASE  */
#line 13876 "preproc.y"
 { 
 (yyval.str) = mm_strdup("database");
}
#line 56303 "preproc.c"
    break;

  case 2383: /* unreserved_keyword: DEALLOCATE  */
#line 13880 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 56311 "preproc.c"
    break;

  case 2384: /* unreserved_keyword: DECLARE  */
#line 13884 "preproc.y"
 { 
 (yyval.str) = mm_strdup("declare");
}
#line 56319 "preproc.c"
    break;

  case 2385: /* unreserved_keyword: DEFAULTS  */
#line 13888 "preproc.y"
 { 
 (yyval.str) = mm_strdup("defaults");
}
#line 56327 "preproc.c"
    break;

  case 2386: /* unreserved_keyword: DEFERRED  */
#line 13892 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deferred");
}
#line 56335 "preproc.c"
    break;

  case 2387: /* unreserved_keyword: DEFINER  */
#line 13896 "preproc.y"
 { 
 (yyval.str) = mm_strdup("definer");
}
#line 56343 "preproc.c"
    break;

  case 2388: /* unreserved_keyword: DELETE_P  */
#line 13900 "preproc.y"
 { 
 (yyval.str) = mm_strdup("delete");
}
#line 56351 "preproc.c"
    break;

  case 2389: /* unreserved_keyword: DELIMITER  */
#line 13904 "preproc.y"
 { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 56359 "preproc.c"
    break;

  case 2390: /* unreserved_keyword: DELIMITERS  */
#line 13908 "preproc.y"
 { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 56367 "preproc.c"
    break;

  case 2391: /* unreserved_keyword: DEPENDS  */
#line 13912 "preproc.y"
 { 
 (yyval.str) = mm_strdup("depends");
}
#line 56375 "preproc.c"
    break;

  case 2392: /* unreserved_keyword: DEPTH  */
#line 13916 "preproc.y"
 { 
 (yyval.str) = mm_strdup("depth");
}
#line 56383 "preproc.c"
    break;

  case 2393: /* unreserved_keyword: DETACH  */
#line 13920 "preproc.y"
 { 
 (yyval.str) = mm_strdup("detach");
}
#line 56391 "preproc.c"
    break;

  case 2394: /* unreserved_keyword: DICTIONARY  */
#line 13924 "preproc.y"
 { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 56399 "preproc.c"
    break;

  case 2395: /* unreserved_keyword: DISABLE_P  */
#line 13928 "preproc.y"
 { 
 (yyval.str) = mm_strdup("disable");
}
#line 56407 "preproc.c"
    break;

  case 2396: /* unreserved_keyword: DISCARD  */
#line 13932 "preproc.y"
 { 
 (yyval.str) = mm_strdup("discard");
}
#line 56415 "preproc.c"
    break;

  case 2397: /* unreserved_keyword: DOCUMENT_P  */
#line 13936 "preproc.y"
 { 
 (yyval.str) = mm_strdup("document");
}
#line 56423 "preproc.c"
    break;

  case 2398: /* unreserved_keyword: DOMAIN_P  */
#line 13940 "preproc.y"
 { 
 (yyval.str) = mm_strdup("domain");
}
#line 56431 "preproc.c"
    break;

  case 2399: /* unreserved_keyword: DOUBLE_P  */
#line 13944 "preproc.y"
 { 
 (yyval.str) = mm_strdup("double");
}
#line 56439 "preproc.c"
    break;

  case 2400: /* unreserved_keyword: DROP  */
#line 13948 "preproc.y"
 { 
 (yyval.str) = mm_strdup("drop");
}
#line 56447 "preproc.c"
    break;

  case 2401: /* unreserved_keyword: EACH  */
#line 13952 "preproc.y"
 { 
 (yyval.str) = mm_strdup("each");
}
#line 56455 "preproc.c"
    break;

  case 2402: /* unreserved_keyword: ENABLE_P  */
#line 13956 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enable");
}
#line 56463 "preproc.c"
    break;

  case 2403: /* unreserved_keyword: ENCODING  */
#line 13960 "preproc.y"
 { 
 (yyval.str) = mm_strdup("encoding");
}
#line 56471 "preproc.c"
    break;

  case 2404: /* unreserved_keyword: ENCRYPTED  */
#line 13964 "preproc.y"
 { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 56479 "preproc.c"
    break;

  case 2405: /* unreserved_keyword: ENUM_P  */
#line 13968 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enum");
}
#line 56487 "preproc.c"
    break;

  case 2406: /* unreserved_keyword: ESCAPE  */
#line 13972 "preproc.y"
 { 
 (yyval.str) = mm_strdup("escape");
}
#line 56495 "preproc.c"
    break;

  case 2407: /* unreserved_keyword: EVENT  */
#line 13976 "preproc.y"
 { 
 (yyval.str) = mm_strdup("event");
}
#line 56503 "preproc.c"
    break;

  case 2408: /* unreserved_keyword: EXCLUDE  */
#line 13980 "preproc.y"
 { 
 (yyval.str) = mm_strdup("exclude");
}
#line 56511 "preproc.c"
    break;

  case 2409: /* unreserved_keyword: EXCLUDING  */
#line 13984 "preproc.y"
 { 
 (yyval.str) = mm_strdup("excluding");
}
#line 56519 "preproc.c"
    break;

  case 2410: /* unreserved_keyword: EXCLUSIVE  */
#line 13988 "preproc.y"
 { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 56527 "preproc.c"
    break;

  case 2411: /* unreserved_keyword: EXECUTE  */
#line 13992 "preproc.y"
 { 
 (yyval.str) = mm_strdup("execute");
}
#line 56535 "preproc.c"
    break;

  case 2412: /* unreserved_keyword: EXPLAIN  */
#line 13996 "preproc.y"
 { 
 (yyval.str) = mm_strdup("explain");
}
#line 56543 "preproc.c"
    break;

  case 2413: /* unreserved_keyword: EXPRESSION  */
#line 14000 "preproc.y"
 { 
 (yyval.str) = mm_strdup("expression");
}
#line 56551 "preproc.c"
    break;

  case 2414: /* unreserved_keyword: EXTENSION  */
#line 14004 "preproc.y"
 { 
 (yyval.str) = mm_strdup("extension");
}
#line 56559 "preproc.c"
    break;

  case 2415: /* unreserved_keyword: EXTERNAL  */
#line 14008 "preproc.y"
 { 
 (yyval.str) = mm_strdup("external");
}
#line 56567 "preproc.c"
    break;

  case 2416: /* unreserved_keyword: FAMILY  */
#line 14012 "preproc.y"
 { 
 (yyval.str) = mm_strdup("family");
}
#line 56575 "preproc.c"
    break;

  case 2417: /* unreserved_keyword: FILTER  */
#line 14016 "preproc.y"
 { 
 (yyval.str) = mm_strdup("filter");
}
#line 56583 "preproc.c"
    break;

  case 2418: /* unreserved_keyword: FINALIZE  */
#line 14020 "preproc.y"
 { 
 (yyval.str) = mm_strdup("finalize");
}
#line 56591 "preproc.c"
    break;

  case 2419: /* unreserved_keyword: FIRST_P  */
#line 14024 "preproc.y"
 { 
 (yyval.str) = mm_strdup("first");
}
#line 56599 "preproc.c"
    break;

  case 2420: /* unreserved_keyword: FOLLOWING  */
#line 14028 "preproc.y"
 { 
 (yyval.str) = mm_strdup("following");
}
#line 56607 "preproc.c"
    break;

  case 2421: /* unreserved_keyword: FORCE  */
#line 14032 "preproc.y"
 { 
 (yyval.str) = mm_strdup("force");
}
#line 56615 "preproc.c"
    break;

  case 2422: /* unreserved_keyword: FORWARD  */
#line 14036 "preproc.y"
 { 
 (yyval.str) = mm_strdup("forward");
}
#line 56623 "preproc.c"
    break;

  case 2423: /* unreserved_keyword: FUNCTION  */
#line 14040 "preproc.y"
 { 
 (yyval.str) = mm_strdup("function");
}
#line 56631 "preproc.c"
    break;

  case 2424: /* unreserved_keyword: FUNCTIONS  */
#line 14044 "preproc.y"
 { 
 (yyval.str) = mm_strdup("functions");
}
#line 56639 "preproc.c"
    break;

  case 2425: /* unreserved_keyword: GENERATED  */
#line 14048 "preproc.y"
 { 
 (yyval.str) = mm_strdup("generated");
}
#line 56647 "preproc.c"
    break;

  case 2426: /* unreserved_keyword: GLOBAL  */
#line 14052 "preproc.y"
 { 
 (yyval.str) = mm_strdup("global");
}
#line 56655 "preproc.c"
    break;

  case 2427: /* unreserved_keyword: GRANTED  */
#line 14056 "preproc.y"
 { 
 (yyval.str) = mm_strdup("granted");
}
#line 56663 "preproc.c"
    break;

  case 2428: /* unreserved_keyword: GROUPS  */
#line 14060 "preproc.y"
 { 
 (yyval.str) = mm_strdup("groups");
}
#line 56671 "preproc.c"
    break;

  case 2429: /* unreserved_keyword: HANDLER  */
#line 14064 "preproc.y"
 { 
 (yyval.str) = mm_strdup("handler");
}
#line 56679 "preproc.c"
    break;

  case 2430: /* unreserved_keyword: HEADER_P  */
#line 14068 "preproc.y"
 { 
 (yyval.str) = mm_strdup("header");
}
#line 56687 "preproc.c"
    break;

  case 2431: /* unreserved_keyword: HOLD  */
#line 14072 "preproc.y"
 { 
 (yyval.str) = mm_strdup("hold");
}
#line 56695 "preproc.c"
    break;

  case 2432: /* unreserved_keyword: IDENTITY_P  */
#line 14076 "preproc.y"
 { 
 (yyval.str) = mm_strdup("identity");
}
#line 56703 "preproc.c"
    break;

  case 2433: /* unreserved_keyword: IF_P  */
#line 14080 "preproc.y"
 { 
 (yyval.str) = mm_strdup("if");
}
#line 56711 "preproc.c"
    break;

  case 2434: /* unreserved_keyword: IMMEDIATE  */
#line 14084 "preproc.y"
 { 
 (yyval.str) = mm_strdup("immediate");
}
#line 56719 "preproc.c"
    break;

  case 2435: /* unreserved_keyword: IMMUTABLE  */
#line 14088 "preproc.y"
 { 
 (yyval.str) = mm_strdup("immutable");
}
#line 56727 "preproc.c"
    break;

  case 2436: /* unreserved_keyword: IMPLICIT_P  */
#line 14092 "preproc.y"
 { 
 (yyval.str) = mm_strdup("implicit");
}
#line 56735 "preproc.c"
    break;

  case 2437: /* unreserved_keyword: IMPORT_P  */
#line 14096 "preproc.y"
 { 
 (yyval.str) = mm_strdup("import");
}
#line 56743 "preproc.c"
    break;

  case 2438: /* unreserved_keyword: INCLUDE  */
#line 14100 "preproc.y"
 { 
 (yyval.str) = mm_strdup("include");
}
#line 56751 "preproc.c"
    break;

  case 2439: /* unreserved_keyword: INCLUDING  */
#line 14104 "preproc.y"
 { 
 (yyval.str) = mm_strdup("including");
}
#line 56759 "preproc.c"
    break;

  case 2440: /* unreserved_keyword: INCREMENT  */
#line 14108 "preproc.y"
 { 
 (yyval.str) = mm_strdup("increment");
}
#line 56767 "preproc.c"
    break;

  case 2441: /* unreserved_keyword: INDEX  */
#line 14112 "preproc.y"
 { 
 (yyval.str) = mm_strdup("index");
}
#line 56775 "preproc.c"
    break;

  case 2442: /* unreserved_keyword: INDEXES  */
#line 14116 "preproc.y"
 { 
 (yyval.str) = mm_strdup("indexes");
}
#line 56783 "preproc.c"
    break;

  case 2443: /* unreserved_keyword: INHERIT  */
#line 14120 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inherit");
}
#line 56791 "preproc.c"
    break;

  case 2444: /* unreserved_keyword: INHERITS  */
#line 14124 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inherits");
}
#line 56799 "preproc.c"
    break;

  case 2445: /* unreserved_keyword: INLINE_P  */
#line 14128 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inline");
}
#line 56807 "preproc.c"
    break;

  case 2446: /* unreserved_keyword: INSENSITIVE  */
#line 14132 "preproc.y"
 { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 56815 "preproc.c"
    break;

  case 2447: /* unreserved_keyword: INSERT  */
#line 14136 "preproc.y"
 { 
 (yyval.str) = mm_strdup("insert");
}
#line 56823 "preproc.c"
    break;

  case 2448: /* unreserved_keyword: INSTEAD  */
#line 14140 "preproc.y"
 { 
 (yyval.str) = mm_strdup("instead");
}
#line 56831 "preproc.c"
    break;

  case 2449: /* unreserved_keyword: INVOKER  */
#line 14144 "preproc.y"
 { 
 (yyval.str) = mm_strdup("invoker");
}
#line 56839 "preproc.c"
    break;

  case 2450: /* unreserved_keyword: ISOLATION  */
#line 14148 "preproc.y"
 { 
 (yyval.str) = mm_strdup("isolation");
}
#line 56847 "preproc.c"
    break;

  case 2451: /* unreserved_keyword: KEY  */
#line 14152 "preproc.y"
 { 
 (yyval.str) = mm_strdup("key");
}
#line 56855 "preproc.c"
    break;

  case 2452: /* unreserved_keyword: LABEL  */
#line 14156 "preproc.y"
 { 
 (yyval.str) = mm_strdup("label");
}
#line 56863 "preproc.c"
    break;

  case 2453: /* unreserved_keyword: LANGUAGE  */
#line 14160 "preproc.y"
 { 
 (yyval.str) = mm_strdup("language");
}
#line 56871 "preproc.c"
    break;

  case 2454: /* unreserved_keyword: LARGE_P  */
#line 14164 "preproc.y"
 { 
 (yyval.str) = mm_strdup("large");
}
#line 56879 "preproc.c"
    break;

  case 2455: /* unreserved_keyword: LAST_P  */
#line 14168 "preproc.y"
 { 
 (yyval.str) = mm_strdup("last");
}
#line 56887 "preproc.c"
    break;

  case 2456: /* unreserved_keyword: LEAKPROOF  */
#line 14172 "preproc.y"
 { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 56895 "preproc.c"
    break;

  case 2457: /* unreserved_keyword: LEVEL  */
#line 14176 "preproc.y"
 { 
 (yyval.str) = mm_strdup("level");
}
#line 56903 "preproc.c"
    break;

  case 2458: /* unreserved_keyword: LISTEN  */
#line 14180 "preproc.y"
 { 
 (yyval.str) = mm_strdup("listen");
}
#line 56911 "preproc.c"
    break;

  case 2459: /* unreserved_keyword: LOAD  */
#line 14184 "preproc.y"
 { 
 (yyval.str) = mm_strdup("load");
}
#line 56919 "preproc.c"
    break;

  case 2460: /* unreserved_keyword: LOCAL  */
#line 14188 "preproc.y"
 { 
 (yyval.str) = mm_strdup("local");
}
#line 56927 "preproc.c"
    break;

  case 2461: /* unreserved_keyword: LOCATION  */
#line 14192 "preproc.y"
 { 
 (yyval.str) = mm_strdup("location");
}
#line 56935 "preproc.c"
    break;

  case 2462: /* unreserved_keyword: LOCK_P  */
#line 14196 "preproc.y"
 { 
 (yyval.str) = mm_strdup("lock");
}
#line 56943 "preproc.c"
    break;

  case 2463: /* unreserved_keyword: LOCKED  */
#line 14200 "preproc.y"
 { 
 (yyval.str) = mm_strdup("locked");
}
#line 56951 "preproc.c"
    break;

  case 2464: /* unreserved_keyword: LOGGED  */
#line 14204 "preproc.y"
 { 
 (yyval.str) = mm_strdup("logged");
}
#line 56959 "preproc.c"
    break;

  case 2465: /* unreserved_keyword: MAPPING  */
#line 14208 "preproc.y"
 { 
 (yyval.str) = mm_strdup("mapping");
}
#line 56967 "preproc.c"
    break;

  case 2466: /* unreserved_keyword: MATCH  */
#line 14212 "preproc.y"
 { 
 (yyval.str) = mm_strdup("match");
}
#line 56975 "preproc.c"
    break;

  case 2467: /* unreserved_keyword: MATCHED  */
#line 14216 "preproc.y"
 { 
 (yyval.str) = mm_strdup("matched");
}
#line 56983 "preproc.c"
    break;

  case 2468: /* unreserved_keyword: MATERIALIZED  */
#line 14220 "preproc.y"
 { 
 (yyval.str) = mm_strdup("materialized");
}
#line 56991 "preproc.c"
    break;

  case 2469: /* unreserved_keyword: MAXVALUE  */
#line 14224 "preproc.y"
 { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 56999 "preproc.c"
    break;

  case 2470: /* unreserved_keyword: MERGE  */
#line 14228 "preproc.y"
 { 
 (yyval.str) = mm_strdup("merge");
}
#line 57007 "preproc.c"
    break;

  case 2471: /* unreserved_keyword: METHOD  */
#line 14232 "preproc.y"
 { 
 (yyval.str) = mm_strdup("method");
}
#line 57015 "preproc.c"
    break;

  case 2472: /* unreserved_keyword: MINVALUE  */
#line 14236 "preproc.y"
 { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 57023 "preproc.c"
    break;

  case 2473: /* unreserved_keyword: MODE  */
#line 14240 "preproc.y"
 { 
 (yyval.str) = mm_strdup("mode");
}
#line 57031 "preproc.c"
    break;

  case 2474: /* unreserved_keyword: MOVE  */
#line 14244 "preproc.y"
 { 
 (yyval.str) = mm_strdup("move");
}
#line 57039 "preproc.c"
    break;

  case 2475: /* unreserved_keyword: NAME_P  */
#line 14248 "preproc.y"
 { 
 (yyval.str) = mm_strdup("name");
}
#line 57047 "preproc.c"
    break;

  case 2476: /* unreserved_keyword: NAMES  */
#line 14252 "preproc.y"
 { 
 (yyval.str) = mm_strdup("names");
}
#line 57055 "preproc.c"
    break;

  case 2477: /* unreserved_keyword: NEW  */
#line 14256 "preproc.y"
 { 
 (yyval.str) = mm_strdup("new");
}
#line 57063 "preproc.c"
    break;

  case 2478: /* unreserved_keyword: NEXT  */
#line 14260 "preproc.y"
 { 
 (yyval.str) = mm_strdup("next");
}
#line 57071 "preproc.c"
    break;

  case 2479: /* unreserved_keyword: NFC  */
#line 14264 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nfc");
}
#line 57079 "preproc.c"
    break;

  case 2480: /* unreserved_keyword: NFD  */
#line 14268 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nfd");
}
#line 57087 "preproc.c"
    break;

  case 2481: /* unreserved_keyword: NFKC  */
#line 14272 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nfkc");
}
#line 57095 "preproc.c"
    break;

  case 2482: /* unreserved_keyword: NFKD  */
#line 14276 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nfkd");
}
#line 57103 "preproc.c"
    break;

  case 2483: /* unreserved_keyword: NO  */
#line 14280 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no");
}
#line 57111 "preproc.c"
    break;

  case 2484: /* unreserved_keyword: NORMALIZED  */
#line 14284 "preproc.y"
 { 
 (yyval.str) = mm_strdup("normalized");
}
#line 57119 "preproc.c"
    break;

  case 2485: /* unreserved_keyword: NOTHING  */
#line 14288 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nothing");
}
#line 57127 "preproc.c"
    break;

  case 2486: /* unreserved_keyword: NOTIFY  */
#line 14292 "preproc.y"
 { 
 (yyval.str) = mm_strdup("notify");
}
#line 57135 "preproc.c"
    break;

  case 2487: /* unreserved_keyword: NOWAIT  */
#line 14296 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nowait");
}
#line 57143 "preproc.c"
    break;

  case 2488: /* unreserved_keyword: NULLS_P  */
#line 14300 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nulls");
}
#line 57151 "preproc.c"
    break;

  case 2489: /* unreserved_keyword: OBJECT_P  */
#line 14304 "preproc.y"
 { 
 (yyval.str) = mm_strdup("object");
}
#line 57159 "preproc.c"
    break;

  case 2490: /* unreserved_keyword: OF  */
#line 14308 "preproc.y"
 { 
 (yyval.str) = mm_strdup("of");
}
#line 57167 "preproc.c"
    break;

  case 2491: /* unreserved_keyword: OFF  */
#line 14312 "preproc.y"
 { 
 (yyval.str) = mm_strdup("off");
}
#line 57175 "preproc.c"
    break;

  case 2492: /* unreserved_keyword: OIDS  */
#line 14316 "preproc.y"
 { 
 (yyval.str) = mm_strdup("oids");
}
#line 57183 "preproc.c"
    break;

  case 2493: /* unreserved_keyword: OLD  */
#line 14320 "preproc.y"
 { 
 (yyval.str) = mm_strdup("old");
}
#line 57191 "preproc.c"
    break;

  case 2494: /* unreserved_keyword: OPERATOR  */
#line 14324 "preproc.y"
 { 
 (yyval.str) = mm_strdup("operator");
}
#line 57199 "preproc.c"
    break;

  case 2495: /* unreserved_keyword: OPTION  */
#line 14328 "preproc.y"
 { 
 (yyval.str) = mm_strdup("option");
}
#line 57207 "preproc.c"
    break;

  case 2496: /* unreserved_keyword: OPTIONS  */
#line 14332 "preproc.y"
 { 
 (yyval.str) = mm_strdup("options");
}
#line 57215 "preproc.c"
    break;

  case 2497: /* unreserved_keyword: ORDINALITY  */
#line 14336 "preproc.y"
 { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 57223 "preproc.c"
    break;

  case 2498: /* unreserved_keyword: OTHERS  */
#line 14340 "preproc.y"
 { 
 (yyval.str) = mm_strdup("others");
}
#line 57231 "preproc.c"
    break;

  case 2499: /* unreserved_keyword: OVER  */
#line 14344 "preproc.y"
 { 
 (yyval.str) = mm_strdup("over");
}
#line 57239 "preproc.c"
    break;

  case 2500: /* unreserved_keyword: OVERRIDING  */
#line 14348 "preproc.y"
 { 
 (yyval.str) = mm_strdup("overriding");
}
#line 57247 "preproc.c"
    break;

  case 2501: /* unreserved_keyword: OWNED  */
#line 14352 "preproc.y"
 { 
 (yyval.str) = mm_strdup("owned");
}
#line 57255 "preproc.c"
    break;

  case 2502: /* unreserved_keyword: OWNER  */
#line 14356 "preproc.y"
 { 
 (yyval.str) = mm_strdup("owner");
}
#line 57263 "preproc.c"
    break;

  case 2503: /* unreserved_keyword: PARALLEL  */
#line 14360 "preproc.y"
 { 
 (yyval.str) = mm_strdup("parallel");
}
#line 57271 "preproc.c"
    break;

  case 2504: /* unreserved_keyword: PARAMETER  */
#line 14364 "preproc.y"
 { 
 (yyval.str) = mm_strdup("parameter");
}
#line 57279 "preproc.c"
    break;

  case 2505: /* unreserved_keyword: PARSER  */
#line 14368 "preproc.y"
 { 
 (yyval.str) = mm_strdup("parser");
}
#line 57287 "preproc.c"
    break;

  case 2506: /* unreserved_keyword: PARTIAL  */
#line 14372 "preproc.y"
 { 
 (yyval.str) = mm_strdup("partial");
}
#line 57295 "preproc.c"
    break;

  case 2507: /* unreserved_keyword: PARTITION  */
#line 14376 "preproc.y"
 { 
 (yyval.str) = mm_strdup("partition");
}
#line 57303 "preproc.c"
    break;

  case 2508: /* unreserved_keyword: PASSING  */
#line 14380 "preproc.y"
 { 
 (yyval.str) = mm_strdup("passing");
}
#line 57311 "preproc.c"
    break;

  case 2509: /* unreserved_keyword: PASSWORD  */
#line 14384 "preproc.y"
 { 
 (yyval.str) = mm_strdup("password");
}
#line 57319 "preproc.c"
    break;

  case 2510: /* unreserved_keyword: PLANS  */
#line 14388 "preproc.y"
 { 
 (yyval.str) = mm_strdup("plans");
}
#line 57327 "preproc.c"
    break;

  case 2511: /* unreserved_keyword: POLICY  */
#line 14392 "preproc.y"
 { 
 (yyval.str) = mm_strdup("policy");
}
#line 57335 "preproc.c"
    break;

  case 2512: /* unreserved_keyword: PRECEDING  */
#line 14396 "preproc.y"
 { 
 (yyval.str) = mm_strdup("preceding");
}
#line 57343 "preproc.c"
    break;

  case 2513: /* unreserved_keyword: PREPARE  */
#line 14400 "preproc.y"
 { 
 (yyval.str) = mm_strdup("prepare");
}
#line 57351 "preproc.c"
    break;

  case 2514: /* unreserved_keyword: PREPARED  */
#line 14404 "preproc.y"
 { 
 (yyval.str) = mm_strdup("prepared");
}
#line 57359 "preproc.c"
    break;

  case 2515: /* unreserved_keyword: PRESERVE  */
#line 14408 "preproc.y"
 { 
 (yyval.str) = mm_strdup("preserve");
}
#line 57367 "preproc.c"
    break;

  case 2516: /* unreserved_keyword: PRIOR  */
#line 14412 "preproc.y"
 { 
 (yyval.str) = mm_strdup("prior");
}
#line 57375 "preproc.c"
    break;

  case 2517: /* unreserved_keyword: PRIVILEGES  */
#line 14416 "preproc.y"
 { 
 (yyval.str) = mm_strdup("privileges");
}
#line 57383 "preproc.c"
    break;

  case 2518: /* unreserved_keyword: PROCEDURAL  */
#line 14420 "preproc.y"
 { 
 (yyval.str) = mm_strdup("procedural");
}
#line 57391 "preproc.c"
    break;

  case 2519: /* unreserved_keyword: PROCEDURE  */
#line 14424 "preproc.y"
 { 
 (yyval.str) = mm_strdup("procedure");
}
#line 57399 "preproc.c"
    break;

  case 2520: /* unreserved_keyword: PROCEDURES  */
#line 14428 "preproc.y"
 { 
 (yyval.str) = mm_strdup("procedures");
}
#line 57407 "preproc.c"
    break;

  case 2521: /* unreserved_keyword: PROGRAM  */
#line 14432 "preproc.y"
 { 
 (yyval.str) = mm_strdup("program");
}
#line 57415 "preproc.c"
    break;

  case 2522: /* unreserved_keyword: PUBLICATION  */
#line 14436 "preproc.y"
 { 
 (yyval.str) = mm_strdup("publication");
}
#line 57423 "preproc.c"
    break;

  case 2523: /* unreserved_keyword: QUOTE  */
#line 14440 "preproc.y"
 { 
 (yyval.str) = mm_strdup("quote");
}
#line 57431 "preproc.c"
    break;

  case 2524: /* unreserved_keyword: RANGE  */
#line 14444 "preproc.y"
 { 
 (yyval.str) = mm_strdup("range");
}
#line 57439 "preproc.c"
    break;

  case 2525: /* unreserved_keyword: READ  */
#line 14448 "preproc.y"
 { 
 (yyval.str) = mm_strdup("read");
}
#line 57447 "preproc.c"
    break;

  case 2526: /* unreserved_keyword: REASSIGN  */
#line 14452 "preproc.y"
 { 
 (yyval.str) = mm_strdup("reassign");
}
#line 57455 "preproc.c"
    break;

  case 2527: /* unreserved_keyword: RECHECK  */
#line 14456 "preproc.y"
 { 
 (yyval.str) = mm_strdup("recheck");
}
#line 57463 "preproc.c"
    break;

  case 2528: /* unreserved_keyword: RECURSIVE  */
#line 14460 "preproc.y"
 { 
 (yyval.str) = mm_strdup("recursive");
}
#line 57471 "preproc.c"
    break;

  case 2529: /* unreserved_keyword: REF_P  */
#line 14464 "preproc.y"
 { 
 (yyval.str) = mm_strdup("ref");
}
#line 57479 "preproc.c"
    break;

  case 2530: /* unreserved_keyword: REFERENCING  */
#line 14468 "preproc.y"
 { 
 (yyval.str) = mm_strdup("referencing");
}
#line 57487 "preproc.c"
    break;

  case 2531: /* unreserved_keyword: REFRESH  */
#line 14472 "preproc.y"
 { 
 (yyval.str) = mm_strdup("refresh");
}
#line 57495 "preproc.c"
    break;

  case 2532: /* unreserved_keyword: REINDEX  */
#line 14476 "preproc.y"
 { 
 (yyval.str) = mm_strdup("reindex");
}
#line 57503 "preproc.c"
    break;

  case 2533: /* unreserved_keyword: RELATIVE_P  */
#line 14480 "preproc.y"
 { 
 (yyval.str) = mm_strdup("relative");
}
#line 57511 "preproc.c"
    break;

  case 2534: /* unreserved_keyword: RELEASE  */
#line 14484 "preproc.y"
 { 
 (yyval.str) = mm_strdup("release");
}
#line 57519 "preproc.c"
    break;

  case 2535: /* unreserved_keyword: RENAME  */
#line 14488 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rename");
}
#line 57527 "preproc.c"
    break;

  case 2536: /* unreserved_keyword: REPEATABLE  */
#line 14492 "preproc.y"
 { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 57535 "preproc.c"
    break;

  case 2537: /* unreserved_keyword: REPLACE  */
#line 14496 "preproc.y"
 { 
 (yyval.str) = mm_strdup("replace");
}
#line 57543 "preproc.c"
    break;

  case 2538: /* unreserved_keyword: REPLICA  */
#line 14500 "preproc.y"
 { 
 (yyval.str) = mm_strdup("replica");
}
#line 57551 "preproc.c"
    break;

  case 2539: /* unreserved_keyword: RESET  */
#line 14504 "preproc.y"
 { 
 (yyval.str) = mm_strdup("reset");
}
#line 57559 "preproc.c"
    break;

  case 2540: /* unreserved_keyword: RESTART  */
#line 14508 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restart");
}
#line 57567 "preproc.c"
    break;

  case 2541: /* unreserved_keyword: RESTRICT  */
#line 14512 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restrict");
}
#line 57575 "preproc.c"
    break;

  case 2542: /* unreserved_keyword: RETURN  */
#line 14516 "preproc.y"
 { 
 (yyval.str) = mm_strdup("return");
}
#line 57583 "preproc.c"
    break;

  case 2543: /* unreserved_keyword: RETURNS  */
#line 14520 "preproc.y"
 { 
 (yyval.str) = mm_strdup("returns");
}
#line 57591 "preproc.c"
    break;

  case 2544: /* unreserved_keyword: REVOKE  */
#line 14524 "preproc.y"
 { 
 (yyval.str) = mm_strdup("revoke");
}
#line 57599 "preproc.c"
    break;

  case 2545: /* unreserved_keyword: ROLE  */
#line 14528 "preproc.y"
 { 
 (yyval.str) = mm_strdup("role");
}
#line 57607 "preproc.c"
    break;

  case 2546: /* unreserved_keyword: ROLLBACK  */
#line 14532 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rollback");
}
#line 57615 "preproc.c"
    break;

  case 2547: /* unreserved_keyword: ROLLUP  */
#line 14536 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rollup");
}
#line 57623 "preproc.c"
    break;

  case 2548: /* unreserved_keyword: ROUTINE  */
#line 14540 "preproc.y"
 { 
 (yyval.str) = mm_strdup("routine");
}
#line 57631 "preproc.c"
    break;

  case 2549: /* unreserved_keyword: ROUTINES  */
#line 14544 "preproc.y"
 { 
 (yyval.str) = mm_strdup("routines");
}
#line 57639 "preproc.c"
    break;

  case 2550: /* unreserved_keyword: ROWS  */
#line 14548 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rows");
}
#line 57647 "preproc.c"
    break;

  case 2551: /* unreserved_keyword: RULE  */
#line 14552 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rule");
}
#line 57655 "preproc.c"
    break;

  case 2552: /* unreserved_keyword: SAVEPOINT  */
#line 14556 "preproc.y"
 { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 57663 "preproc.c"
    break;

  case 2553: /* unreserved_keyword: SCHEMA  */
#line 14560 "preproc.y"
 { 
 (yyval.str) = mm_strdup("schema");
}
#line 57671 "preproc.c"
    break;

  case 2554: /* unreserved_keyword: SCHEMAS  */
#line 14564 "preproc.y"
 { 
 (yyval.str) = mm_strdup("schemas");
}
#line 57679 "preproc.c"
    break;

  case 2555: /* unreserved_keyword: SCROLL  */
#line 14568 "preproc.y"
 { 
 (yyval.str) = mm_strdup("scroll");
}
#line 57687 "preproc.c"
    break;

  case 2556: /* unreserved_keyword: SEARCH  */
#line 14572 "preproc.y"
 { 
 (yyval.str) = mm_strdup("search");
}
#line 57695 "preproc.c"
    break;

  case 2557: /* unreserved_keyword: SECURITY  */
#line 14576 "preproc.y"
 { 
 (yyval.str) = mm_strdup("security");
}
#line 57703 "preproc.c"
    break;

  case 2558: /* unreserved_keyword: SEQUENCE  */
#line 14580 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sequence");
}
#line 57711 "preproc.c"
    break;

  case 2559: /* unreserved_keyword: SEQUENCES  */
#line 14584 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sequences");
}
#line 57719 "preproc.c"
    break;

  case 2560: /* unreserved_keyword: SERIALIZABLE  */
#line 14588 "preproc.y"
 { 
 (yyval.str) = mm_strdup("serializable");
}
#line 57727 "preproc.c"
    break;

  case 2561: /* unreserved_keyword: SERVER  */
#line 14592 "preproc.y"
 { 
 (yyval.str) = mm_strdup("server");
}
#line 57735 "preproc.c"
    break;

  case 2562: /* unreserved_keyword: SESSION  */
#line 14596 "preproc.y"
 { 
 (yyval.str) = mm_strdup("session");
}
#line 57743 "preproc.c"
    break;

  case 2563: /* unreserved_keyword: SET  */
#line 14600 "preproc.y"
 { 
 (yyval.str) = mm_strdup("set");
}
#line 57751 "preproc.c"
    break;

  case 2564: /* unreserved_keyword: SETS  */
#line 14604 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sets");
}
#line 57759 "preproc.c"
    break;

  case 2565: /* unreserved_keyword: SHARE  */
#line 14608 "preproc.y"
 { 
 (yyval.str) = mm_strdup("share");
}
#line 57767 "preproc.c"
    break;

  case 2566: /* unreserved_keyword: SHOW  */
#line 14612 "preproc.y"
 { 
 (yyval.str) = mm_strdup("show");
}
#line 57775 "preproc.c"
    break;

  case 2567: /* unreserved_keyword: SIMPLE  */
#line 14616 "preproc.y"
 { 
 (yyval.str) = mm_strdup("simple");
}
#line 57783 "preproc.c"
    break;

  case 2568: /* unreserved_keyword: SKIP  */
#line 14620 "preproc.y"
 { 
 (yyval.str) = mm_strdup("skip");
}
#line 57791 "preproc.c"
    break;

  case 2569: /* unreserved_keyword: SNAPSHOT  */
#line 14624 "preproc.y"
 { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 57799 "preproc.c"
    break;

  case 2570: /* unreserved_keyword: SQL_P  */
#line 14628 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sql");
}
#line 57807 "preproc.c"
    break;

  case 2571: /* unreserved_keyword: STABLE  */
#line 14632 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stable");
}
#line 57815 "preproc.c"
    break;

  case 2572: /* unreserved_keyword: STANDALONE_P  */
#line 14636 "preproc.y"
 { 
 (yyval.str) = mm_strdup("standalone");
}
#line 57823 "preproc.c"
    break;

  case 2573: /* unreserved_keyword: START  */
#line 14640 "preproc.y"
 { 
 (yyval.str) = mm_strdup("start");
}
#line 57831 "preproc.c"
    break;

  case 2574: /* unreserved_keyword: STATEMENT  */
#line 14644 "preproc.y"
 { 
 (yyval.str) = mm_strdup("statement");
}
#line 57839 "preproc.c"
    break;

  case 2575: /* unreserved_keyword: STATISTICS  */
#line 14648 "preproc.y"
 { 
 (yyval.str) = mm_strdup("statistics");
}
#line 57847 "preproc.c"
    break;

  case 2576: /* unreserved_keyword: STDIN  */
#line 14652 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stdin");
}
#line 57855 "preproc.c"
    break;

  case 2577: /* unreserved_keyword: STDOUT  */
#line 14656 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stdout");
}
#line 57863 "preproc.c"
    break;

  case 2578: /* unreserved_keyword: STORAGE  */
#line 14660 "preproc.y"
 { 
 (yyval.str) = mm_strdup("storage");
}
#line 57871 "preproc.c"
    break;

  case 2579: /* unreserved_keyword: STORED  */
#line 14664 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stored");
}
#line 57879 "preproc.c"
    break;

  case 2580: /* unreserved_keyword: STRICT_P  */
#line 14668 "preproc.y"
 { 
 (yyval.str) = mm_strdup("strict");
}
#line 57887 "preproc.c"
    break;

  case 2581: /* unreserved_keyword: STRIP_P  */
#line 14672 "preproc.y"
 { 
 (yyval.str) = mm_strdup("strip");
}
#line 57895 "preproc.c"
    break;

  case 2582: /* unreserved_keyword: SUBSCRIPTION  */
#line 14676 "preproc.y"
 { 
 (yyval.str) = mm_strdup("subscription");
}
#line 57903 "preproc.c"
    break;

  case 2583: /* unreserved_keyword: SUPPORT  */
#line 14680 "preproc.y"
 { 
 (yyval.str) = mm_strdup("support");
}
#line 57911 "preproc.c"
    break;

  case 2584: /* unreserved_keyword: SYSID  */
#line 14684 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sysid");
}
#line 57919 "preproc.c"
    break;

  case 2585: /* unreserved_keyword: SYSTEM_P  */
#line 14688 "preproc.y"
 { 
 (yyval.str) = mm_strdup("system");
}
#line 57927 "preproc.c"
    break;

  case 2586: /* unreserved_keyword: TABLES  */
#line 14692 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tables");
}
#line 57935 "preproc.c"
    break;

  case 2587: /* unreserved_keyword: TABLESPACE  */
#line 14696 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 57943 "preproc.c"
    break;

  case 2588: /* unreserved_keyword: TEMP  */
#line 14700 "preproc.y"
 { 
 (yyval.str) = mm_strdup("temp");
}
#line 57951 "preproc.c"
    break;

  case 2589: /* unreserved_keyword: TEMPLATE  */
#line 14704 "preproc.y"
 { 
 (yyval.str) = mm_strdup("template");
}
#line 57959 "preproc.c"
    break;

  case 2590: /* unreserved_keyword: TEMPORARY  */
#line 14708 "preproc.y"
 { 
 (yyval.str) = mm_strdup("temporary");
}
#line 57967 "preproc.c"
    break;

  case 2591: /* unreserved_keyword: TEXT_P  */
#line 14712 "preproc.y"
 { 
 (yyval.str) = mm_strdup("text");
}
#line 57975 "preproc.c"
    break;

  case 2592: /* unreserved_keyword: TIES  */
#line 14716 "preproc.y"
 { 
 (yyval.str) = mm_strdup("ties");
}
#line 57983 "preproc.c"
    break;

  case 2593: /* unreserved_keyword: TRANSACTION  */
#line 14720 "preproc.y"
 { 
 (yyval.str) = mm_strdup("transaction");
}
#line 57991 "preproc.c"
    break;

  case 2594: /* unreserved_keyword: TRANSFORM  */
#line 14724 "preproc.y"
 { 
 (yyval.str) = mm_strdup("transform");
}
#line 57999 "preproc.c"
    break;

  case 2595: /* unreserved_keyword: TRIGGER  */
#line 14728 "preproc.y"
 { 
 (yyval.str) = mm_strdup("trigger");
}
#line 58007 "preproc.c"
    break;

  case 2596: /* unreserved_keyword: TRUNCATE  */
#line 14732 "preproc.y"
 { 
 (yyval.str) = mm_strdup("truncate");
}
#line 58015 "preproc.c"
    break;

  case 2597: /* unreserved_keyword: TRUSTED  */
#line 14736 "preproc.y"
 { 
 (yyval.str) = mm_strdup("trusted");
}
#line 58023 "preproc.c"
    break;

  case 2598: /* unreserved_keyword: TYPE_P  */
#line 14740 "preproc.y"
 { 
 (yyval.str) = mm_strdup("type");
}
#line 58031 "preproc.c"
    break;

  case 2599: /* unreserved_keyword: TYPES_P  */
#line 14744 "preproc.y"
 { 
 (yyval.str) = mm_strdup("types");
}
#line 58039 "preproc.c"
    break;

  case 2600: /* unreserved_keyword: UESCAPE  */
#line 14748 "preproc.y"
 { 
 (yyval.str) = mm_strdup("uescape");
}
#line 58047 "preproc.c"
    break;

  case 2601: /* unreserved_keyword: UNBOUNDED  */
#line 14752 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 58055 "preproc.c"
    break;

  case 2602: /* unreserved_keyword: UNCOMMITTED  */
#line 14756 "preproc.y"
 { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 58063 "preproc.c"
    break;

  case 2603: /* unreserved_keyword: UNENCRYPTED  */
#line 14760 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 58071 "preproc.c"
    break;

  case 2604: /* unreserved_keyword: UNKNOWN  */
#line 14764 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unknown");
}
#line 58079 "preproc.c"
    break;

  case 2605: /* unreserved_keyword: UNLISTEN  */
#line 14768 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 58087 "preproc.c"
    break;

  case 2606: /* unreserved_keyword: UNLOGGED  */
#line 14772 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 58095 "preproc.c"
    break;

  case 2607: /* unreserved_keyword: UNTIL  */
#line 14776 "preproc.y"
 { 
 (yyval.str) = mm_strdup("until");
}
#line 58103 "preproc.c"
    break;

  case 2608: /* unreserved_keyword: UPDATE  */
#line 14780 "preproc.y"
 { 
 (yyval.str) = mm_strdup("update");
}
#line 58111 "preproc.c"
    break;

  case 2609: /* unreserved_keyword: VACUUM  */
#line 14784 "preproc.y"
 { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 58119 "preproc.c"
    break;

  case 2610: /* unreserved_keyword: VALID  */
#line 14788 "preproc.y"
 { 
 (yyval.str) = mm_strdup("valid");
}
#line 58127 "preproc.c"
    break;

  case 2611: /* unreserved_keyword: VALIDATE  */
#line 14792 "preproc.y"
 { 
 (yyval.str) = mm_strdup("validate");
}
#line 58135 "preproc.c"
    break;

  case 2612: /* unreserved_keyword: VALIDATOR  */
#line 14796 "preproc.y"
 { 
 (yyval.str) = mm_strdup("validator");
}
#line 58143 "preproc.c"
    break;

  case 2613: /* unreserved_keyword: VALUE_P  */
#line 14800 "preproc.y"
 { 
 (yyval.str) = mm_strdup("value");
}
#line 58151 "preproc.c"
    break;

  case 2614: /* unreserved_keyword: VARYING  */
#line 14804 "preproc.y"
 { 
 (yyval.str) = mm_strdup("varying");
}
#line 58159 "preproc.c"
    break;

  case 2615: /* unreserved_keyword: VERSION_P  */
#line 14808 "preproc.y"
 { 
 (yyval.str) = mm_strdup("version");
}
#line 58167 "preproc.c"
    break;

  case 2616: /* unreserved_keyword: VIEW  */
#line 14812 "preproc.y"
 { 
 (yyval.str) = mm_strdup("view");
}
#line 58175 "preproc.c"
    break;

  case 2617: /* unreserved_keyword: VIEWS  */
#line 14816 "preproc.y"
 { 
 (yyval.str) = mm_strdup("views");
}
#line 58183 "preproc.c"
    break;

  case 2618: /* unreserved_keyword: VOLATILE  */
#line 14820 "preproc.y"
 { 
 (yyval.str) = mm_strdup("volatile");
}
#line 58191 "preproc.c"
    break;

  case 2619: /* unreserved_keyword: WHITESPACE_P  */
#line 14824 "preproc.y"
 { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 58199 "preproc.c"
    break;

  case 2620: /* unreserved_keyword: WITHIN  */
#line 14828 "preproc.y"
 { 
 (yyval.str) = mm_strdup("within");
}
#line 58207 "preproc.c"
    break;

  case 2621: /* unreserved_keyword: WITHOUT  */
#line 14832 "preproc.y"
 { 
 (yyval.str) = mm_strdup("without");
}
#line 58215 "preproc.c"
    break;

  case 2622: /* unreserved_keyword: WORK  */
#line 14836 "preproc.y"
 { 
 (yyval.str) = mm_strdup("work");
}
#line 58223 "preproc.c"
    break;

  case 2623: /* unreserved_keyword: WRAPPER  */
#line 14840 "preproc.y"
 { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 58231 "preproc.c"
    break;

  case 2624: /* unreserved_keyword: WRITE  */
#line 14844 "preproc.y"
 { 
 (yyval.str) = mm_strdup("write");
}
#line 58239 "preproc.c"
    break;

  case 2625: /* unreserved_keyword: XML_P  */
#line 14848 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xml");
}
#line 58247 "preproc.c"
    break;

  case 2626: /* unreserved_keyword: YES_P  */
#line 14852 "preproc.y"
 { 
 (yyval.str) = mm_strdup("yes");
}
#line 58255 "preproc.c"
    break;

  case 2627: /* unreserved_keyword: ZONE  */
#line 14856 "preproc.y"
 { 
 (yyval.str) = mm_strdup("zone");
}
#line 58263 "preproc.c"
    break;

  case 2628: /* col_name_keyword: BETWEEN  */
#line 14864 "preproc.y"
 { 
 (yyval.str) = mm_strdup("between");
}
#line 58271 "preproc.c"
    break;

  case 2629: /* col_name_keyword: BIGINT  */
#line 14868 "preproc.y"
 { 
 (yyval.str) = mm_strdup("bigint");
}
#line 58279 "preproc.c"
    break;

  case 2630: /* col_name_keyword: BIT  */
#line 14872 "preproc.y"
 { 
 (yyval.str) = mm_strdup("bit");
}
#line 58287 "preproc.c"
    break;

  case 2631: /* col_name_keyword: BOOLEAN_P  */
#line 14876 "preproc.y"
 { 
 (yyval.str) = mm_strdup("boolean");
}
#line 58295 "preproc.c"
    break;

  case 2632: /* col_name_keyword: CHARACTER  */
#line 14880 "preproc.y"
 { 
 (yyval.str) = mm_strdup("character");
}
#line 58303 "preproc.c"
    break;

  case 2633: /* col_name_keyword: COALESCE  */
#line 14884 "preproc.y"
 { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 58311 "preproc.c"
    break;

  case 2634: /* col_name_keyword: DEC  */
#line 14888 "preproc.y"
 { 
 (yyval.str) = mm_strdup("dec");
}
#line 58319 "preproc.c"
    break;

  case 2635: /* col_name_keyword: DECIMAL_P  */
#line 14892 "preproc.y"
 { 
 (yyval.str) = mm_strdup("decimal");
}
#line 58327 "preproc.c"
    break;

  case 2636: /* col_name_keyword: EXISTS  */
#line 14896 "preproc.y"
 { 
 (yyval.str) = mm_strdup("exists");
}
#line 58335 "preproc.c"
    break;

  case 2637: /* col_name_keyword: EXTRACT  */
#line 14900 "preproc.y"
 { 
 (yyval.str) = mm_strdup("extract");
}
#line 58343 "preproc.c"
    break;

  case 2638: /* col_name_keyword: FLOAT_P  */
#line 14904 "preproc.y"
 { 
 (yyval.str) = mm_strdup("float");
}
#line 58351 "preproc.c"
    break;

  case 2639: /* col_name_keyword: GREATEST  */
#line 14908 "preproc.y"
 { 
 (yyval.str) = mm_strdup("greatest");
}
#line 58359 "preproc.c"
    break;

  case 2640: /* col_name_keyword: GROUPING  */
#line 14912 "preproc.y"
 { 
 (yyval.str) = mm_strdup("grouping");
}
#line 58367 "preproc.c"
    break;

  case 2641: /* col_name_keyword: INOUT  */
#line 14916 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inout");
}
#line 58375 "preproc.c"
    break;

  case 2642: /* col_name_keyword: INTEGER  */
#line 14920 "preproc.y"
 { 
 (yyval.str) = mm_strdup("integer");
}
#line 58383 "preproc.c"
    break;

  case 2643: /* col_name_keyword: INTERVAL  */
#line 14924 "preproc.y"
 { 
 (yyval.str) = mm_strdup("interval");
}
#line 58391 "preproc.c"
    break;

  case 2644: /* col_name_keyword: LEAST  */
#line 14928 "preproc.y"
 { 
 (yyval.str) = mm_strdup("least");
}
#line 58399 "preproc.c"
    break;

  case 2645: /* col_name_keyword: NATIONAL  */
#line 14932 "preproc.y"
 { 
 (yyval.str) = mm_strdup("national");
}
#line 58407 "preproc.c"
    break;

  case 2646: /* col_name_keyword: NCHAR  */
#line 14936 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nchar");
}
#line 58415 "preproc.c"
    break;

  case 2647: /* col_name_keyword: NONE  */
#line 14940 "preproc.y"
 { 
 (yyval.str) = mm_strdup("none");
}
#line 58423 "preproc.c"
    break;

  case 2648: /* col_name_keyword: NORMALIZE  */
#line 14944 "preproc.y"
 { 
 (yyval.str) = mm_strdup("normalize");
}
#line 58431 "preproc.c"
    break;

  case 2649: /* col_name_keyword: NULLIF  */
#line 14948 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nullif");
}
#line 58439 "preproc.c"
    break;

  case 2650: /* col_name_keyword: NUMERIC  */
#line 14952 "preproc.y"
 { 
 (yyval.str) = mm_strdup("numeric");
}
#line 58447 "preproc.c"
    break;

  case 2651: /* col_name_keyword: OUT_P  */
#line 14956 "preproc.y"
 { 
 (yyval.str) = mm_strdup("out");
}
#line 58455 "preproc.c"
    break;

  case 2652: /* col_name_keyword: OVERLAY  */
#line 14960 "preproc.y"
 { 
 (yyval.str) = mm_strdup("overlay");
}
#line 58463 "preproc.c"
    break;

  case 2653: /* col_name_keyword: POSITION  */
#line 14964 "preproc.y"
 { 
 (yyval.str) = mm_strdup("position");
}
#line 58471 "preproc.c"
    break;

  case 2654: /* col_name_keyword: PRECISION  */
#line 14968 "preproc.y"
 { 
 (yyval.str) = mm_strdup("precision");
}
#line 58479 "preproc.c"
    break;

  case 2655: /* col_name_keyword: REAL  */
#line 14972 "preproc.y"
 { 
 (yyval.str) = mm_strdup("real");
}
#line 58487 "preproc.c"
    break;

  case 2656: /* col_name_keyword: ROW  */
#line 14976 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row");
}
#line 58495 "preproc.c"
    break;

  case 2657: /* col_name_keyword: SETOF  */
#line 14980 "preproc.y"
 { 
 (yyval.str) = mm_strdup("setof");
}
#line 58503 "preproc.c"
    break;

  case 2658: /* col_name_keyword: SMALLINT  */
#line 14984 "preproc.y"
 { 
 (yyval.str) = mm_strdup("smallint");
}
#line 58511 "preproc.c"
    break;

  case 2659: /* col_name_keyword: SUBSTRING  */
#line 14988 "preproc.y"
 { 
 (yyval.str) = mm_strdup("substring");
}
#line 58519 "preproc.c"
    break;

  case 2660: /* col_name_keyword: TIME  */
#line 14992 "preproc.y"
 { 
 (yyval.str) = mm_strdup("time");
}
#line 58527 "preproc.c"
    break;

  case 2661: /* col_name_keyword: TIMESTAMP  */
#line 14996 "preproc.y"
 { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 58535 "preproc.c"
    break;

  case 2662: /* col_name_keyword: TREAT  */
#line 15000 "preproc.y"
 { 
 (yyval.str) = mm_strdup("treat");
}
#line 58543 "preproc.c"
    break;

  case 2663: /* col_name_keyword: TRIM  */
#line 15004 "preproc.y"
 { 
 (yyval.str) = mm_strdup("trim");
}
#line 58551 "preproc.c"
    break;

  case 2664: /* col_name_keyword: VARCHAR  */
#line 15008 "preproc.y"
 { 
 (yyval.str) = mm_strdup("varchar");
}
#line 58559 "preproc.c"
    break;

  case 2665: /* col_name_keyword: XMLATTRIBUTES  */
#line 15012 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 58567 "preproc.c"
    break;

  case 2666: /* col_name_keyword: XMLCONCAT  */
#line 15016 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 58575 "preproc.c"
    break;

  case 2667: /* col_name_keyword: XMLELEMENT  */
#line 15020 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 58583 "preproc.c"
    break;

  case 2668: /* col_name_keyword: XMLEXISTS  */
#line 15024 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 58591 "preproc.c"
    break;

  case 2669: /* col_name_keyword: XMLFOREST  */
#line 15028 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 58599 "preproc.c"
    break;

  case 2670: /* col_name_keyword: XMLNAMESPACES  */
#line 15032 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 58607 "preproc.c"
    break;

  case 2671: /* col_name_keyword: XMLPARSE  */
#line 15036 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 58615 "preproc.c"
    break;

  case 2672: /* col_name_keyword: XMLPI  */
#line 15040 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 58623 "preproc.c"
    break;

  case 2673: /* col_name_keyword: XMLROOT  */
#line 15044 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 58631 "preproc.c"
    break;

  case 2674: /* col_name_keyword: XMLSERIALIZE  */
#line 15048 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 58639 "preproc.c"
    break;

  case 2675: /* col_name_keyword: XMLTABLE  */
#line 15052 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 58647 "preproc.c"
    break;

  case 2676: /* type_func_name_keyword: AUTHORIZATION  */
#line 15060 "preproc.y"
 { 
 (yyval.str) = mm_strdup("authorization");
}
#line 58655 "preproc.c"
    break;

  case 2677: /* type_func_name_keyword: BINARY  */
#line 15064 "preproc.y"
 { 
 (yyval.str) = mm_strdup("binary");
}
#line 58663 "preproc.c"
    break;

  case 2678: /* type_func_name_keyword: COLLATION  */
#line 15068 "preproc.y"
 { 
 (yyval.str) = mm_strdup("collation");
}
#line 58671 "preproc.c"
    break;

  case 2679: /* type_func_name_keyword: CONCURRENTLY  */
#line 15072 "preproc.y"
 { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 58679 "preproc.c"
    break;

  case 2680: /* type_func_name_keyword: CROSS  */
#line 15076 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cross");
}
#line 58687 "preproc.c"
    break;

  case 2681: /* type_func_name_keyword: CURRENT_SCHEMA  */
#line 15080 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 58695 "preproc.c"
    break;

  case 2682: /* type_func_name_keyword: FREEZE  */
#line 15084 "preproc.y"
 { 
 (yyval.str) = mm_strdup("freeze");
}
#line 58703 "preproc.c"
    break;

  case 2683: /* type_func_name_keyword: FULL  */
#line 15088 "preproc.y"
 { 
 (yyval.str) = mm_strdup("full");
}
#line 58711 "preproc.c"
    break;

  case 2684: /* type_func_name_keyword: ILIKE  */
#line 15092 "preproc.y"
 { 
 (yyval.str) = mm_strdup("ilike");
}
#line 58719 "preproc.c"
    break;

  case 2685: /* type_func_name_keyword: INNER_P  */
#line 15096 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inner");
}
#line 58727 "preproc.c"
    break;

  case 2686: /* type_func_name_keyword: IS  */
#line 15100 "preproc.y"
 { 
 (yyval.str) = mm_strdup("is");
}
#line 58735 "preproc.c"
    break;

  case 2687: /* type_func_name_keyword: ISNULL  */
#line 15104 "preproc.y"
 { 
 (yyval.str) = mm_strdup("isnull");
}
#line 58743 "preproc.c"
    break;

  case 2688: /* type_func_name_keyword: JOIN  */
#line 15108 "preproc.y"
 { 
 (yyval.str) = mm_strdup("join");
}
#line 58751 "preproc.c"
    break;

  case 2689: /* type_func_name_keyword: LEFT  */
#line 15112 "preproc.y"
 { 
 (yyval.str) = mm_strdup("left");
}
#line 58759 "preproc.c"
    break;

  case 2690: /* type_func_name_keyword: LIKE  */
#line 15116 "preproc.y"
 { 
 (yyval.str) = mm_strdup("like");
}
#line 58767 "preproc.c"
    break;

  case 2691: /* type_func_name_keyword: NATURAL  */
#line 15120 "preproc.y"
 { 
 (yyval.str) = mm_strdup("natural");
}
#line 58775 "preproc.c"
    break;

  case 2692: /* type_func_name_keyword: NOTNULL  */
#line 15124 "preproc.y"
 { 
 (yyval.str) = mm_strdup("notnull");
}
#line 58783 "preproc.c"
    break;

  case 2693: /* type_func_name_keyword: OUTER_P  */
#line 15128 "preproc.y"
 { 
 (yyval.str) = mm_strdup("outer");
}
#line 58791 "preproc.c"
    break;

  case 2694: /* type_func_name_keyword: OVERLAPS  */
#line 15132 "preproc.y"
 { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 58799 "preproc.c"
    break;

  case 2695: /* type_func_name_keyword: RIGHT  */
#line 15136 "preproc.y"
 { 
 (yyval.str) = mm_strdup("right");
}
#line 58807 "preproc.c"
    break;

  case 2696: /* type_func_name_keyword: SIMILAR  */
#line 15140 "preproc.y"
 { 
 (yyval.str) = mm_strdup("similar");
}
#line 58815 "preproc.c"
    break;

  case 2697: /* type_func_name_keyword: TABLESAMPLE  */
#line 15144 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 58823 "preproc.c"
    break;

  case 2698: /* type_func_name_keyword: VERBOSE  */
#line 15148 "preproc.y"
 { 
 (yyval.str) = mm_strdup("verbose");
}
#line 58831 "preproc.c"
    break;

  case 2699: /* reserved_keyword: ALL  */
#line 15156 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 58839 "preproc.c"
    break;

  case 2700: /* reserved_keyword: ANALYSE  */
#line 15160 "preproc.y"
 { 
 (yyval.str) = mm_strdup("analyse");
}
#line 58847 "preproc.c"
    break;

  case 2701: /* reserved_keyword: ANALYZE  */
#line 15164 "preproc.y"
 { 
 (yyval.str) = mm_strdup("analyze");
}
#line 58855 "preproc.c"
    break;

  case 2702: /* reserved_keyword: AND  */
#line 15168 "preproc.y"
 { 
 (yyval.str) = mm_strdup("and");
}
#line 58863 "preproc.c"
    break;

  case 2703: /* reserved_keyword: ANY  */
#line 15172 "preproc.y"
 { 
 (yyval.str) = mm_strdup("any");
}
#line 58871 "preproc.c"
    break;

  case 2704: /* reserved_keyword: ARRAY  */
#line 15176 "preproc.y"
 { 
 (yyval.str) = mm_strdup("array");
}
#line 58879 "preproc.c"
    break;

  case 2705: /* reserved_keyword: AS  */
#line 15180 "preproc.y"
 { 
 (yyval.str) = mm_strdup("as");
}
#line 58887 "preproc.c"
    break;

  case 2706: /* reserved_keyword: ASC  */
#line 15184 "preproc.y"
 { 
 (yyval.str) = mm_strdup("asc");
}
#line 58895 "preproc.c"
    break;

  case 2707: /* reserved_keyword: ASYMMETRIC  */
#line 15188 "preproc.y"
 { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 58903 "preproc.c"
    break;

  case 2708: /* reserved_keyword: BOTH  */
#line 15192 "preproc.y"
 { 
 (yyval.str) = mm_strdup("both");
}
#line 58911 "preproc.c"
    break;

  case 2709: /* reserved_keyword: CASE  */
#line 15196 "preproc.y"
 { 
 (yyval.str) = mm_strdup("case");
}
#line 58919 "preproc.c"
    break;

  case 2710: /* reserved_keyword: CAST  */
#line 15200 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cast");
}
#line 58927 "preproc.c"
    break;

  case 2711: /* reserved_keyword: CHECK  */
#line 15204 "preproc.y"
 { 
 (yyval.str) = mm_strdup("check");
}
#line 58935 "preproc.c"
    break;

  case 2712: /* reserved_keyword: COLLATE  */
#line 15208 "preproc.y"
 { 
 (yyval.str) = mm_strdup("collate");
}
#line 58943 "preproc.c"
    break;

  case 2713: /* reserved_keyword: COLUMN  */
#line 15212 "preproc.y"
 { 
 (yyval.str) = mm_strdup("column");
}
#line 58951 "preproc.c"
    break;

  case 2714: /* reserved_keyword: CONSTRAINT  */
#line 15216 "preproc.y"
 { 
 (yyval.str) = mm_strdup("constraint");
}
#line 58959 "preproc.c"
    break;

  case 2715: /* reserved_keyword: CREATE  */
#line 15220 "preproc.y"
 { 
 (yyval.str) = mm_strdup("create");
}
#line 58967 "preproc.c"
    break;

  case 2716: /* reserved_keyword: CURRENT_CATALOG  */
#line 15224 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 58975 "preproc.c"
    break;

  case 2717: /* reserved_keyword: CURRENT_DATE  */
#line 15228 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_date");
}
#line 58983 "preproc.c"
    break;

  case 2718: /* reserved_keyword: CURRENT_ROLE  */
#line 15232 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_role");
}
#line 58991 "preproc.c"
    break;

  case 2719: /* reserved_keyword: CURRENT_TIME  */
#line 15236 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_time");
}
#line 58999 "preproc.c"
    break;

  case 2720: /* reserved_keyword: CURRENT_TIMESTAMP  */
#line 15240 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 59007 "preproc.c"
    break;

  case 2721: /* reserved_keyword: CURRENT_USER  */
#line 15244 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_user");
}
#line 59015 "preproc.c"
    break;

  case 2722: /* reserved_keyword: DEFAULT  */
#line 15248 "preproc.y"
 { 
 (yyval.str) = mm_strdup("default");
}
#line 59023 "preproc.c"
    break;

  case 2723: /* reserved_keyword: DEFERRABLE  */
#line 15252 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 59031 "preproc.c"
    break;

  case 2724: /* reserved_keyword: DESC  */
#line 15256 "preproc.y"
 { 
 (yyval.str) = mm_strdup("desc");
}
#line 59039 "preproc.c"
    break;

  case 2725: /* reserved_keyword: DISTINCT  */
#line 15260 "preproc.y"
 { 
 (yyval.str) = mm_strdup("distinct");
}
#line 59047 "preproc.c"
    break;

  case 2726: /* reserved_keyword: DO  */
#line 15264 "preproc.y"
 { 
 (yyval.str) = mm_strdup("do");
}
#line 59055 "preproc.c"
    break;

  case 2727: /* reserved_keyword: ELSE  */
#line 15268 "preproc.y"
 { 
 (yyval.str) = mm_strdup("else");
}
#line 59063 "preproc.c"
    break;

  case 2728: /* reserved_keyword: END_P  */
#line 15272 "preproc.y"
 { 
 (yyval.str) = mm_strdup("end");
}
#line 59071 "preproc.c"
    break;

  case 2729: /* reserved_keyword: EXCEPT  */
#line 15276 "preproc.y"
 { 
 (yyval.str) = mm_strdup("except");
}
#line 59079 "preproc.c"
    break;

  case 2730: /* reserved_keyword: FALSE_P  */
#line 15280 "preproc.y"
 { 
 (yyval.str) = mm_strdup("false");
}
#line 59087 "preproc.c"
    break;

  case 2731: /* reserved_keyword: FETCH  */
#line 15284 "preproc.y"
 { 
 (yyval.str) = mm_strdup("fetch");
}
#line 59095 "preproc.c"
    break;

  case 2732: /* reserved_keyword: FOR  */
#line 15288 "preproc.y"
 { 
 (yyval.str) = mm_strdup("for");
}
#line 59103 "preproc.c"
    break;

  case 2733: /* reserved_keyword: FOREIGN  */
#line 15292 "preproc.y"
 { 
 (yyval.str) = mm_strdup("foreign");
}
#line 59111 "preproc.c"
    break;

  case 2734: /* reserved_keyword: FROM  */
#line 15296 "preproc.y"
 { 
 (yyval.str) = mm_strdup("from");
}
#line 59119 "preproc.c"
    break;

  case 2735: /* reserved_keyword: GRANT  */
#line 15300 "preproc.y"
 { 
 (yyval.str) = mm_strdup("grant");
}
#line 59127 "preproc.c"
    break;

  case 2736: /* reserved_keyword: GROUP_P  */
#line 15304 "preproc.y"
 { 
 (yyval.str) = mm_strdup("group");
}
#line 59135 "preproc.c"
    break;

  case 2737: /* reserved_keyword: HAVING  */
#line 15308 "preproc.y"
 { 
 (yyval.str) = mm_strdup("having");
}
#line 59143 "preproc.c"
    break;

  case 2738: /* reserved_keyword: IN_P  */
#line 15312 "preproc.y"
 { 
 (yyval.str) = mm_strdup("in");
}
#line 59151 "preproc.c"
    break;

  case 2739: /* reserved_keyword: INITIALLY  */
#line 15316 "preproc.y"
 { 
 (yyval.str) = mm_strdup("initially");
}
#line 59159 "preproc.c"
    break;

  case 2740: /* reserved_keyword: INTERSECT  */
#line 15320 "preproc.y"
 { 
 (yyval.str) = mm_strdup("intersect");
}
#line 59167 "preproc.c"
    break;

  case 2741: /* reserved_keyword: INTO  */
#line 15324 "preproc.y"
 { 
 (yyval.str) = mm_strdup("into");
}
#line 59175 "preproc.c"
    break;

  case 2742: /* reserved_keyword: LATERAL_P  */
#line 15328 "preproc.y"
 { 
 (yyval.str) = mm_strdup("lateral");
}
#line 59183 "preproc.c"
    break;

  case 2743: /* reserved_keyword: LEADING  */
#line 15332 "preproc.y"
 { 
 (yyval.str) = mm_strdup("leading");
}
#line 59191 "preproc.c"
    break;

  case 2744: /* reserved_keyword: LIMIT  */
#line 15336 "preproc.y"
 { 
 (yyval.str) = mm_strdup("limit");
}
#line 59199 "preproc.c"
    break;

  case 2745: /* reserved_keyword: LOCALTIME  */
#line 15340 "preproc.y"
 { 
 (yyval.str) = mm_strdup("localtime");
}
#line 59207 "preproc.c"
    break;

  case 2746: /* reserved_keyword: LOCALTIMESTAMP  */
#line 15344 "preproc.y"
 { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 59215 "preproc.c"
    break;

  case 2747: /* reserved_keyword: NOT  */
#line 15348 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not");
}
#line 59223 "preproc.c"
    break;

  case 2748: /* reserved_keyword: NULL_P  */
#line 15352 "preproc.y"
 { 
 (yyval.str) = mm_strdup("null");
}
#line 59231 "preproc.c"
    break;

  case 2749: /* reserved_keyword: OFFSET  */
#line 15356 "preproc.y"
 { 
 (yyval.str) = mm_strdup("offset");
}
#line 59239 "preproc.c"
    break;

  case 2750: /* reserved_keyword: ON  */
#line 15360 "preproc.y"
 { 
 (yyval.str) = mm_strdup("on");
}
#line 59247 "preproc.c"
    break;

  case 2751: /* reserved_keyword: ONLY  */
#line 15364 "preproc.y"
 { 
 (yyval.str) = mm_strdup("only");
}
#line 59255 "preproc.c"
    break;

  case 2752: /* reserved_keyword: OR  */
#line 15368 "preproc.y"
 { 
 (yyval.str) = mm_strdup("or");
}
#line 59263 "preproc.c"
    break;

  case 2753: /* reserved_keyword: ORDER  */
#line 15372 "preproc.y"
 { 
 (yyval.str) = mm_strdup("order");
}
#line 59271 "preproc.c"
    break;

  case 2754: /* reserved_keyword: PLACING  */
#line 15376 "preproc.y"
 { 
 (yyval.str) = mm_strdup("placing");
}
#line 59279 "preproc.c"
    break;

  case 2755: /* reserved_keyword: PRIMARY  */
#line 15380 "preproc.y"
 { 
 (yyval.str) = mm_strdup("primary");
}
#line 59287 "preproc.c"
    break;

  case 2756: /* reserved_keyword: REFERENCES  */
#line 15384 "preproc.y"
 { 
 (yyval.str) = mm_strdup("references");
}
#line 59295 "preproc.c"
    break;

  case 2757: /* reserved_keyword: RETURNING  */
#line 15388 "preproc.y"
 { 
 (yyval.str) = mm_strdup("returning");
}
#line 59303 "preproc.c"
    break;

  case 2758: /* reserved_keyword: SELECT  */
#line 15392 "preproc.y"
 { 
 (yyval.str) = mm_strdup("select");
}
#line 59311 "preproc.c"
    break;

  case 2759: /* reserved_keyword: SESSION_USER  */
#line 15396 "preproc.y"
 { 
 (yyval.str) = mm_strdup("session_user");
}
#line 59319 "preproc.c"
    break;

  case 2760: /* reserved_keyword: SOME  */
#line 15400 "preproc.y"
 { 
 (yyval.str) = mm_strdup("some");
}
#line 59327 "preproc.c"
    break;

  case 2761: /* reserved_keyword: SYMMETRIC  */
#line 15404 "preproc.y"
 { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 59335 "preproc.c"
    break;

  case 2762: /* reserved_keyword: TABLE  */
#line 15408 "preproc.y"
 { 
 (yyval.str) = mm_strdup("table");
}
#line 59343 "preproc.c"
    break;

  case 2763: /* reserved_keyword: THEN  */
#line 15412 "preproc.y"
 { 
 (yyval.str) = mm_strdup("then");
}
#line 59351 "preproc.c"
    break;

  case 2764: /* reserved_keyword: TRAILING  */
#line 15416 "preproc.y"
 { 
 (yyval.str) = mm_strdup("trailing");
}
#line 59359 "preproc.c"
    break;

  case 2765: /* reserved_keyword: TRUE_P  */
#line 15420 "preproc.y"
 { 
 (yyval.str) = mm_strdup("true");
}
#line 59367 "preproc.c"
    break;

  case 2766: /* reserved_keyword: UNIQUE  */
#line 15424 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unique");
}
#line 59375 "preproc.c"
    break;

  case 2767: /* reserved_keyword: USER  */
#line 15428 "preproc.y"
 { 
 (yyval.str) = mm_strdup("user");
}
#line 59383 "preproc.c"
    break;

  case 2768: /* reserved_keyword: USING  */
#line 15432 "preproc.y"
 { 
 (yyval.str) = mm_strdup("using");
}
#line 59391 "preproc.c"
    break;

  case 2769: /* reserved_keyword: VARIADIC  */
#line 15436 "preproc.y"
 { 
 (yyval.str) = mm_strdup("variadic");
}
#line 59399 "preproc.c"
    break;

  case 2770: /* reserved_keyword: WHEN  */
#line 15440 "preproc.y"
 { 
 (yyval.str) = mm_strdup("when");
}
#line 59407 "preproc.c"
    break;

  case 2771: /* reserved_keyword: WHERE  */
#line 15444 "preproc.y"
 { 
 (yyval.str) = mm_strdup("where");
}
#line 59415 "preproc.c"
    break;

  case 2772: /* reserved_keyword: WINDOW  */
#line 15448 "preproc.y"
 { 
 (yyval.str) = mm_strdup("window");
}
#line 59423 "preproc.c"
    break;

  case 2773: /* reserved_keyword: WITH  */
#line 15452 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with");
}
#line 59431 "preproc.c"
    break;

  case 2774: /* bare_label_keyword: ABORT_P  */
#line 15460 "preproc.y"
 { 
 (yyval.str) = mm_strdup("abort");
}
#line 59439 "preproc.c"
    break;

  case 2775: /* bare_label_keyword: ABSOLUTE_P  */
#line 15464 "preproc.y"
 { 
 (yyval.str) = mm_strdup("absolute");
}
#line 59447 "preproc.c"
    break;

  case 2776: /* bare_label_keyword: ACCESS  */
#line 15468 "preproc.y"
 { 
 (yyval.str) = mm_strdup("access");
}
#line 59455 "preproc.c"
    break;

  case 2777: /* bare_label_keyword: ACTION  */
#line 15472 "preproc.y"
 { 
 (yyval.str) = mm_strdup("action");
}
#line 59463 "preproc.c"
    break;

  case 2778: /* bare_label_keyword: ADD_P  */
#line 15476 "preproc.y"
 { 
 (yyval.str) = mm_strdup("add");
}
#line 59471 "preproc.c"
    break;

  case 2779: /* bare_label_keyword: ADMIN  */
#line 15480 "preproc.y"
 { 
 (yyval.str) = mm_strdup("admin");
}
#line 59479 "preproc.c"
    break;

  case 2780: /* bare_label_keyword: AFTER  */
#line 15484 "preproc.y"
 { 
 (yyval.str) = mm_strdup("after");
}
#line 59487 "preproc.c"
    break;

  case 2781: /* bare_label_keyword: AGGREGATE  */
#line 15488 "preproc.y"
 { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 59495 "preproc.c"
    break;

  case 2782: /* bare_label_keyword: ALL  */
#line 15492 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 59503 "preproc.c"
    break;

  case 2783: /* bare_label_keyword: ALSO  */
#line 15496 "preproc.y"
 { 
 (yyval.str) = mm_strdup("also");
}
#line 59511 "preproc.c"
    break;

  case 2784: /* bare_label_keyword: ALTER  */
#line 15500 "preproc.y"
 { 
 (yyval.str) = mm_strdup("alter");
}
#line 59519 "preproc.c"
    break;

  case 2785: /* bare_label_keyword: ALWAYS  */
#line 15504 "preproc.y"
 { 
 (yyval.str) = mm_strdup("always");
}
#line 59527 "preproc.c"
    break;

  case 2786: /* bare_label_keyword: ANALYSE  */
#line 15508 "preproc.y"
 { 
 (yyval.str) = mm_strdup("analyse");
}
#line 59535 "preproc.c"
    break;

  case 2787: /* bare_label_keyword: ANALYZE  */
#line 15512 "preproc.y"
 { 
 (yyval.str) = mm_strdup("analyze");
}
#line 59543 "preproc.c"
    break;

  case 2788: /* bare_label_keyword: AND  */
#line 15516 "preproc.y"
 { 
 (yyval.str) = mm_strdup("and");
}
#line 59551 "preproc.c"
    break;

  case 2789: /* bare_label_keyword: ANY  */
#line 15520 "preproc.y"
 { 
 (yyval.str) = mm_strdup("any");
}
#line 59559 "preproc.c"
    break;

  case 2790: /* bare_label_keyword: ASC  */
#line 15524 "preproc.y"
 { 
 (yyval.str) = mm_strdup("asc");
}
#line 59567 "preproc.c"
    break;

  case 2791: /* bare_label_keyword: ASENSITIVE  */
#line 15528 "preproc.y"
 { 
 (yyval.str) = mm_strdup("asensitive");
}
#line 59575 "preproc.c"
    break;

  case 2792: /* bare_label_keyword: ASSERTION  */
#line 15532 "preproc.y"
 { 
 (yyval.str) = mm_strdup("assertion");
}
#line 59583 "preproc.c"
    break;

  case 2793: /* bare_label_keyword: ASSIGNMENT  */
#line 15536 "preproc.y"
 { 
 (yyval.str) = mm_strdup("assignment");
}
#line 59591 "preproc.c"
    break;

  case 2794: /* bare_label_keyword: ASYMMETRIC  */
#line 15540 "preproc.y"
 { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 59599 "preproc.c"
    break;

  case 2795: /* bare_label_keyword: AT  */
#line 15544 "preproc.y"
 { 
 (yyval.str) = mm_strdup("at");
}
#line 59607 "preproc.c"
    break;

  case 2796: /* bare_label_keyword: ATOMIC  */
#line 15548 "preproc.y"
 { 
 (yyval.str) = mm_strdup("atomic");
}
#line 59615 "preproc.c"
    break;

  case 2797: /* bare_label_keyword: ATTACH  */
#line 15552 "preproc.y"
 { 
 (yyval.str) = mm_strdup("attach");
}
#line 59623 "preproc.c"
    break;

  case 2798: /* bare_label_keyword: ATTRIBUTE  */
#line 15556 "preproc.y"
 { 
 (yyval.str) = mm_strdup("attribute");
}
#line 59631 "preproc.c"
    break;

  case 2799: /* bare_label_keyword: AUTHORIZATION  */
#line 15560 "preproc.y"
 { 
 (yyval.str) = mm_strdup("authorization");
}
#line 59639 "preproc.c"
    break;

  case 2800: /* bare_label_keyword: BACKWARD  */
#line 15564 "preproc.y"
 { 
 (yyval.str) = mm_strdup("backward");
}
#line 59647 "preproc.c"
    break;

  case 2801: /* bare_label_keyword: BEFORE  */
#line 15568 "preproc.y"
 { 
 (yyval.str) = mm_strdup("before");
}
#line 59655 "preproc.c"
    break;

  case 2802: /* bare_label_keyword: BEGIN_P  */
#line 15572 "preproc.y"
 { 
 (yyval.str) = mm_strdup("begin");
}
#line 59663 "preproc.c"
    break;

  case 2803: /* bare_label_keyword: BETWEEN  */
#line 15576 "preproc.y"
 { 
 (yyval.str) = mm_strdup("between");
}
#line 59671 "preproc.c"
    break;

  case 2804: /* bare_label_keyword: BIGINT  */
#line 15580 "preproc.y"
 { 
 (yyval.str) = mm_strdup("bigint");
}
#line 59679 "preproc.c"
    break;

  case 2805: /* bare_label_keyword: BINARY  */
#line 15584 "preproc.y"
 { 
 (yyval.str) = mm_strdup("binary");
}
#line 59687 "preproc.c"
    break;

  case 2806: /* bare_label_keyword: BIT  */
#line 15588 "preproc.y"
 { 
 (yyval.str) = mm_strdup("bit");
}
#line 59695 "preproc.c"
    break;

  case 2807: /* bare_label_keyword: BOOLEAN_P  */
#line 15592 "preproc.y"
 { 
 (yyval.str) = mm_strdup("boolean");
}
#line 59703 "preproc.c"
    break;

  case 2808: /* bare_label_keyword: BOTH  */
#line 15596 "preproc.y"
 { 
 (yyval.str) = mm_strdup("both");
}
#line 59711 "preproc.c"
    break;

  case 2809: /* bare_label_keyword: BREADTH  */
#line 15600 "preproc.y"
 { 
 (yyval.str) = mm_strdup("breadth");
}
#line 59719 "preproc.c"
    break;

  case 2810: /* bare_label_keyword: BY  */
#line 15604 "preproc.y"
 { 
 (yyval.str) = mm_strdup("by");
}
#line 59727 "preproc.c"
    break;

  case 2811: /* bare_label_keyword: CACHE  */
#line 15608 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cache");
}
#line 59735 "preproc.c"
    break;

  case 2812: /* bare_label_keyword: CALL  */
#line 15612 "preproc.y"
 { 
 (yyval.str) = mm_strdup("call");
}
#line 59743 "preproc.c"
    break;

  case 2813: /* bare_label_keyword: CALLED  */
#line 15616 "preproc.y"
 { 
 (yyval.str) = mm_strdup("called");
}
#line 59751 "preproc.c"
    break;

  case 2814: /* bare_label_keyword: CASCADE  */
#line 15620 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cascade");
}
#line 59759 "preproc.c"
    break;

  case 2815: /* bare_label_keyword: CASCADED  */
#line 15624 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 59767 "preproc.c"
    break;

  case 2816: /* bare_label_keyword: CASE  */
#line 15628 "preproc.y"
 { 
 (yyval.str) = mm_strdup("case");
}
#line 59775 "preproc.c"
    break;

  case 2817: /* bare_label_keyword: CAST  */
#line 15632 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cast");
}
#line 59783 "preproc.c"
    break;

  case 2818: /* bare_label_keyword: CATALOG_P  */
#line 15636 "preproc.y"
 { 
 (yyval.str) = mm_strdup("catalog");
}
#line 59791 "preproc.c"
    break;

  case 2819: /* bare_label_keyword: CHAIN  */
#line 15640 "preproc.y"
 { 
 (yyval.str) = mm_strdup("chain");
}
#line 59799 "preproc.c"
    break;

  case 2820: /* bare_label_keyword: CHARACTERISTICS  */
#line 15644 "preproc.y"
 { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 59807 "preproc.c"
    break;

  case 2821: /* bare_label_keyword: CHECK  */
#line 15648 "preproc.y"
 { 
 (yyval.str) = mm_strdup("check");
}
#line 59815 "preproc.c"
    break;

  case 2822: /* bare_label_keyword: CHECKPOINT  */
#line 15652 "preproc.y"
 { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 59823 "preproc.c"
    break;

  case 2823: /* bare_label_keyword: CLASS  */
#line 15656 "preproc.y"
 { 
 (yyval.str) = mm_strdup("class");
}
#line 59831 "preproc.c"
    break;

  case 2824: /* bare_label_keyword: CLOSE  */
#line 15660 "preproc.y"
 { 
 (yyval.str) = mm_strdup("close");
}
#line 59839 "preproc.c"
    break;

  case 2825: /* bare_label_keyword: CLUSTER  */
#line 15664 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cluster");
}
#line 59847 "preproc.c"
    break;

  case 2826: /* bare_label_keyword: COALESCE  */
#line 15668 "preproc.y"
 { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 59855 "preproc.c"
    break;

  case 2827: /* bare_label_keyword: COLLATE  */
#line 15672 "preproc.y"
 { 
 (yyval.str) = mm_strdup("collate");
}
#line 59863 "preproc.c"
    break;

  case 2828: /* bare_label_keyword: COLLATION  */
#line 15676 "preproc.y"
 { 
 (yyval.str) = mm_strdup("collation");
}
#line 59871 "preproc.c"
    break;

  case 2829: /* bare_label_keyword: COLUMN  */
#line 15680 "preproc.y"
 { 
 (yyval.str) = mm_strdup("column");
}
#line 59879 "preproc.c"
    break;

  case 2830: /* bare_label_keyword: COLUMNS  */
#line 15684 "preproc.y"
 { 
 (yyval.str) = mm_strdup("columns");
}
#line 59887 "preproc.c"
    break;

  case 2831: /* bare_label_keyword: COMMENT  */
#line 15688 "preproc.y"
 { 
 (yyval.str) = mm_strdup("comment");
}
#line 59895 "preproc.c"
    break;

  case 2832: /* bare_label_keyword: COMMENTS  */
#line 15692 "preproc.y"
 { 
 (yyval.str) = mm_strdup("comments");
}
#line 59903 "preproc.c"
    break;

  case 2833: /* bare_label_keyword: COMMIT  */
#line 15696 "preproc.y"
 { 
 (yyval.str) = mm_strdup("commit");
}
#line 59911 "preproc.c"
    break;

  case 2834: /* bare_label_keyword: COMMITTED  */
#line 15700 "preproc.y"
 { 
 (yyval.str) = mm_strdup("committed");
}
#line 59919 "preproc.c"
    break;

  case 2835: /* bare_label_keyword: COMPRESSION  */
#line 15704 "preproc.y"
 { 
 (yyval.str) = mm_strdup("compression");
}
#line 59927 "preproc.c"
    break;

  case 2836: /* bare_label_keyword: CONCURRENTLY  */
#line 15708 "preproc.y"
 { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 59935 "preproc.c"
    break;

  case 2837: /* bare_label_keyword: CONFIGURATION  */
#line 15712 "preproc.y"
 { 
 (yyval.str) = mm_strdup("configuration");
}
#line 59943 "preproc.c"
    break;

  case 2838: /* bare_label_keyword: CONFLICT  */
#line 15716 "preproc.y"
 { 
 (yyval.str) = mm_strdup("conflict");
}
#line 59951 "preproc.c"
    break;

  case 2839: /* bare_label_keyword: CONNECTION  */
#line 15720 "preproc.y"
 { 
 (yyval.str) = mm_strdup("connection");
}
#line 59959 "preproc.c"
    break;

  case 2840: /* bare_label_keyword: CONSTRAINT  */
#line 15724 "preproc.y"
 { 
 (yyval.str) = mm_strdup("constraint");
}
#line 59967 "preproc.c"
    break;

  case 2841: /* bare_label_keyword: CONSTRAINTS  */
#line 15728 "preproc.y"
 { 
 (yyval.str) = mm_strdup("constraints");
}
#line 59975 "preproc.c"
    break;

  case 2842: /* bare_label_keyword: CONTENT_P  */
#line 15732 "preproc.y"
 { 
 (yyval.str) = mm_strdup("content");
}
#line 59983 "preproc.c"
    break;

  case 2843: /* bare_label_keyword: CONTINUE_P  */
#line 15736 "preproc.y"
 { 
 (yyval.str) = mm_strdup("continue");
}
#line 59991 "preproc.c"
    break;

  case 2844: /* bare_label_keyword: CONVERSION_P  */
#line 15740 "preproc.y"
 { 
 (yyval.str) = mm_strdup("conversion");
}
#line 59999 "preproc.c"
    break;

  case 2845: /* bare_label_keyword: COPY  */
#line 15744 "preproc.y"
 { 
 (yyval.str) = mm_strdup("copy");
}
#line 60007 "preproc.c"
    break;

  case 2846: /* bare_label_keyword: COST  */
#line 15748 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cost");
}
#line 60015 "preproc.c"
    break;

  case 2847: /* bare_label_keyword: CROSS  */
#line 15752 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cross");
}
#line 60023 "preproc.c"
    break;

  case 2848: /* bare_label_keyword: CSV  */
#line 15756 "preproc.y"
 { 
 (yyval.str) = mm_strdup("csv");
}
#line 60031 "preproc.c"
    break;

  case 2849: /* bare_label_keyword: CUBE  */
#line 15760 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cube");
}
#line 60039 "preproc.c"
    break;

  case 2850: /* bare_label_keyword: CURRENT_P  */
#line 15764 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current");
}
#line 60047 "preproc.c"
    break;

  case 2851: /* bare_label_keyword: CURRENT_CATALOG  */
#line 15768 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 60055 "preproc.c"
    break;

  case 2852: /* bare_label_keyword: CURRENT_DATE  */
#line 15772 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_date");
}
#line 60063 "preproc.c"
    break;

  case 2853: /* bare_label_keyword: CURRENT_ROLE  */
#line 15776 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_role");
}
#line 60071 "preproc.c"
    break;

  case 2854: /* bare_label_keyword: CURRENT_SCHEMA  */
#line 15780 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 60079 "preproc.c"
    break;

  case 2855: /* bare_label_keyword: CURRENT_TIME  */
#line 15784 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_time");
}
#line 60087 "preproc.c"
    break;

  case 2856: /* bare_label_keyword: CURRENT_TIMESTAMP  */
#line 15788 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 60095 "preproc.c"
    break;

  case 2857: /* bare_label_keyword: CURRENT_USER  */
#line 15792 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_user");
}
#line 60103 "preproc.c"
    break;

  case 2858: /* bare_label_keyword: CURSOR  */
#line 15796 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cursor");
}
#line 60111 "preproc.c"
    break;

  case 2859: /* bare_label_keyword: CYCLE  */
#line 15800 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cycle");
}
#line 60119 "preproc.c"
    break;

  case 2860: /* bare_label_keyword: DATA_P  */
#line 15804 "preproc.y"
 { 
 (yyval.str) = mm_strdup("data");
}
#line 60127 "preproc.c"
    break;

  case 2861: /* bare_label_keyword: DATABASE  */
#line 15808 "preproc.y"
 { 
 (yyval.str) = mm_strdup("database");
}
#line 60135 "preproc.c"
    break;

  case 2862: /* bare_label_keyword: DEALLOCATE  */
#line 15812 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 60143 "preproc.c"
    break;

  case 2863: /* bare_label_keyword: DEC  */
#line 15816 "preproc.y"
 { 
 (yyval.str) = mm_strdup("dec");
}
#line 60151 "preproc.c"
    break;

  case 2864: /* bare_label_keyword: DECIMAL_P  */
#line 15820 "preproc.y"
 { 
 (yyval.str) = mm_strdup("decimal");
}
#line 60159 "preproc.c"
    break;

  case 2865: /* bare_label_keyword: DECLARE  */
#line 15824 "preproc.y"
 { 
 (yyval.str) = mm_strdup("declare");
}
#line 60167 "preproc.c"
    break;

  case 2866: /* bare_label_keyword: DEFAULT  */
#line 15828 "preproc.y"
 { 
 (yyval.str) = mm_strdup("default");
}
#line 60175 "preproc.c"
    break;

  case 2867: /* bare_label_keyword: DEFAULTS  */
#line 15832 "preproc.y"
 { 
 (yyval.str) = mm_strdup("defaults");
}
#line 60183 "preproc.c"
    break;

  case 2868: /* bare_label_keyword: DEFERRABLE  */
#line 15836 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 60191 "preproc.c"
    break;

  case 2869: /* bare_label_keyword: DEFERRED  */
#line 15840 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deferred");
}
#line 60199 "preproc.c"
    break;

  case 2870: /* bare_label_keyword: DEFINER  */
#line 15844 "preproc.y"
 { 
 (yyval.str) = mm_strdup("definer");
}
#line 60207 "preproc.c"
    break;

  case 2871: /* bare_label_keyword: DELETE_P  */
#line 15848 "preproc.y"
 { 
 (yyval.str) = mm_strdup("delete");
}
#line 60215 "preproc.c"
    break;

  case 2872: /* bare_label_keyword: DELIMITER  */
#line 15852 "preproc.y"
 { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 60223 "preproc.c"
    break;

  case 2873: /* bare_label_keyword: DELIMITERS  */
#line 15856 "preproc.y"
 { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 60231 "preproc.c"
    break;

  case 2874: /* bare_label_keyword: DEPENDS  */
#line 15860 "preproc.y"
 { 
 (yyval.str) = mm_strdup("depends");
}
#line 60239 "preproc.c"
    break;

  case 2875: /* bare_label_keyword: DEPTH  */
#line 15864 "preproc.y"
 { 
 (yyval.str) = mm_strdup("depth");
}
#line 60247 "preproc.c"
    break;

  case 2876: /* bare_label_keyword: DESC  */
#line 15868 "preproc.y"
 { 
 (yyval.str) = mm_strdup("desc");
}
#line 60255 "preproc.c"
    break;

  case 2877: /* bare_label_keyword: DETACH  */
#line 15872 "preproc.y"
 { 
 (yyval.str) = mm_strdup("detach");
}
#line 60263 "preproc.c"
    break;

  case 2878: /* bare_label_keyword: DICTIONARY  */
#line 15876 "preproc.y"
 { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 60271 "preproc.c"
    break;

  case 2879: /* bare_label_keyword: DISABLE_P  */
#line 15880 "preproc.y"
 { 
 (yyval.str) = mm_strdup("disable");
}
#line 60279 "preproc.c"
    break;

  case 2880: /* bare_label_keyword: DISCARD  */
#line 15884 "preproc.y"
 { 
 (yyval.str) = mm_strdup("discard");
}
#line 60287 "preproc.c"
    break;

  case 2881: /* bare_label_keyword: DISTINCT  */
#line 15888 "preproc.y"
 { 
 (yyval.str) = mm_strdup("distinct");
}
#line 60295 "preproc.c"
    break;

  case 2882: /* bare_label_keyword: DO  */
#line 15892 "preproc.y"
 { 
 (yyval.str) = mm_strdup("do");
}
#line 60303 "preproc.c"
    break;

  case 2883: /* bare_label_keyword: DOCUMENT_P  */
#line 15896 "preproc.y"
 { 
 (yyval.str) = mm_strdup("document");
}
#line 60311 "preproc.c"
    break;

  case 2884: /* bare_label_keyword: DOMAIN_P  */
#line 15900 "preproc.y"
 { 
 (yyval.str) = mm_strdup("domain");
}
#line 60319 "preproc.c"
    break;

  case 2885: /* bare_label_keyword: DOUBLE_P  */
#line 15904 "preproc.y"
 { 
 (yyval.str) = mm_strdup("double");
}
#line 60327 "preproc.c"
    break;

  case 2886: /* bare_label_keyword: DROP  */
#line 15908 "preproc.y"
 { 
 (yyval.str) = mm_strdup("drop");
}
#line 60335 "preproc.c"
    break;

  case 2887: /* bare_label_keyword: EACH  */
#line 15912 "preproc.y"
 { 
 (yyval.str) = mm_strdup("each");
}
#line 60343 "preproc.c"
    break;

  case 2888: /* bare_label_keyword: ELSE  */
#line 15916 "preproc.y"
 { 
 (yyval.str) = mm_strdup("else");
}
#line 60351 "preproc.c"
    break;

  case 2889: /* bare_label_keyword: ENABLE_P  */
#line 15920 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enable");
}
#line 60359 "preproc.c"
    break;

  case 2890: /* bare_label_keyword: ENCODING  */
#line 15924 "preproc.y"
 { 
 (yyval.str) = mm_strdup("encoding");
}
#line 60367 "preproc.c"
    break;

  case 2891: /* bare_label_keyword: ENCRYPTED  */
#line 15928 "preproc.y"
 { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 60375 "preproc.c"
    break;

  case 2892: /* bare_label_keyword: END_P  */
#line 15932 "preproc.y"
 { 
 (yyval.str) = mm_strdup("end");
}
#line 60383 "preproc.c"
    break;

  case 2893: /* bare_label_keyword: ENUM_P  */
#line 15936 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enum");
}
#line 60391 "preproc.c"
    break;

  case 2894: /* bare_label_keyword: ESCAPE  */
#line 15940 "preproc.y"
 { 
 (yyval.str) = mm_strdup("escape");
}
#line 60399 "preproc.c"
    break;

  case 2895: /* bare_label_keyword: EVENT  */
#line 15944 "preproc.y"
 { 
 (yyval.str) = mm_strdup("event");
}
#line 60407 "preproc.c"
    break;

  case 2896: /* bare_label_keyword: EXCLUDE  */
#line 15948 "preproc.y"
 { 
 (yyval.str) = mm_strdup("exclude");
}
#line 60415 "preproc.c"
    break;

  case 2897: /* bare_label_keyword: EXCLUDING  */
#line 15952 "preproc.y"
 { 
 (yyval.str) = mm_strdup("excluding");
}
#line 60423 "preproc.c"
    break;

  case 2898: /* bare_label_keyword: EXCLUSIVE  */
#line 15956 "preproc.y"
 { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 60431 "preproc.c"
    break;

  case 2899: /* bare_label_keyword: EXECUTE  */
#line 15960 "preproc.y"
 { 
 (yyval.str) = mm_strdup("execute");
}
#line 60439 "preproc.c"
    break;

  case 2900: /* bare_label_keyword: EXISTS  */
#line 15964 "preproc.y"
 { 
 (yyval.str) = mm_strdup("exists");
}
#line 60447 "preproc.c"
    break;

  case 2901: /* bare_label_keyword: EXPLAIN  */
#line 15968 "preproc.y"
 { 
 (yyval.str) = mm_strdup("explain");
}
#line 60455 "preproc.c"
    break;

  case 2902: /* bare_label_keyword: EXPRESSION  */
#line 15972 "preproc.y"
 { 
 (yyval.str) = mm_strdup("expression");
}
#line 60463 "preproc.c"
    break;

  case 2903: /* bare_label_keyword: EXTENSION  */
#line 15976 "preproc.y"
 { 
 (yyval.str) = mm_strdup("extension");
}
#line 60471 "preproc.c"
    break;

  case 2904: /* bare_label_keyword: EXTERNAL  */
#line 15980 "preproc.y"
 { 
 (yyval.str) = mm_strdup("external");
}
#line 60479 "preproc.c"
    break;

  case 2905: /* bare_label_keyword: EXTRACT  */
#line 15984 "preproc.y"
 { 
 (yyval.str) = mm_strdup("extract");
}
#line 60487 "preproc.c"
    break;

  case 2906: /* bare_label_keyword: FALSE_P  */
#line 15988 "preproc.y"
 { 
 (yyval.str) = mm_strdup("false");
}
#line 60495 "preproc.c"
    break;

  case 2907: /* bare_label_keyword: FAMILY  */
#line 15992 "preproc.y"
 { 
 (yyval.str) = mm_strdup("family");
}
#line 60503 "preproc.c"
    break;

  case 2908: /* bare_label_keyword: FINALIZE  */
#line 15996 "preproc.y"
 { 
 (yyval.str) = mm_strdup("finalize");
}
#line 60511 "preproc.c"
    break;

  case 2909: /* bare_label_keyword: FIRST_P  */
#line 16000 "preproc.y"
 { 
 (yyval.str) = mm_strdup("first");
}
#line 60519 "preproc.c"
    break;

  case 2910: /* bare_label_keyword: FLOAT_P  */
#line 16004 "preproc.y"
 { 
 (yyval.str) = mm_strdup("float");
}
#line 60527 "preproc.c"
    break;

  case 2911: /* bare_label_keyword: FOLLOWING  */
#line 16008 "preproc.y"
 { 
 (yyval.str) = mm_strdup("following");
}
#line 60535 "preproc.c"
    break;

  case 2912: /* bare_label_keyword: FORCE  */
#line 16012 "preproc.y"
 { 
 (yyval.str) = mm_strdup("force");
}
#line 60543 "preproc.c"
    break;

  case 2913: /* bare_label_keyword: FOREIGN  */
#line 16016 "preproc.y"
 { 
 (yyval.str) = mm_strdup("foreign");
}
#line 60551 "preproc.c"
    break;

  case 2914: /* bare_label_keyword: FORWARD  */
#line 16020 "preproc.y"
 { 
 (yyval.str) = mm_strdup("forward");
}
#line 60559 "preproc.c"
    break;

  case 2915: /* bare_label_keyword: FREEZE  */
#line 16024 "preproc.y"
 { 
 (yyval.str) = mm_strdup("freeze");
}
#line 60567 "preproc.c"
    break;

  case 2916: /* bare_label_keyword: FULL  */
#line 16028 "preproc.y"
 { 
 (yyval.str) = mm_strdup("full");
}
#line 60575 "preproc.c"
    break;

  case 2917: /* bare_label_keyword: FUNCTION  */
#line 16032 "preproc.y"
 { 
 (yyval.str) = mm_strdup("function");
}
#line 60583 "preproc.c"
    break;

  case 2918: /* bare_label_keyword: FUNCTIONS  */
#line 16036 "preproc.y"
 { 
 (yyval.str) = mm_strdup("functions");
}
#line 60591 "preproc.c"
    break;

  case 2919: /* bare_label_keyword: GENERATED  */
#line 16040 "preproc.y"
 { 
 (yyval.str) = mm_strdup("generated");
}
#line 60599 "preproc.c"
    break;

  case 2920: /* bare_label_keyword: GLOBAL  */
#line 16044 "preproc.y"
 { 
 (yyval.str) = mm_strdup("global");
}
#line 60607 "preproc.c"
    break;

  case 2921: /* bare_label_keyword: GRANTED  */
#line 16048 "preproc.y"
 { 
 (yyval.str) = mm_strdup("granted");
}
#line 60615 "preproc.c"
    break;

  case 2922: /* bare_label_keyword: GREATEST  */
#line 16052 "preproc.y"
 { 
 (yyval.str) = mm_strdup("greatest");
}
#line 60623 "preproc.c"
    break;

  case 2923: /* bare_label_keyword: GROUPING  */
#line 16056 "preproc.y"
 { 
 (yyval.str) = mm_strdup("grouping");
}
#line 60631 "preproc.c"
    break;

  case 2924: /* bare_label_keyword: GROUPS  */
#line 16060 "preproc.y"
 { 
 (yyval.str) = mm_strdup("groups");
}
#line 60639 "preproc.c"
    break;

  case 2925: /* bare_label_keyword: HANDLER  */
#line 16064 "preproc.y"
 { 
 (yyval.str) = mm_strdup("handler");
}
#line 60647 "preproc.c"
    break;

  case 2926: /* bare_label_keyword: HEADER_P  */
#line 16068 "preproc.y"
 { 
 (yyval.str) = mm_strdup("header");
}
#line 60655 "preproc.c"
    break;

  case 2927: /* bare_label_keyword: HOLD  */
#line 16072 "preproc.y"
 { 
 (yyval.str) = mm_strdup("hold");
}
#line 60663 "preproc.c"
    break;

  case 2928: /* bare_label_keyword: IDENTITY_P  */
#line 16076 "preproc.y"
 { 
 (yyval.str) = mm_strdup("identity");
}
#line 60671 "preproc.c"
    break;

  case 2929: /* bare_label_keyword: IF_P  */
#line 16080 "preproc.y"
 { 
 (yyval.str) = mm_strdup("if");
}
#line 60679 "preproc.c"
    break;

  case 2930: /* bare_label_keyword: ILIKE  */
#line 16084 "preproc.y"
 { 
 (yyval.str) = mm_strdup("ilike");
}
#line 60687 "preproc.c"
    break;

  case 2931: /* bare_label_keyword: IMMEDIATE  */
#line 16088 "preproc.y"
 { 
 (yyval.str) = mm_strdup("immediate");
}
#line 60695 "preproc.c"
    break;

  case 2932: /* bare_label_keyword: IMMUTABLE  */
#line 16092 "preproc.y"
 { 
 (yyval.str) = mm_strdup("immutable");
}
#line 60703 "preproc.c"
    break;

  case 2933: /* bare_label_keyword: IMPLICIT_P  */
#line 16096 "preproc.y"
 { 
 (yyval.str) = mm_strdup("implicit");
}
#line 60711 "preproc.c"
    break;

  case 2934: /* bare_label_keyword: IMPORT_P  */
#line 16100 "preproc.y"
 { 
 (yyval.str) = mm_strdup("import");
}
#line 60719 "preproc.c"
    break;

  case 2935: /* bare_label_keyword: IN_P  */
#line 16104 "preproc.y"
 { 
 (yyval.str) = mm_strdup("in");
}
#line 60727 "preproc.c"
    break;

  case 2936: /* bare_label_keyword: INCLUDE  */
#line 16108 "preproc.y"
 { 
 (yyval.str) = mm_strdup("include");
}
#line 60735 "preproc.c"
    break;

  case 2937: /* bare_label_keyword: INCLUDING  */
#line 16112 "preproc.y"
 { 
 (yyval.str) = mm_strdup("including");
}
#line 60743 "preproc.c"
    break;

  case 2938: /* bare_label_keyword: INCREMENT  */
#line 16116 "preproc.y"
 { 
 (yyval.str) = mm_strdup("increment");
}
#line 60751 "preproc.c"
    break;

  case 2939: /* bare_label_keyword: INDEX  */
#line 16120 "preproc.y"
 { 
 (yyval.str) = mm_strdup("index");
}
#line 60759 "preproc.c"
    break;

  case 2940: /* bare_label_keyword: INDEXES  */
#line 16124 "preproc.y"
 { 
 (yyval.str) = mm_strdup("indexes");
}
#line 60767 "preproc.c"
    break;

  case 2941: /* bare_label_keyword: INHERIT  */
#line 16128 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inherit");
}
#line 60775 "preproc.c"
    break;

  case 2942: /* bare_label_keyword: INHERITS  */
#line 16132 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inherits");
}
#line 60783 "preproc.c"
    break;

  case 2943: /* bare_label_keyword: INITIALLY  */
#line 16136 "preproc.y"
 { 
 (yyval.str) = mm_strdup("initially");
}
#line 60791 "preproc.c"
    break;

  case 2944: /* bare_label_keyword: INLINE_P  */
#line 16140 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inline");
}
#line 60799 "preproc.c"
    break;

  case 2945: /* bare_label_keyword: INNER_P  */
#line 16144 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inner");
}
#line 60807 "preproc.c"
    break;

  case 2946: /* bare_label_keyword: INOUT  */
#line 16148 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inout");
}
#line 60815 "preproc.c"
    break;

  case 2947: /* bare_label_keyword: INPUT_P  */
#line 16152 "preproc.y"
 { 
 (yyval.str) = mm_strdup("input");
}
#line 60823 "preproc.c"
    break;

  case 2948: /* bare_label_keyword: INSENSITIVE  */
#line 16156 "preproc.y"
 { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 60831 "preproc.c"
    break;

  case 2949: /* bare_label_keyword: INSERT  */
#line 16160 "preproc.y"
 { 
 (yyval.str) = mm_strdup("insert");
}
#line 60839 "preproc.c"
    break;

  case 2950: /* bare_label_keyword: INSTEAD  */
#line 16164 "preproc.y"
 { 
 (yyval.str) = mm_strdup("instead");
}
#line 60847 "preproc.c"
    break;

  case 2951: /* bare_label_keyword: INT_P  */
#line 16168 "preproc.y"
 { 
 (yyval.str) = mm_strdup("int");
}
#line 60855 "preproc.c"
    break;

  case 2952: /* bare_label_keyword: INTEGER  */
#line 16172 "preproc.y"
 { 
 (yyval.str) = mm_strdup("integer");
}
#line 60863 "preproc.c"
    break;

  case 2953: /* bare_label_keyword: INTERVAL  */
#line 16176 "preproc.y"
 { 
 (yyval.str) = mm_strdup("interval");
}
#line 60871 "preproc.c"
    break;

  case 2954: /* bare_label_keyword: INVOKER  */
#line 16180 "preproc.y"
 { 
 (yyval.str) = mm_strdup("invoker");
}
#line 60879 "preproc.c"
    break;

  case 2955: /* bare_label_keyword: IS  */
#line 16184 "preproc.y"
 { 
 (yyval.str) = mm_strdup("is");
}
#line 60887 "preproc.c"
    break;

  case 2956: /* bare_label_keyword: ISOLATION  */
#line 16188 "preproc.y"
 { 
 (yyval.str) = mm_strdup("isolation");
}
#line 60895 "preproc.c"
    break;

  case 2957: /* bare_label_keyword: JOIN  */
#line 16192 "preproc.y"
 { 
 (yyval.str) = mm_strdup("join");
}
#line 60903 "preproc.c"
    break;

  case 2958: /* bare_label_keyword: KEY  */
#line 16196 "preproc.y"
 { 
 (yyval.str) = mm_strdup("key");
}
#line 60911 "preproc.c"
    break;

  case 2959: /* bare_label_keyword: LABEL  */
#line 16200 "preproc.y"
 { 
 (yyval.str) = mm_strdup("label");
}
#line 60919 "preproc.c"
    break;

  case 2960: /* bare_label_keyword: LANGUAGE  */
#line 16204 "preproc.y"
 { 
 (yyval.str) = mm_strdup("language");
}
#line 60927 "preproc.c"
    break;

  case 2961: /* bare_label_keyword: LARGE_P  */
#line 16208 "preproc.y"
 { 
 (yyval.str) = mm_strdup("large");
}
#line 60935 "preproc.c"
    break;

  case 2962: /* bare_label_keyword: LAST_P  */
#line 16212 "preproc.y"
 { 
 (yyval.str) = mm_strdup("last");
}
#line 60943 "preproc.c"
    break;

  case 2963: /* bare_label_keyword: LATERAL_P  */
#line 16216 "preproc.y"
 { 
 (yyval.str) = mm_strdup("lateral");
}
#line 60951 "preproc.c"
    break;

  case 2964: /* bare_label_keyword: LEADING  */
#line 16220 "preproc.y"
 { 
 (yyval.str) = mm_strdup("leading");
}
#line 60959 "preproc.c"
    break;

  case 2965: /* bare_label_keyword: LEAKPROOF  */
#line 16224 "preproc.y"
 { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 60967 "preproc.c"
    break;

  case 2966: /* bare_label_keyword: LEAST  */
#line 16228 "preproc.y"
 { 
 (yyval.str) = mm_strdup("least");
}
#line 60975 "preproc.c"
    break;

  case 2967: /* bare_label_keyword: LEFT  */
#line 16232 "preproc.y"
 { 
 (yyval.str) = mm_strdup("left");
}
#line 60983 "preproc.c"
    break;

  case 2968: /* bare_label_keyword: LEVEL  */
#line 16236 "preproc.y"
 { 
 (yyval.str) = mm_strdup("level");
}
#line 60991 "preproc.c"
    break;

  case 2969: /* bare_label_keyword: LIKE  */
#line 16240 "preproc.y"
 { 
 (yyval.str) = mm_strdup("like");
}
#line 60999 "preproc.c"
    break;

  case 2970: /* bare_label_keyword: LISTEN  */
#line 16244 "preproc.y"
 { 
 (yyval.str) = mm_strdup("listen");
}
#line 61007 "preproc.c"
    break;

  case 2971: /* bare_label_keyword: LOAD  */
#line 16248 "preproc.y"
 { 
 (yyval.str) = mm_strdup("load");
}
#line 61015 "preproc.c"
    break;

  case 2972: /* bare_label_keyword: LOCAL  */
#line 16252 "preproc.y"
 { 
 (yyval.str) = mm_strdup("local");
}
#line 61023 "preproc.c"
    break;

  case 2973: /* bare_label_keyword: LOCALTIME  */
#line 16256 "preproc.y"
 { 
 (yyval.str) = mm_strdup("localtime");
}
#line 61031 "preproc.c"
    break;

  case 2974: /* bare_label_keyword: LOCALTIMESTAMP  */
#line 16260 "preproc.y"
 { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 61039 "preproc.c"
    break;

  case 2975: /* bare_label_keyword: LOCATION  */
#line 16264 "preproc.y"
 { 
 (yyval.str) = mm_strdup("location");
}
#line 61047 "preproc.c"
    break;

  case 2976: /* bare_label_keyword: LOCK_P  */
#line 16268 "preproc.y"
 { 
 (yyval.str) = mm_strdup("lock");
}
#line 61055 "preproc.c"
    break;

  case 2977: /* bare_label_keyword: LOCKED  */
#line 16272 "preproc.y"
 { 
 (yyval.str) = mm_strdup("locked");
}
#line 61063 "preproc.c"
    break;

  case 2978: /* bare_label_keyword: LOGGED  */
#line 16276 "preproc.y"
 { 
 (yyval.str) = mm_strdup("logged");
}
#line 61071 "preproc.c"
    break;

  case 2979: /* bare_label_keyword: MAPPING  */
#line 16280 "preproc.y"
 { 
 (yyval.str) = mm_strdup("mapping");
}
#line 61079 "preproc.c"
    break;

  case 2980: /* bare_label_keyword: MATCH  */
#line 16284 "preproc.y"
 { 
 (yyval.str) = mm_strdup("match");
}
#line 61087 "preproc.c"
    break;

  case 2981: /* bare_label_keyword: MATCHED  */
#line 16288 "preproc.y"
 { 
 (yyval.str) = mm_strdup("matched");
}
#line 61095 "preproc.c"
    break;

  case 2982: /* bare_label_keyword: MATERIALIZED  */
#line 16292 "preproc.y"
 { 
 (yyval.str) = mm_strdup("materialized");
}
#line 61103 "preproc.c"
    break;

  case 2983: /* bare_label_keyword: MAXVALUE  */
#line 16296 "preproc.y"
 { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 61111 "preproc.c"
    break;

  case 2984: /* bare_label_keyword: MERGE  */
#line 16300 "preproc.y"
 { 
 (yyval.str) = mm_strdup("merge");
}
#line 61119 "preproc.c"
    break;

  case 2985: /* bare_label_keyword: METHOD  */
#line 16304 "preproc.y"
 { 
 (yyval.str) = mm_strdup("method");
}
#line 61127 "preproc.c"
    break;

  case 2986: /* bare_label_keyword: MINVALUE  */
#line 16308 "preproc.y"
 { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 61135 "preproc.c"
    break;

  case 2987: /* bare_label_keyword: MODE  */
#line 16312 "preproc.y"
 { 
 (yyval.str) = mm_strdup("mode");
}
#line 61143 "preproc.c"
    break;

  case 2988: /* bare_label_keyword: MOVE  */
#line 16316 "preproc.y"
 { 
 (yyval.str) = mm_strdup("move");
}
#line 61151 "preproc.c"
    break;

  case 2989: /* bare_label_keyword: NAME_P  */
#line 16320 "preproc.y"
 { 
 (yyval.str) = mm_strdup("name");
}
#line 61159 "preproc.c"
    break;

  case 2990: /* bare_label_keyword: NAMES  */
#line 16324 "preproc.y"
 { 
 (yyval.str) = mm_strdup("names");
}
#line 61167 "preproc.c"
    break;

  case 2991: /* bare_label_keyword: NATIONAL  */
#line 16328 "preproc.y"
 { 
 (yyval.str) = mm_strdup("national");
}
#line 61175 "preproc.c"
    break;

  case 2992: /* bare_label_keyword: NATURAL  */
#line 16332 "preproc.y"
 { 
 (yyval.str) = mm_strdup("natural");
}
#line 61183 "preproc.c"
    break;

  case 2993: /* bare_label_keyword: NCHAR  */
#line 16336 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nchar");
}
#line 61191 "preproc.c"
    break;

  case 2994: /* bare_label_keyword: NEW  */
#line 16340 "preproc.y"
 { 
 (yyval.str) = mm_strdup("new");
}
#line 61199 "preproc.c"
    break;

  case 2995: /* bare_label_keyword: NEXT  */
#line 16344 "preproc.y"
 { 
 (yyval.str) = mm_strdup("next");
}
#line 61207 "preproc.c"
    break;

  case 2996: /* bare_label_keyword: NFC  */
#line 16348 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nfc");
}
#line 61215 "preproc.c"
    break;

  case 2997: /* bare_label_keyword: NFD  */
#line 16352 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nfd");
}
#line 61223 "preproc.c"
    break;

  case 2998: /* bare_label_keyword: NFKC  */
#line 16356 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nfkc");
}
#line 61231 "preproc.c"
    break;

  case 2999: /* bare_label_keyword: NFKD  */
#line 16360 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nfkd");
}
#line 61239 "preproc.c"
    break;

  case 3000: /* bare_label_keyword: NO  */
#line 16364 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no");
}
#line 61247 "preproc.c"
    break;

  case 3001: /* bare_label_keyword: NONE  */
#line 16368 "preproc.y"
 { 
 (yyval.str) = mm_strdup("none");
}
#line 61255 "preproc.c"
    break;

  case 3002: /* bare_label_keyword: NORMALIZE  */
#line 16372 "preproc.y"
 { 
 (yyval.str) = mm_strdup("normalize");
}
#line 61263 "preproc.c"
    break;

  case 3003: /* bare_label_keyword: NORMALIZED  */
#line 16376 "preproc.y"
 { 
 (yyval.str) = mm_strdup("normalized");
}
#line 61271 "preproc.c"
    break;

  case 3004: /* bare_label_keyword: NOT  */
#line 16380 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not");
}
#line 61279 "preproc.c"
    break;

  case 3005: /* bare_label_keyword: NOTHING  */
#line 16384 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nothing");
}
#line 61287 "preproc.c"
    break;

  case 3006: /* bare_label_keyword: NOTIFY  */
#line 16388 "preproc.y"
 { 
 (yyval.str) = mm_strdup("notify");
}
#line 61295 "preproc.c"
    break;

  case 3007: /* bare_label_keyword: NOWAIT  */
#line 16392 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nowait");
}
#line 61303 "preproc.c"
    break;

  case 3008: /* bare_label_keyword: NULL_P  */
#line 16396 "preproc.y"
 { 
 (yyval.str) = mm_strdup("null");
}
#line 61311 "preproc.c"
    break;

  case 3009: /* bare_label_keyword: NULLIF  */
#line 16400 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nullif");
}
#line 61319 "preproc.c"
    break;

  case 3010: /* bare_label_keyword: NULLS_P  */
#line 16404 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nulls");
}
#line 61327 "preproc.c"
    break;

  case 3011: /* bare_label_keyword: NUMERIC  */
#line 16408 "preproc.y"
 { 
 (yyval.str) = mm_strdup("numeric");
}
#line 61335 "preproc.c"
    break;

  case 3012: /* bare_label_keyword: OBJECT_P  */
#line 16412 "preproc.y"
 { 
 (yyval.str) = mm_strdup("object");
}
#line 61343 "preproc.c"
    break;

  case 3013: /* bare_label_keyword: OF  */
#line 16416 "preproc.y"
 { 
 (yyval.str) = mm_strdup("of");
}
#line 61351 "preproc.c"
    break;

  case 3014: /* bare_label_keyword: OFF  */
#line 16420 "preproc.y"
 { 
 (yyval.str) = mm_strdup("off");
}
#line 61359 "preproc.c"
    break;

  case 3015: /* bare_label_keyword: OIDS  */
#line 16424 "preproc.y"
 { 
 (yyval.str) = mm_strdup("oids");
}
#line 61367 "preproc.c"
    break;

  case 3016: /* bare_label_keyword: OLD  */
#line 16428 "preproc.y"
 { 
 (yyval.str) = mm_strdup("old");
}
#line 61375 "preproc.c"
    break;

  case 3017: /* bare_label_keyword: ONLY  */
#line 16432 "preproc.y"
 { 
 (yyval.str) = mm_strdup("only");
}
#line 61383 "preproc.c"
    break;

  case 3018: /* bare_label_keyword: OPERATOR  */
#line 16436 "preproc.y"
 { 
 (yyval.str) = mm_strdup("operator");
}
#line 61391 "preproc.c"
    break;

  case 3019: /* bare_label_keyword: OPTION  */
#line 16440 "preproc.y"
 { 
 (yyval.str) = mm_strdup("option");
}
#line 61399 "preproc.c"
    break;

  case 3020: /* bare_label_keyword: OPTIONS  */
#line 16444 "preproc.y"
 { 
 (yyval.str) = mm_strdup("options");
}
#line 61407 "preproc.c"
    break;

  case 3021: /* bare_label_keyword: OR  */
#line 16448 "preproc.y"
 { 
 (yyval.str) = mm_strdup("or");
}
#line 61415 "preproc.c"
    break;

  case 3022: /* bare_label_keyword: ORDINALITY  */
#line 16452 "preproc.y"
 { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 61423 "preproc.c"
    break;

  case 3023: /* bare_label_keyword: OTHERS  */
#line 16456 "preproc.y"
 { 
 (yyval.str) = mm_strdup("others");
}
#line 61431 "preproc.c"
    break;

  case 3024: /* bare_label_keyword: OUT_P  */
#line 16460 "preproc.y"
 { 
 (yyval.str) = mm_strdup("out");
}
#line 61439 "preproc.c"
    break;

  case 3025: /* bare_label_keyword: OUTER_P  */
#line 16464 "preproc.y"
 { 
 (yyval.str) = mm_strdup("outer");
}
#line 61447 "preproc.c"
    break;

  case 3026: /* bare_label_keyword: OVERLAY  */
#line 16468 "preproc.y"
 { 
 (yyval.str) = mm_strdup("overlay");
}
#line 61455 "preproc.c"
    break;

  case 3027: /* bare_label_keyword: OVERRIDING  */
#line 16472 "preproc.y"
 { 
 (yyval.str) = mm_strdup("overriding");
}
#line 61463 "preproc.c"
    break;

  case 3028: /* bare_label_keyword: OWNED  */
#line 16476 "preproc.y"
 { 
 (yyval.str) = mm_strdup("owned");
}
#line 61471 "preproc.c"
    break;

  case 3029: /* bare_label_keyword: OWNER  */
#line 16480 "preproc.y"
 { 
 (yyval.str) = mm_strdup("owner");
}
#line 61479 "preproc.c"
    break;

  case 3030: /* bare_label_keyword: PARALLEL  */
#line 16484 "preproc.y"
 { 
 (yyval.str) = mm_strdup("parallel");
}
#line 61487 "preproc.c"
    break;

  case 3031: /* bare_label_keyword: PARAMETER  */
#line 16488 "preproc.y"
 { 
 (yyval.str) = mm_strdup("parameter");
}
#line 61495 "preproc.c"
    break;

  case 3032: /* bare_label_keyword: PARSER  */
#line 16492 "preproc.y"
 { 
 (yyval.str) = mm_strdup("parser");
}
#line 61503 "preproc.c"
    break;

  case 3033: /* bare_label_keyword: PARTIAL  */
#line 16496 "preproc.y"
 { 
 (yyval.str) = mm_strdup("partial");
}
#line 61511 "preproc.c"
    break;

  case 3034: /* bare_label_keyword: PARTITION  */
#line 16500 "preproc.y"
 { 
 (yyval.str) = mm_strdup("partition");
}
#line 61519 "preproc.c"
    break;

  case 3035: /* bare_label_keyword: PASSING  */
#line 16504 "preproc.y"
 { 
 (yyval.str) = mm_strdup("passing");
}
#line 61527 "preproc.c"
    break;

  case 3036: /* bare_label_keyword: PASSWORD  */
#line 16508 "preproc.y"
 { 
 (yyval.str) = mm_strdup("password");
}
#line 61535 "preproc.c"
    break;

  case 3037: /* bare_label_keyword: PLACING  */
#line 16512 "preproc.y"
 { 
 (yyval.str) = mm_strdup("placing");
}
#line 61543 "preproc.c"
    break;

  case 3038: /* bare_label_keyword: PLANS  */
#line 16516 "preproc.y"
 { 
 (yyval.str) = mm_strdup("plans");
}
#line 61551 "preproc.c"
    break;

  case 3039: /* bare_label_keyword: POLICY  */
#line 16520 "preproc.y"
 { 
 (yyval.str) = mm_strdup("policy");
}
#line 61559 "preproc.c"
    break;

  case 3040: /* bare_label_keyword: POSITION  */
#line 16524 "preproc.y"
 { 
 (yyval.str) = mm_strdup("position");
}
#line 61567 "preproc.c"
    break;

  case 3041: /* bare_label_keyword: PRECEDING  */
#line 16528 "preproc.y"
 { 
 (yyval.str) = mm_strdup("preceding");
}
#line 61575 "preproc.c"
    break;

  case 3042: /* bare_label_keyword: PREPARE  */
#line 16532 "preproc.y"
 { 
 (yyval.str) = mm_strdup("prepare");
}
#line 61583 "preproc.c"
    break;

  case 3043: /* bare_label_keyword: PREPARED  */
#line 16536 "preproc.y"
 { 
 (yyval.str) = mm_strdup("prepared");
}
#line 61591 "preproc.c"
    break;

  case 3044: /* bare_label_keyword: PRESERVE  */
#line 16540 "preproc.y"
 { 
 (yyval.str) = mm_strdup("preserve");
}
#line 61599 "preproc.c"
    break;

  case 3045: /* bare_label_keyword: PRIMARY  */
#line 16544 "preproc.y"
 { 
 (yyval.str) = mm_strdup("primary");
}
#line 61607 "preproc.c"
    break;

  case 3046: /* bare_label_keyword: PRIOR  */
#line 16548 "preproc.y"
 { 
 (yyval.str) = mm_strdup("prior");
}
#line 61615 "preproc.c"
    break;

  case 3047: /* bare_label_keyword: PRIVILEGES  */
#line 16552 "preproc.y"
 { 
 (yyval.str) = mm_strdup("privileges");
}
#line 61623 "preproc.c"
    break;

  case 3048: /* bare_label_keyword: PROCEDURAL  */
#line 16556 "preproc.y"
 { 
 (yyval.str) = mm_strdup("procedural");
}
#line 61631 "preproc.c"
    break;

  case 3049: /* bare_label_keyword: PROCEDURE  */
#line 16560 "preproc.y"
 { 
 (yyval.str) = mm_strdup("procedure");
}
#line 61639 "preproc.c"
    break;

  case 3050: /* bare_label_keyword: PROCEDURES  */
#line 16564 "preproc.y"
 { 
 (yyval.str) = mm_strdup("procedures");
}
#line 61647 "preproc.c"
    break;

  case 3051: /* bare_label_keyword: PROGRAM  */
#line 16568 "preproc.y"
 { 
 (yyval.str) = mm_strdup("program");
}
#line 61655 "preproc.c"
    break;

  case 3052: /* bare_label_keyword: PUBLICATION  */
#line 16572 "preproc.y"
 { 
 (yyval.str) = mm_strdup("publication");
}
#line 61663 "preproc.c"
    break;

  case 3053: /* bare_label_keyword: QUOTE  */
#line 16576 "preproc.y"
 { 
 (yyval.str) = mm_strdup("quote");
}
#line 61671 "preproc.c"
    break;

  case 3054: /* bare_label_keyword: RANGE  */
#line 16580 "preproc.y"
 { 
 (yyval.str) = mm_strdup("range");
}
#line 61679 "preproc.c"
    break;

  case 3055: /* bare_label_keyword: READ  */
#line 16584 "preproc.y"
 { 
 (yyval.str) = mm_strdup("read");
}
#line 61687 "preproc.c"
    break;

  case 3056: /* bare_label_keyword: REAL  */
#line 16588 "preproc.y"
 { 
 (yyval.str) = mm_strdup("real");
}
#line 61695 "preproc.c"
    break;

  case 3057: /* bare_label_keyword: REASSIGN  */
#line 16592 "preproc.y"
 { 
 (yyval.str) = mm_strdup("reassign");
}
#line 61703 "preproc.c"
    break;

  case 3058: /* bare_label_keyword: RECHECK  */
#line 16596 "preproc.y"
 { 
 (yyval.str) = mm_strdup("recheck");
}
#line 61711 "preproc.c"
    break;

  case 3059: /* bare_label_keyword: RECURSIVE  */
#line 16600 "preproc.y"
 { 
 (yyval.str) = mm_strdup("recursive");
}
#line 61719 "preproc.c"
    break;

  case 3060: /* bare_label_keyword: REF_P  */
#line 16604 "preproc.y"
 { 
 (yyval.str) = mm_strdup("ref");
}
#line 61727 "preproc.c"
    break;

  case 3061: /* bare_label_keyword: REFERENCES  */
#line 16608 "preproc.y"
 { 
 (yyval.str) = mm_strdup("references");
}
#line 61735 "preproc.c"
    break;

  case 3062: /* bare_label_keyword: REFERENCING  */
#line 16612 "preproc.y"
 { 
 (yyval.str) = mm_strdup("referencing");
}
#line 61743 "preproc.c"
    break;

  case 3063: /* bare_label_keyword: REFRESH  */
#line 16616 "preproc.y"
 { 
 (yyval.str) = mm_strdup("refresh");
}
#line 61751 "preproc.c"
    break;

  case 3064: /* bare_label_keyword: REINDEX  */
#line 16620 "preproc.y"
 { 
 (yyval.str) = mm_strdup("reindex");
}
#line 61759 "preproc.c"
    break;

  case 3065: /* bare_label_keyword: RELATIVE_P  */
#line 16624 "preproc.y"
 { 
 (yyval.str) = mm_strdup("relative");
}
#line 61767 "preproc.c"
    break;

  case 3066: /* bare_label_keyword: RELEASE  */
#line 16628 "preproc.y"
 { 
 (yyval.str) = mm_strdup("release");
}
#line 61775 "preproc.c"
    break;

  case 3067: /* bare_label_keyword: RENAME  */
#line 16632 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rename");
}
#line 61783 "preproc.c"
    break;

  case 3068: /* bare_label_keyword: REPEATABLE  */
#line 16636 "preproc.y"
 { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 61791 "preproc.c"
    break;

  case 3069: /* bare_label_keyword: REPLACE  */
#line 16640 "preproc.y"
 { 
 (yyval.str) = mm_strdup("replace");
}
#line 61799 "preproc.c"
    break;

  case 3070: /* bare_label_keyword: REPLICA  */
#line 16644 "preproc.y"
 { 
 (yyval.str) = mm_strdup("replica");
}
#line 61807 "preproc.c"
    break;

  case 3071: /* bare_label_keyword: RESET  */
#line 16648 "preproc.y"
 { 
 (yyval.str) = mm_strdup("reset");
}
#line 61815 "preproc.c"
    break;

  case 3072: /* bare_label_keyword: RESTART  */
#line 16652 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restart");
}
#line 61823 "preproc.c"
    break;

  case 3073: /* bare_label_keyword: RESTRICT  */
#line 16656 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restrict");
}
#line 61831 "preproc.c"
    break;

  case 3074: /* bare_label_keyword: RETURN  */
#line 16660 "preproc.y"
 { 
 (yyval.str) = mm_strdup("return");
}
#line 61839 "preproc.c"
    break;

  case 3075: /* bare_label_keyword: RETURNS  */
#line 16664 "preproc.y"
 { 
 (yyval.str) = mm_strdup("returns");
}
#line 61847 "preproc.c"
    break;

  case 3076: /* bare_label_keyword: REVOKE  */
#line 16668 "preproc.y"
 { 
 (yyval.str) = mm_strdup("revoke");
}
#line 61855 "preproc.c"
    break;

  case 3077: /* bare_label_keyword: RIGHT  */
#line 16672 "preproc.y"
 { 
 (yyval.str) = mm_strdup("right");
}
#line 61863 "preproc.c"
    break;

  case 3078: /* bare_label_keyword: ROLE  */
#line 16676 "preproc.y"
 { 
 (yyval.str) = mm_strdup("role");
}
#line 61871 "preproc.c"
    break;

  case 3079: /* bare_label_keyword: ROLLBACK  */
#line 16680 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rollback");
}
#line 61879 "preproc.c"
    break;

  case 3080: /* bare_label_keyword: ROLLUP  */
#line 16684 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rollup");
}
#line 61887 "preproc.c"
    break;

  case 3081: /* bare_label_keyword: ROUTINE  */
#line 16688 "preproc.y"
 { 
 (yyval.str) = mm_strdup("routine");
}
#line 61895 "preproc.c"
    break;

  case 3082: /* bare_label_keyword: ROUTINES  */
#line 16692 "preproc.y"
 { 
 (yyval.str) = mm_strdup("routines");
}
#line 61903 "preproc.c"
    break;

  case 3083: /* bare_label_keyword: ROW  */
#line 16696 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row");
}
#line 61911 "preproc.c"
    break;

  case 3084: /* bare_label_keyword: ROWS  */
#line 16700 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rows");
}
#line 61919 "preproc.c"
    break;

  case 3085: /* bare_label_keyword: RULE  */
#line 16704 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rule");
}
#line 61927 "preproc.c"
    break;

  case 3086: /* bare_label_keyword: SAVEPOINT  */
#line 16708 "preproc.y"
 { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 61935 "preproc.c"
    break;

  case 3087: /* bare_label_keyword: SCHEMA  */
#line 16712 "preproc.y"
 { 
 (yyval.str) = mm_strdup("schema");
}
#line 61943 "preproc.c"
    break;

  case 3088: /* bare_label_keyword: SCHEMAS  */
#line 16716 "preproc.y"
 { 
 (yyval.str) = mm_strdup("schemas");
}
#line 61951 "preproc.c"
    break;

  case 3089: /* bare_label_keyword: SCROLL  */
#line 16720 "preproc.y"
 { 
 (yyval.str) = mm_strdup("scroll");
}
#line 61959 "preproc.c"
    break;

  case 3090: /* bare_label_keyword: SEARCH  */
#line 16724 "preproc.y"
 { 
 (yyval.str) = mm_strdup("search");
}
#line 61967 "preproc.c"
    break;

  case 3091: /* bare_label_keyword: SECURITY  */
#line 16728 "preproc.y"
 { 
 (yyval.str) = mm_strdup("security");
}
#line 61975 "preproc.c"
    break;

  case 3092: /* bare_label_keyword: SELECT  */
#line 16732 "preproc.y"
 { 
 (yyval.str) = mm_strdup("select");
}
#line 61983 "preproc.c"
    break;

  case 3093: /* bare_label_keyword: SEQUENCE  */
#line 16736 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sequence");
}
#line 61991 "preproc.c"
    break;

  case 3094: /* bare_label_keyword: SEQUENCES  */
#line 16740 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sequences");
}
#line 61999 "preproc.c"
    break;

  case 3095: /* bare_label_keyword: SERIALIZABLE  */
#line 16744 "preproc.y"
 { 
 (yyval.str) = mm_strdup("serializable");
}
#line 62007 "preproc.c"
    break;

  case 3096: /* bare_label_keyword: SERVER  */
#line 16748 "preproc.y"
 { 
 (yyval.str) = mm_strdup("server");
}
#line 62015 "preproc.c"
    break;

  case 3097: /* bare_label_keyword: SESSION  */
#line 16752 "preproc.y"
 { 
 (yyval.str) = mm_strdup("session");
}
#line 62023 "preproc.c"
    break;

  case 3098: /* bare_label_keyword: SESSION_USER  */
#line 16756 "preproc.y"
 { 
 (yyval.str) = mm_strdup("session_user");
}
#line 62031 "preproc.c"
    break;

  case 3099: /* bare_label_keyword: SET  */
#line 16760 "preproc.y"
 { 
 (yyval.str) = mm_strdup("set");
}
#line 62039 "preproc.c"
    break;

  case 3100: /* bare_label_keyword: SETOF  */
#line 16764 "preproc.y"
 { 
 (yyval.str) = mm_strdup("setof");
}
#line 62047 "preproc.c"
    break;

  case 3101: /* bare_label_keyword: SETS  */
#line 16768 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sets");
}
#line 62055 "preproc.c"
    break;

  case 3102: /* bare_label_keyword: SHARE  */
#line 16772 "preproc.y"
 { 
 (yyval.str) = mm_strdup("share");
}
#line 62063 "preproc.c"
    break;

  case 3103: /* bare_label_keyword: SHOW  */
#line 16776 "preproc.y"
 { 
 (yyval.str) = mm_strdup("show");
}
#line 62071 "preproc.c"
    break;

  case 3104: /* bare_label_keyword: SIMILAR  */
#line 16780 "preproc.y"
 { 
 (yyval.str) = mm_strdup("similar");
}
#line 62079 "preproc.c"
    break;

  case 3105: /* bare_label_keyword: SIMPLE  */
#line 16784 "preproc.y"
 { 
 (yyval.str) = mm_strdup("simple");
}
#line 62087 "preproc.c"
    break;

  case 3106: /* bare_label_keyword: SKIP  */
#line 16788 "preproc.y"
 { 
 (yyval.str) = mm_strdup("skip");
}
#line 62095 "preproc.c"
    break;

  case 3107: /* bare_label_keyword: SMALLINT  */
#line 16792 "preproc.y"
 { 
 (yyval.str) = mm_strdup("smallint");
}
#line 62103 "preproc.c"
    break;

  case 3108: /* bare_label_keyword: SNAPSHOT  */
#line 16796 "preproc.y"
 { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 62111 "preproc.c"
    break;

  case 3109: /* bare_label_keyword: SOME  */
#line 16800 "preproc.y"
 { 
 (yyval.str) = mm_strdup("some");
}
#line 62119 "preproc.c"
    break;

  case 3110: /* bare_label_keyword: SQL_P  */
#line 16804 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sql");
}
#line 62127 "preproc.c"
    break;

  case 3111: /* bare_label_keyword: STABLE  */
#line 16808 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stable");
}
#line 62135 "preproc.c"
    break;

  case 3112: /* bare_label_keyword: STANDALONE_P  */
#line 16812 "preproc.y"
 { 
 (yyval.str) = mm_strdup("standalone");
}
#line 62143 "preproc.c"
    break;

  case 3113: /* bare_label_keyword: START  */
#line 16816 "preproc.y"
 { 
 (yyval.str) = mm_strdup("start");
}
#line 62151 "preproc.c"
    break;

  case 3114: /* bare_label_keyword: STATEMENT  */
#line 16820 "preproc.y"
 { 
 (yyval.str) = mm_strdup("statement");
}
#line 62159 "preproc.c"
    break;

  case 3115: /* bare_label_keyword: STATISTICS  */
#line 16824 "preproc.y"
 { 
 (yyval.str) = mm_strdup("statistics");
}
#line 62167 "preproc.c"
    break;

  case 3116: /* bare_label_keyword: STDIN  */
#line 16828 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stdin");
}
#line 62175 "preproc.c"
    break;

  case 3117: /* bare_label_keyword: STDOUT  */
#line 16832 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stdout");
}
#line 62183 "preproc.c"
    break;

  case 3118: /* bare_label_keyword: STORAGE  */
#line 16836 "preproc.y"
 { 
 (yyval.str) = mm_strdup("storage");
}
#line 62191 "preproc.c"
    break;

  case 3119: /* bare_label_keyword: STORED  */
#line 16840 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stored");
}
#line 62199 "preproc.c"
    break;

  case 3120: /* bare_label_keyword: STRICT_P  */
#line 16844 "preproc.y"
 { 
 (yyval.str) = mm_strdup("strict");
}
#line 62207 "preproc.c"
    break;

  case 3121: /* bare_label_keyword: STRIP_P  */
#line 16848 "preproc.y"
 { 
 (yyval.str) = mm_strdup("strip");
}
#line 62215 "preproc.c"
    break;

  case 3122: /* bare_label_keyword: SUBSCRIPTION  */
#line 16852 "preproc.y"
 { 
 (yyval.str) = mm_strdup("subscription");
}
#line 62223 "preproc.c"
    break;

  case 3123: /* bare_label_keyword: SUBSTRING  */
#line 16856 "preproc.y"
 { 
 (yyval.str) = mm_strdup("substring");
}
#line 62231 "preproc.c"
    break;

  case 3124: /* bare_label_keyword: SUPPORT  */
#line 16860 "preproc.y"
 { 
 (yyval.str) = mm_strdup("support");
}
#line 62239 "preproc.c"
    break;

  case 3125: /* bare_label_keyword: SYMMETRIC  */
#line 16864 "preproc.y"
 { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 62247 "preproc.c"
    break;

  case 3126: /* bare_label_keyword: SYSID  */
#line 16868 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sysid");
}
#line 62255 "preproc.c"
    break;

  case 3127: /* bare_label_keyword: SYSTEM_P  */
#line 16872 "preproc.y"
 { 
 (yyval.str) = mm_strdup("system");
}
#line 62263 "preproc.c"
    break;

  case 3128: /* bare_label_keyword: TABLE  */
#line 16876 "preproc.y"
 { 
 (yyval.str) = mm_strdup("table");
}
#line 62271 "preproc.c"
    break;

  case 3129: /* bare_label_keyword: TABLES  */
#line 16880 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tables");
}
#line 62279 "preproc.c"
    break;

  case 3130: /* bare_label_keyword: TABLESAMPLE  */
#line 16884 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 62287 "preproc.c"
    break;

  case 3131: /* bare_label_keyword: TABLESPACE  */
#line 16888 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 62295 "preproc.c"
    break;

  case 3132: /* bare_label_keyword: TEMP  */
#line 16892 "preproc.y"
 { 
 (yyval.str) = mm_strdup("temp");
}
#line 62303 "preproc.c"
    break;

  case 3133: /* bare_label_keyword: TEMPLATE  */
#line 16896 "preproc.y"
 { 
 (yyval.str) = mm_strdup("template");
}
#line 62311 "preproc.c"
    break;

  case 3134: /* bare_label_keyword: TEMPORARY  */
#line 16900 "preproc.y"
 { 
 (yyval.str) = mm_strdup("temporary");
}
#line 62319 "preproc.c"
    break;

  case 3135: /* bare_label_keyword: TEXT_P  */
#line 16904 "preproc.y"
 { 
 (yyval.str) = mm_strdup("text");
}
#line 62327 "preproc.c"
    break;

  case 3136: /* bare_label_keyword: THEN  */
#line 16908 "preproc.y"
 { 
 (yyval.str) = mm_strdup("then");
}
#line 62335 "preproc.c"
    break;

  case 3137: /* bare_label_keyword: TIES  */
#line 16912 "preproc.y"
 { 
 (yyval.str) = mm_strdup("ties");
}
#line 62343 "preproc.c"
    break;

  case 3138: /* bare_label_keyword: TIME  */
#line 16916 "preproc.y"
 { 
 (yyval.str) = mm_strdup("time");
}
#line 62351 "preproc.c"
    break;

  case 3139: /* bare_label_keyword: TIMESTAMP  */
#line 16920 "preproc.y"
 { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 62359 "preproc.c"
    break;

  case 3140: /* bare_label_keyword: TRAILING  */
#line 16924 "preproc.y"
 { 
 (yyval.str) = mm_strdup("trailing");
}
#line 62367 "preproc.c"
    break;

  case 3141: /* bare_label_keyword: TRANSACTION  */
#line 16928 "preproc.y"
 { 
 (yyval.str) = mm_strdup("transaction");
}
#line 62375 "preproc.c"
    break;

  case 3142: /* bare_label_keyword: TRANSFORM  */
#line 16932 "preproc.y"
 { 
 (yyval.str) = mm_strdup("transform");
}
#line 62383 "preproc.c"
    break;

  case 3143: /* bare_label_keyword: TREAT  */
#line 16936 "preproc.y"
 { 
 (yyval.str) = mm_strdup("treat");
}
#line 62391 "preproc.c"
    break;

  case 3144: /* bare_label_keyword: TRIGGER  */
#line 16940 "preproc.y"
 { 
 (yyval.str) = mm_strdup("trigger");
}
#line 62399 "preproc.c"
    break;

  case 3145: /* bare_label_keyword: TRIM  */
#line 16944 "preproc.y"
 { 
 (yyval.str) = mm_strdup("trim");
}
#line 62407 "preproc.c"
    break;

  case 3146: /* bare_label_keyword: TRUE_P  */
#line 16948 "preproc.y"
 { 
 (yyval.str) = mm_strdup("true");
}
#line 62415 "preproc.c"
    break;

  case 3147: /* bare_label_keyword: TRUNCATE  */
#line 16952 "preproc.y"
 { 
 (yyval.str) = mm_strdup("truncate");
}
#line 62423 "preproc.c"
    break;

  case 3148: /* bare_label_keyword: TRUSTED  */
#line 16956 "preproc.y"
 { 
 (yyval.str) = mm_strdup("trusted");
}
#line 62431 "preproc.c"
    break;

  case 3149: /* bare_label_keyword: TYPE_P  */
#line 16960 "preproc.y"
 { 
 (yyval.str) = mm_strdup("type");
}
#line 62439 "preproc.c"
    break;

  case 3150: /* bare_label_keyword: TYPES_P  */
#line 16964 "preproc.y"
 { 
 (yyval.str) = mm_strdup("types");
}
#line 62447 "preproc.c"
    break;

  case 3151: /* bare_label_keyword: UESCAPE  */
#line 16968 "preproc.y"
 { 
 (yyval.str) = mm_strdup("uescape");
}
#line 62455 "preproc.c"
    break;

  case 3152: /* bare_label_keyword: UNBOUNDED  */
#line 16972 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 62463 "preproc.c"
    break;

  case 3153: /* bare_label_keyword: UNCOMMITTED  */
#line 16976 "preproc.y"
 { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 62471 "preproc.c"
    break;

  case 3154: /* bare_label_keyword: UNENCRYPTED  */
#line 16980 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 62479 "preproc.c"
    break;

  case 3155: /* bare_label_keyword: UNIQUE  */
#line 16984 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unique");
}
#line 62487 "preproc.c"
    break;

  case 3156: /* bare_label_keyword: UNKNOWN  */
#line 16988 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unknown");
}
#line 62495 "preproc.c"
    break;

  case 3157: /* bare_label_keyword: UNLISTEN  */
#line 16992 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 62503 "preproc.c"
    break;

  case 3158: /* bare_label_keyword: UNLOGGED  */
#line 16996 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 62511 "preproc.c"
    break;

  case 3159: /* bare_label_keyword: UNTIL  */
#line 17000 "preproc.y"
 { 
 (yyval.str) = mm_strdup("until");
}
#line 62519 "preproc.c"
    break;

  case 3160: /* bare_label_keyword: UPDATE  */
#line 17004 "preproc.y"
 { 
 (yyval.str) = mm_strdup("update");
}
#line 62527 "preproc.c"
    break;

  case 3161: /* bare_label_keyword: USER  */
#line 17008 "preproc.y"
 { 
 (yyval.str) = mm_strdup("user");
}
#line 62535 "preproc.c"
    break;

  case 3162: /* bare_label_keyword: USING  */
#line 17012 "preproc.y"
 { 
 (yyval.str) = mm_strdup("using");
}
#line 62543 "preproc.c"
    break;

  case 3163: /* bare_label_keyword: VACUUM  */
#line 17016 "preproc.y"
 { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 62551 "preproc.c"
    break;

  case 3164: /* bare_label_keyword: VALID  */
#line 17020 "preproc.y"
 { 
 (yyval.str) = mm_strdup("valid");
}
#line 62559 "preproc.c"
    break;

  case 3165: /* bare_label_keyword: VALIDATE  */
#line 17024 "preproc.y"
 { 
 (yyval.str) = mm_strdup("validate");
}
#line 62567 "preproc.c"
    break;

  case 3166: /* bare_label_keyword: VALIDATOR  */
#line 17028 "preproc.y"
 { 
 (yyval.str) = mm_strdup("validator");
}
#line 62575 "preproc.c"
    break;

  case 3167: /* bare_label_keyword: VALUE_P  */
#line 17032 "preproc.y"
 { 
 (yyval.str) = mm_strdup("value");
}
#line 62583 "preproc.c"
    break;

  case 3168: /* bare_label_keyword: VALUES  */
#line 17036 "preproc.y"
 { 
 (yyval.str) = mm_strdup("values");
}
#line 62591 "preproc.c"
    break;

  case 3169: /* bare_label_keyword: VARCHAR  */
#line 17040 "preproc.y"
 { 
 (yyval.str) = mm_strdup("varchar");
}
#line 62599 "preproc.c"
    break;

  case 3170: /* bare_label_keyword: VARIADIC  */
#line 17044 "preproc.y"
 { 
 (yyval.str) = mm_strdup("variadic");
}
#line 62607 "preproc.c"
    break;

  case 3171: /* bare_label_keyword: VERBOSE  */
#line 17048 "preproc.y"
 { 
 (yyval.str) = mm_strdup("verbose");
}
#line 62615 "preproc.c"
    break;

  case 3172: /* bare_label_keyword: VERSION_P  */
#line 17052 "preproc.y"
 { 
 (yyval.str) = mm_strdup("version");
}
#line 62623 "preproc.c"
    break;

  case 3173: /* bare_label_keyword: VIEW  */
#line 17056 "preproc.y"
 { 
 (yyval.str) = mm_strdup("view");
}
#line 62631 "preproc.c"
    break;

  case 3174: /* bare_label_keyword: VIEWS  */
#line 17060 "preproc.y"
 { 
 (yyval.str) = mm_strdup("views");
}
#line 62639 "preproc.c"
    break;

  case 3175: /* bare_label_keyword: VOLATILE  */
#line 17064 "preproc.y"
 { 
 (yyval.str) = mm_strdup("volatile");
}
#line 62647 "preproc.c"
    break;

  case 3176: /* bare_label_keyword: WHEN  */
#line 17068 "preproc.y"
 { 
 (yyval.str) = mm_strdup("when");
}
#line 62655 "preproc.c"
    break;

  case 3177: /* bare_label_keyword: WHITESPACE_P  */
#line 17072 "preproc.y"
 { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 62663 "preproc.c"
    break;

  case 3178: /* bare_label_keyword: WORK  */
#line 17076 "preproc.y"
 { 
 (yyval.str) = mm_strdup("work");
}
#line 62671 "preproc.c"
    break;

  case 3179: /* bare_label_keyword: WRAPPER  */
#line 17080 "preproc.y"
 { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 62679 "preproc.c"
    break;

  case 3180: /* bare_label_keyword: WRITE  */
#line 17084 "preproc.y"
 { 
 (yyval.str) = mm_strdup("write");
}
#line 62687 "preproc.c"
    break;

  case 3181: /* bare_label_keyword: XML_P  */
#line 17088 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xml");
}
#line 62695 "preproc.c"
    break;

  case 3182: /* bare_label_keyword: XMLATTRIBUTES  */
#line 17092 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 62703 "preproc.c"
    break;

  case 3183: /* bare_label_keyword: XMLCONCAT  */
#line 17096 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 62711 "preproc.c"
    break;

  case 3184: /* bare_label_keyword: XMLELEMENT  */
#line 17100 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 62719 "preproc.c"
    break;

  case 3185: /* bare_label_keyword: XMLEXISTS  */
#line 17104 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 62727 "preproc.c"
    break;

  case 3186: /* bare_label_keyword: XMLFOREST  */
#line 17108 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 62735 "preproc.c"
    break;

  case 3187: /* bare_label_keyword: XMLNAMESPACES  */
#line 17112 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 62743 "preproc.c"
    break;

  case 3188: /* bare_label_keyword: XMLPARSE  */
#line 17116 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 62751 "preproc.c"
    break;

  case 3189: /* bare_label_keyword: XMLPI  */
#line 17120 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 62759 "preproc.c"
    break;

  case 3190: /* bare_label_keyword: XMLROOT  */
#line 17124 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 62767 "preproc.c"
    break;

  case 3191: /* bare_label_keyword: XMLSERIALIZE  */
#line 17128 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 62775 "preproc.c"
    break;

  case 3192: /* bare_label_keyword: XMLTABLE  */
#line 17132 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 62783 "preproc.c"
    break;

  case 3193: /* bare_label_keyword: YES_P  */
#line 17136 "preproc.y"
 { 
 (yyval.str) = mm_strdup("yes");
}
#line 62791 "preproc.c"
    break;

  case 3194: /* bare_label_keyword: ZONE  */
#line 17140 "preproc.y"
 { 
 (yyval.str) = mm_strdup("zone");
}
#line 62799 "preproc.c"
    break;

  case 3197: /* statement: ecpgstart at toplevel_stmt ';'  */
#line 17154 "preproc.y"
                                {
					if (connection)
						free(connection);
					connection = NULL;
				}
#line 62809 "preproc.c"
    break;

  case 3198: /* statement: ecpgstart toplevel_stmt ';'  */
#line 17160 "preproc.y"
                                {
					if (connection)
						free(connection);
					connection = NULL;
				}
#line 62819 "preproc.c"
    break;

  case 3199: /* statement: ecpgstart ECPGVarDeclaration  */
#line 17166 "preproc.y"
                                {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 62829 "preproc.c"
    break;

  case 3201: /* statement: c_thing  */
#line 17172 "preproc.y"
                                                        { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 62835 "preproc.c"
    break;

  case 3202: /* statement: CPP_LINE  */
#line 17173 "preproc.y"
                                                        { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 62841 "preproc.c"
    break;

  case 3203: /* statement: '{'  */
#line 17174 "preproc.y"
                                                        { braces_open++; fputs("{", base_yyout); }
#line 62847 "preproc.c"
    break;

  case 3204: /* statement: '}'  */
#line 17176 "preproc.y"
                {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 62862 "preproc.c"
    break;

  case 3205: /* $@1: %empty  */
#line 17188 "preproc.y"
                                                       {FoundInto = 0;}
#line 62868 "preproc.c"
    break;

  case 3206: /* CreateAsStmt: CREATE OptTemp TABLE create_as_target AS $@1 SelectStmt opt_with_data  */
#line 17189 "preproc.y"
                {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(7, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str), (yyvsp[0].str));
		}
#line 62879 "preproc.c"
    break;

  case 3207: /* $@2: %empty  */
#line 17195 "preproc.y"
                                                                            {FoundInto = 0;}
#line 62885 "preproc.c"
    break;

  case 3208: /* CreateAsStmt: CREATE OptTemp TABLE IF_P NOT EXISTS create_as_target AS $@2 SelectStmt opt_with_data  */
#line 17196 "preproc.y"
                {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(7, mm_strdup("create"), (yyvsp[-9].str), mm_strdup("table if not exists"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str), (yyvsp[0].str));
		}
#line 62896 "preproc.c"
    break;

  case 3209: /* at: AT connection_object  */
#line 17205 "preproc.y"
                {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 62910 "preproc.c"
    break;

  case 3210: /* ECPGConnect: SQL_CONNECT TO connection_target opt_connection_name opt_user  */
#line 17220 "preproc.y"
                        { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 62916 "preproc.c"
    break;

  case 3211: /* ECPGConnect: SQL_CONNECT TO DEFAULT  */
#line 17222 "preproc.y"
                        { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 62922 "preproc.c"
    break;

  case 3212: /* ECPGConnect: SQL_CONNECT ora_user  */
#line 17225 "preproc.y"
                        { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 62928 "preproc.c"
    break;

  case 3213: /* ECPGConnect: DATABASE connection_target  */
#line 17227 "preproc.y"
                        { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 62934 "preproc.c"
    break;

  case 3214: /* connection_target: opt_database_name opt_server opt_port  */
#line 17231 "preproc.y"
                {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 62950 "preproc.c"
    break;

  case 3215: /* connection_target: db_prefix ':' server opt_port '/' opt_database_name opt_options  */
#line 17243 "preproc.y"
                {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 62970 "preproc.c"
    break;

  case 3216: /* connection_target: char_variable  */
#line 17259 "preproc.y"
                {
			(yyval.str) = (yyvsp[0].str);
		}
#line 62978 "preproc.c"
    break;

  case 3217: /* connection_target: ecpg_sconst  */
#line 17263 "preproc.y"
                {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 62991 "preproc.c"
    break;

  case 3218: /* opt_database_name: name  */
#line 17273 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 62997 "preproc.c"
    break;

  case 3219: /* opt_database_name: %empty  */
#line 17274 "preproc.y"
                                                { (yyval.str) = EMPTY; }
#line 63003 "preproc.c"
    break;

  case 3220: /* db_prefix: ecpg_ident cvariable  */
#line 17278 "preproc.y"
                {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 63017 "preproc.c"
    break;

  case 3221: /* server: Op server_name  */
#line 17290 "preproc.y"
                {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 63028 "preproc.c"
    break;

  case 3222: /* opt_server: server  */
#line 17298 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 63034 "preproc.c"
    break;

  case 3223: /* opt_server: %empty  */
#line 17299 "preproc.y"
                                                { (yyval.str) = EMPTY; }
#line 63040 "preproc.c"
    break;

  case 3224: /* server_name: ColId  */
#line 17302 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 63046 "preproc.c"
    break;

  case 3225: /* server_name: ColId '.' server_name  */
#line 17303 "preproc.y"
                                                { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 63052 "preproc.c"
    break;

  case 3226: /* server_name: IP  */
#line 17304 "preproc.y"
                                                                { (yyval.str) = make_name(); }
#line 63058 "preproc.c"
    break;

  case 3227: /* opt_port: ':' Iconst  */
#line 17307 "preproc.y"
                                { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 63064 "preproc.c"
    break;

  case 3228: /* opt_port: %empty  */
#line 17308 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 63070 "preproc.c"
    break;

  case 3229: /* opt_connection_name: AS connection_object  */
#line 17311 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 63076 "preproc.c"
    break;

  case 3230: /* opt_connection_name: %empty  */
#line 17312 "preproc.y"
                                                { (yyval.str) = mm_strdup("NULL"); }
#line 63082 "preproc.c"
    break;

  case 3231: /* opt_user: USER ora_user  */
#line 17315 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 63088 "preproc.c"
    break;

  case 3232: /* opt_user: %empty  */
#line 17316 "preproc.y"
                                                { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 63094 "preproc.c"
    break;

  case 3233: /* ora_user: user_name  */
#line 17320 "preproc.y"
                        { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 63100 "preproc.c"
    break;

  case 3234: /* ora_user: user_name '/' user_name  */
#line 17322 "preproc.y"
                        { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 63106 "preproc.c"
    break;

  case 3235: /* ora_user: user_name SQL_IDENTIFIED BY user_name  */
#line 17324 "preproc.y"
                        { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 63112 "preproc.c"
    break;

  case 3236: /* ora_user: user_name USING user_name  */
#line 17326 "preproc.y"
                        { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 63118 "preproc.c"
    break;

  case 3237: /* user_name: RoleId  */
#line 17330 "preproc.y"
                {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 63129 "preproc.c"
    break;

  case 3238: /* user_name: ecpg_sconst  */
#line 17337 "preproc.y"
                {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 63140 "preproc.c"
    break;

  case 3239: /* user_name: civar  */
#line 17344 "preproc.y"
                {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 63158 "preproc.c"
    break;

  case 3240: /* char_variable: cvariable  */
#line 17360 "preproc.y"
                {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 63194 "preproc.c"
    break;

  case 3241: /* opt_options: Op connect_options  */
#line 17394 "preproc.y"
                {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 63208 "preproc.c"
    break;

  case 3242: /* opt_options: %empty  */
#line 17403 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 63214 "preproc.c"
    break;

  case 3243: /* connect_options: ColId opt_opt_value  */
#line 17407 "preproc.y"
                        {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 63222 "preproc.c"
    break;

  case 3244: /* connect_options: ColId opt_opt_value Op connect_options  */
#line 17411 "preproc.y"
                        {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 63236 "preproc.c"
    break;

  case 3245: /* opt_opt_value: %empty  */
#line 17423 "preproc.y"
                        { (yyval.str) = EMPTY; }
#line 63242 "preproc.c"
    break;

  case 3246: /* opt_opt_value: '=' Iconst  */
#line 17425 "preproc.y"
                        { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 63248 "preproc.c"
    break;

  case 3247: /* opt_opt_value: '=' ecpg_ident  */
#line 17427 "preproc.y"
                        { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 63254 "preproc.c"
    break;

  case 3248: /* opt_opt_value: '=' civar  */
#line 17429 "preproc.y"
                        { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 63260 "preproc.c"
    break;

  case 3249: /* prepared_name: name  */
#line 17433 "preproc.y"
                {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 63278 "preproc.c"
    break;

  case 3250: /* prepared_name: char_variable  */
#line 17446 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 63284 "preproc.c"
    break;

  case 3251: /* ECPGDeclareStmt: DECLARE prepared_name STATEMENT  */
#line 17453 "preproc.y"
                {
			struct declared_list *ptr = NULL;
			/* Check whether the declared name has been defined or not */
			for (ptr = g_declared_list; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp((yyvsp[-1].str), ptr->name) == 0)
				{
					/* re-definition is not allowed */
					mmerror(PARSE_ERROR, ET_ERROR, "name \"%s\" is already declared", ptr->name);
				}
			}

			/* Add a new declared name into the g_declared_list */
			ptr = NULL;
			ptr = (struct declared_list *)mm_alloc(sizeof(struct declared_list));
			if (ptr)
			{
				/* initial definition */
				ptr -> name = (yyvsp[-1].str);
				if (connection)
					ptr -> connection = mm_strdup(connection);
				else
					ptr -> connection = NULL;

				ptr -> next = g_declared_list;
				g_declared_list = ptr;
			}

			(yyval.str) = cat_str(3 , mm_strdup("/* declare "), mm_strdup((yyvsp[-1].str)), mm_strdup(" as an SQL identifier */"));
		}
#line 63319 "preproc.c"
    break;

  case 3252: /* ECPGCursorStmt: DECLARE cursor_name cursor_options CURSOR opt_hold FOR prepared_name  */
#line 17490 "preproc.y"
                {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			char *comment;
			char *con;

			if (INFORMIX_MODE && pg_strcasecmp((yyvsp[-5].str), "database") == 0)
                                mmfatal(PARSE_ERROR, "\"database\" cannot be used as cursor name in INFORMIX mode");

                        check_declared_list((yyvsp[0].str));
			con = connection ? connection : "NULL";
			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection ? mm_strdup(connection) : NULL;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			(yyval.str) = cat_str(2, adjust_outofscope_cursor_vars(this),
					comment);
		}
#line 63383 "preproc.c"
    break;

  case 3253: /* ECPGExecuteImmediateStmt: EXECUTE IMMEDIATE execstring  */
#line 17552 "preproc.y"
                        {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 63393 "preproc.c"
    break;

  case 3255: /* single_vt_declaration: type_declaration  */
#line 17562 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 63399 "preproc.c"
    break;

  case 3256: /* single_vt_declaration: var_declaration  */
#line 17563 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 63405 "preproc.c"
    break;

  case 3257: /* precision: NumericOnly  */
#line 17566 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 63411 "preproc.c"
    break;

  case 3258: /* opt_scale: ',' NumericOnly  */
#line 17568 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 63417 "preproc.c"
    break;

  case 3259: /* opt_scale: %empty  */
#line 17569 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 63423 "preproc.c"
    break;

  case 3260: /* ecpg_interval: opt_interval  */
#line 17572 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 63429 "preproc.c"
    break;

  case 3261: /* ecpg_interval: YEAR_P TO MINUTE_P  */
#line 17573 "preproc.y"
                                        { (yyval.str) = mm_strdup("year to minute"); }
#line 63435 "preproc.c"
    break;

  case 3262: /* ecpg_interval: YEAR_P TO SECOND_P  */
#line 17574 "preproc.y"
                                        { (yyval.str) = mm_strdup("year to second"); }
#line 63441 "preproc.c"
    break;

  case 3263: /* ecpg_interval: DAY_P TO DAY_P  */
#line 17575 "preproc.y"
                                                { (yyval.str) = mm_strdup("day to day"); }
#line 63447 "preproc.c"
    break;

  case 3264: /* ecpg_interval: MONTH_P TO MONTH_P  */
#line 17576 "preproc.y"
                                        { (yyval.str) = mm_strdup("month to month"); }
#line 63453 "preproc.c"
    break;

  case 3265: /* $@3: %empty  */
#line 17583 "preproc.y"
                { fputs("/* exec sql begin declare section */", base_yyout); }
#line 63459 "preproc.c"
    break;

  case 3266: /* ECPGDeclaration: sql_startdeclare $@3 var_type_declarations sql_enddeclare  */
#line 17585 "preproc.y"
                {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 63469 "preproc.c"
    break;

  case 3267: /* sql_startdeclare: ecpgstart BEGIN_P DECLARE SQL_SECTION ';'  */
#line 17592 "preproc.y"
                                                            {}
#line 63475 "preproc.c"
    break;

  case 3268: /* sql_enddeclare: ecpgstart END_P DECLARE SQL_SECTION ';'  */
#line 17594 "preproc.y"
                                                        {}
#line 63481 "preproc.c"
    break;

  case 3269: /* var_type_declarations: %empty  */
#line 17596 "preproc.y"
                                                        { (yyval.str) = EMPTY; }
#line 63487 "preproc.c"
    break;

  case 3270: /* var_type_declarations: vt_declarations  */
#line 17597 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 63493 "preproc.c"
    break;

  case 3271: /* vt_declarations: single_vt_declaration  */
#line 17600 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 63499 "preproc.c"
    break;

  case 3272: /* vt_declarations: CPP_LINE  */
#line 17601 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 63505 "preproc.c"
    break;

  case 3273: /* vt_declarations: vt_declarations single_vt_declaration  */
#line 17602 "preproc.y"
                                                        { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 63511 "preproc.c"
    break;

  case 3274: /* vt_declarations: vt_declarations CPP_LINE  */
#line 17603 "preproc.y"
                                                        { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 63517 "preproc.c"
    break;

  case 3275: /* variable_declarations: var_declaration  */
#line 17606 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 63523 "preproc.c"
    break;

  case 3276: /* variable_declarations: variable_declarations var_declaration  */
#line 17607 "preproc.y"
                                                        { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 63529 "preproc.c"
    break;

  case 3277: /* $@4: %empty  */
#line 17611 "preproc.y"
        {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 63539 "preproc.c"
    break;

  case 3278: /* type_declaration: S_TYPEDEF $@4 var_type opt_pointer ECPGColLabelCommon opt_array_bounds ';'  */
#line 17617 "preproc.y"
        {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 63551 "preproc.c"
    break;

  case 3279: /* $@5: %empty  */
#line 17627 "preproc.y"
                {
			actual_type[struct_level].type_storage = (yyvsp[-1].str);
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 63566 "preproc.c"
    break;

  case 3280: /* var_declaration: storage_declaration var_type $@5 variable_list ';'  */
#line 17638 "preproc.y"
                {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 63574 "preproc.c"
    break;

  case 3281: /* $@6: %empty  */
#line 17642 "preproc.y"
                {
			actual_type[struct_level].type_storage = EMPTY;
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 63589 "preproc.c"
    break;

  case 3282: /* var_declaration: var_type $@6 variable_list ';'  */
#line 17653 "preproc.y"
                {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 63597 "preproc.c"
    break;

  case 3283: /* var_declaration: struct_union_type_with_symbol ';'  */
#line 17657 "preproc.y"
                {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 63605 "preproc.c"
    break;

  case 3284: /* opt_bit_field: ':' Iconst  */
#line 17662 "preproc.y"
                                { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 63611 "preproc.c"
    break;

  case 3285: /* opt_bit_field: %empty  */
#line 17663 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 63617 "preproc.c"
    break;

  case 3286: /* storage_declaration: storage_clause storage_modifier  */
#line 17667 "preproc.y"
                        {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 63623 "preproc.c"
    break;

  case 3287: /* storage_declaration: storage_clause  */
#line 17668 "preproc.y"
                                                {(yyval.str) = (yyvsp[0].str); }
#line 63629 "preproc.c"
    break;

  case 3288: /* storage_declaration: storage_modifier  */
#line 17669 "preproc.y"
                                                {(yyval.str) = (yyvsp[0].str); }
#line 63635 "preproc.c"
    break;

  case 3289: /* storage_clause: S_EXTERN  */
#line 17672 "preproc.y"
                                { (yyval.str) = mm_strdup("extern"); }
#line 63641 "preproc.c"
    break;

  case 3290: /* storage_clause: S_STATIC  */
#line 17673 "preproc.y"
                                                { (yyval.str) = mm_strdup("static"); }
#line 63647 "preproc.c"
    break;

  case 3291: /* storage_clause: S_REGISTER  */
#line 17674 "preproc.y"
                                        { (yyval.str) = mm_strdup("register"); }
#line 63653 "preproc.c"
    break;

  case 3292: /* storage_clause: S_AUTO  */
#line 17675 "preproc.y"
                                                { (yyval.str) = mm_strdup("auto"); }
#line 63659 "preproc.c"
    break;

  case 3293: /* storage_modifier: S_CONST  */
#line 17678 "preproc.y"
                                { (yyval.str) = mm_strdup("const"); }
#line 63665 "preproc.c"
    break;

  case 3294: /* storage_modifier: S_VOLATILE  */
#line 17679 "preproc.y"
                                        { (yyval.str) = mm_strdup("volatile"); }
#line 63671 "preproc.c"
    break;

  case 3295: /* var_type: simple_type  */
#line 17683 "preproc.y"
                {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 63683 "preproc.c"
    break;

  case 3296: /* var_type: struct_union_type  */
#line 17691 "preproc.y"
                {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 63704 "preproc.c"
    break;

  case 3297: /* var_type: enum_type  */
#line 17708 "preproc.y"
                {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 63716 "preproc.c"
    break;

  case 3298: /* var_type: ECPGColLabelCommon '(' precision opt_scale ')'  */
#line 17716 "preproc.y"
                {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 63743 "preproc.c"
    break;

  case 3299: /* var_type: ECPGColLabelCommon ecpg_interval  */
#line 17739 "preproc.y"
                {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "bytea") == 0)
			{
				(yyval.type).type_enum = ECPGt_bytea;
				(yyval.type).type_str = EMPTY;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar || this->type->type_enum == ECPGt_bytea) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 63861 "preproc.c"
    break;

  case 3300: /* var_type: s_struct_union_symbol  */
#line 17853 "preproc.y"
                {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 63897 "preproc.c"
    break;

  case 3301: /* enum_type: ENUM_P symbol enum_definition  */
#line 17887 "preproc.y"
                        { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 63903 "preproc.c"
    break;

  case 3302: /* enum_type: ENUM_P enum_definition  */
#line 17889 "preproc.y"
                        { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 63909 "preproc.c"
    break;

  case 3303: /* enum_type: ENUM_P symbol  */
#line 17891 "preproc.y"
                        { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 63915 "preproc.c"
    break;

  case 3304: /* enum_definition: '{' c_list '}'  */
#line 17895 "preproc.y"
                        { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 63921 "preproc.c"
    break;

  case 3305: /* $@7: %empty  */
#line 17898 "preproc.y"
                {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 63932 "preproc.c"
    break;

  case 3306: /* struct_union_type_with_symbol: s_struct_union_symbol $@7 '{' variable_declarations '}'  */
#line 17905 "preproc.y"
                {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 63978 "preproc.c"
    break;

  case 3307: /* struct_union_type: struct_union_type_with_symbol  */
#line 17948 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 63984 "preproc.c"
    break;

  case 3308: /* $@8: %empty  */
#line 17950 "preproc.y"
                {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 63994 "preproc.c"
    break;

  case 3309: /* struct_union_type: s_struct_union $@8 '{' variable_declarations '}'  */
#line 17956 "preproc.y"
                {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 64005 "preproc.c"
    break;

  case 3310: /* s_struct_union_symbol: SQL_STRUCT symbol  */
#line 17965 "preproc.y"
                {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 64015 "preproc.c"
    break;

  case 3311: /* s_struct_union_symbol: UNION symbol  */
#line 17971 "preproc.y"
                {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 64024 "preproc.c"
    break;

  case 3312: /* s_struct_union: SQL_STRUCT  */
#line 17978 "preproc.y"
                {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 64033 "preproc.c"
    break;

  case 3313: /* s_struct_union: UNION  */
#line 17983 "preproc.y"
                {
			(yyval.str) = mm_strdup("union");
		}
#line 64041 "preproc.c"
    break;

  case 3314: /* simple_type: unsigned_type  */
#line 17988 "preproc.y"
                                                                { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 64047 "preproc.c"
    break;

  case 3315: /* simple_type: opt_signed signed_type  */
#line 17989 "preproc.y"
                                                                { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 64053 "preproc.c"
    break;

  case 3316: /* unsigned_type: SQL_UNSIGNED SQL_SHORT  */
#line 17992 "preproc.y"
                                                { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 64059 "preproc.c"
    break;

  case 3317: /* unsigned_type: SQL_UNSIGNED SQL_SHORT INT_P  */
#line 17993 "preproc.y"
                                                { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 64065 "preproc.c"
    break;

  case 3318: /* unsigned_type: SQL_UNSIGNED  */
#line 17994 "preproc.y"
                                                                        { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 64071 "preproc.c"
    break;

  case 3319: /* unsigned_type: SQL_UNSIGNED INT_P  */
#line 17995 "preproc.y"
                                                                { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 64077 "preproc.c"
    break;

  case 3320: /* unsigned_type: SQL_UNSIGNED SQL_LONG  */
#line 17996 "preproc.y"
                                                                { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 64083 "preproc.c"
    break;

  case 3321: /* unsigned_type: SQL_UNSIGNED SQL_LONG INT_P  */
#line 17997 "preproc.y"
                                                        { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 64089 "preproc.c"
    break;

  case 3322: /* unsigned_type: SQL_UNSIGNED SQL_LONG SQL_LONG  */
#line 17998 "preproc.y"
                                                        { (yyval.type_enum) = ECPGt_unsigned_long_long; }
#line 64095 "preproc.c"
    break;

  case 3323: /* unsigned_type: SQL_UNSIGNED SQL_LONG SQL_LONG INT_P  */
#line 17999 "preproc.y"
                                                       { (yyval.type_enum) = ECPGt_unsigned_long_long; }
#line 64101 "preproc.c"
    break;

  case 3324: /* unsigned_type: SQL_UNSIGNED CHAR_P  */
#line 18000 "preproc.y"
                                                        { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 64107 "preproc.c"
    break;

  case 3325: /* signed_type: SQL_SHORT  */
#line 18003 "preproc.y"
                                                { (yyval.type_enum) = ECPGt_short; }
#line 64113 "preproc.c"
    break;

  case 3326: /* signed_type: SQL_SHORT INT_P  */
#line 18004 "preproc.y"
                                                        { (yyval.type_enum) = ECPGt_short; }
#line 64119 "preproc.c"
    break;

  case 3327: /* signed_type: INT_P  */
#line 18005 "preproc.y"
                                                                { (yyval.type_enum) = ECPGt_int; }
#line 64125 "preproc.c"
    break;

  case 3328: /* signed_type: SQL_LONG  */
#line 18006 "preproc.y"
                                                                { (yyval.type_enum) = ECPGt_long; }
#line 64131 "preproc.c"
    break;

  case 3329: /* signed_type: SQL_LONG INT_P  */
#line 18007 "preproc.y"
                                                        { (yyval.type_enum) = ECPGt_long; }
#line 64137 "preproc.c"
    break;

  case 3330: /* signed_type: SQL_LONG SQL_LONG  */
#line 18008 "preproc.y"
                                                        { (yyval.type_enum) = ECPGt_long_long; }
#line 64143 "preproc.c"
    break;

  case 3331: /* signed_type: SQL_LONG SQL_LONG INT_P  */
#line 18009 "preproc.y"
                                                { (yyval.type_enum) = ECPGt_long_long; }
#line 64149 "preproc.c"
    break;

  case 3332: /* signed_type: SQL_BOOL  */
#line 18010 "preproc.y"
                                                                { (yyval.type_enum) = ECPGt_bool; }
#line 64155 "preproc.c"
    break;

  case 3333: /* signed_type: CHAR_P  */
#line 18011 "preproc.y"
                                                                { (yyval.type_enum) = ECPGt_char; }
#line 64161 "preproc.c"
    break;

  case 3334: /* signed_type: DOUBLE_P  */
#line 18012 "preproc.y"
                                                                { (yyval.type_enum) = ECPGt_double; }
#line 64167 "preproc.c"
    break;

  case 3337: /* variable_list: variable  */
#line 18020 "preproc.y"
                        { (yyval.str) = (yyvsp[0].str); }
#line 64173 "preproc.c"
    break;

  case 3338: /* variable_list: variable_list ',' variable  */
#line 18022 "preproc.y"
                {
			if (actual_type[struct_level].type_enum == ECPGt_varchar || actual_type[struct_level].type_enum == ECPGt_bytea)
				(yyval.str) = cat_str(4, (yyvsp[-2].str), mm_strdup(";"), mm_strdup(actual_type[struct_level].type_storage), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 64184 "preproc.c"
    break;

  case 3339: /* variable: opt_pointer ECPGColLabel opt_array_bounds opt_bit_field opt_initializer  */
#line 18031 "preproc.y"
                {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;
			int *varlen_type_counter;
			char *struct_name;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);
			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
				case ECPGt_bytea:
					if (actual_type[struct_level].type_enum == ECPGt_varchar)
					{
						varlen_type_counter = &varchar_counter;
						struct_name = " struct varchar_";
					}
					else
					{
						varlen_type_counter = &bytea_counter;
						struct_name = " struct bytea_";
					}
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, *varlen_type_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, *varlen_type_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", *varlen_type_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(struct_name), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(struct_name), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					(*varlen_type_counter)++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 64285 "preproc.c"
    break;

  case 3340: /* opt_initializer: %empty  */
#line 18130 "preproc.y"
                        { (yyval.str) = EMPTY; }
#line 64291 "preproc.c"
    break;

  case 3341: /* opt_initializer: '=' c_term  */
#line 18132 "preproc.y"
                {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 64300 "preproc.c"
    break;

  case 3342: /* opt_pointer: %empty  */
#line 18138 "preproc.y"
                                                { (yyval.str) = EMPTY; }
#line 64306 "preproc.c"
    break;

  case 3343: /* opt_pointer: '*'  */
#line 18139 "preproc.y"
                                                                { (yyval.str) = mm_strdup("*"); }
#line 64312 "preproc.c"
    break;

  case 3344: /* opt_pointer: '*' '*'  */
#line 18140 "preproc.y"
                                                                { (yyval.str) = mm_strdup("**"); }
#line 64318 "preproc.c"
    break;

  case 3345: /* ECPGDeclare: DECLARE STATEMENT ecpg_ident  */
#line 18147 "preproc.y"
                {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 64327 "preproc.c"
    break;

  case 3346: /* ECPGDisconnect: SQL_DISCONNECT dis_name  */
#line 18155 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 64333 "preproc.c"
    break;

  case 3347: /* dis_name: connection_object  */
#line 18158 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 64339 "preproc.c"
    break;

  case 3348: /* dis_name: CURRENT_P  */
#line 18159 "preproc.y"
                                                { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 64345 "preproc.c"
    break;

  case 3349: /* dis_name: ALL  */
#line 18160 "preproc.y"
                                                { (yyval.str) = mm_strdup("\"ALL\""); }
#line 64351 "preproc.c"
    break;

  case 3350: /* dis_name: %empty  */
#line 18161 "preproc.y"
                                                { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 64357 "preproc.c"
    break;

  case 3351: /* connection_object: name  */
#line 18164 "preproc.y"
                                                { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 64363 "preproc.c"
    break;

  case 3352: /* connection_object: DEFAULT  */
#line 18165 "preproc.y"
                                                { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 64369 "preproc.c"
    break;

  case 3353: /* connection_object: char_variable  */
#line 18166 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 64375 "preproc.c"
    break;

  case 3354: /* execstring: char_variable  */
#line 18170 "preproc.y"
                        { (yyval.str) = (yyvsp[0].str); }
#line 64381 "preproc.c"
    break;

  case 3355: /* execstring: CSTRING  */
#line 18172 "preproc.y"
                        { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 64387 "preproc.c"
    break;

  case 3356: /* ECPGFree: SQL_FREE cursor_name  */
#line 18179 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 64393 "preproc.c"
    break;

  case 3357: /* ECPGFree: SQL_FREE ALL  */
#line 18180 "preproc.y"
                                { (yyval.str) = mm_strdup("all"); }
#line 64399 "preproc.c"
    break;

  case 3358: /* ECPGOpen: SQL_OPEN cursor_name opt_ecpg_using  */
#line 18187 "preproc.y"
                {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 64409 "preproc.c"
    break;

  case 3359: /* opt_ecpg_using: %empty  */
#line 18194 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 64415 "preproc.c"
    break;

  case 3360: /* opt_ecpg_using: ecpg_using  */
#line 18195 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 64421 "preproc.c"
    break;

  case 3361: /* ecpg_using: USING using_list  */
#line 18198 "preproc.y"
                                        { (yyval.str) = EMPTY; }
#line 64427 "preproc.c"
    break;

  case 3362: /* ecpg_using: using_descriptor  */
#line 18199 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 64433 "preproc.c"
    break;

  case 3363: /* using_descriptor: USING SQL_P SQL_DESCRIPTOR quoted_ident_stringvar  */
#line 18203 "preproc.y"
                {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 64442 "preproc.c"
    break;

  case 3364: /* using_descriptor: USING SQL_DESCRIPTOR name  */
#line 18208 "preproc.y"
                {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 64451 "preproc.c"
    break;

  case 3365: /* into_descriptor: INTO SQL_P SQL_DESCRIPTOR quoted_ident_stringvar  */
#line 18215 "preproc.y"
                {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 64460 "preproc.c"
    break;

  case 3366: /* into_descriptor: INTO SQL_DESCRIPTOR name  */
#line 18220 "preproc.y"
                {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 64469 "preproc.c"
    break;

  case 3367: /* into_sqlda: INTO name  */
#line 18227 "preproc.y"
                {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 64478 "preproc.c"
    break;

  case 3370: /* UsingValue: UsingConst  */
#line 18236 "preproc.y"
                {
			char *length = mm_alloc(32);

			sprintf(length, "%zu", strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 64489 "preproc.c"
    break;

  case 3371: /* UsingValue: civar  */
#line 18242 "preproc.y"
                        { (yyval.str) = EMPTY; }
#line 64495 "preproc.c"
    break;

  case 3372: /* UsingValue: civarind  */
#line 18243 "preproc.y"
                           { (yyval.str) = EMPTY; }
#line 64501 "preproc.c"
    break;

  case 3373: /* UsingConst: Iconst  */
#line 18246 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 64507 "preproc.c"
    break;

  case 3374: /* UsingConst: '+' Iconst  */
#line 18247 "preproc.y"
                                        { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 64513 "preproc.c"
    break;

  case 3375: /* UsingConst: '-' Iconst  */
#line 18248 "preproc.y"
                                        { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 64519 "preproc.c"
    break;

  case 3376: /* UsingConst: ecpg_fconst  */
#line 18249 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 64525 "preproc.c"
    break;

  case 3377: /* UsingConst: '+' ecpg_fconst  */
#line 18250 "preproc.y"
                                        { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 64531 "preproc.c"
    break;

  case 3378: /* UsingConst: '-' ecpg_fconst  */
#line 18251 "preproc.y"
                                        { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 64537 "preproc.c"
    break;

  case 3379: /* UsingConst: ecpg_sconst  */
#line 18252 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 64543 "preproc.c"
    break;

  case 3380: /* UsingConst: ecpg_bconst  */
#line 18253 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 64549 "preproc.c"
    break;

  case 3381: /* UsingConst: ecpg_xconst  */
#line 18254 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 64555 "preproc.c"
    break;

  case 3382: /* ECPGDescribe: SQL_DESCRIBE INPUT_P prepared_name using_descriptor  */
#line 18261 "preproc.y"
        {
		(yyval.describe).input = 1;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 64564 "preproc.c"
    break;

  case 3383: /* ECPGDescribe: SQL_DESCRIBE opt_output prepared_name using_descriptor  */
#line 18266 "preproc.y"
        {
		struct variable *var;
		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.describe).input = 0;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 64578 "preproc.c"
    break;

  case 3384: /* ECPGDescribe: SQL_DESCRIBE opt_output prepared_name into_descriptor  */
#line 18276 "preproc.y"
        {
		(yyval.describe).input = 0;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 64587 "preproc.c"
    break;

  case 3385: /* ECPGDescribe: SQL_DESCRIBE INPUT_P prepared_name into_sqlda  */
#line 18281 "preproc.y"
        {
		(yyval.describe).input = 1;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 64596 "preproc.c"
    break;

  case 3386: /* ECPGDescribe: SQL_DESCRIBE opt_output prepared_name into_sqlda  */
#line 18286 "preproc.y"
        {
		(yyval.describe).input = 0;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 64605 "preproc.c"
    break;

  case 3387: /* opt_output: SQL_OUTPUT  */
#line 18292 "preproc.y"
                                { (yyval.str) = mm_strdup("output"); }
#line 64611 "preproc.c"
    break;

  case 3388: /* opt_output: %empty  */
#line 18293 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 64617 "preproc.c"
    break;

  case 3389: /* ECPGAllocateDescr: SQL_ALLOCATE SQL_DESCRIPTOR quoted_ident_stringvar  */
#line 18306 "preproc.y"
                {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 64626 "preproc.c"
    break;

  case 3390: /* ECPGDeallocateDescr: DEALLOCATE SQL_DESCRIPTOR quoted_ident_stringvar  */
#line 18317 "preproc.y"
                {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 64635 "preproc.c"
    break;

  case 3391: /* ECPGGetDescriptorHeader: SQL_GET SQL_DESCRIPTOR quoted_ident_stringvar ECPGGetDescHeaderItems  */
#line 18328 "preproc.y"
                        {  (yyval.str) = (yyvsp[-1].str); }
#line 64641 "preproc.c"
    break;

  case 3394: /* ECPGGetDescHeaderItem: cvariable '=' desc_header_item  */
#line 18336 "preproc.y"
                        { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 64647 "preproc.c"
    break;

  case 3395: /* ECPGSetDescriptorHeader: SET SQL_DESCRIPTOR quoted_ident_stringvar ECPGSetDescHeaderItems  */
#line 18341 "preproc.y"
                        { (yyval.str) = (yyvsp[-1].str); }
#line 64653 "preproc.c"
    break;

  case 3398: /* ECPGSetDescHeaderItem: desc_header_item '=' IntConstVar  */
#line 18349 "preproc.y"
                {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 64661 "preproc.c"
    break;

  case 3399: /* IntConstVar: Iconst  */
#line 18355 "preproc.y"
                {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%zu", strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 64673 "preproc.c"
    break;

  case 3400: /* IntConstVar: cvariable  */
#line 18363 "preproc.y"
                {
			(yyval.str) = (yyvsp[0].str);
		}
#line 64681 "preproc.c"
    break;

  case 3401: /* desc_header_item: SQL_COUNT  */
#line 18368 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_count; }
#line 64687 "preproc.c"
    break;

  case 3402: /* ECPGGetDescriptor: SQL_GET SQL_DESCRIPTOR quoted_ident_stringvar VALUE_P IntConstVar ECPGGetDescItems  */
#line 18376 "preproc.y"
                        {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 64693 "preproc.c"
    break;

  case 3405: /* ECPGGetDescItem: cvariable '=' descriptor_item  */
#line 18383 "preproc.y"
                                                { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 64699 "preproc.c"
    break;

  case 3406: /* ECPGSetDescriptor: SET SQL_DESCRIPTOR quoted_ident_stringvar VALUE_P IntConstVar ECPGSetDescItems  */
#line 18387 "preproc.y"
                        {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 64705 "preproc.c"
    break;

  case 3409: /* ECPGSetDescItem: descriptor_item '=' AllConstVar  */
#line 18395 "preproc.y"
                {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 64713 "preproc.c"
    break;

  case 3410: /* AllConstVar: ecpg_fconst  */
#line 18401 "preproc.y"
                {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%zu", strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 64725 "preproc.c"
    break;

  case 3411: /* AllConstVar: IntConstVar  */
#line 18410 "preproc.y"
                {
			(yyval.str) = (yyvsp[0].str);
		}
#line 64733 "preproc.c"
    break;

  case 3412: /* AllConstVar: '-' ecpg_fconst  */
#line 18415 "preproc.y"
                {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%zu", strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 64746 "preproc.c"
    break;

  case 3413: /* AllConstVar: '-' Iconst  */
#line 18425 "preproc.y"
                {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%zu", strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 64759 "preproc.c"
    break;

  case 3414: /* AllConstVar: ecpg_sconst  */
#line 18435 "preproc.y"
                {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%zu", strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 64773 "preproc.c"
    break;

  case 3415: /* descriptor_item: SQL_CARDINALITY  */
#line 18446 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 64779 "preproc.c"
    break;

  case 3416: /* descriptor_item: DATA_P  */
#line 18447 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_data; }
#line 64785 "preproc.c"
    break;

  case 3417: /* descriptor_item: SQL_DATETIME_INTERVAL_CODE  */
#line 18448 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_di_code; }
#line 64791 "preproc.c"
    break;

  case 3418: /* descriptor_item: SQL_DATETIME_INTERVAL_PRECISION  */
#line 18449 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 64797 "preproc.c"
    break;

  case 3419: /* descriptor_item: SQL_INDICATOR  */
#line 18450 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_indicator; }
#line 64803 "preproc.c"
    break;

  case 3420: /* descriptor_item: SQL_KEY_MEMBER  */
#line 18451 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_key_member; }
#line 64809 "preproc.c"
    break;

  case 3421: /* descriptor_item: SQL_LENGTH  */
#line 18452 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_length; }
#line 64815 "preproc.c"
    break;

  case 3422: /* descriptor_item: NAME_P  */
#line 18453 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_name; }
#line 64821 "preproc.c"
    break;

  case 3423: /* descriptor_item: SQL_NULLABLE  */
#line 18454 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_nullable; }
#line 64827 "preproc.c"
    break;

  case 3424: /* descriptor_item: SQL_OCTET_LENGTH  */
#line 18455 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_octet; }
#line 64833 "preproc.c"
    break;

  case 3425: /* descriptor_item: PRECISION  */
#line 18456 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_precision; }
#line 64839 "preproc.c"
    break;

  case 3426: /* descriptor_item: SQL_RETURNED_LENGTH  */
#line 18457 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_length; }
#line 64845 "preproc.c"
    break;

  case 3427: /* descriptor_item: SQL_RETURNED_OCTET_LENGTH  */
#line 18458 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 64851 "preproc.c"
    break;

  case 3428: /* descriptor_item: SQL_SCALE  */
#line 18459 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_scale; }
#line 64857 "preproc.c"
    break;

  case 3429: /* descriptor_item: TYPE_P  */
#line 18460 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_type; }
#line 64863 "preproc.c"
    break;

  case 3430: /* ECPGSetAutocommit: SET SQL_AUTOCOMMIT '=' on_off  */
#line 18467 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 64869 "preproc.c"
    break;

  case 3431: /* ECPGSetAutocommit: SET SQL_AUTOCOMMIT TO on_off  */
#line 18468 "preproc.y"
                                                  { (yyval.str) = (yyvsp[0].str); }
#line 64875 "preproc.c"
    break;

  case 3432: /* on_off: ON  */
#line 18471 "preproc.y"
                                        { (yyval.str) = mm_strdup("on"); }
#line 64881 "preproc.c"
    break;

  case 3433: /* on_off: OFF  */
#line 18472 "preproc.y"
                                        { (yyval.str) = mm_strdup("off"); }
#line 64887 "preproc.c"
    break;

  case 3434: /* ECPGSetConnection: SET CONNECTION TO connection_object  */
#line 18479 "preproc.y"
                                                            { (yyval.str) = (yyvsp[0].str); }
#line 64893 "preproc.c"
    break;

  case 3435: /* ECPGSetConnection: SET CONNECTION '=' connection_object  */
#line 18480 "preproc.y"
                                                       { (yyval.str) = (yyvsp[0].str); }
#line 64899 "preproc.c"
    break;

  case 3436: /* ECPGSetConnection: SET CONNECTION connection_object  */
#line 18481 "preproc.y"
                                                    { (yyval.str) = (yyvsp[0].str); }
#line 64905 "preproc.c"
    break;

  case 3437: /* $@9: %empty  */
#line 18488 "preproc.y"
                {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 64915 "preproc.c"
    break;

  case 3438: /* ECPGTypedef: TYPE_P $@9 ECPGColLabelCommon IS var_type opt_array_bounds opt_reference  */
#line 18494 "preproc.y"
                {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 64928 "preproc.c"
    break;

  case 3439: /* opt_reference: SQL_REFERENCE  */
#line 18504 "preproc.y"
                                        { (yyval.str) = mm_strdup("reference"); }
#line 64934 "preproc.c"
    break;

  case 3440: /* opt_reference: %empty  */
#line 18505 "preproc.y"
                                                                { (yyval.str) = EMPTY; }
#line 64940 "preproc.c"
    break;

  case 3441: /* $@10: %empty  */
#line 18512 "preproc.y"
                {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 64950 "preproc.c"
    break;

  case 3442: /* ECPGVar: SQL_VAR $@10 ColLabel IS var_type opt_array_bounds opt_reference  */
#line 18518 "preproc.y"
                {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
					case ECPGt_bytea:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 65013 "preproc.c"
    break;

  case 3443: /* ECPGWhenever: SQL_WHENEVER SQL_SQLERROR action  */
#line 18583 "preproc.y"
                {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 65023 "preproc.c"
    break;

  case 3444: /* ECPGWhenever: SQL_WHENEVER NOT SQL_FOUND action  */
#line 18589 "preproc.y"
                {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 65033 "preproc.c"
    break;

  case 3445: /* ECPGWhenever: SQL_WHENEVER SQL_SQLWARNING action  */
#line 18595 "preproc.y"
                {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 65043 "preproc.c"
    break;

  case 3446: /* action: CONTINUE_P  */
#line 18603 "preproc.y"
                {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 65053 "preproc.c"
    break;

  case 3447: /* action: SQL_SQLPRINT  */
#line 18609 "preproc.y"
                {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 65063 "preproc.c"
    break;

  case 3448: /* action: SQL_STOP  */
#line 18615 "preproc.y"
                {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 65073 "preproc.c"
    break;

  case 3449: /* action: SQL_GOTO name  */
#line 18621 "preproc.y"
                {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 65083 "preproc.c"
    break;

  case 3450: /* action: SQL_GO TO name  */
#line 18627 "preproc.y"
                {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 65093 "preproc.c"
    break;

  case 3451: /* action: DO name '(' c_args ')'  */
#line 18633 "preproc.y"
                {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 65103 "preproc.c"
    break;

  case 3452: /* action: DO SQL_BREAK  */
#line 18639 "preproc.y"
                {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 65113 "preproc.c"
    break;

  case 3453: /* action: DO CONTINUE_P  */
#line 18645 "preproc.y"
                {
			(yyval.action).code = W_CONTINUE;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 65123 "preproc.c"
    break;

  case 3454: /* action: CALL name '(' c_args ')'  */
#line 18651 "preproc.y"
                {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 65133 "preproc.c"
    break;

  case 3455: /* action: CALL name  */
#line 18657 "preproc.y"
                {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 65143 "preproc.c"
    break;

  case 3456: /* ECPGKeywords: ECPGKeywords_vanames  */
#line 18667 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 65149 "preproc.c"
    break;

  case 3457: /* ECPGKeywords: ECPGKeywords_rest  */
#line 18668 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 65155 "preproc.c"
    break;

  case 3458: /* ECPGKeywords_vanames: SQL_BREAK  */
#line 18671 "preproc.y"
                                                { (yyval.str) = mm_strdup("break"); }
#line 65161 "preproc.c"
    break;

  case 3459: /* ECPGKeywords_vanames: SQL_CARDINALITY  */
#line 18672 "preproc.y"
                                                                { (yyval.str) = mm_strdup("cardinality"); }
#line 65167 "preproc.c"
    break;

  case 3460: /* ECPGKeywords_vanames: SQL_COUNT  */
#line 18673 "preproc.y"
                                                                        { (yyval.str) = mm_strdup("count"); }
#line 65173 "preproc.c"
    break;

  case 3461: /* ECPGKeywords_vanames: SQL_DATETIME_INTERVAL_CODE  */
#line 18674 "preproc.y"
                                                { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 65179 "preproc.c"
    break;

  case 3462: /* ECPGKeywords_vanames: SQL_DATETIME_INTERVAL_PRECISION  */
#line 18675 "preproc.y"
                                                        { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 65185 "preproc.c"
    break;

  case 3463: /* ECPGKeywords_vanames: SQL_FOUND  */
#line 18676 "preproc.y"
                                                                        { (yyval.str) = mm_strdup("found"); }
#line 65191 "preproc.c"
    break;

  case 3464: /* ECPGKeywords_vanames: SQL_GO  */
#line 18677 "preproc.y"
                                                                        { (yyval.str) = mm_strdup("go"); }
#line 65197 "preproc.c"
    break;

  case 3465: /* ECPGKeywords_vanames: SQL_GOTO  */
#line 18678 "preproc.y"
                                                                        { (yyval.str) = mm_strdup("goto"); }
#line 65203 "preproc.c"
    break;

  case 3466: /* ECPGKeywords_vanames: SQL_IDENTIFIED  */
#line 18679 "preproc.y"
                                                                { (yyval.str) = mm_strdup("identified"); }
#line 65209 "preproc.c"
    break;

  case 3467: /* ECPGKeywords_vanames: SQL_INDICATOR  */
#line 18680 "preproc.y"
                                                        { (yyval.str) = mm_strdup("indicator"); }
#line 65215 "preproc.c"
    break;

  case 3468: /* ECPGKeywords_vanames: SQL_KEY_MEMBER  */
#line 18681 "preproc.y"
                                                        { (yyval.str) = mm_strdup("key_member"); }
#line 65221 "preproc.c"
    break;

  case 3469: /* ECPGKeywords_vanames: SQL_LENGTH  */
#line 18682 "preproc.y"
                                                        { (yyval.str) = mm_strdup("length"); }
#line 65227 "preproc.c"
    break;

  case 3470: /* ECPGKeywords_vanames: SQL_NULLABLE  */
#line 18683 "preproc.y"
                                                        { (yyval.str) = mm_strdup("nullable"); }
#line 65233 "preproc.c"
    break;

  case 3471: /* ECPGKeywords_vanames: SQL_OCTET_LENGTH  */
#line 18684 "preproc.y"
                                                        { (yyval.str) = mm_strdup("octet_length"); }
#line 65239 "preproc.c"
    break;

  case 3472: /* ECPGKeywords_vanames: SQL_RETURNED_LENGTH  */
#line 18685 "preproc.y"
                                                { (yyval.str) = mm_strdup("returned_length"); }
#line 65245 "preproc.c"
    break;

  case 3473: /* ECPGKeywords_vanames: SQL_RETURNED_OCTET_LENGTH  */
#line 18686 "preproc.y"
                                                { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 65251 "preproc.c"
    break;

  case 3474: /* ECPGKeywords_vanames: SQL_SCALE  */
#line 18687 "preproc.y"
                                                                { (yyval.str) = mm_strdup("scale"); }
#line 65257 "preproc.c"
    break;

  case 3475: /* ECPGKeywords_vanames: SQL_SECTION  */
#line 18688 "preproc.y"
                                                        { (yyval.str) = mm_strdup("section"); }
#line 65263 "preproc.c"
    break;

  case 3476: /* ECPGKeywords_vanames: SQL_SQLERROR  */
#line 18689 "preproc.y"
                                                        { (yyval.str) = mm_strdup("sqlerror"); }
#line 65269 "preproc.c"
    break;

  case 3477: /* ECPGKeywords_vanames: SQL_SQLPRINT  */
#line 18690 "preproc.y"
                                                        { (yyval.str) = mm_strdup("sqlprint"); }
#line 65275 "preproc.c"
    break;

  case 3478: /* ECPGKeywords_vanames: SQL_SQLWARNING  */
#line 18691 "preproc.y"
                                                        { (yyval.str) = mm_strdup("sqlwarning"); }
#line 65281 "preproc.c"
    break;

  case 3479: /* ECPGKeywords_vanames: SQL_STOP  */
#line 18692 "preproc.y"
                                                                { (yyval.str) = mm_strdup("stop"); }
#line 65287 "preproc.c"
    break;

  case 3480: /* ECPGKeywords_rest: SQL_CONNECT  */
#line 18695 "preproc.y"
                                        { (yyval.str) = mm_strdup("connect"); }
#line 65293 "preproc.c"
    break;

  case 3481: /* ECPGKeywords_rest: SQL_DESCRIBE  */
#line 18696 "preproc.y"
                                                        { (yyval.str) = mm_strdup("describe"); }
#line 65299 "preproc.c"
    break;

  case 3482: /* ECPGKeywords_rest: SQL_DISCONNECT  */
#line 18697 "preproc.y"
                                                        { (yyval.str) = mm_strdup("disconnect"); }
#line 65305 "preproc.c"
    break;

  case 3483: /* ECPGKeywords_rest: SQL_OPEN  */
#line 18698 "preproc.y"
                                                                { (yyval.str) = mm_strdup("open"); }
#line 65311 "preproc.c"
    break;

  case 3484: /* ECPGKeywords_rest: SQL_VAR  */
#line 18699 "preproc.y"
                                                                { (yyval.str) = mm_strdup("var"); }
#line 65317 "preproc.c"
    break;

  case 3485: /* ECPGKeywords_rest: SQL_WHENEVER  */
#line 18700 "preproc.y"
                                                        { (yyval.str) = mm_strdup("whenever"); }
#line 65323 "preproc.c"
    break;

  case 3486: /* ECPGTypeName: SQL_BOOL  */
#line 18704 "preproc.y"
                                                { (yyval.str) = mm_strdup("bool"); }
#line 65329 "preproc.c"
    break;

  case 3487: /* ECPGTypeName: SQL_LONG  */
#line 18705 "preproc.y"
                                                                { (yyval.str) = mm_strdup("long"); }
#line 65335 "preproc.c"
    break;

  case 3488: /* ECPGTypeName: SQL_OUTPUT  */
#line 18706 "preproc.y"
                                                        { (yyval.str) = mm_strdup("output"); }
#line 65341 "preproc.c"
    break;

  case 3489: /* ECPGTypeName: SQL_SHORT  */
#line 18707 "preproc.y"
                                                                { (yyval.str) = mm_strdup("short"); }
#line 65347 "preproc.c"
    break;

  case 3490: /* ECPGTypeName: SQL_STRUCT  */
#line 18708 "preproc.y"
                                                        { (yyval.str) = mm_strdup("struct"); }
#line 65353 "preproc.c"
    break;

  case 3491: /* ECPGTypeName: SQL_SIGNED  */
#line 18709 "preproc.y"
                                                        { (yyval.str) = mm_strdup("signed"); }
#line 65359 "preproc.c"
    break;

  case 3492: /* ECPGTypeName: SQL_UNSIGNED  */
#line 18710 "preproc.y"
                                                        { (yyval.str) = mm_strdup("unsigned"); }
#line 65365 "preproc.c"
    break;

  case 3493: /* symbol: ColLabel  */
#line 18713 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 65371 "preproc.c"
    break;

  case 3494: /* ECPGColId: ecpg_ident  */
#line 18716 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65377 "preproc.c"
    break;

  case 3495: /* ECPGColId: unreserved_keyword  */
#line 18717 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65383 "preproc.c"
    break;

  case 3496: /* ECPGColId: col_name_keyword  */
#line 18718 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 65389 "preproc.c"
    break;

  case 3497: /* ECPGColId: ECPGunreserved_interval  */
#line 18719 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65395 "preproc.c"
    break;

  case 3498: /* ECPGColId: ECPGKeywords  */
#line 18720 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 65401 "preproc.c"
    break;

  case 3499: /* ECPGColId: ECPGCKeywords  */
#line 18721 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 65407 "preproc.c"
    break;

  case 3500: /* ECPGColId: CHAR_P  */
#line 18722 "preproc.y"
                                                                { (yyval.str) = mm_strdup("char"); }
#line 65413 "preproc.c"
    break;

  case 3501: /* ECPGColId: VALUES  */
#line 18723 "preproc.y"
                                                                { (yyval.str) = mm_strdup("values"); }
#line 65419 "preproc.c"
    break;

  case 3502: /* ColId: ecpg_ident  */
#line 18736 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 65425 "preproc.c"
    break;

  case 3503: /* ColId: all_unreserved_keyword  */
#line 18737 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65431 "preproc.c"
    break;

  case 3504: /* ColId: col_name_keyword  */
#line 18738 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 65437 "preproc.c"
    break;

  case 3505: /* ColId: ECPGKeywords  */
#line 18739 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 65443 "preproc.c"
    break;

  case 3506: /* ColId: ECPGCKeywords  */
#line 18740 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 65449 "preproc.c"
    break;

  case 3507: /* ColId: CHAR_P  */
#line 18741 "preproc.y"
                                                                { (yyval.str) = mm_strdup("char"); }
#line 65455 "preproc.c"
    break;

  case 3508: /* ColId: VALUES  */
#line 18742 "preproc.y"
                                                                { (yyval.str) = mm_strdup("values"); }
#line 65461 "preproc.c"
    break;

  case 3509: /* type_function_name: ecpg_ident  */
#line 18747 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65467 "preproc.c"
    break;

  case 3510: /* type_function_name: all_unreserved_keyword  */
#line 18748 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65473 "preproc.c"
    break;

  case 3511: /* type_function_name: type_func_name_keyword  */
#line 18749 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65479 "preproc.c"
    break;

  case 3512: /* type_function_name: ECPGKeywords  */
#line 18750 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 65485 "preproc.c"
    break;

  case 3513: /* type_function_name: ECPGCKeywords  */
#line 18751 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 65491 "preproc.c"
    break;

  case 3514: /* type_function_name: ECPGTypeName  */
#line 18752 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 65497 "preproc.c"
    break;

  case 3515: /* ColLabel: ECPGColLabel  */
#line 18758 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65503 "preproc.c"
    break;

  case 3516: /* ColLabel: ECPGTypeName  */
#line 18759 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 65509 "preproc.c"
    break;

  case 3517: /* ColLabel: CHAR_P  */
#line 18760 "preproc.y"
                                                                { (yyval.str) = mm_strdup("char"); }
#line 65515 "preproc.c"
    break;

  case 3518: /* ColLabel: CURRENT_P  */
#line 18761 "preproc.y"
                                                                { (yyval.str) = mm_strdup("current"); }
#line 65521 "preproc.c"
    break;

  case 3519: /* ColLabel: INPUT_P  */
#line 18762 "preproc.y"
                                                                { (yyval.str) = mm_strdup("input"); }
#line 65527 "preproc.c"
    break;

  case 3520: /* ColLabel: INT_P  */
#line 18763 "preproc.y"
                                                                { (yyval.str) = mm_strdup("int"); }
#line 65533 "preproc.c"
    break;

  case 3521: /* ColLabel: TO  */
#line 18764 "preproc.y"
                                                                { (yyval.str) = mm_strdup("to"); }
#line 65539 "preproc.c"
    break;

  case 3522: /* ColLabel: UNION  */
#line 18765 "preproc.y"
                                                                { (yyval.str) = mm_strdup("union"); }
#line 65545 "preproc.c"
    break;

  case 3523: /* ColLabel: VALUES  */
#line 18766 "preproc.y"
                                                                { (yyval.str) = mm_strdup("values"); }
#line 65551 "preproc.c"
    break;

  case 3524: /* ColLabel: ECPGCKeywords  */
#line 18767 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 65557 "preproc.c"
    break;

  case 3525: /* ColLabel: ECPGunreserved_interval  */
#line 18768 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65563 "preproc.c"
    break;

  case 3526: /* ECPGColLabel: ECPGColLabelCommon  */
#line 18771 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 65569 "preproc.c"
    break;

  case 3527: /* ECPGColLabel: unreserved_keyword  */
#line 18772 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65575 "preproc.c"
    break;

  case 3528: /* ECPGColLabel: reserved_keyword  */
#line 18773 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 65581 "preproc.c"
    break;

  case 3529: /* ECPGColLabel: ECPGKeywords_rest  */
#line 18774 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 65587 "preproc.c"
    break;

  case 3530: /* ECPGColLabel: CONNECTION  */
#line 18775 "preproc.y"
                                                        { (yyval.str) = mm_strdup("connection"); }
#line 65593 "preproc.c"
    break;

  case 3531: /* ECPGColLabelCommon: ecpg_ident  */
#line 18778 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 65599 "preproc.c"
    break;

  case 3532: /* ECPGColLabelCommon: col_name_keyword  */
#line 18779 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 65605 "preproc.c"
    break;

  case 3533: /* ECPGColLabelCommon: type_func_name_keyword  */
#line 18780 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65611 "preproc.c"
    break;

  case 3534: /* ECPGColLabelCommon: ECPGKeywords_vanames  */
#line 18781 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65617 "preproc.c"
    break;

  case 3535: /* ECPGCKeywords: S_AUTO  */
#line 18784 "preproc.y"
                                                { (yyval.str) = mm_strdup("auto"); }
#line 65623 "preproc.c"
    break;

  case 3536: /* ECPGCKeywords: S_CONST  */
#line 18785 "preproc.y"
                                                                { (yyval.str) = mm_strdup("const"); }
#line 65629 "preproc.c"
    break;

  case 3537: /* ECPGCKeywords: S_EXTERN  */
#line 18786 "preproc.y"
                                                                { (yyval.str) = mm_strdup("extern"); }
#line 65635 "preproc.c"
    break;

  case 3538: /* ECPGCKeywords: S_REGISTER  */
#line 18787 "preproc.y"
                                                        { (yyval.str) = mm_strdup("register"); }
#line 65641 "preproc.c"
    break;

  case 3539: /* ECPGCKeywords: S_STATIC  */
#line 18788 "preproc.y"
                                                                { (yyval.str) = mm_strdup("static"); }
#line 65647 "preproc.c"
    break;

  case 3540: /* ECPGCKeywords: S_TYPEDEF  */
#line 18789 "preproc.y"
                                                                { (yyval.str) = mm_strdup("typedef"); }
#line 65653 "preproc.c"
    break;

  case 3541: /* ECPGCKeywords: S_VOLATILE  */
#line 18790 "preproc.y"
                                                        { (yyval.str) = mm_strdup("volatile"); }
#line 65659 "preproc.c"
    break;

  case 3542: /* all_unreserved_keyword: unreserved_keyword  */
#line 18807 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65665 "preproc.c"
    break;

  case 3543: /* all_unreserved_keyword: ECPGunreserved_interval  */
#line 18808 "preproc.y"
                                                                { (yyval.str) = (yyvsp[0].str); }
#line 65671 "preproc.c"
    break;

  case 3544: /* all_unreserved_keyword: CONNECTION  */
#line 18809 "preproc.y"
                                                                        { (yyval.str) = mm_strdup("connection"); }
#line 65677 "preproc.c"
    break;

  case 3545: /* ECPGunreserved_interval: DAY_P  */
#line 18812 "preproc.y"
                                                        { (yyval.str) = mm_strdup("day"); }
#line 65683 "preproc.c"
    break;

  case 3546: /* ECPGunreserved_interval: HOUR_P  */
#line 18813 "preproc.y"
                                                                                { (yyval.str) = mm_strdup("hour"); }
#line 65689 "preproc.c"
    break;

  case 3547: /* ECPGunreserved_interval: MINUTE_P  */
#line 18814 "preproc.y"
                                                                                { (yyval.str) = mm_strdup("minute"); }
#line 65695 "preproc.c"
    break;

  case 3548: /* ECPGunreserved_interval: MONTH_P  */
#line 18815 "preproc.y"
                                                                                { (yyval.str) = mm_strdup("month"); }
#line 65701 "preproc.c"
    break;

  case 3549: /* ECPGunreserved_interval: SECOND_P  */
#line 18816 "preproc.y"
                                                                                { (yyval.str) = mm_strdup("second"); }
#line 65707 "preproc.c"
    break;

  case 3550: /* ECPGunreserved_interval: YEAR_P  */
#line 18817 "preproc.y"
                                                                                { (yyval.str) = mm_strdup("year"); }
#line 65713 "preproc.c"
    break;

  case 3553: /* ecpgstart: SQL_START  */
#line 18824 "preproc.y"
                        {
				reset_variables();
				pacounter = 1;
			}
#line 65722 "preproc.c"
    break;

  case 3554: /* c_args: %empty  */
#line 18830 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 65728 "preproc.c"
    break;

  case 3555: /* c_args: c_list  */
#line 18831 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 65734 "preproc.c"
    break;

  case 3556: /* coutputvariable: cvariable indicator  */
#line 18835 "preproc.y"
                        { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 65740 "preproc.c"
    break;

  case 3557: /* coutputvariable: cvariable  */
#line 18837 "preproc.y"
                        { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 65746 "preproc.c"
    break;

  case 3558: /* civarind: cvariable indicator  */
#line 18842 "preproc.y"
                {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 65758 "preproc.c"
    break;

  case 3559: /* char_civar: char_variable  */
#line 18852 "preproc.y"
                {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 65771 "preproc.c"
    break;

  case 3560: /* civar: cvariable  */
#line 18863 "preproc.y"
                {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 65780 "preproc.c"
    break;

  case 3561: /* indicator: cvariable  */
#line 18869 "preproc.y"
                                                { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 65786 "preproc.c"
    break;

  case 3562: /* indicator: SQL_INDICATOR cvariable  */
#line 18870 "preproc.y"
                                                { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 65792 "preproc.c"
    break;

  case 3563: /* indicator: SQL_INDICATOR name  */
#line 18871 "preproc.y"
                                                { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 65798 "preproc.c"
    break;

  case 3564: /* cvariable: CVARIABLE  */
#line 18875 "preproc.y"
                {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 65833 "preproc.c"
    break;

  case 3565: /* ecpg_param: PARAM  */
#line 18907 "preproc.y"
                                { (yyval.str) = make_name(); }
#line 65839 "preproc.c"
    break;

  case 3566: /* ecpg_bconst: BCONST  */
#line 18909 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 65845 "preproc.c"
    break;

  case 3567: /* ecpg_fconst: FCONST  */
#line 18911 "preproc.y"
                                { (yyval.str) = make_name(); }
#line 65851 "preproc.c"
    break;

  case 3568: /* ecpg_sconst: SCONST  */
#line 18913 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 65857 "preproc.c"
    break;

  case 3569: /* ecpg_xconst: XCONST  */
#line 18915 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 65863 "preproc.c"
    break;

  case 3570: /* ecpg_ident: IDENT  */
#line 18917 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 65869 "preproc.c"
    break;

  case 3571: /* ecpg_ident: CSTRING  */
#line 18918 "preproc.y"
                                { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 65875 "preproc.c"
    break;

  case 3572: /* quoted_ident_stringvar: name  */
#line 18922 "preproc.y"
                        { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 65881 "preproc.c"
    break;

  case 3573: /* quoted_ident_stringvar: char_variable  */
#line 18924 "preproc.y"
                        { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 65887 "preproc.c"
    break;

  case 3574: /* c_stuff_item: c_anything  */
#line 18931 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65893 "preproc.c"
    break;

  case 3575: /* c_stuff_item: '(' ')'  */
#line 18932 "preproc.y"
                                                { (yyval.str) = mm_strdup("()"); }
#line 65899 "preproc.c"
    break;

  case 3576: /* c_stuff_item: '(' c_stuff ')'  */
#line 18934 "preproc.y"
                        { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 65905 "preproc.c"
    break;

  case 3577: /* c_stuff: c_stuff_item  */
#line 18937 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 65911 "preproc.c"
    break;

  case 3578: /* c_stuff: c_stuff c_stuff_item  */
#line 18939 "preproc.y"
                        { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 65917 "preproc.c"
    break;

  case 3579: /* c_list: c_term  */
#line 18942 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 65923 "preproc.c"
    break;

  case 3580: /* c_list: c_list ',' c_term  */
#line 18943 "preproc.y"
                                        { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 65929 "preproc.c"
    break;

  case 3581: /* c_term: c_stuff  */
#line 18946 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 65935 "preproc.c"
    break;

  case 3582: /* c_term: '{' c_list '}'  */
#line 18947 "preproc.y"
                                        { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 65941 "preproc.c"
    break;

  case 3583: /* c_thing: c_anything  */
#line 18950 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 65947 "preproc.c"
    break;

  case 3584: /* c_thing: '('  */
#line 18951 "preproc.y"
                                        { (yyval.str) = mm_strdup("("); }
#line 65953 "preproc.c"
    break;

  case 3585: /* c_thing: ')'  */
#line 18952 "preproc.y"
                                        { (yyval.str) = mm_strdup(")"); }
#line 65959 "preproc.c"
    break;

  case 3586: /* c_thing: ','  */
#line 18953 "preproc.y"
                                        { (yyval.str) = mm_strdup(","); }
#line 65965 "preproc.c"
    break;

  case 3587: /* c_thing: ';'  */
#line 18954 "preproc.y"
                                        { (yyval.str) = mm_strdup(";"); }
#line 65971 "preproc.c"
    break;

  case 3588: /* c_anything: ecpg_ident  */
#line 18957 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65977 "preproc.c"
    break;

  case 3589: /* c_anything: Iconst  */
#line 18958 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65983 "preproc.c"
    break;

  case 3590: /* c_anything: ecpg_fconst  */
#line 18959 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65989 "preproc.c"
    break;

  case 3591: /* c_anything: ecpg_sconst  */
#line 18960 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 65995 "preproc.c"
    break;

  case 3592: /* c_anything: '*'  */
#line 18961 "preproc.y"
                                                { (yyval.str) = mm_strdup("*"); }
#line 66001 "preproc.c"
    break;

  case 3593: /* c_anything: '+'  */
#line 18962 "preproc.y"
                                                { (yyval.str) = mm_strdup("+"); }
#line 66007 "preproc.c"
    break;

  case 3594: /* c_anything: '-'  */
#line 18963 "preproc.y"
                                                { (yyval.str) = mm_strdup("-"); }
#line 66013 "preproc.c"
    break;

  case 3595: /* c_anything: '/'  */
#line 18964 "preproc.y"
                                                { (yyval.str) = mm_strdup("/"); }
#line 66019 "preproc.c"
    break;

  case 3596: /* c_anything: '%'  */
#line 18965 "preproc.y"
                                                { (yyval.str) = mm_strdup("%"); }
#line 66025 "preproc.c"
    break;

  case 3597: /* c_anything: NULL_P  */
#line 18966 "preproc.y"
                                                { (yyval.str) = mm_strdup("NULL"); }
#line 66031 "preproc.c"
    break;

  case 3598: /* c_anything: S_ADD  */
#line 18967 "preproc.y"
                                                { (yyval.str) = mm_strdup("+="); }
#line 66037 "preproc.c"
    break;

  case 3599: /* c_anything: S_AND  */
#line 18968 "preproc.y"
                                                { (yyval.str) = mm_strdup("&&"); }
#line 66043 "preproc.c"
    break;

  case 3600: /* c_anything: S_ANYTHING  */
#line 18969 "preproc.y"
                                                { (yyval.str) = make_name(); }
#line 66049 "preproc.c"
    break;

  case 3601: /* c_anything: S_AUTO  */
#line 18970 "preproc.y"
                                                { (yyval.str) = mm_strdup("auto"); }
#line 66055 "preproc.c"
    break;

  case 3602: /* c_anything: S_CONST  */
#line 18971 "preproc.y"
                                                { (yyval.str) = mm_strdup("const"); }
#line 66061 "preproc.c"
    break;

  case 3603: /* c_anything: S_DEC  */
#line 18972 "preproc.y"
                                                { (yyval.str) = mm_strdup("--"); }
#line 66067 "preproc.c"
    break;

  case 3604: /* c_anything: S_DIV  */
#line 18973 "preproc.y"
                                                { (yyval.str) = mm_strdup("/="); }
#line 66073 "preproc.c"
    break;

  case 3605: /* c_anything: S_DOTPOINT  */
#line 18974 "preproc.y"
                                                { (yyval.str) = mm_strdup(".*"); }
#line 66079 "preproc.c"
    break;

  case 3606: /* c_anything: S_EQUAL  */
#line 18975 "preproc.y"
                                                { (yyval.str) = mm_strdup("=="); }
#line 66085 "preproc.c"
    break;

  case 3607: /* c_anything: S_EXTERN  */
#line 18976 "preproc.y"
                                                { (yyval.str) = mm_strdup("extern"); }
#line 66091 "preproc.c"
    break;

  case 3608: /* c_anything: S_INC  */
#line 18977 "preproc.y"
                                                { (yyval.str) = mm_strdup("++"); }
#line 66097 "preproc.c"
    break;

  case 3609: /* c_anything: S_LSHIFT  */
#line 18978 "preproc.y"
                                                { (yyval.str) = mm_strdup("<<"); }
#line 66103 "preproc.c"
    break;

  case 3610: /* c_anything: S_MEMBER  */
#line 18979 "preproc.y"
                                                { (yyval.str) = mm_strdup("->"); }
#line 66109 "preproc.c"
    break;

  case 3611: /* c_anything: S_MEMPOINT  */
#line 18980 "preproc.y"
                                                { (yyval.str) = mm_strdup("->*"); }
#line 66115 "preproc.c"
    break;

  case 3612: /* c_anything: S_MOD  */
#line 18981 "preproc.y"
                                                { (yyval.str) = mm_strdup("%="); }
#line 66121 "preproc.c"
    break;

  case 3613: /* c_anything: S_MUL  */
#line 18982 "preproc.y"
                                                { (yyval.str) = mm_strdup("*="); }
#line 66127 "preproc.c"
    break;

  case 3614: /* c_anything: S_NEQUAL  */
#line 18983 "preproc.y"
                                                { (yyval.str) = mm_strdup("!="); }
#line 66133 "preproc.c"
    break;

  case 3615: /* c_anything: S_OR  */
#line 18984 "preproc.y"
                                                { (yyval.str) = mm_strdup("||"); }
#line 66139 "preproc.c"
    break;

  case 3616: /* c_anything: S_REGISTER  */
#line 18985 "preproc.y"
                                                { (yyval.str) = mm_strdup("register"); }
#line 66145 "preproc.c"
    break;

  case 3617: /* c_anything: S_RSHIFT  */
#line 18986 "preproc.y"
                                                { (yyval.str) = mm_strdup(">>"); }
#line 66151 "preproc.c"
    break;

  case 3618: /* c_anything: S_STATIC  */
#line 18987 "preproc.y"
                                                { (yyval.str) = mm_strdup("static"); }
#line 66157 "preproc.c"
    break;

  case 3619: /* c_anything: S_SUB  */
#line 18988 "preproc.y"
                                                { (yyval.str) = mm_strdup("-="); }
#line 66163 "preproc.c"
    break;

  case 3620: /* c_anything: S_TYPEDEF  */
#line 18989 "preproc.y"
                                                { (yyval.str) = mm_strdup("typedef"); }
#line 66169 "preproc.c"
    break;

  case 3621: /* c_anything: S_VOLATILE  */
#line 18990 "preproc.y"
                                                { (yyval.str) = mm_strdup("volatile"); }
#line 66175 "preproc.c"
    break;

  case 3622: /* c_anything: SQL_BOOL  */
#line 18991 "preproc.y"
                                                { (yyval.str) = mm_strdup("bool"); }
#line 66181 "preproc.c"
    break;

  case 3623: /* c_anything: ENUM_P  */
#line 18992 "preproc.y"
                                                { (yyval.str) = mm_strdup("enum"); }
#line 66187 "preproc.c"
    break;

  case 3624: /* c_anything: HOUR_P  */
#line 18993 "preproc.y"
                                                { (yyval.str) = mm_strdup("hour"); }
#line 66193 "preproc.c"
    break;

  case 3625: /* c_anything: INT_P  */
#line 18994 "preproc.y"
                                                { (yyval.str) = mm_strdup("int"); }
#line 66199 "preproc.c"
    break;

  case 3626: /* c_anything: SQL_LONG  */
#line 18995 "preproc.y"
                                                { (yyval.str) = mm_strdup("long"); }
#line 66205 "preproc.c"
    break;

  case 3627: /* c_anything: MINUTE_P  */
#line 18996 "preproc.y"
                                                { (yyval.str) = mm_strdup("minute"); }
#line 66211 "preproc.c"
    break;

  case 3628: /* c_anything: MONTH_P  */
#line 18997 "preproc.y"
                                                { (yyval.str) = mm_strdup("month"); }
#line 66217 "preproc.c"
    break;

  case 3629: /* c_anything: SECOND_P  */
#line 18998 "preproc.y"
                                                { (yyval.str) = mm_strdup("second"); }
#line 66223 "preproc.c"
    break;

  case 3630: /* c_anything: SQL_SHORT  */
#line 18999 "preproc.y"
                                                { (yyval.str) = mm_strdup("short"); }
#line 66229 "preproc.c"
    break;

  case 3631: /* c_anything: SQL_SIGNED  */
#line 19000 "preproc.y"
                                                { (yyval.str) = mm_strdup("signed"); }
#line 66235 "preproc.c"
    break;

  case 3632: /* c_anything: SQL_STRUCT  */
#line 19001 "preproc.y"
                                                { (yyval.str) = mm_strdup("struct"); }
#line 66241 "preproc.c"
    break;

  case 3633: /* c_anything: SQL_UNSIGNED  */
#line 19002 "preproc.y"
                                                { (yyval.str) = mm_strdup("unsigned"); }
#line 66247 "preproc.c"
    break;

  case 3634: /* c_anything: YEAR_P  */
#line 19003 "preproc.y"
                                                { (yyval.str) = mm_strdup("year"); }
#line 66253 "preproc.c"
    break;

  case 3635: /* c_anything: CHAR_P  */
#line 19004 "preproc.y"
                                                { (yyval.str) = mm_strdup("char"); }
#line 66259 "preproc.c"
    break;

  case 3636: /* c_anything: FLOAT_P  */
#line 19005 "preproc.y"
                                                { (yyval.str) = mm_strdup("float"); }
#line 66265 "preproc.c"
    break;

  case 3637: /* c_anything: TO  */
#line 19006 "preproc.y"
                                                { (yyval.str) = mm_strdup("to"); }
#line 66271 "preproc.c"
    break;

  case 3638: /* c_anything: UNION  */
#line 19007 "preproc.y"
                                                { (yyval.str) = mm_strdup("union"); }
#line 66277 "preproc.c"
    break;

  case 3639: /* c_anything: VARCHAR  */
#line 19008 "preproc.y"
                                                { (yyval.str) = mm_strdup("varchar"); }
#line 66283 "preproc.c"
    break;

  case 3640: /* c_anything: '['  */
#line 19009 "preproc.y"
                                                { (yyval.str) = mm_strdup("["); }
#line 66289 "preproc.c"
    break;

  case 3641: /* c_anything: ']'  */
#line 19010 "preproc.y"
                                                { (yyval.str) = mm_strdup("]"); }
#line 66295 "preproc.c"
    break;

  case 3642: /* c_anything: '='  */
#line 19011 "preproc.y"
                                                { (yyval.str) = mm_strdup("="); }
#line 66301 "preproc.c"
    break;

  case 3643: /* c_anything: ':'  */
#line 19012 "preproc.y"
                                                { (yyval.str) = mm_strdup(":"); }
#line 66307 "preproc.c"
    break;

  case 3644: /* DeallocateStmt: DEALLOCATE prepared_name  */
#line 19015 "preproc.y"
                                                { check_declared_list((yyvsp[0].str)); (yyval.str) = (yyvsp[0].str); }
#line 66313 "preproc.c"
    break;

  case 3645: /* DeallocateStmt: DEALLOCATE PREPARE prepared_name  */
#line 19016 "preproc.y"
                                                        { check_declared_list((yyvsp[0].str)); (yyval.str) = (yyvsp[0].str); }
#line 66319 "preproc.c"
    break;

  case 3646: /* DeallocateStmt: DEALLOCATE ALL  */
#line 19017 "preproc.y"
                                                                        { (yyval.str) = mm_strdup("all"); }
#line 66325 "preproc.c"
    break;

  case 3647: /* DeallocateStmt: DEALLOCATE PREPARE ALL  */
#line 19018 "preproc.y"
                                                                { (yyval.str) = mm_strdup("all"); }
#line 66331 "preproc.c"
    break;

  case 3648: /* Iresult: Iconst  */
#line 19021 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 66337 "preproc.c"
    break;

  case 3649: /* Iresult: '(' Iresult ')'  */
#line 19022 "preproc.y"
                                                        { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 66343 "preproc.c"
    break;

  case 3650: /* Iresult: Iresult '+' Iresult  */
#line 19023 "preproc.y"
                                                { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 66349 "preproc.c"
    break;

  case 3651: /* Iresult: Iresult '-' Iresult  */
#line 19024 "preproc.y"
                                                { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 66355 "preproc.c"
    break;

  case 3652: /* Iresult: Iresult '*' Iresult  */
#line 19025 "preproc.y"
                                                { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 66361 "preproc.c"
    break;

  case 3653: /* Iresult: Iresult '/' Iresult  */
#line 19026 "preproc.y"
                                                { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 66367 "preproc.c"
    break;

  case 3654: /* Iresult: Iresult '%' Iresult  */
#line 19027 "preproc.y"
                                                { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 66373 "preproc.c"
    break;

  case 3655: /* Iresult: ecpg_sconst  */
#line 19028 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 66379 "preproc.c"
    break;

  case 3656: /* Iresult: ColId  */
#line 19029 "preproc.y"
                                                                { (yyval.str) = (yyvsp[0].str); }
#line 66385 "preproc.c"
    break;

  case 3657: /* Iresult: ColId '(' var_type ')'  */
#line 19030 "preproc.y"
                                                { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 66395 "preproc.c"
    break;

  case 3658: /* execute_rest: %empty  */
#line 19037 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 66401 "preproc.c"
    break;

  case 3659: /* execute_rest: ecpg_using opt_ecpg_into  */
#line 19038 "preproc.y"
                                    { (yyval.str) = EMPTY; }
#line 66407 "preproc.c"
    break;

  case 3660: /* execute_rest: ecpg_into ecpg_using  */
#line 19039 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 66413 "preproc.c"
    break;

  case 3661: /* execute_rest: ecpg_into  */
#line 19040 "preproc.y"
                                                { (yyval.str) = EMPTY; }
#line 66419 "preproc.c"
    break;

  case 3662: /* ecpg_into: INTO into_list  */
#line 19043 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 66425 "preproc.c"
    break;

  case 3663: /* ecpg_into: into_descriptor  */
#line 19044 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 66431 "preproc.c"
    break;

  case 3664: /* opt_ecpg_into: %empty  */
#line 19047 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 66437 "preproc.c"
    break;

  case 3665: /* opt_ecpg_into: ecpg_into  */
#line 19048 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 66443 "preproc.c"
    break;

  case 3666: /* ecpg_fetch_into: ecpg_into  */
#line 19051 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 66449 "preproc.c"
    break;

  case 3667: /* ecpg_fetch_into: using_descriptor  */
#line 19053 "preproc.y"
        {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 66462 "preproc.c"
    break;

  case 3668: /* opt_ecpg_fetch_into: %empty  */
#line 19063 "preproc.y"
                                        { (yyval.str) = EMPTY; }
#line 66468 "preproc.c"
    break;

  case 3669: /* opt_ecpg_fetch_into: ecpg_fetch_into  */
#line 19064 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 66474 "preproc.c"
    break;


#line 66478 "preproc.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturn;
#endif


/*-------------------------------------------------------.
| yyreturn -- parsing is finished, clean up and return.  |
`-------------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 19067 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
